-- *************************************************************
--       SIMPLE KOHA 3.0 MARC 21 BIBLIOGRAPHIC FRAMEWORKS
--
--                     PRETEST VERSION 0.1.7
--                          2007-11-05
--
--                            edited
--                            by thd
--
--                          BASED UPON
--
--       SIMPLE KOHA 3.0 MARC 21 BIBLIOGRAPHIC FRAMEWORKS
--                    POST-INSTALLATION SCRIPT
--
--                     PRETEST VERSION 0.1.7
--                          2007-11-05
--
--                            edited
--                            by thd
--
--                          BASED UPON
--
--  KOHA 3.0 MARC 21 STANDARD DEFAULT BIBLIOGRAPHIC FRAMEWORK
--
--                    PRETEST VERSION 0.1.7
--                          2007-11-05
--
--                            edited
--                            by thd
--
--                        AND BASED UPON
--
--          SIMPLE KOHA MARC 21 BIBLIOGRAPHIC FRAMEWORKS
--                    POST-INSTALLATION SCRIPT
--
--                     PRETEST VERSION 0.1.11
--                          2007-11-05
--
--                           drafted
--                      by thd for LibLime
--
--            with a frameworks nomenclature correction
--                     by kados at LibLime
--
--                             WITH
--
--     KOHA MARC 21 STANDARD DEFAULT BIBLIOGRAPHIC FRAMEWORK
--                    POST-INSTALLATION SCRIPT
--
--                     PRETEST VERSION 0.2.8
--                          2007-11-05
--
--                            edited
--                      by thd for LibLime
--
--                          BASED UPON
--
--     KOHA MARC 21 STANDARD DEFAULT BIBLIOGRAPHIC FRAMEWORK
--
--                     PRETEST VERSION 0.2.8
--                          2007-11-05
--
--     original default requiring greater user customisation
--                  created by a few Koha Hands
--                    guided by Paul POULAIN
--
--          revised and greatly enlarged to completion,
--               well not quite complete yet today
--           but close enough for someone to have use,
--                      by thd for LibLime
-- *************************************************************





-- ********************************
-- SIMPLE KOHA MARC 21 FRAMEWORKS.
-- ********************************


INSERT INTO `biblio_framework` (`frameworkcode`,`frameworktext`) VALUES
		('BKS', 'Libri'),
		('CF', 'Risorse elettroniche'),
		('SR', 'CD e cassette audio'),
		('VR', 'DVD, VHS'),
		('AR', 'Modelli'),
		('KT', 'Kits'),
		('IR', 'Raccolte'),
		('SER', 'Seriali');


-- ******************************************************



-- *******************************************************************
-- SIMPLE BOOKS KOHA RECORD AND HOLDINGS MANAGEMENT FIELDS/SUBFIELDS.
-- *******************************************************************


-- Current Record ID Field/Subfields


INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES
		('999', 'Sys Number locale (Koha)', 'Sys Number locale (Koha)', 1, 0, '', 'BKS');

INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES
		('999', 'a', 'Item type [OBSOLETE]', 'Item type [OBSOLETE]', 0, 0, NULL, -1, NULL, NULL, '', NULL, -5, 'BKS', '', '', NULL),
		('999', 'b', 'Koha Dewey Subclass [OBSOLETE]', 'Koha Dewey Subclass [OBSOLETE]', 0, 0, NULL, 0, NULL, NULL, '', NULL, -5, 'BKS', '', '', NULL),
		('999', 'c', 'Koha biblionumber', 'Koha biblionumber', 0, 0, 'biblio.biblionumber', -1, NULL, NULL, '', NULL, -5, 'BKS', '', '', NULL),
		('999', 'd', 'Koha biblioitemnumber', 'Koha biblioitemnumber', 0, 0, 'biblioitems.biblioitemnumber', -1, NULL, NULL, '', NULL, -5, 'BKS', '', '', NULL);


-- ******************************************************


-- Plugins which need to be written for primary biblioitems Field/Subfields.


--      ('942', '2', 'Source of classification or shelving scheme', 'Source of classification or shelving scheme', 0, 0, 'biblioitems.cn_source', 9, '', '', 'marc21_classcodes.pl', NULL, 0, 'BKS', '', '', NULL),
--      ('942', 'h', 'Classification part', 'Classification part', 0, 0, 'biblioitems.cn_class', 9, '', '', 'marc21_callnumber.pl', NULL, 0, 'BKS', '', '', NULL),



-- Current primary biblioitems Field/Subfields


INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES
		('942', 'Dati aggiuntivi (Koha)', 'Dati aggiuntivi (Koha)', 0, 0, '', 'BKS');

INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES
		('942', '0', 'Numero prestiti (tutte le copie)', 'Numero prestiti (tutte le copie)', 0, 0, 'biblioitems.totalissues', 9, '', '', '', NULL, -5, 'BKS', '', '', NULL),
		('942', '2', 'Fonte della classificazione o dello schema di collocazione (segnatura)', 'Fonte della classificazione o dello schema di collocazione (segnatura)', 0, 0, 'biblioitems.cn_source', 9, 'cn_source', '', '', NULL, 0, 'BKS', '', '', NULL),
		('942', '6', 'Class. Normalizzata per ordinamento', 'Class. Normalizzata per ordinamento', 0, 0, 'biblioitems.cn_sort', -1, '', '', '', 0, 7, 'BKS', '', '', NULL),
		('942', 'a', 'Institution code [OBSOLETE]', 'Institution code [OBSOLETE]', 0, 0, '', 9, '', '', '', NULL, -5, 'BKS', '', '', NULL),
		('942', 'c', 'Tipo copia default (Koha)', 'Tipo copia default (Koha)', 0, 1, 'biblioitems.itemtype', 9, 'itemtypes', '', '', NULL, 0, 'BKS', '', '', NULL),
		('942', 'e', 'Edizione', 'Edizione', 0, 0, NULL, 9, '', '', '', NULL, 0, 'BKS', '', '', NULL),
		('942', 'h', 'Parte della classificazione', 'Parte della classificazione', 0, 0, 'biblioitems.cn_class', 9, '', '', '', NULL, 0, 'BKS', '', '', NULL),
		('942', 'i', 'Parte dell\'item', 'Parte dell\'item', 1, 0, 'biblioitems.cn_item', 9, '', '', '', NULL, 9, 'BKS', '', '', NULL),
		('942', 'k', 'Prefisso del numero di chiamata (collocazione)', 'Prefisso del numero di chiamata (collocazione)', 0, 0, 'biblioitems.cn_prefix', 9, '', '', '', NULL, 0, 'BKS', '', '', NULL),
		('942', 'm', 'Suffisso del numero di chiamata (collocazione)', 'Suffisso del numero di chiamata (collocazione)', 0, 0, 'biblioitems.cn_suffix', 9, '', '', '', 0, 0, 'BKS', '', '', NULL),
		('942', 'n', 'Nasconto in Opac', 'Nasconto in Opac', 0, 0, NULL, 9, '', '', '', 0, 0, 'BKS', '', '', NULL),
		('942', 's', 'Flag seriale', 'Flag seriale', 0, 0, 'biblio.serial', 9, '', '', '', 0, -5, 'BKS', '', '', NULL);


-- ******************************************************


-- Plugins which need to be written for items Field/Subfields


--      ('952', '2', 'Source of classification or shelving scheme', 'Source of classification or shelving scheme', 0, 0, 'items.cn_source', 10, '', '', 'marc21_classcodes.pl', NULL, 0, 'BKS', '', '', NULL),
--      ('952', 'o', 'Full call number', 'Full call number', 0, 0, 'items.itemcallnumber', 10, '', 'marc21_itemcallnumber.pl', NULL, 0, 0, 'BKS', '', '', NULL),



-- Current items Field/Subfields


INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES
		('952', 'Dati di copia (Koha)', 'Dati di copia (Koha)', 1, 0, '', 'BKS');

INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES
		('952', '0', 'Ritirato (status)', 'Ritirato (status)', 0, 0, 'items.withdrawn', 10, 'WITHDRAWN', '', '', 0, 0, 'BKS', '', '', NULL),
		('952', '1', 'Perso (status)', 'Perso (status)', 0, 0, 'items.itemlost', 10, 'LOST', '', '', 0, 0, 'BKS', '', '', NULL),
		('952', '2', 'Fonte della classificazione o dello schema di collocazione (segnatura)', 'Fonte della classificazione o dello schema di collocazione (segnatura)', 0, 0, 'items.cn_source', 10, 'cn_source', '', '', NULL, 0, 'BKS', '', '', NULL),
		('952', '3', 'Materiali specifici (rilegati o simili)', 'Materiali specifici (rilegati o simili)', 0, 0, 'items.materials', 10, '', '', '', NULL, -1, 'BKS', '', '', NULL),
		('952', '4', 'Danneggiato (status)', 'Danneggiato (status)', 0, 0, 'items.damaged', 10, 'DAMAGED', '', '', NULL, 0, 'BKS', '', '', NULL),
		('952', '5', 'Use restrictions', 'Use restrictions', 0, 0, 'items.restricted', 10, 'RESTRICTED', '', '', 0, 0, 'BKS', '', '', NULL),
		('952', '6', 'Class. Normalizzata per ordinamento', 'Class. Normalizzata per ordinamento', 0, 0, 'items.cn_sort', -1, '', '', '', 0, 7, 'BKS', '', '', NULL),
		('952', '7', 'Non per il presito', 'Non per il presito', 0, 0, 'items.notforloan', 10, 'NOT_LOAN', '', '', 0, 0, 'BKS', '', '', NULL),
		('952', '8', 'Codice collezione', 'Codice collezione', 0, 0, 'items.ccode', 10, 'CCODE', '', '', 0, 0, 'BKS', '', '', NULL),
		('952', '9', 'Numero di copia (ID autogenerato)', 'Numero di copia (ID autogenerato)', 0, 0, 'items.itemnumber', -1, '', '', '', 0, 7, 'BKS', '', '', NULL),
		('952', 'a', 'Biblioteca proprietaria', 'Biblioteca proprietaria', 0, 0, 'items.homebranch', 10, 'branches', '', '', 0, 0, 'BKS', '', '', NULL),
		('952', 'b', 'Biblioteca in cui si trova', 'Biblioteca in cui si trova', 0, 0, 'items.holdingbranch', 10, 'branches', '', '', 0, 0, 'BKS', '', '', NULL),
		('952', 'c', 'Localizzazione a scaffale', 'Localizzazione a scaffale', 0, 0, 'items.location', 10, 'LOC', '', '', 0, 0, 'BKS', '', '', NULL),
		('952', 'd', 'Data d\'acquisizione', 'Data d\'acquisizione', 0, 0, 'items.dateaccessioned', 10, '', '', 'dateaccessioned.pl', 0, 0, 'BKS', '', '', NULL),
		('952', 'e', 'Fonte d\'acquisto', 'Fonte d\'acquisto', 0, 0, 'items.booksellerid', 10, '', '', '', 0, 0, 'BKS', '', '', NULL),
		('952', 'f', 'Qualificatore di localizzazione codificato', 'Qualificatore di localizzazione codificato', 0, 0, 'items.coded_location_qualifier', 10, '', '', '', NULL, 0, 'BKS', '', '', NULL),
		('952', 'g', 'Costo, prezzo di acquisto', 'Costo, prezzo di acquisto', 0, 0, 'items.price', 10, '', '', '', 0, 0, 'BKS', '', '', NULL),
		('952', 'h', 'Enumerazione seriale / cronologia', 'Enumerazione seriale / cronologia', 0, 0, 'items.enumchron', 10, '', '', '', 0, 0, 'BKS', '', '', NULL),
		('952', 'i', 'Numero di inventario', 'Numero di inventario', 0, 0, 'items.stocknumber', 10, '', '', '', 0, 0, 'BKS', '', '', NULL),
		('952', 'j', 'Collocazione (segnatura)', 'Collocazione (segnatura)', 0, 0, 'items.stack', 10, 'STACK', '', '', NULL, -1, 'BKS', '', '', NULL),
		('952', 'l', 'Totale prestiti', 'Totale prestiti', 0, 0, 'items.issues', 10, '', '', '', NULL, -5, 'BKS', '', '', NULL),
		('952', 'm', 'Totale rinnovi', 'Totale rinnovi', 0, 0, 'items.renewals', 10, '', '', '', NULL, -5, 'BKS', '', '', NULL),
		('952', 'n', 'Totale prenotazioni', 'Totale prenotazioni', 0, 0, 'items.reserves', 10, '', '', '', NULL, -5, 'BKS', '', '', NULL),
		('952', 'o', 'Collocazione', 'Collocazione', 0, 0, 'items.itemcallnumber', 10, '', '', NULL, 0, 0, 'BKS', '', '', NULL),
		('952', 'p', 'Codice a barre', 'Codice a barre', 0, 0, 'items.barcode', 10, '', '', 'barcode.pl', 0, 0, 'BKS', '', '', NULL),
		('952', 'q', 'Prestito', 'Prestito', 0, 0, 'items.onloan', 10, '', '', '', NULL, -5, 'BKS', '', '', NULL),
		('952', 'r', 'Data ultima operazione', 'Data ultima operazione', 0, 0, 'items.datelastseen', 10, '', '', '', NULL, -5, 'BKS', '', '', NULL),
		('952', 's', 'Data ultimo prestito', 'Data ultimo prestito', 0, 0, 'items.datelastborrowed', 10, '', '', '', NULL, -5, 'BKS', '', '', NULL),
		('952', 't', 'Numero di copia', 'Numero di copia', 0, 0, 'items.copynumber', 10, '', '', '', NULL, 0, 'BKS', '', '', NULL),
		('952', 'u', 'URI (Uniform Resource Identifier)', 'URI (Uniform Resource Identifier)', 0, 0, 'items.uri', 10, '', '', '', 1, 0, 'BKS', '', '', NULL),
		('952', 'v', 'Costo, costo di riacquisto', 'Costo, costo di riacquisto', 0, 0, 'items.replacementprice', 10, '', '', '', 0, 0, 'BKS', '', '', NULL),
		('952', 'w', 'Prezzo in vigore dal', 'Prezzo in vigore dal', 0, 0, 'items.replacementpricedate', 10, '', '', '', 0, 0, 'BKS', '', '', NULL),
		('952', 'x', 'Nota non pubblica', 'Nota non pubblica', 0, 0, '', 10, '', '', '', NULL, 1, 'BKS', '', '', NULL),
		('952', 'y', 'Tipo copia default (Koha)', 'Tipo copia default (Koha)', 0, 0, 'items.itype', 10, 'itemtypes', '', '', NULL, 0, 'BKS', '', '', NULL),
		('952', 'z', 'Nota pubblica', 'Nota pubblica', 0, 0, 'items.itemnotes', 10, '', '', '', NULL, 0, 'BKS', '', '', NULL);



-- *******************************************************



-- *********************************************************************
-- SIMPLE BOOKS MARC 21 FIELDS/SUBFIELDS AND COMMMONLY USED EXTENSIONS.
-- *********************************************************************



INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES
		('000', 'LEADER', 'LEADER', 0, 1, '', 'BKS'),
		('001', 'Numero di controllo', 'Numero di controllo', 0, 0, '', 'BKS'),
		('003', 'Identificatore del numero di controllo', 'Identificatore del numero di controllo', 0, 0, '', 'BKS'),
		('005', 'Data e orario dell\'ultima transazione', 'Data e orario dell\'ultima transazione', 0, 0, '', 'BKS'),
		('006', 'Elementi di lunghezza fissa--Caratteristiche del materiale allegato--Informazione generale', 'Elementi di lunghezza fissa--Caratteristiche del materiale allegato--Informazione generale', 1, 0, '', 'BKS'),
		('007', 'Campo fisso per la descrizione fisica--informazione generale', 'Campo fisso per la descrizione fisica--informazione generale', 1, 0, '', 'BKS'),
		('008', 'Elementi di lunghezza fissa--Informazione generale', 'Elementi di lunghezza fissa--Informazione generale', 0, 1, '', 'BKS'),
		('009', 'PHYSICAL DESCRIPTION FIXED-FIELD FOR ARCHIVAL COLLECTION (VM) [OBSOLETE]', 'PHYSICAL DESCRIPTION FIXED-FIELD FOR ARCHIVAL COLLECTION (VM) [OBSOLETE]', 1, 0, '', 'BKS'),
		('010', 'Numero di controllo della Library of Congress', 'Numero di controllo della Library of Congress', 0, 0, '', 'BKS'),
		('011', 'LINKING LIBRARY OF CONGRESS CONTROL NUMBER [OBSOLETE]', 'LINKING LIBRARY OF CONGRESS CONTROL NUMBER [OBSOLETE]', 0, 0, '', 'BKS'),
		('013', 'Informazioni impiegate per il controllo di brevetti', 'Informazioni impiegate per il controllo di brevetti', 1, 0, '', 'BKS'),
		('015', 'Numero della bibliografia nazionale', 'Numero della bibliografia nazionale', 1, 0, '', 'BKS'),
		('016', 'Numero di controllo dell\'agenzia bibliografica nazionale', 'Numero di controllo dell\'agenzia bibliografica nazionale', 1, 0, '', 'BKS'),
		('017', 'Numero di copyright o di deposito legale', 'Numero di copyright o di deposito legale', 1, 0, '', 'BKS'),
		('018', 'Codice di tassa sul copyright dell’articolo', 'Codice di tassa sul copyright dell’articolo', 0, 0, '', 'BKS'),
		('020', 'ISBN (International Standard Book Number)', 'ISBN (International Standard Book Number)', 1, 0, NULL, 'BKS'),
		('022', 'ISSN (International Standard Serial Number)', 'ISSN (International Standard Serial Number)', 1, 0, NULL, 'BKS'),
		('023', 'STANDARD FILM NUMBER (VM) [DELETED]', 'STANDARD FILM NUMBER (VM) [DELETED]', 1, 0, NULL, 'BKS'),
		('024', 'Altri identificatori standard', 'Altri identificatori standard', 1, 0, NULL, 'BKS'),
		('025', 'Numero di acquisito estero', 'Numero di acquisito estero', 1, 0, '', 'BKS'),
		('026', 'Identificatore dell’impronta', 'Identificatore dell’impronta', 1, 0, '', 'BKS'),
		('027', 'Standard Technical Report Number', 'Standard Technical Report Number', 1, 0, '', 'BKS'),
		('028', 'Numero dell’editore', 'Numero dell’editore', 1, 0, NULL, 'BKS'),
		('029', 'OTHER SYSTEM CONTROL NUMBER (OCLC)', 'OTHER SYSTEM CONTROL NUMBER (OCLC)', 1, 0, '', 'BKS'),
		('030', 'Designazione CODEN', 'Designazione CODEN', 1, 0, '', 'BKS'),
		('031', 'Informazione sugli incipit musicali', 'Informazione sugli incipit musicali', 1, 0, '', 'BKS'),
		('032', 'Numero di registrazione di posta', 'Numero di registrazione di posta', 1, 0, '', 'BKS'),
		('033', 'Data/ora e luogo di un evento', 'Data/ora e luogo di un evento', 1, 0, '', 'BKS'),
		('034', 'Dati matematici codificati per il materiale cartografico', 'Dati matematici codificati per il materiale cartografico', 1, 0, '', 'BKS'),
		('035', 'Numero di controllo del sistema', 'Numero di controllo del sistema', 1, 0, NULL, 'BKS'),
		('036', 'Numero dello studio originale del computer data file', 'Numero dello studio originale del computer data file', 0, 0, '', 'BKS'),
		('037', 'Fonte d’acquisto', 'Fonte d’acquisto', 1, 0, NULL, 'BKS'),
		('038', 'Licenza d’uso del contenuto della registrazione', 'Licenza d’uso del contenuto della registrazione', 0, 0, '', 'BKS'),
		('039', 'LEVEL OF BIBLIOGRAPHIC CONTROL AND CODING DETAIL [OBSOLETE]', 'LEVEL OF BIBLIOGRAPHIC CONTROL AND CODING DETAIL [OBSOLETE]', 0, 0, '', 'BKS'),
		('040', 'Fonte della catalogazione', 'Fonte della catalogazione', 0, 0, NULL, 'BKS'),
		('041', 'Codice di lingua', 'Codice di lingua', 1, 0, '', 'BKS'),
		('042', 'Codice d\'autenticazione', 'Codice d\'autenticazione', 0, 0, '', 'BKS'),
		('043', 'Codice dell\'area geografica', 'Codice dell\'area geografica', 0, 0, NULL, 'BKS'),
		('044', 'Codice del paese dell’ente che pubblica/produce l’item', 'Codice del paese dell’ente che pubblica/produce l’item', 0, 0, '', 'BKS'),
		('045', 'Periodo di tempo del contenuto', 'Periodo di tempo del contenuto', 0, 0, '', 'BKS'),
		('046', 'Codice delle date speciali', 'Codice delle date speciali', 1, 0, '', 'BKS'),
		('047', 'Codice di forma della composizione musicale', 'Codice di forma della composizione musicale', 1, 0, '', 'BKS'),
		('048', 'Codice del numero degli strumenti musicali o delle voci', 'Codice del numero degli strumenti musicali o delle voci', 1, 0, '', 'BKS'),
		('049', 'LOCAL HOLDINGS (OCLC)', 'LOCAL HOLDINGS (OCLC)', 0, 0, '', 'BKS'),
		('050', 'Numero di chiamata (collocazione) della Library of Congress', 'Numero di chiamata (collocazione) della Library of Congress', 1, 0, NULL, 'BKS'),
		('051', 'Formulazione dell’esemplare, emissione, estratto, della Library of Congress', 'Formulazione dell’esemplare, emissione, estratto, della Library of Congress', 1, 0, NULL, 'BKS'),
		('052', 'Classificazione geografica', 'Classificazione geografica', 1, 0, NULL, 'BKS'),
		('055', 'Numero di classificazione assegnati in Canada', 'Numero di classificazione assegnati in Canada', 1, 0, NULL, 'BKS'),
		('060', 'Numero di chiamata (collocazione) della National Library of Medicine', 'Numero di chiamata (collocazione) della National Library of Medicine', 1, 0, NULL, 'BKS'),
		('061', 'Formulazione dell’esemplare della National Library of Medicine', 'Formulazione dell’esemplare della National Library of Medicine', 1, 0, NULL, 'BKS'),
		('066', 'Set di caratteri presenti', 'Set di caratteri presenti', 0, 0, NULL, 'BKS'),
		('070', 'Numero di chiamata (collocazione) della National Agricultural Library', 'Numero di chiamata (collocazione) della National Agricultural Library', 1, 0, NULL, 'BKS'),
		('071', 'Formulazione dell’esemplare della National Agricultural Library', 'Formulazione dell’esemplare della National Agricultural Library', 1, 0, NULL, 'BKS'),
		('072', 'Codice di categoria di soggetto', 'Codice di categoria di soggetto', 1, 0, NULL, 'BKS'),
		('074', 'Numero GPO dell’item', 'Numero GPO dell’item', 1, 0, NULL, 'BKS'),
		('080', 'Numero di classificazione decimale universale', 'Numero di classificazione decimale universale', 1, 0, NULL, 'BKS'),
		('082', 'Numero di classificazione Decimale Dewey', 'Numero di classificazione Decimale Dewey', 1, 0, NULL, 'BKS'),
		('084', 'Numero d’altra classificazione', 'Numero d’altra classificazione', 1, 0, NULL, 'BKS'),
		('086', 'Numero di classificazione di documento governativo', 'Numero di classificazione di documento governativo', 1, 0, NULL, 'BKS'),
		('087', 'REPORT NUMBER [OBSOLETE, CAN/MARC]', 'REPORT NUMBER [OBSOLETE, CAN/MARC]', 1, 0, NULL, 'BKS'),
		('088', 'Numero di rapporto', 'Numero di rapporto', 1, 0, NULL, 'BKS'),
		('090', 'LOCALLY ASSIGNED LC-TYPE CALL NUMBER (OCLC); LOCAL CALL NUMBER (RLIN)', 'LOCALLY ASSIGNED LC-TYPE CALL NUMBER (OCLC); LOCAL CALL NUMBER (RLIN)', 1, 0, '', 'BKS'),
		('091', 'MICROFILM SHELF LOCATION (AM) [OBSOLETE]', 'MICROFILM SHELF LOCATION (AM) [OBSOLETE]', 0, 0, '', 'BKS'),
		('092', 'LOCALLY ASSIGNED DEWEY CALL NUMBER (OCLC)', 'LOCALLY ASSIGNED DEWEY CALL NUMBER (OCLC)', 1, 0, '', 'BKS'),
		('096', 'LOCALLY ASSIGNED NLM-TYPE CALL NUMBER (OCLC)', 'LOCALLY ASSIGNED NLM-TYPE CALL NUMBER (OCLC)', 1, 0, '', 'BKS'),
		('098', 'OTHER CLASSIFICATION SCHEMES (OCLC)', 'OTHER CLASSIFICATION SCHEMES (OCLC)', 1, 0, '', 'BKS'),
		('099', 'LOCAL FREE-TEXT CALL NUMBER (OCLC)', 'LOCAL FREE-TEXT CALL NUMBER (OCLC)', 1, 0, '', 'BKS'),
		('100', 'Accesso principale -- nome di persona', 'Accesso principale -- nome di persona', 0, 0, NULL, 'BKS'),
		('110', 'Accesso principale--nome di ente', 'Accesso principale--nome di ente', 0, 0, NULL, 'BKS'),
		('111', 'Accesso principale--nome di convegno', 'Accesso principale--nome di convegno', 0, 0, NULL, 'BKS'),
		('130', 'Accesso principale--titolo uniforme', 'Accesso principale--titolo uniforme', 0, 0, NULL, 'BKS'),
		('210', 'Titolo abbreviato', 'Titolo abbreviato', 1, 0, NULL, 'BKS'),
		('211', 'ACRONYM OR SHORTENED TITLE [OBSOLETE]', 'ACRONYM OR SHORTENED TITLE [OBSOLETE]', 1, 0, NULL, 'BKS'),
		('212', 'VARIANT ACCESS TITLE [OBSOLETE]', 'VARIANT ACCESS TITLE [OBSOLETE]', 1, 0, NULL, 'BKS'),
		('214', 'AUGMENTED TITLE [OBSOLETE]', 'AUGMENTED TITLE [OBSOLETE]', 1, 0, NULL, 'BKS'),
		('222', 'Titolo chiave', 'Titolo chiave', 1, 0, NULL, 'BKS'),
		('240', 'Titolo uniforme', 'Titolo uniforme', 0, 0, 'Unititle', 'BKS'),
		('241', 'ROMANIZED TITLE (BK AM CF MP MU VM) [OBSOLETE]', 'ROMANIZED TITLE (BK AM CF MP MU VM) [OBSOLETE]', 0, 0, '', 'BKS'),
		('242', 'Traduzione del titolo dell’agenzia di catalogazione', 'Traduzione del titolo dell’agenzia di catalogazione', 1, 0, NULL, 'BKS'),
		('243', 'Titolo uniforme collettivo', 'Titolo uniforme collettivo', 0, 0, '', 'BKS'),
		('245', 'Formulazione del titolo', 'Formulazione del titolo', 0, 1, '', 'BKS'),
		('246', 'Varianti del titolo', 'Varianti del titolo', 1, 0, NULL, 'BKS'),
		('247', 'Titolo precedente', 'Titolo precedente', 1, 0, NULL, 'BKS'),
		('250', 'Formulazione di edizione', 'Formulazione di edizione', 0, 0, NULL, 'BKS'),
		('254', 'Formulazione della presentazione musicale', 'Formulazione della presentazione musicale', 0, 0, NULL, 'BKS'),
		('255', 'Dati matematici del materiale cartografico', 'Dati matematici del materiale cartografico', 1, 0, NULL, 'BKS'),
		('256', 'Caratteristiche del computer file', 'Caratteristiche del computer file', 0, 0, NULL, 'BKS'),
		('257', 'Paese dell’ente produttore dei film d’archivio', 'Paese dell’ente produttore dei film d’archivio', 0, 0, NULL, 'BKS'),
		('258', 'Dati dell’emissione filatelica', 'Dati dell’emissione filatelica', 1, 0, NULL, 'BKS'),
		('260', 'Pubblicazione, distribuzione, ecc. (stampa)', 'Pubblicazione, distribuzione, ecc. (stampa)', 1, 0, NULL, 'BKS'),
		('261', 'IMPRINT STATEMENT FOR FILMS (Pre-AACR 1 Revised) [OBSOLETE, CAN/MARC], [LOCAL, USA]', 'IMPRINT STATEMENT FOR FILMS (Pre-AACR 1 Revised) [OBSOLETE, CAN/MARC], [LOCAL, USA]', 0, 0, NULL, 'BKS'),
		('262', 'IMPRINT STATEMENT FOR SOUND RECORDINGS (Pre-AACR 2) [LOCAL, USA]', 'IMPRINT STATEMENT FOR SOUND RECORDINGS (Pre-AACR 2) [LOCAL, USA]', 0, 0, NULL, 'BKS'),
		('263', 'Data di pubblicazione prevista', 'Data di pubblicazione prevista', 0, 0, NULL, 'BKS'),
		('265', 'SOURCE FOR ACQUISITION/SUBSCRIPTION ADDRESS [OBSOLETE]', 'SOURCE FOR ACQUISITION/SUBSCRIPTION ADDRESS [OBSOLETE]', 0, 0, NULL, 'BKS'),
		('270', 'Indirizzo', 'Indirizzo', 1, 0, NULL, 'BKS'),
		('300', 'Descrizione fisica', 'Descrizione fisica', 1, 1, NULL, 'BKS'),
		('301', 'PHYSICAL DESCRIPTION FOR FILMS (PRE-AACR 2) (VM) [OBSOLETE, USMARC]', 'PHYSICAL DESCRIPTION FOR FILMS (PRE-AACR 2) (VM) [OBSOLETE, USMARC]', 0, 0, NULL, 'BKS'),
		('302', 'PAGE OR ITEM COUNT (BK AM) [OBSOLETE]', 'PAGE OR ITEM COUNT (BK AM) [OBSOLETE]', 0, 0, NULL, 'BKS'),
		('303', 'UNIT COUNT (AM) [OBSOLETE, USMARC]', 'UNIT COUNT (AM) [OBSOLETE, USMARC]', 0, 0, NULL, 'BKS'),
		('304', 'LINEAR FOOTAGE (AM) [OBSOLETE, USMARC]', 'LINEAR FOOTAGE (AM) [OBSOLETE, USMARC]', 0, 0, NULL, 'BKS'),
		('305', 'PHYSICAL DESCRIPTION FOR SOUND RECORDINGS (Pre-AACR 2) (MU) [OBSOLETE]', 'PHYSICAL DESCRIPTION FOR SOUND RECORDINGS (Pre-AACR 2) (MU) [OBSOLETE]', 0, 0, NULL, 'BKS'),
		('306', 'Durata di riproduzione', 'Durata di riproduzione', 0, 0, NULL, 'BKS'),
		('307', 'Disponibilità oraria, ecc.', 'Disponibilità oraria, ecc.', 1, 0, NULL, 'BKS'),
		('308', 'PHYSICAL DESCRIPTION FOR FILMS (ARCHIVAL) (VM) [OBSOLETE]', 'PHYSICAL DESCRIPTION FOR FILMS (ARCHIVAL) (VM) [OBSOLETE]', 1, 0, NULL, 'BKS'),
		('310', 'Periodicità corrente della pubblicazione', 'Periodicità corrente della pubblicazione', 0, 0, NULL, 'BKS'),
		('315', 'FREQUENCY (CF MP) [OBSOLETE]', 'FREQUENCY (CF MP) [OBSOLETE]', 0, 0, NULL, 'BKS'),
		('321', 'Periodicità precedente della pubblicazione', 'Periodicità precedente della pubblicazione', 1, 0, NULL, 'BKS'),
		('340', 'Supporto fisico', 'Supporto fisico', 1, 0, NULL, 'BKS'),
		('342', 'Dati di riferimento geospaziale', 'Dati di riferimento geospaziale', 1, 0, NULL, 'BKS'),
		('343', 'Dati di coordinate piane', 'Dati di coordinate piane', 1, 0, NULL, 'BKS'),
		('350', 'PRICE (NR) (BK AM CF MU VM SE) [OBSOLETE]', 'PRICE (NR) (BK AM CF MU VM SE) [OBSOLETE]', 1, 0, NULL, 'BKS'),
		('351', 'Organizzazione e l’ordinamento dei materiali', 'Organizzazione e l’ordinamento dei materiali', 1, 0, NULL, 'BKS'),
		('352', 'Rappresentazione grafica digitale', 'Rappresentazione grafica digitale', 1, 0, NULL, 'BKS'),
		('355', 'Controllo della classificazione di sicurezza', 'Controllo della classificazione di sicurezza', 1, 0, NULL, 'BKS'),
		('357', 'Controllo del creatore sulla diffusione', 'Controllo del creatore sulla diffusione', 0, 0, NULL, 'BKS'),
		('359', 'RENTAL PRICE (VM) [OBSOLETE]', 'RENTAL PRICE (VM) [OBSOLETE]', 0, 0, NULL, 'BKS'),
		('362', 'Date della pubblicazione e/o designazione sequenziale', 'Date della pubblicazione e/o designazione sequenziale', 1, 0, NULL, 'BKS'),
		('365', 'Prezzo commerciale', 'Prezzo commerciale', 1, 0, NULL, 'BKS'),
		('366', 'Informazione sulla disponibilità editoriale', 'Informazione sulla disponibilità editoriale', 1, 0, NULL, 'BKS'),
		('400', 'SERIES STATEMENT/ADDED ENTRY--PERSONAL NAME [OBSOLETE, CAN/MARC], [LOCAL, USA]', 'SERIES STATEMENT/ADDED ENTRY--PERSONAL NAME [OBSOLETE, CAN/MARC], [LOCAL, USA]', 1, 0, NULL, 'BKS'),
		('410', 'SERIES STATEMENT/ADDED ENTRY--CORPORATE NAME [OBSOLETE, CAN/MARC], [LOCAL, USA]', 'SERIES STATEMENT/ADDED ENTRY--CORPORATE NAME [OBSOLETE, CAN/MARC], [LOCAL, USA]', 1, 0, NULL, 'BKS'),
		('411', 'SERIES STATEMENT/ADDED ENTRY--MEETING NAME [OBSOLETE, CAN/MARC], [LOCAL, USA]', 'SERIES STATEMENT/ADDED ENTRY--MEETING NAME [OBSOLETE, CAN/MARC], [LOCAL, USA]', 1, 0, NULL, 'BKS'),
		('440', 'Formulazione della serie/accesso aggiunto--titolo', 'Formulazione della serie/accesso aggiunto--titolo', 1, 0, NULL, 'BKS'),
		('490', 'Formulazione della serie', 'Formulazione della serie', 1, 0, '', 'BKS'),
		('500', 'Nota generale', 'Nota generale', 1, 0, NULL, 'BKS'),
		('501', 'Nota  Pubblicato con', 'Nota  Pubblicato con', 1, 0, NULL, 'BKS'),
		('502', 'Nota di dissertazione', 'Nota di dissertazione', 1, 0, NULL, 'BKS'),
		('503', 'BIBLIOGRAPHIC HISTORY NOTE (BK CF MU) [OBSOLETE]', 'BIBLIOGRAPHIC HISTORY NOTE (BK CF MU) [OBSOLETE]', 1, 0, NULL, 'BKS'),
		('504', 'Nota di bibliografia', 'Nota di bibliografia', 1, 0, NULL, 'BKS'),
		('505', 'Nota formattata di contenuto', 'Nota formattata di contenuto', 1, 0, NULL, 'BKS'),
		('506', 'Nota sulle restrizioni all\'accesso', 'Nota sulle restrizioni all\'accesso', 1, 0, NULL, 'BKS'),
		('507', 'Nota di scala per materiale grafico', 'Nota di scala per materiale grafico', 0, 0, NULL, 'BKS'),
		('508', 'Nota sui crediti di creazione/produzione', 'Nota sui crediti di creazione/produzione', 1, 0, NULL, 'BKS'),
		('509', 'INFORMAL NOTES (RLIN)', 'INFORMAL NOTES (RLIN)', 0, 0, NULL, 'BKS'),
		('510', 'Nota di citazione/riferimenti esterni', 'Nota di citazione/riferimenti esterni', 1, 0, NULL, 'BKS'),
		('511', 'Nota sui partecipanti o interpreti', 'Nota sui partecipanti o interpreti', 1, 0, NULL, 'BKS'),
		('512', 'EARLIER OR LATER VOLUMES SEPARATELY CATALOGED NOTE (SE) [OBSOLETE]', 'EARLIER OR LATER VOLUMES SEPARATELY CATALOGED NOTE (SE) [OBSOLETE]', 1, 0, NULL, 'BKS'),
		('513', 'Nota di tipo di rapporto e periodo coperto', 'Nota di tipo di rapporto e periodo coperto', 1, 0, NULL, 'BKS'),
		('514', 'Nota sulla qualità dei dati', 'Nota sulla qualità dei dati', 0, 0, NULL, 'BKS'),
		('515', 'Nota su particolarità della numerazione', 'Nota su particolarità della numerazione', 1, 0, NULL, 'BKS'),
		('516', 'Nota sul tipo di computer file o di file di dati', 'Nota sul tipo di computer file o di file di dati', 1, 0, NULL, 'BKS'),
		('517', 'CATEGORIES OF FILMS NOTE (ARCHIVAL) (VM) [OBSOLETE]', 'CATEGORIES OF FILMS NOTE (ARCHIVAL) (VM) [OBSOLETE]', 0, 0, NULL, 'BKS'),
		('518', 'Nota sulla data/ora e luogo di un evento', 'Nota sulla data/ora e luogo di un evento', 1, 0, NULL, 'BKS'),
		('520', 'Riassunto, ecc.', 'Riassunto, ecc.', 1, 0, NULL, 'BKS'),
		('521', 'Nota sui destinatari', 'Nota sui destinatari', 1, 0, NULL, 'BKS'),
		('522', 'Nota di copertura geografica', 'Nota di copertura geografica', 1, 0, NULL, 'BKS'),
		('523', 'TIME PERIOD OF CONTENT NOTE (CF) [OBSOLETE]', 'TIME PERIOD OF CONTENT NOTE (CF) [OBSOLETE]', 0, 0, NULL, 'BKS'),
		('524', 'Nota sulla citazione preferita dei materiali descritti', 'Nota sulla citazione preferita dei materiali descritti', 1, 0, NULL, 'BKS'),
		('525', 'Nota di supplemento', 'Nota di supplemento', 0, 0, NULL, 'BKS'),
		('526', 'Nota d’informazione sul programma di studi', 'Nota d’informazione sul programma di studi', 0, 0, NULL, 'BKS'),
		('527', 'CENSORSHIP NOTE (VM) [OBSOLETE]', 'CENSORSHIP NOTE (VM) [OBSOLETE]', 1, 0, NULL, 'BKS'),
		('530', 'Nota sulla disponibilità su altro supporto fisico', 'Nota sulla disponibilità su altro supporto fisico', 1, 0, NULL, 'BKS'),
		('533', 'Nota di riproduzione', 'Nota di riproduzione', 1, 0, NULL, 'BKS'),
		('534', 'Nota sulla versione originale', 'Nota sulla versione originale', 1, 0, NULL, 'BKS'),
		('535', 'Nota sulla localizzazione degli originali/duplicati', 'Nota sulla localizzazione degli originali/duplicati', 1, 0, NULL, 'BKS'),
		('536', 'Nota d’informazione sul finanziamento', 'Nota d’informazione sul finanziamento', 1, 0, NULL, 'BKS'),
		('537', 'SOURCE OF DATA NOTE (CF) [OBSOLETE]', 'SOURCE OF DATA NOTE (CF) [OBSOLETE]', 0, 0, NULL, 'BKS'),
		('538', 'Nota sui requisiti del sistema', 'Nota sui requisiti del sistema', 1, 0, NULL, 'BKS'),
		('540', 'Nota sulle condizioni che regolano l\'utilizzo e la riproduzione', 'Nota sulle condizioni che regolano l\'utilizzo e la riproduzione', 1, 0, NULL, 'BKS'),
		('541', 'Nota sulla fonte immediata d\'acquisto', 'Nota sulla fonte immediata d\'acquisto', 1, 0, NULL, 'BKS'),
		('543', 'SOLICITATION INFORMATION NOTE (AM) [OBSOLETE]', 'SOLICITATION INFORMATION NOTE (AM) [OBSOLETE]', 1, 0, NULL, 'BKS'),
		('544', 'Nota sulla localizzazione d’altri materiali d’archivio', 'Nota sulla localizzazione d’altri materiali d’archivio', 1, 0, NULL, 'BKS'),
		('545', 'Dati biografici o storici', 'Dati biografici o storici', 1, 0, NULL, 'BKS'),
		('546', 'Nota sulla lingua', 'Nota sulla lingua', 1, 0, NULL, 'BKS'),
		('547', 'Nota sulla complessità del titolo precedente', 'Nota sulla complessità del titolo precedente', 1, 0, NULL, 'BKS'),
		('550', 'Nota sull\'ente responsabile', 'Nota sull\'ente responsabile', 1, 0, NULL, 'BKS'),
		('552', 'Nota d’informazione sull’ente e l’attributo', 'Nota d’informazione sull’ente e l’attributo', 1, 0, NULL, 'BKS'),
		('555', 'Nota sull\'indice cumulativo/strumenti di ricerca', 'Nota sull\'indice cumulativo/strumenti di ricerca', 1, 0, NULL, 'BKS'),
		('556', 'Nota d\'informazione sulla documentazione', 'Nota d\'informazione sulla documentazione', 1, 0, NULL, 'BKS'),
		('561', 'Storia della proprietà e custodia', 'Storia della proprietà e custodia', 1, 0, NULL, 'BKS'),
		('562', 'Nota d\'identificazione della copia e della versione', 'Nota d\'identificazione della copia e della versione', 1, 0, NULL, 'BKS'),
		('563', 'Informazione sulla rilegatura', 'Informazione sulla rilegatura', 1, 0, NULL, 'BKS'),
		('565', 'Nota sulle caratteristiche della singola pratica', 'Nota sulle caratteristiche della singola pratica', 1, 0, NULL, 'BKS'),
		('567', 'Nota sulla metodologia', 'Nota sulla metodologia', 1, 0, NULL, 'BKS'),
		('570', 'EDITOR NOTE (SE) [OBSOLETE]', 'EDITOR NOTE (SE) [OBSOLETE]', 1, 0, NULL, 'BKS'),
		('580', 'Nota di collegamento complesso', 'Nota di collegamento complesso', 1, 0, NULL, 'BKS'),
		('581', 'Nota di pubblicazioni sui materiali descritti', 'Nota di pubblicazioni sui materiali descritti', 1, 0, NULL, 'BKS'),
		('582', 'RELATED COMPUTER FILES NOTE (CF) [OBSOLETE]', 'RELATED COMPUTER FILES NOTE (CF) [OBSOLETE]', 1, 0, NULL, 'BKS'),
		('583', 'Nota d’azione', 'Nota d’azione', 1, 0, NULL, 'BKS'),
		('584', 'Nota di accumulo e di frequenza d’uso', 'Nota di accumulo e di frequenza d’uso', 1, 0, NULL, 'BKS'),
		('585', 'Nota di mostre', 'Nota di mostre', 1, 0, NULL, 'BKS'),
		('586', 'Nota di premi', 'Nota di premi', 1, 0, NULL, 'BKS'),
		('590', 'LOCAL NOTE (RLIN)', 'LOCAL NOTE (RLIN)', 1, 0, NULL, 'BKS'),
		('600', 'Accesso aggiunto di soggetto-–Nome di persona', 'Accesso aggiunto di soggetto-–Nome di persona', 1, 0, NULL, 'BKS'),
		('610', 'Accesso aggiunto di soggetto--nome di ente', 'Accesso aggiunto di soggetto--nome di ente', 1, 0, NULL, 'BKS'),
		('611', 'Accesso aggiunto di soggetto--nome di convegno', 'Accesso aggiunto di soggetto--nome di convegno', 1, 0, NULL, 'BKS'),
		('630', 'Accesso aggiunto di soggetto--titolo uniforme', 'Accesso aggiunto di soggetto--titolo uniforme', 1, 0, NULL, 'BKS'),
		('648', 'Accesso aggiunto di soggetto--termine cronologico', 'Accesso aggiunto di soggetto--termine cronologico', 1, 0, NULL, 'BKS'),
		('650', 'Accesso aggiunto di soggetto--termine topico', 'Accesso aggiunto di soggetto--termine topico', 1, 0, NULL, 'BKS'),
		('651', 'Accesso aggiunto di soggetto--nome geografico', 'Accesso aggiunto di soggetto--nome geografico', 1, 0, NULL, 'BKS'),
		('652', 'SUBJECT ADDED ENTRY--REVERSE GEOGRAPHIC (BK MP SE) [OBSOLETE]', 'SUBJECT ADDED ENTRY--REVERSE GEOGRAPHIC (BK MP SE) [OBSOLETE]', 1, 0, NULL, 'BKS'),
		('653', 'Termine d’indicizzazione--non controllato', 'Termine d’indicizzazione--non controllato', 1, 0, NULL, 'BKS'),
		('654', 'Accesso aggiunto di soggetto--termini topici faccettati', 'Accesso aggiunto di soggetto--termini topici faccettati', 1, 0, NULL, 'BKS'),
		('655', 'Termine d’indicizzazione--genere/forma', 'Termine d’indicizzazione--genere/forma', 1, 0, NULL, 'BKS'),
		('656', 'Termine d’indicizzazione--occupazione', 'Termine d’indicizzazione--occupazione', 1, 0, NULL, 'BKS'),
		('657', 'Termine d’indicizzazione--funzione', 'Termine d’indicizzazione--funzione', 1, 0, NULL, 'BKS'),
		('658', 'Termine d’indicizzazione--obiettivi del curriculum scolastico', 'Termine d’indicizzazione--obiettivi del curriculum scolastico', 1, 0, NULL, 'BKS'),
		('662', 'Accesso aggiunto di soggetto --nome gerarchico di luogo', 'Accesso aggiunto di soggetto --nome gerarchico di luogo', 1, 0, NULL, 'BKS'),
		('690', 'LOCAL SUBJECT ADDED ENTRY--TOPICAL TERM (OCLC, RLIN)', 'LOCAL SUBJECT ADDED ENTRY--TOPICAL TERM (OCLC, RLIN)', 1, 0, '', 'BKS'),
		('691', 'LOCAL SUBJECT ADDED ENTRY--GEOGRAPHIC NAME (RLIN)', 'LOCAL SUBJECT ADDED ENTRY--GEOGRAPHIC NAME (RLIN)', 1, 0, '', 'BKS'),
		('696', 'LOCAL SUBJECT ADDED ENTRY--PERSONAL NAME (RLIN)', 'LOCAL SUBJECT ADDED ENTRY--PERSONAL NAME (RLIN)', 1, 0, '', 'BKS'),
		('697', 'LOCAL SUBJECT ADDED ENTRY--CORPORATE NAME (RLIN)', 'LOCAL SUBJECT ADDED ENTRY--CORPORATE NAME (RLIN)', 1, 0, '', 'BKS'),
		('698', 'LOCAL SUBJECT ADDED ENTRY--MEETING NAME (RLIN)', 'LOCAL SUBJECT ADDED ENTRY--MEETING NAME (RLIN)', 1, 0, '', 'BKS'),
		('699', 'LOCAL SUBJECT ADDED ENTRY--UNIFORM TITLE (RLIN)', 'LOCAL SUBJECT ADDED ENTRY--UNIFORM TITLE (RLIN)', 1, 0, '', 'BKS'),
		('700', 'Accesso aggiunto--nome di persona', 'Accesso aggiunto--nome di persona', 1, 0, NULL, 'BKS'),
		('705', 'ADDED ENTRY--PERSONAL NAME (PERFORMER) (MU) [OBSOLETE]', 'ADDED ENTRY--PERSONAL NAME (PERFORMER) (MU) [OBSOLETE]', 1, 0, NULL, 'BKS'),
		('710', 'Accesso aggiunto--nome di ente', 'Accesso aggiunto--nome di ente', 1, 0, NULL, 'BKS'),
		('711', 'Accesso aggiunto--nome di convegno', 'Accesso aggiunto--nome di convegno', 1, 0, NULL, 'BKS'),
		('715', 'ADDED ENTRY--CORPORATE NAME (PERFORMER) (MU) [OBSOLETE]', 'ADDED ENTRY--CORPORATE NAME (PERFORMER) (MU) [OBSOLETE]', 1, 0, NULL, 'BKS'),
		('720', 'Accesso aggiunto--nome non controllato', 'Accesso aggiunto--nome non controllato', 1, 0, NULL, 'BKS'),
		('730', 'Accesso aggiunto--titolo uniforme', 'Accesso aggiunto--titolo uniforme', 1, 0, NULL, 'BKS'),
		('740', 'Accesso aggiunto--titolo analitico/correlato non controllato', 'Accesso aggiunto--titolo analitico/correlato non controllato', 1, 0, NULL, 'BKS'),
		('752', 'Accesso aggiunto – nome gerarchico di luogo', 'Accesso aggiunto – nome gerarchico di luogo', 1, 0, NULL, 'BKS'),
		('753', 'Dettagli sul sistema per accedere ai computer file', 'Dettagli sul sistema per accedere ai computer file', 1, 0, NULL, 'BKS'),
		('754', 'Accesso aggiunto--identificazione tassonomica', 'Accesso aggiunto--identificazione tassonomica', 1, 0, NULL, 'BKS'),
		('755', 'ADDED ENTRY--PHYSICAL CHARACTERISTICS [OBSOLETE]', 'ADDED ENTRY--PHYSICAL CHARACTERISTICS [OBSOLETE]', 1, 0, NULL, 'BKS'),
		('760', 'Accesso di serie principale', 'Accesso di serie principale', 1, 0, NULL, 'BKS'),
		('762', 'Accesso di sottoserie', 'Accesso di sottoserie', 1, 0, NULL, 'BKS'),
		('765', 'Accesso di lingua originale', 'Accesso di lingua originale', 1, 0, NULL, 'BKS'),
		('767', 'Accesso di supplemento/numero speciale', 'Accesso di supplemento/numero speciale', 1, 0, NULL, 'BKS'),
		('770', 'Accesso di supplemento/numero speciale', 'Accesso di supplemento/numero speciale', 1, 0, NULL, 'BKS'),
		('772', 'Accesso di pubblicazione principale', 'Accesso di pubblicazione principale', 1, 0, NULL, 'BKS'),
		('773', 'Accesso d’item ospite', 'Accesso d’item ospite', 1, 0, NULL, 'BKS'),
		('774', 'Accesso d’unità costituente', 'Accesso d’unità costituente', 1, 0, NULL, 'BKS'),
		('775', 'Acceso di un’altra edizione', 'Acceso di un’altra edizione', 1, 0, NULL, 'BKS'),
		('776', 'Accesso di forma fisica aggiunta', 'Accesso di forma fisica aggiunta', 1, 0, NULL, 'BKS'),
		('777', 'Accesso di ', 'Accesso di ', 1, 0, NULL, 'BKS'),
		('780', 'Accesso precedente', 'Accesso precedente', 1, 0, NULL, 'BKS'),
		('785', 'Accesso successivo', 'Accesso successivo', 1, 0, NULL, 'BKS'),
		('786', 'Accesso di fonte dei dati', 'Accesso di fonte dei dati', 1, 0, NULL, 'BKS'),
		('787', 'Accesso di relazione non specificata', 'Accesso di relazione non specificata', 1, 0, NULL, 'BKS'),
		('789', 'COMPONENT ITEM ENTRY (RLIN)', 'COMPONENT ITEM ENTRY (RLIN)', 1, 0, '', 'BKS'),
		('796', 'LOCAL ADDED ENTRY--PERSONAL NAME (RLIN)', 'LOCAL ADDED ENTRY--PERSONAL NAME (RLIN)', 1, 0, '', 'BKS'),
		('797', 'LOCAL ADDED ENTRY--CORPORATE NAME (RLIN)', 'LOCAL ADDED ENTRY--CORPORATE NAME (RLIN)', 1, 0, '', 'BKS'),
		('798', 'LOCAL ADDED ENTRY--MEETING NAME (RLIN)', 'LOCAL ADDED ENTRY--MEETING NAME (RLIN)', 1, 0, '', 'BKS'),
		('799', 'LOCAL ADDED ENTRY--UNIFORM TITLE (RLIN)', 'LOCAL ADDED ENTRY--UNIFORM TITLE (RLIN)', 1, 0, '', 'BKS'),
		('800', 'Accesso aggiunto di serie--nome di persona', 'Accesso aggiunto di serie--nome di persona', 1, 0, NULL, 'BKS'),
		('810', 'Accesso aggiunto di serie--nome di ente', 'Accesso aggiunto di serie--nome di ente', 1, 0, NULL, 'BKS'),
		('811', 'Accesso aggiunto di serie--nome di convegno', 'Accesso aggiunto di serie--nome di convegno', 1, 0, NULL, 'BKS'),
		('830', 'Accesso aggiunto di serie--titolo uniforme', 'Accesso aggiunto di serie--titolo uniforme', 1, 0, NULL, 'BKS'),
		('840', 'SERIES ADDED ENTRY--TITLE [OBSOLETE]', 'SERIES ADDED ENTRY--TITLE [OBSOLETE]', 1, 0, NULL, 'BKS'),
		('841', 'Valori dei dati codificati di posseduti', 'Valori dei dati codificati di posseduti', 0, 0, NULL, 'BKS'),
		('842', 'Designatore testuale di forma fisica', 'Designatore testuale di forma fisica', 0, 0, NULL, 'BKS'),
		('843', 'Nota di riproduzione', 'Nota di riproduzione', 1, 0, NULL, 'BKS'),
		('844', 'Nome dell’unità', 'Nome dell’unità', 0, 0, NULL, 'BKS'),
		('845', 'Nota sulle condizioni che regolano l\'utilizzo e la riproduzione', 'Nota sulle condizioni che regolano l\'utilizzo e la riproduzione', 1, 0, NULL, 'BKS'),
		('850', 'Istituzione possedente', 'Istituzione possedente', 1, 0, NULL, 'BKS'),
		('851', 'LOCATION [OBSOLETE]', 'LOCATION [OBSOLETE]', 1, 0, NULL, 'BKS'),
		('852', 'Localizzazione', 'Localizzazione', 1, 0, NULL, 'BKS'),
		('853', 'Legende e modello--unità bibliografica basilare', 'Legende e modello--unità bibliografica basilare', 1, 0, NULL, 'BKS'),
		('854', 'Legende e modello--supplementi', 'Legende e modello--supplementi', 1, 0, NULL, 'BKS'),
		('855', 'Legende e modello--indici', 'Legende e modello--indici', 1, 0, NULL, 'BKS'),
		('856', 'Localizzazione e accesso elettronico', 'Localizzazione e accesso elettronico', 1, 0, NULL, 'BKS'),
		('859', 'LOCAL CONTROL INFORMATION (RLIN)', 'LOCAL CONTROL INFORMATION (RLIN)', 1, 0, '', 'BKS'),
		('863', 'Numerazione e cronologia--unità bibliografica basilare', 'Numerazione e cronologia--unità bibliografica basilare', 1, 0, NULL, 'BKS'),
		('864', 'Numerazione e cronologia--supplementi', 'Numerazione e cronologia--supplementi', 1, 0, NULL, 'BKS'),
		('865', 'Numerazione e cronologia--indici', 'Numerazione e cronologia--indici', 1, 0, NULL, 'BKS'),
		('866', 'Formulazione testuale di posseduti--unità bibliografica basilare', 'Formulazione testuale di posseduti--unità bibliografica basilare', 1, 0, NULL, 'BKS'),
		('867', 'Formulazione testuale di posseduti--supplementi', 'Formulazione testuale di posseduti--supplementi', 1, 0, NULL, 'BKS'),
		('868', 'Formulazione testuale di posseduti--indici', 'Formulazione testuale di posseduti--indici', 1, 0, NULL, 'BKS'),
		('870', 'VARIANT PERSONAL NAME (SE) [OBSOLETE]', 'VARIANT PERSONAL NAME (SE) [OBSOLETE]', 1, 0, NULL, 'BKS'),
		('871', 'VARIANT CORPORATE NAME (SE)[OBSOLETE]', 'VARIANT CORPORATE NAME (SE)[OBSOLETE]', 1, 0, NULL, 'BKS'),
		('872', 'VARIANT CONFERENCE OR MEETING NAME (SE) [OBSOLETE]', 'VARIANT CONFERENCE OR MEETING NAME (SE) [OBSOLETE]', 1, 0, NULL, 'BKS'),
		('873', 'VARIANT UNIFORM TITLE HEADING (SE) [OBSOLETE]', 'VARIANT UNIFORM TITLE HEADING (SE) [OBSOLETE]', 1, 0, NULL, 'BKS'),
		('876', 'Informazione sull’item--unità bibliografica basilare', 'Informazione sull’item--unità bibliografica basilare', 1, 0, NULL, 'BKS'),
		('877', 'Informazione sull’item--supplementi', 'Informazione sull’item--supplementi', 1, 0, NULL, 'BKS'),
		('878', 'Informazione sull’item--indici', 'Informazione sull’item--indici', 1, 0, NULL, 'BKS'),
		('880', 'Rappresentazione grafica alternativa', 'Rappresentazione grafica alternativa', 1, 0, NULL, 'BKS'),
		('886', 'Campo dell’informazione per MARC differenti', 'Campo dell’informazione per MARC differenti', 1, 0, NULL, 'BKS'),
		('887', 'Campo dell’informazione per non-MARC', 'Campo dell’informazione per non-MARC', 1, 0, NULL, 'BKS'),
		('896', 'LOCAL SERIES ADDED ENTRY--PERSONAL NAME (RLIN)', 'LOCAL SERIES ADDED ENTRY--PERSONAL NAME (RLIN)', 1, 0, '', 'BKS'),
		('897', 'LOCAL SERIES ADDED ENTRY--CORPORATE NAME (RLIN)', 'LOCAL SERIES ADDED ENTRY--CORPORATE NAME (RLIN)', 1, 0, '', 'BKS'),
		('898', 'LOCAL SERIES ADDED ENTRY--MEETING NAME (RLIN)', 'LOCAL SERIES ADDED ENTRY--MEETING NAME (RLIN)', 1, 0, '', 'BKS'),
		('899', 'LOCAL SERIES ADDED ENTRY--UNIFORM TITLE (RLIN)', 'LOCAL SERIES ADDED ENTRY--UNIFORM TITLE (RLIN)', 1, 0, '', 'BKS'),
		('900', 'EQUIVALENCE OR CROSS-REFERENCE-PERSONAL NAME [LOCAL, CANADA]', 'EQUIVALENCE OR CROSS-REFERENCE-PERSONAL NAME [LOCAL, CANADA]', 1, 0, '', 'BKS'),
		('901', 'LOCAL DATA ELEMENT A, LDA (RLIN)', 'LOCAL DATA ELEMENT A, LDA (RLIN)', 1, 0, '', 'BKS'),
		('902', 'LOCAL DATA ELEMENT B, LDB (RLIN)', 'LOCAL DATA ELEMENT B, LDB (RLIN)', 1, 0, '', 'BKS'),
		('903', 'LOCAL DATA ELEMENT C, LDC (RLIN)', 'LOCAL DATA ELEMENT C, LDC (RLIN)', 1, 0, '', 'BKS'),
		('904', 'LOCAL DATA ELEMENT D, LDD (RLIN)', 'LOCAL DATA ELEMENT D, LDD (RLIN)', 1, 0, '', 'BKS'),
		('905', 'LOCAL DATA ELEMENT E, LDE (RLIN)', 'LOCAL DATA ELEMENT E, LDE (RLIN)', 1, 0, '', 'BKS'),
		('906', 'LOCAL DATA ELEMENT F, LDF (RLIN)', 'LOCAL DATA ELEMENT F, LDF (RLIN)', 1, 0, '', 'BKS'),
		('907', 'LOCAL DATA ELEMENT G, LDG (RLIN)', 'LOCAL DATA ELEMENT G, LDG (RLIN)', 1, 0, '', 'BKS'),
		('908', 'PUT COMMAND PARAMETER (RLIN)', 'PUT COMMAND PARAMETER (RLIN)', 0, 0, '', 'BKS'),
		('910', 'USER-OPTION DATA (OCLC)', 'USER-OPTION DATA (OCLC)', 0, 0, '', 'BKS'),
		('911', 'EQUIVALENCE OR CROSS-REFERENCE-CONFERENCE OR MEETING NAME [LOCAL, CANADA]', 'EQUIVALENCE OR CROSS-REFERENCE-CONFERENCE OR MEETING NAME [LOCAL, CANADA]', 1, 0, '', 'BKS'),
		('930', 'EQUIVALENCE OR CROSS-REFERENCE-UNIFORM TITLE HEADING [LOCAL, CANADA]', 'EQUIVALENCE OR CROSS-REFERENCE-UNIFORM TITLE HEADING [LOCAL, CANADA]', 1, 0, '', 'BKS'),
		('936', 'OCLC/CONSER MISCELLANEOUS DATA (OCLC); PIECE USED FOR CATALOGING (pre-AACR2) (RLIN)', 'OCLC/CONSER MISCELLANEOUS DATA (OCLC); PIECE USED FOR CATALOGING (pre-AACR2) (RLIN)', 0, 0, '', 'BKS'),
		('940', 'EQUIVALENCE OR CROSS-REFERENCE--UNIFORM TITLE [OBSOLETE] [CAN/MARC only]', 'EQUIVALENCE OR CROSS-REFERENCE--UNIFORM TITLE [OBSOLETE] [CAN/MARC only]', 1, 0, '', 'BKS'),
		('941', 'EQUIVALENCE OR CROSS-REFERENCE--ROMANIZED TITLE [OBSOLETE] [CAN/MARC only]', 'EQUIVALENCE OR CROSS-REFERENCE--ROMANIZED TITLE [OBSOLETE] [CAN/MARC only]', 1, 0, '', 'BKS'),
		('943', 'EQUIVALENCE OR CROSS-REFERENCE--COLLECTIVE TITLE [OBSOLETE] [CAN/MARC only]', 'EQUIVALENCE OR CROSS-REFERENCE--COLLECTIVE TITLE [OBSOLETE] [CAN/MARC only]', 1, 0, '', 'BKS'),
		('945', 'LOCAL PROCESSING INFORMATION (OCLC)', 'LOCAL PROCESSING INFORMATION (OCLC)', 1, 0, '', 'BKS'),
		('946', 'LOCAL PROCESSING INFORMATION (OCLC)', 'LOCAL PROCESSING INFORMATION (OCLC)', 1, 0, '', 'BKS'),
		('947', 'LOCAL PROCESSING INFORMATION (OCLC)', 'LOCAL PROCESSING INFORMATION (OCLC)', 1, 0, '', 'BKS'),
		('948', 'LOCAL PROCESSING INFORMATION (OCLC); SERIES PART DESIGNATOR (RLIN)', 'LOCAL PROCESSING INFORMATION (OCLC); SERIES PART DESIGNATOR (RLIN)', 1, 0, '', 'BKS'),
		('949', 'LOCAL PROCESSING INFORMATION (OCLC)', 'LOCAL PROCESSING INFORMATION (OCLC)', 1, 0, '', 'BKS'),
		('950', 'LOCAL HOLDINGS (RLIN)', 'LOCAL HOLDINGS (RLIN)', 1, 0, '', 'BKS'),
		('951', 'EQUIVALENCE OR CROSS-REFERENCE--GEOGRAPHIC NAME/AREA NAME [OBSOLETE] [CAN/MARC only]', 'EQUIVALENCE OR CROSS-REFERENCE--GEOGRAPHIC NAME/AREA NAME [OBSOLETE] [CAN/MARC only]', 1, 0, '', 'BKS'),
		('955', 'COPY-LEVEL INFORMATION (RLIN)', 'COPY-LEVEL INFORMATION (RLIN)', 1, 0, '', 'BKS'),
		('956', 'LOCAL ELECTRONIC LOCATION AND ACCESS (OCLC)', 'LOCAL ELECTRONIC LOCATION AND ACCESS (OCLC)', 1, 0, '', 'BKS'),
		('960', 'PHYSICAL LOCATION (RLIN)', 'PHYSICAL LOCATION (RLIN)', 1, 0, '', 'BKS'),
		('967', 'ADDITIONAL ESTC CODES (RLIN)', 'ADDITIONAL ESTC CODES (RLIN)', 1, 0, '', 'BKS'),
		('980', 'EQUIVALENCE OR CROSS-REFERENCE-SERIES STATEMENT--PERSONAL NAME/TITLE [LOCAL, CANADA]', 'EQUIVALENCE OR CROSS-REFERENCE-SERIES STATEMENT--PERSONAL NAME/TITLE [LOCAL, CANADA]', 1, 0, '', 'BKS'),
		('981', 'EQUIVALENCE OR CROSS-REFERENCE-SERIES STATEMENT--CORPORATE NAME/TITLE [LOCAL, CANADA]', 'EQUIVALENCE OR CROSS-REFERENCE-SERIES STATEMENT--CORPORATE NAME/TITLE [LOCAL, CANADA]', 1, 0, '', 'BKS'),
		('982', 'EQUIVALENCE OR CROSS-REFERENCE-SERIES STATEMENT--CONFERENCE OR MEETING NAME/TITLE [LOCAL, CANADA]', 'EQUIVALENCE OR CROSS-REFERENCE-SERIES STATEMENT--CONFERENCE OR MEETING NAME/TITLE [LOCAL, CANADA]', 1, 0, '', 'BKS'),
		('983', 'EQUIVALENCE OR CROSS-REFERENCE-SERIES STATEMENT--TITLE/UNIFORM TITLE [LOCAL, CANADA]', 'EQUIVALENCE OR CROSS-REFERENCE-SERIES STATEMENT--TITLE/UNIFORM TITLE [LOCAL, CANADA]', 1, 0, '', 'BKS'),
		('984', 'WLN AUTOMATIC HOLDINGS STATEMENT (OCLC)', 'WLN AUTOMATIC HOLDINGS STATEMENT (OCLC)', 1, 0, '', 'BKS'),
		('987', 'LOCAL ROMANIZATION/CONVERSION HISTORY (OCLC)', 'LOCAL ROMANIZATION/CONVERSION HISTORY (OCLC)', 1, 0, '', 'BKS'),
		('990', 'EQUIVALENCES OR CROSS-REFERENCES [LOCAL, CANADA]', 'EQUIVALENCES OR CROSS-REFERENCES [LOCAL, CANADA]', 1, 0, '', 'BKS'),
		('995', 'RECOMMENDATION 995 [LOCAL, UNIMARC FRANCE]', 'RECOMMENDATION 995 [LOCAL, UNIMARC FRANCE]', 1, 0, '', 'BKS'),
		('998', 'LOCAL CONTROL INFORMATION (RLIN)', 'LOCAL CONTROL INFORMATION (RLIN)', 1, 0, '', 'BKS');



INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES
		('000', '@', 'campo di controllo lung. fissa', 'campo di controllo lung. fissa', 0, 1, '', 0, '', '', 'marc21_leader.pl', 0, 0, 'BKS', '', '', NULL),
		('001', '@', 'campo di controllo', 'campo di controllo', 0, 0, '', 0, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('003', '@', 'campo di controllo', 'campo di controllo', 0, 0, '', 0, '', '', 'marc21_field_003.pl', 0, -6, 'BKS', '', '', NULL),
		('005', '@', 'campo di controllo', 'campo di controllo', 0, 0, '', 0, '', '', 'marc21_field_005.pl', 0, -1, 'BKS', '', '', NULL),
		('006', '@', 'campo di controllo lung. fissa', 'campo di controllo lung. fissa', 0, 0, '', 0, '', '', 'marc21_field_006.pl', 0, -1, 'BKS', '', '', NULL),
		('007', '@', 'campo di controllo lung. fissa', 'campo di controllo lung. fissa', 0, 0, '', 0, '', '', 'marc21_field_007.pl', 0, 0, 'BKS', '', '', NULL),
		('008', '@', 'campo di controllo lung. fissa', 'campo di controllo lung. fissa', 0, 1, '', 0, '', '', 'marc21_field_008.pl', 0, 0, 'BKS', '', '', NULL),
		('009', '@', 'campo di controllo lung. fissa', 'campo di controllo lung. fissa', 0, 0, '', 0, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('010', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 0, '', '', NULL, 0, -6, 'BKS', '', '', NULL),
		('010', 'a', 'Numero di controllo della LC', 'Numero di controllo della LC', 0, 0, 'biblioitems.lccn', 0, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('010', 'b', 'Numero di controllo del NUCMC', 'Numero di controllo del NUCMC', 1, 0, '', 0, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('010', 'z', 'Numero di controllo della LC cancellato o errato', 'Numero di controllo della LC cancellato o errato', 1, 0, '', 0, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('011', 'a', 'Numero di controllo della LC', 'Numero di controllo della LC', 1, 0, '', 0, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('013', '6', 'Collegamento', 'Collegamento', 0, 0, '', 0, '', '', NULL, 0, -6, 'BKS', '', '', NULL),
		('013', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 0, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('013', 'a', 'Numero', 'Numero', 0, 0, '', 0, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('013', 'b', 'Paese', 'Paese', 0, 0, '', 0, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('013', 'c', 'Tipo di numero', 'Tipo di numero', 0, 0, '', 0, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('013', 'd', 'Data', 'Data', 1, 0, '', 0, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('013', 'e', 'Stato', 'Stato', 1, 0, '', 0, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('013', 'f', 'Parte responsabile del documento', 'Parte responsabile del documento', 1, 0, '', 0, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('015', '2', 'Fonte', 'Fonte', 0, 0, '', 0, '', '', NULL, 0, -6, 'BKS', '', '', NULL),
		('015', '6', 'Collegamento', 'Collegamento', 0, 0, '', 0, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('015', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 0, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('015', 'a', 'Numero della bibliografia nazionale', 'Numero della bibliografia nazionale', 1, 0, '', 0, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('016', '2', 'Fonte', 'Fonte', 0, 0, '', 0, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('016', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 0, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('016', 'a', 'Numero di controllo della registrazione', 'Numero di controllo della registrazione', 0, 0, '', 0, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('016', 'z', 'Numero di controllo della registrazione cancellato o errato', 'Numero di controllo della registrazione cancellato o errato', 1, 0, '', 0, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('017', '2', 'Fonte', 'Fonte', 0, 0, '', 0, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('017', '6', 'Collegamento', 'Collegamento', 0, 0, '', 0, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('017', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 0, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('017', 'a', 'Numero di copyright o di deposito legale', 'Numero di copyright o di deposito legale', 1, 0, '', 0, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('017', 'b', 'Agenzia che assegna il numero', 'Agenzia che assegna il numero', 0, 0, '', 0, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('017', 'd', 'Data', 'Data', 0, 0, '', 0, '', '', NULL, 0, -6, 'BKS', '', '', NULL),
		('017', 'i', 'Testo da visualizzare', 'Testo da visualizzare', 0, 0, '', 0, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('018', '6', 'Collegamento', 'Collegamento', 0, 0, '', 0, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('018', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 0, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('018', 'a', 'Codice di tassa sul copyright dell\'articolo', 'Codice di tassa sul copyright dell\'articolo', 0, 0, '', 0, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('020', '6', 'Collegamento', 'Collegamento', 0, 0, '', 0, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('020', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 0, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('020', 'a', 'ISBN (International Standard Book Number)', 'ISBN (International Standard Book Number)', 0, 0, 'biblioitems.isbn', 0, '', '', '', 0, 0, 'BKS', '', '', NULL),
		('020', 'c', 'Termini di disponibilità', 'Termini di disponibilità', 0, 0, '', 0, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('020', 'z', 'ISBN cancellato o errato', 'ISBN cancellato o errato', 1, 0, '', 0, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('022', '2', 'Fonte', 'Fonte', 0, 0, '', 0, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('022', '6', 'Collegamento', 'Collegamento', 0, 0, '', 0, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('022', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 0, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('022', 'a', 'ISSN (International Standard Serial Number)', 'ISSN (International Standard Serial Number)', 0, 0, 'biblioitems.issn', 0, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('022', 'y', 'ISSN errato', 'ISSN errato', 1, 0, '', 0, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('022', 'z', 'ISSN cancellato', 'ISSN cancellato', 1, 0, '', 0, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('023', 'a', 'Standard film number', 'Standard film number', 0, 0, '', 0, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('024', '2', 'Fonte del numero o codice', 'Fonte del numero o codice', 0, 0, '', 0, '', '', '', 0, -1, 'BKS', '', '', NULL),
		('024', '6', 'Collegamento', 'Collegamento', 0, 0, '', 0, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('024', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 0, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('024', 'a', 'Numero standard o codice', 'Numero standard o codice', 0, 0, '', 0, '', '', '', 0, -1, 'BKS', '', '', NULL),
		('024', 'b', 'Additional codes following the standard number [OBSOLETE]', 'Additional codes following the standard number [OBSOLETE]', 0, 0, '', 0, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('024', 'c', 'Termini di disponibilità', 'Termini di disponibilità', 0, 0, '', 0, '', '', '', 0, -1, 'BKS', '', '', NULL),
		('024', 'd', 'Codici addizionali che seguono il numero standard o codice', 'Codici addizionali che seguono il numero standard o codice', 0, 0, '', 0, '', '', '', 0, -1, 'BKS', '', '', NULL),
		('024', 'z', 'Numero standard o codice, cancellato o errato', 'Numero standard o codice, cancellato o errato', 1, 0, '', 0, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('025', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 0, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('025', 'a', 'Numero d\'acquisto estero', 'Numero d\'acquisto estero', 1, 0, '', 0, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('026', '2', 'Fonte', 'Fonte', 0, 0, '', 0, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('026', '5', 'Istituzione a cui si applica il campo', 'Istituzione a cui si applica il campo', 1, 0, '', 0, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('026', '6', 'Collegamento', 'Collegamento', 0, 0, '', 0, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('026', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 0, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('026', 'a', 'Primo e secondo gruppo di caratteri', 'Primo e secondo gruppo di caratteri', 0, 0, '', 0, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('026', 'b', 'Terzo e quarto gruppo di caratteri', 'Terzo e quarto gruppo di caratteri', 0, 0, '', 0, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('026', 'c', 'Data', 'Data', 0, 0, '', 0, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('026', 'd', 'Numero del volume o parte', 'Numero del volume o parte', 0, 0, '', 0, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('026', 'e', 'Impronta non analizzata', 'Impronta non analizzata', 0, 0, '', 0, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('027', '6', 'Collegamento', 'Collegamento', 0, 0, '', 0, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('027', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 0, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('027', 'a', 'Standard Technical Report Number', 'Standard Technical Report Number', 0, 0, '', 0, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('027', 'z', 'Numero cancellato o errato', 'Numero cancellato o errato', 1, 0, '', 0, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('028', '6', 'Collegamento', 'Collegamento', 0, 0, '', 0, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('028', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 0, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('028', 'a', 'Numero dell\'editore', 'Numero dell\'editore', 0, 0, '', 0, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('028', 'b', 'Fonte', 'Fonte', 0, 0, '', 0, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('029', 'a', 'OCLC library identifier', 'OCLC library identifier', 0, 0, '', 0, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('029', 'b', 'System control number', 'System control number', 0, 0, '', 0, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('029', 'c', 'OAI set name', 'OAI set name', 0, 0, '', 0, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('029', 't', 'Content type identifier', 'Content type identifier', 0, 0, '', 0, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('030', '6', 'Collegamento', 'Collegamento', 0, 0, '', 0, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('030', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 0, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('030', 'a', 'CODEN', 'CODEN', 0, 0, '', 0, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('030', 'z', 'CODEN cancellato o errato', 'CODEN cancellato o errato', 1, 0, '', 0, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('031', '2', 'Codice di sistema', 'Codice di sistema', 0, 0, '', 0, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('031', '6', 'Collegamento', 'Collegamento', 0, 0, '', 0, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('031', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 0, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('031', 'a', 'Numero di composizione', 'Numero di composizione', 0, 0, '', 0, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('031', 'b', 'Numero di movimento', 'Numero di movimento', 0, 0, '', 0, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('031', 'c', 'Numero progressivo nel movimento', 'Numero progressivo nel movimento', 0, 0, '', 0, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('031', 'd', 'Titolo o intitolazione', 'Titolo o intitolazione', 1, 0, '', 0, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('031', 'e', 'Personaggio', 'Personaggio', 0, 0, '', 0, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('031', 'g', 'Chiave', 'Chiave', 0, 0, '', 0, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('031', 'm', 'Voce/strumento', 'Voce/strumento', 0, 0, '', 0, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('031', 'n', 'Alterazioni', 'Alterazioni', 0, 0, '', 0, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('031', 'o', 'Misura', 'Misura', 0, 0, '', 0, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('031', 'p', 'Contesto musicale', 'Contesto musicale', 0, 0, '', 0, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('031', 'q', 'Nota generale', 'Nota generale', 1, 0, '', 0, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('031', 'r', 'Tonalità o modo', 'Tonalità o modo', 0, 0, '', 0, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('031', 's', 'Nota codificata di validità', 'Nota codificata di validità', 1, 0, '', 0, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('031', 't', 'Incipit testuale', 'Incipit testuale', 1, 0, '', 0, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('031', 'u', 'URI (Uniform Resource Identifier)', 'URI (Uniform Resource Identifier)', 1, 0, '', 0, '', '', '', 1, -6, 'BKS', '', '', NULL),
		('031', 'y', 'Testo di collegamento', 'Testo di collegamento', 1, 0, '', 0, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('031', 'z', 'Nota pubblica', 'Nota pubblica', 1, 0, '', 0, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('032', '6', 'Collegamento', 'Collegamento', 0, 0, '', 0, '', '', NULL, 0, -6, 'BKS', '', '', NULL),
		('032', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 0, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('032', 'a', 'Numero di registrazione di posta', 'Numero di registrazione di posta', 0, 0, '', 0, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('032', 'b', 'Fonte (agenzia che assegna il numero)', 'Fonte (agenzia che assegna il numero)', 0, 0, '', 0, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('033', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, '', 0, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('033', '6', 'Collegamento', 'Collegamento', 0, 0, '', 0, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('033', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 0, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('033', 'a', 'Data/ora formattate', 'Data/ora formattate', 1, 0, '', 0, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('033', 'b', 'Codice di classificazione dell\'area geografica', 'Codice di classificazione dell\'area geografica', 1, 0, '', 0, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('033', 'c', 'Codice di classificazione della sottoarea geografica', 'Codice di classificazione della sottoarea geografica', 1, 0, '', 0, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('034', '2', 'Fonte', 'Fonte', 0, 0, '', 0, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('034', '6', 'Collegamento', 'Collegamento', 0, 0, '', 0, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('034', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 0, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('034', 'a', 'Categoria della scala', 'Categoria della scala', 0, 0, '', 0, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('034', 'b', 'Rapporto costante (scala orizzontale)', 'Rapporto costante (scala orizzontale)', 1, 0, '', 0, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('034', 'c', 'Rapporto costante (scala verticale)', 'Rapporto costante (scala verticale)', 1, 0, '', 0, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('034', 'd', 'Coordinate--longitudine limite Ovest', 'Coordinate--longitudine limite Ovest', 0, 0, '', 0, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('034', 'e', 'Coordinate--longitudine limite Est', 'Coordinate--longitudine limite Est', 0, 0, '', 0, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('034', 'f', 'Coordinate--latitudine limite Nord', 'Coordinate--latitudine limite Nord', 0, 0, '', 0, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('034', 'g', 'Coordinate--latitudine limite Sud', 'Coordinate--latitudine limite Sud', 0, 0, '', 0, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('034', 'h', 'Scala angolare', 'Scala angolare', 1, 0, '', 0, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('034', 'j', 'Declinazione--limite Nord', 'Declinazione--limite Nord', 0, 0, '', 0, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('034', 'k', 'Declinazione--limite Sud', 'Declinazione--limite Sud', 0, 0, '', 0, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('034', 'm', 'Ascensione retta--limite Est', 'Ascensione retta--limite Est', 0, 0, '', 0, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('034', 'n', 'Ascensione retta--limite Ovest', 'Ascensione retta--limite Ovest', 0, 0, '', 0, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('034', 'p', 'Equinozio', 'Equinozio', 0, 0, '', 0, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('034', 'r', 'Coordinate--latitudine limite Sud', 'Coordinate--latitudine limite Sud', 0, 0, '', 0, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('034', 's', 'Latitudine del perimetro', 'Latitudine del perimetro', 1, 0, '', 0, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('034', 't', 'Longitudine del perimetro', 'Longitudine del perimetro', 1, 0, '', 0, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('034', 'x', 'Data d\'inizio', 'Data d\'inizio', 0, 0, '', 0, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('034', 'y', 'Data di fine', 'Data di fine', 0, 0, '', 0, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('034', 'z', 'Nome dell\'oggetto extraterrestre', 'Nome dell\'oggetto extraterrestre', 0, 0, '', 0, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('035', '6', 'Collegamento', 'Collegamento', 0, 0, '', 0, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('035', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 0, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('035', 'a', 'System control number', 'System control number', 0, 0, '', 0, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('035', 'z', 'Numero di controllo del sistema cancellato o errato', 'Numero di controllo del sistema cancellato o errato', 1, 0, '', 0, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('036', '6', 'Collegamento', 'Collegamento', 0, 0, '', 0, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('036', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 0, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('036', 'a', 'Numero dello studio originale', 'Numero dello studio originale', 0, 0, '', 0, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('036', 'b', 'Fonte (agenzia che assegna il numero)', 'Fonte (agenzia che assegna il numero)', 0, 0, '', 0, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('037', '6', 'Collegamento', 'Collegamento', 0, 0, '', 0, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('037', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 0, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('037', 'a', 'Numero di magazzino', 'Numero di magazzino', 0, 0, '', 0, '', '', '', 0, -1, 'BKS', '', '', NULL),
		('037', 'b', 'Fonte del numero di magazzino/d\'acquisto', 'Fonte del numero di magazzino/d\'acquisto', 0, 0, '', 0, '', '', '', 0, -1, 'BKS', '', '', NULL),
		('037', 'c', 'Termini di disponibilità', 'Termini di disponibilità', 1, 0, '', 0, '', '', '', 0, -1, 'BKS', '', '', NULL),
		('037', 'f', 'Forma dell\'emissione', 'Forma dell\'emissione', 1, 0, '', 0, '', '', '', 0, -1, 'BKS', '', '', NULL),
		('037', 'g', 'Caratteristiche addizionali di formato', 'Caratteristiche addizionali di formato', 1, 0, '', 0, '', '', '', 0, -1, 'BKS', '', '', NULL),
		('037', 'n', 'Nota', 'Nota', 1, 0, '', 0, '', '', '', 0, -1, 'BKS', '', '', NULL),
		('038', '6', 'Collegamento', 'Collegamento', 0, 0, '', 0, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('038', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 0, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('038', 'a', 'Organizzazione che dà licenza d’uso del contenuto della registrazione', 'Organizzazione che dà licenza d’uso del contenuto della registrazione', 0, 0, '', 0, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('039', 'a', 'Level of rules in bibliographic description', 'Level of rules in bibliographic description', 0, 0, '', 0, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('039', 'b', 'Level of effort used to assign nonsubject heading access points', 'Level of effort used to assign nonsubject heading access points', 0, 0, '', 0, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('039', 'c', 'Level of effort used to assign subject headings', 'Level of effort used to assign subject headings', 0, 0, '', 0, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('039', 'd', 'Level of effort used to assign classification', 'Level of effort used to assign classification', 0, 0, '', 0, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('039', 'e', 'Number of fixed field character positions coded', 'Number of fixed field character positions coded', 0, 0, '', 0, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('040', '6', 'Collegamento', 'Collegamento', 0, 0, '', 0, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('040', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 0, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('040', 'a', 'Agenzia catalografica originale', 'Agenzia catalografica originale', 0, 0, '', 0, '', '', '', 0, -1, 'BKS', '', '', NULL),
		('040', 'b', 'Lingua della catalogazione', 'Lingua della catalogazione', 0, 0, '', 0, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('040', 'c', 'Agenzia che fa la trascrizione', 'Agenzia che fa la trascrizione', 0, 0, '', 0, '', '', '', 0, -1, 'BKS', '', '', NULL),
		('040', 'd', 'Agenzia che fa la modifica', 'Agenzia che fa la modifica', 1, 0, '', 0, '', '', '', 0, -1, 'BKS', '', '', NULL),
		('040', 'e', 'Regole di descrizione', 'Regole di descrizione', 0, 0, '', 0, '', '', '', 0, -1, 'BKS', '', '', NULL),
		('041', '2', 'Fonte del codice', 'Fonte del codice', 0, 0, '', 0, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('041', '6', 'Collegamento', 'Collegamento', 0, 0, '', 0, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('041', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 0, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('041', 'a', 'Codice di lingua del testo/traccia sonora o titolo separato', 'Codice di lingua del testo/traccia sonora o titolo separato', 1, 0, '', 0, '', '', '', 0, -1, 'BKS', '', '', NULL),
		('041', 'b', 'Codice di lingua del riassunto, estratto o sottotitoli', 'Codice di lingua del riassunto, estratto o sottotitoli', 1, 0, '', 0, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('041', 'c', 'Languages of separate titles (VM) [OBSOLETE] ; Languages of available translation  (SE) [OBSOLETE]', 'Languages of separate titles (VM) [OBSOLETE] ; Languages of available translation  (SE) [OBSOLETE]', 1, 0, '', 0, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('041', 'd', 'Codice della lingua del testo cantato o parlato', 'Codice della lingua del testo cantato o parlato', 1, 0, '', 0, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('041', 'e', 'Codice della lingua dei libretti', 'Codice della lingua dei libretti', 1, 0, '', 0, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('041', 'f', 'Codice della lingua del sommario', 'Codice della lingua del sommario', 1, 0, '', 0, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('041', 'g', 'Codice della lingua del materiale allegato diverso dai libretti', 'Codice della lingua del materiale allegato diverso dai libretti', 1, 0, '', 0, '', '', '', 0, -1, 'BKS', '', '', NULL),
		('041', 'h', 'Codice della lingua originale e/o delle traduzioni intermedie del testo', 'Codice della lingua originale e/o delle traduzioni intermedie del testo', 1, 0, '', 0, '', '', '', 0, -1, 'BKS', '', '', NULL),
		('042', 'a', 'Codice d\'autenticazione', 'Codice d\'autenticazione', 0, 0, '', 0, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('043', '2', 'Fonte del codice di sottoente locale', 'Fonte del codice di sottoente locale', 1, 0, '', 0, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('043', '6', 'Collegamento', 'Collegamento', 0, 0, '', 0, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('043', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 0, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('043', 'a', 'Codice dell\'area geografica', 'Codice dell\'area geografica', 1, 0, '', 0, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('043', 'b', 'Codice locale GAC (codice dell\'area geografica)', 'Codice locale GAC (codice dell\'area geografica)', 1, 0, '', 0, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('043', 'c', 'Codice ISO', 'Codice ISO', 1, 0, '', 0, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('044', '2', 'Fonte del codice di sottoente locale', 'Fonte del codice di sottoente locale', 1, 0, '', 0, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('044', '6', 'Collegamento', 'Collegamento', 0, 0, '', 0, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('044', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 0, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('044', 'a', 'Codice MARC del paese', 'Codice MARC del paese', 1, 0, '', 0, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('044', 'b', 'Codice di sottoente locale', 'Codice di sottoente locale', 1, 0, '', 0, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('044', 'c', 'Codice ISO del paese', 'Codice ISO del paese', 1, 0, '', 0, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('045', '6', 'Collegamento', 'Collegamento', 0, 0, '', 0, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('045', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 0, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('045', 'a', 'Codice di periodo di tempo', 'Codice di periodo di tempo', 1, 0, '', 0, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('045', 'b', 'Periodo di tempo formattato dal 9999 a.C. fino al 9999 d.C.', 'Periodo di tempo formattato dal 9999 a.C. fino al 9999 d.C.', 1, 0, '', 0, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('045', 'c', 'Periodo di tempo formattato anteriore al 9999 a.C.', 'Periodo di tempo formattato anteriore al 9999 a.C.', 1, 0, '', 0, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('046', '2', 'Fonte della data', 'Fonte della data', 0, 0, '', 0, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('046', '6', 'Collegamento', 'Collegamento', 0, 0, '', 0, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('046', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 0, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('046', 'a', 'Codice di tipo di data', 'Codice di tipo di data', 0, 0, '', 0, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('046', 'b', 'Data 1 (data a.C.)', 'Data 1 (data a.C.)', 0, 0, '', 0, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('046', 'c', 'Data 1 (data d.C.)', 'Data 1 (data d.C.)', 0, 0, '', 0, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('046', 'd', 'Data 2 (data a.C.)\',\'Data 2 (data a.C.)', 'Data 2 (data a.C.)\',\'Data 2 (data a.C.)', 0, 0, '', 0, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('046', 'e', 'Data 2 (data d.C.)', 'Data 2 (data d.C.)', 0, 0, '', 0, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('046', 'j', 'Data della modifica della risorsa', 'Data della modifica della risorsa', 0, 0, '', 0, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('046', 'k', 'Data iniziale di creazione o data semplice', 'Data iniziale di creazione o data semplice', 0, 0, '', 0, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('046', 'l', 'Data finale di creazione', 'Data finale di creazione', 0, 0, '', 0, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('046', 'm', 'Data iniziale di validità', 'Data iniziale di validità', 0, 0, '', 0, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('046', 'n', 'Data finale di validità', 'Data finale di validità', 0, 0, '', 0, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('047', '2', 'Fonte del codice', 'Fonte del codice', 0, 0, '', 0, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('047', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 0, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('047', 'a', 'Codice di forma della composizione musicale', 'Codice di forma della composizione musicale', 1, 0, '', 0, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('048', '2', 'Fonte del codice', 'Fonte del codice', 0, 0, '', 0, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('048', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 0, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('048', 'a', 'Esecutore o complesso', 'Esecutore o complesso', 1, 0, '', 0, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('048', 'b', 'Solista', 'Solista', 1, 0, '', 0, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('049', 'a', 'Holding library', 'Holding library', 1, 0, '', 0, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('049', 'c', 'Copy statement', 'Copy statement', 1, 0, '', 0, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('049', 'd', 'Definition of bibliographic subdivisions', 'Definition of bibliographic subdivisions', 1, 0, '', 0, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('049', 'l', 'Local processing data', 'Local processing data', 1, 0, '', 0, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('049', 'm', 'Missing elements', 'Missing elements', 1, 0, '', 0, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('049', 'n', 'Notes about holdings', 'Notes about holdings', 0, 0, '', 0, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('049', 'o', 'Local processing data', 'Local processing data', 1, 0, '', 0, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('049', 'p', 'Secondary bibliographic subdivision', 'Secondary bibliographic subdivision', 1, 0, '', 0, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('049', 'q', 'Third bibliographic subdivision', 'Third bibliographic subdivision', 1, 0, '', 0, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('049', 'r', 'Fourth bibliographic subdivision', 'Fourth bibliographic subdivision', 1, 0, '', 0, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('049', 's', 'Fifth bibliographic subdivision', 'Fifth bibliographic subdivision', 0, 0, '', 0, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('049', 't', 'Sixth bibliographic subdivision', 'Sixth bibliographic subdivision', 1, 0, '', 0, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('049', 'u', 'Seventh bibliographic subdivision', 'Seventh bibliographic subdivision', 1, 0, '', 0, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('049', 'v', 'Seventh bibliographic subdivision', 'Seventh bibliographic subdivision', 1, 0, '', 0, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('049', 'y', 'Inclusive dates of publication or coverage', 'Inclusive dates of publication or coverage', 0, 0, '', 0, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('050', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, '', 0, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('050', '6', 'Collegamento', 'Collegamento', 0, 0, '', 0, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('050', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 0, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('050', 'a', 'Numero di classificazione', 'Numero di classificazione', 1, 0, '', 0, '', '', '', 0, 0, 'BKS', '', '', NULL),
		('050', 'b', 'Numero d\'item', 'Numero d\'item', 0, 0, '', 0, '', '', '', 0, 0, 'BKS', '', '', NULL),
		('050', 'd', 'Supplementary class number (MU) [OBSOLETE]', 'Supplementary class number (MU) [OBSOLETE]', 0, 0, '', 0, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('051', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 0, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('051', 'a', 'Numero di classificazione', 'Numero di classificazione', 0, 0, '', 0, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('051', 'b', 'Numero d\'item', 'Numero d\'item', 0, 0, '', 0, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('051', 'c', 'Informazione dell\'esemplare', 'Informazione dell\'esemplare', 0, 0, '', 0, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('052', '2', 'Fonte del codice', 'Fonte del codice', 0, 0, '', 0, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('052', '6', 'Collegamento', 'Collegamento', 0, 0, '', 0, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('052', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 0, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('052', 'a', 'Codice di classificazione dell\'area geografica', 'Codice di classificazione dell\'area geografica', 0, 0, '', 0, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('052', 'b', 'Codice di classificazione della sottoarea geografica', 'Codice di classificazione della sottoarea geografica', 1, 0, '', 0, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('052', 'c', 'Subject (MP) [OBSOLETE]', 'Subject (MP) [OBSOLETE]', 0, 0, '', 0, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('052', 'd', 'Nome di luogo abitato', 'Nome di luogo abitato', 1, 0, '', 0, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('055', '2', 'Fonte del numero di chiamata/classe', 'Fonte del numero di chiamata/classe', 0, 0, '', 0, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('055', '6', 'Collegamento', 'Collegamento', 0, 0, '', 0, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('055', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 0, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('055', 'a', 'Numero di classificazione', 'Numero di classificazione', 0, 0, '', 0, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('055', 'b', 'Numero d\'item', 'Numero d\'item', 0, 0, '', 0, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('060', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 0, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('060', 'a', 'Numero di classificazione', 'Numero di classificazione', 1, 0, NULL, 0, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('060', 'b', 'Numero d\'item', 'Numero d\'item', 0, 0, NULL, 0, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('061', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 0, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('061', 'a', 'Numero di classificazione', 'Numero di classificazione', 1, 0, '', 0, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('061', 'b', 'Numero d\'item', 'Numero d\'item', 0, 0, '', 0, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('061', 'c', 'Informazione dell\'esemplare', 'Informazione dell\'esemplare', 0, 0, '', 0, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('066', 'a', 'Set di caratteri primario G0', 'Set di caratteri primario G0', 0, 0, NULL, 0, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('066', 'b', 'Set di caratteri primario G1', 'Set di caratteri primario G1', 0, 0, NULL, 0, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('066', 'c', 'Set di caratteri alternativo G0 o G1', 'Set di caratteri alternativo G0 o G1', 1, 0, NULL, 0, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('070', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 0, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('070', 'a', 'Numero di classificazione', 'Numero di classificazione', 1, 0, NULL, 0, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('070', 'b', 'Numero d\'item', 'Numero d\'item', 0, 0, NULL, 0, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('071', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 0, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('071', 'a', 'Numero di classificazione', 'Numero di classificazione', 1, 0, '', 0, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('071', 'b', 'Numero d\'item', 'Numero d\'item', 0, 0, '', 0, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('071', 'c', 'Informazione dell\'esemplare', 'Informazione dell\'esemplare', 0, 0, '', 0, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('072', '2', 'Fonte', 'Fonte', 0, 0, NULL, 0, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('072', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 0, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('072', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 0, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('072', 'a', 'Codice di categoria di soggetto', 'Codice di categoria di soggetto', 0, 0, NULL, 0, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('072', 'x', 'Suddivisione del codice di categoria di soggetto', 'Suddivisione del codice di categoria di soggetto', 1, 0, NULL, 0, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('074', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 0, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('074', 'a', 'Numero GPO dell\'item', 'Numero GPO dell\'item', 0, 0, NULL, 0, NULL, NULL, '', NULL, -1, 'BKS', '', '', NULL),
		('074', 'z', 'Numero GPO dell\'item cancellato/errato', 'Numero GPO dell\'item cancellato/errato', 1, 0, NULL, 0, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('080', '2', 'Numero dell\'edizione', 'Numero dell\'edizione', 0, 0, NULL, 0, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('080', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 0, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('080', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 0, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('080', 'a', 'Numero di Classificazione decimale universale', 'Numero di Classificazione decimale universale', 0, 0, NULL, 0, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('080', 'b', 'Numero d\'item', 'Numero d\'item', 0, 0, NULL, 0, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('080', 'x', 'Suddivisione ausiliare comune', 'Suddivisione ausiliare comune', 1, 0, NULL, 0, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('082', '2', 'Numero dell\'edizione', 'Numero dell\'edizione', 0, 0, '', 0, '', '', '', NULL, 0, 'BKS', '', '', NULL),
		('082', '6', 'Collegamento', 'Collegamento', 0, 0, '', 0, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('082', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 0, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('082', 'a', 'Numero di classificazione', 'Numero di classificazione', 1, 0, '', 0, '', '', '', NULL, 0, 'BKS', '', '', NULL),
		('082', 'b', 'Numero d\'item', 'Numero d\'item', 0, 0, '', 0, '', '', '', NULL, 0, 'BKS', '', '', NULL),
		('084', '2', 'Fonte del numero', 'Fonte del numero', 0, 0, NULL, 0, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('084', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 0, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('084', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 0, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('084', 'a', 'Numero di classificazione', 'Numero di classificazione', 1, 0, NULL, 0, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('084', 'b', 'Numero d\'item', 'Numero d\'item', 0, 0, NULL, 0, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('086', '2', 'Fonte del numero', 'Fonte del numero', 0, 0, NULL, 0, NULL, NULL, '', NULL, -1, 'BKS', '', '', NULL),
		('086', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 0, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('086', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 0, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('086', 'a', 'Numero di classificazione', 'Numero di classificazione', 0, 0, NULL, 0, NULL, NULL, '', NULL, -1, 'BKS', '', '', NULL),
		('086', 'z', 'Numero di classificazione cancellato/errato', 'Numero di classificazione cancellato/errato', 1, 0, NULL, 0, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('087', 'a', 'Report number [OBSOLETE, CAN/MARC]', 'Report number [OBSOLETE, CAN/MARC]', 0, 0, '', 0, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('087', 'z', 'Canceled/invalid report number [OBSOLETE, CAN/MARC]', 'Canceled/invalid report number [OBSOLETE, CAN/MARC]', 1, 0, '', 0, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('088', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 0, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('088', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 0, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('088', 'a', 'Numero di rapporto', 'Numero di rapporto', 0, 0, NULL, 0, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('088', 'z', 'Numero di rapporto cancellato/errato', 'Numero di rapporto cancellato/errato', 1, 0, NULL, 0, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('090', 'a', 'Classification number (OCLC) (R) ; Classification number, CALL (RLIN) (NR)', 'Classification number (OCLC) (R) ; Classification number, CALL (RLIN) (NR)', 1, 0, '', 0, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('090', 'b', 'Local cutter number (OCLC) ; Book number/undivided call number, CALL (RLIN)', 'Local cutter number (OCLC) ; Book number/undivided call number, CALL (RLIN)', 0, 0, '', 0, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('090', 'e', 'Feature heading (OCLC)', 'Feature heading (OCLC)', 0, 0, '', 0, '', '', '', 0, 5, 'BKS', '', '', NULL),
		('090', 'f', 'Filing suffix (OCLC); Footnote, FNT (RLIN)', 'Filing suffix (OCLC); Footnote, FNT (RLIN)', 0, 0, '', 0, '', '', '', 0, 5, 'BKS', '', '', NULL),
		('090', 'h', 'Output transaction history, HST (RLIN)', 'Output transaction history, HST (RLIN)', 0, 0, '', 0, '', '', '', 0, 5, 'BKS', '', '', NULL),
		('090', 'i', 'Output transaction instruction, INS (RLIN)', 'Output transaction instruction, INS (RLIN)', 0, 0, '', 0, '', '', '', 0, 5, 'BKS', '', '', NULL),
		('090', 'l', 'Extra card control statement, EXT (RLIN)', 'Extra card control statement, EXT (RLIN)', 0, 0, '', 0, '', '', '', 0, 5, 'BKS', '', '', NULL),
		('090', 'n', 'Additional local notes, ANT (RLIN)', 'Additional local notes, ANT (RLIN)', 0, 0, '', 0, '', '', '', 0, 5, 'BKS', '', '', NULL),
		('090', 'p', 'Pathfinder code, PTH (RLIN)', 'Pathfinder code, PTH (RLIN)', 0, 0, '', 0, '', '', '', 0, 5, 'BKS', '', '', NULL),
		('090', 't', 'Field suppresion, FSP (RLIN)', 'Field suppresion, FSP (RLIN)', 0, 0, '', 0, '', '', '', 0, 5, 'BKS', '', '', NULL),
		('090', 'v', 'Volumes, VOL (RLIN)', 'Volumes, VOL (RLIN)', 0, 0, '', 0, '', '', '', 0, 5, 'BKS', '', '', NULL),
		('090', 'y', 'Date, VOL (RLIN)', 'Date, VOL (RLIN)', 0, 0, '', 0, '', '', '', 0, 5, 'BKS', '', '', NULL),
		('090', 'z', 'Retention, VOL (RLIN)', 'Retention, VOL (RLIN)', 0, 0, '', 0, '', '', '', 0, 5, 'BKS', '', '', NULL),
		('091', 'a', 'Microfilm shelf location', 'Microfilm shelf location', 0, 0, '', 0, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('092', '2', 'Numero dell\'edizione', 'Numero dell\'edizione', 0, 0, '', 0, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('092', 'a', 'Numero di classificazione', 'Numero di classificazione', 0, 0, '', 0, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('092', 'b', 'Numero d\'item', 'Numero d\'item', 0, 0, '', 0, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('092', 'e', 'Feature heading', 'Feature heading', 0, 0, '', 0, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('092', 'f', 'Filing suffix', 'Filing suffix', 0, 0, '', 0, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('096', 'a', 'Numero di classificazione', 'Numero di classificazione', 0, 0, '', 0, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('096', 'b', 'Numero d\'item', 'Numero d\'item', 0, 0, '', 0, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('096', 'e', 'Feature heading', 'Feature heading', 0, 0, '', 0, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('096', 'f', 'Filing suffix', 'Filing suffix', 0, 0, '', 0, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('098', 'a', 'Call number based on other classification scheme', 'Call number based on other classification scheme', 0, 0, '', 0, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('098', 'e', 'Feature heading', 'Feature heading', 0, 0, '', 0, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('098', 'f', 'Filing suffix', 'Filing suffix', 0, 0, '', 0, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('099', 'a', 'Numero di classificazione', 'Numero di classificazione', 1, 0, '', 0, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('099', 'e', 'Feature heading', 'Feature heading', 0, 0, '', 0, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('099', 'f', 'Filing suffix', 'Filing suffix', 0, 0, '', 0, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('100', '4', 'Codice di ruolo', 'Codice di ruolo', 1, 0, '', 1, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('100', '6', 'Collegamento', 'Collegamento', 0, 0, '', 1, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('100', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 1, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('100', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 1, '', '', '', 0, 0, 'BKS', '', '', NULL),
		('100', 'a', 'Nome di persona', 'Nome di persona', 0, 0, 'biblio.author', 1, '', 'PERSO_NAME', '', 0, 0, 'BKS', '''100b'',''100c'',''100q'',''100d'',''100e'',''110a'',''110b'',''110c'',''110d'',''110e'',''111a'',''111e'',''111c'',''111d'',''130a'',''700a'',''700b'',''700c'',''700q'',''700d'',''700e'',''710a'',''710b'',''710c'',''710d'',''710e'',''711a'',''711e'',''711c'',''711d'',''720a'',''720e'',''796a'',''796b'',''796c'',''796q'',''796d'',''796e'',''797a'',''797b'',''797c'',''797d'',''797e'',''798a'',''798e'',''798c'',''798d'',''800a'',''800b'',''800c'',''800q'',''800d'',''800e'',''810a'',''810b'',''810c'',''810d'',''810e'',''811a'',''811e'',''811c'',''811d'',''896a'',''896b'',''896c'',''896q'',''896d'',''896e'',''897a'',''897b'',''897c'',''897d'',''897e'',''898a'',''898e'',''898c'',''898d'',''505r''', '', NULL),
		('100', 'b', 'Numerazione', 'Numerazione', 0, 0, '', 1, '', '', '', 0, -1, 'BKS', '', '', NULL),
		('100', 'c', 'Titoli e altre parole associate al nome', 'Titoli e altre parole associate al nome', 1, 0, '', 1, '', '', '', 0, -1, 'BKS', '', '', NULL),
		('100', 'd', 'Date associate al nome', 'Date associate al nome', 0, 0, '', 1, '', '', '', 0, 0, 'BKS', '', '', NULL),
		('100', 'e', 'Termine di ruolo', 'Termine di ruolo', 1, 0, '', 1, '', '', '', 0, -1, 'BKS', '', '', NULL),
		('100', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, '', 1, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('100', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, '', 1, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('100', 'j', 'Qualificazione d\'attribuzione', 'Qualificazione d\'attribuzione', 1, 0, '', 1, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('100', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, '', 1, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('100', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, '', 1, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('100', 'n', 'Numero di parte/sezione dell\'opera', 'Numero di parte/sezione dell\'opera', 1, 0, '', 1, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('100', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, '', 1, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('100', 'q', 'Forma completa del nome', 'Forma completa del nome', 0, 0, '', 1, '', '', '', 0, -1, 'BKS', '', '', NULL),
		('100', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, '', 1, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('100', 'u', 'Affiliazione', 'Affiliazione', 0, 0, '', 1, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('110', '4', 'Codice di ruolo', 'Codice di ruolo', 1, 0, '', 1, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('110', '6', 'Collegamento', 'Collegamento', 0, 0, '', 1, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('110', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 1, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('110', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 1, '', '', '', 0, -5, 'BKS', '', '', NULL),
		('110', 'a', 'Nome dell\'ente o nome della giurisdizione come accesso', 'Nome dell\'ente o nome della giurisdizione come accesso', 0, 0, '', 1, '', 'CORPO_NAME', '', NULL, -1, 'BKS', '', '', NULL),
		('110', 'b', 'Unità subordinata', 'Unità subordinata', 1, 0, '', 1, '', '', '', NULL, -1, 'BKS', '', '', NULL),
		('110', 'c', 'Luogo del convegno', 'Luogo del convegno', 0, 0, '', 1, '', '', '', NULL, -1, 'BKS', '', '', NULL),
		('110', 'd', 'Data del convegno o di firma del trattato', 'Data del convegno o di firma del trattato', 1, 0, '', 1, '', '', '', NULL, -1, 'BKS', '', '', NULL),
		('110', 'e', 'Termine di ruolo', 'Termine di ruolo', 1, 0, '', 1, '', '', '', NULL, -1, 'BKS', '', '', NULL),
		('110', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, '', 1, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('110', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, '', 1, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('110', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, '', 1, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('110', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, '', 1, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('110', 'n', 'Numero di parte/sezione/convegno', 'Numero di parte/sezione/convegno', 1, 0, '', 1, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('110', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, '', 1, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('110', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, '', 1, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('110', 'u', 'Affiliazione', 'Affiliazione', 0, 0, '', 1, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('111', '4', 'Codice di ruolo', 'Codice di ruolo', 1, 0, NULL, 1, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('111', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 1, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('111', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 1, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('111', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 1, '', '', '', 0, -5, 'BKS', '', '', NULL),
		('111', 'a', 'Nome del convegno o nome della giurisdizione come accesso', 'Nome del convegno o nome della giurisdizione come accesso', 0, 0, NULL, 1, NULL, 'MEETI_NAME', '', NULL, -1, 'BKS', '', '', NULL),
		('111', 'b', 'Number [OBSOLETE]', 'Number [OBSOLETE]', 0, 0, NULL, 1, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('111', 'c', 'Luogo del convegno', 'Luogo del convegno', 0, 0, NULL, 1, NULL, NULL, '', NULL, -1, 'BKS', '', '', NULL),
		('111', 'd', 'Data del convegno', 'Data del convegno', 0, 0, NULL, 1, NULL, NULL, '', NULL, -1, 'BKS', '', '', NULL),
		('111', 'e', 'Unità subordinata', 'Unità subordinata', 1, 0, NULL, 1, NULL, NULL, '', NULL, -1, 'BKS', '', '', NULL),
		('111', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, NULL, 1, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('111', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, NULL, 1, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('111', 'j', 'Termine di ruolo', 'Termine di ruolo', 1, 0, NULL, 1, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('111', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, NULL, 1, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('111', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, NULL, 1, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('111', 'n', 'Numero di parte/sezione/convegno', 'Numero di parte/sezione/convegno', 1, 0, NULL, 1, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('111', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, NULL, 1, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('111', 'q', 'Nome del convegno dopo accesso di nome della giurisdizione', 'Nome del convegno dopo accesso di nome della giurisdizione', 0, 0, NULL, 1, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('111', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, NULL, 1, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('111', 'u', 'Affiliazione', 'Affiliazione', 0, 0, NULL, 1, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('130', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 1, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('130', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 1, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('130', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 1, '', '', '', 0, -5, 'BKS', '', '', NULL),
		('130', 'a', 'Titolo uniforme', 'Titolo uniforme', 0, 0, NULL, 1, NULL, 'UNIF_TITLE', '', NULL, -6, 'BKS', '', '', NULL),
		('130', 'd', 'Data di firma del trattato', 'Data di firma del trattato', 1, 0, NULL, 1, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('130', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, NULL, 1, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('130', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, NULL, 1, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('130', 'h', 'Supporto', 'Supporto', 0, 0, NULL, 1, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('130', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, NULL, 1, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('130', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, NULL, 1, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('130', 'm', 'Mezzo di esecuzione per la musica', 'Mezzo di esecuzione per la musica', 1, 0, NULL, 1, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('130', 'n', 'Numero di parte/sezione dell\'opera', 'Numero di parte/sezione dell\'opera', 1, 0, NULL, 1, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('130', 'o', 'Formulazione d\'arrangiamento per la musica', 'Formulazione d\'arrangiamento per la musica', 0, 0, NULL, 1, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('130', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, NULL, 1, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('130', 'r', 'Tonalità (musica)', 'Tonalità (musica)', 0, 0, NULL, 1, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('130', 's', 'Versione', 'Versione', 0, 0, NULL, 1, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('130', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, NULL, 1, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('210', '2', 'Fonte', 'Fonte', 1, 0, NULL, 2, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('210', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 2, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('210', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 2, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('210', 'a', 'Titolo abbreviato', 'Titolo abbreviato', 0, 0, NULL, 2, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('210', 'b', 'Qualificazione', 'Qualificazione', 0, 0, NULL, 2, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('211', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 2, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('211', 'a', 'Acronym or shortened title', 'Acronym or shortened title', 0, 0, NULL, 2, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('212', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 2, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('212', 'a', 'Acronym or shortened title', 'Acronym or shortened title', 0, 0, NULL, 2, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('214', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 2, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('214', 'a', 'Augmented title', 'Augmented title', 0, 0, NULL, 2, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('222', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 2, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('222', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 2, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('222', 'a', 'Titolo chiave', 'Titolo chiave', 0, 0, NULL, 2, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('222', 'b', 'Qualificazione', 'Qualificazione', 0, 0, NULL, 2, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('240', '6', 'Collegamento', 'Collegamento', 0, 0, '', 2, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('240', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 2, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('240', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 2, '', '', '', 0, -5, 'BKS', '', '', NULL),
		('240', 'a', 'Titolo uniforme', 'Titolo uniforme', 0, 0, 'biblio.unititle', 2, '', '', '', 0, -1, 'BKS', '', '', NULL),
		('240', 'd', 'Data di firma del trattato', 'Data di firma del trattato', 1, 0, '', 2, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('240', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, '', 2, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('240', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, '', 2, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('240', 'h', 'Supporto', 'Supporto', 0, 0, '', 2, '', '', '', 0, -1, 'BKS', '', '', NULL),
		('240', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, '', 2, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('240', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, '', 2, '', '', '', 0, -1, 'BKS', '', '', NULL),
		('240', 'm', 'Mezzo di esecuzione per la musica', 'Mezzo di esecuzione per la musica', 1, 0, '', 2, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('240', 'n', 'Numero di parte/sezione dell\'opera', 'Numero di parte/sezione dell\'opera', 1, 0, '', 2, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('240', 'o', 'Formulazione d\'arrangiamento per la musica', 'Formulazione d\'arrangiamento per la musica', 0, 0, '', 2, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('240', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, '', 2, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('240', 'r', 'Tonalità (musica)', 'Tonalità (musica)', 0, 0, '', 2, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('240', 's', 'Versione', 'Versione', 0, 0, '', 2, '', '', '', 0, -1, 'BKS', '', '', NULL),
		('241', 'a', 'Romanized title', 'Romanized title', 0, 0, NULL, 2, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('241', 'h', 'Supporto', 'Supporto', 0, 0, NULL, 2, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('242', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 2, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('242', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 2, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('242', 'a', 'Titolo', 'Titolo', 0, 0, NULL, 2, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('242', 'b', 'Complemento del titolo', 'Complemento del titolo', 0, 0, NULL, 2, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('242', 'c', 'Formulazione di responsabilità, ecc.', 'Formulazione di responsabilità, ecc.', 0, 0, NULL, 2, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('242', 'd', 'Designation of section (BK AM MP MU VM SE) [OBSOLETE]', 'Designation of section (BK AM MP MU VM SE) [OBSOLETE]', 0, 0, '', 2, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('242', 'e', 'Name of part/section (BK AM MP MU VM SE) [OBSOLETE]', 'Name of part/section (BK AM MP MU VM SE) [OBSOLETE]', 0, 0, '', 2, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('242', 'h', 'Supporto', 'Supporto', 0, 0, NULL, 2, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('242', 'n', 'Numero di parte/sezione dell\'opera', 'Numero di parte/sezione dell\'opera', 1, 0, NULL, 2, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('242', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, NULL, 2, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('242', 'y', 'Codice di lingua del titolo tradotto', 'Codice di lingua del titolo tradotto', 0, 0, NULL, 2, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('243', '6', 'Collegamento', 'Collegamento', 0, 0, '', 2, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('243', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 2, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('243', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 2, '', '', '', 0, -5, 'BKS', '', '', NULL),
		('243', 'a', 'Titolo uniforme', 'Titolo uniforme', 0, 0, '', 2, '', '', '', 1, -1, 'BKS', '', '', NULL),
		('243', 'd', 'Data di firma del trattato', 'Data di firma del trattato', 1, 0, '', 2, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('243', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, '', 2, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('243', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, '', 2, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('243', 'h', 'Supporto', 'Supporto', 0, 0, '', 2, '', '', '', 0, -1, 'BKS', '', '', NULL),
		('243', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, '', 2, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('243', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, '', 2, '', '', '', 0, -1, 'BKS', '', '', NULL),
		('243', 'm', 'Mezzo di esecuzione per la musica', 'Mezzo di esecuzione per la musica', 1, 0, '', 2, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('243', 'n', 'Numero di parte/sezione dell\'opera', 'Numero di parte/sezione dell\'opera', 1, 0, '', 2, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('243', 'o', 'Formulazione d\'arrangiamento per la musica', 'Formulazione d\'arrangiamento per la musica', 0, 0, '', 2, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('243', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, '', 2, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('243', 'r', 'Tonalità (musica)', 'Tonalità (musica)', 0, 0, '', 2, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('243', 's', 'Versione', 'Versione', 0, 0, '', 2, '', '', '', 0, -1, 'BKS', '', '', NULL),
		('245', '6', 'Collegamento', 'Collegamento', 0, 0, '', 2, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('245', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 2, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('245', 'a', 'Titolo', 'Titolo', 0, 1, 'biblio.title', 2, '', '', '', NULL, 0, 'BKS', '''245b'',''245f'',''245g'',''245k'',''245n'',''245p'',''245s'',''245h'',''246i'',''246a'',''246b'',''246f'',''246g'',''246n'',''246p'',''246h'',''242a'',''242b'',''242n'',''242p'',''242h''', '', NULL),
		('245', 'b', 'Complemento del titolo', 'Complemento del titolo', 0, 0, 'bibliosubtitle.subtitle', 2, '', '', '', NULL, 0, 'BKS', '', '', NULL),
		('245', 'c', 'Formulazione di responsabilità, ecc.', 'Formulazione di responsabilità, ecc.', 0, 0, '', 2, '', '', '', NULL, 0, 'BKS', '', '', NULL),
		('245', 'd', 'Designation of section/part/series (SE) [OBSOLETE]', 'Designation of section/part/series (SE) [OBSOLETE]', 0, 0, '', 2, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('245', 'e', 'Name of part/section/series (SE) [OBSOLETE]', 'Name of part/section/series (SE) [OBSOLETE]', 0, 0, '', 2, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('245', 'f', 'Date inclusive', 'Date inclusive', 0, 0, '', 2, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('245', 'g', 'Date preponderanti', 'Date preponderanti', 0, 0, '', 2, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('245', 'h', 'Supporto', 'Supporto', 0, 0, '', 2, '', '', '', NULL, -1, 'BKS', '', '', NULL),
		('245', 'k', 'Forma', 'Forma', 1, 0, '', 2, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('245', 'n', 'Numero di parte/sezione dell\'opera', 'Numero di parte/sezione dell\'opera', 1, 0, '', 2, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('245', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, '', 2, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('245', 's', 'Versione', 'Versione', 0, 0, '', 2, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('246', '5', 'Istituzione a cui si applica il campo', 'Istituzione a cui si applica il campo', 0, 0, '', 2, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('246', '6', 'Collegamento', 'Collegamento', 0, 0, '', 2, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('246', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 2, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('246', 'a', 'Titolo proprio/titolo breve', 'Titolo proprio/titolo breve', 0, 0, '', 2, '', '', '', NULL, -1, 'BKS', '', '', NULL),
		('246', 'b', 'Complemento del titolo', 'Complemento del titolo', 0, 0, '', 2, '', '', '', NULL, -1, 'BKS', '', '', NULL),
		('246', 'd', 'Designation of section/part/series (SE) [OBSOLETE]', 'Designation of section/part/series (SE) [OBSOLETE]', 0, 0, '', 2, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('246', 'e', 'Name of part/section/series (SE) [OBSOLETE]', 'Name of part/section/series (SE) [OBSOLETE]', 0, 0, '', 2, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('246', 'f', 'Data o designazione sequenziale', 'Data o designazione sequenziale', 0, 0, '', 2, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('246', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, '', 2, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('246', 'h', 'Supporto', 'Supporto', 0, 0, '', 2, '', '', '', NULL, -1, 'BKS', '', '', NULL),
		('246', 'i', 'Testo da visualizzare', 'Testo da visualizzare', 0, 0, '', 2, '', '', '', NULL, -1, 'BKS', '', '', NULL),
		('246', 'n', 'Numero di parte/sezione dell\'opera', 'Numero di parte/sezione dell\'opera', 1, 0, '', 2, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('246', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, '', 2, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('247', '6', 'Collegamento', 'Collegamento', 0, 0, '', 2, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('247', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 2, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('247', 'a', 'Titolo', 'Titolo', 0, 0, '', 2, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('247', 'b', 'Complemento del titolo', 'Complemento del titolo', 0, 0, '', 2, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('247', 'd', 'Designation of section (SE) [OBSOLETE]', 'Designation of section (SE) [OBSOLETE]', 0, 0, '', 2, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('247', 'e', 'Name of part/section (SE) [OBSOLETE]', 'Name of part/section (SE) [OBSOLETE]', 0, 0, '', 2, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('247', 'f', 'Data o designazione sequenziale', 'Data o designazione sequenziale', 0, 0, '', 2, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('247', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, '', 2, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('247', 'h', 'Supporto', 'Supporto', 0, 0, '', 2, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('247', 'n', 'Numero di parte/sezione dell\'opera', 'Numero di parte/sezione dell\'opera', 1, 0, '', 2, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('247', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, '', 2, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('247', 'x', 'ISSN (International Standard Serial Number)', 'ISSN (International Standard Serial Number)', 0, 0, '', 2, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('250', '6', 'Collegamento', 'Collegamento', 0, 0, '', 2, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('250', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 2, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('250', 'a', 'Formulazione di edizione', 'Formulazione di edizione', 0, 0, 'biblioitems.editionstatement', 2, '', '', '', NULL, 0, 'BKS', '', '', NULL),
		('250', 'b', 'Restante parte della formulazione di edizione', 'Restante parte della formulazione di edizione', 0, 0, '', 2, '', '', '', NULL, 0, 'BKS', '', '', NULL),
		('254', '6', 'Collegamento', 'Collegamento', 0, 0, '', 2, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('254', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 2, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('254', 'a', 'Formulazione della presentazione musicale', 'Formulazione della presentazione musicale', 0, 0, '', 2, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('255', '6', 'Collegamento', 'Collegamento', 0, 0, '', 2, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('255', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 2, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('255', 'a', 'Formulazione di scala', 'Formulazione di scala', 1, 0, '', 2, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('255', 'b', 'Formulazione di proiezione', 'Formulazione di proiezione', 1, 0, '', 2, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('255', 'c', 'Formulazione di coordinate', 'Formulazione di coordinate', 1, 0, '', 2, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('255', 'd', 'Formulazione di zona', 'Formulazione di zona', 0, 0, '', 2, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('255', 'e', 'Formulazione di equinozio', 'Formulazione di equinozio', 0, 0, '', 2, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('255', 'f', 'Coppie di coordinate d\'inclusione del perimetro', 'Coppie di coordinate d\'inclusione del perimetro', 0, 0, '', 2, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('255', 'g', 'Coppie di coordinate di esclusione del perimetro', 'Coppie di coordinate di esclusione del perimetro', 0, 0, '', 2, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('256', '6', 'Collegamento', 'Collegamento', 0, 0, '', 2, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('256', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 2, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('256', 'a', 'Caratteristiche del computer file', 'Caratteristiche del computer file', 0, 0, '', 2, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('257', '6', 'Collegamento', 'Collegamento', 0, 0, '', 2, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('257', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 2, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('257', 'a', 'Paese dell\'ente produttore', 'Paese dell\'ente produttore', 0, 0, '', 2, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('258', '6', 'Collegamento', 'Collegamento', 0, 0, '', 2, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('258', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 2, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('258', 'a', 'Giurisdizione dell\'emissione', 'Giurisdizione dell\'emissione', 0, 0, '', 2, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('258', 'b', 'Valore facciale', 'Valore facciale', 0, 0, '', 2, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('260', '6', 'Collegamento', 'Collegamento', 0, 0, '', 2, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('260', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 2, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('260', 'a', 'Luogo di pubblicazione, distribuzione, ecc.', 'Luogo di pubblicazione, distribuzione, ecc.', 1, 0, 'biblioitems.place', 2, '', '', '', NULL, 0, 'BKS', '', '', NULL),
		('260', 'b', 'Nome dell\'editore, distributore, ecc.', 'Nome dell\'editore, distributore, ecc.', 1, 0, 'biblioitems.publishercode', 2, '', '', '', NULL, 0, 'BKS', '', '', NULL),
		('260', 'c', 'Data di pubblicazione, distribuzione, ecc.', 'Data di pubblicazione, distribuzione, ecc.', 1, 0, 'biblio.copyrightdate', 2, '', '', '', NULL, 0, 'BKS', '', '', NULL),
		('260', 'd', 'Plate or publisher\'s number for music (Pre-AACR 2) [OBSOLETE, CAN/MARC], [LOCAL, USA]', 'Plate or publisher\'s number for music (Pre-AACR 2) [OBSOLETE, CAN/MARC], [LOCAL, USA]', 0, 0, '', 2, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('260', 'e', 'Luogo di stampa', 'Luogo di stampa', 1, 0, '', 2, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('260', 'f', 'Stampatore', 'Stampatore', 1, 0, '', 2, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('260', 'g', 'Data di stampa', 'Data di stampa', 0, 0, '', 2, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('260', 'k', 'Identification/manufacturer number [OBSOLETE, CAN/MARC]', 'Identification/manufacturer number [OBSOLETE, CAN/MARC]', 0, 0, '', 2, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('260', 'l', 'Matrix and/or take number [OBSOLETE, CAN/MARC]', 'Matrix and/or take number [OBSOLETE, CAN/MARC]', 0, 0, '', 2, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('261', '6', 'Collegamento', 'Collegamento', 0, 0, '', 2, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('261', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 2, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('261', 'a', 'Producing company', 'Producing company', 1, 0, '', 2, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('261', 'b', 'Releasing company (primary distributor)', 'Releasing company (primary distributor)', 1, 0, '', 2, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('261', 'c', 'Date of production, release, etc.', 'Date of production, release, etc.', 1, 0, '', 2, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('261', 'd', 'Date of production, release, etc.', 'Date of production, release, etc.', 1, 0, '', 2, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('261', 'e', 'Contractual producer', 'Contractual producer', 1, 0, '', 2, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('261', 'f', 'Place of production, release, etc.', 'Place of production, release, etc.', 1, 0, '', 2, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('262', '6', 'Collegamento', 'Collegamento', 0, 0, '', 2, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('262', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 2, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('262', 'a', 'Place of production, release, etc.', 'Place of production, release, etc.', 0, 0, '', 2, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('262', 'b', 'Publisher or trade name', 'Publisher or trade name', 0, 0, '', 2, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('262', 'c', 'Date of production, release, etc.', 'Date of production, release, etc.', 0, 0, '', 2, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('262', 'k', 'Serial identification', 'Serial identification', 0, 0, '', 2, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('262', 'l', 'Matrix and/or take number', 'Matrix and/or take number', 0, 0, '', 2, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('263', '6', 'Collegamento', 'Collegamento', 0, 0, '', 2, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('263', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 2, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('263', 'a', 'Data di pubblicazione prevista', 'Data di pubblicazione prevista', 0, 0, '', 2, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('265', '6', 'Linkage [OBSOLETE]', 'Linkage [OBSOLETE]', 0, 0, '', 2, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('265', 'a', 'Source for acquisition/subscription address [OBSOLETE]', 'Source for acquisition/subscription address [OBSOLETE]', 1, 0, '', 2, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('270', '4', 'Codice di ruolo', 'Codice di ruolo', 1, 0, NULL, 9, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('270', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 9, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('270', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 9, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('270', 'a', 'Indirizzo', 'Indirizzo', 1, 0, NULL, 9, NULL, NULL, '', NULL, -1, 'BKS', '', '', NULL),
		('270', 'b', 'Città', 'Città', 0, 0, NULL, 9, NULL, NULL, '', NULL, -1, 'BKS', '', '', NULL),
		('270', 'c', 'Stato o provincia', 'Stato o provincia', 0, 0, NULL, 9, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('270', 'd', 'Paese', 'Paese', 0, 0, NULL, 9, NULL, NULL, '', NULL, -1, 'BKS', '', '', NULL),
		('270', 'e', 'Codice postale', 'Codice postale', 0, 0, NULL, 9, NULL, NULL, '', NULL, -1, 'BKS', '', '', NULL),
		('270', 'f', 'Parole che precedono il nome del destinatario', 'Parole che precedono il nome del destinatario', 0, 0, NULL, 9, NULL, NULL, '', NULL, -1, 'BKS', '', '', NULL),
		('270', 'g', 'Nome del destinatario', 'Nome del destinatario', 0, 0, NULL, 9, NULL, NULL, '', NULL, -1, 'BKS', '', '', NULL),
		('270', 'h', 'Posizione del destinatario', 'Posizione del destinatario', 0, 0, NULL, 9, NULL, NULL, '', NULL, -1, 'BKS', '', '', NULL),
		('270', 'i', 'Persona di contatto', 'Persona di contatto', 0, 0, NULL, 9, NULL, NULL, '', NULL, -1, 'BKS', '', '', NULL),
		('270', 'j', 'Numero di telefono specializzato', 'Numero di telefono specializzato', 1, 0, NULL, 9, NULL, NULL, '', NULL, -1, 'BKS', '', '', NULL),
		('270', 'k', 'Numero di telefono', 'Numero di telefono', 1, 0, NULL, 9, NULL, NULL, '', NULL, -1, 'BKS', '', '', NULL),
		('270', 'l', 'Numero di fax', 'Numero di fax', 1, 0, NULL, 9, NULL, NULL, '', NULL, -1, 'BKS', '', '', NULL),
		('270', 'm', 'Indirizzo e-mail', 'Indirizzo e-mail', 1, 0, NULL, 9, NULL, NULL, '', NULL, -1, 'BKS', '', '', NULL),
		('270', 'n', 'Numero di TDD o TTY', 'Numero di TDD o TTY', 1, 0, NULL, 9, NULL, NULL, '', NULL, -1, 'BKS', '', '', NULL),
		('270', 'p', 'Persona di contatto', 'Persona di contatto', 1, 0, NULL, 9, NULL, NULL, '', NULL, -1, 'BKS', '', '', NULL),
		('270', 'q', 'Titolo della persona di contatto', 'Titolo della persona di contatto', 1, 0, NULL, 9, NULL, NULL, '', NULL, -1, 'BKS', '', '', NULL),
		('270', 'r', 'Ore', 'Ore', 1, 0, NULL, 9, NULL, NULL, '', NULL, -1, 'BKS', '', '', NULL),
		('270', 'z', 'Nota pubblica', 'Nota pubblica', 1, 0, NULL, 9, NULL, NULL, '', NULL, -1, 'BKS', '', '', NULL),
		('300', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, '', 3, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('300', '6', 'Collegamento', 'Collegamento', 0, 0, '', 3, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('300', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 3, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('300', 'a', 'Estensione', 'Estensione', 1, 1, 'biblioitems.pages', 3, '', '', '', NULL, 0, 'BKS', '', '', NULL),
		('300', 'b', 'Altre particolarità fisiche', 'Altre particolarità fisiche', 0, 0, 'biblioitems.illus', 3, '', '', '', 0, 0, 'BKS', '', '', NULL),
		('300', 'c', 'Dimensioni', 'Dimensioni', 1, 0, 'biblioitems.size', 3, '', '', '', NULL, 0, 'BKS', '', '', NULL),
		('300', 'd', 'Accompanying material [OBSOLETE, CAN/MARC]', 'Accompanying material [OBSOLETE, CAN/MARC]', 0, 0, '', 3, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('300', 'e', 'Materiale allegato', 'Materiale allegato', 0, 0, '', 3, '', '', '', NULL, 0, 'BKS', '', '', NULL),
		('300', 'f', 'Tipo di materiale', 'Tipo di materiale', 1, 0, '', 3, '', '', '', NULL, -1, 'BKS', '', '', NULL),
		('300', 'g', 'Dimensioni del materiale', 'Dimensioni del materiale', 1, 0, '', 3, '', '', '', NULL, -1, 'BKS', '', '', NULL),
		('300', 'k', 'Speed [Videodiscs, pre-AACR2 records only] [OBSOLETE, CAN/MARC]', 'Speed [Videodiscs, pre-AACR2 records only] [OBSOLETE, CAN/MARC]', 0, 0, '', 3, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('300', 'm', 'Identification/manufacturer number [pre-AACR2 records only] [OBSOLETE, CAN/MARC]', 'Identification/manufacturer number [pre-AACR2 records only] [OBSOLETE, CAN/MARC]', 0, 0, '', 3, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('300', 'n', 'Matrix and/or take number [Sound recordings, pre-AACR2 records only] [OBSOLETE, CAN/MARC]', 'Matrix and/or take number [Sound recordings, pre-AACR2 records only] [OBSOLETE, CAN/MARC]', 0, 0, '', 3, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('301', 'a', 'Estensione della copia', 'Estensione della copia', 0, 0, '', 3, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('301', 'b', 'Caratteristiche del suono', 'Caratteristiche del suono', 0, 0, '', 3, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('301', 'c', 'Caratteristiche del colore', 'Caratteristiche del colore', 0, 0, '', 3, '', '', NULL, NULL, -6, 'BKS', '', '', NULL),
		('301', 'd', 'Dimensioni', 'Dimensioni', 0, 0, '', 3, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('301', 'e', 'Caratteristiche del suono', 'Caratteristiche del suono', 0, 0, '', 3, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('301', 'f', 'Velocità', 'Velocità', 0, 0, '', 3, '', '', NULL, NULL, -6, 'BKS', '', '', NULL),
		('302', 'a', 'Page count', 'Page count', 0, 0, '', 3, '', '', NULL, NULL, -6, 'BKS', '', '', NULL),
		('303', 'a', 'Unit count', 'Unit count', 0, 0, '', 3, '', '', NULL, NULL, -6, 'BKS', '', '', NULL),
		('304', 'a', 'Linear footage', 'Linear footage', 0, 0, '', 3, '', '', NULL, NULL, -6, 'BKS', '', '', NULL),
		('305', '6', 'Collegamento', 'Collegamento', 0, 0, '', 3, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('305', 'a', 'Estensione', 'Estensione', 0, 0, '', 3, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('305', 'b', 'Altre particolarità fisiche', 'Altre particolarità fisiche', 0, 0, '', 3, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('305', 'c', 'Dimensioni', 'Dimensioni', 0, 0, '', 3, '', '', NULL, NULL, -6, 'BKS', '', '', NULL),
		('305', 'd', 'Microgroove or standard', 'Microgroove or standard', 0, 0, '', 3, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('305', 'e', 'Stereofonico, monoaurale', 'Stereofonico, monoaurale', 0, 0, '', 3, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('305', 'f', 'Numero dei tracciati', 'Numero dei tracciati', 0, 0, '', 3, '', '', NULL, NULL, -6, 'BKS', '', '', NULL),
		('305', 'm', 'Serial identification', 'Serial identification', 0, 0, '', 3, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('305', 'n', 'Matrix and/or take number', 'Matrix and/or take number', 0, 0, '', 3, '', '', NULL, NULL, -6, 'BKS', '', '', NULL),
		('306', '6', 'Collegamento', 'Collegamento', 0, 0, '', 3, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('306', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 3, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('306', 'a', 'Durata di riproduzione', 'Durata di riproduzione', 0, 0, '', 3, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('307', '6', 'Collegamento', 'Collegamento', 0, 0, '', 3, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('307', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 3, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('307', 'a', 'Ore', 'Ore', 0, 0, '', 3, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('307', 'b', 'Informazione addizionale', 'Informazione addizionale', 0, 0, '', 3, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('308', '6', 'Collegamento', 'Collegamento', 0, 0, '', 3, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('308', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 3, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('308', 'a', 'Numero di bobine', 'Numero di bobine', 0, 0, '', 3, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('308', 'b', 'Footage', 'Footage', 0, 0, '', 3, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('308', 'c', 'Caratteristiche del suono', 'Caratteristiche del suono', 0, 0, '', 3, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('308', 'd', 'Caratteristiche del colore', 'Caratteristiche del colore', 0, 0, '', 3, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('308', 'e', 'Larghezza', 'Larghezza', 0, 0, '', 3, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('308', 'f', 'Formato di presentazione', 'Formato di presentazione', 0, 0, '', 3, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('310', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('310', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('310', 'a', 'Periodicità corrente della pubblicazione', 'Periodicità corrente della pubblicazione', 0, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('310', 'b', 'Data di periodicità corrente della pubblicazione', 'Data di periodicità corrente della pubblicazione', 0, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('315', '6', 'Collegamento', 'Collegamento', 0, 0, '', 3, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('315', 'a', 'Frequenza', 'Frequenza', 1, 0, '', 3, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('315', 'b', 'Date della frequenza', 'Date della frequenza', 1, 0, '', 3, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('321', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('321', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('321', 'a', 'Periodicità precedente della pubblicazione', 'Periodicità precedente della pubblicazione', 0, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('321', 'b', 'Date di periodicità precedente della pubblicazione', 'Date di periodicità precedente della pubblicazione', 0, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('340', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, '', 3, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('340', '6', 'Collegamento', 'Collegamento', 0, 0, '', 3, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('340', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 3, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('340', 'a', 'Base e composizione del materiale', 'Base e composizione del materiale', 1, 0, '', 3, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('340', 'b', 'Dimensioni', 'Dimensioni', 1, 0, '', 3, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('340', 'c', 'Materiali applicati alla superficie', 'Materiali applicati alla superficie', 1, 0, '', 3, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('340', 'd', 'Tecnica della registrazione della informazione', 'Tecnica della registrazione della informazione', 1, 0, '', 3, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('340', 'e', 'Supporto', 'Supporto', 1, 0, '', 3, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('340', 'f', 'Fattore/proporzione di produzione comprensibile (ad es., giri al minuto per le registrazioni)', 'Fattore/proporzione di produzione comprensibile (ad es., giri al minuto per le registrazioni)', 1, 0, '', 3, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('340', 'h', 'Localizzazione nel supporto', 'Localizzazione nel supporto', 1, 0, '', 3, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('340', 'i', 'Specificazioni tecniche del supporto', 'Specificazioni tecniche del supporto', 1, 0, '', 3, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('342', '2', 'Metodo di riferimento usato', 'Metodo di riferimento usato', 0, 0, '', 3, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('342', '6', 'Collegamento', 'Collegamento', 0, 0, '', 3, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('342', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 3, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('342', 'a', 'Nome', 'Nome', 1, 0, '', 3, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('342', 'b', 'Unità di distanza o di coordinate', 'Unità di distanza o di coordinate', 0, 0, '', 3, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('342', 'c', 'Risoluzione di latitudine', 'Risoluzione di latitudine', 0, 0, '', 3, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('342', 'd', 'Risoluzione di longitudine', 'Risoluzione di longitudine', 0, 0, '', 3, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('342', 'e', 'Parallela standard o latitudine di lineare obliqua', 'Parallela standard o latitudine di lineare obliqua', 1, 0, '', 3, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('342', 'f', 'Longitudine di lineare obliqua', 'Longitudine di lineare obliqua', 1, 0, '', 3, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('342', 'g', 'Longitudine del meridiano centrale o del centro della proiezione', 'Longitudine del meridiano centrale o del centro della proiezione', 0, 0, '', 3, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('342', 'h', 'Latitudine dell\'origine della proiezione o del centro della proiezione', 'Latitudine dell\'origine della proiezione o del centro della proiezione', 0, 0, '', 3, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('342', 'i', 'Ascissa falsa', 'Ascissa falsa', 0, 0, '', 3, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('342', 'j', 'Ordinata falsa', 'Ordinata falsa', 0, 0, '', 3, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('342', 'k', 'Fattore di scala', 'Fattore di scala', 0, 0, '', 3, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('342', 'l', 'Altezza del punto di vista sulla superficie', 'Altezza del punto di vista sulla superficie', 0, 0, '', 3, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('342', 'm', 'Angolo d\'azimut', 'Angolo d\'azimut', 0, 0, '', 3, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('342', 'n', 'Longitudine del punto di misura d\'azimut o longitudine verticale retta dal polo', 'Longitudine del punto di misura d\'azimut o longitudine verticale retta dal polo', 0, 0, '', 3, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('342', 'o', 'Numero del Landsat e numero di traiettoria', 'Numero del Landsat e numero di traiettoria', 0, 0, '', 3, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('342', 'p', 'Identificatore di zona', 'Identificatore di zona', 0, 0, '', 3, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('342', 'q', 'Nome dell\'ellissoide', 'Nome dell\'ellissoide', 0, 0, '', 3, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('342', 'r', 'Semiasse maggiore', 'Semiasse maggiore', 0, 0, '', 3, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('342', 's', 'Denominatore del rapporto di spianatura', 'Denominatore del rapporto di spianatura', 0, 0, '', 3, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('342', 't', 'Risoluzione verticale', 'Risoluzione verticale', 0, 0, '', 3, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('342', 'u', 'Metodo di codifica verticale', 'Metodo di codifica verticale', 0, 0, '', 3, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('342', 'v', 'Proiezione locale piana, locale o diversa o descrizione del reticolato', 'Proiezione locale piana, locale o diversa o descrizione del reticolato', 0, 0, '', 3, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('342', 'w', 'Informazione di riferimento geospaziale locale piano o locale', 'Informazione di riferimento geospaziale locale piano o locale', 0, 0, '', 3, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('343', '6', 'Collegamento', 'Collegamento', 0, 0, '', 3, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('343', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 3, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('343', 'a', 'Metodo di codifica di coordinate piane', 'Metodo di codifica di coordinate piane', 1, 0, '', 3, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('343', 'b', 'Unità di distanza piana', 'Unità di distanza piana', 0, 0, '', 3, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('343', 'c', 'Risoluzione dell\'ascissa', 'Risoluzione dell\'ascissa', 0, 0, '', 3, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('343', 'd', 'Risoluzione dell\'ordinata', 'Risoluzione dell\'ordinata', 0, 0, '', 3, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('343', 'e', 'Risoluzione di distanza', 'Risoluzione di distanza', 0, 0, '', 3, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('343', 'f', 'Risoluzione di orientamento', 'Risoluzione di orientamento', 0, 0, '', 3, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('343', 'g', 'Unità di orientamento', 'Unità di orientamento', 0, 0, '', 3, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('343', 'h', 'Direzione di riferimento dell\'orientamento', 'Direzione di riferimento dell\'orientamento', 0, 0, '', 3, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('343', 'i', 'Meridiano di riferimento dell\'orientamento', 'Meridiano di riferimento dell\'orientamento', 0, 0, '', 3, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('350', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('350', 'a', 'Prezzo', 'Prezzo', 1, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('350', 'b', 'Forma dell\'emissione', 'Forma dell\'emissione', 1, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('351', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('351', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('351', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('351', 'a', 'Organizzazione', 'Organizzazione', 1, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('351', 'b', 'Ordinamento', 'Ordinamento', 1, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('351', 'c', 'Livello gerarchico', 'Livello gerarchico', 0, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('352', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('352', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('352', 'a', 'Metodo di riferimento diretto', 'Metodo di riferimento diretto', 0, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('352', 'b', 'Tipo di oggetto', 'Tipo di oggetto', 1, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('352', 'c', 'Contatore di oggetti', 'Contatore di oggetti', 1, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('352', 'd', 'Contatore di linee', 'Contatore di linee', 0, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('352', 'e', 'Contattore di colonne', 'Contattore di colonne', 0, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('352', 'f', 'Contattore verticale', 'Contattore verticale', 0, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('352', 'g', 'Livello di topologia VPF', 'Livello di topologia VPF', 0, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('352', 'i', 'Descrizione di riferimento indiretto', 'Descrizione di riferimento indiretto', 0, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('355', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('355', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('355', 'a', 'Classificazione di sicurezza', 'Classificazione di sicurezza', 0, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('355', 'b', 'Istruzioni per l\'uso', 'Istruzioni per l\'uso', 1, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('355', 'c', 'Informazione di diffusione esterna', 'Informazione di diffusione esterna', 1, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('355', 'd', 'Informazione di riduzione del livello di sicurezza o di declassificazione', 'Informazione di riduzione del livello di sicurezza o di declassificazione', 0, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('355', 'e', 'Sistema di classificazione', 'Sistema di classificazione', 0, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('355', 'f', 'Codice del paese di origine', 'Codice del paese di origine', 0, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('355', 'g', 'Data di riduzione del livello di sicurezza', 'Data di riduzione del livello di sicurezza', 0, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('355', 'h', 'Data di declassificazione', 'Data di declassificazione', 0, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('355', 'j', 'Autorizzazione', 'Autorizzazione', 1, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('357', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('357', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('357', 'a', 'Termine di controllo del creatore', 'Termine di controllo del creatore', 0, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('357', 'b', 'Agenzia di diffusione', 'Agenzia di diffusione', 1, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('357', 'c', 'Destinatari autorizzati del materiale', 'Destinatari autorizzati del materiale', 1, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('357', 'g', 'Altre restrizioni', 'Altre restrizioni', 1, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('359', 'a', 'Prezzo del prestito', 'Prezzo del prestito', 0, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('362', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('362', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('362', 'a', 'Date della pubblicazione e/o designazione sequenziale', 'Date della pubblicazione e/o designazione sequenziale', 0, 0, 'biblioitems.volumedesc', 3, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('362', 'z', 'Fonte dell\'informazione', 'Fonte dell\'informazione', 0, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('365', '2', 'Fonte del codice del tipo di prezzo', 'Fonte del codice del tipo di prezzo', 0, 0, '', 9, '', '', '', NULL, -1, 'BKS', '', '', NULL),
		('365', '6', 'Collegamento', 'Collegamento', 0, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('365', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('365', 'a', 'Codice del tipo di prezzo', 'Codice del tipo di prezzo', 0, 0, '', 9, '', '', '', NULL, -1, 'BKS', '', '', NULL),
		('365', 'b', 'Prezzo totale', 'Prezzo totale', 0, 0, '', 9, '', '', '', NULL, -1, 'BKS', '', '', NULL),
		('365', 'c', 'Codice della valuta', 'Codice della valuta', 0, 0, '', 9, '', '', '', NULL, -1, 'BKS', '', '', NULL),
		('365', 'd', 'Unità de fissazione del prezzo', 'Unità de fissazione del prezzo', 0, 0, '', 9, '', '', '', NULL, -1, 'BKS', '', '', NULL),
		('365', 'e', 'Nota sul prezzo', 'Nota sul prezzo', 0, 0, '', 9, '', '', '', NULL, -1, 'BKS', '', '', NULL),
		('365', 'f', 'Prezzo in vigore dal', 'Prezzo in vigore dal', 0, 0, '', 9, '', '', '', NULL, -1, 'BKS', '', '', NULL),
		('365', 'g', 'Prezzo in vigore fino al', 'Prezzo in vigore fino al', 0, 0, '', 9, '', '', '', NULL, -1, 'BKS', '', '', NULL),
		('365', 'h', 'Aliquota 1', 'Aliquota 1', 0, 0, '', 9, '', '', '', NULL, -1, 'BKS', '', '', NULL),
		('365', 'i', 'Aliquota 2', 'Aliquota 2', 0, 0, '', 9, '', '', '', NULL, -1, 'BKS', '', '', NULL),
		('365', 'j', 'Codice ISO del paese', 'Codice ISO del paese', 0, 0, '', 9, '', '', '', NULL, -1, 'BKS', '', '', NULL),
		('365', 'k', 'Codice MARC del paese', 'Codice MARC del paese', 0, 0, '', 9, '', '', '', NULL, -1, 'BKS', '', '', NULL),
		('365', 'm', 'Identificazione dell\'ente di fissazione del prezzo', 'Identificazione dell\'ente di fissazione del prezzo', 0, 0, '', 9, '', '', '', NULL, -1, 'BKS', '', '', NULL),
		('366', '2', 'Fonte dello stato di disponibilità', 'Fonte dello stato di disponibilità', 0, 0, '', 9, '', '', '', NULL, -1, 'BKS', '', '', NULL),
		('366', '6', 'Collegamento', 'Collegamento', 0, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('366', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('366', 'a', 'Identificazione editoriale abbreviata di titolo', 'Identificazione editoriale abbreviata di titolo', 0, 0, '', 9, '', '', '', NULL, -1, 'BKS', '', '', NULL),
		('366', 'b', 'Data dettagliata di pubblicazione', 'Data dettagliata di pubblicazione', 0, 0, '', 9, '', '', '', NULL, -1, 'BKS', '', '', NULL),
		('366', 'c', 'Codice dello stato di disponibilità', 'Codice dello stato di disponibilità', 0, 0, '', 9, '', '', '', NULL, -1, 'BKS', '', '', NULL),
		('366', 'd', 'Data prevedibile della prossima disponibilità', 'Data prevedibile della prossima disponibilità', 0, 0, '', 9, '', '', '', NULL, -1, 'BKS', '', '', NULL),
		('366', 'e', 'Nota', 'Nota', 0, 0, '', 9, '', '', '', NULL, -1, 'BKS', '', '', NULL),
		('366', 'f', 'Tipo di sconto dell\'editore', 'Tipo di sconto dell\'editore', 0, 0, '', 9, '', '', '', NULL, -1, 'BKS', '', '', NULL),
		('366', 'g', 'Data di esaurimento', 'Data di esaurimento', 0, 0, '', 9, '', '', '', NULL, -1, 'BKS', '', '', NULL),
		('366', 'j', 'Codice ISO del paese', 'Codice ISO del paese', 0, 0, '', 9, '', '', '', NULL, -1, 'BKS', '', '', NULL),
		('366', 'k', 'Codice MARC del paese', 'Codice MARC del paese', 0, 0, '', 9, '', '', '', NULL, -1, 'BKS', '', '', NULL),
		('366', 'm', 'Identificazione dell\'agenzia', 'Identificazione dell\'agenzia', 0, 0, '', 9, '', '', '', NULL, -1, 'BKS', '', '', NULL),
		('400', '4', 'Codice di ruolo', 'Codice di ruolo', 1, 0, '', 4, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('400', '6', 'Collegamento', 'Collegamento', 0, 0, '', 4, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('400', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 4, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('400', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 4, '', '', '', 0, -5, 'BKS', '', '', NULL),
		('400', 'a', 'Nome di persona', 'Nome di persona', 0, 0, '', 4, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('400', 'b', 'Numerazione', 'Numerazione', 0, 0, '', 4, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('400', 'c', 'Titoli e altre parole associate al nome', 'Titoli e altre parole associate al nome', 1, 0, '', 4, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('400', 'd', 'Date associate al nome', 'Date associate al nome', 0, 0, '', 4, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('400', 'e', 'Termine di ruolo', 'Termine di ruolo', 1, 0, '', 4, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('400', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, '', 4, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('400', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, '', 4, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('400', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, '', 4, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('400', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, '', 4, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('400', 'n', 'Numero di parte/sezione dell\'opera', 'Numero di parte/sezione dell\'opera', 1, 0, '', 4, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('400', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, '', 4, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('400', 'q', 'Forma completa del nome', 'Forma completa del nome', 0, 0, '', 4, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('400', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, '', 4, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('400', 'u', 'Affiliazione', 'Affiliazione', 0, 0, '', 4, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('400', 'v', 'Numero del volume/designazione di sequenza', 'Numero del volume/designazione di sequenza', 0, 0, '', 4, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('400', 'x', 'ISSN (International Standard Serial Number)', 'ISSN (International Standard Serial Number)', 0, 0, '', 4, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('410', '4', 'Codice di ruolo', 'Codice di ruolo', 1, 0, '', 4, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('410', '6', 'Collegamento', 'Collegamento', 0, 0, '', 4, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('410', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 4, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('410', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 4, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('410', 'a', 'Nome dell\'ente o nome della giurisdizione come accesso', 'Nome dell\'ente o nome della giurisdizione come accesso', 0, 0, '', 4, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('410', 'b', 'Unità subordinata', 'Unità subordinata', 1, 0, '', 4, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('410', 'c', 'Luogo del convegno', 'Luogo del convegno', 0, 0, '', 4, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('410', 'd', 'Data del convegno o di firma del trattato', 'Data del convegno o di firma del trattato', 1, 0, '', 4, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('410', 'e', 'Termine di ruolo', 'Termine di ruolo', 1, 0, '', 4, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('410', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, '', 4, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('410', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, '', 4, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('410', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, '', 4, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('410', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, '', 4, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('410', 'n', 'Numero di parte/sezione/convegno', 'Numero di parte/sezione/convegno', 1, 0, '', 4, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('410', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, '', 4, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('410', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, '', 4, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('410', 'u', 'Affiliazione', 'Affiliazione', 0, 0, '', 4, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('410', 'v', 'Numero del volume/designazione di sequenza', 'Numero del volume/designazione di sequenza', 0, 0, '', 4, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('410', 'x', 'ISSN (International Standard Serial Number)', 'ISSN (International Standard Serial Number)', 0, 0, '', 4, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('411', '4', 'Codice di ruolo', 'Codice di ruolo', 1, 0, NULL, 4, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('411', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 4, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('411', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 4, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('411', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 4, '', '', '', 0, -5, 'BKS', '', '', NULL),
		('411', 'a', 'Nome del convegno o nome della giurisdizione come accesso', 'Nome del convegno o nome della giurisdizione come accesso', 0, 0, NULL, 4, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('411', 'b', 'Number [OBSOLETE]', 'Number [OBSOLETE]', 0, 0, NULL, 4, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('411', 'c', 'Luogo del convegno', 'Luogo del convegno', 0, 0, NULL, 4, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('411', 'd', 'Data del convegno', 'Data del convegno', 0, 0, NULL, 4, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('411', 'e', 'Unità subordinata', 'Unità subordinata', 1, 0, NULL, 4, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('411', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, NULL, 4, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('411', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, NULL, 4, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('411', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, NULL, 4, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('411', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, NULL, 4, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('411', 'n', 'Numero di parte/sezione/convegno', 'Numero di parte/sezione/convegno', 1, 0, NULL, 4, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('411', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, NULL, 4, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('411', 'q', 'Nome del convegno dopo accesso di nome della giurisdizione', 'Nome del convegno dopo accesso di nome della giurisdizione', 0, 0, NULL, 4, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('411', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, NULL, 4, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('411', 'u', 'Affiliazione', 'Affiliazione', 0, 0, NULL, 4, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('411', 'v', 'Numero del volume/designazione di sequenza', 'Numero del volume/designazione di sequenza', 0, 0, '', 4, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('411', 'x', 'ISSN (International Standard Serial Number)', 'ISSN (International Standard Serial Number)', 0, 0, '', 4, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('440', '6', 'Collegamento', 'Collegamento', 0, 0, '', 4, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('440', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 4, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('440', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 4, '', '', '', 0, -5, 'BKS', '', '', NULL),
		('440', 'a', 'Titolo', 'Titolo', 0, 0, 'biblio.seriestitle', 4, '', 'UNIF_TITLE', '', NULL, 0, 'BKS', '''440n'',''440p'',''490a'',''830a'',''830n'',''830p'',''899a''', '', NULL),
		('440', 'n', 'Numero di parte/sezione dell\'opera', 'Numero di parte/sezione dell\'opera', 1, 0, 'biblioitems.number', 4, '', '', '', NULL, 0, 'BKS', '', '', NULL),
		('440', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, '', 4, '', '', '', NULL, 0, 'BKS', '', '', NULL),
		('440', 'v', 'Numero del volume/designazione di sequenza', 'Numero del volume/designazione di sequenza', 0, 0, 'biblioitems.volume', 4, '', '', '', NULL, 0, 'BKS', '', '', NULL),
		('440', 'x', 'ISSN (International Standard Serial Number)', 'ISSN (International Standard Serial Number)', 0, 0, '', 4, '', '', '', NULL, 0, 'BKS', '', '', NULL),
		('490', '6', 'Collegamento', 'Collegamento', 0, 0, '', 4, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('490', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 4, '', '', NULL, NULL, -6, 'BKS', '', '', NULL),
		('490', 'a', 'Formulazione della serie', 'Formulazione della serie', 1, 0, '', 4, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('490', 'l', 'Numero di chiamata (collocazione) della Library of Congress', 'Numero di chiamata (collocazione) della Library of Congress', 0, 0, '', 4, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('490', 'v', 'Numero del volume/designazione di sequenza', 'Numero del volume/designazione di sequenza', 1, 0, '', 4, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('490', 'x', 'ISSN (International Standard Serial Number)', 'ISSN (International Standard Serial Number)', 0, 0, '', 4, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('500', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, '', 5, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('500', '5', 'Istituzione a cui si applica il campo', 'Istituzione a cui si applica il campo', 0, 0, '', 5, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('500', '6', 'Collegamento', 'Collegamento', 0, 0, '', 5, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('500', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 5, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('500', 'a', 'Nota generale', 'Nota generale', 0, 0, 'biblio.notes', 5, '', '', '', NULL, -1, 'BKS', '', '', NULL),
		('500', 'l', 'Library of Congress call number (SE) [OBSOLETE]', 'Library of Congress call number (SE) [OBSOLETE]', 0, 0, '', 5, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('500', 'n', 'n (RLIN) [OBSOLETE]', 'n (RLIN) [OBSOLETE]', 0, 0, '', 5, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('500', 'x', 'International Standard Serial Number (SE) [OBSOLETE]', 'International Standard Serial Number (SE) [OBSOLETE]', 0, 0, '', 5, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('500', 'z', 'Source of note information (AM SE) [OBSOLETE]', 'Source of note information (AM SE) [OBSOLETE]', 0, 0, '', 5, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('501', '5', 'Istituzione a cui si applica il campo', 'Istituzione a cui si applica il campo', 0, 0, '', 5, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('501', '6', 'Collegamento', 'Collegamento', 0, 0, '', 5, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('501', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 5, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('501', 'a', 'Nota  Pubblicato con', 'Nota  Pubblicato con', 0, 0, '', 5, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('502', '6', 'Collegamento', 'Collegamento', 0, 0, '', 5, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('502', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 5, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('502', 'a', 'Nota di dissertazione', 'Nota di dissertazione', 0, 0, '', 5, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('503', '8', 'Collegamento', 'Collegamento', 0, 0, '', 5, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('503', 'a', 'Bibliographic history note', 'Bibliographic history note', 0, 0, '', 5, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('504', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('504', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('504', 'a', 'Nota di bibliografia, ecc.', 'Nota di bibliografia, ecc.', 0, 0, '', 5, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('504', 'b', 'Numero dei riferimenti', 'Numero dei riferimenti', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('505', '6', 'Collegamento', 'Collegamento', 0, 0, '', 5, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('505', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 5, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('505', 'a', 'Nota formattata di contenuto', 'Nota formattata di contenuto', 0, 0, '', 5, '', '', '', NULL, -1, 'BKS', '', '', NULL),
		('505', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 1, 0, '', 5, '', '', '', NULL, -1, 'BKS', '', '', NULL),
		('505', 'r', 'Formulazione di responsabilità', 'Formulazione di responsabilità', 1, 0, '', 5, '', '', '', NULL, -1, 'BKS', '', '', NULL),
		('505', 't', 'Titolo', 'Titolo', 1, 0, '', 5, '', '', '', NULL, -1, 'BKS', '', '', NULL),
		('505', 'u', 'URI (Uniform Resource Identifier)', 'URI (Uniform Resource Identifier)', 1, 0, '', 5, '', '', '', 1, -1, 'BKS', '', '', NULL),
		('506', '2', 'Fonte', 'Fonte', 0, 0, '', 5, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('506', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, '', 5, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('506', '5', 'Istituzione a cui si applica il campo', 'Istituzione a cui si applica il campo', 0, 0, '', 5, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('506', '6', 'Collegamento', 'Collegamento', 0, 0, '', 5, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('506', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 5, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('506', 'a', 'Condizioni che regolano l\'accesso', 'Condizioni che regolano l\'accesso', 0, 0, '', 5, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('506', 'b', 'Competenza legale', 'Competenza legale', 1, 0, '', 5, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('506', 'c', 'Disposizioni per l\'accesso fisico', 'Disposizioni per l\'accesso fisico', 1, 0, '', 5, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('506', 'd', 'Utenti autorizzati', 'Utenti autorizzati', 1, 0, '', 5, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('506', 'e', 'Autorizzazione', 'Autorizzazione', 1, 0, '', 5, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('506', 'f', 'Terminologia normalizzata della restrizione all’accesso', 'Terminologia normalizzata della restrizione all’accesso', 1, 0, '', 5, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('506', 'u', 'URI (Uniform Resource Identifier)', 'URI (Uniform Resource Identifier)', 1, 0, '', 5, '', '', '', 1, -6, 'BKS', '', '', NULL),
		('507', '6', 'Collegamento', 'Collegamento', 0, 0, '', 5, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('507', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 5, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('507', 'a', 'Nota di frazione rappresentativa di scala', 'Nota di frazione rappresentativa di scala', 0, 0, '', 5, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('507', 'b', 'Restante parte della nota di scala', 'Restante parte della nota di scala', 0, 0, '', 5, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('508', '6', 'Collegamento', 'Collegamento', 0, 0, '', 5, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('508', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('508', 'a', 'Nota sui crediti di creazione/produzione', 'Nota sui crediti di creazione/produzione', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('509', 'a', 'Note informali', 'Note informali', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('510', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, '', 5, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('510', '6', 'Collegamento', 'Collegamento', 0, 0, '', 5, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('510', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 5, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('510', 'a', 'Nome della fonte', 'Nome della fonte', 0, 0, '', 5, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('510', 'b', 'Copertura della fonte', 'Copertura della fonte', 0, 0, '', 5, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('510', 'c', 'Localizzazione nella fonte', 'Localizzazione nella fonte', 0, 0, '', 5, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('510', 'x', 'ISSN (International Standard Serial Number)', 'ISSN (International Standard Serial Number)', 0, 0, '', 5, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('511', '6', 'Collegamento', 'Collegamento', 0, 0, '', 5, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('511', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 5, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('511', 'a', 'Nota sui partecipanti o interpreti', 'Nota sui partecipanti o interpreti', 0, 0, '', 5, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('512', '6', 'Collegamento', 'Collegamento', 0, 0, '', -1, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('512', 'a', 'Earlier or later volumes separately cataloged note', 'Earlier or later volumes separately cataloged note', 0, 0, '', -1, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('513', '6', 'Collegamento', 'Collegamento', 0, 0, '', 5, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('513', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 5, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('513', 'a', 'Tipo di rapporto', 'Tipo di rapporto', 0, 0, '', 5, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('513', 'b', 'Periodo coperto', 'Periodo coperto', 0, 0, '', 5, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('514', '6', 'Collegamento', 'Collegamento', 0, 0, '', 5, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('514', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 5, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('514', 'a', 'Rapporto di esattezza degli attributi', 'Rapporto di esattezza degli attributi', 0, 0, '', 5, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('514', 'b', 'Valore di esattezza degli attributi', 'Valore di esattezza degli attributi', 1, 0, '', 5, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('514', 'c', 'Spiegazione della esattezza degli attributi', 'Spiegazione della esattezza degli attributi', 1, 0, '', 5, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('514', 'd', 'Rapporto di coerenza logica', 'Rapporto di coerenza logica', 0, 0, '', 5, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('514', 'e', 'Rapporto di completezza', 'Rapporto di completezza', 0, 0, '', 5, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('514', 'f', 'Rapporto di esattezza di posizione orizzontale', 'Rapporto di esattezza di posizione orizzontale', 0, 0, '', 5, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('514', 'g', 'Valore di esattezza di posizione orizzontale', 'Valore di esattezza di posizione orizzontale', 1, 0, '', 5, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('514', 'h', 'Spiegazione della esattezza di posizione orizzontale', 'Spiegazione della esattezza di posizione orizzontale', 1, 0, '', 5, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('514', 'i', 'Rapporto di esattezza di posizione verticale', 'Rapporto di esattezza di posizione verticale', 0, 0, '', 5, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('514', 'j', 'Valore di esattezza di posizione verticale', 'Valore di esattezza di posizione verticale', 1, 0, '', 5, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('514', 'k', 'Spiegazione della esattezza di posizione verticale', 'Spiegazione della esattezza di posizione verticale', 1, 0, '', 5, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('514', 'm', 'Nuvolosità', 'Nuvolosità', 0, 0, '', 5, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('514', 'u', 'URI (Uniform Resource Identifier)', 'URI (Uniform Resource Identifier)', 1, 0, '', 5, '', '', '', 1, -6, 'BKS', '', '', NULL),
		('514', 'z', 'Nota di visualizzazione', 'Nota di visualizzazione', 1, 0, '', 5, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('515', '6', 'Collegamento', 'Collegamento', 0, 0, '', 5, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('515', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 5, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('515', 'a', 'Nota su particolarità della numerazione', 'Nota su particolarità della numerazione', 0, 0, '', 5, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('515', 'z', 'Source of note information (SE) [OBSOLETE]', 'Source of note information (SE) [OBSOLETE]', 0, 0, '', -1, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('516', '6', 'Collegamento', 'Collegamento', 0, 0, '', 5, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('516', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 5, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('516', 'a', 'Nota sul tipo di computer file o di file di dati', 'Nota sul tipo di computer file o di file di dati', 0, 0, '', 5, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('517', 'a', 'Formati multipli', 'Formati multipli', 0, 0, '', 5, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('517', 'b', 'Descrittori del contenuto', 'Descrittori del contenuto', 1, 0, '', 5, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('517', 'c', 'Tecniche d\'animazione addizionali', 'Tecniche d\'animazione addizionali', 1, 0, '', 5, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('518', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, '', 5, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('518', '6', 'Collegamento', 'Collegamento', 0, 0, '', 5, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('518', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 5, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('518', 'a', 'Nota sulla data/ora e luogo dell\'evento', 'Nota sulla data/ora e luogo dell\'evento', 0, 0, '', 5, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('520', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, '', 5, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('520', '6', 'Collegamento', 'Collegamento', 0, 0, '', 5, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('520', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 5, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('520', 'a', 'Nota di riassunto, ecc.', 'Nota di riassunto, ecc.', 0, 0, 'biblio.abstract', 5, '', '', '', NULL, -1, 'BKS', '', '', NULL),
		('520', 'b', 'Nota di estensione del riassunto', 'Nota di estensione del riassunto', 0, 0, '', 5, '', '', '', NULL, -1, 'BKS', '', '', NULL),
		('520', 'u', 'URI (Uniform Resource Identifier)', 'URI (Uniform Resource Identifier)', 1, 0, '', 5, '', '', '', 1, -1, 'BKS', '', '', NULL),
		('520', 'z', 'Source of note information [OBSOLETE]', 'Source of note information [OBSOLETE]', 0, 0, '', 5, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('521', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('521', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('521', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('521', 'a', 'Nota sui destinatari', 'Nota sui destinatari', 1, 0, NULL, 5, NULL, NULL, '', NULL, 0, 'BKS', '', '', NULL),
		('521', 'b', 'Fonte', 'Fonte', 0, 0, NULL, 5, NULL, NULL, '', NULL, 0, 'BKS', '', '', NULL),
		('522', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('522', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('522', 'a', 'Nota di copertura geografica', 'Nota di copertura geografica', 0, 0, NULL, 5, NULL, NULL, '', NULL, -1, 'BKS', '', '', NULL),
		('523', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('523', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('523', 'a', 'Time period of content note', 'Time period of content note', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('524', '2', 'Fonte dello schema usato', 'Fonte dello schema usato', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('524', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('524', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('524', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('524', 'a', 'Nota sulla citazione preferita dei materiali descritti', 'Nota sulla citazione preferita dei materiali descritti', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('525', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('525', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('525', 'a', 'Nota di supplemento', 'Nota di supplemento', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('525', 'z', 'Source of note information (SE) [OBSOLETE]', 'Source of note information (SE) [OBSOLETE]', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('526', '5', 'Istituzione a cui si applica il campo', 'Istituzione a cui si applica il campo', 0, 0, '', 5, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('526', '6', 'Collegamento', 'Collegamento', 0, 0, '', 5, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('526', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 5, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('526', 'a', 'Nome del programma', 'Nome del programma', 0, 0, '', 5, '', '', '', NULL, -1, 'BKS', '', '', NULL),
		('526', 'b', 'Livello d\'interesse', 'Livello d\'interesse', 0, 0, '', 5, '', '', '', NULL, -1, 'BKS', '', '', NULL),
		('526', 'c', 'Livello di lettura', 'Livello di lettura', 0, 0, '', 5, '', '', '', NULL, -1, 'BKS', '', '', NULL),
		('526', 'd', 'Valore numerico del titolo', 'Valore numerico del titolo', 0, 0, '', 5, '', '', '', NULL, -1, 'BKS', '', '', NULL),
		('526', 'i', 'Testo da visualizzare', 'Testo da visualizzare', 0, 0, '', 5, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('526', 'x', 'Nota non pubblic', 'Nota non pubblic', 1, 0, '', 5, '', '', '', NULL, 6, 'BKS', '', '', NULL),
		('526', 'z', 'Nota pubblica', 'Nota pubblica', 1, 0, '', 5, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('527', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('527', 'a', 'Censorship note', 'Censorship note', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('530', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('530', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('530', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('530', 'a', 'Nota sulla disponibilità su altro supporto fisico', 'Nota sulla disponibilità su altro supporto fisico', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('530', 'b', 'Fonte di disponibilità', 'Fonte di disponibilità', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('530', 'c', 'Condizioni di disponibilità', 'Condizioni di disponibilità', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('530', 'd', 'Numero di ordine', 'Numero di ordine', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('530', 'u', 'URI (Uniform Resource Identifier)', 'URI (Uniform Resource Identifier)', 1, 0, NULL, 5, NULL, NULL, '', 1, -6, 'BKS', '', '', NULL),
		('530', 'z', 'Source of note information (AM CF VM SE) [OBSOLETE]', 'Source of note information (AM CF VM SE) [OBSOLETE]', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('533', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('533', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('533', '7', 'Elementi di lunghezza fissa della riproduzione', 'Elementi di lunghezza fissa della riproduzione', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('533', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('533', 'a', 'Tipo di riproduzione', 'Tipo di riproduzione', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('533', 'b', 'Luogo di riproduzione', 'Luogo di riproduzione', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('533', 'c', 'Agenzia responsabile della riproduzione', 'Agenzia responsabile della riproduzione', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('533', 'd', 'Data di riproduzione', 'Data di riproduzione', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('533', 'e', 'Descrizione fisica della riproduzione', 'Descrizione fisica della riproduzione', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('533', 'f', 'Formulazione della serie della riproduzione', 'Formulazione della serie della riproduzione', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('533', 'm', 'Date e/o designazione sequenziale dei documenti riprodotti', 'Date e/o designazione sequenziale dei documenti riprodotti', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('533', 'n', 'Nota sulla riproduzione', 'Nota sulla riproduzione', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('534', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('534', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('534', 'a', 'Accesso principale dell\'originale', 'Accesso principale dell\'originale', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('534', 'b', 'Formulazione di edizione dell\'originale', 'Formulazione di edizione dell\'originale', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('534', 'c', 'Pubblicazione, distribuzione, ecc., dell\'originale', 'Pubblicazione, distribuzione, ecc., dell\'originale', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('534', 'e', 'Descrizione fisica, ecc., dell\'originale', 'Descrizione fisica, ecc., dell\'originale', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('534', 'f', 'Formulazione della serie dell\'originale', 'Formulazione della serie dell\'originale', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('534', 'k', 'Titolo chiave dell\'originale', 'Titolo chiave dell\'originale', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('534', 'l', 'Localizzazione dell\'originale', 'Localizzazione dell\'originale', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('534', 'm', 'Dettagli specifici del materiale', 'Dettagli specifici del materiale', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('534', 'n', 'Nota sull\'originale', 'Nota sull\'originale', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('534', 'p', 'Frase introduttiva', 'Frase introduttiva', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('534', 't', 'Formulazione del titolo dell\'originale', 'Formulazione del titolo dell\'originale', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('534', 'x', 'ISSN (International Standard Serial Number)', 'ISSN (International Standard Serial Number)', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('534', 'z', 'ISBN (International Standard Book Number)', 'ISBN (International Standard Book Number)', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('535', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('535', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('535', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('535', 'a', 'Conservatore', 'Conservatore', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('535', 'b', 'Indirizzo postale', 'Indirizzo postale', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('535', 'c', 'Paese', 'Paese', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('535', 'd', 'Indirizzo di telecomunicazione', 'Indirizzo di telecomunicazione', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('535', 'g', 'Codice di localizzazione del deposito', 'Codice di localizzazione del deposito', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('536', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('536', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('536', 'a', 'Testo della nota', 'Testo della nota', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('536', 'b', 'Numero di contratto', 'Numero di contratto', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('536', 'c', 'Numero di sovvenzione', 'Numero di sovvenzione', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('536', 'd', 'Numero indifferenziato', 'Numero indifferenziato', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('536', 'e', 'Numero di elemento di un programma', 'Numero di elemento di un programma', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('536', 'f', 'Numero di progetto', 'Numero di progetto', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('536', 'g', 'Numero di unità di lavoro', 'Numero di unità di lavoro', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('536', 'h', 'Numero di unità di lavoro', 'Numero di unità di lavoro', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('537', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('537', 'a', 'Source of data note', 'Source of data note', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('538', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('538', '6', 'Collegamento', 'Collegamento', 0, 0, '', 5, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('538', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 5, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('538', 'a', 'Nota sui requisiti del sistema', 'Nota sui requisiti del sistema', 0, 0, '', 5, '', '', '', NULL, -1, 'BKS', '', '', NULL),
		('538', 'i', 'Testo da visualizzare', 'Testo da visualizzare', 0, 0, '', 5, '', '', '', NULL, -1, 'BKS', '', '', NULL),
		('538', 'u', 'URI (Uniform Resource Identifier)', 'URI (Uniform Resource Identifier)', 1, 0, '', 5, '', '', '', 1, -1, 'BKS', '', '', NULL),
		('540', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('540', '5', 'Istituzione a cui si applica il campo', 'Istituzione a cui si applica il campo', 0, 0, '', 5, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('540', '6', 'Collegamento', 'Collegamento', 0, 0, '', 5, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('540', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 5, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('540', 'a', 'Condizioni che regolano l\'utilizzo e la riproduzione', 'Condizioni che regolano l\'utilizzo e la riproduzione', 0, 0, '', 5, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('540', 'b', 'Competenza legale', 'Competenza legale', 0, 0, '', 5, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('540', 'c', 'Autorizzazione', 'Autorizzazione', 0, 0, '', 5, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('540', 'd', 'Utenti autorizzati', 'Utenti autorizzati', 0, 0, '', 5, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('540', 'u', 'URI (Uniform Resource Identifier)', 'URI (Uniform Resource Identifier)', 1, 0, '', 5, '', '', '', 1, -6, 'BKS', '', '', NULL),
		('541', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, NULL, 9, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('541', '5', 'Istituzione a cui si applica il campo', 'Istituzione a cui si applica il campo', 0, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('541', '6', 'Collegamento', 'Collegamento', 0, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('541', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('541', 'a', 'Fonte d\'acquisto', 'Fonte d\'acquisto', 0, 0, '', 9, '', '', '', NULL, 1, 'BKS', '', '', NULL),
		('541', 'b', 'Indirizzo', 'Indirizzo', 0, 0, '', 9, '', '', '', NULL, 1, 'BKS', '', '', NULL),
		('541', 'c', 'Metodo d\'acquisto', 'Metodo d\'acquisto', 0, 0, '', 9, '', '', '', NULL, 1, 'BKS', '', '', NULL),
		('541', 'd', 'Data d\'acquisto', 'Data d\'acquisto', 0, 0, '', 9, '', '', '', NULL, 1, 'BKS', '', '', NULL),
		('541', 'e', 'Numero d\'accessione', 'Numero d\'accessione', 0, 0, '', 9, '', '', '', NULL, 1, 'BKS', '', '', NULL),
		('541', 'f', 'Proprietario', 'Proprietario', 0, 0, '', 9, '', '', '', NULL, 1, 'BKS', '', '', NULL),
		('541', 'h', 'Prezzo d\'acquisto', 'Prezzo d\'acquisto', 0, 0, '', 9, '', '', '', NULL, 1, 'BKS', '', '', NULL),
		('541', 'n', 'Estensione', 'Estensione', 0, 0, '', 9, '', '', '', NULL, 1, 'BKS', '', '', NULL),
		('541', 'o', 'Tipo di materiale', 'Tipo di materiale', 1, 0, '', 9, '', '', '', NULL, 1, 'BKS', '', '', NULL),
		('543', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('543', 'a', 'Solicitation information note', 'Solicitation information note', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('544', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('544', '6', 'Collegamento', 'Collegamento', 0, 0, '', 5, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('544', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 5, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('544', 'a', 'Conservatore', 'Conservatore', 1, 0, '', 5, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('544', 'b', 'Indirizzo', 'Indirizzo', 1, 0, '', 5, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('544', 'c', 'Paese', 'Paese', 1, 0, '', 5, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('544', 'd', 'Titolo', 'Titolo', 1, 0, '', 5, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('544', 'e', 'Provenienza', 'Provenienza', 1, 0, '', 5, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('544', 'n', 'Nota', 'Nota', 1, 0, '', 5, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('545', '6', 'Collegamento', 'Collegamento', 0, 0, '', 5, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('545', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 5, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('545', 'a', 'Nota biografica o storica', 'Nota biografica o storica', 0, 0, '', 5, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('545', 'b', 'Ampliamento', 'Ampliamento', 0, 0, '', 5, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('545', 'u', 'URI (Uniform Resource Identifier)', 'URI (Uniform Resource Identifier)', 1, 0, '', 5, '', '', '', 1, -6, 'BKS', '', '', NULL),
		('546', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('546', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('546', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('546', 'a', 'Nota sulla lingua', 'Nota sulla lingua', 0, 0, NULL, 5, NULL, NULL, '', NULL, -1, 'BKS', '', '', NULL),
		('546', 'b', 'Codice d\'informazione o alfabeto', 'Codice d\'informazione o alfabeto', 1, 0, NULL, 5, NULL, NULL, '', NULL, -1, 'BKS', '', '', NULL),
		('546', 'z', 'Source of note information (SE) [OBSOLETE]', 'Source of note information (SE) [OBSOLETE]', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('547', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('547', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('547', 'a', 'Nota sulla complessità del titolo precedente', 'Nota sulla complessità del titolo precedente', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('547', 'z', 'Source of note information (SE) [OBSOLETE]', 'Source of note information (SE) [OBSOLETE]', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('550', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('550', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('550', 'a', 'Nota sull\'ente responsabile', 'Nota sull\'ente responsabile', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('550', 'z', 'Source of note information (SE) [OBSOLETE]', 'Source of note information (SE) [OBSOLETE]', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('552', '6', 'Collegamento', 'Collegamento', 0, 0, '', 5, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('552', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 5, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('552', 'a', 'Etichetta del tipo di ente', 'Etichetta del tipo di ente', 0, 0, '', 5, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('552', 'b', 'Definizione e fonte del tipo di ente', 'Definizione e fonte del tipo di ente', 0, 0, '', 5, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('552', 'c', 'Etichetta dell\'attributo', 'Etichetta dell\'attributo', 0, 0, '', 5, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('552', 'd', 'Definizione e fonte dell\'attributo', 'Definizione e fonte dell\'attributo', 0, 0, '', 5, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('552', 'e', 'Valore del dominio enumerato', 'Valore del dominio enumerato', 1, 0, '', 5, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('552', 'f', 'Definizione e fonte del valore del dominio enumerato', 'Definizione e fonte del valore del dominio enumerato', 1, 0, '', 5, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('552', 'g', 'Minimo e massimo del range del dominio', 'Minimo e massimo del range del dominio', 0, 0, '', 5, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('552', 'h', 'Nome e fonte del set dei codici', 'Nome e fonte del set dei codici', 0, 0, '', 5, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('552', 'i', 'Dominio non rappresentabile', 'Dominio non rappresentabile', 0, 0, '', 5, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('552', 'j', 'Unità di misura e risoluzione degli attributi', 'Unità di misura e risoluzione degli attributi', 0, 0, '', 5, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('552', 'k', 'Data d\'inizio e data di fine dei valori dell\'attributo', 'Data d\'inizio e data di fine dei valori dell\'attributo', 0, 0, '', 5, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('552', 'l', 'Esattezza del valore dell\'attributo', 'Esattezza del valore dell\'attributo', 0, 0, '', 5, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('552', 'm', 'Spiegazione dell\'esattezza del valore dell\'attributo', 'Spiegazione dell\'esattezza del valore dell\'attributo', 0, 0, '', 5, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('552', 'n', 'Frequenza della misura d\'attributo', 'Frequenza della misura d\'attributo', 0, 0, '', 5, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('552', 'o', 'Riassunto di ente e d\'attributo', 'Riassunto di ente e d\'attributo', 1, 0, '', 5, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('552', 'p', 'Citazione dei dettagli di ente e d\'attributo', 'Citazione dei dettagli di ente e d\'attributo', 1, 0, '', 5, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('552', 'u', 'URI (Uniform Resource Identifier)', 'URI (Uniform Resource Identifier)', 1, 0, '', 5, '', '', '', 1, -6, 'BKS', '', '', NULL),
		('552', 'z', 'Nota di visualizzazione', 'Nota di visualizzazione', 1, 0, '', 5, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('555', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('555', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('555', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('555', 'a', 'Nota sull\'indice cumulativo/strumenti di ricerca', 'Nota sull\'indice cumulativo/strumenti di ricerca', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('555', 'b', 'Fonte di disponibilità', 'Fonte di disponibilità', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('555', 'c', 'Grado di controllo', 'Grado di controllo', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('555', 'd', 'Riferimento bibliografico', 'Riferimento bibliografico', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('555', 'u', 'URI (Uniform Resource Identifier)', 'URI (Uniform Resource Identifier)', 1, 0, NULL, 5, NULL, NULL, '', 1, -6, 'BKS', '', '', NULL),
		('556', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('556', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('556', 'a', 'Nota d\'informazione sulla documentazione', 'Nota d\'informazione sulla documentazione', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('556', 'z', 'ISBN (International Standard Book Number)', 'ISBN (International Standard Book Number)', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('561', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('561', '5', 'Istituzione a cui si applica il campo', 'Istituzione a cui si applica il campo', 0, 0, '', 5, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('561', '6', 'Collegamento', 'Collegamento', 0, 0, '', 5, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('561', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 5, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('561', 'a', 'Storia', 'Storia', 0, 0, '', 5, '', '', '', NULL, 6, 'BKS', '', '', NULL),
		('561', 'b', 'Time of collation [OBSOLETE]', 'Time of collation [OBSOLETE]', 0, 0, '', 5, '', '', '', NULL, 6, 'BKS', '', '', NULL),
		('562', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('562', '5', 'Istituzione a cui si applica il campo', 'Istituzione a cui si applica il campo', 0, 0, NULL, -1, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('562', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('562', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('562', 'a', 'Marche d\'identificazione', 'Marche d\'identificazione', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('562', 'b', 'Identificazione della copia', 'Identificazione della copia', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('562', 'c', 'Identificazione della versione', 'Identificazione della versione', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('562', 'd', 'Formato di presentazione', 'Formato di presentazione', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('562', 'e', 'Numero di copie', 'Numero di copie', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('563', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('563', '5', 'Istituzione a cui si applica il campo', 'Istituzione a cui si applica il campo', 0, 0, NULL, -1, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('563', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('563', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('563', 'a', 'Nota sulla rilegatura', 'Nota sulla rilegatura', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('563', 'u', 'URI (Uniform Resource Identifier)', 'URI (Uniform Resource Identifier)', 1, 0, NULL, 5, NULL, NULL, '', 1, -6, 'BKS', '', '', NULL),
		('565', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('565', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('565', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('565', 'a', 'Numero di pratiche/variabili', 'Numero di pratiche/variabili', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('565', 'b', 'Nome della variabile', 'Nome della variabile', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('565', 'c', 'Unità d\'analisi', 'Unità d\'analisi', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('565', 'd', 'Universo dei dati', 'Universo dei dati', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('565', 'e', 'Sistema o codice d’archiviazione', 'Sistema o codice d’archiviazione', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('567', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('567', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('567', 'a', 'Nota sulla metodologia', 'Nota sulla metodologia', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('570', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('570', 'a', 'Editor note', 'Editor note', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('570', 'z', 'Source of note information', 'Source of note information', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('580', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('580', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('580', 'a', 'Nota di collegamento complesso', 'Nota di collegamento complesso', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('580', 'z', 'Source of note information [OBSOLETE]', 'Source of note information [OBSOLETE]', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('581', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('581', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('581', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('581', 'a', 'Nota di pubblicazioni sui materiali descritti', 'Nota di pubblicazioni sui materiali descritti', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('581', 'z', 'ISBN (International Standard Book Number)', 'ISBN (International Standard Book Number)', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('582', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('582', 'a', 'Related computer files note', 'Related computer files note', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('583', '2', 'Fonte', 'Fonte', 0, 0, NULL, 9, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('583', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, NULL, 9, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('583', '5', 'Istituzione a cui si applica il campo', 'Istituzione a cui si applica il campo', 0, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('583', '6', 'Collegamento', 'Collegamento', 0, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('583', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('583', 'a', 'Azione', 'Azione', 0, 0, '', 9, '', '', '', NULL, -1, 'BKS', '', '', NULL),
		('583', 'b', 'Identificazione dell\'azione', 'Identificazione dell\'azione', 1, 0, '', 9, '', '', '', NULL, -1, 'BKS', '', '', NULL),
		('583', 'c', 'Momento/data dell\'azione', 'Momento/data dell\'azione', 1, 0, '', 9, '', '', '', NULL, -1, 'BKS', '', '', NULL),
		('583', 'd', 'Intervallo dell\'azione', 'Intervallo dell\'azione', 1, 0, '', 9, '', '', '', NULL, -1, 'BKS', '', '', NULL),
		('583', 'e', 'Contingenza per l\'azione', 'Contingenza per l\'azione', 1, 0, '', 9, '', '', '', NULL, -1, 'BKS', '', '', NULL),
		('583', 'f', 'Autorizzazione', 'Autorizzazione', 1, 0, '', 9, '', '', '', NULL, -1, 'BKS', '', '', NULL),
		('583', 'h', 'Competenza legale', 'Competenza legale', 0, 0, '', 9, '', '', '', NULL, -1, 'BKS', '', '', NULL),
		('583', 'i', 'Metodo dell\'azione', 'Metodo dell\'azione', 1, 0, '', 9, '', '', '', NULL, -1, 'BKS', '', '', NULL),
		('583', 'j', 'Luogo dell\'azione', 'Luogo dell\'azione', 1, 0, '', 9, '', '', '', NULL, -1, 'BKS', '', '', NULL),
		('583', 'k', 'Agente dell\'azione', 'Agente dell\'azione', 1, 0, '', 9, '', '', '', NULL, -1, 'BKS', '', '', NULL),
		('583', 'l', 'Stato', 'Stato', 1, 0, '', 9, '', '', '', NULL, -1, 'BKS', '', '', NULL),
		('583', 'n', 'Estensione', 'Estensione', 1, 0, '', 9, '', '', '', NULL, -1, 'BKS', '', '', NULL),
		('583', 'o', 'Tipo di materiale', 'Tipo di materiale', 1, 0, '', 9, '', '', '', NULL, -1, 'BKS', '', '', NULL),
		('583', 'u', 'URI (Uniform Resource Identifier)', 'URI (Uniform Resource Identifier)', 1, 0, '', 9, '', '', '', 1, -1, 'BKS', '', '', NULL),
		('583', 'x', 'Nota non pubblic', 'Nota non pubblic', 1, 0, '', 9, '', '', '', NULL, 4, 'BKS', '', '', NULL),
		('583', 'z', 'Nota pubblica', 'Nota pubblica', 1, 0, '', 9, '', '', '', NULL, -1, 'BKS', '', '', NULL),
		('584', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('584', '5', 'Istituzione a cui si applica il campo', 'Istituzione a cui si applica il campo', 0, 0, '', 5, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('584', '6', 'Collegamento', 'Collegamento', 0, 0, '', 5, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('584', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 5, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('584', 'a', 'Accumulo', 'Accumulo', 1, 0, '', 5, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('584', 'b', 'Frequenza d\'uso', 'Frequenza d\'uso', 1, 0, '', 5, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('585', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('585', '5', 'Istituzione a cui si applica il campo', 'Istituzione a cui si applica il campo', 0, -6, '', 5, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('585', '6', 'Collegamento', 'Collegamento', 0, 0, '', 5, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('585', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 5, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('585', 'a', 'Nota di mostre', 'Nota di mostre', 0, 0, '', 5, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('586', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('586', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('586', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('586', 'a', 'Nota di premi', 'Nota di premi', 0, 0, NULL, 5, NULL, NULL, '', NULL, -1, 'BKS', '', '', NULL),
		('590', '6', 'Linkage (RLIN)', 'Linkage (RLIN)', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('590', '8', 'Field link and sequence number (RLIN)', 'Field link and sequence number (RLIN)', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('590', 'a', 'Local note', 'Local note', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('590', 'b', 'Provenance (VM) [OBSOLETE]', 'Provenance (VM) [OBSOLETE]', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('590', 'c', 'Condition of individual reels (VM) [OBSOLETE]', 'Condition of individual reels (VM) [OBSOLETE]', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('590', 'd', 'Origin of safety copy (VM) [OBSOLETE]', 'Origin of safety copy (VM) [OBSOLETE]', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('600', '2', 'Fonte dell\'intestazione o del termine', 'Fonte dell\'intestazione o del termine', 0, 0, '', 6, '', '', '', NULL, -1, 'BKS', '', '', NULL),
		('600', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, '', 6, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('600', '4', 'Codice di ruolo', 'Codice di ruolo', 1, 0, '', 6, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('600', '6', 'Collegamento', 'Collegamento', 0, 0, '', 6, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('600', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 6, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('600', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 6, '', '', '', 0, -5, 'BKS', '', '', NULL),
		('600', 'a', 'Nome di persona', 'Nome di persona', 0, 0, '', 6, '', 'PERSO_NAME', '', NULL, -1, 'BKS', '', '', NULL),
		('600', 'b', 'Numerazione', 'Numerazione', 0, 0, '', 6, '', '', '', NULL, -1, 'BKS', '', '', NULL),
		('600', 'c', 'Titoli e altre parole associate al nome', 'Titoli e altre parole associate al nome', 1, 0, '', 6, '', '', '', NULL, -1, 'BKS', '', '', NULL),
		('600', 'd', 'Date associate al nome', 'Date associate al nome', 0, 0, '', 6, '', '', '', NULL, -1, 'BKS', '', '', NULL),
		('600', 'e', 'Termine di ruolo', 'Termine di ruolo', 1, 0, '', 6, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('600', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, '', 6, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('600', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, '', 6, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('600', 'h', 'Supporto', 'Supporto', 0, 0, '', 6, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('600', 'j', 'Qualificazione d\'attribuzione', 'Qualificazione d\'attribuzione', 1, 0, '', 6, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('600', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, '', 6, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('600', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, '', 6, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('600', 'm', 'Mezzo di esecuzione per la musica', 'Mezzo di esecuzione per la musica', 1, 0, '', 6, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('600', 'n', 'Numero di parte/sezione dell\'opera', 'Numero di parte/sezione dell\'opera', 1, 0, '', 6, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('600', 'o', 'Formulazione d\'arrangiamento per la musica', 'Formulazione d\'arrangiamento per la musica', 0, 0, '', 6, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('600', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, '', 6, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('600', 'q', 'Forma completa del nome', 'Forma completa del nome', 0, 0, '', 6, '', '', '', NULL, -1, 'BKS', '', '', NULL),
		('600', 'r', 'Tonalità (musica)', 'Tonalità (musica)', 0, 0, '', 6, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('600', 's', 'Versione', 'Versione', 0, 0, '', 6, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('600', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, '', 6, '', '', '', NULL, -1, 'BKS', '', '', NULL),
		('600', 'u', 'Affiliazione', 'Affiliazione', 0, 0, '', 6, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('600', 'v', 'Suddivisione geografica', 'Suddivisione geografica', 1, 0, '', 6, '', '', '', NULL, -1, 'BKS', '', '', NULL),
		('600', 'x', 'Suddivisione generale', 'Suddivisione generale', 1, 0, '', 6, '', '', '', NULL, -1, 'BKS', '', '', NULL),
		('600', 'y', 'Suddivisione cronologica', 'Suddivisione cronologica', 1, 0, '', 6, '', '', '', NULL, -1, 'BKS', '', '', NULL),
		('600', 'z', 'Suddivisione geografica', 'Suddivisione geografica', 1, 0, '', 6, '', '', '', NULL, -1, 'BKS', '', '', NULL),
		('610', '2', 'Fonte dell\'intestazione o del termine', 'Fonte dell\'intestazione o del termine', 0, 0, '', 6, '', '', '', NULL, -1, 'BKS', '', '', NULL),
		('610', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, '', 6, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('610', '4', 'Codice di ruolo', 'Codice di ruolo', 1, 0, '', 6, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('610', '6', 'Collegamento', 'Collegamento', 0, 0, '', 6, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('610', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 6, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('610', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 6, '', '', '', 0, -5, 'BKS', '', '', NULL),
		('610', 'a', 'Nome dell\'ente o nome della giurisdizione come accesso', 'Nome dell\'ente o nome della giurisdizione come accesso', 0, 0, '', 6, '', 'CORPO_NAME', '', NULL, -1, 'BKS', '', '', NULL),
		('610', 'b', 'Unità subordinata', 'Unità subordinata', 1, 0, '', 6, '', '', '', NULL, -1, 'BKS', '', '', NULL),
		('610', 'c', 'Luogo del convegno', 'Luogo del convegno', 0, 0, '', 6, '', '', '', NULL, -1, 'BKS', '', '', NULL),
		('610', 'd', 'Data del convegno o di firma del trattato', 'Data del convegno o di firma del trattato', 1, 0, '', 6, '', '', '', NULL, -1, 'BKS', '', '', NULL),
		('610', 'e', 'Termine di ruolo', 'Termine di ruolo', 1, 0, '', 6, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('610', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, '', 6, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('610', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, '', 6, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('610', 'h', 'Supporto', 'Supporto', 0, 0, '', 6, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('610', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, '', 6, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('610', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, '', 6, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('610', 'm', 'Mezzo di esecuzione per la musica', 'Mezzo di esecuzione per la musica', 1, 0, '', 6, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('610', 'n', 'Numero di parte/sezione/convegno', 'Numero di parte/sezione/convegno', 1, 0, '', 6, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('610', 'o', 'Formulazione d\'arrangiamento per la musica', 'Formulazione d\'arrangiamento per la musica', 0, 0, '', 6, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('610', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, '', 6, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('610', 'r', 'Tonalità (musica)', 'Tonalità (musica)', 0, 0, '', 6, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('610', 's', 'Versione', 'Versione', 0, 0, '', 6, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('610', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, '', 6, '', '', '', NULL, -1, 'BKS', '', '', NULL),
		('610', 'u', 'Affiliazione', 'Affiliazione', 0, 0, '', 6, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('610', 'v', 'Suddivisione geografica', 'Suddivisione geografica', 1, 0, '', 6, '', '', '', NULL, -1, 'BKS', '', '', NULL),
		('610', 'x', 'Suddivisione generale', 'Suddivisione generale', 1, 0, '', 6, '', '', '', NULL, -1, 'BKS', '', '', NULL),
		('610', 'y', 'Suddivisione cronologica', 'Suddivisione cronologica', 1, 0, '', 6, '', '', '', NULL, -1, 'BKS', '', '', NULL),
		('610', 'z', 'Suddivisione geografica', 'Suddivisione geografica', 1, 0, '', 6, '', '', '', NULL, -1, 'BKS', '', '', NULL),
		('611', '2', 'Fonte dell\'intestazione o del termine', 'Fonte dell\'intestazione o del termine', 0, 0, NULL, 6, NULL, NULL, '', NULL, -1, 'BKS', '', '', NULL),
		('611', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('611', '4', 'Codice di ruolo', 'Codice di ruolo', 1, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('611', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('611', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('611', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 6, '', '', '', 0, -5, 'BKS', '', '', NULL),
		('611', 'a', 'Nome del convegno o nome della giurisdizione come accesso', 'Nome del convegno o nome della giurisdizione come accesso', 0, 0, NULL, 6, NULL, 'MEETI_NAME', '', NULL, -1, 'BKS', '', '', NULL),
		('611', 'b', 'Number  (BK CF MP MU SE VM MX)  [OBSOLETE]', 'Number  (BK CF MP MU SE VM MX)  [OBSOLETE]', 1, 0, NULL, -1, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('611', 'c', 'Luogo del convegno', 'Luogo del convegno', 0, 0, NULL, 6, NULL, NULL, '', NULL, -1, 'BKS', '', '', NULL),
		('611', 'd', 'Data del convegno', 'Data del convegno', 0, 0, NULL, 6, NULL, NULL, '', NULL, -1, 'BKS', '', '', NULL),
		('611', 'e', 'Unità subordinata', 'Unità subordinata', 1, 0, NULL, 6, NULL, NULL, '', NULL, -1, 'BKS', '', '', NULL),
		('611', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('611', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('611', 'j', 'Termine di ruolo', 'Termine di ruolo', 1, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('611', 'h', 'Supporto', 'Supporto', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('611', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('611', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('611', 'n', 'Numero di parte/sezione/convegno', 'Numero di parte/sezione/convegno', 1, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('611', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('611', 'q', 'Nome del convegno dopo accesso di nome della giurisdizione', 'Nome del convegno dopo accesso di nome della giurisdizione', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('611', 's', 'Versione', 'Versione', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('611', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, NULL, 6, NULL, NULL, '', NULL, -1, 'BKS', '', '', NULL),
		('611', 'u', 'Affiliazione', 'Affiliazione', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('611', 'v', 'Suddivisione geografica', 'Suddivisione geografica', 1, 0, NULL, 6, NULL, NULL, '', NULL, -1, 'BKS', '', '', NULL),
		('611', 'x', 'Suddivisione generale', 'Suddivisione generale', 1, 0, NULL, 6, NULL, NULL, '', NULL, -1, 'BKS', '', '', NULL),
		('611', 'y', 'Suddivisione cronologica', 'Suddivisione cronologica', 1, 0, NULL, 6, NULL, NULL, '', NULL, -1, 'BKS', '', '', NULL),
		('611', 'z', 'Suddivisione geografica', 'Suddivisione geografica', 1, 0, NULL, 6, NULL, NULL, '', NULL, -1, 'BKS', '', '', NULL),
		('630', '2', 'Fonte dell\'intestazione o del termine', 'Fonte dell\'intestazione o del termine', 0, 0, NULL, 6, NULL, NULL, '', NULL, -1, 'BKS', '', '', NULL),
		('630', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('630', '4', 'Codice di ruolo', 'Codice di ruolo', 1, 0, '', 6, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('630', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('630', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('630', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 6, '', '', '', 0, -5, 'BKS', '', '', NULL),
		('630', 'a', 'Titolo uniforme', 'Titolo uniforme', 0, 0, NULL, 6, NULL, 'UNIF_TITLE', '', NULL, -1, 'BKS', '', '', NULL),
		('630', 'd', 'Data di firma del trattato', 'Data di firma del trattato', 1, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('630', 'e', 'Termine di ruolo', 'Termine di ruolo', 1, 0, '', 6, '', '', '', NULL, -1, 'BKS', '', '', NULL),
		('630', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('630', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('630', 'h', 'Supporto', 'Supporto', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('630', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('630', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, NULL, 6, NULL, NULL, '', NULL, -1, 'BKS', '', '', NULL),
		('630', 'm', 'Mezzo di esecuzione per la musica', 'Mezzo di esecuzione per la musica', 1, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('630', 'n', 'Numero di parte/sezione dell\'opera', 'Numero di parte/sezione dell\'opera', 1, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('630', 'o', 'Formulazione d\'arrangiamento per la musica', 'Formulazione d\'arrangiamento per la musica', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('630', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('630', 'r', 'Tonalità (musica)', 'Tonalità (musica)', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('630', 's', 'Versione', 'Versione', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('630', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, NULL, 6, NULL, NULL, '', NULL, -1, 'BKS', '', '', NULL),
		('630', 'v', 'Suddivisione geografica', 'Suddivisione geografica', 1, 0, NULL, 6, NULL, NULL, '', NULL, -1, 'BKS', '', '', NULL),
		('630', 'x', 'Suddivisione generale', 'Suddivisione generale', 1, 0, NULL, 6, NULL, NULL, '', NULL, -1, 'BKS', '', '', NULL),
		('630', 'y', 'Suddivisione cronologica', 'Suddivisione cronologica', 1, 0, NULL, 6, NULL, NULL, '', NULL, -1, 'BKS', '', '', NULL),
		('630', 'z', 'Suddivisione geografica', 'Suddivisione geografica', 1, 0, NULL, 6, NULL, NULL, '', NULL, -1, 'BKS', '', '', NULL),
		('648', '2', 'Fonte dell\'intestazione o del termine', 'Fonte dell\'intestazione o del termine', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('648', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('648', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('648', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('648', 'a', 'Termine cronologico', 'Termine cronologico', 0, 0, NULL, 6, NULL, 'CHRON_TERM', '', NULL, -6, 'BKS', '', '', NULL),
		('648', 'v', 'Suddivisione geografica', 'Suddivisione geografica', 1, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('648', 'x', 'Suddivisione generale', 'Suddivisione generale', 1, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('648', 'y', 'Suddivisione cronologica', 'Suddivisione cronologica', 1, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('648', 'z', 'Suddivisione geografica', 'Suddivisione geografica', 1, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('650', '2', 'Fonte dell\'intestazione o del termine', 'Fonte dell\'intestazione o del termine', 0, 0, '', 6, '', '', '', 0, 0, 'BKS', '', '', NULL),
		('650', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, '', 6, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('650', '4', 'Codice di ruolo', 'Codice di ruolo', 1, 0, '', 6, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('650', '6', 'Collegamento', 'Collegamento', 0, 0, '', 6, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('650', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 6, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('650', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 6, '', '', '', 0, -5, 'BKS', '', '', NULL),
		('650', 'a', 'Termine topico o nome geografico come accesso', 'Termine topico o nome geografico come accesso', 0, 0, 'bibliosubject.subject', 6, '', 'TOPIC_TERM', '', 0, 0, 'BKS', '''6003'',''600a'',''600b'',''600c'',''600d'',''600e'',''600f'',''600g'',''600h'',''600k'',''600l'',''600m'',''600n'',''600o'',''600p'',''600r'',''600s'',''600t'',''600u'',''600x'',''600z'',''600y'',''600v'',''6103'',''610a'',''610b'',''610c'',''610d'',''610e'',''610f'',''610g'',''610h'',''610k'',''610l'',''610m'',''610n'',''610o'',''610p'',''610r'',''610s'',''610t'',''610u'',''610x'',''610z'',''610y'',''610v'',''6113'',''611a'',''611b'',''611c'',''611d'',''611e'',''611f'',''611g'',''611h'',''611k'',''611l'',''611m'',''611n'',''611o'',''611p'',''611r'',''611s'',''611t'',''611u'',''611x'',''611z'',''611y'',''611v'',''630a'',''630b'',''630c'',''630d'',''630e'',''630f'',''630g'',''630h'',''630k'',''630l'',''630m'',''630n'',''630o'',''630p'',''630r'',''630s'',''630t'',''630x'',''630z'',''630y'',''630v'',''6483'',''648a'',''648x'',''648z'',''648y'',''648v'',''6503'',''650b'',''650c'',''650d'',''650e'',''650x'',''650z'',''650y'',''650v'',''6513'',''651a'',''651b'',''651c'',''651d'',''651e'',''651x'',''651z'',''651y'',''651v'',''653a'',''6543'',''654a'',''654b'',''654x'',''654z'',''654y'',''654v'',''6553'',''655a'',''655b'',''655x'',''655z'',''655y'',''655v'',''6563'',''656a'',''656k'',''656x'',''656z'',''656y'',''656v'',''6573'',''657a'',''657x'',''657z'',''657y'',''657v'',''658a'',''658b'',''658c'',''658d'',''658v''', '', NULL),
		('650', 'b', 'Nome geografico che precede un termine topico come accesso', 'Nome geografico che precede un termine topico come accesso', 0, 0, '', 6, '', '', '', 0, -1, 'BKS', '', '', NULL),
		('650', 'c', 'Luogo dell\'evento', 'Luogo dell\'evento', 0, 0, '', 6, '', '', '', 0, -1, 'BKS', '', '', NULL),
		('650', 'd', 'Date d\'attività', 'Date d\'attività', 0, 0, '', 6, '', '', '', 0, -1, 'BKS', '', '', NULL),
		('650', 'e', 'Termine di ruolo', 'Termine di ruolo', 0, 0, '', 6, '', '', '', 0, -1, 'BKS', '', '', NULL),
		('650', 'v', 'Suddivisione geografica', 'Suddivisione geografica', 1, 0, '', 6, '', '', '', 0, 0, 'BKS', '', '', NULL),
		('650', 'x', 'Suddivisione generale', 'Suddivisione generale', 1, 0, '', 6, '', '', '', 0, 0, 'BKS', '', '', NULL),
		('650', 'y', 'Suddivisione cronologica', 'Suddivisione cronologica', 1, 0, '', 6, '', '', '', 0, 0, 'BKS', '', '', NULL),
		('650', 'z', 'Suddivisione geografica', 'Suddivisione geografica', 1, 0, '', 6, '', '', '', 0, 0, 'BKS', '', '', NULL),
		('651', '2', 'Fonte dell\'intestazione o del termine', 'Fonte dell\'intestazione o del termine', 0, 0, '', 6, '', '', '', NULL, -1, 'BKS', '', '', NULL),
		('651', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, '', 6, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('651', '4', 'Codice di ruolo', 'Codice di ruolo', 1, 0, '', 6, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('651', '6', 'Collegamento', 'Collegamento', 0, 0, '', 6, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('651', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 6, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('651', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 6, '', '', '', 0, -5, 'BKS', '', '', NULL),
		('651', 'a', 'Nome geografico', 'Nome geografico', 0, 0, '', 6, '', 'GEOGR_NAME', '', NULL, -1, 'BKS', '', '', NULL),
		('651', 'b', 'Geographic name following place entry element [OBSOLETE]', 'Geographic name following place entry element [OBSOLETE]', 1, 0, '', 6, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('651', 'e', 'Termine di ruolo', 'Termine di ruolo', 1, 0, '', 6, '', '', '', NULL, -1, 'BKS', '', '', NULL),
		('651', 'v', 'Suddivisione geografica', 'Suddivisione geografica', 1, 0, '', 6, '', '', '', NULL, -1, 'BKS', '', '', NULL),
		('651', 'x', 'Suddivisione generale', 'Suddivisione generale', 1, 0, '', 6, '', '', '', NULL, -1, 'BKS', '', '', NULL),
		('651', 'y', 'Suddivisione cronologica', 'Suddivisione cronologica', 1, 0, '', 6, '', '', '', NULL, -1, 'BKS', '', '', NULL),
		('651', 'z', 'Suddivisione geografica', 'Suddivisione geografica', 1, 0, '', 6, '', '', '', NULL, -1, 'BKS', '', '', NULL),
		('652', 'a', 'Nome geografico del luogo', 'Nome geografico del luogo', 0, 0, '', 6, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('652', 'x', 'Suddivisione generale', 'Suddivisione generale', 1, 0, '', 6, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('652', 'y', 'Suddivisione cronologica', 'Suddivisione cronologica', 1, 0, '', 6, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('652', 'z', 'Suddivisione geografica', 'Suddivisione geografica', 1, 0, '', 6, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('653', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('653', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('653', 'a', 'Termine non controllato', 'Termine non controllato', 1, 0, NULL, 6, NULL, NULL, '', NULL, -1, 'BKS', '', '', NULL),
		('654', '2', 'Fonte', 'Fonte', 0, 0, '', 6, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('654', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, '', 6, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('654', '4', 'Codice di ruolo', 'Codice di ruolo', 1, 0, '', 6, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('654', '6', 'Collegamento', 'Collegamento', 0, 0, '', 6, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('654', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 6, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('654', 'a', 'Termine principale', 'Termine principale', 1, 0, '', 6, '', 'TOPIC_TERM', '', NULL, -6, 'BKS', '', '', NULL),
		('654', 'b', 'Termine non principale', 'Termine non principale', 1, 0, '', 6, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('654', 'c', 'Designazione di faccetta/gerarchia', 'Designazione di faccetta/gerarchia', 1, 0, '', 6, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('654', 'e', 'Termine di ruolo', 'Termine di ruolo', 1, 0, '', 6, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('654', 'v', 'Suddivisione geografica', 'Suddivisione geografica', 1, 0, '', 6, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('654', 'x', 'Suddivisione generale', 'Suddivisione generale', 1, 0, '', 6, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('654', 'y', 'Suddivisione cronologica', 'Suddivisione cronologica', 1, 0, '', 6, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('654', 'z', 'Suddivisione geografica', 'Suddivisione geografica', 1, 0, '', 6, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('655', '2', 'Fonte', 'Fonte', 0, 0, '', 6, '', '', '', NULL, -1, 'BKS', '', '', NULL),
		('655', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, '', 6, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('655', '5', 'Istituzione a cui si applica il campo', 'Istituzione a cui si applica il campo', 0, 0, '', 6, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('655', '6', 'Collegamento', 'Collegamento', 0, 0, '', 6, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('655', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 6, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('655', 'a', 'Termine principale di genere/forma', 'Termine principale di genere/forma', 0, 0, '', 6, '', 'GENRE/FORM', '', NULL, -1, 'BKS', '', '', NULL),
		('655', 'b', 'Termine non principale', 'Termine non principale', 1, 0, '', 6, '', '', '', NULL, -1, 'BKS', '', '', NULL),
		('655', 'c', 'Designazione di faccetta/gerarchia', 'Designazione di faccetta/gerarchia', 1, 0, '', 6, '', '', '', NULL, -1, 'BKS', '', '', NULL),
		('655', 'v', 'Suddivisione geografica', 'Suddivisione geografica', 1, 0, '', 6, '', '', '', NULL, -1, 'BKS', '', '', NULL),
		('655', 'x', 'Suddivisione generale', 'Suddivisione generale', 1, 0, '', 6, '', '', '', NULL, -1, 'BKS', '', '', NULL),
		('655', 'y', 'Suddivisione cronologica', 'Suddivisione cronologica', 1, 0, '', 6, '', '', '', NULL, -1, 'BKS', '', '', NULL),
		('655', 'z', 'Suddivisione geografica', 'Suddivisione geografica', 1, 0, '', 6, '', '', '', NULL, -1, 'BKS', '', '', NULL),
		('656', '2', 'Fonte', 'Fonte', 0, 0, '', 6, '', '', '', NULL, -1, 'BKS', '', '', NULL),
		('656', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, '', 6, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('656', '6', 'Collegamento', 'Collegamento', 0, 0, '', 6, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('656', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 6, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('656', 'a', 'Occupazione', 'Occupazione', 0, 0, '', 6, '', 'TOPIC_TERM', '', NULL, -1, 'BKS', '', '', NULL),
		('656', 'k', 'Forma', 'Forma', 0, 0, '', 6, '', '', '', NULL, -1, 'BKS', '', '', NULL),
		('656', 'v', 'Suddivisione geografica', 'Suddivisione geografica', 1, 0, '', 6, '', '', '', NULL, -1, 'BKS', '', '', NULL),
		('656', 'x', 'Suddivisione generale', 'Suddivisione generale', 1, 0, '', 6, '', '', '', NULL, -1, 'BKS', '', '', NULL),
		('656', 'y', 'Suddivisione cronologica', 'Suddivisione cronologica', 1, 0, '', 6, '', '', '', NULL, -1, 'BKS', '', '', NULL),
		('656', 'z', 'Suddivisione geografica', 'Suddivisione geografica', 1, 0, '', 6, '', '', '', NULL, -1, 'BKS', '', '', NULL),
		('657', '2', 'Fonte', 'Fonte', 0, 0, '', 6, '', '', '', NULL, -1, 'BKS', '', '', NULL),
		('657', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, '', 6, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('657', '6', 'Collegamento', 'Collegamento', 0, 0, '', 6, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('657', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 6, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('657', 'a', 'Funzione', 'Funzione', 0, 0, '', 6, '', 'TOPIC_TERM', '', NULL, -1, 'BKS', '', '', NULL),
		('657', 'v', 'Suddivisione geografica', 'Suddivisione geografica', 1, 0, '', 6, '', '', '', NULL, -1, 'BKS', '', '', NULL),
		('657', 'x', 'Suddivisione generale', 'Suddivisione generale', 1, 0, '', 6, '', '', '', NULL, -1, 'BKS', '', '', NULL),
		('657', 'y', 'Suddivisione cronologica', 'Suddivisione cronologica', 1, 0, '', 6, '', '', '', NULL, -1, 'BKS', '', '', NULL),
		('657', 'z', 'Suddivisione geografica', 'Suddivisione geografica', 1, 0, '', 6, '', '', '', NULL, -1, 'BKS', '', '', NULL),
		('658', '2', 'Fonte', 'Fonte', 0, 0, '', 6, '', '', '', NULL, -1, 'BKS', '', '', NULL),
		('658', '6', 'Collegamento', 'Collegamento', 0, 0, '', 6, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('658', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 6, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('658', 'a', 'Obiettivo principale del curriculum scolastico', 'Obiettivo principale del curriculum scolastico', 0, 0, '', 6, '', 'TOPIC_TERM', '', NULL, 0, 'BKS', '', '', NULL),
		('658', 'b', 'Obiettivo secondario del curriculum scolastico', 'Obiettivo secondario del curriculum scolastico', 1, 0, '', 6, '', '', '', NULL, 0, 'BKS', '', '', NULL),
		('658', 'c', 'Codice di curriculum scolastico', 'Codice di curriculum scolastico', 0, 0, '', 6, '', '', '', NULL, 0, 'BKS', '', '', NULL),
		('658', 'd', 'Fattore di correlazione', 'Fattore di correlazione', 0, 0, '', 6, '', '', '', NULL, -1, 'BKS', '', '', NULL),
		('662', '2', 'Fonte', 'Fonte', 0, 0, '', 6, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('662', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, '', 6, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('662', '4', 'Codice di ruolo', 'Codice di ruolo', 1, 0, '', 6, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('662', '6', 'Collegamento', 'Collegamento', 0, 0, '', 6, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('662', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 6, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('662', 'a', 'Paese o ente maggiore', 'Paese o ente maggiore', 1, 0, '', 6, '', 'GEOGR_NAME', '', NULL, -6, 'BKS', '', '', NULL),
		('662', 'b', 'Giurisdizione politica principale', 'Giurisdizione politica principale', 0, 0, '', 6, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('662', 'c', 'Giurisdizione politica intermedia', 'Giurisdizione politica intermedia', 1, 0, '', 6, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('662', 'd', 'Città', 'Città', 0, 0, '', 6, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('662', 'e', 'Termine di ruolo', 'Termine di ruolo', 1, 0, '', 6, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('662', 'f', 'Suddivisione comunale', 'Suddivisione comunale', 1, 0, '', 6, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('662', 'g', 'Altra regione e caratteristica geografica non giurisdizionale', 'Altra regione e caratteristica geografica non giurisdizionale', 1, 0, '', 6, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('662', 'h', 'Paese o ente maggiore', 'Paese o ente maggiore', 1, 0, '', 6, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('690', '%', '% (RLIN)', '% (RLIN)', 0, 0, '', 6, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('690', '2', 'Fonte dell\'intestazione o del termine', 'Fonte dell\'intestazione o del termine', 0, 0, '', 6, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('690', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, '', 6, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('690', '6', 'Collegamento', 'Collegamento', 0, 0, '', 6, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('690', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 6, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('690', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 6, '', '', '', 0, -5, 'BKS', '', '', NULL),
		('690', 'a', 'Termine topico o nome geografico come accesso', 'Termine topico o nome geografico come accesso', 0, 0, '', 6, '', 'TOPIC_TERM', '', 0, -1, 'BKS', '', '', NULL),
		('690', 'b', 'Nome geografico che precede un termine topico come accesso', 'Nome geografico che precede un termine topico come accesso', 0, 0, '', 6, '', '', '', 0, -1, 'BKS', '', '', NULL),
		('690', 'c', 'Luogo dell\'evento', 'Luogo dell\'evento', 0, 0, '', 6, '', '', '', 0, -1, 'BKS', '', '', NULL),
		('690', 'd', 'Date d\'attività', 'Date d\'attività', 0, 0, '', 6, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('690', 'e', 'Termine di ruolo', 'Termine di ruolo', 0, 0, '', 6, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('690', 'v', 'Suddivisione geografica', 'Suddivisione geografica', 1, 0, '', 6, '', '', '', 0, -1, 'BKS', '', '', NULL),
		('690', 'x', 'Suddivisione generale', 'Suddivisione generale', 1, 0, '', 6, '', '', '', 0, -1, 'BKS', '', '', NULL),
		('690', 'y', 'Suddivisione cronologica', 'Suddivisione cronologica', 1, 0, '', 6, '', '', '', 0, -1, 'BKS', '', '', NULL),
		('690', 'z', 'Suddivisione geografica', 'Suddivisione geografica', 1, 0, '', 6, '', '', '', 0, -1, 'BKS', '', '', NULL),
		('691', '%', '% (RLIN)', '% (RLIN)', 0, 0, '', 6, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('691', '2', 'Fonte dell\'intestazione o del termine', 'Fonte dell\'intestazione o del termine', 0, 0, '', 6, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('691', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, '', 6, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('691', '6', 'Collegamento', 'Collegamento', 0, 0, '', 6, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('691', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 6, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('691', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 6, '', '', '', 0, -5, 'BKS', '', '', NULL),
		('691', 'a', 'Nome geografico', 'Nome geografico', 0, 0, '', 6, '', 'GEOGR_NAME', '', NULL, -6, 'BKS', '', '', NULL),
		('691', 'b', 'Geographic name following place entry element [OBSOLETE]', 'Geographic name following place entry element [OBSOLETE]', 1, 0, '', 6, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('691', 'v', 'Suddivisione geografica', 'Suddivisione geografica', 1, 0, '', 6, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('691', 'x', 'Suddivisione generale', 'Suddivisione generale', 1, 0, '', 6, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('691', 'y', 'Suddivisione cronologica', 'Suddivisione cronologica', 1, 0, '', 6, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('691', 'z', 'Suddivisione geografica', 'Suddivisione geografica', 1, 0, '', 6, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('696', '%', '% (RLIN)', '% (RLIN)', 0, 0, '', 6, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('696', '2', 'Fonte dell\'intestazione o del termine', 'Fonte dell\'intestazione o del termine', 0, 0, '', 6, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('696', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, '', 6, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('696', '4', 'Codice di ruolo', 'Codice di ruolo', 1, 0, '', 6, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('696', '6', 'Collegamento', 'Collegamento', 0, 0, '', 6, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('696', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 6, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('696', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 6, '', '', '', 0, -5, 'BKS', '', '', NULL),
		('696', 'a', 'Nome di persona', 'Nome di persona', 0, 0, '', 6, '', 'PERSO_NAME', '', NULL, -6, 'BKS', '', '', NULL),
		('696', 'b', 'Numerazione', 'Numerazione', 0, 0, '', 6, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('696', 'c', 'Titoli e altre parole associate al nome', 'Titoli e altre parole associate al nome', 1, 0, '', 6, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('696', 'd', 'Date associate al nome', 'Date associate al nome', 0, 0, '', 6, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('696', 'e', 'Termine di ruolo', 'Termine di ruolo', 1, 0, '', 6, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('696', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, '', 6, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('696', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, '', 6, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('696', 'h', 'Supporto', 'Supporto', 0, 0, '', 6, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('696', 'j', 'Qualificazione d\'attribuzione', 'Qualificazione d\'attribuzione', 1, 0, '', 6, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('696', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, '', 6, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('696', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, '', 6, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('696', 'm', 'Mezzo di esecuzione per la musica', 'Mezzo di esecuzione per la musica', 1, 0, '', 6, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('696', 'n', 'Numero di parte/sezione dell\'opera', 'Numero di parte/sezione dell\'opera', 1, 0, '', 6, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('696', 'o', 'Formulazione d\'arrangiamento per la musica', 'Formulazione d\'arrangiamento per la musica', 0, 0, '', 6, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('696', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, '', 6, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('696', 'q', 'Forma completa del nome', 'Forma completa del nome', 0, 0, '', 6, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('696', 'r', 'Tonalità (musica)', 'Tonalità (musica)', 0, 0, '', 6, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('696', 's', 'Versione', 'Versione', 0, 0, '', 6, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('696', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, '', 6, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('696', 'u', 'Affiliazione', 'Affiliazione', 0, 0, '', 6, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('696', 'v', 'Suddivisione geografica', 'Suddivisione geografica', 1, 0, '', 6, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('696', 'x', 'Suddivisione generale', 'Suddivisione generale', 1, 0, '', 6, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('696', 'y', 'Suddivisione cronologica', 'Suddivisione cronologica', 1, 0, '', 6, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('696', 'z', 'Suddivisione geografica', 'Suddivisione geografica', 1, 0, '', 6, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('697', '%', '% (RLIN)', '% (RLIN)', 0, 0, '', 6, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('697', '2', 'Fonte dell\'intestazione o del termine', 'Fonte dell\'intestazione o del termine', 0, 0, '', 6, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('697', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, '', 6, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('697', '4', 'Codice di ruolo', 'Codice di ruolo', 1, 0, '', 6, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('697', '6', 'Collegamento', 'Collegamento', 0, 0, '', 6, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('697', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 6, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('697', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 6, '', '', '', 0, -5, 'BKS', '', '', NULL),
		('697', 'a', 'Nome dell\'ente o nome della giurisdizione come accesso', 'Nome dell\'ente o nome della giurisdizione come accesso', 0, 0, '', 6, '', 'CORPO_NAME', '', NULL, -6, 'BKS', '', '', NULL),
		('697', 'b', 'Unità subordinata', 'Unità subordinata', 1, 0, '', 6, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('697', 'c', 'Luogo del convegno', 'Luogo del convegno', 0, 0, '', 6, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('697', 'd', 'Data del convegno o di firma del trattato', 'Data del convegno o di firma del trattato', 1, 0, '', 6, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('697', 'e', 'Termine di ruolo', 'Termine di ruolo', 1, 0, '', 6, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('697', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, '', 6, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('697', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, '', 6, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('697', 'h', 'Supporto', 'Supporto', 0, 0, '', 6, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('697', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, '', 6, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('697', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, '', 6, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('697', 'm', 'Mezzo di esecuzione per la musica', 'Mezzo di esecuzione per la musica', 1, 0, '', 6, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('697', 'n', 'Numero di parte/sezione/convegno', 'Numero di parte/sezione/convegno', 1, 0, '', 6, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('697', 'o', 'Formulazione d\'arrangiamento per la musica', 'Formulazione d\'arrangiamento per la musica', 0, 0, '', 6, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('697', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, '', 6, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('697', 'r', 'Tonalità (musica)', 'Tonalità (musica)', 0, 0, '', 6, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('697', 's', 'Versione', 'Versione', 0, 0, '', 6, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('697', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, '', 6, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('697', 'u', 'Affiliazione', 'Affiliazione', 0, 0, '', 6, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('697', 'v', 'Suddivisione geografica', 'Suddivisione geografica', 1, 0, '', 6, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('697', 'x', 'Suddivisione generale', 'Suddivisione generale', 1, 0, '', 6, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('697', 'y', 'Suddivisione cronologica', 'Suddivisione cronologica', 1, 0, '', 6, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('697', 'z', 'Suddivisione geografica', 'Suddivisione geografica', 1, 0, '', 6, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('698', '%', '% (RLIN)', '% (RLIN)', 0, 0, '', 6, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('698', '2', 'Fonte dell\'intestazione o del termine', 'Fonte dell\'intestazione o del termine', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('698', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('698', '4', 'Codice di ruolo', 'Codice di ruolo', 1, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('698', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('698', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('698', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 6, '', '', '', 0, -5, 'BKS', '', '', NULL),
		('698', 'a', 'Nome del convegno o nome della giurisdizione come accesso', 'Nome del convegno o nome della giurisdizione come accesso', 0, 0, NULL, 6, NULL, 'MEETI_NAME', '', NULL, -6, 'BKS', '', '', NULL),
		('698', 'b', 'Number  (BK CF MP MU SE VM MX)  [OBSOLETE]', 'Number  (BK CF MP MU SE VM MX)  [OBSOLETE]', 1, 0, NULL, -1, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('698', 'c', 'Luogo del convegno', 'Luogo del convegno', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('698', 'd', 'Data del convegno', 'Data del convegno', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('698', 'e', 'Unità subordinata', 'Unità subordinata', 1, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('698', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('698', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('698', 'h', 'Supporto', 'Supporto', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('698', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('698', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('698', 'n', 'Numero di parte/sezione/convegno', 'Numero di parte/sezione/convegno', 1, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('698', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('698', 'q', 'Nome del convegno dopo accesso di nome della giurisdizione', 'Nome del convegno dopo accesso di nome della giurisdizione', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('698', 's', 'Versione', 'Versione', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('698', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('698', 'u', 'Affiliazione', 'Affiliazione', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('698', 'v', 'Suddivisione geografica', 'Suddivisione geografica', 1, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('698', 'x', 'Suddivisione generale', 'Suddivisione generale', 1, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('698', 'y', 'Suddivisione cronologica', 'Suddivisione cronologica', 1, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('698', 'z', 'Suddivisione geografica', 'Suddivisione geografica', 1, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('699', '%', '% (RLIN)', '% (RLIN)', 0, 0, '', 6, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('699', '2', 'Fonte dell\'intestazione o del termine', 'Fonte dell\'intestazione o del termine', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('699', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('699', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('699', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('699', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 6, '', '', '', 0, -5, 'BKS', '', '', NULL),
		('699', 'a', 'Titolo uniforme', 'Titolo uniforme', 0, 0, NULL, 6, NULL, 'UNIF_TITLE', '', NULL, -6, 'BKS', '', '', NULL),
		('699', 'd', 'Data di firma del trattato', 'Data di firma del trattato', 1, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('699', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('699', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('699', 'h', 'Supporto', 'Supporto', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('699', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('699', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('699', 'm', 'Mezzo di esecuzione per la musica', 'Mezzo di esecuzione per la musica', 1, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('699', 'n', 'Numero di parte/sezione dell\'opera', 'Numero di parte/sezione dell\'opera', 1, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('699', 'o', 'Formulazione d\'arrangiamento per la musica', 'Formulazione d\'arrangiamento per la musica', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('699', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('699', 'r', 'Tonalità (musica)', 'Tonalità (musica)', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('699', 's', 'Versione', 'Versione', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('699', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('699', 'v', 'Suddivisione geografica', 'Suddivisione geografica', 1, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('699', 'x', 'Suddivisione generale', 'Suddivisione generale', 1, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('699', 'y', 'Suddivisione cronologica', 'Suddivisione cronologica', 1, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('700', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, '', 7, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('700', '4', 'Codice di ruolo', 'Codice di ruolo', 1, 0, '', 7, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('700', '5', 'Istituzione a cui si applica il campo', 'Istituzione a cui si applica il campo', 0, 0, '', 7, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('700', '6', 'Collegamento', 'Collegamento', 0, 0, '', 7, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('700', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 7, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('700', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 7, '', '', '', 0, -5, 'BKS', '', '', NULL),
		('700', 'a', 'Nome di persona', 'Nome di persona', 0, 0, 'additionalauthors.author', 7, '', 'PERSO_NAME', '', NULL, -1, 'BKS', '', '', NULL),
		('700', 'b', 'Numerazione', 'Numerazione', 0, 0, '', 7, '', '', '', NULL, -1, 'BKS', '', '', NULL),
		('700', 'c', 'Titoli e altre parole associate al nome', 'Titoli e altre parole associate al nome', 1, 0, '', 7, '', '', '', NULL, -1, 'BKS', '', '', NULL),
		('700', 'd', 'Date associate al nome', 'Date associate al nome', 0, 0, '', 7, '', '', '', NULL, -1, 'BKS', '', '', NULL),
		('700', 'e', 'Termine di ruolo', 'Termine di ruolo', 1, 0, '', 7, '', '', '', NULL, -1, 'BKS', '', '', NULL),
		('700', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, '', 7, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('700', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, '', 7, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('700', 'h', 'Supporto', 'Supporto', 0, 0, '', 7, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('700', 'j', 'Qualificazione d\'attribuzione', 'Qualificazione d\'attribuzione', 1, 0, '', 7, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('700', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, '', 7, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('700', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, '', 7, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('700', 'm', 'Mezzo di esecuzione per la musica', 'Mezzo di esecuzione per la musica', 1, 0, '', 7, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('700', 'n', 'Numero di parte/sezione dell\'opera', 'Numero di parte/sezione dell\'opera', 1, 0, '', 7, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('700', 'o', 'Formulazione d\'arrangiamento per la musica', 'Formulazione d\'arrangiamento per la musica', 0, 0, '', 7, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('700', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, '', 7, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('700', 'q', 'Forma completa del nome', 'Forma completa del nome', 0, 0, '', 7, '', '', '', NULL, -1, 'BKS', '', '', NULL),
		('700', 'r', 'Tonalità (musica)', 'Tonalità (musica)', 0, 0, '', 7, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('700', 's', 'Versione', 'Versione', 0, 0, '', 7, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('700', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, '', 7, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('700', 'u', 'Affiliazione', 'Affiliazione', 0, 0, '', 7, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('700', 'x', 'ISSN (International Standard Serial Number)', 'ISSN (International Standard Serial Number)', 0, 0, '', 7, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('705', 'a', 'Nome di persona', 'Nome di persona', 0, 0, '', 7, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('705', 'b', 'Numerazione', 'Numerazione', 0, 0, '', 7, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('705', 'c', 'Titoli e altre parole associate al nome', 'Titoli e altre parole associate al nome', 1, 0, '', 7, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('705', 'd', 'Date associate al nome', 'Date associate al nome', 0, 0, '', 7, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('705', 'e', 'Termine di ruolo', 'Termine di ruolo', 1, 0, '', 7, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('705', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, '', 7, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('705', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, '', 7, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('705', 'h', 'Supporto', 'Supporto', 0, 0, '', 7, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('705', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, '', 7, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('705', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, '', 7, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('705', 'm', 'Mezzo di esecuzione per la musica', 'Mezzo di esecuzione per la musica', 1, 0, '', 7, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('705', 'n', 'Numero di parte/sezione dell\'opera', 'Numero di parte/sezione dell\'opera', 1, 0, '', 7, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('705', 'o', 'Formulazione d\'arrangiamento per la musica', 'Formulazione d\'arrangiamento per la musica', 0, 0, '', 7, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('705', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, '', 7, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('705', 'r', 'Tonalità (musica)', 'Tonalità (musica)', 0, 0, '', 7, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('705', 's', 'Versione', 'Versione', 0, 0, '', 7, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('705', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, '', 7, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('710', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, '', 7, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('710', '4', 'Codice di ruolo', 'Codice di ruolo', 1, 0, '', 7, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('710', '5', 'Istituzione a cui si applica il campo', 'Istituzione a cui si applica il campo', 0, 0, '', 7, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('710', '6', 'Collegamento', 'Collegamento', 0, 0, '', 7, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('710', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 7, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('710', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 7, '', '', '', 0, -5, 'BKS', '', '', NULL),
		('710', 'a', 'Nome dell\'ente o nome della giurisdizione come accesso', 'Nome dell\'ente o nome della giurisdizione come accesso', 0, 0, '', 7, '', 'CORPO_NAME', '', NULL, -1, 'BKS', '', '', NULL),
		('710', 'b', 'Unità subordinata', 'Unità subordinata', 1, 0, '', 7, '', '', '', NULL, -1, 'BKS', '', '', NULL),
		('710', 'c', 'Luogo del convegno', 'Luogo del convegno', 0, 0, '', 7, '', '', '', NULL, -1, 'BKS', '', '', NULL),
		('710', 'd', 'Data del convegno o di firma del trattato', 'Data del convegno o di firma del trattato', 1, 0, '', 7, '', '', '', NULL, -1, 'BKS', '', '', NULL),
		('710', 'e', 'Termine di ruolo', 'Termine di ruolo', 1, 0, '', 7, '', '', '', NULL, -1, 'BKS', '', '', NULL),
		('710', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, '', 7, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('710', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, '', 7, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('710', 'h', 'Supporto', 'Supporto', 0, 0, '', 7, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('710', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, '', 7, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('710', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, '', 7, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('710', 'm', 'Mezzo di esecuzione per la musica', 'Mezzo di esecuzione per la musica', 1, 0, '', 7, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('710', 'n', 'Numero di parte/sezione/convegno', 'Numero di parte/sezione/convegno', 1, 0, '', 7, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('710', 'o', 'Formulazione d\'arrangiamento per la musica', 'Formulazione d\'arrangiamento per la musica', 0, 0, '', 7, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('710', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, '', 7, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('710', 'r', 'Tonalità (musica)', 'Tonalità (musica)', 0, 0, '', 7, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('710', 's', 'Versione', 'Versione', 0, 0, '', 7, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('710', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, '', 7, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('710', 'u', 'Affiliazione', 'Affiliazione', 0, 0, '', 7, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('710', 'x', 'ISSN (International Standard Serial Number)', 'ISSN (International Standard Serial Number)', 0, 0, '', 7, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('711', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('711', '4', 'Codice di ruolo', 'Codice di ruolo', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('711', '5', 'Istituzione a cui si applica il campo', 'Istituzione a cui si applica il campo', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('711', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('711', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('711', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 7, '', '', '', 0, -5, 'BKS', '', '', NULL),
		('711', 'a', 'Nome del convegno o nome della giurisdizione come accesso', 'Nome del convegno o nome della giurisdizione come accesso', 0, 0, NULL, 7, NULL, 'MEETI_NAME', '', NULL, -1, 'BKS', '', '', NULL),
		('711', 'b', 'Number (BK CF MP MU SE VM MX) [OBSOLETE]', 'Number (BK CF MP MU SE VM MX) [OBSOLETE]', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('711', 'c', 'Luogo del convegno', 'Luogo del convegno', 0, 0, NULL, 7, NULL, NULL, '', NULL, -1, 'BKS', '', '', NULL),
		('711', 'd', 'Data del convegno', 'Data del convegno', 0, 0, NULL, 7, NULL, NULL, '', NULL, -1, 'BKS', '', '', NULL),
		('711', 'e', 'Unità subordinata', 'Unità subordinata', 1, 0, NULL, 7, NULL, NULL, '', NULL, -1, 'BKS', '', '', NULL),
		('711', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('711', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('711', 'h', 'Supporto', 'Supporto', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('711', 'j', 'Termine di ruolo', 'Termine di ruolo', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('711', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('711', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('711', 'n', 'Numero di parte/sezione/convegno', 'Numero di parte/sezione/convegno', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('711', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('711', 'q', 'Nome del convegno dopo accesso di nome della giurisdizione', 'Nome del convegno dopo accesso di nome della giurisdizione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('711', 's', 'Versione', 'Versione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('711', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('711', 'u', 'Affiliazione', 'Affiliazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('711', 'x', 'ISSN (International Standard Serial Number)', 'ISSN (International Standard Serial Number)', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('715', '%', '% (RLIN)', '% (RLIN)', 0, 0, '', 7, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('715', 'a', 'Ragione sociale o nome giuridico', 'Ragione sociale o nome giuridico', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('715', 'b', 'Unità subordinata', 'Unità subordinata', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('715', 'e', 'Termine di ruolo', 'Termine di ruolo', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('715', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('715', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('715', 'h', 'Supporto', 'Supporto', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('715', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('715', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('715', 'n', 'Numero di parte/sezione/convegno', 'Numero di parte/sezione/convegno', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('715', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('715', 'r', 'Tonalità (musica)', 'Tonalità (musica)', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('715', 's', 'Versione', 'Versione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('715', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('715', 'u', 'Nonprinting information', 'Nonprinting information', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('720', '4', 'Codice di ruolo', 'Codice di ruolo', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('720', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('720', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('720', 'a', 'Nome', 'Nome', 0, 0, '', 7, NULL, NULL, '', NULL, -1, 'BKS', '', '', NULL),
		('720', 'e', 'Termine di ruolo', 'Termine di ruolo', 1, 0, NULL, 7, NULL, NULL, '', NULL, -1, 'BKS', '', '', NULL),
		('730', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, '', 7, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('730', '5', 'Istituzione a cui si applica il campo', 'Istituzione a cui si applica il campo', 0, 0, '', 7, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('730', '6', 'Collegamento', 'Collegamento', 0, 0, '', 7, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('730', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 7, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('730', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 7, '', '', '', 0, -5, 'BKS', '', '', NULL),
		('730', 'a', 'Titolo uniforme', 'Titolo uniforme', 0, 0, '', 7, '', 'UNIF_TITLE', '', NULL, -6, 'BKS', '', '', NULL),
		('730', 'd', 'Data di firma del trattato', 'Data di firma del trattato', 1, 0, '', 7, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('730', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, '', 7, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('730', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, '', 7, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('730', 'h', 'Supporto', 'Supporto', 0, 0, '', 7, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('730', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, '', 7, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('730', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, '', 7, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('730', 'm', 'Mezzo di esecuzione per la musica', 'Mezzo di esecuzione per la musica', 1, 0, '', 7, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('730', 'n', 'Numero di parte/sezione dell\'opera', 'Numero di parte/sezione dell\'opera', 1, 0, '', 7, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('730', 'o', 'Formulazione d\'arrangiamento per la musica', 'Formulazione d\'arrangiamento per la musica', 0, 0, '', 7, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('730', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, '', 7, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('730', 'r', 'Tonalità (musica)', 'Tonalità (musica)', 0, 0, '', 7, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('730', 's', 'Versione', 'Versione', 0, 0, '', 7, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('730', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, '', 7, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('730', 'x', 'ISSN (International Standard Serial Number)', 'ISSN (International Standard Serial Number)', 0, 0, '', 7, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('740', '5', 'Istituzione a cui si applica il campo', 'Istituzione a cui si applica il campo', 0, 0, '', 7, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('740', '6', 'Collegamento', 'Collegamento', 0, 0, '', 7, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('740', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 7, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('740', 'a', 'Titolo analitico/correlato non controllato', 'Titolo analitico/correlato non controllato', 0, 0, '', 7, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('740', 'h', 'Supporto', 'Supporto', 0, 0, '', 7, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('740', 'n', 'Numero di parte/sezione dell\'opera', 'Numero di parte/sezione dell\'opera', 1, 0, '', 7, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('740', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, '', 7, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('752', '2', 'Fonte dell\'intestazione o del termine', 'Fonte dell\'intestazione o del termine', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('752', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('752', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('752', 'a', 'Paese o ente maggiore', 'Paese o ente maggiore', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('752', 'b', 'Giurisdizione politica principale', 'Giurisdizione politica principale', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('752', 'c', 'Giurisdizione politica intermedia', 'Giurisdizione politica intermedia', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('752', 'd', 'Città', 'Città', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('752', 'f', 'Suddivisione comunale', 'Suddivisione comunale', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('752', 'g', 'Altra regione e caratteristica geografica non giurisdizionale', 'Altra regione e caratteristica geografica non giurisdizionale', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('752', 'h', 'Paese o ente maggiore', 'Paese o ente maggiore', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('753', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('753', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('753', 'a', 'Marca e modello della macchina', 'Marca e modello della macchina', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('753', 'b', 'Linguaggio di programmazione', 'Linguaggio di programmazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('753', 'c', 'Sistema operativo', 'Sistema operativo', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('754', '2', 'Fonte dell\'identificazione tassonomica', 'Fonte dell\'identificazione tassonomica', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('754', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('754', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('754', 'a', 'Nome tassonomico', 'Nome tassonomico', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('754', 'c', 'Categoria tassonomica', 'Categoria tassonomica', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('754', 'd', 'Nome comune o alternativo', 'Nome comune o alternativo', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('754', 'x', 'Nota non pubblica', 'Nota non pubblica', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('754', 'z', 'Nota pubblica', 'Nota pubblica', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('755', '2', 'Fonte dell\'identificazione tassonomica', 'Fonte dell\'identificazione tassonomica', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('755', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, '', 7, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('755', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('755', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('755', 'a', 'Termine d\'accesso', 'Termine d\'accesso', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('755', 'x', 'Suddivisione generale', 'Suddivisione generale', 1, 0, '', 7, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('755', 'y', 'Suddivisione cronologica', 'Suddivisione cronologica', 1, 0, '', 7, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('755', 'z', 'Suddivisione geografica', 'Suddivisione geografica', 1, 0, '', 7, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('760', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('760', '7', 'Sottocampo di controllo', 'Sottocampo di controllo', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('760', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('760', 'a', 'Intestazione principale', 'Intestazione principale', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('760', 'b', 'Edizione', 'Edizione', 0, 0, NULL, 7, NULL, NULL, '', NULL, 0, 'BKS', '', '', NULL),
		('760', 'c', 'Qualificazione', 'Qualificazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('760', 'd', 'Luogo, editore e data di pubblicazione', 'Luogo, editore e data di pubblicazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('760', 'g', 'Informazione sulla relazione', 'Informazione sulla relazione', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('760', 'h', 'Descrizione fisica', 'Descrizione fisica', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('760', 'i', 'Informazione sulla relazione', 'Informazione sulla relazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('760', 'm', 'Dettagli specifici del materiale', 'Dettagli specifici del materiale', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('760', 'n', 'Nota', 'Nota', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('760', 'o', 'Altro identificatore dell\'item', 'Altro identificatore dell\'item', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('760', 'q', 'Parallel title (BK SE) [OBSOLETE]', 'Parallel title (BK SE) [OBSOLETE]', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('760', 's', 'Titolo uniforme', 'Titolo uniforme', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('760', 't', 'Titolo', 'Titolo', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('760', 'w', 'Numero di controllo della registrazione', 'Numero di controllo della registrazione', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('760', 'x', 'ISSN (International Standard Serial Number)', 'ISSN (International Standard Serial Number)', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('760', 'y', 'Designazione CODEN', 'Designazione CODEN', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('762', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('762', '7', 'Sottocampo di controllo', 'Sottocampo di controllo', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('762', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('762', 'a', 'Intestazione principale', 'Intestazione principale', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('762', 'b', 'Edizione', 'Edizione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('762', 'c', 'Qualificazione', 'Qualificazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('762', 'd', 'Luogo, editore e data di pubblicazione', 'Luogo, editore e data di pubblicazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('762', 'g', 'Informazione sulla relazione', 'Informazione sulla relazione', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('762', 'h', 'Descrizione fisica', 'Descrizione fisica', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('762', 'i', 'Informazione sulla relazione', 'Informazione sulla relazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('762', 'm', 'Dettagli specifici del materiale', 'Dettagli specifici del materiale', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('762', 'n', 'Nota', 'Nota', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('762', 'o', 'Altro identificatore dell\'item', 'Altro identificatore dell\'item', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('762', 'q', 'Parallel title (BK SE) [OBSOLETE]', 'Parallel title (BK SE) [OBSOLETE]', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('762', 's', 'Titolo uniforme', 'Titolo uniforme', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('762', 't', 'Titolo', 'Titolo', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('762', 'w', 'Numero di controllo della registrazione', 'Numero di controllo della registrazione', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('762', 'x', 'ISSN (International Standard Serial Number)', 'ISSN (International Standard Serial Number)', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('762', 'y', 'Designazione CODEN', 'Designazione CODEN', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('765', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('765', '7', 'Sottocampo di controllo', 'Sottocampo di controllo', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('765', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('765', 'a', 'Intestazione principale', 'Intestazione principale', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('765', 'b', 'Edizione', 'Edizione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('765', 'c', 'Qualificazione', 'Qualificazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('765', 'd', 'Luogo, editore e data di pubblicazione', 'Luogo, editore e data di pubblicazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('765', 'g', 'Informazione sulla relazione', 'Informazione sulla relazione', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('765', 'h', 'Descrizione fisica', 'Descrizione fisica', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('765', 'i', 'Informazione sulla relazione', 'Informazione sulla relazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('765', 'k', 'Dati della serie dell\'item correlato', 'Dati della serie dell\'item correlato', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('765', 'm', 'Dettagli specifici del materiale', 'Dettagli specifici del materiale', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('765', 'n', 'Nota', 'Nota', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('765', 'o', 'Altro identificatore dell\'item', 'Altro identificatore dell\'item', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('765', 'q', 'Parallel title (BK SE)  [OBSOLETE]', 'Parallel title (BK SE)  [OBSOLETE]', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('765', 'r', 'Numero di rapporto', 'Numero di rapporto', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('765', 's', 'Titolo uniforme', 'Titolo uniforme', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('765', 't', 'Titolo', 'Titolo', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('765', 'u', 'Standard Technical Report Number', 'Standard Technical Report Number', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('765', 'w', 'Numero di controllo della registrazione', 'Numero di controllo della registrazione', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('765', 'x', 'ISSN (International Standard Serial Number)', 'ISSN (International Standard Serial Number)', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('765', 'y', 'Designazione CODEN', 'Designazione CODEN', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('765', 'z', 'ISBN (International Standard Book Number)', 'ISBN (International Standard Book Number)', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('767', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('767', '7', 'Sottocampo di controllo', 'Sottocampo di controllo', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('767', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('767', 'a', 'Intestazione principale', 'Intestazione principale', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('767', 'b', 'Edizione', 'Edizione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('767', 'c', 'Qualificazione', 'Qualificazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('767', 'd', 'Luogo, editore e data di pubblicazione', 'Luogo, editore e data di pubblicazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('767', 'g', 'Informazione sulla relazione', 'Informazione sulla relazione', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('767', 'h', 'Descrizione fisica', 'Descrizione fisica', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('767', 'i', 'Informazione sulla relazione', 'Informazione sulla relazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('767', 'k', 'Dati della serie dell\'item correlato', 'Dati della serie dell\'item correlato', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('767', 'm', 'Dettagli specifici del materiale', 'Dettagli specifici del materiale', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('767', 'n', 'Nota', 'Nota', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('767', 'o', 'Altro identificatore dell\'item', 'Altro identificatore dell\'item', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('767', 'q', 'Parallel title (BK SE) [OBSOLETE]', 'Parallel title (BK SE) [OBSOLETE]', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('767', 'r', 'Numero di rapporto', 'Numero di rapporto', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('767', 's', 'Titolo uniforme', 'Titolo uniforme', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('767', 't', 'Titolo', 'Titolo', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('767', 'u', 'Standard Technical Report Number', 'Standard Technical Report Number', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('767', 'w', 'Numero di controllo della registrazione', 'Numero di controllo della registrazione', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('767', 'x', 'ISSN (International Standard Serial Number)', 'ISSN (International Standard Serial Number)', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('767', 'y', 'Designazione CODEN', 'Designazione CODEN', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('767', 'z', 'ISBN (International Standard Book Number)', 'ISBN (International Standard Book Number)', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('770', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('770', '7', 'Sottocampo di controllo', 'Sottocampo di controllo', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('770', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('770', 'a', 'Intestazione principale', 'Intestazione principale', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('770', 'b', 'Edizione', 'Edizione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('770', 'c', 'Qualificazione', 'Qualificazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('770', 'd', 'Luogo, editore e data di pubblicazione', 'Luogo, editore e data di pubblicazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('770', 'g', 'Informazione sulla relazione', 'Informazione sulla relazione', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('770', 'h', 'Descrizione fisica', 'Descrizione fisica', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('770', 'i', 'Informazione sulla relazione', 'Informazione sulla relazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('770', 'k', 'Dati della serie dell\'item correlato', 'Dati della serie dell\'item correlato', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('770', 'm', 'Dettagli specifici del materiale', 'Dettagli specifici del materiale', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('770', 'n', 'Nota', 'Nota', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('770', 'o', 'Altro identificatore dell\'item', 'Altro identificatore dell\'item', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('770', 'q', 'Parallel title (BK SE) [OBSOLETE]', 'Parallel title (BK SE) [OBSOLETE]', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('770', 'r', 'Numero di rapporto', 'Numero di rapporto', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('770', 's', 'Titolo uniforme', 'Titolo uniforme', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('770', 't', 'Titolo', 'Titolo', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('770', 'u', 'Standard Technical Report Number', 'Standard Technical Report Number', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('770', 'w', 'Numero di controllo della registrazione', 'Numero di controllo della registrazione', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('770', 'x', 'ISSN (International Standard Serial Number)', 'ISSN (International Standard Serial Number)', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('770', 'y', 'Designazione CODEN', 'Designazione CODEN', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('770', 'z', 'ISBN (International Standard Book Number)', 'ISBN (International Standard Book Number)', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('772', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('772', '7', 'Sottocampo di controllo', 'Sottocampo di controllo', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('772', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('772', 'a', 'Intestazione principale', 'Intestazione principale', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('772', 'b', 'Edizione', 'Edizione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('772', 'c', 'Qualificazione', 'Qualificazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('772', 'd', 'Luogo, editore e data di pubblicazione', 'Luogo, editore e data di pubblicazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('772', 'g', 'Informazione sulla relazione', 'Informazione sulla relazione', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('772', 'h', 'Descrizione fisica', 'Descrizione fisica', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('772', 'i', 'Informazione sulla relazione', 'Informazione sulla relazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('772', 'k', 'Dati della serie dell\'item correlato', 'Dati della serie dell\'item correlato', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('772', 'm', 'Dettagli specifici del materiale', 'Dettagli specifici del materiale', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('772', 'n', 'Nota', 'Nota', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('772', 'o', 'Altro identificatore dell\'item', 'Altro identificatore dell\'item', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('772', 'q', 'Parallel title (BK SE) [OBSOLETE]', 'Parallel title (BK SE) [OBSOLETE]', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('772', 'r', 'Numero di rapporto', 'Numero di rapporto', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('772', 's', 'Titolo uniforme', 'Titolo uniforme', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('772', 't', 'Titolo', 'Titolo', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('772', 'u', 'Standard Technical Report Number', 'Standard Technical Report Number', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('772', 'w', 'Numero di controllo della registrazione', 'Numero di controllo della registrazione', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('772', 'x', 'ISSN (International Standard Serial Number)', 'ISSN (International Standard Serial Number)', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('772', 'y', 'Designazione CODEN', 'Designazione CODEN', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('772', 'z', 'ISBN (International Standard Book Number)', 'ISBN (International Standard Book Number)', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('773', '0', 'Codice record bibliografico contenente lo spoglio', 'Codice record bibliografico contenente lo spoglio', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('773', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('773', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('773', '7', 'Sottocampo di controllo', 'Sottocampo di controllo', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('773', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('773', '9', 'Codice copia contenete lo spoglio', 'Codice copia contenete lo spoglio', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('773', 'a', 'Intestazione principale', 'Intestazione principale', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('773', 'b', 'Edizione', 'Edizione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('773', 'd', 'Luogo, editore e data di pubblicazione', 'Luogo, editore e data di pubblicazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('773', 'g', 'Informazione sulla relazione', 'Informazione sulla relazione', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('773', 'h', 'Descrizione fisica', 'Descrizione fisica', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('773', 'i', 'Informazione sulla relazione', 'Informazione sulla relazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('773', 'k', 'Dati della serie dell\'item correlato', 'Dati della serie dell\'item correlato', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('773', 'm', 'Dettagli specifici del materiale', 'Dettagli specifici del materiale', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('773', 'n', 'Nota', 'Nota', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('773', 'o', 'Altro identificatore dell\'item', 'Altro identificatore dell\'item', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('773', 'p', 'Titolo abbreviato', 'Titolo abbreviato', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('773', 'r', 'Numero di rapporto', 'Numero di rapporto', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('773', 's', 'Titolo uniforme', 'Titolo uniforme', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('773', 't', 'Titolo', 'Titolo', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('773', 'u', 'Standard Technical Report Number', 'Standard Technical Report Number', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('773', 'w', 'Numero di controllo della registrazione', 'Numero di controllo della registrazione', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('773', 'x', 'ISSN (International Standard Serial Number)', 'ISSN (International Standard Serial Number)', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('773', 'y', 'Designazione CODEN', 'Designazione CODEN', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('773', 'z', 'ISBN (International Standard Book Number)', 'ISBN (International Standard Book Number)', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('774', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('774', '7', 'Sottocampo di controllo', 'Sottocampo di controllo', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('774', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('774', 'a', 'Intestazione principale', 'Intestazione principale', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('774', 'b', 'Edizione', 'Edizione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('774', 'c', 'Qualificazione', 'Qualificazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('774', 'd', 'Luogo, editore e data di pubblicazione', 'Luogo, editore e data di pubblicazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('774', 'g', 'Informazione sulla relazione', 'Informazione sulla relazione', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('774', 'h', 'Descrizione fisica', 'Descrizione fisica', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('774', 'i', 'Informazione sulla relazione', 'Informazione sulla relazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('774', 'k', 'Dati della serie dell\'item correlato', 'Dati della serie dell\'item correlato', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('774', 'm', 'Dettagli specifici del materiale', 'Dettagli specifici del materiale', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('774', 'n', 'Nota', 'Nota', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('774', 'o', 'Altro identificatore dell\'item', 'Altro identificatore dell\'item', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('774', 'r', 'Numero di rapporto', 'Numero di rapporto', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('774', 's', 'Titolo uniforme', 'Titolo uniforme', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('774', 't', 'Titolo', 'Titolo', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('774', 'u', 'Standard Technical Report Number', 'Standard Technical Report Number', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('774', 'w', 'Numero di controllo della registrazione', 'Numero di controllo della registrazione', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('774', 'x', 'ISSN (International Standard Serial Number)', 'ISSN (International Standard Serial Number)', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('774', 'y', 'Designazione CODEN', 'Designazione CODEN', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('774', 'z', 'ISBN (International Standard Book Number)', 'ISBN (International Standard Book Number)', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('775', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('775', '7', 'Sottocampo di controllo', 'Sottocampo di controllo', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('775', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('775', 'a', 'Intestazione principale', 'Intestazione principale', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('775', 'b', 'Edizione', 'Edizione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('775', 'c', 'Qualificazione', 'Qualificazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('775', 'd', 'Luogo, editore e data di pubblicazione', 'Luogo, editore e data di pubblicazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('775', 'e', 'Codice lingua', 'Codice lingua', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('775', 'f', 'Codice di paese', 'Codice di paese', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('775', 'g', 'Informazione sulla relazione', 'Informazione sulla relazione', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('775', 'h', 'Descrizione fisica', 'Descrizione fisica', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('775', 'i', 'Informazione sulla relazione', 'Informazione sulla relazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('775', 'k', 'Dati della serie dell\'item correlato', 'Dati della serie dell\'item correlato', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('775', 'm', 'Dettagli specifici del materiale', 'Dettagli specifici del materiale', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('775', 'n', 'Nota', 'Nota', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('775', 'o', 'Altro identificatore dell\'item', 'Altro identificatore dell\'item', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('775', 'q', 'Parallel title (BK SE) [OBSOLETE]', 'Parallel title (BK SE) [OBSOLETE]', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('775', 'r', 'Numero di rapporto', 'Numero di rapporto', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('775', 's', 'Titolo uniforme', 'Titolo uniforme', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('775', 't', 'Titolo', 'Titolo', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('775', 'u', 'Standard Technical Report Number', 'Standard Technical Report Number', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('775', 'w', 'Numero di controllo della registrazione', 'Numero di controllo della registrazione', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('775', 'x', 'ISSN (International Standard Serial Number)', 'ISSN (International Standard Serial Number)', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('775', 'y', 'Designazione CODEN', 'Designazione CODEN', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('775', 'z', 'ISBN (International Standard Book Number)', 'ISBN (International Standard Book Number)', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('776', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('776', '7', 'Sottocampo di controllo', 'Sottocampo di controllo', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('776', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('776', 'a', 'Intestazione principale', 'Intestazione principale', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('776', 'b', 'Edizione', 'Edizione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('776', 'c', 'Qualificazione', 'Qualificazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('776', 'd', 'Luogo, editore e data di pubblicazione', 'Luogo, editore e data di pubblicazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('776', 'g', 'Informazione sulla relazione', 'Informazione sulla relazione', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('776', 'h', 'Descrizione fisica', 'Descrizione fisica', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('776', 'i', 'Informazione sulla relazione', 'Informazione sulla relazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('776', 'k', 'Dati della serie dell\'item correlato', 'Dati della serie dell\'item correlato', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('776', 'm', 'Dettagli specifici del materiale', 'Dettagli specifici del materiale', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('776', 'n', 'Nota', 'Nota', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('776', 'o', 'Altro identificatore dell\'item', 'Altro identificatore dell\'item', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('776', 'q', 'Parallel title (BK SE) [OBSOLETE]', 'Parallel title (BK SE) [OBSOLETE]', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('776', 'r', 'Numero di rapporto', 'Numero di rapporto', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('776', 's', 'Titolo uniforme', 'Titolo uniforme', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('776', 't', 'Titolo', 'Titolo', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('776', 'u', 'Standard Technical Report Number', 'Standard Technical Report Number', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('776', 'w', 'Numero di controllo della registrazione', 'Numero di controllo della registrazione', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('776', 'x', 'ISSN (International Standard Serial Number)', 'ISSN (International Standard Serial Number)', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('776', 'y', 'Designazione CODEN', 'Designazione CODEN', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('776', 'z', 'ISBN (International Standard Book Number)', 'ISBN (International Standard Book Number)', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('777', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('777', '7', 'Sottocampo di controllo', 'Sottocampo di controllo', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('777', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('777', 'a', 'Intestazione principale', 'Intestazione principale', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('777', 'b', 'Edizione', 'Edizione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('777', 'c', 'Qualificazione', 'Qualificazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('777', 'd', 'Luogo, editore e data di pubblicazione', 'Luogo, editore e data di pubblicazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('777', 'g', 'Informazione sulla relazione', 'Informazione sulla relazione', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('777', 'h', 'Descrizione fisica', 'Descrizione fisica', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('777', 'i', 'Informazione sulla relazione', 'Informazione sulla relazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('777', 'k', 'Dati della serie dell\'item correlato', 'Dati della serie dell\'item correlato', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('777', 'm', 'Dettagli specifici del materiale', 'Dettagli specifici del materiale', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('777', 'n', 'Nota', 'Nota', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('777', 'o', 'Altro identificatore dell\'item', 'Altro identificatore dell\'item', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('777', 'q', 'Parallel title (BK SE) [OBSOLETE]', 'Parallel title (BK SE) [OBSOLETE]', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('777', 's', 'Titolo uniforme', 'Titolo uniforme', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('777', 't', 'Titolo', 'Titolo', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('777', 'w', 'Numero di controllo della registrazione', 'Numero di controllo della registrazione', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('777', 'x', 'ISSN (International Standard Serial Number)', 'ISSN (International Standard Serial Number)', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('777', 'y', 'Designazione CODEN', 'Designazione CODEN', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('780', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('780', '7', 'Sottocampo di controllo', 'Sottocampo di controllo', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('780', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('780', 'a', 'Intestazione principale', 'Intestazione principale', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('780', 'b', 'Edizione', 'Edizione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('780', 'c', 'Qualificazione', 'Qualificazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('780', 'd', 'Luogo, editore e data di pubblicazione', 'Luogo, editore e data di pubblicazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('780', 'g', 'Informazione sulla relazione', 'Informazione sulla relazione', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('780', 'h', 'Descrizione fisica', 'Descrizione fisica', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('780', 'i', 'Informazione sulla relazione', 'Informazione sulla relazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('780', 'k', 'Dati della serie dell\'item correlato', 'Dati della serie dell\'item correlato', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('780', 'm', 'Dettagli specifici del materiale', 'Dettagli specifici del materiale', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('780', 'n', 'Nota', 'Nota', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('780', 'o', 'Altro identificatore dell\'item', 'Altro identificatore dell\'item', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('780', 'q', 'Parallel title (BK SE) [OBSOLETE]', 'Parallel title (BK SE) [OBSOLETE]', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('780', 'r', 'Numero di rapporto', 'Numero di rapporto', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('780', 's', 'Titolo uniforme', 'Titolo uniforme', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('780', 't', 'Titolo', 'Titolo', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('780', 'u', 'Standard Technical Report Number', 'Standard Technical Report Number', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('780', 'w', 'Numero di controllo della registrazione', 'Numero di controllo della registrazione', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('780', 'x', 'ISSN (International Standard Serial Number)', 'ISSN (International Standard Serial Number)', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('780', 'y', 'Designazione CODEN', 'Designazione CODEN', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('780', 'z', 'ISBN (International Standard Book Number)', 'ISBN (International Standard Book Number)', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('785', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('785', '7', 'Sottocampo di controllo', 'Sottocampo di controllo', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('785', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('785', 'a', 'Intestazione principale', 'Intestazione principale', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('785', 'b', 'Edizione', 'Edizione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('785', 'c', 'Qualificazione', 'Qualificazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('785', 'd', 'Luogo, editore e data di pubblicazione', 'Luogo, editore e data di pubblicazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('785', 'g', 'Informazione sulla relazione', 'Informazione sulla relazione', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('785', 'h', 'Descrizione fisica', 'Descrizione fisica', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('785', 'i', 'Informazione sulla relazione', 'Informazione sulla relazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('785', 'k', 'Dati della serie dell\'item correlato', 'Dati della serie dell\'item correlato', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('785', 'm', 'Dettagli specifici del materiale', 'Dettagli specifici del materiale', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('785', 'n', 'Nota', 'Nota', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('785', 'o', 'Altro identificatore dell\'item', 'Altro identificatore dell\'item', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('785', 'q', 'Parallel title (BK SE) [OBSOLETE]', 'Parallel title (BK SE) [OBSOLETE]', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('785', 'r', 'Numero di rapporto', 'Numero di rapporto', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('785', 's', 'Titolo uniforme', 'Titolo uniforme', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('785', 't', 'Titolo', 'Titolo', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('785', 'u', 'Standard Technical Report Number', 'Standard Technical Report Number', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('785', 'w', 'Numero di controllo della registrazione', 'Numero di controllo della registrazione', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('785', 'x', 'ISSN (International Standard Serial Number)', 'ISSN (International Standard Serial Number)', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('785', 'y', 'Designazione CODEN', 'Designazione CODEN', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('785', 'z', 'ISBN (International Standard Book Number)', 'ISBN (International Standard Book Number)', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('786', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('786', '7', 'Sottocampo di controllo', 'Sottocampo di controllo', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('786', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('786', 'a', 'Intestazione principale', 'Intestazione principale', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('786', 'b', 'Edizione', 'Edizione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('786', 'c', 'Qualificazione', 'Qualificazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('786', 'd', 'Luogo, editore e data di pubblicazione', 'Luogo, editore e data di pubblicazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('786', 'g', 'Informazione sulla relazione', 'Informazione sulla relazione', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('786', 'h', 'Descrizione fisica', 'Descrizione fisica', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('786', 'i', 'Informazione sulla relazione', 'Informazione sulla relazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('786', 'j', 'Periodo del contenuto', 'Periodo del contenuto', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('786', 'k', 'Dati della serie dell\'item correlato', 'Dati della serie dell\'item correlato', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('786', 'm', 'Dettagli specifici del materiale', 'Dettagli specifici del materiale', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('786', 'n', 'Nota', 'Nota', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('786', 'o', 'Altro identificatore dell\'item', 'Altro identificatore dell\'item', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('786', 'p', 'Titolo abbreviato', 'Titolo abbreviato', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('786', 'r', 'Numero di rapporto', 'Numero di rapporto', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('786', 's', 'Titolo uniforme', 'Titolo uniforme', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('786', 't', 'Titolo', 'Titolo', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('786', 'u', 'Standard Technical Report Number', 'Standard Technical Report Number', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('786', 'w', 'Numero di controllo della registrazione', 'Numero di controllo della registrazione', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('786', 'x', 'ISSN (International Standard Serial Number)', 'ISSN (International Standard Serial Number)', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('786', 'y', 'Designazione CODEN', 'Designazione CODEN', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('786', 'z', 'ISBN (International Standard Book Number)', 'ISBN (International Standard Book Number)', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('787', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('787', '7', 'Sottocampo di controllo', 'Sottocampo di controllo', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('787', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('787', 'a', 'Intestazione principale', 'Intestazione principale', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('787', 'b', 'Edizione', 'Edizione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('787', 'c', 'Qualificazione', 'Qualificazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('787', 'd', 'Luogo, editore e data di pubblicazione', 'Luogo, editore e data di pubblicazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('787', 'g', 'Informazione sulla relazione', 'Informazione sulla relazione', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('787', 'h', 'Descrizione fisica', 'Descrizione fisica', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('787', 'i', 'Informazione sulla relazione', 'Informazione sulla relazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('787', 'k', 'Dati della serie dell\'item correlato', 'Dati della serie dell\'item correlato', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('787', 'm', 'Dettagli specifici del materiale', 'Dettagli specifici del materiale', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('787', 'n', 'Nota', 'Nota', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('787', 'o', 'Altro identificatore dell\'item', 'Altro identificatore dell\'item', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('787', 'q', 'Parallel title (BK SE) [OBSOLETE]', 'Parallel title (BK SE) [OBSOLETE]', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('787', 'r', 'Numero di rapporto', 'Numero di rapporto', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('787', 's', 'Titolo uniforme', 'Titolo uniforme', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('787', 't', 'Titolo', 'Titolo', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('787', 'u', 'Standard Technical Report Number', 'Standard Technical Report Number', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('787', 'w', 'Numero di controllo della registrazione', 'Numero di controllo della registrazione', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('787', 'x', 'ISSN (International Standard Serial Number)', 'ISSN (International Standard Serial Number)', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('787', 'y', 'Designazione CODEN', 'Designazione CODEN', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('787', 'z', 'ISBN (International Standard Book Number)', 'ISBN (International Standard Book Number)', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('789', '%', '%', '%', 0, 0, '', 7, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('789', '2', '2', '2', 1, 0, '', 7, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('789', '3', '3', '3', 1, 0, '', 7, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('789', '4', '4', '4', 1, 0, '', 7, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('789', '5', '5', '5', 1, 0, '', 7, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('789', '6', '6', '6', 0, 0, '', 7, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('789', '7', '7', '7', 1, 0, '', 7, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('789', '8', '8', '8', 1, 0, '', 7, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('789', '9', '9', '9', 0, 0, '', 7, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('789', 'a', 'a', 'a', 1, 0, '', 7, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('789', 'b', 'b', 'b', 1, 0, '', 7, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('789', 'c', 'c', 'c', 1, 0, '', 7, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('789', 'd', 'd', 'd', 1, 0, '', 7, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('789', 'e', 'e', 'e', 1, 0, '', 7, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('789', 'f', 'f', 'f', 1, 0, '', 7, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('789', 'g', 'g', 'g', 1, 0, '', 7, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('789', 'h', 'h', 'h', 1, 0, '', 7, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('789', 'i', 'i', 'i', 1, 0, '', 7, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('789', 'j', 'j', 'j', 1, 0, '', 7, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('789', 'k', 'k', 'k', 1, 0, '', 7, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('789', 'l', 'l', 'l', 1, 0, '', 7, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('789', 'm', 'm', 'm', 1, 0, '', 7, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('789', 'n', 'n', 'n', 1, 0, '', 7, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('789', 'o', 'o', 'o', 1, 0, '', 7, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('789', 'p', 'p', 'p', 1, 0, '', 7, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('789', 'q', 'q', 'q', 1, 0, '', 7, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('789', 'r', 'r', 'r', 1, 0, '', 7, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('789', 's', 's', 's', 1, 0, '', 7, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('789', 't', 't', 't', 1, 0, '', 7, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('789', 'u', 'u', 'u', 1, 0, '', 7, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('789', 'v', 'v', 'v', 1, 0, '', 7, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('789', 'w', 'w', 'w', 1, 0, '', 7, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('789', 'x', 'x', 'x', 1, 0, '', 7, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('789', 'y', 'y', 'y', 1, 0, '', 7, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('789', 'z', 'z', 'z', 1, 0, '', 7, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('796', '%', '% (RLIN)', '% (RLIN)', 0, 0, '', 7, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('796', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, '', 7, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('796', '4', 'Codice di ruolo', 'Codice di ruolo', 1, 0, '', 7, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('796', '5', 'Istituzione a cui si applica il campo', 'Istituzione a cui si applica il campo', 0, 0, '', 7, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('796', '6', 'Collegamento', 'Collegamento', 0, 0, '', 7, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('796', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 7, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('796', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 7, '', '', '', 0, -5, 'BKS', '', '', NULL),
		('796', 'a', 'Nome di persona', 'Nome di persona', 0, 0, '', 7, '', 'PERSO_NAME', '', NULL, -6, 'BKS', '', '', NULL),
		('796', 'b', 'Numerazione', 'Numerazione', 0, 0, '', 7, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('796', 'c', 'Titoli e altre parole associate al nome', 'Titoli e altre parole associate al nome', 1, 0, '', 7, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('796', 'd', 'Date associate al nome', 'Date associate al nome', 0, 0, '', 7, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('796', 'e', 'Termine di ruolo', 'Termine di ruolo', 1, 0, '', 7, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('796', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, '', 7, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('796', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, '', 7, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('796', 'h', 'Supporto', 'Supporto', 0, 0, '', 7, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('796', 'j', 'Qualificazione d\'attribuzione', 'Qualificazione d\'attribuzione', 1, 0, '', 7, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('796', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, '', 7, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('796', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, '', 7, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('796', 'm', 'Mezzo di esecuzione per la musica', 'Mezzo di esecuzione per la musica', 1, 0, '', 7, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('796', 'n', 'Numero di parte/sezione dell\'opera', 'Numero di parte/sezione dell\'opera', 1, 0, '', 7, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('796', 'o', 'Formulazione d\'arrangiamento per la musica', 'Formulazione d\'arrangiamento per la musica', 0, 0, '', 7, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('796', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, '', 7, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('796', 'q', 'Forma completa del nome', 'Forma completa del nome', 0, 0, '', 7, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('796', 'r', 'Tonalità (musica)', 'Tonalità (musica)', 0, 0, '', 7, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('796', 's', 'Versione', 'Versione', 0, 0, '', 7, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('796', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, '', 7, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('796', 'u', 'Affiliazione', 'Affiliazione', 0, 0, '', 7, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('796', 'x', 'ISSN (International Standard Serial Number)', 'ISSN (International Standard Serial Number)', 0, 0, '', 7, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('797', '%', '% (RLIN)', '% (RLIN)', 0, 0, '', 7, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('797', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, '', 7, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('797', '4', 'Codice di ruolo', 'Codice di ruolo', 1, 0, '', 7, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('797', '5', 'Istituzione a cui si applica il campo', 'Istituzione a cui si applica il campo', 0, 0, '', 7, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('797', '6', 'Collegamento', 'Collegamento', 0, 0, '', 7, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('797', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 7, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('797', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 7, '', '', '', 0, -5, 'BKS', '', '', NULL),
		('797', 'a', 'Nome dell\'ente o nome della giurisdizione come accesso', 'Nome dell\'ente o nome della giurisdizione come accesso', 0, 0, '', 7, '', 'CORPO_NAME', '', NULL, -6, 'BKS', '', '', NULL),
		('797', 'b', 'Unità subordinata', 'Unità subordinata', 1, 0, '', 7, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('797', 'c', 'Luogo del convegno', 'Luogo del convegno', 0, 0, '', 7, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('797', 'd', 'Data del convegno o di firma del trattato', 'Data del convegno o di firma del trattato', 1, 0, '', 7, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('797', 'e', 'Termine di ruolo', 'Termine di ruolo', 1, 0, '', 7, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('797', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, '', 7, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('797', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, '', 7, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('797', 'h', 'Supporto', 'Supporto', 0, 0, '', 7, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('797', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, '', 7, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('797', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, '', 7, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('797', 'm', 'Mezzo di esecuzione per la musica', 'Mezzo di esecuzione per la musica', 1, 0, '', 7, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('797', 'n', 'Numero di parte/sezione/convegno', 'Numero di parte/sezione/convegno', 1, 0, '', 7, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('797', 'o', 'Formulazione d\'arrangiamento per la musica', 'Formulazione d\'arrangiamento per la musica', 0, 0, '', 7, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('797', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, '', 7, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('797', 'r', 'Tonalità (musica)', 'Tonalità (musica)', 0, 0, '', 7, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('797', 's', 'Versione', 'Versione', 0, 0, '', 7, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('797', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, '', 7, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('797', 'u', 'Affiliazione', 'Affiliazione', 0, 0, '', 7, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('797', 'x', 'ISSN (International Standard Serial Number)', 'ISSN (International Standard Serial Number)', 0, 0, '', 7, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('798', '%', '% (RLIN)', '% (RLIN)', 0, 0, '', 7, '', '', '', 0, -5, 'BKS', '', '', NULL),
		('798', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('798', '4', 'Codice di ruolo', 'Codice di ruolo', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('798', '5', 'Istituzione a cui si applica il campo', 'Istituzione a cui si applica il campo', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('798', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('798', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('798', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 7, '', '', '', 0, -5, 'BKS', '', '', NULL),
		('798', 'a', 'Nome del convegno o nome della giurisdizione come accesso', 'Nome del convegno o nome della giurisdizione come accesso', 0, 0, NULL, 7, NULL, 'MEETI_NAME', '', NULL, -6, 'BKS', '', '', NULL),
		('798', 'b', 'Number (BK CF MP MU SE VM MX) [OBSOLETE]', 'Number (BK CF MP MU SE VM MX) [OBSOLETE]', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('798', 'c', 'Luogo del convegno', 'Luogo del convegno', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('798', 'd', 'Data del convegno', 'Data del convegno', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('798', 'e', 'Unità subordinata', 'Unità subordinata', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('798', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('798', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('798', 'h', 'Supporto', 'Supporto', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('798', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('798', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('798', 'n', 'Numero di parte/sezione/convegno', 'Numero di parte/sezione/convegno', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('798', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('798', 'q', 'Nome del convegno dopo accesso di nome della giurisdizione', 'Nome del convegno dopo accesso di nome della giurisdizione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('798', 's', 'Versione', 'Versione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('798', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('798', 'u', 'Affiliazione', 'Affiliazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('798', 'x', 'ISSN (International Standard Serial Number)', 'ISSN (International Standard Serial Number)', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('799', '%', '% (RLIN)', '% (RLIN)', 0, 0, '', 7, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('799', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, '', 7, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('799', '5', 'Istituzione a cui si applica il campo', 'Istituzione a cui si applica il campo', 0, 0, '', 7, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('799', '6', 'Collegamento', 'Collegamento', 0, 0, '', 7, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('799', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 7, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('799', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 7, '', '', '', 0, -5, 'BKS', '', '', NULL),
		('799', 'a', 'Titolo uniforme', 'Titolo uniforme', 0, 0, '', 7, '', 'UNIF_TITLE', '', NULL, -6, 'BKS', '', '', NULL),
		('799', 'd', 'Data di firma del trattato', 'Data di firma del trattato', 1, 0, '', 7, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('799', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, '', 7, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('799', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, '', 7, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('799', 'h', 'Supporto', 'Supporto', 0, 0, '', 7, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('799', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, '', 7, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('799', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, '', 7, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('799', 'm', 'Mezzo di esecuzione per la musica', 'Mezzo di esecuzione per la musica', 1, 0, '', 7, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('799', 'n', 'Numero di parte/sezione dell\'opera', 'Numero di parte/sezione dell\'opera', 1, 0, '', 7, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('799', 'o', 'Formulazione d\'arrangiamento per la musica', 'Formulazione d\'arrangiamento per la musica', 0, 0, '', 7, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('799', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, '', 7, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('799', 'r', 'Tonalità (musica)', 'Tonalità (musica)', 0, 0, '', 7, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('799', 's', 'Versione', 'Versione', 0, 0, '', 7, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('799', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, '', 7, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('799', 'x', 'ISSN (International Standard Serial Number)', 'ISSN (International Standard Serial Number)', 0, 0, '', 7, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('800', '4', 'Codice di ruolo', 'Codice di ruolo', 1, 0, '', 8, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('800', '6', 'Collegamento', 'Collegamento', 0, 0, '', 8, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('800', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 8, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('800', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 8, '', '', '', 0, -5, 'BKS', '', '', NULL),
		('800', 'a', 'Nome di persona', 'Nome di persona', 0, 0, '', 8, '', 'PERSO_NAME', '', NULL, -6, 'BKS', '', '', NULL),
		('800', 'b', 'Numerazione', 'Numerazione', 0, 0, '', 8, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('800', 'c', 'Titoli e altre parole associate al nome', 'Titoli e altre parole associate al nome', 1, 0, '', 8, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('800', 'd', 'Date associate al nome', 'Date associate al nome', 0, 0, '', 8, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('800', 'e', 'Termine di ruolo', 'Termine di ruolo', 1, 0, '', 8, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('800', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, '', 8, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('800', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, '', 8, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('800', 'h', 'Supporto', 'Supporto', 0, 0, '', 8, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('800', 'j', 'Qualificazione d\'attribuzione', 'Qualificazione d\'attribuzione', 1, 0, '', 8, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('800', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, '', 8, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('800', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, '', 8, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('800', 'm', 'Mezzo di esecuzione per la musica', 'Mezzo di esecuzione per la musica', 1, 0, '', 8, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('800', 'n', 'Numero di parte/sezione dell\'opera', 'Numero di parte/sezione dell\'opera', 1, 0, '', 8, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('800', 'o', 'Formulazione d\'arrangiamento per la musica', 'Formulazione d\'arrangiamento per la musica', 0, 0, '', 8, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('800', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, '', 8, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('800', 'q', 'Forma completa del nome', 'Forma completa del nome', 0, 0, '', 8, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('800', 'r', 'Tonalità (musica)', 'Tonalità (musica)', 0, 0, '', 8, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('800', 's', 'Versione', 'Versione', 0, 0, '', 8, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('800', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, '', 8, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('800', 'u', 'Affiliazione', 'Affiliazione', 0, 0, '', 8, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('800', 'v', 'Numero del volume/designazione di sequenza', 'Numero del volume/designazione di sequenza', 0, 0, '', 8, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('800', 'w', 'Numero di controllo bibliografico', 'Numero di controllo bibliografico', 1, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('810', '4', 'Codice di ruolo', 'Codice di ruolo', 1, 0, '', 8, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('810', '6', 'Collegamento', 'Collegamento', 0, 0, '', 8, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('810', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 8, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('810', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 8, '', '', '', 0, -5, 'BKS', '', '', NULL),
		('810', 'a', 'Nome dell\'ente o nome della giurisdizione come accesso', 'Nome dell\'ente o nome della giurisdizione come accesso', 0, 0, '', 8, '', 'CORPO_NAME', '', NULL, -6, 'BKS', '', '', NULL),
		('810', 'b', 'Unità subordinata', 'Unità subordinata', 1, 0, '', 8, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('810', 'c', 'Luogo del convegno', 'Luogo del convegno', 0, 0, '', 8, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('810', 'd', 'Data del convegno o di firma del trattato', 'Data del convegno o di firma del trattato', 1, 0, '', 8, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('810', 'e', 'Termine di ruolo', 'Termine di ruolo', 1, 0, '', 8, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('810', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, '', 8, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('810', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, '', 8, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('810', 'h', 'Supporto', 'Supporto', 0, 0, '', 8, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('810', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, '', 8, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('810', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, '', 8, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('810', 'm', 'Mezzo di esecuzione per la musica', 'Mezzo di esecuzione per la musica', 1, 0, '', 8, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('810', 'n', 'Numero di parte/sezione/convegno', 'Numero di parte/sezione/convegno', 1, 0, '', 8, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('810', 'o', 'Formulazione d\'arrangiamento per la musica', 'Formulazione d\'arrangiamento per la musica', 0, 0, '', 8, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('810', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, '', 8, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('810', 'r', 'Tonalità (musica)', 'Tonalità (musica)', 0, 0, '', 8, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('810', 's', 'Versione', 'Versione', 0, 0, '', 8, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('810', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, '', 8, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('810', 'u', 'Affiliazione', 'Affiliazione', 0, 0, '', 8, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('810', 'v', 'Numero del volume/designazione di sequenza', 'Numero del volume/designazione di sequenza', 0, 0, '', 8, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('810', 'w', 'Numero di controllo bibliografico', 'Numero di controllo bibliografico', 1, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('811', '4', 'Codice di ruolo', 'Codice di ruolo', 1, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('811', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('811', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('811', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 8, '', '', '', 0, -5, 'BKS', '', '', NULL),
		('811', 'a', 'Nome del convegno o nome della giurisdizione come accesso', 'Nome del convegno o nome della giurisdizione come accesso', 0, 0, NULL, 8, NULL, 'MEETI_NAME', '', NULL, -6, 'BKS', '', '', NULL),
		('811', 'b', 'Number (BK CF MP MU SE VM MX) [OBSOLETE]', 'Number (BK CF MP MU SE VM MX) [OBSOLETE]', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('811', 'c', 'Luogo del convegno', 'Luogo del convegno', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('811', 'd', 'Data del convegno', 'Data del convegno', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('811', 'e', 'Unità subordinata', 'Unità subordinata', 1, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('811', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('811', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('811', 'h', 'Supporto', 'Supporto', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('811', 'j', 'Termine di ruolo', 'Termine di ruolo', 1, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('811', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('811', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('811', 'n', 'Numero di parte/sezione/convegno', 'Numero di parte/sezione/convegno', 1, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('811', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('811', 'q', 'Nome del convegno dopo accesso di nome della giurisdizione', 'Nome del convegno dopo accesso di nome della giurisdizione', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('811', 's', 'Versione', 'Versione', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('811', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('811', 'u', 'Affiliazione', 'Affiliazione', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('811', 'v', 'Numero del volume/designazione di sequenza', 'Numero del volume/designazione di sequenza', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('811', 'w', 'Numero di controllo bibliografico', 'Numero di controllo bibliografico', 1, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('830', '6', 'Collegamento', 'Collegamento', 0, 0, '', 8, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('830', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 8, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('830', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 8, '', '', '', 0, -5, 'BKS', '', '', NULL),
		('830', 'a', 'Titolo uniforme', 'Titolo uniforme', 0, 0, '', 8, '', 'UNIF_TITLE', '', NULL, -6, 'BKS', '', '', NULL),
		('830', 'd', 'Data di firma del trattato', 'Data di firma del trattato', 1, 0, '', 8, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('830', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, '', 8, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('830', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, '', 8, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('830', 'h', 'Supporto', 'Supporto', 0, 0, '', 8, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('830', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, '', 8, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('830', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, '', 8, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('830', 'm', 'Mezzo di esecuzione per la musica', 'Mezzo di esecuzione per la musica', 1, 0, '', 8, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('830', 'n', 'Numero di parte/sezione dell\'opera', 'Numero di parte/sezione dell\'opera', 1, 0, '', 8, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('830', 'o', 'Formulazione d\'arrangiamento per la musica', 'Formulazione d\'arrangiamento per la musica', 0, 0, '', 8, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('830', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, '', 8, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('830', 'r', 'Tonalità (musica)', 'Tonalità (musica)', 0, 0, '', 8, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('830', 's', 'Versione', 'Versione', 0, 0, '', 8, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('830', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, '', 8, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('830', 'v', 'Numero del volume/designazione di sequenza', 'Numero del volume/designazione di sequenza', 0, 0, '', 8, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('830', 'w', 'Numero di controllo bibliografico', 'Numero di controllo bibliografico', 1, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('840', 'a', 'Titolo', 'Titolo', 0, 0, '', 8, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('840', 'h', 'Supporto', 'Supporto', 1, 0, '', 8, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('840', 'v', 'Numero del volume/designazione di sequenza', 'Numero del volume/designazione di sequenza', 0, 0, '', 8, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('841', 'a', 'Tipo di record', 'Tipo di record', 0, 0, NULL, 8, NULL, NULL, '', NULL, 5, 'BKS', '', '', NULL),
		('841', 'b', 'Elementi a lunghezza fiss', 'Elementi a lunghezza fiss', 0, 0, NULL, 8, NULL, NULL, '', NULL, 5, 'BKS', '', '', NULL),
		('841', 'e', 'Livello di codifica', 'Livello di codifica', 0, 0, NULL, 8, NULL, NULL, '', NULL, 5, 'BKS', '', '', NULL),
		('842', '6', 'Collegamento', 'Collegamento', 0, 0, '', 8, '', '', '', NULL, 5, 'BKS', '', '', NULL),
		('842', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 8, '', '', '', NULL, 5, 'BKS', '', '', NULL),
		('842', 'a', 'Designatore testuale di forma fisica', 'Designatore testuale di forma fisica', 0, 0, '', 8, '', '', '', NULL, 5, 'BKS', '', '', NULL),
		('843', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, NULL, 8, NULL, NULL, '', NULL, 5, 'BKS', '', '', NULL),
		('843', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 8, NULL, NULL, '', NULL, 5, 'BKS', '', '', NULL),
		('843', '7', 'Elementi di lunghezza fissa della riproduzione', 'Elementi di lunghezza fissa della riproduzione', 0, 0, NULL, 8, NULL, NULL, '', NULL, 5, 'BKS', '', '', NULL),
		('843', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 8, NULL, NULL, '', NULL, 5, 'BKS', '', '', NULL),
		('843', 'a', 'Tipo di riproduzione', 'Tipo di riproduzione', 0, 0, NULL, 8, NULL, NULL, '', NULL, 5, 'BKS', '', '', NULL),
		('843', 'b', 'Luogo di riproduzione', 'Luogo di riproduzione', 1, 0, NULL, 8, NULL, NULL, '', NULL, 5, 'BKS', '', '', NULL),
		('843', 'c', 'Agenzia responsabile della riproduzione', 'Agenzia responsabile della riproduzione', 1, 0, NULL, 8, NULL, NULL, '', NULL, 5, 'BKS', '', '', NULL),
		('843', 'd', 'Data di riproduzione', 'Data di riproduzione', 0, 0, NULL, 8, NULL, NULL, '', NULL, 5, 'BKS', '', '', NULL),
		('843', 'e', 'Descrizione fisica della riproduzione', 'Descrizione fisica della riproduzione', 1, 0, NULL, 8, NULL, NULL, '', NULL, 5, 'BKS', '', '', NULL),
		('843', 'f', 'Formulazione della serie della riproduzione', 'Formulazione della serie della riproduzione', 1, 0, NULL, 8, NULL, NULL, '', NULL, 5, 'BKS', '', '', NULL),
		('843', 'm', 'Date di pubblicazione e/o designazione sequenziale dei fascicoli riprodotti', 'Date di pubblicazione e/o designazione sequenziale dei fascicoli riprodotti', 1, 0, NULL, 8, NULL, NULL, '', NULL, 5, 'BKS', '', '', NULL),
		('843', 'n', 'Nota sulla riproduzione', 'Nota sulla riproduzione', 1, 0, NULL, 8, NULL, NULL, '', NULL, 5, 'BKS', '', '', NULL),
		('844', '6', 'Collegamento', 'Collegamento', 0, 0, '', 8, '', '', '', NULL, 5, 'BKS', '', '', NULL),
		('844', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 8, '', '', '', NULL, 5, 'BKS', '', '', NULL),
		('844', 'a', 'Nome dell\'unità', 'Nome dell\'unità', 0, 0, '', 8, '', '', '', NULL, 5, 'BKS', '', '', NULL),
		('845', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, NULL, 8, NULL, NULL, '', NULL, 5, 'BKS', '', '', NULL),
		('845', '5', 'Istituzione a cui si applica il campo', 'Istituzione a cui si applica il campo', 0, 0, NULL, 8, NULL, NULL, '', NULL, 5, 'BKS', '', '', NULL),
		('845', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 8, NULL, NULL, '', NULL, 5, 'BKS', '', '', NULL),
		('845', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 8, NULL, NULL, '', NULL, 5, 'BKS', '', '', NULL),
		('845', 'a', 'Condizioni che regolano l\'utilizzo e la riproduzione', 'Condizioni che regolano l\'utilizzo e la riproduzione', 0, 0, NULL, 8, NULL, NULL, '', NULL, 5, 'BKS', '', '', NULL),
		('845', 'b', 'Competenza legale', 'Competenza legale', 0, 0, NULL, 8, NULL, NULL, '', NULL, 5, 'BKS', '', '', NULL),
		('845', 'c', 'Autorizzazione', 'Autorizzazione', 0, 0, NULL, 8, NULL, NULL, '', NULL, 5, 'BKS', '', '', NULL),
		('845', 'd', 'Utenti autorizzati', 'Utenti autorizzati', 0, 0, NULL, 8, NULL, NULL, '', NULL, 5, 'BKS', '', '', NULL),
		('850', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 8, NULL, NULL, '', NULL, 5, 'BKS', '', '', NULL),
		('850', 'a', 'Istituzione possedente', 'Istituzione possedente', 1, 0, NULL, 8, NULL, NULL, '', NULL, 5, 'BKS', '', '', NULL),
		('850', 'b', 'Holdings (NR) (MU VM SE) [OBSOLETE]', 'Holdings (NR) (MU VM SE) [OBSOLETE]', 0, 0, NULL, 8, NULL, NULL, '', NULL, 5, 'BKS', '', '', NULL),
		('850', 'd', 'Inclusive dates (NR) (MU VM SE) [OBSOLETE]', 'Inclusive dates (NR) (MU VM SE) [OBSOLETE]', 0, 0, NULL, 8, NULL, NULL, '', NULL, 5, 'BKS', '', '', NULL),
		('850', 'e', 'Retention statement (NR) (CF MU VM SE) [OBSOLETE]', 'Retention statement (NR) (CF MU VM SE) [OBSOLETE]', 0, 0, NULL, 8, NULL, NULL, '', NULL, 5, 'BKS', '', '', NULL),
		('851', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, NULL, 8, NULL, NULL, '', NULL, 5, 'BKS', '', '', NULL),
		('851', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 8, NULL, NULL, '', NULL, 5, 'BKS', '', '', NULL),
		('851', 'a', 'Nome (custode o proprietario)', 'Nome (custode o proprietario)', 0, 0, NULL, 8, NULL, NULL, '', NULL, 5, 'BKS', '', '', NULL),
		('851', 'b', 'Suddivisione istituzionale', 'Suddivisione istituzionale', 0, 0, NULL, 8, NULL, NULL, '', NULL, 5, 'BKS', '', '', NULL),
		('851', 'c', 'Indirizzo', 'Indirizzo', 0, 0, NULL, 8, NULL, NULL, '', NULL, 5, 'BKS', '', '', NULL),
		('851', 'd', 'Paese', 'Paese', 0, 0, NULL, 8, NULL, NULL, '', NULL, 5, 'BKS', '', '', NULL),
		('851', 'e', 'Localizzazione dell\'unità', 'Localizzazione dell\'unità', 0, 0, NULL, 8, NULL, NULL, '', NULL, 5, 'BKS', '', '', NULL),
		('851', 'f', 'Numero d\'item', 'Numero d\'item', 0, 0, NULL, 8, NULL, NULL, '', NULL, 5, 'BKS', '', '', NULL),
		('851', 'g', 'Codice di localizzazione del deposito', 'Codice di localizzazione del deposito', 0, 0, NULL, 8, NULL, NULL, '', NULL, 5, 'BKS', '', '', NULL),
		('852', '2', 'Fonte della classificazione o dello schema di collocazione (segnatura)', 'Fonte della classificazione o dello schema di collocazione (segnatura)', 0, 0, '', 8, '', '', '', NULL, 5, 'BKS', '', '', NULL),
		('852', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, '', 8, '', '', '', NULL, 5, 'BKS', '', '', NULL),
		('852', '6', 'Collegamento', 'Collegamento', 0, 0, '', 8, '', '', '', NULL, 5, 'BKS', '', '', NULL),
		('852', '8', 'Numero di sequenza', 'Numero di sequenza', 1, 0, '', 8, '', '', '', NULL, 5, 'BKS', '', '', NULL),
		('852', 'a', 'Localizzazione', 'Localizzazione', 0, 0, '', 8, '', '', '', NULL, 5, 'BKS', '', '', NULL),
		('852', 'b', 'Sottolocalizzazione o collezione', 'Sottolocalizzazione o collezione', 1, 0, '', 8, '', '', '', NULL, 5, 'BKS', '', '', NULL),
		('852', 'c', 'Localizzazione a scaffale', 'Localizzazione a scaffale', 1, 0, '', 8, '', '', '', NULL, 5, 'BKS', '', '', NULL),
		('852', 'e', 'Indirizzo', 'Indirizzo', 1, 0, '', 8, '', '', '', NULL, 5, 'BKS', '', '', NULL),
		('852', 'f', 'Qualificatore di localizzazione codificato', 'Qualificatore di localizzazione codificato', 1, 0, '', 8, '', '', '', NULL, 5, 'BKS', '', '', NULL),
		('852', 'g', 'Qualificatore di localizzazione non codificato', 'Qualificatore di localizzazione non codificato', 1, 0, '', 8, '', '', '', NULL, 5, 'BKS', '', '', NULL),
		('852', 'h', 'Parte della classificazione', 'Parte della classificazione', 0, 0, '', 8, '', '', '', NULL, 5, 'BKS', '', '', NULL),
		('852', 'i', 'Parte dell\'item', 'Parte dell\'item', 1, 0, '', 8, '', '', '', NULL, 5, 'BKS', '', '', NULL),
		('852', 'j', 'Collocazione (segnatura)', 'Collocazione (segnatura)', 0, 0, '', 8, '', '', '', NULL, 5, 'BKS', '', '', NULL),
		('852', 'k', 'Prefisso del numero di chiamata (collocazione)', 'Prefisso del numero di chiamata (collocazione)', 0, 0, '', 8, '', '', '', NULL, 5, 'BKS', '', '', NULL),
		('852', 'l', 'Forma di collocazione (segnatura) di titolo', 'Forma di collocazione (segnatura) di titolo', 0, 0, '', 8, '', '', '', NULL, 5, 'BKS', '', '', NULL),
		('852', 'm', 'Suffisso del numero di chiamata (collocazione)', 'Suffisso del numero di chiamata (collocazione)', 0, 0, '', 8, '', '', '', NULL, 5, 'BKS', '', '', NULL),
		('852', 'n', 'Codice di paese', 'Codice di paese', 0, 0, '', 8, '', '', '', NULL, 5, 'BKS', '', '', NULL),
		('852', 'p', 'Designazione di parte', 'Designazione di parte', 0, 0, '', 8, '', '', '', NULL, 5, 'BKS', '', '', NULL),
		('852', 'q', 'Condizione fisica della parte', 'Condizione fisica della parte', 0, 0, '', 8, '', '', '', NULL, 5, 'BKS', '', '', NULL),
		('852', 's', 'Codice di tassa sul copyright dell\'articolo', 'Codice di tassa sul copyright dell\'articolo', 1, 0, '', 8, '', '', '', NULL, 5, 'BKS', '', '', NULL),
		('852', 't', 'Numero di copia', 'Numero di copia', 0, 0, '', 8, '', '', '', NULL, 5, 'BKS', '', '', NULL),
		('852', 'u', 'URI (Uniform Resource Identifier)', 'URI (Uniform Resource Identifier)', 1, 0, '', 8, '', '', '', 1, 5, 'BKS', '', '', NULL),
		('852', 'x', 'Nota non pubblic', 'Nota non pubblic', 1, 0, '', 8, '', '', '', NULL, 5, 'BKS', '', '', NULL),
		('852', 'z', 'Nota pubblica', 'Nota pubblica', 1, 0, '', 8, '', '', '', NULL, 5, 'BKS', '', '', NULL),
		('853', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, '', 8, '', '', '', NULL, 5, 'BKS', '', '', NULL),
		('853', '6', 'Collegamento', 'Collegamento', 0, 0, '', 8, '', '', '', NULL, 5, 'BKS', '', '', NULL),
		('853', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 8, '', '', '', NULL, 5, 'BKS', '', '', NULL),
		('853', 'a', 'Primo livello di enumerazione', 'Primo livello di enumerazione', 0, 0, '', 8, '', '', '', NULL, 5, 'BKS', '', '', NULL),
		('853', 'b', 'Secondo livello di enumerazione', 'Secondo livello di enumerazione', 0, 0, '', 8, '', '', '', NULL, 5, 'BKS', '', '', NULL),
		('853', 'c', 'Terzo livello di enumerazione', 'Terzo livello di enumerazione', 0, 0, '', 8, '', '', '', NULL, 5, 'BKS', '', '', NULL),
		('853', 'd', 'Quarto livello di enumerazione', 'Quarto livello di enumerazione', 0, 0, '', 8, '', '', '', NULL, 5, 'BKS', '', '', NULL),
		('853', 'e', 'Quinto livello di enumerazione', 'Quinto livello di enumerazione', 0, 0, '', 8, '', '', '', NULL, 5, 'BKS', '', '', NULL),
		('853', 'f', 'Sesto livello di enumerazione', 'Sesto livello di enumerazione', 0, 0, '', 8, '', '', '', NULL, 5, 'BKS', '', '', NULL),
		('853', 'g', 'Schema di numerazione alternativo, primo livello di enumerazione', 'Schema di numerazione alternativo, primo livello di enumerazione', 0, 0, '', 8, '', '', '', NULL, 5, 'BKS', '', '', NULL),
		('853', 'h', 'Schema di numerazione alternativo, secondo livello di enumerazione', 'Schema di numerazione alternativo, secondo livello di enumerazione', 0, 0, '', 8, '', '', '', NULL, 5, 'BKS', '', '', NULL),
		('853', 'i', 'Primo livello di cronologia', 'Primo livello di cronologia', 0, 0, '', 8, '', '', '', NULL, 5, 'BKS', '', '', NULL),
		('853', 'j', 'Secondo livello di cronologia', 'Secondo livello di cronologia', 0, 0, '', 8, '', '', '', NULL, 5, 'BKS', '', '', NULL),
		('853', 'k', 'Terzo livello di cronologia', 'Terzo livello di cronologia', 0, 0, '', 8, '', '', '', NULL, 5, 'BKS', '', '', NULL),
		('853', 'l', 'Quarto livello di cronologia', 'Quarto livello di cronologia', 0, 0, '', 8, '', '', '', NULL, 5, 'BKS', '', '', NULL),
		('853', 'm', 'Schema di numerazione alternativo, cronologia', 'Schema di numerazione alternativo, cronologia', 0, 0, '', 8, '', '', '', NULL, 5, 'BKS', '', '', NULL),
		('853', 'n', 'Nota allo schema', 'Nota allo schema', 0, 0, '', 8, '', '', '', NULL, 5, 'BKS', '', '', NULL),
		('853', 'p', 'Numero di pezzi per emissione', 'Numero di pezzi per emissione', 0, 0, '', 8, '', '', '', NULL, 5, 'BKS', '', '', NULL),
		('853', 't', 'Copia', 'Copia', 0, 0, '', 8, '', '', '', NULL, 5, 'BKS', '', '', NULL),
		('853', 'u', 'Unità bibliografiche per il livello superiore', 'Unità bibliografiche per il livello superiore', 1, 0, '', 8, '', '', '', NULL, 5, 'BKS', '', '', NULL),
		('853', 'v', 'Continuità di numerazione', 'Continuità di numerazione', 1, 0, '', 8, '', '', '', NULL, 5, 'BKS', '', '', NULL),
		('853', 'w', 'Frequenza', 'Frequenza', 0, 0, '', 8, '', '', '', NULL, 5, 'BKS', '', '', NULL),
		('853', 'x', 'Cambio di calendario', 'Cambio di calendario', 0, 0, '', 8, '', '', '', NULL, 5, 'BKS', '', '', NULL),
		('853', 'y', 'scham di regolarità', 'scham di regolarità', 1, 0, '', 8, '', '', '', NULL, 5, 'BKS', '', '', NULL),
		('853', 'z', 'Schema di numerazione', 'Schema di numerazione', 1, 0, '', 8, '', '', '', NULL, 5, 'BKS', '', '', NULL),
		('854', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, '', 8, '', '', '', NULL, 5, 'BKS', '', '', NULL),
		('854', '6', 'Collegamento', 'Collegamento', 0, 0, '', 8, '', '', '', NULL, 5, 'BKS', '', '', NULL),
		('854', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 8, '', '', '', NULL, 5, 'BKS', '', '', NULL),
		('854', 'a', 'Primo livello di enumerazione', 'Primo livello di enumerazione', 0, 0, '', 8, '', '', '', NULL, 5, 'BKS', '', '', NULL),
		('854', 'b', 'Secondo livello di enumerazione', 'Secondo livello di enumerazione', 0, 0, '', 8, '', '', '', NULL, 5, 'BKS', '', '', NULL),
		('854', 'c', 'Terzo livello di enumerazione', 'Terzo livello di enumerazione', 0, 0, '', 8, '', '', '', NULL, 5, 'BKS', '', '', NULL),
		('854', 'd', 'Quarto livello di enumerazione', 'Quarto livello di enumerazione', 0, 0, '', 8, '', '', '', NULL, 5, 'BKS', '', '', NULL),
		('854', 'e', 'Quinto livello di enumerazione', 'Quinto livello di enumerazione', 0, 0, '', 8, '', '', '', NULL, 5, 'BKS', '', '', NULL),
		('854', 'f', 'Sesto livello di enumerazione', 'Sesto livello di enumerazione', 0, 0, '', 8, '', '', '', NULL, 5, 'BKS', '', '', NULL),
		('854', 'g', 'Schema di numerazione alternativo, primo livello di enumerazione', 'Schema di numerazione alternativo, primo livello di enumerazione', 0, 0, '', 8, '', '', '', NULL, 5, 'BKS', '', '', NULL),
		('854', 'h', 'Schema di numerazione alternativo, secondo livello di enumerazione', 'Schema di numerazione alternativo, secondo livello di enumerazione', 0, 0, '', 8, '', '', '', NULL, 5, 'BKS', '', '', NULL),
		('854', 'i', 'Primo livello di cronologia', 'Primo livello di cronologia', 0, 0, '', 8, '', '', '', NULL, 5, 'BKS', '', '', NULL),
		('854', 'j', 'Secondo livello di cronologia', 'Secondo livello di cronologia', 0, 0, '', 8, '', '', '', NULL, 5, 'BKS', '', '', NULL),
		('854', 'k', 'Terzo livello di cronologia', 'Terzo livello di cronologia', 0, 0, '', 8, '', '', '', NULL, 5, 'BKS', '', '', NULL),
		('854', 'l', 'Quarto livello di cronologia', 'Quarto livello di cronologia', 0, 0, '', 8, '', '', '', NULL, 5, 'BKS', '', '', NULL),
		('854', 'm', 'Schema di numerazione alternativo, cronologia', 'Schema di numerazione alternativo, cronologia', 0, 0, '', 8, '', '', '', NULL, 5, 'BKS', '', '', NULL),
		('854', 'n', 'Nota allo schema', 'Nota allo schema', 0, 0, '', 8, '', '', '', NULL, 5, 'BKS', '', '', NULL),
		('854', 'p', 'Numero di pezzi per emissione', 'Numero di pezzi per emissione', 0, 0, '', 8, '', '', '', NULL, 5, 'BKS', '', '', NULL),
		('854', 't', 'Copia', 'Copia', 0, 0, '', 8, '', '', '', NULL, 5, 'BKS', '', '', NULL),
		('854', 'u', 'Unità bibliografiche per il livello superiore', 'Unità bibliografiche per il livello superiore', 1, 0, '', 8, '', '', '', NULL, 5, 'BKS', '', '', NULL),
		('854', 'v', 'Continuità di numerazione', 'Continuità di numerazione', 1, 0, '', 8, '', '', '', NULL, 5, 'BKS', '', '', NULL),
		('854', 'w', 'Frequenza', 'Frequenza', 0, 0, '', 8, '', '', '', NULL, 5, 'BKS', '', '', NULL),
		('854', 'x', 'Cambio di calendario', 'Cambio di calendario', 0, 0, '', 8, '', '', '', NULL, 5, 'BKS', '', '', NULL),
		('854', 'y', 'scham di regolarità', 'scham di regolarità', 1, 0, '', 8, '', '', '', NULL, 5, 'BKS', '', '', NULL),
		('854', 'z', 'Schema di numerazione', 'Schema di numerazione', 1, 0, '', 8, '', '', '', NULL, 5, 'BKS', '', '', NULL),
		('855', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, '', 8, '', '', '', NULL, 5, 'BKS', '', '', NULL),
		('855', '6', 'Collegamento', 'Collegamento', 0, 0, '', 8, '', '', '', NULL, 5, 'BKS', '', '', NULL),
		('855', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 8, '', '', '', NULL, 5, 'BKS', '', '', NULL),
		('855', 'a', 'Primo livello di enumerazione', 'Primo livello di enumerazione', 0, 0, '', 8, '', '', '', NULL, 5, 'BKS', '', '', NULL),
		('855', 'b', 'Secondo livello di enumerazione', 'Secondo livello di enumerazione', 0, 0, '', 8, '', '', '', NULL, 5, 'BKS', '', '', NULL),
		('855', 'c', 'Terzo livello di enumerazione', 'Terzo livello di enumerazione', 0, 0, '', 8, '', '', '', NULL, 5, 'BKS', '', '', NULL),
		('855', 'd', 'Quarto livello di enumerazione', 'Quarto livello di enumerazione', 0, 0, '', 8, '', '', '', NULL, 5, 'BKS', '', '', NULL),
		('855', 'e', 'Quinto livello di enumerazione', 'Quinto livello di enumerazione', 0, 0, '', 8, '', '', '', NULL, 5, 'BKS', '', '', NULL),
		('855', 'f', 'Sesto livello di enumerazione', 'Sesto livello di enumerazione', 0, 0, '', 8, '', '', '', NULL, 5, 'BKS', '', '', NULL),
		('855', 'g', 'Schema di numerazione alternativo, primo livello di enumerazione', 'Schema di numerazione alternativo, primo livello di enumerazione', 0, 0, '', 8, '', '', '', NULL, 5, 'BKS', '', '', NULL),
		('855', 'h', 'Schema di numerazione alternativo, secondo livello di enumerazione', 'Schema di numerazione alternativo, secondo livello di enumerazione', 0, 0, '', 8, '', '', '', NULL, 5, 'BKS', '', '', NULL),
		('855', 'i', 'Primo livello di cronologia', 'Primo livello di cronologia', 0, 0, '', 8, '', '', '', NULL, 5, 'BKS', '', '', NULL),
		('855', 'j', 'Secondo livello di cronologia', 'Secondo livello di cronologia', 0, 0, '', 8, '', '', '', NULL, 5, 'BKS', '', '', NULL),
		('855', 'k', 'Terzo livello di cronologia', 'Terzo livello di cronologia', 0, 0, '', 8, '', '', '', NULL, 5, 'BKS', '', '', NULL),
		('855', 'l', 'Quarto livello di cronologia', 'Quarto livello di cronologia', 0, 0, '', 8, '', '', '', NULL, 5, 'BKS', '', '', NULL),
		('855', 'm', 'Schema di numerazione alternativo, cronologia', 'Schema di numerazione alternativo, cronologia', 0, 0, '', 8, '', '', '', NULL, 5, 'BKS', '', '', NULL),
		('855', 'n', 'Nota allo schema', 'Nota allo schema', 0, 0, '', 8, '', '', '', NULL, 5, 'BKS', '', '', NULL),
		('855', 'p', 'Numero di pezzi per emissione', 'Numero di pezzi per emissione', 0, 0, '', 8, '', '', '', NULL, 5, 'BKS', '', '', NULL),
		('855', 't', 'Copia', 'Copia', 0, 0, '', 8, '', '', '', NULL, 5, 'BKS', '', '', NULL),
		('855', 'u', 'Unità bibliografiche per il livello superiore', 'Unità bibliografiche per il livello superiore', 1, 0, '', 8, '', '', '', NULL, 5, 'BKS', '', '', NULL),
		('855', 'v', 'Continuità di numerazione', 'Continuità di numerazione', 1, 0, '', 8, '', '', '', NULL, 5, 'BKS', '', '', NULL),
		('855', 'w', 'Frequenza', 'Frequenza', 0, 0, '', 8, '', '', '', NULL, 5, 'BKS', '', '', NULL),
		('855', 'x', 'Cambio di calendario', 'Cambio di calendario', 0, 0, '', 8, '', '', '', NULL, 5, 'BKS', '', '', NULL),
		('855', 'y', 'scham di regolarità', 'scham di regolarità', 1, 0, '', 8, '', '', '', NULL, 5, 'BKS', '', '', NULL),
		('855', 'z', 'Schema di numerazione', 'Schema di numerazione', 1, 0, '', 8, '', '', '', NULL, 5, 'BKS', '', '', NULL),
		('856', '2', 'Metodo di accesso', 'Metodo di accesso', 0, 0, '', 8, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('856', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, '', 8, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('856', '6', 'Collegamento', 'Collegamento', 0, 0, '', 8, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('856', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 8, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('856', 'a', 'Nome dell\'host', 'Nome dell\'host', 1, 0, '', 8, '', '', '', 0, -1, 'BKS', '', '', NULL),
		('856', 'b', 'Numero di accesso', 'Numero di accesso', 1, 0, '', 8, '', '', '', 0, -1, 'BKS', '', '', NULL),
		('856', 'c', 'Informazione sulla compressione', 'Informazione sulla compressione', 1, 0, '', 8, '', '', '', 0, -1, 'BKS', '', '', NULL),
		('856', 'd', 'Percorso della risorsa', 'Percorso della risorsa', 1, 0, '', 8, '', '', '', 0, -1, 'BKS', '', '', NULL),
		('856', 'f', 'Nome elettronico', 'Nome elettronico', 1, 0, '', 8, '', '', '', 0, -1, 'BKS', '', '', NULL),
		('856', 'h', 'Processore della richiesta (Username)', 'Processore della richiesta (Username)', 0, 0, '', 8, '', '', '', 0, -1, 'BKS', '', '', NULL),
		('856', 'i', 'Istruzioni', 'Istruzioni', 1, 0, '', 8, '', '', '', 0, -1, 'BKS', '', '', NULL),
		('856', 'j', 'Bit per secondo', 'Bit per secondo', 0, 0, '', 8, '', '', '', 0, -1, 'BKS', '', '', NULL),
		('856', 'k', 'Password', 'Password', 0, 0, '', 8, '', '', '', 0, -1, 'BKS', '', '', NULL),
		('856', 'l', 'Logon', 'Logon', 0, 0, '', 8, '', '', '', 0, -1, 'BKS', '', '', NULL),
		('856', 'm', 'Contatto per assistenza all\'accesso', 'Contatto per assistenza all\'accesso', 1, 0, '', 8, '', '', '', 0, -1, 'BKS', '', '', NULL),
		('856', 'n', 'Nome della localizzazione dell\'host', 'Nome della localizzazione dell\'host', 0, 0, '', 8, '', '', '', 0, -1, 'BKS', '', '', NULL),
		('856', 'o', 'Sistema operativo', 'Sistema operativo', 0, 0, '', 8, '', '', '', 0, -1, 'BKS', '', '', NULL),
		('856', 'p', 'Porta', 'Porta', 0, 0, '', 8, '', '', '', 0, -1, 'BKS', '', '', NULL),
		('856', 'q', 'Tipo di formato elettronico', 'Tipo di formato elettronico', 0, 0, '', 8, '', '', '', 0, -1, 'BKS', '', '', NULL),
		('856', 'r', 'Parametri', 'Parametri', 0, 0, '', 8, '', '', '', 0, -1, 'BKS', '', '', NULL),
		('856', 's', 'Dimensione file', 'Dimensione file', 1, 0, '', 8, '', '', '', 0, -1, 'BKS', '', '', NULL),
		('856', 't', 'Emulazione del terminale', 'Emulazione del terminale', 1, 0, '', 8, '', '', '', 0, -1, 'BKS', '', '', NULL),
		('856', 'u', 'URI (Uniform Resource Identifier)', 'URI (Uniform Resource Identifier)', 1, 0, 'biblioitems.url', 8, '', '', '', 1, -1, 'BKS', '', '', NULL),
		('856', 'v', 'Orario di accesso', 'Orario di accesso', 1, 0, '', 8, '', '', '', 0, -1, 'BKS', '', '', NULL),
		('856', 'w', 'Numero di controllo della registrazione', 'Numero di controllo della registrazione', 1, 0, '', 8, '', '', '', 0, -1, 'BKS', '', '', NULL),
		('856', 'x', 'Nota non pubblic', 'Nota non pubblic', 1, 0, '', 8, '', '', '', 0, 1, 'BKS', '', '', NULL),
		('856', 'y', 'Testo di collegamento', 'Testo di collegamento', 1, 0, '', 8, '', '', '', 0, -1, 'BKS', '', '', NULL),
		('856', 'z', 'Nota pubblica', 'Nota pubblica', 1, 0, '', 8, '', '', '', 0, -1, 'BKS', '', '', NULL),
		('859', 'b', 'Operator\'s initials, OID (RLIN)', 'Operator\'s initials, OID (RLIN)', 0, 0, '', 8, '', '', '', 0, 5, 'BKS', '', '', NULL),
		('859', 'c', 'Cataloger\'s initials, CIN (RLIN)', 'Cataloger\'s initials, CIN (RLIN)', 0, 0, '', 8, '', '', '', 0, 5, 'BKS', '', '', NULL),
		('859', 'd', 'TDC (RLIN)', 'TDC (RLIN)', 0, 0, '', 8, '', '', '', 0, 5, 'BKS', '', '', NULL),
		('859', 'l', 'LIB (RLIN)', 'LIB (RLIN)', 0, 0, '', 8, '', '', '', 0, 5, 'BKS', '', '', NULL),
		('859', 'p', 'PRI (RLIN)', 'PRI (RLIN)', 0, 0, '', 8, '', '', '', 0, 5, 'BKS', '', '', NULL),
		('859', 'r', 'REG (RLIN)', 'REG (RLIN)', 0, 0, '', 8, '', '', '', 0, 5, 'BKS', '', '', NULL),
		('859', 'v', 'VER (RLIN)', 'VER (RLIN)', 0, 0, '', 8, '', '', '', 0, 5, 'BKS', '', '', NULL),
		('859', 'x', 'LDEL (RLIN)', 'LDEL (RLIN)', 0, 0, '', 8, '', '', '', 0, 5, 'BKS', '', '', NULL),
		('863', '6', 'Collegamento', 'Collegamento', 0, 0, '', 8, '', '', '', NULL, 5, 'BKS', '', '', NULL),
		('863', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 0, 0, '', 8, '', '', '', NULL, 5, 'BKS', '', '', NULL),
		('863', 'a', 'Primo livello di enumerazione', 'Primo livello di enumerazione', 0, 0, '', 8, '', '', '', 0, 5, 'BKS', '', '', NULL),
		('863', 'b', 'Secondo livello di enumerazione', 'Secondo livello di enumerazione', 0, 0, '', 8, '', '', '', 0, 5, 'BKS', '', '', NULL),
		('863', 'c', 'Terzo livello di enumerazione', 'Terzo livello di enumerazione', 0, 0, '', 8, '', '', '', 0, 5, 'BKS', '', '', NULL),
		('863', 'd', 'Quarto livello di enumerazione', 'Quarto livello di enumerazione', 0, 0, '', 8, '', '', '', 0, 5, 'BKS', '', '', NULL),
		('863', 'e', 'Quinto livello di enumerazione', 'Quinto livello di enumerazione', 0, 0, '', 8, '', '', '', 0, 5, 'BKS', '', '', NULL),
		('863', 'f', 'Sesto livello di enumerazione', 'Sesto livello di enumerazione', 0, 0, '', 8, '', '', '', 0, 5, 'BKS', '', '', NULL),
		('863', 'g', 'Schema di numerazione alternativo, primo livello di enumerazione', 'Schema di numerazione alternativo, primo livello di enumerazione', 0, 0, '', 8, '', '', '', 0, 5, 'BKS', '', '', NULL),
		('863', 'h', 'Schema di numerazione alternativo, secondo livello di enumerazione', 'Schema di numerazione alternativo, secondo livello di enumerazione', 0, 0, '', 8, '', '', '', 0, 5, 'BKS', '', '', NULL),
		('863', 'i', 'Primo livello di cronologia', 'Primo livello di cronologia', 0, 0, '', 8, '', '', '', 0, 5, 'BKS', '', '', NULL),
		('863', 'j', 'Secondo livello di cronologia', 'Secondo livello di cronologia', 0, 0, '', 8, '', '', '', 0, 5, 'BKS', '', '', NULL),
		('863', 'k', 'Terzo livello di cronologia', 'Terzo livello di cronologia', 0, 0, '', 8, '', '', '', 0, 5, 'BKS', '', '', NULL),
		('863', 'l', 'Quarto livello di cronologia', 'Quarto livello di cronologia', 0, 0, '', 8, '', '', '', 0, 5, 'BKS', '', '', NULL),
		('863', 'm', 'Schema di numerazione alternativo, cronologia', 'Schema di numerazione alternativo, cronologia', 0, 0, '', 8, '', '', '', 0, 5, 'BKS', '', '', NULL),
		('863', 'n', 'Convertito in anno Gregoriano', 'Convertito in anno Gregoriano', 0, 0, '', 8, '', '', '', 0, 5, 'BKS', '', '', NULL),
		('863', 'o', 'Tipo di materiale', 'Tipo di materiale', 1, 0, '', 8, '', '', '', 0, 5, 'BKS', '', '', NULL),
		('863', 'p', 'Designazione di parte', 'Designazione di parte', 0, 0, '', 8, '', '', '', 0, 5, 'BKS', '', '', NULL),
		('863', 'q', 'Condizione fisica della parte', 'Condizione fisica della parte', 0, 0, '', 8, '', '', '', 0, 5, 'BKS', '', '', NULL),
		('863', 's', 'Codice di tassa sul copyright dell\'articolo', 'Codice di tassa sul copyright dell\'articolo', 1, 0, '', 8, '', '', '', 0, 5, 'BKS', '', '', NULL),
		('863', 't', 'Numero di copia', 'Numero di copia', 0, 0, '', 8, '', '', '', 0, 5, 'BKS', '', '', NULL),
		('863', 'v', 'Data di emissione', 'Data di emissione', 1, 0, '', 8, '', '', '', 0, 5, 'BKS', '', '', NULL),
		('863', 'w', 'indicatore di stacco', 'indicatore di stacco', 0, 0, '', 8, '', '', '', 0, 5, 'BKS', '', '', NULL),
		('863', 'x', 'Nota non pubblic', 'Nota non pubblic', 1, 0, '', 8, '', '', '', 0, 5, 'BKS', '', '', NULL),
		('863', 'z', 'Nota pubblica', 'Nota pubblica', 1, 0, '', 8, '', '', '', 0, 5, 'BKS', '', '', NULL),
		('864', '6', 'Collegamento', 'Collegamento', 0, 0, '', 8, '', '', '', NULL, 5, 'BKS', '', '', NULL),
		('864', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 0, 0, '', 8, '', '', '', NULL, 5, 'BKS', '', '', NULL),
		('864', 'a', 'Primo livello di enumerazione', 'Primo livello di enumerazione', 0, 0, '', 8, '', '', '', 0, 5, 'BKS', '', '', NULL),
		('864', 'b', 'Secondo livello di enumerazione', 'Secondo livello di enumerazione', 0, 0, '', 8, '', '', '', 0, 5, 'BKS', '', '', NULL),
		('864', 'c', 'Terzo livello di enumerazione', 'Terzo livello di enumerazione', 0, 0, '', 8, '', '', '', 0, 5, 'BKS', '', '', NULL),
		('864', 'd', 'Quarto livello di enumerazione', 'Quarto livello di enumerazione', 0, 0, '', 8, '', '', '', 0, 5, 'BKS', '', '', NULL),
		('864', 'e', 'Quinto livello di enumerazione', 'Quinto livello di enumerazione', 0, 0, '', 8, '', '', '', 0, 5, 'BKS', '', '', NULL),
		('864', 'f', 'Sesto livello di enumerazione', 'Sesto livello di enumerazione', 0, 0, '', 8, '', '', '', 0, 5, 'BKS', '', '', NULL),
		('864', 'g', 'Schema di numerazione alternativo, primo livello di enumerazione', 'Schema di numerazione alternativo, primo livello di enumerazione', 0, 0, '', 8, '', '', '', 0, 5, 'BKS', '', '', NULL),
		('864', 'h', 'Schema di numerazione alternativo, secondo livello di enumerazione', 'Schema di numerazione alternativo, secondo livello di enumerazione', 0, 0, '', 8, '', '', '', 0, 5, 'BKS', '', '', NULL),
		('864', 'i', 'Primo livello di cronologia', 'Primo livello di cronologia', 0, 0, '', 8, '', '', '', 0, 5, 'BKS', '', '', NULL),
		('864', 'j', 'Secondo livello di cronologia', 'Secondo livello di cronologia', 0, 0, '', 8, '', '', '', 0, 5, 'BKS', '', '', NULL),
		('864', 'k', 'Terzo livello di cronologia', 'Terzo livello di cronologia', 0, 0, '', 8, '', '', '', 0, 5, 'BKS', '', '', NULL),
		('864', 'l', 'Quarto livello di cronologia', 'Quarto livello di cronologia', 0, 0, '', 8, '', '', '', 0, 5, 'BKS', '', '', NULL),
		('864', 'm', 'Schema di numerazione alternativo, cronologia', 'Schema di numerazione alternativo, cronologia', 0, 0, '', 8, '', '', '', 0, 5, 'BKS', '', '', NULL),
		('864', 'n', 'Convertito in anno Gregoriano', 'Convertito in anno Gregoriano', 0, 0, '', 8, '', '', '', 0, 5, 'BKS', '', '', NULL),
		('864', 'o', 'Tipo di materiale', 'Tipo di materiale', 1, 0, '', 8, '', '', '', 0, 5, 'BKS', '', '', NULL),
		('864', 'p', 'Designazione di parte', 'Designazione di parte', 0, 0, '', 8, '', '', '', 0, 5, 'BKS', '', '', NULL),
		('864', 'q', 'Condizione fisica della parte', 'Condizione fisica della parte', 0, 0, '', 8, '', '', '', 0, 5, 'BKS', '', '', NULL),
		('864', 's', 'Codice di tassa sul copyright dell\'articolo', 'Codice di tassa sul copyright dell\'articolo', 1, 0, '', 8, '', '', '', 0, 5, 'BKS', '', '', NULL),
		('864', 't', 'Numero di copia', 'Numero di copia', 0, 0, '', 8, '', '', '', 0, 5, 'BKS', '', '', NULL),
		('864', 'v', 'Data di emissione', 'Data di emissione', 1, 0, '', 8, '', '', '', 0, 5, 'BKS', '', '', NULL),
		('864', 'w', 'indicatore di stacco', 'indicatore di stacco', 0, 0, '', 8, '', '', '', 0, 5, 'BKS', '', '', NULL),
		('864', 'x', 'Nota non pubblic', 'Nota non pubblic', 1, 0, '', 8, '', '', '', 0, 5, 'BKS', '', '', NULL),
		('864', 'z', 'Nota pubblica', 'Nota pubblica', 1, 0, '', 8, '', '', '', 0, 5, 'BKS', '', '', NULL),
		('865', '6', 'Collegamento', 'Collegamento', 0, 0, '', 8, '', '', '', NULL, 5, 'BKS', '', '', NULL),
		('865', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 0, 0, '', 8, '', '', '', NULL, 5, 'BKS', '', '', NULL),
		('865', 'a', 'Primo livello di enumerazione', 'Primo livello di enumerazione', 0, 0, '', 8, '', '', '', 0, 5, 'BKS', '', '', NULL),
		('865', 'b', 'Secondo livello di enumerazione', 'Secondo livello di enumerazione', 0, 0, '', 8, '', '', '', 0, 5, 'BKS', '', '', NULL),
		('865', 'c', 'Terzo livello di enumerazione', 'Terzo livello di enumerazione', 0, 0, '', 8, '', '', '', 0, 5, 'BKS', '', '', NULL),
		('865', 'd', 'Quarto livello di enumerazione', 'Quarto livello di enumerazione', 0, 0, '', 8, '', '', '', 0, 5, 'BKS', '', '', NULL),
		('865', 'e', 'Quinto livello di enumerazione', 'Quinto livello di enumerazione', 0, 0, '', 8, '', '', '', 0, 5, 'BKS', '', '', NULL),
		('865', 'f', 'Sesto livello di enumerazione', 'Sesto livello di enumerazione', 0, 0, '', 8, '', '', '', 0, 5, 'BKS', '', '', NULL),
		('865', 'g', 'Schema di numerazione alternativo, primo livello di enumerazione', 'Schema di numerazione alternativo, primo livello di enumerazione', 0, 0, '', 8, '', '', '', 0, 5, 'BKS', '', '', NULL),
		('865', 'h', 'Schema di numerazione alternativo, secondo livello di enumerazione', 'Schema di numerazione alternativo, secondo livello di enumerazione', 0, 0, '', 8, '', '', '', 0, 5, 'BKS', '', '', NULL),
		('865', 'i', 'Primo livello di cronologia', 'Primo livello di cronologia', 0, 0, '', 8, '', '', '', 0, 5, 'BKS', '', '', NULL),
		('865', 'j', 'Secondo livello di cronologia', 'Secondo livello di cronologia', 0, 0, '', 8, '', '', '', 0, 5, 'BKS', '', '', NULL),
		('865', 'k', 'Terzo livello di cronologia', 'Terzo livello di cronologia', 0, 0, '', 8, '', '', '', 0, 5, 'BKS', '', '', NULL),
		('865', 'l', 'Quarto livello di cronologia', 'Quarto livello di cronologia', 0, 0, '', 8, '', '', '', 0, 5, 'BKS', '', '', NULL),
		('865', 'm', 'Schema di numerazione alternativo, cronologia', 'Schema di numerazione alternativo, cronologia', 0, 0, '', 8, '', '', '', 0, 5, 'BKS', '', '', NULL),
		('865', 'n', 'Convertito in anno Gregoriano', 'Convertito in anno Gregoriano', 0, 0, '', 8, '', '', '', 0, 5, 'BKS', '', '', NULL),
		('865', 'o', 'Tipo di materiale', 'Tipo di materiale', 1, 0, '', 8, '', '', '', 0, 5, 'BKS', '', '', NULL),
		('865', 'p', 'Designazione di parte', 'Designazione di parte', 0, 0, '', 8, '', '', '', 0, 5, 'BKS', '', '', NULL),
		('865', 'q', 'Condizione fisica della parte', 'Condizione fisica della parte', 0, 0, '', 8, '', '', '', 0, 5, 'BKS', '', '', NULL),
		('865', 's', 'Codice di tassa sul copyright dell\'articolo', 'Codice di tassa sul copyright dell\'articolo', 1, 0, '', 8, '', '', '', 0, 5, 'BKS', '', '', NULL),
		('865', 't', 'Numero di copia', 'Numero di copia', 0, 0, '', 8, '', '', '', 0, 5, 'BKS', '', '', NULL),
		('865', 'v', 'Data di emissione', 'Data di emissione', 1, 0, '', 8, '', '', '', 0, 5, 'BKS', '', '', NULL),
		('865', 'w', 'indicatore di stacco', 'indicatore di stacco', 0, 0, '', 8, '', '', '', 0, 5, 'BKS', '', '', NULL),
		('865', 'x', 'Nota non pubblic', 'Nota non pubblic', 1, 0, '', 8, '', '', '', 0, 5, 'BKS', '', '', NULL),
		('865', 'z', 'Nota pubblica', 'Nota pubblica', 1, 0, '', 8, '', '', '', 0, 5, 'BKS', '', '', NULL),
		('866', '6', 'Collegamento', 'Collegamento', 0, 0, '', 8, '', '', '', NULL, 5, 'BKS', '', '', NULL),
		('866', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 8, '', '', '', NULL, 5, 'BKS', '', '', NULL),
		('866', 'a', 'Stringa testuale', 'Stringa testuale', 0, 0, '', 8, '', '', '', 0, 5, 'BKS', '', '', NULL),
		('866', 'x', 'Nota non pubblic', 'Nota non pubblic', 1, 0, '', 8, '', '', '', 0, 5, 'BKS', '', '', NULL),
		('866', 'z', 'Nota pubblica', 'Nota pubblica', 1, 0, '', 8, '', '', '', 0, 5, 'BKS', '', '', NULL),
		('867', '6', 'Collegamento', 'Collegamento', 0, 0, '', 8, '', '', '', NULL, 5, 'BKS', '', '', NULL),
		('867', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 8, '', '', '', NULL, 5, 'BKS', '', '', NULL),
		('867', 'a', 'Stringa testuale', 'Stringa testuale', 0, 0, '', 8, '', '', '', 0, 5, 'BKS', '', '', NULL),
		('867', 'x', 'Nota non pubblic', 'Nota non pubblic', 1, 0, '', 8, '', '', '', 0, 5, 'BKS', '', '', NULL),
		('867', 'z', 'Nota pubblica', 'Nota pubblica', 1, 0, '', 8, '', '', '', 0, 5, 'BKS', '', '', NULL),
		('868', '6', 'Collegamento', 'Collegamento', 0, 0, '', 8, '', '', '', NULL, 5, 'BKS', '', '', NULL),
		('868', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 8, '', '', '', NULL, 5, 'BKS', '', '', NULL),
		('868', 'a', 'Stringa testuale', 'Stringa testuale', 0, 0, '', 8, '', '', '', 0, 5, 'BKS', '', '', NULL),
		('868', 'x', 'Nota non pubblic', 'Nota non pubblic', 1, 0, '', 8, '', '', '', 0, 5, 'BKS', '', '', NULL),
		('868', 'z', 'Nota pubblica', 'Nota pubblica', 1, 0, '', 8, '', '', '', 0, 5, 'BKS', '', '', NULL),
		('870', '4', 'Codice di ruolo', 'Codice di ruolo', 1, 0, '', 8, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('870', '6', 'Collegamento', 'Collegamento', 0, 0, '', 8, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('870', 'a', 'Nome di persona', 'Nome di persona', 0, 0, '', 8, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('870', 'b', 'Numerazione', 'Numerazione', 0, 0, '', 8, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('870', 'c', 'Titoli e altre parole associate al nome', 'Titoli e altre parole associate al nome', 1, 0, '', 8, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('870', 'd', 'Date associate al nome', 'Date associate al nome', 0, 0, '', 8, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('870', 'e', 'Termine di ruolo', 'Termine di ruolo', 1, 0, '', 8, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('870', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, '', 8, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('870', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, '', 8, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('870', 'j', 'Tag e numero di sequenza', 'Tag e numero di sequenza', 0, 0, '', 8, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('870', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, '', 8, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('870', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, '', 8, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('870', 'n', 'Numero di parte/sezione dell\'opera', 'Numero di parte/sezione dell\'opera', 1, 0, '', 8, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('870', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, '', 8, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('870', 'q', 'Forma completa del nome', 'Forma completa del nome', 0, 0, '', 8, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('870', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, '', 8, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('870', 'u', 'Affiliazione', 'Affiliazione', 0, 0, '', 8, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('871', '4', 'Codice di ruolo', 'Codice di ruolo', 1, 0, '', 8, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('871', '6', 'Collegamento', 'Collegamento', 0, 0, '', 8, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('871', 'a', 'Nome dell\'ente o nome della giurisdizione come accesso', 'Nome dell\'ente o nome della giurisdizione come accesso', 0, 0, '', 8, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('871', 'b', 'Unità subordinata', 'Unità subordinata', 1, 0, '', 8, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('871', 'c', 'Luogo del convegno', 'Luogo del convegno', 0, 0, '', 8, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('871', 'd', 'Data del convegno o di firma del trattato', 'Data del convegno o di firma del trattato', 1, 0, '', 8, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('871', 'e', 'Termine di ruolo', 'Termine di ruolo', 1, 0, '', 8, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('871', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, '', 8, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('871', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, '', 8, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('871', 'j', 'Tag e numero di sequenza', 'Tag e numero di sequenza', 0, 0, '', 8, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('871', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, '', 8, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('871', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, '', 8, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('871', 'n', 'Numero di parte/sezione/convegno', 'Numero di parte/sezione/convegno', 1, 0, '', 8, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('871', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, '', 8, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('871', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, '', 8, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('871', 'u', 'Affiliazione', 'Affiliazione', 0, 0, '', 8, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('872', '4', 'Codice di ruolo', 'Codice di ruolo', 1, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('872', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('872', 'a', 'Nome del convegno o nome della giurisdizione come accesso', 'Nome del convegno o nome della giurisdizione come accesso', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('872', 'b', 'Number [OBSOLETE]', 'Number [OBSOLETE]', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('872', 'c', 'Luogo del convegno', 'Luogo del convegno', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('872', 'd', 'Data del convegno', 'Data del convegno', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('872', 'e', 'Unità subordinata', 'Unità subordinata', 1, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('872', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('872', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('872', 'j', 'Tag e numero di sequenza', 'Tag e numero di sequenza', 0, 0, '', 8, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('872', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('872', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('872', 'n', 'Numero di parte/sezione/convegno', 'Numero di parte/sezione/convegno', 1, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('872', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('872', 'q', 'Nome del convegno dopo accesso di nome della giurisdizione', 'Nome del convegno dopo accesso di nome della giurisdizione', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('872', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('872', 'u', 'Affiliazione', 'Affiliazione', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('873', '6', 'Collegamento', 'Collegamento', 0, 0, '', 8, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('873', 'a', 'Titolo uniforme', 'Titolo uniforme', 0, 0, '', 8, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('873', 'd', 'Data di firma del trattato', 'Data di firma del trattato', 1, 0, '', 8, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('873', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, '', 8, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('873', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, '', 8, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('873', 'h', 'Supporto', 'Supporto', 0, 0, '', 8, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('873', 'j', 'Tag e numero di sequenza', 'Tag e numero di sequenza', 0, 0, '', 8, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('873', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, '', 8, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('873', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, '', 8, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('873', 'm', 'Mezzo di esecuzione per la musica', 'Mezzo di esecuzione per la musica', 1, 0, '', 8, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('873', 'n', 'Numero di parte/sezione dell\'opera', 'Numero di parte/sezione dell\'opera', 1, 0, '', 8, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('873', 'o', 'Formulazione d\'arrangiamento per la musica', 'Formulazione d\'arrangiamento per la musica', 0, 0, '', 8, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('873', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, '', 8, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('873', 'r', 'Tonalità (musica)', 'Tonalità (musica)', 0, 0, '', 8, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('873', 's', 'Versione', 'Versione', 0, 0, '', 8, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('873', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, '', 8, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('876', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, '', 8, '', '', '', NULL, 5, 'BKS', '', '', NULL),
		('876', '6', 'Collegamento', 'Collegamento', 0, 0, '', 8, '', '', '', NULL, 5, 'BKS', '', '', NULL),
		('876', '8', 'Numero di sequenza', 'Numero di sequenza', 1, 0, '', 8, '', '', '', NULL, 5, 'BKS', '', '', NULL),
		('876', 'a', 'Internal item number', 'Internal item number', 0, 0, '', 8, '', '', '', NULL, 5, 'BKS', '', '', NULL),
		('876', 'b', 'Invalid or canceled internal item number', 'Invalid or canceled internal item number', 1, 0, '', 8, '', '', '', NULL, 5, 'BKS', '', '', NULL),
		('876', 'c', 'Cost', 'Cost', 1, 0, '', 8, '', '', '', NULL, 5, 'BKS', '', '', NULL),
		('876', 'd', 'Data d\'acquisizione', 'Data d\'acquisizione', 1, 0, '', 8, '', '', '', NULL, 5, 'BKS', '', '', NULL),
		('876', 'e', 'Fonte d\'acquisto', 'Fonte d\'acquisto', 1, 0, '', 8, '', '', '', NULL, 5, 'BKS', '', '', NULL),
		('876', 'h', 'Use restrictions', 'Use restrictions', 1, 0, '', 8, '', '', '', NULL, 5, 'BKS', '', '', NULL),
		('876', 'j', 'Status della copia', 'Status della copia', 1, 0, '', 8, '', '', '', NULL, 5, 'BKS', '', '', NULL),
		('876', 'l', 'Collocazione temporanea', 'Collocazione temporanea', 1, 0, '', 8, '', '', '', NULL, 5, 'BKS', '', '', NULL),
		('876', 'p', 'Designazione di parte', 'Designazione di parte', 1, 0, '', 8, '', '', '', NULL, 5, 'BKS', '', '', NULL),
		('876', 'r', 'Invalid or canceled piece designation', 'Invalid or canceled piece designation', 1, 0, '', 8, '', '', '', NULL, 5, 'BKS', '', '', NULL),
		('876', 't', 'Numero di copia', 'Numero di copia', 0, 0, '', 8, '', '', '', NULL, 5, 'BKS', '', '', NULL),
		('876', 'x', 'Nota non pubblic', 'Nota non pubblic', 1, 0, '', 8, '', '', '', NULL, 5, 'BKS', '', '', NULL),
		('876', 'z', 'Nota pubblica', 'Nota pubblica', 1, 0, '', 8, '', '', '', NULL, 5, 'BKS', '', '', NULL),
		('877', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, '', 8, '', '', '', NULL, 5, 'BKS', '', '', NULL),
		('877', '6', 'Collegamento', 'Collegamento', 0, 0, '', 8, '', '', '', NULL, 5, 'BKS', '', '', NULL),
		('877', '8', 'Numero di sequenza', 'Numero di sequenza', 1, 0, '', 8, '', '', '', NULL, 5, 'BKS', '', '', NULL),
		('877', 'a', 'Internal item number', 'Internal item number', 0, 0, '', 8, '', '', '', NULL, 5, 'BKS', '', '', NULL),
		('877', 'b', 'Invalid or canceled internal item number', 'Invalid or canceled internal item number', 1, 0, '', 8, '', '', '', NULL, 5, 'BKS', '', '', NULL),
		('877', 'c', 'Cost', 'Cost', 1, 0, '', 8, '', '', '', NULL, 5, 'BKS', '', '', NULL),
		('877', 'd', 'Data d\'acquisizione', 'Data d\'acquisizione', 1, 0, '', 8, '', '', '', NULL, 5, 'BKS', '', '', NULL),
		('877', 'e', 'Fonte d\'acquisto', 'Fonte d\'acquisto', 1, 0, '', 8, '', '', '', NULL, 5, 'BKS', '', '', NULL),
		('877', 'h', 'Use restrictions', 'Use restrictions', 1, 0, '', 8, '', '', '', NULL, 5, 'BKS', '', '', NULL),
		('877', 'j', 'Status della copia', 'Status della copia', 1, 0, '', 8, '', '', '', NULL, 5, 'BKS', '', '', NULL),
		('877', 'l', 'Collocazione temporanea', 'Collocazione temporanea', 1, 0, '', 8, '', '', '', NULL, 5, 'BKS', '', '', NULL),
		('877', 'p', 'Designazione di parte', 'Designazione di parte', 1, 0, '', 8, '', '', '', NULL, 5, 'BKS', '', '', NULL),
		('877', 'r', 'Invalid or canceled piece designation', 'Invalid or canceled piece designation', 1, 0, '', 8, '', '', '', NULL, 5, 'BKS', '', '', NULL),
		('877', 't', 'Numero di copia', 'Numero di copia', 0, 0, '', 8, '', '', '', NULL, 5, 'BKS', '', '', NULL),
		('877', 'x', 'Nota non pubblic', 'Nota non pubblic', 1, 0, '', 8, '', '', '', NULL, 5, 'BKS', '', '', NULL),
		('877', 'z', 'Nota pubblica', 'Nota pubblica', 1, 0, '', 8, '', '', '', NULL, 5, 'BKS', '', '', NULL),
		('878', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, '', 8, '', '', '', NULL, 5, 'BKS', '', '', NULL),
		('878', '6', 'Collegamento', 'Collegamento', 0, 0, '', 8, '', '', '', NULL, 5, 'BKS', '', '', NULL),
		('878', '8', 'Numero di sequenza', 'Numero di sequenza', 1, 0, '', 8, '', '', '', NULL, 5, 'BKS', '', '', NULL),
		('878', 'a', 'Internal item number', 'Internal item number', 0, 0, '', 8, '', '', '', NULL, 5, 'BKS', '', '', NULL),
		('878', 'b', 'Invalid or canceled internal item number', 'Invalid or canceled internal item number', 1, 0, '', 8, '', '', '', NULL, 5, 'BKS', '', '', NULL),
		('878', 'c', 'Cost', 'Cost', 1, 0, '', 8, '', '', '', NULL, 5, 'BKS', '', '', NULL),
		('878', 'd', 'Data d\'acquisizione', 'Data d\'acquisizione', 1, 0, '', 8, '', '', '', NULL, 5, 'BKS', '', '', NULL),
		('878', 'e', 'Fonte d\'acquisto', 'Fonte d\'acquisto', 1, 0, '', 8, '', '', '', NULL, 5, 'BKS', '', '', NULL),
		('878', 'h', 'Use restrictions', 'Use restrictions', 1, 0, '', 8, '', '', '', NULL, 5, 'BKS', '', '', NULL),
		('878', 'j', 'Status della copia', 'Status della copia', 1, 0, '', 8, '', '', '', NULL, 5, 'BKS', '', '', NULL),
		('878', 'l', 'Collocazione temporanea', 'Collocazione temporanea', 1, 0, '', 8, '', '', '', NULL, 5, 'BKS', '', '', NULL),
		('878', 'p', 'Designazione di parte', 'Designazione di parte', 1, 0, '', 8, '', '', '', NULL, 5, 'BKS', '', '', NULL),
		('878', 'r', 'Invalid or canceled piece designation', 'Invalid or canceled piece designation', 1, 0, '', 8, '', '', '', NULL, 5, 'BKS', '', '', NULL),
		('878', 't', 'Numero di copia', 'Numero di copia', 0, 0, '', 8, '', '', '', NULL, 5, 'BKS', '', '', NULL),
		('878', 'x', 'Nota non pubblic', 'Nota non pubblic', 1, 0, '', 8, '', '', '', NULL, 5, 'BKS', '', '', NULL),
		('878', 'z', 'Nota pubblica', 'Nota pubblica', 1, 0, '', 8, '', '', '', NULL, 5, 'BKS', '', '', NULL),
		('880', '2', '2', '2', 1, 0, '', 8, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('880', '3', '3', '3', 1, 0, '', 8, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('880', '4', '4', '4', 1, 0, '', 8, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('880', '5', '5', '5', 1, 0, '', 8, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('880', '6', 'Collegamento', 'Collegamento', 0, 0, '', 8, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('880', '7', '7', '7', 1, 0, '', 8, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('880', '8', '8', '8', 1, 0, '', 8, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('880', '9', '9', '9', 1, 0, '', 8, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('880', 'a', 'a', 'a', 1, 0, '', 8, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('880', 'b', 'b', 'b', 1, 0, '', 8, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('880', 'c', 'c', 'c', 1, 0, '', 8, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('880', 'd', 'd', 'd', 1, 0, '', 8, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('880', 'e', 'e', 'e', 1, 0, '', 8, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('880', 'f', 'f', 'f', 1, 0, '', 8, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('880', 'g', 'g', 'g', 1, 0, '', 8, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('880', 'h', 'h', 'h', 1, 0, '', 8, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('880', 'i', 'i', 'i', 1, 0, '', 8, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('880', 'j', 'j', 'j', 1, 0, '', 8, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('880', 'k', 'k', 'k', 1, 0, '', 8, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('880', 'l', 'l', 'l', 1, 0, '', 8, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('880', 'm', 'm', 'm', 1, 0, '', 8, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('880', 'n', 'n', 'n', 1, 0, '', 8, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('880', 'o', 'o', 'o', 1, 0, '', 8, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('880', 'p', 'p', 'p', 1, 0, '', 8, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('880', 'q', 'q', 'q', 1, 0, '', 8, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('880', 'r', 'r', 'r', 1, 0, '', 8, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('880', 's', 's', 's', 1, 0, '', 8, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('880', 't', 't', 't', 1, 0, '', 8, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('880', 'u', 'u', 'u', 1, 0, '', 8, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('880', 'v', 'v', 'v', 1, 0, '', 8, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('880', 'w', 'w', 'w', 1, 0, '', 8, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('880', 'x', 'x', 'x', 1, 0, '', 8, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('880', 'y', 'y', 'y', 1, 0, '', 8, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('880', 'z', 'z', 'z', 1, 0, '', 8, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('886', '0', '0', '0', 1, 0, '', 8, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('886', '1', '1', '1', 1, 0, '', 8, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('886', '2', '2', '2', 1, 0, '', 8, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('886', '3', '3', '3', 1, 0, '', 8, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('886', '4', '4', '4', 1, 0, '', 8, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('886', '5', '5', '5', 1, 0, '', 8, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('886', '6', '6', '6', 1, 0, '', 8, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('886', '7', '7', '7', 1, 0, '', 8, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('886', '8', '8', '8', 1, 0, '', 8, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('886', '9', '9', '9', 1, 0, '', 8, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('886', 'a', 'a', 'a', 1, 0, '', 8, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('886', 'b', 'b', 'b', 1, 0, '', 8, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('886', 'c', 'c', 'c', 1, 0, '', 8, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('886', 'd', 'd', 'd', 1, 0, '', 8, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('886', 'e', 'e', 'e', 1, 0, '', 8, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('886', 'f', 'f', 'f', 1, 0, '', 8, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('886', 'g', 'g', 'g', 1, 0, '', 8, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('886', 'h', 'h', 'h', 1, 0, '', 8, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('886', 'i', 'i', 'i', 1, 0, '', 8, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('886', 'j', 'j', 'j', 1, 0, '', 8, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('886', 'k', 'k', 'k', 1, 0, '', 8, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('886', 'l', 'l', 'l', 1, 0, '', 8, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('886', 'm', 'm', 'm', 1, 0, '', 8, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('886', 'n', 'n', 'n', 1, 0, '', 8, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('886', 'o', 'o', 'o', 1, 0, '', 8, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('886', 'p', 'p', 'p', 1, 0, '', 8, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('886', 'q', 'q', 'q', 1, 0, '', 8, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('886', 'r', 'r', 'r', 1, 0, '', 8, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('886', 's', 's', 's', 1, 0, '', 8, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('886', 't', 't', 't', 1, 0, '', 8, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('886', 'u', 'u', 'u', 1, 0, '', 8, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('886', 'v', 'v', 'v', 1, 0, '', 8, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('886', 'w', 'w', 'w', 1, 0, '', 8, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('886', 'x', 'x', 'x', 1, 0, '', 8, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('886', 'y', 'y', 'y', 1, 0, '', 8, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('886', 'z', 'z', 'z', 1, 0, '', 8, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('887', '2', 'Fonte dei dati', 'Fonte dei dati', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('887', 'a', 'Contenuto del campo non-MARC', 'Contenuto del campo non-MARC', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('896', '%', '% (RLIN)', '% (RLIN)', 0, 0, '', 8, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('896', '4', 'Codice di ruolo', 'Codice di ruolo', 1, 0, '', 8, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('896', '6', 'Collegamento', 'Collegamento', 0, 0, '', 8, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('896', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 8, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('896', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 8, '', '', '', 0, -5, 'BKS', '', '', NULL),
		('896', 'a', 'Nome di persona', 'Nome di persona', 0, 0, '', 8, '', 'PERSO_NAME', '', NULL, -6, 'BKS', '', '', NULL),
		('896', 'b', 'Numerazione', 'Numerazione', 0, 0, '', 8, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('896', 'c', 'Titoli e altre parole associate al nome', 'Titoli e altre parole associate al nome', 1, 0, '', 8, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('896', 'd', 'Date associate al nome', 'Date associate al nome', 0, 0, '', 8, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('896', 'e', 'Termine di ruolo', 'Termine di ruolo', 1, 0, '', 8, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('896', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, '', 8, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('896', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, '', 8, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('896', 'h', 'Supporto', 'Supporto', 0, 0, '', 8, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('896', 'j', 'Qualificazione d\'attribuzione', 'Qualificazione d\'attribuzione', 1, 0, '', 8, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('896', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, '', 8, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('896', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, '', 8, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('896', 'm', 'Mezzo di esecuzione per la musica', 'Mezzo di esecuzione per la musica', 1, 0, '', 8, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('896', 'n', 'Numero di parte/sezione dell\'opera', 'Numero di parte/sezione dell\'opera', 1, 0, '', 8, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('896', 'o', 'Formulazione d\'arrangiamento per la musica', 'Formulazione d\'arrangiamento per la musica', 0, 0, '', 8, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('896', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, '', 8, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('896', 'q', 'Forma completa del nome', 'Forma completa del nome', 0, 0, '', 8, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('896', 'r', 'Tonalità (musica)', 'Tonalità (musica)', 0, 0, '', 8, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('896', 's', 'Versione', 'Versione', 0, 0, '', 8, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('896', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, '', 8, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('896', 'u', 'Affiliazione', 'Affiliazione', 0, 0, '', 8, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('896', 'v', 'Numero del volume/designazione di sequenza', 'Numero del volume/designazione di sequenza', 0, 0, '', 8, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('897', '%', '% (RLIN)', '% (RLIN)', 0, 0, '', 8, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('897', '4', 'Codice di ruolo', 'Codice di ruolo', 1, 0, '', 8, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('897', '6', 'Collegamento', 'Collegamento', 0, 0, '', 8, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('897', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 8, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('897', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 8, '', '', '', 0, -5, 'BKS', '', '', NULL),
		('897', 'a', 'Nome dell\'ente o nome della giurisdizione come accesso', 'Nome dell\'ente o nome della giurisdizione come accesso', 0, 0, '', 8, '', 'CORPO_NAME', '', NULL, -6, 'BKS', '', '', NULL),
		('897', 'b', 'Unità subordinata', 'Unità subordinata', 1, 0, '', 8, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('897', 'c', 'Luogo del convegno', 'Luogo del convegno', 0, 0, '', 8, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('897', 'd', 'Data del convegno o di firma del trattato', 'Data del convegno o di firma del trattato', 1, 0, '', 8, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('897', 'e', 'Termine di ruolo', 'Termine di ruolo', 1, 0, '', 8, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('897', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, '', 8, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('897', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, '', 8, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('897', 'h', 'Supporto', 'Supporto', 0, 0, '', 8, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('897', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, '', 8, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('897', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, '', 8, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('897', 'm', 'Mezzo di esecuzione per la musica', 'Mezzo di esecuzione per la musica', 1, 0, '', 8, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('897', 'n', 'Numero di parte/sezione/convegno', 'Numero di parte/sezione/convegno', 1, 0, '', 8, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('897', 'o', 'Formulazione d\'arrangiamento per la musica', 'Formulazione d\'arrangiamento per la musica', 0, 0, '', 8, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('897', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, '', 8, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('897', 'r', 'Tonalità (musica)', 'Tonalità (musica)', 0, 0, '', 8, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('897', 's', 'Versione', 'Versione', 0, 0, '', 8, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('897', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, '', 8, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('897', 'u', 'Affiliazione', 'Affiliazione', 0, 0, '', 8, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('897', 'v', 'Numero del volume/designazione di sequenza', 'Numero del volume/designazione di sequenza', 0, 0, '', 8, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('898', '%', '% (RLIN)', '% (RLIN)', 0, 0, '', 8, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('898', '4', 'Codice di ruolo', 'Codice di ruolo', 1, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('898', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('898', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('898', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 8, '', '', '', 0, -5, 'BKS', '', '', NULL),
		('898', 'a', 'Nome del convegno o nome della giurisdizione come accesso', 'Nome del convegno o nome della giurisdizione come accesso', 0, 0, NULL, 8, NULL, 'MEETI_NAME', '', NULL, -6, 'BKS', '', '', NULL),
		('898', 'b', 'Number (BK CF MP MU SE VM MX) [OBSOLETE]', 'Number (BK CF MP MU SE VM MX) [OBSOLETE]', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('898', 'c', 'Luogo del convegno', 'Luogo del convegno', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('898', 'd', 'Data del convegno', 'Data del convegno', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('898', 'e', 'Unità subordinata', 'Unità subordinata', 1, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('898', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('898', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('898', 'h', 'Supporto', 'Supporto', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('898', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('898', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('898', 'n', 'Numero di parte/sezione/convegno', 'Numero di parte/sezione/convegno', 1, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('898', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('898', 'q', 'Nome del convegno dopo accesso di nome della giurisdizione', 'Nome del convegno dopo accesso di nome della giurisdizione', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('898', 's', 'Versione', 'Versione', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('898', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('898', 'u', 'Affiliazione', 'Affiliazione', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('898', 'v', 'Numero del volume/designazione di sequenza', 'Numero del volume/designazione di sequenza', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('899', '%', '% (RLIN)', '% (RLIN)', 0, 0, '', 8, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('899', '6', 'Collegamento', 'Collegamento', 0, 0, '', 8, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('899', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 8, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('899', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 8, '', '', '', 0, -5, 'BKS', '', '', NULL),
		('899', 'a', 'Titolo uniforme', 'Titolo uniforme', 0, 0, '', 8, '', 'UNIF_TITLE', '', NULL, -6, 'BKS', '', '', NULL),
		('899', 'd', 'Data di firma del trattato', 'Data di firma del trattato', 1, 0, '', 8, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('899', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, '', 8, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('899', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, '', 8, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('899', 'h', 'Supporto', 'Supporto', 0, 0, '', 8, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('899', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, '', 8, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('899', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, '', 8, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('899', 'm', 'Mezzo di esecuzione per la musica', 'Mezzo di esecuzione per la musica', 1, 0, '', 8, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('899', 'n', 'Numero di parte/sezione dell\'opera', 'Numero di parte/sezione dell\'opera', 1, 0, '', 8, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('899', 'o', 'Formulazione d\'arrangiamento per la musica', 'Formulazione d\'arrangiamento per la musica', 0, 0, '', 8, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('899', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, '', 8, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('899', 'r', 'Tonalità (musica)', 'Tonalità (musica)', 0, 0, '', 8, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('899', 's', 'Versione', 'Versione', 0, 0, '', 8, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('899', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, '', 8, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('899', 'v', 'Numero del volume/designazione di sequenza', 'Numero del volume/designazione di sequenza', 0, 0, '', 8, '', '', '', NULL, 5, 'BKS', '', '', NULL),
		('900', '4', 'Codice di ruolo', 'Codice di ruolo', 1, 0, '', 9, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('900', '6', 'Collegamento', 'Collegamento', 0, 0, '', 9, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('900', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 9, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('900', 'a', 'Nome di persona', 'Nome di persona', 0, 0, '', 9, '', '', '', 0, 5, 'BKS', '', '', NULL),
		('900', 'b', 'Numerazione', 'Numerazione', 0, 0, '', 9, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('900', 'c', 'Titoli e altre parole associate al nome', 'Titoli e altre parole associate al nome', 1, 0, '', 9, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('900', 'd', 'Date associate al nome', 'Date associate al nome', 0, 0, '', 9, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('900', 'e', 'Termine di ruolo', 'Termine di ruolo', 1, 0, '', 9, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('900', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, '', 9, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('900', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, '', 9, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('900', 'j', 'Qualificazione d\'attribuzione', 'Qualificazione d\'attribuzione', 1, 0, '', 9, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('900', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, '', 9, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('900', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, '', 9, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('900', 'n', 'Numero di parte/sezione dell\'opera', 'Numero di parte/sezione dell\'opera', 1, 0, '', 9, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('900', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, '', 9, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('900', 'q', 'Forma completa del nome', 'Forma completa del nome', 0, 0, '', 9, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('900', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, '', 9, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('900', 'u', 'Affiliazione', 'Affiliazione', 0, 0, '', 9, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('901', '0', '0', '0', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('901', '1', '1', '1', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('901', '2', '2', '2', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('901', '3', '3', '3', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('901', '4', '4', '4', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('901', '5', '5', '5', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('901', '6', '6', '6', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('901', '7', '7', '7', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('901', '8', '8', '8', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('901', '9', '9', '9', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('901', 'a', 'a', 'a', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('901', 'b', 'b', 'b', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('901', 'c', 'c', 'c', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('901', 'd', 'd', 'd', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('901', 'e', 'e', 'e', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('901', 'f', 'f', 'f', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('901', 'g', 'g', 'g', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('901', 'h', 'h', 'h', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('901', 'i', 'i', 'i', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('901', 'j', 'j', 'j', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('901', 'k', 'k', 'k', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('901', 'l', 'l', 'l', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('901', 'm', 'm', 'm', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('901', 'n', 'n', 'n', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('901', 'o', 'o', 'o', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('901', 'p', 'p', 'p', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('901', 'q', 'q', 'q', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('901', 'r', 'r', 'r', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('901', 's', 's', 's', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('901', 't', 't', 't', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('901', 'u', 'u', 'u', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('901', 'v', 'v', 'v', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('901', 'w', 'w', 'w', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('901', 'x', 'x', 'x', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('901', 'y', 'y', 'y', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('901', 'z', 'z', 'z', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('902', '0', '0', '0', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('902', '1', '1', '1', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('902', '2', '2', '2', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('902', '3', '3', '3', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('902', '4', '4', '4', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('902', '5', '5', '5', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('902', '6', '6', '6', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('902', '7', '7', '7', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('902', '8', '8', '8', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('902', '9', '9', '9', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('902', 'a', 'a', 'a', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('902', 'b', 'b', 'b', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('902', 'c', 'c', 'c', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('902', 'd', 'd', 'd', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('902', 'e', 'e', 'e', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('902', 'f', 'f', 'f', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('902', 'g', 'g', 'g', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('902', 'h', 'h', 'h', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('902', 'i', 'i', 'i', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('902', 'j', 'j', 'j', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('902', 'k', 'k', 'k', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('902', 'l', 'l', 'l', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('902', 'm', 'm', 'm', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('902', 'n', 'n', 'n', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('902', 'o', 'o', 'o', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('902', 'p', 'p', 'p', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('902', 'q', 'q', 'q', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('902', 'r', 'r', 'r', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('902', 's', 's', 's', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('902', 't', 't', 't', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('902', 'u', 'u', 'u', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('902', 'v', 'v', 'v', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('902', 'w', 'w', 'w', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('902', 'x', 'x', 'x', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('902', 'y', 'y', 'y', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('902', 'z', 'z', 'z', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('903', '0', '0', '0', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('903', '1', '1', '1', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('903', '2', '2', '2', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('903', '3', '3', '3', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('903', '4', '4', '4', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('903', '5', '5', '5', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('903', '6', '6', '6', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('903', '7', '7', '7', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('903', '8', '8', '8', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('903', '9', '9', '9', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('903', 'a', 'a', 'a', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('903', 'b', 'b', 'b', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('903', 'c', 'c', 'c', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('903', 'd', 'd', 'd', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('903', 'e', 'e', 'e', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('903', 'f', 'f', 'f', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('903', 'g', 'g', 'g', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('903', 'h', 'h', 'h', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('903', 'i', 'i', 'i', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('903', 'j', 'j', 'j', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('903', 'k', 'k', 'k', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('903', 'l', 'l', 'l', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('903', 'm', 'm', 'm', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('903', 'n', 'n', 'n', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('903', 'o', 'o', 'o', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('903', 'p', 'p', 'p', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('903', 'q', 'q', 'q', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('903', 'r', 'r', 'r', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('903', 's', 's', 's', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('903', 't', 't', 't', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('903', 'u', 'u', 'u', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('903', 'v', 'v', 'v', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('903', 'w', 'w', 'w', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('903', 'x', 'x', 'x', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('903', 'y', 'y', 'y', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('903', 'z', 'z', 'z', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('904', '0', '0', '0', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('904', '1', '1', '1', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('904', '2', '2', '2', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('904', '3', '3', '3', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('904', '4', '4', '4', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('904', '5', '5', '5', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('904', '6', '6', '6', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('904', '7', '7', '7', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('904', '8', '8', '8', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('904', '9', '9', '9', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('904', 'a', 'a', 'a', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('904', 'b', 'b', 'b', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('904', 'c', 'c', 'c', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('904', 'd', 'd', 'd', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('904', 'e', 'e', 'e', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('904', 'f', 'f', 'f', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('904', 'g', 'g', 'g', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('904', 'h', 'h', 'h', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('904', 'i', 'i', 'i', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('904', 'j', 'j', 'j', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('904', 'k', 'k', 'k', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('904', 'l', 'l', 'l', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('904', 'm', 'm', 'm', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('904', 'n', 'n', 'n', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('904', 'o', 'o', 'o', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('904', 'p', 'p', 'p', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('904', 'q', 'q', 'q', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('904', 'r', 'r', 'r', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('904', 's', 's', 's', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('904', 't', 't', 't', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('904', 'u', 'u', 'u', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('904', 'v', 'v', 'v', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('904', 'w', 'w', 'w', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('904', 'x', 'x', 'x', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('904', 'y', 'y', 'y', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('904', 'z', 'z', 'z', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('905', '0', '0', '0', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('905', '1', '1', '1', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('905', '2', '2', '2', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('905', '3', '3', '3', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('905', '4', '4', '4', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('905', '5', '5', '5', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('905', '6', '6', '6', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('905', '7', '7', '7', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('905', '8', '8', '8', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('905', '9', '9', '9', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('905', 'a', 'a', 'a', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('905', 'b', 'b', 'b', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('905', 'c', 'c', 'c', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('905', 'd', 'd', 'd', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('905', 'e', 'e', 'e', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('905', 'f', 'f', 'f', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('905', 'g', 'g', 'g', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('905', 'h', 'h', 'h', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('905', 'i', 'i', 'i', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('905', 'j', 'j', 'j', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('905', 'k', 'k', 'k', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('905', 'l', 'l', 'l', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('905', 'm', 'm', 'm', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('905', 'n', 'n', 'n', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('905', 'o', 'o', 'o', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('905', 'p', 'p', 'p', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('905', 'q', 'q', 'q', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('905', 'r', 'r', 'r', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('905', 's', 's', 's', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('905', 't', 't', 't', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('905', 'u', 'u', 'u', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('905', 'v', 'v', 'v', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('905', 'w', 'w', 'w', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('905', 'x', 'x', 'x', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('905', 'y', 'y', 'y', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('905', 'z', 'z', 'z', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('906', '0', '0', '0', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('906', '1', '1', '1', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('906', '2', '2', '2', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('906', '3', '3', '3', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('906', '4', '4', '4', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('906', '5', '5', '5', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('906', '6', '6', '6', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('906', '7', '7', '7', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('906', '8', '8', '8', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('906', '9', '9', '9', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('906', 'a', 'a', 'a', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('906', 'b', 'b', 'b', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('906', 'c', 'c', 'c', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('906', 'd', 'd', 'd', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('906', 'e', 'e', 'e', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('906', 'f', 'f', 'f', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('906', 'g', 'g', 'g', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('906', 'h', 'h', 'h', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('906', 'i', 'i', 'i', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('906', 'j', 'j', 'j', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('906', 'k', 'k', 'k', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('906', 'l', 'l', 'l', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('906', 'm', 'm', 'm', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('906', 'n', 'n', 'n', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('906', 'o', 'o', 'o', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('906', 'p', 'p', 'p', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('906', 'q', 'q', 'q', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('906', 'r', 'r', 'r', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('906', 's', 's', 's', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('906', 't', 't', 't', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('906', 'u', 'u', 'u', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('906', 'v', 'v', 'v', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('906', 'w', 'w', 'w', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('906', 'x', 'x', 'x', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('906', 'y', 'y', 'y', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('906', 'z', 'z', 'z', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('907', '0', '0', '0', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('907', '1', '1', '1', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('907', '2', '2', '2', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('907', '3', '3', '3', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('907', '4', '4', '4', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('907', '5', '5', '5', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('907', '6', '6', '6', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('907', '7', '7', '7', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('907', '8', '8', '8', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('907', '9', '9', '9', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('907', 'a', 'a', 'a', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('907', 'b', 'b', 'b', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('907', 'c', 'c', 'c', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('907', 'd', 'd', 'd', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('907', 'e', 'e', 'e', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('907', 'f', 'f', 'f', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('907', 'g', 'g', 'g', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('907', 'h', 'h', 'h', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('907', 'i', 'i', 'i', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('907', 'j', 'j', 'j', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('907', 'k', 'k', 'k', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('907', 'l', 'l', 'l', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('907', 'm', 'm', 'm', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('907', 'n', 'n', 'n', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('907', 'o', 'o', 'o', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('907', 'p', 'p', 'p', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('907', 'q', 'q', 'q', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('907', 'r', 'r', 'r', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('907', 's', 's', 's', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('907', 't', 't', 't', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('907', 'u', 'u', 'u', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('907', 'v', 'v', 'v', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('907', 'w', 'w', 'w', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('907', 'x', 'x', 'x', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('907', 'y', 'y', 'y', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('907', 'z', 'z', 'z', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('908', 'a', 'Put command parameter', 'Put command parameter', 0, 0, '', 9, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('910', 'a', 'User-option data', 'User-option data', 0, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('911', '4', 'Codice di ruolo', 'Codice di ruolo', 1, 0, NULL, 9, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('911', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 9, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('911', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 9, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('911', 'a', 'Nome del convegno o nome della giurisdizione come accesso', 'Nome del convegno o nome della giurisdizione come accesso', 0, 0, NULL, 9, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('911', 'b', 'Number [OBSOLETE]', 'Number [OBSOLETE]', 0, 0, NULL, 9, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('911', 'c', 'Luogo del convegno', 'Luogo del convegno', 0, 0, NULL, 9, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('911', 'd', 'Data del convegno', 'Data del convegno', 0, 0, NULL, 9, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('911', 'e', 'Unità subordinata', 'Unità subordinata', 1, 0, NULL, 9, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('911', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, NULL, 9, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('911', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, NULL, 9, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('911', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, NULL, 9, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('911', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, NULL, 9, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('911', 'n', 'Numero di parte/sezione/convegno', 'Numero di parte/sezione/convegno', 1, 0, NULL, 9, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('911', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, NULL, 9, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('911', 'q', 'Nome del convegno dopo accesso di nome della giurisdizione', 'Nome del convegno dopo accesso di nome della giurisdizione', 0, 0, NULL, 9, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('911', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, NULL, 9, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('911', 'u', 'Affiliazione', 'Affiliazione', 0, 0, NULL, 9, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('930', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 9, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('930', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 9, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('930', 'a', 'Titolo uniforme', 'Titolo uniforme', 0, 0, NULL, 9, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('930', 'd', 'Data di firma del trattato', 'Data di firma del trattato', 1, 0, NULL, 9, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('930', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, NULL, 9, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('930', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, NULL, 9, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('930', 'h', 'Supporto', 'Supporto', 0, 0, NULL, 9, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('930', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, NULL, 9, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('930', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, NULL, 9, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('930', 'm', 'Mezzo di esecuzione per la musica', 'Mezzo di esecuzione per la musica', 1, 0, NULL, 9, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('930', 'n', 'Numero di parte/sezione dell\'opera', 'Numero di parte/sezione dell\'opera', 1, 0, NULL, 9, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('930', 'o', 'Formulazione d\'arrangiamento per la musica', 'Formulazione d\'arrangiamento per la musica', 0, 0, NULL, 9, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('930', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, NULL, 9, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('930', 'r', 'Tonalità (musica)', 'Tonalità (musica)', 0, 0, NULL, 9, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('930', 's', 'Versione', 'Versione', 0, 0, NULL, 9, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('930', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, NULL, 9, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('936', 'a', 'OCLC control number(s) of parallel record(s) (OCLC); Piece used for cataloging, PUC (RLIN)', 'OCLC control number(s) of parallel record(s) (OCLC); Piece used for cataloging, PUC (RLIN)', 1, 0, '', 9, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('940', '6', 'Collegamento', 'Collegamento', 0, 0, '', 9, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('940', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 9, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('940', 'a', 'Titolo uniforme', 'Titolo uniforme', 0, 0, '', 9, '', '', '', 1, -6, 'BKS', '', '', NULL),
		('940', 'd', 'Data di firma del trattato', 'Data di firma del trattato', 1, 0, '', 9, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('940', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, '', 9, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('940', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, '', 9, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('940', 'h', 'Supporto', 'Supporto', 0, 0, '', 9, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('940', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, '', 9, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('940', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, '', 9, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('940', 'm', 'Mezzo di esecuzione per la musica', 'Mezzo di esecuzione per la musica', 1, 0, '', 9, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('940', 'n', 'Numero di parte/sezione dell\'opera', 'Numero di parte/sezione dell\'opera', 1, 0, '', 9, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('940', 'o', 'Formulazione d\'arrangiamento per la musica', 'Formulazione d\'arrangiamento per la musica', 0, 0, '', 9, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('940', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, '', 9, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('940', 'r', 'Tonalità (musica)', 'Tonalità (musica)', 0, 0, '', 9, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('940', 's', 'Versione', 'Versione', 0, 0, '', 9, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('941', 'a', 'Romanized title', 'Romanized title', 0, 0, NULL, 9, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('941', 'h', 'Supporto', 'Supporto', 0, 0, NULL, 9, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('943', '6', 'Collegamento', 'Collegamento', 0, 0, '', 9, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('943', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 9, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('943', 'a', 'Titolo uniforme', 'Titolo uniforme', 0, 0, '', 9, '', '', '', 1, 5, 'BKS', '', '130', NULL),
		('943', 'd', 'Data di firma del trattato', 'Data di firma del trattato', 1, 0, '', 9, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('943', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, '', 9, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('943', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, '', 9, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('943', 'h', 'Supporto', 'Supporto', 0, 0, '', 9, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('943', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, '', 9, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('943', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, '', 9, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('943', 'm', 'Mezzo di esecuzione per la musica', 'Mezzo di esecuzione per la musica', 1, 0, '', 9, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('943', 'n', 'Numero di parte/sezione dell\'opera', 'Numero di parte/sezione dell\'opera', 1, 0, '', 9, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('943', 'o', 'Formulazione d\'arrangiamento per la musica', 'Formulazione d\'arrangiamento per la musica', 0, 0, '', 9, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('943', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, '', 9, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('943', 'r', 'Tonalità (musica)', 'Tonalità (musica)', 0, 0, '', 9, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('943', 's', 'Versione', 'Versione', 0, 0, '', 9, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('945', '0', '0', '0', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('945', '1', '1', '1', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('945', '2', '2', '2', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('945', '3', '3', '3', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('945', '4', '4', '4', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('945', '5', '5', '5', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('945', '6', '6', '6', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('945', '7', '7', '7', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('945', '8', '8', '8', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('945', '9', '9', '9', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('945', 'a', 'a', 'a', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('945', 'b', 'b', 'b', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('945', 'c', 'c', 'c', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('945', 'd', 'd', 'd', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('945', 'e', 'e', 'e', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('945', 'f', 'f', 'f', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('945', 'g', 'g', 'g', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('945', 'h', 'h', 'h', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('945', 'i', 'i', 'i', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('945', 'j', 'j', 'j', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('945', 'k', 'k', 'k', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('945', 'l', 'l', 'l', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('945', 'm', 'm', 'm', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('945', 'n', 'n', 'n', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('945', 'o', 'o', 'o', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('945', 'p', 'p', 'p', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('945', 'q', 'q', 'q', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('945', 'r', 'r', 'r', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('945', 's', 's', 's', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('945', 't', 't', 't', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('945', 'u', 'u', 'u', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('945', 'v', 'v', 'v', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('945', 'w', 'w', 'w', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('945', 'x', 'x', 'x', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('945', 'y', 'y', 'y', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('945', 'z', 'z', 'z', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('946', '0', '0', '0', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('946', '1', '1', '1', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('946', '2', '2', '2', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('946', '3', '3', '3', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('946', '4', '4', '4', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('946', '5', '5', '5', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('946', '6', '6', '6', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('946', '7', '7', '7', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('946', '8', '8', '8', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('946', '9', '9', '9', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('946', 'a', 'a', 'a', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('946', 'b', 'b', 'b', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('946', 'c', 'c', 'c', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('946', 'd', 'd', 'd', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('946', 'e', 'e', 'e', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('946', 'f', 'f', 'f', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('946', 'g', 'g', 'g', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('946', 'h', 'h', 'h', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('946', 'i', 'i', 'i', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('946', 'j', 'j', 'j', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('946', 'k', 'k', 'k', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('946', 'l', 'l', 'l', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('946', 'm', 'm', 'm', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('946', 'n', 'n', 'n', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('946', 'o', 'o', 'o', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('946', 'p', 'p', 'p', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('946', 'q', 'q', 'q', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('946', 'r', 'r', 'r', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('946', 's', 's', 's', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('946', 't', 't', 't', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('946', 'u', 'u', 'u', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('946', 'v', 'v', 'v', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('946', 'w', 'w', 'w', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('946', 'x', 'x', 'x', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('946', 'y', 'y', 'y', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('946', 'z', 'z', 'z', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('947', '0', '0', '0', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('947', '1', '1', '1', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('947', '2', '2', '2', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('947', '3', '3', '3', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('947', '4', '4', '4', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('947', '5', '5', '5', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('947', '6', '6', '6', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('947', '7', '7', '7', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('947', '8', '8', '8', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('947', '9', '9', '9', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('947', 'a', 'a', 'a', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('947', 'b', 'b', 'b', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('947', 'c', 'c', 'c', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('947', 'd', 'd', 'd', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('947', 'e', 'e', 'e', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('947', 'f', 'f', 'f', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('947', 'g', 'g', 'g', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('947', 'h', 'h', 'h', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('947', 'i', 'i', 'i', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('947', 'j', 'j', 'j', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('947', 'k', 'k', 'k', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('947', 'l', 'l', 'l', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('947', 'm', 'm', 'm', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('947', 'n', 'n', 'n', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('947', 'o', 'o', 'o', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('947', 'p', 'p', 'p', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('947', 'q', 'q', 'q', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('947', 'r', 'r', 'r', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('947', 's', 's', 's', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('947', 't', 't', 't', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('947', 'u', 'u', 'u', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('947', 'v', 'v', 'v', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('947', 'w', 'w', 'w', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('947', 'x', 'x', 'x', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('947', 'y', 'y', 'y', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('947', 'z', 'z', 'z', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('948', '0', '0 (OCLC)', '0 (OCLC)', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('948', '1', '1 (OCLC)', '1 (OCLC)', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('948', '2', '2 (OCLC)', '2 (OCLC)', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('948', '3', '3 (OCLC)', '3 (OCLC)', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('948', '4', '4 (OCLC)', '4 (OCLC)', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('948', '5', '5 (OCLC)', '5 (OCLC)', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('948', '6', '6 (OCLC)', '6 (OCLC)', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('948', '7', '7 (OCLC)', '7 (OCLC)', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('948', '8', '8 (OCLC)', '8 (OCLC)', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('948', '9', '9 (OCLC)', '9 (OCLC)', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('948', 'a', 'Series part designator, SPT (RLIN)', 'Series part designator, SPT (RLIN)', 0, 0, '', 9, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('948', 'b', 'b (OCLC)', 'b (OCLC)', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('948', 'c', 'c (OCLC)', 'c (OCLC)', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('948', 'd', 'd (OCLC)', 'd (OCLC)', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('948', 'e', 'e (OCLC)', 'e (OCLC)', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('948', 'f', 'f (OCLC)', 'f (OCLC)', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('948', 'g', 'g (OCLC)', 'g (OCLC)', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('948', 'h', 'h (OCLC)', 'h (OCLC)', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('948', 'i', 'i (OCLC)', 'i (OCLC)', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('948', 'j', 'j (OCLC)', 'j (OCLC)', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('948', 'k', 'k (OCLC)', 'k (OCLC)', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('948', 'l', 'l (OCLC)', 'l (OCLC)', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('948', 'm', 'm (OCLC)', 'm (OCLC)', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('948', 'n', 'n (OCLC)', 'n (OCLC)', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('948', 'o', 'o (OCLC)', 'o (OCLC)', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('948', 'p', 'p (OCLC)', 'p (OCLC)', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('948', 'q', 'q (OCLC)', 'q (OCLC)', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('948', 'r', 'r (OCLC)', 'r (OCLC)', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('948', 's', 's (OCLC)', 's (OCLC)', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('948', 't', 't (OCLC)', 't (OCLC)', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('948', 'u', 'u (OCLC)', 'u (OCLC)', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('948', 'v', 'v (OCLC)', 'v (OCLC)', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('948', 'w', 'w (OCLC)', 'w (OCLC)', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('948', 'x', 'x (OCLC)', 'x (OCLC)', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('948', 'y', 'y (OCLC)', 'y (OCLC)', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('948', 'z', 'z (OCLC)', 'z (OCLC)', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('949', '0', '0', '0', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('949', '1', '1', '1', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('949', '2', '2', '2', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('949', '3', '3', '3', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('949', '4', '4', '4', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('949', '5', '5', '5', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('949', '6', '6', '6', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('949', '7', '7', '7', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('949', '8', '8', '8', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('949', '9', '9', '9', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('949', 'a', 'a', 'a', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('949', 'b', 'b', 'b', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('949', 'c', 'c', 'c', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('949', 'd', 'd', 'd', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('949', 'e', 'e', 'e', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('949', 'f', 'f', 'f', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('949', 'g', 'g', 'g', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('949', 'h', 'h', 'h', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('949', 'i', 'i', 'i', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('949', 'j', 'j', 'j', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('949', 'k', 'k', 'k', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('949', 'l', 'l', 'l', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('949', 'm', 'm', 'm', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('949', 'n', 'n', 'n', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('949', 'o', 'o', 'o', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('949', 'p', 'p', 'p', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('949', 'q', 'q', 'q', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('949', 'r', 'r', 'r', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('949', 's', 's', 's', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('949', 't', 't', 't', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('949', 'u', 'u', 'u', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('949', 'v', 'v', 'v', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('949', 'w', 'w', 'w', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('949', 'x', 'x', 'x', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('949', 'y', 'y', 'y', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('949', 'z', 'z', 'z', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('950', 'a', 'Classification number, LCAL (RLIN)', 'Classification number, LCAL (RLIN)', 0, 0, '', 9, '', '', '', 0, 5, 'BKS', '', '', NULL),
		('950', 'b', 'Book number/undivided call number, LCAL (RLIN)', 'Book number/undivided call number, LCAL (RLIN)', 0, 0, '', 9, '', '', '', 0, 5, 'BKS', '', '', NULL),
		('950', 'd', 'Additional free-text stamp above the call number, LCAL (RLIN)', 'Additional free-text stamp above the call number, LCAL (RLIN)', 1, 0, '', 9, '', '', '', 0, 5, 'BKS', '', '', NULL),
		('950', 'e', 'Additional free-text or profiled stamp below the call number, LCAL (RLIN)', 'Additional free-text or profiled stamp below the call number, LCAL (RLIN)', 1, 0, '', 9, '', '', '', 0, 5, 'BKS', '', '', NULL),
		('950', 'f', 'Location-level footnote, LFNT (RLIN)', 'Location-level footnote, LFNT (RLIN)', 0, 0, '', 9, '', '', '', 0, 5, 'BKS', '', '', NULL),
		('950', 'h', 'Location-level output transaction history, LHST (RLIN)', 'Location-level output transaction history, LHST (RLIN)', 0, 0, '', 9, '', '', '', 0, 5, 'BKS', '', '', NULL),
		('950', 'i', 'Location-level extra card request, LEXT (RLIN)', 'Location-level extra card request, LEXT (RLIN)', 0, 0, '', 9, '', '', '', 0, 5, 'BKS', '', '', NULL),
		('950', 'l', 'Permanent shelving location, LOC (RLIN)', 'Permanent shelving location, LOC (RLIN)', 0, 0, '', 9, '', '', '', 0, 5, 'BKS', '', '', NULL),
		('950', 'n', 'Location-level additional note, LANT (RLIN)', 'Location-level additional note, LANT (RLIN)', 1, 0, '', 9, '', '', '', 0, 5, 'BKS', '', '', NULL),
		('950', 'p', 'Location-level pathfinder, LPTH (RLIN)', 'Location-level pathfinder, LPTH (RLIN)', 0, 0, '', 9, '', '', '', 0, 5, 'BKS', '', '', NULL),
		('950', 't', 'Location-level field suppression, LFSP (RLIN)', 'Location-level field suppression, LFSP (RLIN)', 0, 0, '', 9, '', '', '', 0, 5, 'BKS', '', '', NULL),
		('950', 'u', 'Non-printing notes, LANT (RLIN)', 'Non-printing notes, LANT (RLIN)', 1, 0, '', 9, '', '', '', 0, 5, 'BKS', '', '', NULL),
		('950', 'v', 'Volumes, LVOL (RLIN)', 'Volumes, LVOL (RLIN)', 0, 0, '', 9, '', '', '', 0, 5, 'BKS', '', '', NULL),
		('950', 'w', 'Subscription status code, LANT (RLIN)', 'Subscription status code, LANT (RLIN)', 0, 0, '', 9, '', '', '', 0, 5, 'BKS', '', '', NULL),
		('950', 'y', 'Date, LVOL (RLIN)', 'Date, LVOL (RLIN)', 0, 0, '', 9, '', '', '', 0, 5, 'BKS', '', '', NULL),
		('950', 'z', 'Retention, LVOL (RLIN)', 'Retention, LVOL (RLIN)', 0, 0, '', 9, '', '', '', 0, 5, 'BKS', '', '', NULL),
		('951', '2', 'Fonte dell\'intestazione o del termine', 'Fonte dell\'intestazione o del termine', 0, 0, '', 6, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('951', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, '', 6, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('951', '6', 'Collegamento', 'Collegamento', 0, 0, '', 6, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('951', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 6, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('951', 'a', 'Nome geografico', 'Nome geografico', 0, 0, '', 6, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('951', 'b', 'Geographic name following place entry element [OBSOLETE]', 'Geographic name following place entry element [OBSOLETE]', 1, 0, '', 6, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('951', 'v', 'Suddivisione geografica', 'Suddivisione geografica', 1, 0, '', 6, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('951', 'x', 'Suddivisione generale', 'Suddivisione generale', 1, 0, '', 6, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('951', 'y', 'Suddivisione cronologica', 'Suddivisione cronologica', 1, 0, '', 6, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('951', 'z', 'Suddivisione geografica', 'Suddivisione geografica', 1, 0, '', 6, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('955', 'a', 'Classification number, CCAL (RLIN)', 'Classification number, CCAL (RLIN)', 0, 0, '', 9, '', '', '', 0, 5, 'BKS', '', '', NULL),
		('955', 'b', 'Book number/undivided call number, CCAL (RLIN)', 'Book number/undivided call number, CCAL (RLIN)', 0, 0, '', 9, '', '', '', 0, 5, 'BKS', '', '', NULL),
		('955', 'c', 'Copy information and material description, CCAL + MDES (RLIN)', 'Copy information and material description, CCAL + MDES (RLIN)', 0, 0, '', 9, '', '', '', 0, 5, 'BKS', '', '', NULL),
		('955', 'h', 'Copy status--for earlier dates, CST (RLIN)', 'Copy status--for earlier dates, CST (RLIN)', 0, 0, '', 9, '', '', '', 0, 5, 'BKS', '', '', NULL),
		('955', 'i', 'Copy status, CST (RLIN)', 'Copy status, CST (RLIN)', 0, 0, '', 9, '', '', '', 0, 5, 'BKS', '', '', NULL),
		('955', 'l', 'Permanent shelving location, LOC (RLIN)', 'Permanent shelving location, LOC (RLIN)', 0, 0, '', 9, '', '', '', 0, 5, 'BKS', '', '', NULL),
		('955', 'q', 'Aquisitions control number, HNT (RLIN)', 'Aquisitions control number, HNT (RLIN)', 1, 0, '', 9, '', '', '', 0, 5, 'BKS', '', '', NULL),
		('955', 'r', 'Circulation control number, HNT (RLIN)', 'Circulation control number, HNT (RLIN)', 0, 0, '', 9, '', '', '', 0, 5, 'BKS', '', '', NULL),
		('955', 's', 'Shelflist note, HNT (RLIN)', 'Shelflist note, HNT (RLIN)', 1, 0, '', 9, '', '', '', 1, 5, 'BKS', '', '', NULL),
		('955', 'u', 'Non-printing notes, HNT (RLIN)', 'Non-printing notes, HNT (RLIN)', 1, 0, '', 9, '', '', '', 0, 5, 'BKS', '', '', NULL),
		('956', '2', 'Metodo di accesso', 'Metodo di accesso', 0, 0, '', 9, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('956', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, '', 9, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('956', '6', 'Collegamento', 'Collegamento', 0, 0, '', 9, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('956', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 9, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('956', 'a', 'Nome dell\'host', 'Nome dell\'host', 1, 0, '', 9, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('956', 'b', 'Numero di accesso', 'Numero di accesso', 1, 0, '', 9, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('956', 'c', 'Informazione sulla compressione', 'Informazione sulla compressione', 1, 0, '', 9, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('956', 'd', 'Percorso della risorsa', 'Percorso della risorsa', 1, 0, '', 9, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('956', 'f', 'Nome elettronico', 'Nome elettronico', 1, 0, '', 9, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('956', 'h', 'Processore della richiesta (Username)', 'Processore della richiesta (Username)', 0, 0, '', 9, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('956', 'i', 'Istruzioni', 'Istruzioni', 1, 0, '', 9, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('956', 'j', 'Bit per secondo', 'Bit per secondo', 0, 0, '', 9, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('956', 'k', 'Password', 'Password', 0, 0, '', 9, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('956', 'l', 'Logon', 'Logon', 0, 0, '', 9, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('956', 'm', 'Contatto per assistenza all\'accesso', 'Contatto per assistenza all\'accesso', 1, 0, '', 9, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('956', 'n', 'Name of location of host in subfield', 'Name of location of host in subfield', 0, 0, '', 9, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('956', 'o', 'Sistema operativo', 'Sistema operativo', 0, 0, '', 9, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('956', 'p', 'Porta', 'Porta', 0, 0, '', 9, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('956', 'q', 'Tipo di formato elettronico', 'Tipo di formato elettronico', 0, 0, '', 9, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('956', 'r', 'Parametri', 'Parametri', 0, 0, '', 9, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('956', 's', 'Dimensione file', 'Dimensione file', 1, 0, '', 9, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('956', 't', 'Emulazione del terminale', 'Emulazione del terminale', 1, 0, '', 9, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('956', 'u', 'URI (Uniform Resource Identifier)', 'URI (Uniform Resource Identifier)', 1, 0, '', 9, '', '', '', 1, -6, 'BKS', '', '', NULL),
		('956', 'v', 'Orario di accesso', 'Orario di accesso', 1, 0, '', 9, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('956', 'w', 'Numero di controllo della registrazione', 'Numero di controllo della registrazione', 1, 0, '', 9, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('956', 'x', 'Nota non pubblic', 'Nota non pubblic', 1, 0, '', 9, '', '', '', 0, 6, 'BKS', '', '', NULL),
		('956', 'y', 'Testo di collegamento', 'Testo di collegamento', 1, 0, '', 9, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('956', 'z', 'Nota pubblica', 'Nota pubblica', 1, 0, '', 9, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('960', '3', 'Materials specified, MATL', 'Materials specified, MATL', 0, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('960', 'a', 'Physical location, PLOC (RLIN)', 'Physical location, PLOC (RLIN)', 0, 0, '', 9, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('967', 'a', 'GNR (RLIN)', 'GNR (RLIN)', 0, 0, '', 9, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('967', 'c', 'PSI (RLIN)', 'PSI (RLIN)', 0, 0, '', 9, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('980', '4', 'Codice di ruolo', 'Codice di ruolo', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('980', '6', 'Collegamento', 'Collegamento', 0, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('980', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('980', 'a', 'Nome di persona', 'Nome di persona', 0, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('980', 'b', 'Numerazione', 'Numerazione', 0, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('980', 'c', 'Titoli e altre parole associate al nome', 'Titoli e altre parole associate al nome', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('980', 'd', 'Date associate al nome', 'Date associate al nome', 0, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('980', 'e', 'Termine di ruolo', 'Termine di ruolo', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('980', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('980', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('980', 'h', 'Supporto', 'Supporto', 0, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('980', 'j', 'Qualificazione d\'attribuzione', 'Qualificazione d\'attribuzione', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('980', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('980', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('980', 'm', 'Mezzo di esecuzione per la musica', 'Mezzo di esecuzione per la musica', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('980', 'n', 'Numero di parte/sezione dell\'opera', 'Numero di parte/sezione dell\'opera', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('980', 'o', 'Formulazione d\'arrangiamento per la musica', 'Formulazione d\'arrangiamento per la musica', 0, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('980', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('980', 'q', 'Forma completa del nome', 'Forma completa del nome', 0, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('980', 'r', 'Tonalità (musica)', 'Tonalità (musica)', 0, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('980', 's', 'Versione', 'Versione', 0, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('980', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('980', 'u', 'Affiliazione', 'Affiliazione', 0, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('980', 'v', 'Numero del volume/designazione di sequenza', 'Numero del volume/designazione di sequenza', 0, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('981', '4', 'Codice di ruolo', 'Codice di ruolo', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('981', '6', 'Collegamento', 'Collegamento', 0, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('981', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('981', 'a', 'Nome dell\'ente o nome della giurisdizione come accesso', 'Nome dell\'ente o nome della giurisdizione come accesso', 0, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('981', 'b', 'Unità subordinata', 'Unità subordinata', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('981', 'c', 'Luogo del convegno', 'Luogo del convegno', 0, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('981', 'd', 'Data del convegno o di firma del trattato', 'Data del convegno o di firma del trattato', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('981', 'e', 'Termine di ruolo', 'Termine di ruolo', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('981', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('981', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('981', 'h', 'Supporto', 'Supporto', 0, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('981', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('981', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('981', 'm', 'Mezzo di esecuzione per la musica', 'Mezzo di esecuzione per la musica', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('981', 'n', 'Numero di parte/sezione/convegno', 'Numero di parte/sezione/convegno', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('981', 'o', 'Formulazione d\'arrangiamento per la musica', 'Formulazione d\'arrangiamento per la musica', 0, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('981', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('981', 'r', 'Tonalità (musica)', 'Tonalità (musica)', 0, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('981', 's', 'Versione', 'Versione', 0, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('981', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('981', 'u', 'Affiliazione', 'Affiliazione', 0, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('981', 'v', 'Numero del volume/designazione di sequenza', 'Numero del volume/designazione di sequenza', 0, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('982', '4', 'Codice di ruolo', 'Codice di ruolo', 1, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('982', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('982', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('982', 'a', 'Nome del convegno o nome della giurisdizione come accesso', 'Nome del convegno o nome della giurisdizione come accesso', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('982', 'b', 'Number (BK CF MP MU SE VM MX) [OBSOLETE]', 'Number (BK CF MP MU SE VM MX) [OBSOLETE]', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('982', 'c', 'Luogo del convegno', 'Luogo del convegno', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('982', 'd', 'Data del convegno', 'Data del convegno', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('982', 'e', 'Unità subordinata', 'Unità subordinata', 1, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('982', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('982', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('982', 'h', 'Supporto', 'Supporto', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('982', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('982', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('982', 'n', 'Numero di parte/sezione/convegno', 'Numero di parte/sezione/convegno', 1, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('982', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('982', 'q', 'Nome del convegno dopo accesso di nome della giurisdizione', 'Nome del convegno dopo accesso di nome della giurisdizione', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('982', 's', 'Versione', 'Versione', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('982', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('982', 'u', 'Affiliazione', 'Affiliazione', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('982', 'v', 'Numero del volume/designazione di sequenza', 'Numero del volume/designazione di sequenza', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'BKS', '', '', NULL),
		('983', '6', 'Collegamento', 'Collegamento', 0, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('983', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('983', 'a', 'Titolo uniforme', 'Titolo uniforme', 0, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('983', 'd', 'Data di firma del trattato', 'Data di firma del trattato', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('983', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('983', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('983', 'h', 'Supporto', 'Supporto', 0, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('983', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('983', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('983', 'm', 'Mezzo di esecuzione per la musica', 'Mezzo di esecuzione per la musica', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('983', 'n', 'Numero di parte/sezione dell\'opera', 'Numero di parte/sezione dell\'opera', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('983', 'o', 'Formulazione d\'arrangiamento per la musica', 'Formulazione d\'arrangiamento per la musica', 0, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('983', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('983', 'r', 'Tonalità (musica)', 'Tonalità (musica)', 0, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('983', 's', 'Versione', 'Versione', 0, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('983', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('983', 'v', 'Numero del volume/designazione di sequenza', 'Numero del volume/designazione di sequenza', 0, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('984', 'a', 'Numero idenficativo biblioteca proprietaria', 'Numero idenficativo biblioteca proprietaria', 0, 0, '', 9, '', '', '', NULL, 5, 'BKS', '', '', NULL),
		('984', 'b', 'Codici descrizione fisica', 'Codici descrizione fisica', 1, 0, '', 9, '', '', '', 0, 5, 'BKS', '', '', NULL),
		('984', 'c', 'Numero di chiamata', 'Numero di chiamata', 0, 0, '', 9, '', '', '', 0, 5, 'BKS', '', '', NULL),
		('984', 'd', 'Volume o altra numerazione', 'Volume o altra numerazione', 0, 0, '', 9, '', '', '', 0, 5, 'BKS', '', '', NULL),
		('984', 'e', 'Date', 'Date', 0, 0, '', 9, '', '', '', 0, 5, 'BKS', '', '', NULL),
		('984', 'f', 'Completeness note', 'Completeness note', 0, 0, '', 9, '', '', '', 0, 5, 'BKS', '', '', NULL),
		('984', 'g', 'Referral note', 'Referral note', 0, 0, '', 9, '', '', '', 0, 5, 'BKS', '', '', NULL),
		('984', 'h', 'Retention note', 'Retention note', 0, 0, '', 9, '', '', '', 0, 5, 'BKS', '', '', NULL),
		('987', 'a', 'Romanization/conversion identifier', 'Romanization/conversion identifier', 0, 0, '', 9, '', '', '', NULL, -6, 'BKS', '', '', NULL),
		('987', 'b', 'Agenzia che ha convertito, creato o rivisto', 'Agenzia che ha convertito, creato o rivisto', 1, 0, '', 9, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('987', 'c', 'Data della conversione o della revisione', 'Data della conversione o della revisione', 0, 0, '', 9, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('987', 'd', 'Codice dello status', 'Codice dello status', 0, 0, '', 9, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('987', 'e', 'Versione del programma usato per la conversione', 'Versione del programma usato per la conversione', 0, 0, '', 9, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('987', 'f', 'Nota', 'Nota', 0, 0, '', 9, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('990', 'a', 'Link information for 9XX fields', 'Link information for 9XX fields', 1, 0, '', 9, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('990', 'b', 'Link information for field corresponding to 9XX field', 'Link information for field corresponding to 9XX field', 1, 0, '', 9, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('995', '0', 'Ritiro della copia', 'Ritiro della copia', 0, 0, '', 9, '', '', '', 0, 5, 'BKS', '', '', NULL),
		('995', '1', 'Copia smarrita', 'Copia smarrita', 0, 0, '', 9, '', '', '', 0, 5, 'BKS', '', '', NULL),
		('995', '2', 'Codice di sistema (classificazione specifica o altro schema e edizione)', 'Codice di sistema (classificazione specifica o altro schema e edizione)', 0, 0, '', 9, '', '', '', NULL, 5, 'BKS', '', '', NULL),
		('995', '3', 'Restrizioni d\'uso', 'Restrizioni d\'uso', 0, 0, '', 9, '', '', '', 0, 5, 'BKS', '', '', NULL),
		('995', '4', 'Classificazione normalizzata Koha per l\'ordinamento', 'Classificazione normalizzata Koha per l\'ordinamento', 0, 0, '', 9, '', '', '', 0, 5, 'BKS', '', '', NULL),
		('995', '5', 'Qualificatore dell\'ubicazione', 'Qualificatore dell\'ubicazione', 1, 0, '', 9, '', '', '', NULL, 5, 'BKS', '', '', NULL),
		('995', '6', 'Numero della copia', 'Numero della copia', 0, 0, '', 9, '', '', '', NULL, 5, 'BKS', '', '', NULL),
		('995', '7', 'Uniform Resource Identifier', 'Uniform Resource Identifier', 1, 0, '', 9, '', '', '', 1, 5, 'BKS', '', '', NULL),
		('995', '8', 'Collezione Koha', 'Collezione Koha', 0, 0, '', 9, '', '', '', 0, 5, 'BKS', '', '', NULL),
		('995', '9', 'Numero interno di copia (Koha itemnumber, autogenerato)', 'Numero interno di copia (Koha itemnumber, autogenerato)', 0, 0, '', 9, '', '', '', 0, 5, 'BKS', '', '', NULL),
		('995', 'a', 'Bib. proprietaria della copia (testo libero)', 'Bib. proprietaria della copia (testo libero)', 0, 0, '', 9, '', '', '', 0, 5, 'BKS', '', '', NULL),
		('995', 'b', 'Bib. proprietaria della copia', 'Bib. proprietaria della copia', 0, 0, '', 9, '', '', '', 0, 5, 'BKS', '', '', NULL),
		('995', 'c', 'Bib. che possiede o presta (holding branch)', 'Bib. che possiede o presta (holding branch)', 0, 0, '', 9, '', '', '', 0, 5, 'BKS', '', '', NULL),
		('995', 'd', 'Bib. che possiede o presta (codice)', 'Bib. che possiede o presta (codice)', 0, 0, '', 9, '', '', '', 0, 5, 'BKS', '', '', NULL),
		('995', 'e', 'Dettaglio del genere', 'Dettaglio del genere', 0, 0, '', 9, '', '', '', 0, 5, 'BKS', '', '', NULL),
		('995', 'f', 'Codice a barre', 'Codice a barre', 0, 0, '', 9, '', '', '', 0, 5, 'BKS', '', '', NULL),
		('995', 'g', 'Prefisso del codice a barre', 'Prefisso del codice a barre', 0, 0, '', 9, '', '', '', 0, 5, 'BKS', '', '', NULL),
		('995', 'h', 'Incremento del codice a barre', 'Incremento del codice a barre', 0, 0, '', 9, '', '', '', 0, 5, 'BKS', '', '', NULL),
		('995', 'i', 'Suffisso del codice a barre', 'Suffisso del codice a barre', 0, 0, '', 9, '', '', '', 0, 5, 'BKS', '', '', NULL),
		('995', 'j', 'Sezione', 'Sezione', 0, 0, '', 9, '', '', '', 0, 5, 'BKS', '', '', NULL),
		('995', 'k', 'Collocazione', 'Collocazione', 0, 0, '', 9, '', '', '', 0, 5, 'BKS', '', '', NULL),
		('995', 'l', 'Numerazione (volume o altre parti)', 'Numerazione (volume o altre parti)', 0, 0, '', 9, '', '', '', 0, 5, 'BKS', '', '', NULL),
		('995', 'm', 'Data del prestito o deposito', 'Data del prestito o deposito', 0, 0, '', 9, '', '', '', 0, 5, 'BKS', '', '', NULL),
		('995', 'n', 'Data scadenza del prestito', 'Data scadenza del prestito', 0, 0, '', 9, '', '', '', 0, 5, 'BKS', '', '', NULL),
		('995', 'o', 'Tipo di circolazione (non a prestito)', 'Tipo di circolazione (non a prestito)', 1, 0, '', 9, '', '', '', 0, 5, 'BKS', '', '', NULL),
		('995', 'p', 'Periodico', 'Periodico', 0, 0, '', 9, '', '', '', 0, 5, 'BKS', '', '', NULL),
		('995', 'q', 'Pubblico destinato (età)', 'Pubblico destinato (età)', 0, 0, '', 9, '', '', '', 0, 5, 'BKS', '', '', NULL),
		('995', 'r', 'Tipologia della copia e del materiale', 'Tipologia della copia e del materiale', 0, 0, '', 9, '', '', '', 0, 5, 'BKS', '', '', NULL),
		('995', 's', 'Modalità d\'acquisto', 'Modalità d\'acquisto', 0, 0, '', 9, '', '', '', 0, 5, 'BKS', '', '', NULL),
		('995', 't', 'Genere', 'Genere', 0, 0, '', 9, '', '', '', 0, 5, 'BKS', '', '', NULL),
		('995', 'u', 'Nota della copia', 'Nota della copia', 0, 0, '', 9, '', '', '', 0, 5, 'BKS', '', '', NULL),
		('995', 'v', 'Numero periodico', 'Numero periodico', 0, 0, '', 9, '', '', '', 0, 5, 'BKS', '', '', NULL),
		('995', 'w', 'Codice dell\'ente destinatario', 'Codice dell\'ente destinatario', 0, 0, '', 9, '', '', '', 0, 5, 'BKS', '', '', NULL),
		('995', 'x', 'Ente destinatario, testo libero', 'Ente destinatario, testo libero', 0, 0, '', 9, '', '', '', 0, 5, 'BKS', '', '', NULL),
		('995', 'y', 'Codice dell\'ente destinatario superiore', 'Codice dell\'ente destinatario superiore', 0, 0, '', 9, '', '', '', 0, 5, 'BKS', '', '', NULL),
		('995', 'z', 'Ente destinatario superiore, testo libero', 'Ente destinatario superiore, testo libero', 0, 0, '', 9, '', '', '', 0, 5, 'BKS', '', '', NULL),
		('998', 'b', 'Operator\'s initials, OID (RLIN)', 'Operator\'s initials, OID (RLIN)', 0, 0, '', 9, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('998', 'c', 'Cataloger\'s initials, CIN (RLIN)', 'Cataloger\'s initials, CIN (RLIN)', 0, 0, '', 9, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('998', 'd', 'First date, FD (RLIN)', 'First date, FD (RLIN)', 0, 0, '', 9, '', '', '', 0, -6, 'BKS', '', '', NULL),
		('998', 'i', 'RINS (RLIN)', 'RINS (RLIN)', 0, 0, '', 9, '', '', '', 0, 5, 'BKS', '', '', NULL),
		('998', 'l', 'LI (RLIN)', 'LI (RLIN)', 0, 0, '', 9, '', '', '', 0, 5, 'BKS', '', '', NULL),
		('998', 'n', 'NUC (RLIN)', 'NUC (RLIN)', 0, 0, '', 9, '', '', '', 0, 5, 'BKS', '', '', NULL),
		('998', 'p', 'PROC (RLIN)', 'PROC (RLIN)', 0, 0, '', 9, '', '', '', 0, 5, 'BKS', '', '', NULL),
		('998', 's', 'CC (RLIN)', 'CC (RLIN)', 0, 0, '', 9, '', '', '', 0, 5, 'BKS', '', '', NULL),
		('998', 't', 'RTYP (RLIN)', 'RTYP (RLIN)', 0, 0, '', 9, '', '', '', 0, 5, 'BKS', '', '', NULL),
		('998', 'w', 'PLINK (RLIN)', 'PLINK (RLIN)', 0, 0, '', 9, '', '', '', 0, 5, 'BKS', '', '', NULL);


-- *******************************************************



-- ****************************************************************************
-- SIMPLE COMPUTER FILES KOHA RECORD AND HOLDINGS MANAGEMENT FIELDS/SUBFIELDS.
-- ****************************************************************************



-- Current Record ID Field/Subfields


INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES
		('999', 'Sys Number locale (Koha)', 'Sys Number locale (Koha)', 1, 0, '', 'CF');

INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES
		('999', 'a', 'Item type [OBSOLETE]', 'Item type [OBSOLETE]', 0, 0, NULL, -1, NULL, NULL, '', NULL, -5, 'CF', '', '', NULL),
		('999', 'b', 'Koha Dewey Subclass [OBSOLETE]', 'Koha Dewey Subclass [OBSOLETE]', 0, 0, NULL, 0, NULL, NULL, '', NULL, -5, 'CF', '', '', NULL),
		('999', 'c', 'Koha biblionumber', 'Koha biblionumber', 0, 0, 'biblio.biblionumber', -1, NULL, NULL, '', NULL, -5, 'CF', '', '', NULL),
		('999', 'd', 'Koha biblioitemnumber', 'Koha biblioitemnumber', 0, 0, 'biblioitems.biblioitemnumber', -1, NULL, NULL, '', NULL, -5, 'CF', '', '', NULL);


-- ******************************************************


-- Plugins which need to be written for primary biblioitems Field/Subfields.


--      ('942', '2', 'Source of classification or shelving scheme', 'Source of classification or shelving scheme', 0, 0, 'biblioitems.cn_source', 9, '', '', 'marc21_classcodes.pl', NULL, 0, 'CF', '', '', NULL),
--      ('942', 'h', 'Classification part', 'Classification part', 0, 0, 'biblioitems.cn_class', 9, '', '', 'marc21_callnumber.pl', NULL, 0, 'CF', '', '', NULL),



-- Current primary biblioitems Field/Subfields


INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES
		('942', 'Dati aggiuntivi (Koha)', 'Dati aggiuntivi (Koha)', 0, 0, '', 'CF');

INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES
		('942', '0', 'Numero prestiti (tutte le copie)', 'Numero prestiti (tutte le copie)', 0, 0, 'biblioitems.totalissues', 9, '', '', '', NULL, -5, 'CF', '', '', NULL),
		('942', '2', 'Fonte della classificazione o dello schema di collocazione (segnatura)', 'Fonte della classificazione o dello schema di collocazione (segnatura)', 0, 0, 'biblioitems.cn_source', 9, 'cn_source', '', '', NULL, 0, 'CF', '', '', NULL),
		('942', '6', 'Class. Normalizzata per ordinamento', 'Class. Normalizzata per ordinamento', 0, 0, 'biblioitems.cn_sort', -1, '', '', '', 0, 7, 'CF', '', '', NULL),
		('942', 'a', 'Institution code [OBSOLETE]', 'Institution code [OBSOLETE]', 0, 0, '', 9, '', '', '', NULL, -5, 'CF', '', '', NULL),
		('942', 'c', 'Tipo copia default (Koha)', 'Tipo copia default (Koha)', 0, 1, 'biblioitems.itemtype', 9, 'itemtypes', '', '', NULL, 0, 'CF', '', '', NULL),
		('942', 'e', 'Edizione', 'Edizione', 0, 0, NULL, 9, '', '', '', NULL, 0, 'CF', '', '', NULL),
		('942', 'h', 'Parte della classificazione', 'Parte della classificazione', 0, 0, 'biblioitems.cn_class', 9, '', '', '', NULL, 0, 'CF', '', '', NULL),
		('942', 'i', 'Parte dell\'item', 'Parte dell\'item', 1, 0, 'biblioitems.cn_item', 9, '', '', '', NULL, 9, 'CF', '', '', NULL),
		('942', 'k', 'Prefisso del numero di chiamata (collocazione)', 'Prefisso del numero di chiamata (collocazione)', 0, 0, 'biblioitems.cn_prefix', 9, '', '', '', NULL, 0, 'CF', '', '', NULL),
		('942', 'm', 'Suffisso del numero di chiamata (collocazione)', 'Suffisso del numero di chiamata (collocazione)', 0, 0, 'biblioitems.cn_suffix', 9, '', '', '', 0, 0, 'CF', '', '', NULL),
		('942', 'n', 'Nasconto in Opac', 'Nasconto in Opac', 0, 0, NULL, 9, '', '', '', 0, 0, 'CF', '', '', NULL),
		('942', 's', 'Flag seriale', 'Flag seriale', 0, 0, 'biblio.serial', 9, '', '', '', 0, -5, 'CF', '', '', NULL);


-- ******************************************************


-- Plugins which need to be written for items Field/Subfields


--      ('952', '2', 'Source of classification or shelving scheme', 'Source of classification or shelving scheme', 0, 0, 'items.cn_source', 10, '', '', 'marc21_classcodes.pl', NULL, 0, 'CF', '', '', NULL),
--      ('952', 'o', 'Full call number', 'Full call number', 0, 0, 'items.itemcallnumber', 10, '', 'marc21_itemcallnumber.pl', NULL, 0, 0, 'CF', '', '', NULL),



-- Current items Field/Subfields


INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES
		('952', 'Dati di copia (Koha)', 'Dati di copia (Koha)', 1, 0, '', 'CF');

INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES
		('952', '0', 'Ritirato (status)', 'Ritirato (status)', 0, 0, 'items.withdrawn', 10, 'WITHDRAWN', '', '', 0, 0, 'CF', '', '', NULL),
		('952', '1', 'Perso (status)', 'Perso (status)', 0, 0, 'items.itemlost', 10, 'LOST', '', '', 0, 0, 'CF', '', '', NULL),
		('952', '2', 'Fonte della classificazione o dello schema di collocazione (segnatura)', 'Fonte della classificazione o dello schema di collocazione (segnatura)', 0, 0, 'items.cn_source', 10, 'cn_source', '', '', NULL, 0, 'CF', '', '', NULL),
		('952', '3', 'Materiali specifici (rilegati o simili)', 'Materiali specifici (rilegati o simili)', 0, 0, 'items.materials', 10, '', '', '', NULL, -1, 'CF', '', '', NULL),
		('952', '4', 'Danneggiato (status)', 'Danneggiato (status)', 0, 0, 'items.damaged', 10, 'DAMAGED', '', '', NULL, 0, 'CF', '', '', NULL),
		('952', '5', 'Use restrictions', 'Use restrictions', 0, 0, 'items.restricted', 10, 'RESTRICTED', '', '', 0, 0, 'CF', '', '', NULL),
		('952', '6', 'Class. Normalizzata per ordinamento', 'Class. Normalizzata per ordinamento', 0, 0, 'items.cn_sort', -1, '', '', '', 0, 7, 'CF', '', '', NULL),
		('952', '7', 'Non per il presito', 'Non per il presito', 0, 0, 'items.notforloan', 10, 'NOT_LOAN', '', '', 0, 0, 'CF', '', '', NULL),
		('952', '8', 'Codice collezione', 'Codice collezione', 0, 0, 'items.ccode', 10, 'CCODE', '', '', 0, 0, 'CF', '', '', NULL),
		('952', '9', 'Numero di copia (ID autogenerato)', 'Numero di copia (ID autogenerato)', 0, 0, 'items.itemnumber', -1, '', '', '', 0, 7, 'CF', '', '', NULL),
		('952', 'a', 'Biblioteca proprietaria', 'Biblioteca proprietaria', 0, 0, 'items.homebranch', 10, 'branches', '', '', 0, 0, 'CF', '', '', NULL),
		('952', 'b', 'Biblioteca in cui si trova', 'Biblioteca in cui si trova', 0, 0, 'items.holdingbranch', 10, 'branches', '', '', 0, 0, 'CF', '', '', NULL),
		('952', 'c', 'Localizzazione a scaffale', 'Localizzazione a scaffale', 0, 0, 'items.location', 10, 'LOC', '', '', 0, 0, 'CF', '', '', NULL),
		('952', 'd', 'Data d\'acquisizione', 'Data d\'acquisizione', 0, 0, 'items.dateaccessioned', 10, '', '', 'dateaccessioned.pl', 0, 0, 'CF', '', '', NULL),
		('952', 'e', 'Fonte d\'acquisto', 'Fonte d\'acquisto', 0, 0, 'items.booksellerid', 10, '', '', '', 0, 0, 'CF', '', '', NULL),
		('952', 'f', 'Qualificatore di localizzazione codificato', 'Qualificatore di localizzazione codificato', 0, 0, 'items.coded_location_qualifier', 10, '', '', '', NULL, 0, 'CF', '', '', NULL),
		('952', 'g', 'Costo, prezzo di acquisto', 'Costo, prezzo di acquisto', 0, 0, 'items.price', 10, '', '', '', 0, 0, 'CF', '', '', NULL),
		('952', 'h', 'Enumerazione seriale / cronologia', 'Enumerazione seriale / cronologia', 0, 0, 'items.enumchron', 10, '', '', '', 0, 0, 'CF', '', '', NULL),
		('952', 'i', 'Numero di inventario', 'Numero di inventario', 0, 0, 'items.stocknumber', 10, '', '', '', 0, 0, 'CF', '', '', NULL),
		('952', 'j', 'Collocazione (segnatura)', 'Collocazione (segnatura)', 0, 0, 'items.stack', 10, 'STACK', '', '', NULL, -1, 'CF', '', '', NULL),
		('952', 'l', 'Totale prestiti', 'Totale prestiti', 0, 0, 'items.issues', 10, '', '', '', NULL, -5, 'CF', '', '', NULL),
		('952', 'm', 'Totale rinnovi', 'Totale rinnovi', 0, 0, 'items.renewals', 10, '', '', '', NULL, -5, 'CF', '', '', NULL),
		('952', 'n', 'Totale prenotazioni', 'Totale prenotazioni', 0, 0, 'items.reserves', 10, '', '', '', NULL, -5, 'CF', '', '', NULL),
		('952', 'o', 'Collocazione', 'Collocazione', 0, 0, 'items.itemcallnumber', 10, '', '', NULL, 0, 0, 'CF', '', '', NULL),
		('952', 'p', 'Codice a barre', 'Codice a barre', 0, 0, 'items.barcode', 10, '', '', 'barcode.pl', 0, 0, 'CF', '', '', NULL),
		('952', 'q', 'Prestito', 'Prestito', 0, 0, 'items.onloan', 10, '', '', '', NULL, -5, 'CF', '', '', NULL),
		('952', 'r', 'Data ultima operazione', 'Data ultima operazione', 0, 0, 'items.datelastseen', 10, '', '', '', NULL, -5, 'CF', '', '', NULL),
		('952', 's', 'Data ultimo prestito', 'Data ultimo prestito', 0, 0, 'items.datelastborrowed', 10, '', '', '', NULL, -5, 'CF', '', '', NULL),
		('952', 't', 'Numero di copia', 'Numero di copia', 0, 0, 'items.copynumber', 10, '', '', '', NULL, 0, 'CF', '', '', NULL),
		('952', 'u', 'URI (Uniform Resource Identifier)', 'URI (Uniform Resource Identifier)', 0, 0, 'items.uri', 10, '', '', '', 1, 0, 'CF', '', '', NULL),
		('952', 'v', 'Costo, costo di riacquisto', 'Costo, costo di riacquisto', 0, 0, 'items.replacementprice', 10, '', '', '', 0, 0, 'CF', '', '', NULL),
		('952', 'w', 'Prezzo in vigore dal', 'Prezzo in vigore dal', 0, 0, 'items.replacementpricedate', 10, '', '', '', 0, 0, 'CF', '', '', NULL),
		('952', 'x', 'Nota non pubblica', 'Nota non pubblica', 0, 0, '', 10, '', '', '', NULL, 1, 'CF', '', '', NULL),
		('952', 'y', 'Tipo copia default (Koha)', 'Tipo copia default (Koha)', 0, 0, 'items.itype', 10, 'itemtypes', '', '', NULL, 0, 'CF', '', '', NULL),
		('952', 'z', 'Nota pubblica', 'Nota pubblica', 0, 0, 'items.itemnotes', 10, '', '', '', NULL, 0, 'CF', '', '', NULL);



-- *******************************************************



-- ******************************************************************
-- SIMPLE COMPUTER FILES MARC 21 FIELDS/SUBFIELDS AND COMMMONLY USED
-- EXTENSIONS.
-- ******************************************************************



INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES
		('000', 'LEADER', 'LEADER', 0, 1, '', 'CF'),
		('001', 'Numero di controllo', 'Numero di controllo', 0, 0, '', 'CF'),
		('003', 'Identificatore del numero di controllo', 'Identificatore del numero di controllo', 0, 0, '', 'CF'),
		('005', 'Data e orario dell\'ultima transazione', 'Data e orario dell\'ultima transazione', 0, 0, '', 'CF'),
		('006', 'Elementi di lunghezza fissa--Caratteristiche del materiale allegato--Informazione generale', 'Elementi di lunghezza fissa--Caratteristiche del materiale allegato--Informazione generale', 1, 0, '', 'CF'),
		('007', 'Campo fisso per la descrizione fisica--informazione generale', 'Campo fisso per la descrizione fisica--informazione generale', 1, 0, '', 'CF'),
		('008', 'Elementi di lunghezza fissa--Informazione generale', 'Elementi di lunghezza fissa--Informazione generale', 0, 1, '', 'CF'),
		('009', 'PHYSICAL DESCRIPTION FIXED-FIELD FOR ARCHIVAL COLLECTION (VM) [OBSOLETE]', 'PHYSICAL DESCRIPTION FIXED-FIELD FOR ARCHIVAL COLLECTION (VM) [OBSOLETE]', 1, 0, '', 'CF'),
		('010', 'Numero di controllo della Library of Congress', 'Numero di controllo della Library of Congress', 0, 0, '', 'CF'),
		('011', 'LINKING LIBRARY OF CONGRESS CONTROL NUMBER [OBSOLETE]', 'LINKING LIBRARY OF CONGRESS CONTROL NUMBER [OBSOLETE]', 0, 0, '', 'CF'),
		('013', 'Informazioni impiegate per il controllo di brevetti', 'Informazioni impiegate per il controllo di brevetti', 1, 0, '', 'CF'),
		('015', 'Numero della bibliografia nazionale', 'Numero della bibliografia nazionale', 1, 0, '', 'CF'),
		('016', 'Numero di controllo dell\'agenzia bibliografica nazionale', 'Numero di controllo dell\'agenzia bibliografica nazionale', 1, 0, '', 'CF'),
		('017', 'Numero di copyright o di deposito legale', 'Numero di copyright o di deposito legale', 1, 0, '', 'CF'),
		('018', 'Codice di tassa sul copyright dell’articolo', 'Codice di tassa sul copyright dell’articolo', 0, 0, '', 'CF'),
		('020', 'ISBN (International Standard Book Number)', 'ISBN (International Standard Book Number)', 1, 0, NULL, 'CF'),
		('022', 'ISSN (International Standard Serial Number)', 'ISSN (International Standard Serial Number)', 1, 0, NULL, 'CF'),
		('023', 'STANDARD FILM NUMBER (VM) [DELETED]', 'STANDARD FILM NUMBER (VM) [DELETED]', 1, 0, NULL, 'CF'),
		('024', 'Altri identificatori standard', 'Altri identificatori standard', 1, 0, NULL, 'CF'),
		('025', 'Numero di acquisito estero', 'Numero di acquisito estero', 1, 0, '', 'CF'),
		('026', 'Identificatore dell’impronta', 'Identificatore dell’impronta', 1, 0, '', 'CF'),
		('027', 'Standard Technical Report Number', 'Standard Technical Report Number', 1, 0, '', 'CF'),
		('028', 'Numero dell’editore', 'Numero dell’editore', 1, 0, NULL, 'CF'),
		('029', 'OTHER SYSTEM CONTROL NUMBER (OCLC)', 'OTHER SYSTEM CONTROL NUMBER (OCLC)', 1, 0, '', 'CF'),
		('030', 'Designazione CODEN', 'Designazione CODEN', 1, 0, '', 'CF'),
		('031', 'Informazione sugli incipit musicali', 'Informazione sugli incipit musicali', 1, 0, '', 'CF'),
		('032', 'Numero di registrazione di posta', 'Numero di registrazione di posta', 1, 0, '', 'CF'),
		('033', 'Data/ora e luogo di un evento', 'Data/ora e luogo di un evento', 1, 0, '', 'CF'),
		('034', 'Dati matematici codificati per il materiale cartografico', 'Dati matematici codificati per il materiale cartografico', 1, 0, '', 'CF'),
		('035', 'Numero di controllo del sistema', 'Numero di controllo del sistema', 1, 0, NULL, 'CF'),
		('036', 'Numero dello studio originale del computer data file', 'Numero dello studio originale del computer data file', 0, 0, '', 'CF'),
		('037', 'Fonte d’acquisto', 'Fonte d’acquisto', 1, 0, NULL, 'CF'),
		('038', 'Licenza d’uso del contenuto della registrazione', 'Licenza d’uso del contenuto della registrazione', 0, 0, '', 'CF'),
		('039', 'LEVEL OF BIBLIOGRAPHIC CONTROL AND CODING DETAIL [OBSOLETE]', 'LEVEL OF BIBLIOGRAPHIC CONTROL AND CODING DETAIL [OBSOLETE]', 0, 0, '', 'CF'),
		('040', 'Fonte della catalogazione', 'Fonte della catalogazione', 0, 0, NULL, 'CF'),
		('041', 'Codice di lingua', 'Codice di lingua', 1, 0, '', 'CF'),
		('042', 'Codice d\'autenticazione', 'Codice d\'autenticazione', 0, 0, '', 'CF'),
		('043', 'Codice dell\'area geografica', 'Codice dell\'area geografica', 0, 0, NULL, 'CF'),
		('044', 'Codice del paese dell’ente che pubblica/produce l’item', 'Codice del paese dell’ente che pubblica/produce l’item', 0, 0, '', 'CF'),
		('045', 'Periodo di tempo del contenuto', 'Periodo di tempo del contenuto', 0, 0, '', 'CF'),
		('046', 'Codice delle date speciali', 'Codice delle date speciali', 1, 0, '', 'CF'),
		('047', 'Codice di forma della composizione musicale', 'Codice di forma della composizione musicale', 1, 0, '', 'CF'),
		('048', 'Codice del numero degli strumenti musicali o delle voci', 'Codice del numero degli strumenti musicali o delle voci', 1, 0, '', 'CF'),
		('049', 'LOCAL HOLDINGS (OCLC)', 'LOCAL HOLDINGS (OCLC)', 0, 0, '', 'CF'),
		('050', 'Numero di chiamata (collocazione) della Library of Congress', 'Numero di chiamata (collocazione) della Library of Congress', 1, 0, NULL, 'CF'),
		('051', 'Formulazione dell’esemplare, emissione, estratto, della Library of Congress', 'Formulazione dell’esemplare, emissione, estratto, della Library of Congress', 1, 0, NULL, 'CF'),
		('052', 'Classificazione geografica', 'Classificazione geografica', 1, 0, NULL, 'CF'),
		('055', 'Numero di classificazione assegnati in Canada', 'Numero di classificazione assegnati in Canada', 1, 0, NULL, 'CF'),
		('060', 'Numero di chiamata (collocazione) della National Library of Medicine', 'Numero di chiamata (collocazione) della National Library of Medicine', 1, 0, NULL, 'CF'),
		('061', 'Formulazione dell’esemplare della National Library of Medicine', 'Formulazione dell’esemplare della National Library of Medicine', 1, 0, NULL, 'CF'),
		('066', 'Set di caratteri presenti', 'Set di caratteri presenti', 0, 0, NULL, 'CF'),
		('070', 'Numero di chiamata (collocazione) della National Agricultural Library', 'Numero di chiamata (collocazione) della National Agricultural Library', 1, 0, NULL, 'CF'),
		('071', 'Formulazione dell’esemplare della National Agricultural Library', 'Formulazione dell’esemplare della National Agricultural Library', 1, 0, NULL, 'CF'),
		('072', 'Codice di categoria di soggetto', 'Codice di categoria di soggetto', 1, 0, NULL, 'CF'),
		('074', 'Numero GPO dell’item', 'Numero GPO dell’item', 1, 0, NULL, 'CF'),
		('080', 'Numero di classificazione decimale universale', 'Numero di classificazione decimale universale', 1, 0, NULL, 'CF'),
		('082', 'Numero di classificazione Decimale Dewey', 'Numero di classificazione Decimale Dewey', 1, 0, NULL, 'CF'),
		('084', 'Numero d’altra classificazione', 'Numero d’altra classificazione', 1, 0, NULL, 'CF'),
		('086', 'Numero di classificazione di documento governativo', 'Numero di classificazione di documento governativo', 1, 0, NULL, 'CF'),
		('087', 'REPORT NUMBER [OBSOLETE, CAN/MARC]', 'REPORT NUMBER [OBSOLETE, CAN/MARC]', 1, 0, NULL, 'CF'),
		('088', 'Numero di rapporto', 'Numero di rapporto', 1, 0, NULL, 'CF'),
		('090', 'LOCALLY ASSIGNED LC-TYPE CALL NUMBER (OCLC); LOCAL CALL NUMBER (RLIN)', 'LOCALLY ASSIGNED LC-TYPE CALL NUMBER (OCLC); LOCAL CALL NUMBER (RLIN)', 1, 0, '', 'CF'),
		('091', 'MICROFILM SHELF LOCATION (AM) [OBSOLETE]', 'MICROFILM SHELF LOCATION (AM) [OBSOLETE]', 0, 0, '', 'CF'),
		('092', 'LOCALLY ASSIGNED DEWEY CALL NUMBER (OCLC)', 'LOCALLY ASSIGNED DEWEY CALL NUMBER (OCLC)', 1, 0, '', 'CF'),
		('096', 'LOCALLY ASSIGNED NLM-TYPE CALL NUMBER (OCLC)', 'LOCALLY ASSIGNED NLM-TYPE CALL NUMBER (OCLC)', 1, 0, '', 'CF'),
		('098', 'OTHER CLASSIFICATION SCHEMES (OCLC)', 'OTHER CLASSIFICATION SCHEMES (OCLC)', 1, 0, '', 'CF'),
		('099', 'LOCAL FREE-TEXT CALL NUMBER (OCLC)', 'LOCAL FREE-TEXT CALL NUMBER (OCLC)', 1, 0, '', 'CF'),
		('100', 'Accesso principale -- nome di persona', 'Accesso principale -- nome di persona', 0, 0, NULL, 'CF'),
		('110', 'Accesso principale--nome di ente', 'Accesso principale--nome di ente', 0, 0, NULL, 'CF'),
		('111', 'Accesso principale--nome di convegno', 'Accesso principale--nome di convegno', 0, 0, NULL, 'CF'),
		('130', 'Accesso principale--titolo uniforme', 'Accesso principale--titolo uniforme', 0, 0, NULL, 'CF'),
		('210', 'Titolo abbreviato', 'Titolo abbreviato', 1, 0, NULL, 'CF'),
		('211', 'ACRONYM OR SHORTENED TITLE [OBSOLETE]', 'ACRONYM OR SHORTENED TITLE [OBSOLETE]', 1, 0, NULL, 'CF'),
		('212', 'VARIANT ACCESS TITLE [OBSOLETE]', 'VARIANT ACCESS TITLE [OBSOLETE]', 1, 0, NULL, 'CF'),
		('214', 'AUGMENTED TITLE [OBSOLETE]', 'AUGMENTED TITLE [OBSOLETE]', 1, 0, NULL, 'CF'),
		('222', 'Titolo chiave', 'Titolo chiave', 1, 0, NULL, 'CF'),
		('240', 'Titolo uniforme', 'Titolo uniforme', 0, 0, 'Unititle', 'CF'),
		('241', 'ROMANIZED TITLE (BK AM CF MP MU VM) [OBSOLETE]', 'ROMANIZED TITLE (BK AM CF MP MU VM) [OBSOLETE]', 0, 0, '', 'CF'),
		('242', 'Traduzione del titolo dell’agenzia di catalogazione', 'Traduzione del titolo dell’agenzia di catalogazione', 1, 0, NULL, 'CF'),
		('243', 'Titolo uniforme collettivo', 'Titolo uniforme collettivo', 0, 0, '', 'CF'),
		('245', 'Formulazione del titolo', 'Formulazione del titolo', 0, 1, '', 'CF'),
		('246', 'Varianti del titolo', 'Varianti del titolo', 1, 0, NULL, 'CF'),
		('247', 'Titolo precedente', 'Titolo precedente', 1, 0, NULL, 'CF'),
		('250', 'Formulazione di edizione', 'Formulazione di edizione', 0, 0, NULL, 'CF'),
		('254', 'Formulazione della presentazione musicale', 'Formulazione della presentazione musicale', 0, 0, NULL, 'CF'),
		('255', 'Dati matematici del materiale cartografico', 'Dati matematici del materiale cartografico', 1, 0, NULL, 'CF'),
		('256', 'Caratteristiche del computer file', 'Caratteristiche del computer file', 0, 0, NULL, 'CF'),
		('257', 'Paese dell’ente produttore dei film d’archivio', 'Paese dell’ente produttore dei film d’archivio', 0, 0, NULL, 'CF'),
		('258', 'Dati dell’emissione filatelica', 'Dati dell’emissione filatelica', 1, 0, NULL, 'CF'),
		('260', 'Pubblicazione, distribuzione, ecc. (stampa)', 'Pubblicazione, distribuzione, ecc. (stampa)', 1, 0, NULL, 'CF'),
		('261', 'IMPRINT STATEMENT FOR FILMS (Pre-AACR 1 Revised) [OBSOLETE, CAN/MARC], [LOCAL, USA]', 'IMPRINT STATEMENT FOR FILMS (Pre-AACR 1 Revised) [OBSOLETE, CAN/MARC], [LOCAL, USA]', 0, 0, NULL, 'CF'),
		('262', 'IMPRINT STATEMENT FOR SOUND RECORDINGS (Pre-AACR 2) [LOCAL, USA]', 'IMPRINT STATEMENT FOR SOUND RECORDINGS (Pre-AACR 2) [LOCAL, USA]', 0, 0, NULL, 'CF'),
		('263', 'Data di pubblicazione prevista', 'Data di pubblicazione prevista', 0, 0, NULL, 'CF'),
		('265', 'SOURCE FOR ACQUISITION/SUBSCRIPTION ADDRESS [OBSOLETE]', 'SOURCE FOR ACQUISITION/SUBSCRIPTION ADDRESS [OBSOLETE]', 0, 0, NULL, 'CF'),
		('270', 'Indirizzo', 'Indirizzo', 1, 0, NULL, 'CF'),
		('300', 'Descrizione fisica', 'Descrizione fisica', 1, 1, NULL, 'CF'),
		('301', 'PHYSICAL DESCRIPTION FOR FILMS (PRE-AACR 2) (VM) [OBSOLETE, USMARC]', 'PHYSICAL DESCRIPTION FOR FILMS (PRE-AACR 2) (VM) [OBSOLETE, USMARC]', 0, 0, NULL, 'CF'),
		('302', 'PAGE OR ITEM COUNT (BK AM) [OBSOLETE]', 'PAGE OR ITEM COUNT (BK AM) [OBSOLETE]', 0, 0, NULL, 'CF'),
		('303', 'UNIT COUNT (AM) [OBSOLETE, USMARC]', 'UNIT COUNT (AM) [OBSOLETE, USMARC]', 0, 0, NULL, 'CF'),
		('304', 'LINEAR FOOTAGE (AM) [OBSOLETE, USMARC]', 'LINEAR FOOTAGE (AM) [OBSOLETE, USMARC]', 0, 0, NULL, 'CF'),
		('305', 'PHYSICAL DESCRIPTION FOR SOUND RECORDINGS (Pre-AACR 2) (MU) [OBSOLETE]', 'PHYSICAL DESCRIPTION FOR SOUND RECORDINGS (Pre-AACR 2) (MU) [OBSOLETE]', 0, 0, NULL, 'CF'),
		('306', 'Durata di riproduzione', 'Durata di riproduzione', 0, 0, NULL, 'CF'),
		('307', 'Disponibilità oraria, ecc.', 'Disponibilità oraria, ecc.', 1, 0, NULL, 'CF'),
		('308', 'PHYSICAL DESCRIPTION FOR FILMS (ARCHIVAL) (VM) [OBSOLETE]', 'PHYSICAL DESCRIPTION FOR FILMS (ARCHIVAL) (VM) [OBSOLETE]', 1, 0, NULL, 'CF'),
		('310', 'Periodicità corrente della pubblicazione', 'Periodicità corrente della pubblicazione', 0, 0, NULL, 'CF'),
		('315', 'FREQUENCY (CF MP) [OBSOLETE]', 'FREQUENCY (CF MP) [OBSOLETE]', 0, 0, NULL, 'CF'),
		('321', 'Periodicità precedente della pubblicazione', 'Periodicità precedente della pubblicazione', 1, 0, NULL, 'CF'),
		('340', 'Supporto fisico', 'Supporto fisico', 1, 0, NULL, 'CF'),
		('342', 'Dati di riferimento geospaziale', 'Dati di riferimento geospaziale', 1, 0, NULL, 'CF'),
		('343', 'Dati di coordinate piane', 'Dati di coordinate piane', 1, 0, NULL, 'CF'),
		('350', 'PRICE (NR) (BK AM CF MU VM SE) [OBSOLETE]', 'PRICE (NR) (BK AM CF MU VM SE) [OBSOLETE]', 1, 0, NULL, 'CF'),
		('351', 'Organizzazione e l’ordinamento dei materiali', 'Organizzazione e l’ordinamento dei materiali', 1, 0, NULL, 'CF'),
		('352', 'Rappresentazione grafica digitale', 'Rappresentazione grafica digitale', 1, 0, NULL, 'CF'),
		('355', 'Controllo della classificazione di sicurezza', 'Controllo della classificazione di sicurezza', 1, 0, NULL, 'CF'),
		('357', 'Controllo del creatore sulla diffusione', 'Controllo del creatore sulla diffusione', 0, 0, NULL, 'CF'),
		('359', 'RENTAL PRICE (VM) [OBSOLETE]', 'RENTAL PRICE (VM) [OBSOLETE]', 0, 0, NULL, 'CF'),
		('362', 'Date della pubblicazione e/o designazione sequenziale', 'Date della pubblicazione e/o designazione sequenziale', 1, 0, NULL, 'CF'),
		('365', 'Prezzo commerciale', 'Prezzo commerciale', 1, 0, NULL, 'CF'),
		('366', 'Informazione sulla disponibilità editoriale', 'Informazione sulla disponibilità editoriale', 1, 0, NULL, 'CF'),
		('400', 'SERIES STATEMENT/ADDED ENTRY--PERSONAL NAME [OBSOLETE, CAN/MARC], [LOCAL, USA]', 'SERIES STATEMENT/ADDED ENTRY--PERSONAL NAME [OBSOLETE, CAN/MARC], [LOCAL, USA]', 1, 0, NULL, 'CF'),
		('410', 'SERIES STATEMENT/ADDED ENTRY--CORPORATE NAME [OBSOLETE, CAN/MARC], [LOCAL, USA]', 'SERIES STATEMENT/ADDED ENTRY--CORPORATE NAME [OBSOLETE, CAN/MARC], [LOCAL, USA]', 1, 0, NULL, 'CF'),
		('411', 'SERIES STATEMENT/ADDED ENTRY--MEETING NAME [OBSOLETE, CAN/MARC], [LOCAL, USA]', 'SERIES STATEMENT/ADDED ENTRY--MEETING NAME [OBSOLETE, CAN/MARC], [LOCAL, USA]', 1, 0, NULL, 'CF'),
		('440', 'Formulazione della serie/accesso aggiunto--titolo', 'Formulazione della serie/accesso aggiunto--titolo', 1, 0, NULL, 'CF'),
		('490', 'Formulazione della serie', 'Formulazione della serie', 1, 0, '', 'CF'),
		('500', 'Nota generale', 'Nota generale', 1, 0, NULL, 'CF'),
		('501', 'Nota  Pubblicato con', 'Nota  Pubblicato con', 1, 0, NULL, 'CF'),
		('502', 'Nota di dissertazione', 'Nota di dissertazione', 1, 0, NULL, 'CF'),
		('503', 'BIBLIOGRAPHIC HISTORY NOTE (BK CF MU) [OBSOLETE]', 'BIBLIOGRAPHIC HISTORY NOTE (BK CF MU) [OBSOLETE]', 1, 0, NULL, 'CF'),
		('504', 'Nota di bibliografia', 'Nota di bibliografia', 1, 0, NULL, 'CF'),
		('505', 'Nota formattata di contenuto', 'Nota formattata di contenuto', 1, 0, NULL, 'CF'),
		('506', 'Nota sulle restrizioni all\'accesso', 'Nota sulle restrizioni all\'accesso', 1, 0, NULL, 'CF'),
		('507', 'Nota di scala per materiale grafico', 'Nota di scala per materiale grafico', 0, 0, NULL, 'CF'),
		('508', 'Nota sui crediti di creazione/produzione', 'Nota sui crediti di creazione/produzione', 1, 0, NULL, 'CF'),
		('509', 'INFORMAL NOTES (RLIN)', 'INFORMAL NOTES (RLIN)', 0, 0, NULL, 'CF'),
		('510', 'Nota di citazione/riferimenti esterni', 'Nota di citazione/riferimenti esterni', 1, 0, NULL, 'CF'),
		('511', 'Nota sui partecipanti o interpreti', 'Nota sui partecipanti o interpreti', 1, 0, NULL, 'CF'),
		('512', 'EARLIER OR LATER VOLUMES SEPARATELY CATALOGED NOTE (SE) [OBSOLETE]', 'EARLIER OR LATER VOLUMES SEPARATELY CATALOGED NOTE (SE) [OBSOLETE]', 1, 0, NULL, 'CF'),
		('513', 'Nota di tipo di rapporto e periodo coperto', 'Nota di tipo di rapporto e periodo coperto', 1, 0, NULL, 'CF'),
		('514', 'Nota sulla qualità dei dati', 'Nota sulla qualità dei dati', 0, 0, NULL, 'CF'),
		('515', 'Nota su particolarità della numerazione', 'Nota su particolarità della numerazione', 1, 0, NULL, 'CF'),
		('516', 'Nota sul tipo di computer file o di file di dati', 'Nota sul tipo di computer file o di file di dati', 1, 0, NULL, 'CF'),
		('517', 'CATEGORIES OF FILMS NOTE (ARCHIVAL) (VM) [OBSOLETE]', 'CATEGORIES OF FILMS NOTE (ARCHIVAL) (VM) [OBSOLETE]', 0, 0, NULL, 'CF'),
		('518', 'Nota sulla data/ora e luogo di un evento', 'Nota sulla data/ora e luogo di un evento', 1, 0, NULL, 'CF'),
		('520', 'Riassunto, ecc.', 'Riassunto, ecc.', 1, 0, NULL, 'CF'),
		('521', 'Nota sui destinatari', 'Nota sui destinatari', 1, 0, NULL, 'CF'),
		('522', 'Nota di copertura geografica', 'Nota di copertura geografica', 1, 0, NULL, 'CF'),
		('523', 'TIME PERIOD OF CONTENT NOTE (CF) [OBSOLETE]', 'TIME PERIOD OF CONTENT NOTE (CF) [OBSOLETE]', 0, 0, NULL, 'CF'),
		('524', 'Nota sulla citazione preferita dei materiali descritti', 'Nota sulla citazione preferita dei materiali descritti', 1, 0, NULL, 'CF'),
		('525', 'Nota di supplemento', 'Nota di supplemento', 0, 0, NULL, 'CF'),
		('526', 'Nota d’informazione sul programma di studi', 'Nota d’informazione sul programma di studi', 0, 0, NULL, 'CF'),
		('527', 'CENSORSHIP NOTE (VM) [OBSOLETE]', 'CENSORSHIP NOTE (VM) [OBSOLETE]', 1, 0, NULL, 'CF'),
		('530', 'Nota sulla disponibilità su altro supporto fisico', 'Nota sulla disponibilità su altro supporto fisico', 1, 0, NULL, 'CF'),
		('533', 'Nota di riproduzione', 'Nota di riproduzione', 1, 0, NULL, 'CF'),
		('534', 'Nota sulla versione originale', 'Nota sulla versione originale', 1, 0, NULL, 'CF'),
		('535', 'Nota sulla localizzazione degli originali/duplicati', 'Nota sulla localizzazione degli originali/duplicati', 1, 0, NULL, 'CF'),
		('536', 'Nota d’informazione sul finanziamento', 'Nota d’informazione sul finanziamento', 1, 0, NULL, 'CF'),
		('537', 'SOURCE OF DATA NOTE (CF) [OBSOLETE]', 'SOURCE OF DATA NOTE (CF) [OBSOLETE]', 0, 0, NULL, 'CF'),
		('538', 'Nota sui requisiti del sistema', 'Nota sui requisiti del sistema', 1, 0, NULL, 'CF'),
		('540', 'Nota sulle condizioni che regolano l\'utilizzo e la riproduzione', 'Nota sulle condizioni che regolano l\'utilizzo e la riproduzione', 1, 0, NULL, 'CF'),
		('541', 'Nota sulla fonte immediata d\'acquisto', 'Nota sulla fonte immediata d\'acquisto', 1, 0, NULL, 'CF'),
		('543', 'SOLICITATION INFORMATION NOTE (AM) [OBSOLETE]', 'SOLICITATION INFORMATION NOTE (AM) [OBSOLETE]', 1, 0, NULL, 'CF'),
		('544', 'Nota sulla localizzazione d’altri materiali d’archivio', 'Nota sulla localizzazione d’altri materiali d’archivio', 1, 0, NULL, 'CF'),
		('545', 'Dati biografici o storici', 'Dati biografici o storici', 1, 0, NULL, 'CF'),
		('546', 'Nota sulla lingua', 'Nota sulla lingua', 1, 0, NULL, 'CF'),
		('547', 'Nota sulla complessità del titolo precedente', 'Nota sulla complessità del titolo precedente', 1, 0, NULL, 'CF'),
		('550', 'Nota sull\'ente responsabile', 'Nota sull\'ente responsabile', 1, 0, NULL, 'CF'),
		('552', 'Nota d’informazione sull’ente e l’attributo', 'Nota d’informazione sull’ente e l’attributo', 1, 0, NULL, 'CF'),
		('555', 'Nota sull\'indice cumulativo/strumenti di ricerca', 'Nota sull\'indice cumulativo/strumenti di ricerca', 1, 0, NULL, 'CF'),
		('556', 'Nota d\'informazione sulla documentazione', 'Nota d\'informazione sulla documentazione', 1, 0, NULL, 'CF'),
		('561', 'Storia della proprietà e custodia', 'Storia della proprietà e custodia', 1, 0, NULL, 'CF'),
		('562', 'Nota d\'identificazione della copia e della versione', 'Nota d\'identificazione della copia e della versione', 1, 0, NULL, 'CF'),
		('563', 'Informazione sulla rilegatura', 'Informazione sulla rilegatura', 1, 0, NULL, 'CF'),
		('565', 'Nota sulle caratteristiche della singola pratica', 'Nota sulle caratteristiche della singola pratica', 1, 0, NULL, 'CF'),
		('567', 'Nota sulla metodologia', 'Nota sulla metodologia', 1, 0, NULL, 'CF'),
		('570', 'EDITOR NOTE (SE) [OBSOLETE]', 'EDITOR NOTE (SE) [OBSOLETE]', 1, 0, NULL, 'CF'),
		('580', 'Nota di collegamento complesso', 'Nota di collegamento complesso', 1, 0, NULL, 'CF'),
		('581', 'Nota di pubblicazioni sui materiali descritti', 'Nota di pubblicazioni sui materiali descritti', 1, 0, NULL, 'CF'),
		('582', 'RELATED COMPUTER FILES NOTE (CF) [OBSOLETE]', 'RELATED COMPUTER FILES NOTE (CF) [OBSOLETE]', 1, 0, NULL, 'CF'),
		('583', 'Nota d’azione', 'Nota d’azione', 1, 0, NULL, 'CF'),
		('584', 'Nota di accumulo e di frequenza d’uso', 'Nota di accumulo e di frequenza d’uso', 1, 0, NULL, 'CF'),
		('585', 'Nota di mostre', 'Nota di mostre', 1, 0, NULL, 'CF'),
		('586', 'Nota di premi', 'Nota di premi', 1, 0, NULL, 'CF'),
		('590', 'LOCAL NOTE (RLIN)', 'LOCAL NOTE (RLIN)', 1, 0, NULL, 'CF'),
		('600', 'Accesso aggiunto di soggetto-–Nome di persona', 'Accesso aggiunto di soggetto-–Nome di persona', 1, 0, NULL, 'CF'),
		('610', 'Accesso aggiunto di soggetto--nome di ente', 'Accesso aggiunto di soggetto--nome di ente', 1, 0, NULL, 'CF'),
		('611', 'Accesso aggiunto di soggetto--nome di convegno', 'Accesso aggiunto di soggetto--nome di convegno', 1, 0, NULL, 'CF'),
		('630', 'Accesso aggiunto di soggetto--titolo uniforme', 'Accesso aggiunto di soggetto--titolo uniforme', 1, 0, NULL, 'CF'),
		('648', 'Accesso aggiunto di soggetto--termine cronologico', 'Accesso aggiunto di soggetto--termine cronologico', 1, 0, NULL, 'CF'),
		('650', 'Accesso aggiunto di soggetto--termine topico', 'Accesso aggiunto di soggetto--termine topico', 1, 0, NULL, 'CF'),
		('651', 'Accesso aggiunto di soggetto--nome geografico', 'Accesso aggiunto di soggetto--nome geografico', 1, 0, NULL, 'CF'),
		('652', 'SUBJECT ADDED ENTRY--REVERSE GEOGRAPHIC (BK MP SE) [OBSOLETE]', 'SUBJECT ADDED ENTRY--REVERSE GEOGRAPHIC (BK MP SE) [OBSOLETE]', 1, 0, NULL, 'CF'),
		('653', 'Termine d’indicizzazione--non controllato', 'Termine d’indicizzazione--non controllato', 1, 0, NULL, 'CF'),
		('654', 'Accesso aggiunto di soggetto--termini topici faccettati', 'Accesso aggiunto di soggetto--termini topici faccettati', 1, 0, NULL, 'CF'),
		('655', 'Termine d’indicizzazione--genere/forma', 'Termine d’indicizzazione--genere/forma', 1, 0, NULL, 'CF'),
		('656', 'Termine d’indicizzazione--occupazione', 'Termine d’indicizzazione--occupazione', 1, 0, NULL, 'CF'),
		('657', 'Termine d’indicizzazione--funzione', 'Termine d’indicizzazione--funzione', 1, 0, NULL, 'CF'),
		('658', 'Termine d’indicizzazione--obiettivi del curriculum scolastico', 'Termine d’indicizzazione--obiettivi del curriculum scolastico', 1, 0, NULL, 'CF'),
		('662', 'Accesso aggiunto di soggetto --nome gerarchico di luogo', 'Accesso aggiunto di soggetto --nome gerarchico di luogo', 1, 0, NULL, 'CF'),
		('690', 'LOCAL SUBJECT ADDED ENTRY--TOPICAL TERM (OCLC, RLIN)', 'LOCAL SUBJECT ADDED ENTRY--TOPICAL TERM (OCLC, RLIN)', 1, 0, '', 'CF'),
		('691', 'LOCAL SUBJECT ADDED ENTRY--GEOGRAPHIC NAME (RLIN)', 'LOCAL SUBJECT ADDED ENTRY--GEOGRAPHIC NAME (RLIN)', 1, 0, '', 'CF'),
		('696', 'LOCAL SUBJECT ADDED ENTRY--PERSONAL NAME (RLIN)', 'LOCAL SUBJECT ADDED ENTRY--PERSONAL NAME (RLIN)', 1, 0, '', 'CF'),
		('697', 'LOCAL SUBJECT ADDED ENTRY--CORPORATE NAME (RLIN)', 'LOCAL SUBJECT ADDED ENTRY--CORPORATE NAME (RLIN)', 1, 0, '', 'CF'),
		('698', 'LOCAL SUBJECT ADDED ENTRY--MEETING NAME (RLIN)', 'LOCAL SUBJECT ADDED ENTRY--MEETING NAME (RLIN)', 1, 0, '', 'CF'),
		('699', 'LOCAL SUBJECT ADDED ENTRY--UNIFORM TITLE (RLIN)', 'LOCAL SUBJECT ADDED ENTRY--UNIFORM TITLE (RLIN)', 1, 0, '', 'CF'),
		('700', 'Accesso aggiunto--nome di persona', 'Accesso aggiunto--nome di persona', 1, 0, NULL, 'CF'),
		('705', 'ADDED ENTRY--PERSONAL NAME (PERFORMER) (MU) [OBSOLETE]', 'ADDED ENTRY--PERSONAL NAME (PERFORMER) (MU) [OBSOLETE]', 1, 0, NULL, 'CF'),
		('710', 'Accesso aggiunto--nome di ente', 'Accesso aggiunto--nome di ente', 1, 0, NULL, 'CF'),
		('711', 'Accesso aggiunto--nome di convegno', 'Accesso aggiunto--nome di convegno', 1, 0, NULL, 'CF'),
		('715', 'ADDED ENTRY--CORPORATE NAME (PERFORMER) (MU) [OBSOLETE]', 'ADDED ENTRY--CORPORATE NAME (PERFORMER) (MU) [OBSOLETE]', 1, 0, NULL, 'CF'),
		('720', 'Accesso aggiunto--nome non controllato', 'Accesso aggiunto--nome non controllato', 1, 0, NULL, 'CF'),
		('730', 'Accesso aggiunto--titolo uniforme', 'Accesso aggiunto--titolo uniforme', 1, 0, NULL, 'CF'),
		('740', 'Accesso aggiunto--titolo analitico/correlato non controllato', 'Accesso aggiunto--titolo analitico/correlato non controllato', 1, 0, NULL, 'CF'),
		('752', 'Accesso aggiunto – nome gerarchico di luogo', 'Accesso aggiunto – nome gerarchico di luogo', 1, 0, NULL, 'CF'),
		('753', 'Dettagli sul sistema per accedere ai computer file', 'Dettagli sul sistema per accedere ai computer file', 1, 0, NULL, 'CF'),
		('754', 'Accesso aggiunto--identificazione tassonomica', 'Accesso aggiunto--identificazione tassonomica', 1, 0, NULL, 'CF'),
		('755', 'ADDED ENTRY--PHYSICAL CHARACTERISTICS [OBSOLETE]', 'ADDED ENTRY--PHYSICAL CHARACTERISTICS [OBSOLETE]', 1, 0, NULL, 'CF'),
		('760', 'Accesso di serie principale', 'Accesso di serie principale', 1, 0, NULL, 'CF'),
		('762', 'Accesso di sottoserie', 'Accesso di sottoserie', 1, 0, NULL, 'CF'),
		('765', 'Accesso di lingua originale', 'Accesso di lingua originale', 1, 0, NULL, 'CF'),
		('767', 'Accesso di supplemento/numero speciale', 'Accesso di supplemento/numero speciale', 1, 0, NULL, 'CF'),
		('770', 'Accesso di supplemento/numero speciale', 'Accesso di supplemento/numero speciale', 1, 0, NULL, 'CF'),
		('772', 'Accesso di pubblicazione principale', 'Accesso di pubblicazione principale', 1, 0, NULL, 'CF'),
		('773', 'Accesso d’item ospite', 'Accesso d’item ospite', 1, 0, NULL, 'CF'),
		('774', 'Accesso d’unità costituente', 'Accesso d’unità costituente', 1, 0, NULL, 'CF'),
		('775', 'Acceso di un’altra edizione', 'Acceso di un’altra edizione', 1, 0, NULL, 'CF'),
		('776', 'Accesso di forma fisica aggiunta', 'Accesso di forma fisica aggiunta', 1, 0, NULL, 'CF'),
		('777', 'Accesso di ', 'Accesso di ', 1, 0, NULL, 'CF'),
		('780', 'Accesso precedente', 'Accesso precedente', 1, 0, NULL, 'CF'),
		('785', 'Accesso successivo', 'Accesso successivo', 1, 0, NULL, 'CF'),
		('786', 'Accesso di fonte dei dati', 'Accesso di fonte dei dati', 1, 0, NULL, 'CF'),
		('787', 'Accesso di relazione non specificata', 'Accesso di relazione non specificata', 1, 0, NULL, 'CF'),
		('789', 'COMPONENT ITEM ENTRY (RLIN)', 'COMPONENT ITEM ENTRY (RLIN)', 1, 0, '', 'CF'),
		('796', 'LOCAL ADDED ENTRY--PERSONAL NAME (RLIN)', 'LOCAL ADDED ENTRY--PERSONAL NAME (RLIN)', 1, 0, '', 'CF'),
		('797', 'LOCAL ADDED ENTRY--CORPORATE NAME (RLIN)', 'LOCAL ADDED ENTRY--CORPORATE NAME (RLIN)', 1, 0, '', 'CF'),
		('798', 'LOCAL ADDED ENTRY--MEETING NAME (RLIN)', 'LOCAL ADDED ENTRY--MEETING NAME (RLIN)', 1, 0, '', 'CF'),
		('799', 'LOCAL ADDED ENTRY--UNIFORM TITLE (RLIN)', 'LOCAL ADDED ENTRY--UNIFORM TITLE (RLIN)', 1, 0, '', 'CF'),
		('800', 'Accesso aggiunto di serie--nome di persona', 'Accesso aggiunto di serie--nome di persona', 1, 0, NULL, 'CF'),
		('810', 'Accesso aggiunto di serie--nome di ente', 'Accesso aggiunto di serie--nome di ente', 1, 0, NULL, 'CF'),
		('811', 'Accesso aggiunto di serie--nome di convegno', 'Accesso aggiunto di serie--nome di convegno', 1, 0, NULL, 'CF'),
		('830', 'Accesso aggiunto di serie--titolo uniforme', 'Accesso aggiunto di serie--titolo uniforme', 1, 0, NULL, 'CF'),
		('840', 'SERIES ADDED ENTRY--TITLE [OBSOLETE]', 'SERIES ADDED ENTRY--TITLE [OBSOLETE]', 1, 0, NULL, 'CF'),
		('841', 'Valori dei dati codificati di posseduti', 'Valori dei dati codificati di posseduti', 0, 0, NULL, 'CF'),
		('842', 'Designatore testuale di forma fisica', 'Designatore testuale di forma fisica', 0, 0, NULL, 'CF'),
		('843', 'Nota di riproduzione', 'Nota di riproduzione', 1, 0, NULL, 'CF'),
		('844', 'Nome dell’unità', 'Nome dell’unità', 0, 0, NULL, 'CF'),
		('845', 'Nota sulle condizioni che regolano l\'utilizzo e la riproduzione', 'Nota sulle condizioni che regolano l\'utilizzo e la riproduzione', 1, 0, NULL, 'CF'),
		('850', 'Istituzione possedente', 'Istituzione possedente', 1, 0, NULL, 'CF'),
		('851', 'LOCATION [OBSOLETE]', 'LOCATION [OBSOLETE]', 1, 0, NULL, 'CF'),
		('852', 'Localizzazione', 'Localizzazione', 1, 0, NULL, 'CF'),
		('853', 'Legende e modello--unità bibliografica basilare', 'Legende e modello--unità bibliografica basilare', 1, 0, NULL, 'CF'),
		('854', 'Legende e modello--supplementi', 'Legende e modello--supplementi', 1, 0, NULL, 'CF'),
		('855', 'Legende e modello--indici', 'Legende e modello--indici', 1, 0, NULL, 'CF'),
		('856', 'Localizzazione e accesso elettronico', 'Localizzazione e accesso elettronico', 1, 0, NULL, 'CF'),
		('859', 'LOCAL CONTROL INFORMATION (RLIN)', 'LOCAL CONTROL INFORMATION (RLIN)', 1, 0, '', 'CF'),
		('863', 'Numerazione e cronologia--unità bibliografica basilare', 'Numerazione e cronologia--unità bibliografica basilare', 1, 0, NULL, 'CF'),
		('864', 'Numerazione e cronologia--supplementi', 'Numerazione e cronologia--supplementi', 1, 0, NULL, 'CF'),
		('865', 'Numerazione e cronologia--indici', 'Numerazione e cronologia--indici', 1, 0, NULL, 'CF'),
		('866', 'Formulazione testuale di posseduti--unità bibliografica basilare', 'Formulazione testuale di posseduti--unità bibliografica basilare', 1, 0, NULL, 'CF'),
		('867', 'Formulazione testuale di posseduti--supplementi', 'Formulazione testuale di posseduti--supplementi', 1, 0, NULL, 'CF'),
		('868', 'Formulazione testuale di posseduti--indici', 'Formulazione testuale di posseduti--indici', 1, 0, NULL, 'CF'),
		('870', 'VARIANT PERSONAL NAME (SE) [OBSOLETE]', 'VARIANT PERSONAL NAME (SE) [OBSOLETE]', 1, 0, NULL, 'CF'),
		('871', 'VARIANT CORPORATE NAME (SE)[OBSOLETE]', 'VARIANT CORPORATE NAME (SE)[OBSOLETE]', 1, 0, NULL, 'CF'),
		('872', 'VARIANT CONFERENCE OR MEETING NAME (SE) [OBSOLETE]', 'VARIANT CONFERENCE OR MEETING NAME (SE) [OBSOLETE]', 1, 0, NULL, 'CF'),
		('873', 'VARIANT UNIFORM TITLE HEADING (SE) [OBSOLETE]', 'VARIANT UNIFORM TITLE HEADING (SE) [OBSOLETE]', 1, 0, NULL, 'CF'),
		('876', 'Informazione sull’item--unità bibliografica basilare', 'Informazione sull’item--unità bibliografica basilare', 1, 0, NULL, 'CF'),
		('877', 'Informazione sull’item--supplementi', 'Informazione sull’item--supplementi', 1, 0, NULL, 'CF'),
		('878', 'Informazione sull’item--indici', 'Informazione sull’item--indici', 1, 0, NULL, 'CF'),
		('880', 'Rappresentazione grafica alternativa', 'Rappresentazione grafica alternativa', 1, 0, NULL, 'CF'),
		('886', 'Campo dell’informazione per MARC differenti', 'Campo dell’informazione per MARC differenti', 1, 0, NULL, 'CF'),
		('887', 'Campo dell’informazione per non-MARC', 'Campo dell’informazione per non-MARC', 1, 0, NULL, 'CF'),
		('896', 'LOCAL SERIES ADDED ENTRY--PERSONAL NAME (RLIN)', 'LOCAL SERIES ADDED ENTRY--PERSONAL NAME (RLIN)', 1, 0, '', 'CF'),
		('897', 'LOCAL SERIES ADDED ENTRY--CORPORATE NAME (RLIN)', 'LOCAL SERIES ADDED ENTRY--CORPORATE NAME (RLIN)', 1, 0, '', 'CF'),
		('898', 'LOCAL SERIES ADDED ENTRY--MEETING NAME (RLIN)', 'LOCAL SERIES ADDED ENTRY--MEETING NAME (RLIN)', 1, 0, '', 'CF'),
		('899', 'LOCAL SERIES ADDED ENTRY--UNIFORM TITLE (RLIN)', 'LOCAL SERIES ADDED ENTRY--UNIFORM TITLE (RLIN)', 1, 0, '', 'CF'),
		('900', 'EQUIVALENCE OR CROSS-REFERENCE-PERSONAL NAME [LOCAL, CANADA]', 'EQUIVALENCE OR CROSS-REFERENCE-PERSONAL NAME [LOCAL, CANADA]', 1, 0, '', 'CF'),
		('901', 'LOCAL DATA ELEMENT A, LDA (RLIN)', 'LOCAL DATA ELEMENT A, LDA (RLIN)', 1, 0, '', 'CF'),
		('902', 'LOCAL DATA ELEMENT B, LDB (RLIN)', 'LOCAL DATA ELEMENT B, LDB (RLIN)', 1, 0, '', 'CF'),
		('903', 'LOCAL DATA ELEMENT C, LDC (RLIN)', 'LOCAL DATA ELEMENT C, LDC (RLIN)', 1, 0, '', 'CF'),
		('904', 'LOCAL DATA ELEMENT D, LDD (RLIN)', 'LOCAL DATA ELEMENT D, LDD (RLIN)', 1, 0, '', 'CF'),
		('905', 'LOCAL DATA ELEMENT E, LDE (RLIN)', 'LOCAL DATA ELEMENT E, LDE (RLIN)', 1, 0, '', 'CF'),
		('906', 'LOCAL DATA ELEMENT F, LDF (RLIN)', 'LOCAL DATA ELEMENT F, LDF (RLIN)', 1, 0, '', 'CF'),
		('907', 'LOCAL DATA ELEMENT G, LDG (RLIN)', 'LOCAL DATA ELEMENT G, LDG (RLIN)', 1, 0, '', 'CF'),
		('908', 'PUT COMMAND PARAMETER (RLIN)', 'PUT COMMAND PARAMETER (RLIN)', 0, 0, '', 'CF'),
		('910', 'USER-OPTION DATA (OCLC)', 'USER-OPTION DATA (OCLC)', 0, 0, '', 'CF'),
		('911', 'EQUIVALENCE OR CROSS-REFERENCE-CONFERENCE OR MEETING NAME [LOCAL, CANADA]', 'EQUIVALENCE OR CROSS-REFERENCE-CONFERENCE OR MEETING NAME [LOCAL, CANADA]', 1, 0, '', 'CF'),
		('930', 'EQUIVALENCE OR CROSS-REFERENCE-UNIFORM TITLE HEADING [LOCAL, CANADA]', 'EQUIVALENCE OR CROSS-REFERENCE-UNIFORM TITLE HEADING [LOCAL, CANADA]', 1, 0, '', 'CF'),
		('936', 'OCLC/CONSER MISCELLANEOUS DATA (OCLC); PIECE USED FOR CATALOGING (pre-AACR2) (RLIN)', 'OCLC/CONSER MISCELLANEOUS DATA (OCLC); PIECE USED FOR CATALOGING (pre-AACR2) (RLIN)', 0, 0, '', 'CF'),
		('940', 'EQUIVALENCE OR CROSS-REFERENCE--UNIFORM TITLE [OBSOLETE] [CAN/MARC only]', 'EQUIVALENCE OR CROSS-REFERENCE--UNIFORM TITLE [OBSOLETE] [CAN/MARC only]', 1, 0, '', 'CF'),
		('941', 'EQUIVALENCE OR CROSS-REFERENCE--ROMANIZED TITLE [OBSOLETE] [CAN/MARC only]', 'EQUIVALENCE OR CROSS-REFERENCE--ROMANIZED TITLE [OBSOLETE] [CAN/MARC only]', 1, 0, '', 'CF'),
		('943', 'EQUIVALENCE OR CROSS-REFERENCE--COLLECTIVE TITLE [OBSOLETE] [CAN/MARC only]', 'EQUIVALENCE OR CROSS-REFERENCE--COLLECTIVE TITLE [OBSOLETE] [CAN/MARC only]', 1, 0, '', 'CF'),
		('945', 'LOCAL PROCESSING INFORMATION (OCLC)', 'LOCAL PROCESSING INFORMATION (OCLC)', 1, 0, '', 'CF'),
		('946', 'LOCAL PROCESSING INFORMATION (OCLC)', 'LOCAL PROCESSING INFORMATION (OCLC)', 1, 0, '', 'CF'),
		('947', 'LOCAL PROCESSING INFORMATION (OCLC)', 'LOCAL PROCESSING INFORMATION (OCLC)', 1, 0, '', 'CF'),
		('948', 'LOCAL PROCESSING INFORMATION (OCLC); SERIES PART DESIGNATOR (RLIN)', 'LOCAL PROCESSING INFORMATION (OCLC); SERIES PART DESIGNATOR (RLIN)', 1, 0, '', 'CF'),
		('949', 'LOCAL PROCESSING INFORMATION (OCLC)', 'LOCAL PROCESSING INFORMATION (OCLC)', 1, 0, '', 'CF'),
		('950', 'LOCAL HOLDINGS (RLIN)', 'LOCAL HOLDINGS (RLIN)', 1, 0, '', 'CF'),
		('951', 'EQUIVALENCE OR CROSS-REFERENCE--GEOGRAPHIC NAME/AREA NAME [OBSOLETE] [CAN/MARC only]', 'EQUIVALENCE OR CROSS-REFERENCE--GEOGRAPHIC NAME/AREA NAME [OBSOLETE] [CAN/MARC only]', 1, 0, '', 'CF'),
		('955', 'COPY-LEVEL INFORMATION (RLIN)', 'COPY-LEVEL INFORMATION (RLIN)', 1, 0, '', 'CF'),
		('956', 'LOCAL ELECTRONIC LOCATION AND ACCESS (OCLC)', 'LOCAL ELECTRONIC LOCATION AND ACCESS (OCLC)', 1, 0, '', 'CF'),
		('960', 'PHYSICAL LOCATION (RLIN)', 'PHYSICAL LOCATION (RLIN)', 1, 0, '', 'CF'),
		('967', 'ADDITIONAL ESTC CODES (RLIN)', 'ADDITIONAL ESTC CODES (RLIN)', 1, 0, '', 'CF'),
		('980', 'EQUIVALENCE OR CROSS-REFERENCE-SERIES STATEMENT--PERSONAL NAME/TITLE [LOCAL, CANADA]', 'EQUIVALENCE OR CROSS-REFERENCE-SERIES STATEMENT--PERSONAL NAME/TITLE [LOCAL, CANADA]', 1, 0, '', 'CF'),
		('981', 'EQUIVALENCE OR CROSS-REFERENCE-SERIES STATEMENT--CORPORATE NAME/TITLE [LOCAL, CANADA]', 'EQUIVALENCE OR CROSS-REFERENCE-SERIES STATEMENT--CORPORATE NAME/TITLE [LOCAL, CANADA]', 1, 0, '', 'CF'),
		('982', 'EQUIVALENCE OR CROSS-REFERENCE-SERIES STATEMENT--CONFERENCE OR MEETING NAME/TITLE [LOCAL, CANADA]', 'EQUIVALENCE OR CROSS-REFERENCE-SERIES STATEMENT--CONFERENCE OR MEETING NAME/TITLE [LOCAL, CANADA]', 1, 0, '', 'CF'),
		('983', 'EQUIVALENCE OR CROSS-REFERENCE-SERIES STATEMENT--TITLE/UNIFORM TITLE [LOCAL, CANADA]', 'EQUIVALENCE OR CROSS-REFERENCE-SERIES STATEMENT--TITLE/UNIFORM TITLE [LOCAL, CANADA]', 1, 0, '', 'CF'),
		('984', 'WLN AUTOMATIC HOLDINGS STATEMENT (OCLC)', 'WLN AUTOMATIC HOLDINGS STATEMENT (OCLC)', 1, 0, '', 'CF'),
		('987', 'LOCAL ROMANIZATION/CONVERSION HISTORY (OCLC)', 'LOCAL ROMANIZATION/CONVERSION HISTORY (OCLC)', 1, 0, '', 'CF'),
		('990', 'EQUIVALENCES OR CROSS-REFERENCES [LOCAL, CANADA]', 'EQUIVALENCES OR CROSS-REFERENCES [LOCAL, CANADA]', 1, 0, '', 'CF'),
		('995', 'RECOMMENDATION 995 [LOCAL, UNIMARC FRANCE]', 'RECOMMENDATION 995 [LOCAL, UNIMARC FRANCE]', 1, 0, '', 'CF'),
		('998', 'LOCAL CONTROL INFORMATION (RLIN)', 'LOCAL CONTROL INFORMATION (RLIN)', 1, 0, '', 'CF');



INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES
		('000', '@', 'campo di controllo lung. fissa', 'campo di controllo lung. fissa', 0, 1, '', 0, '', '', 'marc21_leader.pl', 0, 0, 'CF', '', '', NULL),
		('001', '@', 'campo di controllo', 'campo di controllo', 0, 0, '', 0, '', '', '', 0, -6, 'CF', '', '', NULL),
		('003', '@', 'campo di controllo', 'campo di controllo', 0, 0, '', 0, '', '', 'marc21_field_003.pl', 0, -6, 'CF', '', '', NULL),
		('005', '@', 'campo di controllo', 'campo di controllo', 0, 0, '', 0, '', '', 'marc21_field_005.pl', 0, -1, 'CF', '', '', NULL),
		('006', '@', 'campo di controllo lung. fissa', 'campo di controllo lung. fissa', 0, 0, '', 0, '', '', 'marc21_field_006.pl', 0, -1, 'CF', '', '', NULL),
		('007', '@', 'campo di controllo lung. fissa', 'campo di controllo lung. fissa', 0, 0, '', 0, '', '', 'marc21_field_007.pl', 0, 0, 'CF', '', '', NULL),
		('008', '@', 'campo di controllo lung. fissa', 'campo di controllo lung. fissa', 0, 1, '', 0, '', '', 'marc21_field_008.pl', 0, 0, 'CF', '', '', NULL),
		('009', '@', 'campo di controllo lung. fissa', 'campo di controllo lung. fissa', 0, 0, '', 0, '', '', '', 0, -6, 'CF', '', '', NULL),
		('010', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 0, '', '', NULL, 0, -6, 'CF', '', '', NULL),
		('010', 'a', 'Numero di controllo della LC', 'Numero di controllo della LC', 0, 0, 'biblioitems.lccn', 0, '', '', '', 0, -6, 'CF', '', '', NULL),
		('010', 'b', 'Numero di controllo del NUCMC', 'Numero di controllo del NUCMC', 1, 0, '', 0, '', '', '', 0, -6, 'CF', '', '', NULL),
		('010', 'z', 'Numero di controllo della LC cancellato o errato', 'Numero di controllo della LC cancellato o errato', 1, 0, '', 0, '', '', '', 0, -6, 'CF', '', '', NULL),
		('011', 'a', 'Numero di controllo della LC', 'Numero di controllo della LC', 1, 0, '', 0, '', '', '', 0, -6, 'CF', '', '', NULL),
		('013', '6', 'Collegamento', 'Collegamento', 0, 0, '', 0, '', '', NULL, 0, -6, 'CF', '', '', NULL),
		('013', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 0, '', '', '', 0, -6, 'CF', '', '', NULL),
		('013', 'a', 'Numero', 'Numero', 0, 0, '', 0, '', '', '', 0, -6, 'CF', '', '', NULL),
		('013', 'b', 'Paese', 'Paese', 0, 0, '', 0, '', '', '', 0, -6, 'CF', '', '', NULL),
		('013', 'c', 'Tipo di numero', 'Tipo di numero', 0, 0, '', 0, '', '', '', 0, -6, 'CF', '', '', NULL),
		('013', 'd', 'Data', 'Data', 1, 0, '', 0, '', '', '', 0, -6, 'CF', '', '', NULL),
		('013', 'e', 'Stato', 'Stato', 1, 0, '', 0, '', '', '', 0, -6, 'CF', '', '', NULL),
		('013', 'f', 'Parte responsabile del documento', 'Parte responsabile del documento', 1, 0, '', 0, '', '', '', 0, -6, 'CF', '', '', NULL),
		('015', '2', 'Fonte', 'Fonte', 0, 0, '', 0, '', '', NULL, 0, -6, 'CF', '', '', NULL),
		('015', '6', 'Collegamento', 'Collegamento', 0, 0, '', 0, '', '', '', 0, -6, 'CF', '', '', NULL),
		('015', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 0, '', '', '', 0, -6, 'CF', '', '', NULL),
		('015', 'a', 'Numero della bibliografia nazionale', 'Numero della bibliografia nazionale', 1, 0, '', 0, '', '', '', 0, -6, 'CF', '', '', NULL),
		('016', '2', 'Fonte', 'Fonte', 0, 0, '', 0, '', '', '', 0, -6, 'CF', '', '', NULL),
		('016', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 0, '', '', '', 0, -6, 'CF', '', '', NULL),
		('016', 'a', 'Numero di controllo della registrazione', 'Numero di controllo della registrazione', 0, 0, '', 0, '', '', '', 0, -6, 'CF', '', '', NULL),
		('016', 'z', 'Numero di controllo della registrazione cancellato o errato', 'Numero di controllo della registrazione cancellato o errato', 1, 0, '', 0, '', '', '', 0, -6, 'CF', '', '', NULL),
		('017', '2', 'Fonte', 'Fonte', 0, 0, '', 0, '', '', '', 0, -6, 'CF', '', '', NULL),
		('017', '6', 'Collegamento', 'Collegamento', 0, 0, '', 0, '', '', '', 0, -6, 'CF', '', '', NULL),
		('017', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 0, '', '', '', 0, -6, 'CF', '', '', NULL),
		('017', 'a', 'Numero di copyright o di deposito legale', 'Numero di copyright o di deposito legale', 1, 0, '', 0, '', '', '', 0, -6, 'CF', '', '', NULL),
		('017', 'b', 'Agenzia che assegna il numero', 'Agenzia che assegna il numero', 0, 0, '', 0, '', '', '', 0, -6, 'CF', '', '', NULL),
		('017', 'd', 'Data', 'Data', 0, 0, '', 0, '', '', NULL, 0, -6, 'CF', '', '', NULL),
		('017', 'i', 'Testo da visualizzare', 'Testo da visualizzare', 0, 0, '', 0, '', '', '', 0, -6, 'CF', '', '', NULL),
		('018', '6', 'Collegamento', 'Collegamento', 0, 0, '', 0, '', '', '', 0, -6, 'CF', '', '', NULL),
		('018', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 0, '', '', '', 0, -6, 'CF', '', '', NULL),
		('018', 'a', 'Codice di tassa sul copyright dell\'articolo', 'Codice di tassa sul copyright dell\'articolo', 0, 0, '', 0, '', '', '', 0, -6, 'CF', '', '', NULL),
		('020', '6', 'Collegamento', 'Collegamento', 0, 0, '', 0, '', '', '', 0, -6, 'CF', '', '', NULL),
		('020', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 0, '', '', '', 0, -6, 'CF', '', '', NULL),
		('020', 'a', 'ISBN (International Standard Book Number)', 'ISBN (International Standard Book Number)', 0, 0, 'biblioitems.isbn', 0, '', '', '', 0, -1, 'CF', '', '', NULL),
		('020', 'c', 'Termini di disponibilità', 'Termini di disponibilità', 0, 0, '', 0, '', '', '', 0, -6, 'CF', '', '', NULL),
		('020', 'z', 'ISBN cancellato o errato', 'ISBN cancellato o errato', 1, 0, '', 0, '', '', '', 0, -6, 'CF', '', '', NULL),
		('022', '2', 'Fonte', 'Fonte', 0, 0, '', 0, '', '', '', 0, -6, 'CF', '', '', NULL),
		('022', '6', 'Collegamento', 'Collegamento', 0, 0, '', 0, '', '', '', 0, -6, 'CF', '', '', NULL),
		('022', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 0, '', '', '', 0, -6, 'CF', '', '', NULL),
		('022', 'a', 'ISSN (International Standard Serial Number)', 'ISSN (International Standard Serial Number)', 0, 0, 'biblioitems.issn', 0, '', '', '', 0, -1, 'CF', '', '', NULL),
		('022', 'y', 'ISSN errato', 'ISSN errato', 1, 0, '', 0, '', '', '', 0, -6, 'CF', '', '', NULL),
		('022', 'z', 'ISSN cancellato', 'ISSN cancellato', 1, 0, '', 0, '', '', '', 0, -6, 'CF', '', '', NULL),
		('023', 'a', 'Standard film number', 'Standard film number', 0, 0, '', 0, '', '', '', 0, -6, 'CF', '', '', NULL),
		('024', '2', 'Fonte del numero o codice', 'Fonte del numero o codice', 0, 0, '', 0, '', '', '', 0, -1, 'CF', '', '', NULL),
		('024', '6', 'Collegamento', 'Collegamento', 0, 0, '', 0, '', '', '', 0, -6, 'CF', '', '', NULL),
		('024', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 0, '', '', '', 0, -6, 'CF', '', '', NULL),
		('024', 'a', 'Numero standard o codice', 'Numero standard o codice', 0, 0, '', 0, '', '', '', 0, -1, 'CF', '', '', NULL),
		('024', 'b', 'Additional codes following the standard number [OBSOLETE]', 'Additional codes following the standard number [OBSOLETE]', 0, 0, '', 0, '', '', '', 0, -6, 'CF', '', '', NULL),
		('024', 'c', 'Termini di disponibilità', 'Termini di disponibilità', 0, 0, '', 0, '', '', '', 0, -1, 'CF', '', '', NULL),
		('024', 'd', 'Codici addizionali che seguono il numero standard o codice', 'Codici addizionali che seguono il numero standard o codice', 0, 0, '', 0, '', '', '', 0, -1, 'CF', '', '', NULL),
		('024', 'z', 'Numero standard o codice, cancellato o errato', 'Numero standard o codice, cancellato o errato', 1, 0, '', 0, '', '', '', 0, -6, 'CF', '', '', NULL),
		('025', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 0, '', '', '', 0, -6, 'CF', '', '', NULL),
		('025', 'a', 'Numero d\'acquisto estero', 'Numero d\'acquisto estero', 1, 0, '', 0, '', '', '', 0, -6, 'CF', '', '', NULL),
		('026', '2', 'Fonte', 'Fonte', 0, 0, '', 0, '', '', '', 0, -6, 'CF', '', '', NULL),
		('026', '5', 'Istituzione a cui si applica il campo', 'Istituzione a cui si applica il campo', 1, 0, '', 0, '', '', '', 0, -6, 'CF', '', '', NULL),
		('026', '6', 'Collegamento', 'Collegamento', 0, 0, '', 0, '', '', '', 0, -6, 'CF', '', '', NULL),
		('026', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 0, '', '', '', 0, -6, 'CF', '', '', NULL),
		('026', 'a', 'Primo e secondo gruppo di caratteri', 'Primo e secondo gruppo di caratteri', 0, 0, '', 0, '', '', '', 0, -6, 'CF', '', '', NULL),
		('026', 'b', 'Terzo e quarto gruppo di caratteri', 'Terzo e quarto gruppo di caratteri', 0, 0, '', 0, '', '', '', 0, -6, 'CF', '', '', NULL),
		('026', 'c', 'Data', 'Data', 0, 0, '', 0, '', '', '', 0, -6, 'CF', '', '', NULL),
		('026', 'd', 'Numero del volume o parte', 'Numero del volume o parte', 0, 0, '', 0, '', '', '', 0, -6, 'CF', '', '', NULL),
		('026', 'e', 'Impronta non analizzata', 'Impronta non analizzata', 0, 0, '', 0, '', '', '', 0, -6, 'CF', '', '', NULL),
		('027', '6', 'Collegamento', 'Collegamento', 0, 0, '', 0, '', '', '', 0, -6, 'CF', '', '', NULL),
		('027', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 0, '', '', '', 0, -6, 'CF', '', '', NULL),
		('027', 'a', 'Standard Technical Report Number', 'Standard Technical Report Number', 0, 0, '', 0, '', '', '', 0, -6, 'CF', '', '', NULL),
		('027', 'z', 'Numero cancellato o errato', 'Numero cancellato o errato', 1, 0, '', 0, '', '', '', 0, -6, 'CF', '', '', NULL),
		('028', '6', 'Collegamento', 'Collegamento', 0, 0, '', 0, '', '', '', 0, -6, 'CF', '', '', NULL),
		('028', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 0, '', '', '', 0, -6, 'CF', '', '', NULL),
		('028', 'a', 'Numero dell\'editore', 'Numero dell\'editore', 0, 0, '', 0, '', '', '', 0, 0, 'CF', '', '', NULL),
		('028', 'b', 'Fonte', 'Fonte', 0, 0, '', 0, '', '', '', 0, 0, 'CF', '', '', NULL),
		('029', 'a', 'OCLC library identifier', 'OCLC library identifier', 0, 0, '', 0, '', '', '', 0, -6, 'CF', '', '', NULL),
		('029', 'b', 'System control number', 'System control number', 0, 0, '', 0, '', '', '', 0, -6, 'CF', '', '', NULL),
		('029', 'c', 'OAI set name', 'OAI set name', 0, 0, '', 0, '', '', '', 0, -6, 'CF', '', '', NULL),
		('029', 't', 'Content type identifier', 'Content type identifier', 0, 0, '', 0, '', '', '', 0, -6, 'CF', '', '', NULL),
		('030', '6', 'Collegamento', 'Collegamento', 0, 0, '', 0, '', '', '', 0, -6, 'CF', '', '', NULL),
		('030', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 0, '', '', '', 0, -6, 'CF', '', '', NULL),
		('030', 'a', 'CODEN', 'CODEN', 0, 0, '', 0, '', '', '', 0, -6, 'CF', '', '', NULL),
		('030', 'z', 'CODEN cancellato o errato', 'CODEN cancellato o errato', 1, 0, '', 0, '', '', '', 0, -6, 'CF', '', '', NULL),
		('031', '2', 'Codice di sistema', 'Codice di sistema', 0, 0, '', 0, '', '', '', 0, -6, 'CF', '', '', NULL),
		('031', '6', 'Collegamento', 'Collegamento', 0, 0, '', 0, '', '', '', 0, -6, 'CF', '', '', NULL),
		('031', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 0, '', '', '', 0, -6, 'CF', '', '', NULL),
		('031', 'a', 'Numero di composizione', 'Numero di composizione', 0, 0, '', 0, '', '', '', 0, -6, 'CF', '', '', NULL),
		('031', 'b', 'Numero di movimento', 'Numero di movimento', 0, 0, '', 0, '', '', '', 0, -6, 'CF', '', '', NULL),
		('031', 'c', 'Numero progressivo nel movimento', 'Numero progressivo nel movimento', 0, 0, '', 0, '', '', '', 0, -6, 'CF', '', '', NULL),
		('031', 'd', 'Titolo o intitolazione', 'Titolo o intitolazione', 1, 0, '', 0, '', '', '', 0, -6, 'CF', '', '', NULL),
		('031', 'e', 'Personaggio', 'Personaggio', 0, 0, '', 0, '', '', '', 0, -6, 'CF', '', '', NULL),
		('031', 'g', 'Chiave', 'Chiave', 0, 0, '', 0, '', '', '', 0, -6, 'CF', '', '', NULL),
		('031', 'm', 'Voce/strumento', 'Voce/strumento', 0, 0, '', 0, '', '', '', 0, -6, 'CF', '', '', NULL),
		('031', 'n', 'Alterazioni', 'Alterazioni', 0, 0, '', 0, '', '', '', 0, -6, 'CF', '', '', NULL),
		('031', 'o', 'Misura', 'Misura', 0, 0, '', 0, '', '', '', 0, -6, 'CF', '', '', NULL),
		('031', 'p', 'Contesto musicale', 'Contesto musicale', 0, 0, '', 0, '', '', '', 0, -6, 'CF', '', '', NULL),
		('031', 'q', 'Nota generale', 'Nota generale', 1, 0, '', 0, '', '', '', 0, -6, 'CF', '', '', NULL),
		('031', 'r', 'Tonalità o modo', 'Tonalità o modo', 0, 0, '', 0, '', '', '', 0, -6, 'CF', '', '', NULL),
		('031', 's', 'Nota codificata di validità', 'Nota codificata di validità', 1, 0, '', 0, '', '', '', 0, -6, 'CF', '', '', NULL),
		('031', 't', 'Incipit testuale', 'Incipit testuale', 1, 0, '', 0, '', '', '', 0, -6, 'CF', '', '', NULL),
		('031', 'u', 'URI (Uniform Resource Identifier)', 'URI (Uniform Resource Identifier)', 1, 0, '', 0, '', '', '', 1, -6, 'CF', '', '', NULL),
		('031', 'y', 'Testo di collegamento', 'Testo di collegamento', 1, 0, '', 0, '', '', '', 0, -6, 'CF', '', '', NULL),
		('031', 'z', 'Nota pubblica', 'Nota pubblica', 1, 0, '', 0, '', '', '', 0, -6, 'CF', '', '', NULL),
		('032', '6', 'Collegamento', 'Collegamento', 0, 0, '', 0, '', '', NULL, 0, -6, 'CF', '', '', NULL),
		('032', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 0, '', '', '', 0, -6, 'CF', '', '', NULL),
		('032', 'a', 'Numero di registrazione di posta', 'Numero di registrazione di posta', 0, 0, '', 0, '', '', '', 0, -6, 'CF', '', '', NULL),
		('032', 'b', 'Fonte (agenzia che assegna il numero)', 'Fonte (agenzia che assegna il numero)', 0, 0, '', 0, '', '', '', 0, -6, 'CF', '', '', NULL),
		('033', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, '', 0, '', '', '', 0, -6, 'CF', '', '', NULL),
		('033', '6', 'Collegamento', 'Collegamento', 0, 0, '', 0, '', '', '', 0, -6, 'CF', '', '', NULL),
		('033', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 0, '', '', '', 0, -6, 'CF', '', '', NULL),
		('033', 'a', 'Data/ora formattate', 'Data/ora formattate', 1, 0, '', 0, '', '', '', 0, -6, 'CF', '', '', NULL),
		('033', 'b', 'Codice di classificazione dell\'area geografica', 'Codice di classificazione dell\'area geografica', 1, 0, '', 0, '', '', '', 0, -6, 'CF', '', '', NULL),
		('033', 'c', 'Codice di classificazione della sottoarea geografica', 'Codice di classificazione della sottoarea geografica', 1, 0, '', 0, '', '', '', 0, -6, 'CF', '', '', NULL),
		('034', '2', 'Fonte', 'Fonte', 0, 0, '', 0, '', '', '', 0, -6, 'CF', '', '', NULL),
		('034', '6', 'Collegamento', 'Collegamento', 0, 0, '', 0, '', '', '', 0, -6, 'CF', '', '', NULL),
		('034', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 0, '', '', '', 0, -6, 'CF', '', '', NULL),
		('034', 'a', 'Categoria della scala', 'Categoria della scala', 0, 0, '', 0, '', '', '', 0, -6, 'CF', '', '', NULL),
		('034', 'b', 'Rapporto costante (scala orizzontale)', 'Rapporto costante (scala orizzontale)', 1, 0, '', 0, '', '', '', 0, -6, 'CF', '', '', NULL),
		('034', 'c', 'Rapporto costante (scala verticale)', 'Rapporto costante (scala verticale)', 1, 0, '', 0, '', '', '', 0, -6, 'CF', '', '', NULL),
		('034', 'd', 'Coordinate--longitudine limite Ovest', 'Coordinate--longitudine limite Ovest', 0, 0, '', 0, '', '', '', 0, -6, 'CF', '', '', NULL),
		('034', 'e', 'Coordinate--longitudine limite Est', 'Coordinate--longitudine limite Est', 0, 0, '', 0, '', '', '', 0, -6, 'CF', '', '', NULL),
		('034', 'f', 'Coordinate--latitudine limite Nord', 'Coordinate--latitudine limite Nord', 0, 0, '', 0, '', '', '', 0, -6, 'CF', '', '', NULL),
		('034', 'g', 'Coordinate--latitudine limite Sud', 'Coordinate--latitudine limite Sud', 0, 0, '', 0, '', '', '', 0, -6, 'CF', '', '', NULL),
		('034', 'h', 'Scala angolare', 'Scala angolare', 1, 0, '', 0, '', '', '', 0, -6, 'CF', '', '', NULL),
		('034', 'j', 'Declinazione--limite Nord', 'Declinazione--limite Nord', 0, 0, '', 0, '', '', '', 0, -6, 'CF', '', '', NULL),
		('034', 'k', 'Declinazione--limite Sud', 'Declinazione--limite Sud', 0, 0, '', 0, '', '', '', 0, -6, 'CF', '', '', NULL),
		('034', 'm', 'Ascensione retta--limite Est', 'Ascensione retta--limite Est', 0, 0, '', 0, '', '', '', 0, -6, 'CF', '', '', NULL),
		('034', 'n', 'Ascensione retta--limite Ovest', 'Ascensione retta--limite Ovest', 0, 0, '', 0, '', '', '', 0, -6, 'CF', '', '', NULL),
		('034', 'p', 'Equinozio', 'Equinozio', 0, 0, '', 0, '', '', '', 0, -6, 'CF', '', '', NULL),
		('034', 'r', 'Coordinate--latitudine limite Sud', 'Coordinate--latitudine limite Sud', 0, 0, '', 0, '', '', '', 0, -6, 'CF', '', '', NULL),
		('034', 's', 'Latitudine del perimetro', 'Latitudine del perimetro', 1, 0, '', 0, '', '', '', 0, -6, 'CF', '', '', NULL),
		('034', 't', 'Longitudine del perimetro', 'Longitudine del perimetro', 1, 0, '', 0, '', '', '', 0, -6, 'CF', '', '', NULL),
		('034', 'x', 'Data d\'inizio', 'Data d\'inizio', 0, 0, '', 0, '', '', '', 0, -6, 'CF', '', '', NULL),
		('034', 'y', 'Data di fine', 'Data di fine', 0, 0, '', 0, '', '', '', 0, -6, 'CF', '', '', NULL),
		('034', 'z', 'Nome dell\'oggetto extraterrestre', 'Nome dell\'oggetto extraterrestre', 0, 0, '', 0, '', '', '', 0, -6, 'CF', '', '', NULL),
		('035', '6', 'Collegamento', 'Collegamento', 0, 0, '', 0, '', '', '', 0, -6, 'CF', '', '', NULL),
		('035', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 0, '', '', '', 0, -6, 'CF', '', '', NULL),
		('035', 'a', 'System control number', 'System control number', 0, 0, '', 0, '', '', '', 0, -6, 'CF', '', '', NULL),
		('035', 'z', 'Numero di controllo del sistema cancellato o errato', 'Numero di controllo del sistema cancellato o errato', 1, 0, '', 0, '', '', '', 0, -6, 'CF', '', '', NULL),
		('036', '6', 'Collegamento', 'Collegamento', 0, 0, '', 0, '', '', '', 0, -6, 'CF', '', '', NULL),
		('036', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 0, '', '', '', 0, -6, 'CF', '', '', NULL),
		('036', 'a', 'Numero dello studio originale', 'Numero dello studio originale', 0, 0, '', 0, '', '', '', 0, -6, 'CF', '', '', NULL),
		('036', 'b', 'Fonte (agenzia che assegna il numero)', 'Fonte (agenzia che assegna il numero)', 0, 0, '', 0, '', '', '', 0, -6, 'CF', '', '', NULL),
		('037', '6', 'Collegamento', 'Collegamento', 0, 0, '', 0, '', '', '', 0, -6, 'CF', '', '', NULL),
		('037', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 0, '', '', '', 0, -6, 'CF', '', '', NULL),
		('037', 'a', 'Numero di magazzino', 'Numero di magazzino', 0, 0, '', 0, '', '', '', 0, -1, 'CF', '', '', NULL),
		('037', 'b', 'Fonte del numero di magazzino/d\'acquisto', 'Fonte del numero di magazzino/d\'acquisto', 0, 0, '', 0, '', '', '', 0, -1, 'CF', '', '', NULL),
		('037', 'c', 'Termini di disponibilità', 'Termini di disponibilità', 1, 0, '', 0, '', '', '', 0, -1, 'CF', '', '', NULL),
		('037', 'f', 'Forma dell\'emissione', 'Forma dell\'emissione', 1, 0, '', 0, '', '', '', 0, -1, 'CF', '', '', NULL),
		('037', 'g', 'Caratteristiche addizionali di formato', 'Caratteristiche addizionali di formato', 1, 0, '', 0, '', '', '', 0, -1, 'CF', '', '', NULL),
		('037', 'n', 'Nota', 'Nota', 1, 0, '', 0, '', '', '', 0, -1, 'CF', '', '', NULL),
		('038', '6', 'Collegamento', 'Collegamento', 0, 0, '', 0, '', '', '', 0, -6, 'CF', '', '', NULL),
		('038', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 0, '', '', '', 0, -6, 'CF', '', '', NULL),
		('038', 'a', 'Organizzazione che dà licenza d’uso del contenuto della registrazione', 'Organizzazione che dà licenza d’uso del contenuto della registrazione', 0, 0, '', 0, '', '', '', 0, -6, 'CF', '', '', NULL),
		('039', 'a', 'Level of rules in bibliographic description', 'Level of rules in bibliographic description', 0, 0, '', 0, '', '', '', 0, -6, 'CF', '', '', NULL),
		('039', 'b', 'Level of effort used to assign nonsubject heading access points', 'Level of effort used to assign nonsubject heading access points', 0, 0, '', 0, '', '', '', 0, -6, 'CF', '', '', NULL),
		('039', 'c', 'Level of effort used to assign subject headings', 'Level of effort used to assign subject headings', 0, 0, '', 0, '', '', '', 0, -6, 'CF', '', '', NULL),
		('039', 'd', 'Level of effort used to assign classification', 'Level of effort used to assign classification', 0, 0, '', 0, '', '', '', 0, -6, 'CF', '', '', NULL),
		('039', 'e', 'Number of fixed field character positions coded', 'Number of fixed field character positions coded', 0, 0, '', 0, '', '', '', 0, -6, 'CF', '', '', NULL),
		('040', '6', 'Collegamento', 'Collegamento', 0, 0, '', 0, '', '', '', 0, -6, 'CF', '', '', NULL),
		('040', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 0, '', '', '', 0, -6, 'CF', '', '', NULL),
		('040', 'a', 'Agenzia catalografica originale', 'Agenzia catalografica originale', 0, 0, '', 0, '', '', '', 0, -1, 'CF', '', '', NULL),
		('040', 'b', 'Lingua della catalogazione', 'Lingua della catalogazione', 0, 0, '', 0, '', '', '', 0, -6, 'CF', '', '', NULL),
		('040', 'c', 'Agenzia che fa la trascrizione', 'Agenzia che fa la trascrizione', 0, 0, '', 0, '', '', '', 0, -1, 'CF', '', '', NULL),
		('040', 'd', 'Agenzia che fa la modifica', 'Agenzia che fa la modifica', 1, 0, '', 0, '', '', '', 0, -1, 'CF', '', '', NULL),
		('040', 'e', 'Regole di descrizione', 'Regole di descrizione', 0, 0, '', 0, '', '', '', 0, -1, 'CF', '', '', NULL),
		('041', '2', 'Fonte del codice', 'Fonte del codice', 0, 0, '', 0, '', '', '', 0, -6, 'CF', '', '', NULL),
		('041', '6', 'Collegamento', 'Collegamento', 0, 0, '', 0, '', '', '', 0, -6, 'CF', '', '', NULL),
		('041', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 0, '', '', '', 0, -6, 'CF', '', '', NULL),
		('041', 'a', 'Codice di lingua del testo/traccia sonora o titolo separato', 'Codice di lingua del testo/traccia sonora o titolo separato', 1, 0, '', 0, '', '', '', 0, -1, 'CF', '', '', NULL),
		('041', 'b', 'Codice di lingua del riassunto, estratto o sottotitoli', 'Codice di lingua del riassunto, estratto o sottotitoli', 1, 0, '', 0, '', '', '', 0, -6, 'CF', '', '', NULL),
		('041', 'c', 'Languages of separate titles (VM) [OBSOLETE] ; Languages of available translation  (SE) [OBSOLETE]', 'Languages of separate titles (VM) [OBSOLETE] ; Languages of available translation  (SE) [OBSOLETE]', 1, 0, '', 0, '', '', '', 0, -6, 'CF', '', '', NULL),
		('041', 'd', 'Codice della lingua del testo cantato o parlato', 'Codice della lingua del testo cantato o parlato', 1, 0, '', 0, '', '', '', 0, -1, 'CF', '', '', NULL),
		('041', 'e', 'Codice della lingua dei libretti', 'Codice della lingua dei libretti', 1, 0, '', 0, '', '', '', 0, -1, 'CF', '', '', NULL),
		('041', 'f', 'Codice della lingua del sommario', 'Codice della lingua del sommario', 1, 0, '', 0, '', '', '', 0, -6, 'CF', '', '', NULL),
		('041', 'g', 'Codice della lingua del materiale allegato diverso dai libretti', 'Codice della lingua del materiale allegato diverso dai libretti', 1, 0, '', 0, '', '', '', 0, -1, 'CF', '', '', NULL),
		('041', 'h', 'Codice della lingua originale e/o delle traduzioni intermedie del testo', 'Codice della lingua originale e/o delle traduzioni intermedie del testo', 1, 0, '', 0, '', '', '', 0, -1, 'CF', '', '', NULL),
		('042', 'a', 'Codice d\'autenticazione', 'Codice d\'autenticazione', 0, 0, '', 0, '', '', '', 0, -6, 'CF', '', '', NULL),
		('043', '2', 'Fonte del codice di sottoente locale', 'Fonte del codice di sottoente locale', 1, 0, '', 0, '', '', '', 0, -6, 'CF', '', '', NULL),
		('043', '6', 'Collegamento', 'Collegamento', 0, 0, '', 0, '', '', '', 0, -6, 'CF', '', '', NULL),
		('043', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 0, '', '', '', 0, -6, 'CF', '', '', NULL),
		('043', 'a', 'Codice dell\'area geografica', 'Codice dell\'area geografica', 1, 0, '', 0, '', '', '', 0, -6, 'CF', '', '', NULL),
		('043', 'b', 'Codice locale GAC (codice dell\'area geografica)', 'Codice locale GAC (codice dell\'area geografica)', 1, 0, '', 0, '', '', '', 0, -6, 'CF', '', '', NULL),
		('043', 'c', 'Codice ISO', 'Codice ISO', 1, 0, '', 0, '', '', '', 0, -6, 'CF', '', '', NULL),
		('044', '2', 'Fonte del codice di sottoente locale', 'Fonte del codice di sottoente locale', 1, 0, '', 0, '', '', '', 0, -6, 'CF', '', '', NULL),
		('044', '6', 'Collegamento', 'Collegamento', 0, 0, '', 0, '', '', '', 0, -6, 'CF', '', '', NULL),
		('044', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 0, '', '', '', 0, -6, 'CF', '', '', NULL),
		('044', 'a', 'Codice MARC del paese', 'Codice MARC del paese', 1, 0, '', 0, '', '', '', 0, -6, 'CF', '', '', NULL),
		('044', 'b', 'Codice di sottoente locale', 'Codice di sottoente locale', 1, 0, '', 0, '', '', '', 0, -6, 'CF', '', '', NULL),
		('044', 'c', 'Codice ISO del paese', 'Codice ISO del paese', 1, 0, '', 0, '', '', '', 0, -6, 'CF', '', '', NULL),
		('045', '6', 'Collegamento', 'Collegamento', 0, 0, '', 0, '', '', '', 0, -6, 'CF', '', '', NULL),
		('045', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 0, '', '', '', 0, -6, 'CF', '', '', NULL),
		('045', 'a', 'Codice di periodo di tempo', 'Codice di periodo di tempo', 1, 0, '', 0, '', '', '', 0, -6, 'CF', '', '', NULL),
		('045', 'b', 'Periodo di tempo formattato dal 9999 a.C. fino al 9999 d.C.', 'Periodo di tempo formattato dal 9999 a.C. fino al 9999 d.C.', 1, 0, '', 0, '', '', '', 0, -6, 'CF', '', '', NULL),
		('045', 'c', 'Periodo di tempo formattato anteriore al 9999 a.C.', 'Periodo di tempo formattato anteriore al 9999 a.C.', 1, 0, '', 0, '', '', '', 0, -6, 'CF', '', '', NULL),
		('046', '2', 'Fonte della data', 'Fonte della data', 0, 0, '', 0, '', '', '', 0, -6, 'CF', '', '', NULL),
		('046', '6', 'Collegamento', 'Collegamento', 0, 0, '', 0, '', '', '', 0, -6, 'CF', '', '', NULL),
		('046', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 0, '', '', '', 0, -6, 'CF', '', '', NULL),
		('046', 'a', 'Codice di tipo di data', 'Codice di tipo di data', 0, 0, '', 0, '', '', '', 0, -6, 'CF', '', '', NULL),
		('046', 'b', 'Data 1 (data a.C.)', 'Data 1 (data a.C.)', 0, 0, '', 0, '', '', '', 0, -6, 'CF', '', '', NULL),
		('046', 'c', 'Data 1 (data d.C.)', 'Data 1 (data d.C.)', 0, 0, '', 0, '', '', '', 0, -6, 'CF', '', '', NULL),
		('046', 'd', 'Data 2 (data a.C.)\',\'Data 2 (data a.C.)', 'Data 2 (data a.C.)\',\'Data 2 (data a.C.)', 0, 0, '', 0, '', '', '', 0, -6, 'CF', '', '', NULL),
		('046', 'e', 'Data 2 (data d.C.)', 'Data 2 (data d.C.)', 0, 0, '', 0, '', '', '', 0, -6, 'CF', '', '', NULL),
		('046', 'j', 'Data della modifica della risorsa', 'Data della modifica della risorsa', 0, 0, '', 0, '', '', '', 0, -6, 'CF', '', '', NULL),
		('046', 'k', 'Data iniziale di creazione o data semplice', 'Data iniziale di creazione o data semplice', 0, 0, '', 0, '', '', '', 0, -6, 'CF', '', '', NULL),
		('046', 'l', 'Data finale di creazione', 'Data finale di creazione', 0, 0, '', 0, '', '', '', 0, -6, 'CF', '', '', NULL),
		('046', 'm', 'Data iniziale di validità', 'Data iniziale di validità', 0, 0, '', 0, '', '', '', 0, -6, 'CF', '', '', NULL),
		('046', 'n', 'Data finale di validità', 'Data finale di validità', 0, 0, '', 0, '', '', '', 0, -6, 'CF', '', '', NULL),
		('047', '2', 'Fonte del codice', 'Fonte del codice', 0, 0, '', 0, '', '', '', 0, -6, 'CF', '', '', NULL),
		('047', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 0, '', '', '', 0, -6, 'CF', '', '', NULL),
		('047', 'a', 'Codice di forma della composizione musicale', 'Codice di forma della composizione musicale', 1, 0, '', 0, '', '', '', 0, -6, 'CF', '', '', NULL),
		('048', '2', 'Fonte del codice', 'Fonte del codice', 0, 0, '', 0, '', '', '', 0, -6, 'CF', '', '', NULL),
		('048', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 0, '', '', '', 0, -6, 'CF', '', '', NULL),
		('048', 'a', 'Esecutore o complesso', 'Esecutore o complesso', 1, 0, '', 0, '', '', '', 0, -6, 'CF', '', '', NULL),
		('048', 'b', 'Solista', 'Solista', 1, 0, '', 0, '', '', '', 0, -6, 'CF', '', '', NULL),
		('049', 'a', 'Holding library', 'Holding library', 1, 0, '', 0, '', '', '', 0, -6, 'CF', '', '', NULL),
		('049', 'c', 'Copy statement', 'Copy statement', 1, 0, '', 0, '', '', '', 0, -6, 'CF', '', '', NULL),
		('049', 'd', 'Definition of bibliographic subdivisions', 'Definition of bibliographic subdivisions', 1, 0, '', 0, '', '', '', 0, -6, 'CF', '', '', NULL),
		('049', 'l', 'Local processing data', 'Local processing data', 1, 0, '', 0, '', '', '', 0, -6, 'CF', '', '', NULL),
		('049', 'm', 'Missing elements', 'Missing elements', 1, 0, '', 0, '', '', '', 0, -6, 'CF', '', '', NULL),
		('049', 'n', 'Notes about holdings', 'Notes about holdings', 0, 0, '', 0, '', '', '', 0, -6, 'CF', '', '', NULL),
		('049', 'o', 'Local processing data', 'Local processing data', 1, 0, '', 0, '', '', '', 0, -6, 'CF', '', '', NULL),
		('049', 'p', 'Secondary bibliographic subdivision', 'Secondary bibliographic subdivision', 1, 0, '', 0, '', '', '', 0, -6, 'CF', '', '', NULL),
		('049', 'q', 'Third bibliographic subdivision', 'Third bibliographic subdivision', 1, 0, '', 0, '', '', '', 0, -6, 'CF', '', '', NULL),
		('049', 'r', 'Fourth bibliographic subdivision', 'Fourth bibliographic subdivision', 1, 0, '', 0, '', '', '', 0, -6, 'CF', '', '', NULL),
		('049', 's', 'Fifth bibliographic subdivision', 'Fifth bibliographic subdivision', 0, 0, '', 0, '', '', '', 0, -6, 'CF', '', '', NULL),
		('049', 't', 'Sixth bibliographic subdivision', 'Sixth bibliographic subdivision', 1, 0, '', 0, '', '', '', 0, -6, 'CF', '', '', NULL),
		('049', 'u', 'Seventh bibliographic subdivision', 'Seventh bibliographic subdivision', 1, 0, '', 0, '', '', '', 0, -6, 'CF', '', '', NULL),
		('049', 'v', 'Seventh bibliographic subdivision', 'Seventh bibliographic subdivision', 1, 0, '', 0, '', '', '', 0, -6, 'CF', '', '', NULL),
		('049', 'y', 'Inclusive dates of publication or coverage', 'Inclusive dates of publication or coverage', 0, 0, '', 0, '', '', '', 0, -6, 'CF', '', '', NULL),
		('050', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, '', 0, '', '', '', 0, -6, 'CF', '', '', NULL),
		('050', '6', 'Collegamento', 'Collegamento', 0, 0, '', 0, '', '', '', 0, -6, 'CF', '', '', NULL),
		('050', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 0, '', '', '', 0, -6, 'CF', '', '', NULL),
		('050', 'a', 'Numero di classificazione', 'Numero di classificazione', 1, 0, '', 0, '', '', '', 0, 0, 'CF', '', '', NULL),
		('050', 'b', 'Numero d\'item', 'Numero d\'item', 0, 0, '', 0, '', '', '', 0, 0, 'CF', '', '', NULL),
		('050', 'd', 'Supplementary class number (MU) [OBSOLETE]', 'Supplementary class number (MU) [OBSOLETE]', 0, 0, '', 0, '', '', '', 0, -6, 'CF', '', '', NULL),
		('051', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 0, '', '', '', 0, -6, 'CF', '', '', NULL),
		('051', 'a', 'Numero di classificazione', 'Numero di classificazione', 0, 0, '', 0, '', '', '', 0, -6, 'CF', '', '', NULL),
		('051', 'b', 'Numero d\'item', 'Numero d\'item', 0, 0, '', 0, '', '', '', 0, -6, 'CF', '', '', NULL),
		('051', 'c', 'Informazione dell\'esemplare', 'Informazione dell\'esemplare', 0, 0, '', 0, '', '', '', 0, -6, 'CF', '', '', NULL),
		('052', '2', 'Fonte del codice', 'Fonte del codice', 0, 0, '', 0, '', '', '', 0, -6, 'CF', '', '', NULL),
		('052', '6', 'Collegamento', 'Collegamento', 0, 0, '', 0, '', '', '', 0, -6, 'CF', '', '', NULL),
		('052', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 0, '', '', '', 0, -6, 'CF', '', '', NULL),
		('052', 'a', 'Codice di classificazione dell\'area geografica', 'Codice di classificazione dell\'area geografica', 0, 0, '', 0, '', '', '', 0, -6, 'CF', '', '', NULL),
		('052', 'b', 'Codice di classificazione della sottoarea geografica', 'Codice di classificazione della sottoarea geografica', 1, 0, '', 0, '', '', '', 0, -6, 'CF', '', '', NULL),
		('052', 'c', 'Subject (MP) [OBSOLETE]', 'Subject (MP) [OBSOLETE]', 0, 0, '', 0, '', '', '', 0, -6, 'CF', '', '', NULL),
		('052', 'd', 'Nome di luogo abitato', 'Nome di luogo abitato', 1, 0, '', 0, '', '', '', 0, -6, 'CF', '', '', NULL),
		('055', '2', 'Fonte del numero di chiamata/classe', 'Fonte del numero di chiamata/classe', 0, 0, '', 0, '', '', '', 0, -6, 'CF', '', '', NULL),
		('055', '6', 'Collegamento', 'Collegamento', 0, 0, '', 0, '', '', '', 0, -6, 'CF', '', '', NULL),
		('055', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 0, '', '', '', 0, -6, 'CF', '', '', NULL),
		('055', 'a', 'Numero di classificazione', 'Numero di classificazione', 0, 0, '', 0, '', '', '', 0, -6, 'CF', '', '', NULL),
		('055', 'b', 'Numero d\'item', 'Numero d\'item', 0, 0, '', 0, '', '', '', 0, -6, 'CF', '', '', NULL),
		('060', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 0, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('060', 'a', 'Numero di classificazione', 'Numero di classificazione', 1, 0, NULL, 0, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('060', 'b', 'Numero d\'item', 'Numero d\'item', 0, 0, NULL, 0, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('061', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 0, '', '', '', 0, -6, 'CF', '', '', NULL),
		('061', 'a', 'Numero di classificazione', 'Numero di classificazione', 1, 0, '', 0, '', '', '', 0, -6, 'CF', '', '', NULL),
		('061', 'b', 'Numero d\'item', 'Numero d\'item', 0, 0, '', 0, '', '', '', 0, -6, 'CF', '', '', NULL),
		('061', 'c', 'Informazione dell\'esemplare', 'Informazione dell\'esemplare', 0, 0, '', 0, '', '', '', 0, -6, 'CF', '', '', NULL),
		('066', 'a', 'Set di caratteri primario G0', 'Set di caratteri primario G0', 0, 0, NULL, 0, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('066', 'b', 'Set di caratteri primario G1', 'Set di caratteri primario G1', 0, 0, NULL, 0, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('066', 'c', 'Set di caratteri alternativo G0 o G1', 'Set di caratteri alternativo G0 o G1', 1, 0, NULL, 0, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('070', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 0, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('070', 'a', 'Numero di classificazione', 'Numero di classificazione', 1, 0, NULL, 0, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('070', 'b', 'Numero d\'item', 'Numero d\'item', 0, 0, NULL, 0, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('071', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 0, '', '', '', 0, -6, 'CF', '', '', NULL),
		('071', 'a', 'Numero di classificazione', 'Numero di classificazione', 1, 0, '', 0, '', '', '', 0, -6, 'CF', '', '', NULL),
		('071', 'b', 'Numero d\'item', 'Numero d\'item', 0, 0, '', 0, '', '', '', 0, -6, 'CF', '', '', NULL),
		('071', 'c', 'Informazione dell\'esemplare', 'Informazione dell\'esemplare', 0, 0, '', 0, '', '', '', 0, -6, 'CF', '', '', NULL),
		('072', '2', 'Fonte', 'Fonte', 0, 0, NULL, 0, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('072', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 0, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('072', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 0, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('072', 'a', 'Codice di categoria di soggetto', 'Codice di categoria di soggetto', 0, 0, NULL, 0, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('072', 'x', 'Suddivisione del codice di categoria di soggetto', 'Suddivisione del codice di categoria di soggetto', 1, 0, NULL, 0, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('074', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 0, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('074', 'a', 'Numero GPO dell\'item', 'Numero GPO dell\'item', 0, 0, NULL, 0, NULL, NULL, '', NULL, -1, 'CF', '', '', NULL),
		('074', 'z', 'Numero GPO dell\'item cancellato/errato', 'Numero GPO dell\'item cancellato/errato', 1, 0, NULL, 0, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('080', '2', 'Numero dell\'edizione', 'Numero dell\'edizione', 0, 0, NULL, 0, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('080', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 0, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('080', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 0, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('080', 'a', 'Numero di Classificazione decimale universale', 'Numero di Classificazione decimale universale', 0, 0, NULL, 0, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('080', 'b', 'Numero d\'item', 'Numero d\'item', 0, 0, NULL, 0, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('080', 'x', 'Suddivisione ausiliare comune', 'Suddivisione ausiliare comune', 1, 0, NULL, 0, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('082', '2', 'Numero dell\'edizione', 'Numero dell\'edizione', 0, 0, '', 0, '', '', '', NULL, 0, 'CF', '', '', NULL),
		('082', '6', 'Collegamento', 'Collegamento', 0, 0, '', 0, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('082', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 0, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('082', 'a', 'Numero di classificazione', 'Numero di classificazione', 1, 0, '', 0, '', '', '', NULL, 0, 'CF', '', '', NULL),
		('082', 'b', 'Numero d\'item', 'Numero d\'item', 0, 0, '', 0, '', '', '', NULL, 0, 'CF', '', '', NULL),
		('084', '2', 'Fonte del numero', 'Fonte del numero', 0, 0, NULL, 0, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('084', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 0, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('084', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 0, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('084', 'a', 'Numero di classificazione', 'Numero di classificazione', 1, 0, NULL, 0, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('084', 'b', 'Numero d\'item', 'Numero d\'item', 0, 0, NULL, 0, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('086', '2', 'Fonte del numero', 'Fonte del numero', 0, 0, NULL, 0, NULL, NULL, '', NULL, -1, 'CF', '', '', NULL),
		('086', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 0, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('086', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 0, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('086', 'a', 'Numero di classificazione', 'Numero di classificazione', 0, 0, NULL, 0, NULL, NULL, '', NULL, -1, 'CF', '', '', NULL),
		('086', 'z', 'Numero di classificazione cancellato/errato', 'Numero di classificazione cancellato/errato', 1, 0, NULL, 0, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('087', 'a', 'Report number [OBSOLETE, CAN/MARC]', 'Report number [OBSOLETE, CAN/MARC]', 0, 0, '', 0, '', '', '', 0, -6, 'CF', '', '', NULL),
		('087', 'z', 'Canceled/invalid report number [OBSOLETE, CAN/MARC]', 'Canceled/invalid report number [OBSOLETE, CAN/MARC]', 1, 0, '', 0, '', '', '', 0, -6, 'CF', '', '', NULL),
		('088', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 0, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('088', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 0, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('088', 'a', 'Numero di rapporto', 'Numero di rapporto', 0, 0, NULL, 0, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('088', 'z', 'Numero di rapporto cancellato/errato', 'Numero di rapporto cancellato/errato', 1, 0, NULL, 0, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('090', 'a', 'Classification number (OCLC) (R) ; Classification number, CALL (RLIN) (NR)', 'Classification number (OCLC) (R) ; Classification number, CALL (RLIN) (NR)', 1, 0, '', 0, '', '', '', 0, -6, 'CF', '', '', NULL),
		('090', 'b', 'Local cutter number (OCLC) ; Book number/undivided call number, CALL (RLIN)', 'Local cutter number (OCLC) ; Book number/undivided call number, CALL (RLIN)', 0, 0, '', 0, '', '', '', 0, -6, 'CF', '', '', NULL),
		('090', 'e', 'Feature heading (OCLC)', 'Feature heading (OCLC)', 0, 0, '', 0, '', '', '', 0, 5, 'CF', '', '', NULL),
		('090', 'f', 'Filing suffix (OCLC); Footnote, FNT (RLIN)', 'Filing suffix (OCLC); Footnote, FNT (RLIN)', 0, 0, '', 0, '', '', '', 0, 5, 'CF', '', '', NULL),
		('090', 'h', 'Output transaction history, HST (RLIN)', 'Output transaction history, HST (RLIN)', 0, 0, '', 0, '', '', '', 0, 5, 'CF', '', '', NULL),
		('090', 'i', 'Output transaction instruction, INS (RLIN)', 'Output transaction instruction, INS (RLIN)', 0, 0, '', 0, '', '', '', 0, 5, 'CF', '', '', NULL),
		('090', 'l', 'Extra card control statement, EXT (RLIN)', 'Extra card control statement, EXT (RLIN)', 0, 0, '', 0, '', '', '', 0, 5, 'CF', '', '', NULL),
		('090', 'n', 'Additional local notes, ANT (RLIN)', 'Additional local notes, ANT (RLIN)', 0, 0, '', 0, '', '', '', 0, 5, 'CF', '', '', NULL),
		('090', 'p', 'Pathfinder code, PTH (RLIN)', 'Pathfinder code, PTH (RLIN)', 0, 0, '', 0, '', '', '', 0, 5, 'CF', '', '', NULL),
		('090', 't', 'Field suppresion, FSP (RLIN)', 'Field suppresion, FSP (RLIN)', 0, 0, '', 0, '', '', '', 0, 5, 'CF', '', '', NULL),
		('090', 'v', 'Volumes, VOL (RLIN)', 'Volumes, VOL (RLIN)', 0, 0, '', 0, '', '', '', 0, 5, 'CF', '', '', NULL),
		('090', 'y', 'Date, VOL (RLIN)', 'Date, VOL (RLIN)', 0, 0, '', 0, '', '', '', 0, 5, 'CF', '', '', NULL),
		('090', 'z', 'Retention, VOL (RLIN)', 'Retention, VOL (RLIN)', 0, 0, '', 0, '', '', '', 0, 5, 'CF', '', '', NULL),
		('091', 'a', 'Microfilm shelf location', 'Microfilm shelf location', 0, 0, '', 0, '', '', '', 0, -6, 'CF', '', '', NULL),
		('092', '2', 'Numero dell\'edizione', 'Numero dell\'edizione', 0, 0, '', 0, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('092', 'a', 'Numero di classificazione', 'Numero di classificazione', 0, 0, '', 0, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('092', 'b', 'Numero d\'item', 'Numero d\'item', 0, 0, '', 0, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('092', 'e', 'Feature heading', 'Feature heading', 0, 0, '', 0, '', '', '', 0, -6, 'CF', '', '', NULL),
		('092', 'f', 'Filing suffix', 'Filing suffix', 0, 0, '', 0, '', '', '', 0, -6, 'CF', '', '', NULL),
		('096', 'a', 'Numero di classificazione', 'Numero di classificazione', 0, 0, '', 0, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('096', 'b', 'Numero d\'item', 'Numero d\'item', 0, 0, '', 0, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('096', 'e', 'Feature heading', 'Feature heading', 0, 0, '', 0, '', '', '', 0, -6, 'CF', '', '', NULL),
		('096', 'f', 'Filing suffix', 'Filing suffix', 0, 0, '', 0, '', '', '', 0, -6, 'CF', '', '', NULL),
		('098', 'a', 'Call number based on other classification scheme', 'Call number based on other classification scheme', 0, 0, '', 0, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('098', 'e', 'Feature heading', 'Feature heading', 0, 0, '', 0, '', '', '', 0, -6, 'CF', '', '', NULL),
		('098', 'f', 'Filing suffix', 'Filing suffix', 0, 0, '', 0, '', '', '', 0, -6, 'CF', '', '', NULL),
		('099', 'a', 'Numero di classificazione', 'Numero di classificazione', 1, 0, '', 0, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('099', 'e', 'Feature heading', 'Feature heading', 0, 0, '', 0, '', '', '', 0, -6, 'CF', '', '', NULL),
		('099', 'f', 'Filing suffix', 'Filing suffix', 0, 0, '', 0, '', '', '', 0, -6, 'CF', '', '', NULL),
		('100', '4', 'Codice di ruolo', 'Codice di ruolo', 1, 0, '', 1, '', '', '', 0, -6, 'CF', '', '', NULL),
		('100', '6', 'Collegamento', 'Collegamento', 0, 0, '', 1, '', '', '', 0, -6, 'CF', '', '', NULL),
		('100', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 1, '', '', '', 0, -6, 'CF', '', '', NULL),
		('100', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 1, '', '', '', 0, 0, 'CF', '', '', NULL),
		('100', 'a', 'Nome di persona', 'Nome di persona', 0, 0, 'biblio.author', 1, '', 'PERSO_NAME', '', 0, -1, 'CF', '''100b'',''100c'',''100q'',''100d'',''100e'',''110a'',''110b'',''110c'',''110d'',''110e'',''111a'',''111e'',''111c'',''111d'',''130a'',''700a'',''700b'',''700c'',''700q'',''700d'',''700e'',''710a'',''710b'',''710c'',''710d'',''710e'',''711a'',''711e'',''711c'',''711d'',''720a'',''720e'',''796a'',''796b'',''796c'',''796q'',''796d'',''796e'',''797a'',''797b'',''797c'',''797d'',''797e'',''798a'',''798e'',''798c'',''798d'',''800a'',''800b'',''800c'',''800q'',''800d'',''800e'',''810a'',''810b'',''810c'',''810d'',''810e'',''811a'',''811e'',''811c'',''811d'',''896a'',''896b'',''896c'',''896q'',''896d'',''896e'',''897a'',''897b'',''897c'',''897d'',''897e'',''898a'',''898e'',''898c'',''898d'',''505r''', '', NULL),
		('100', 'b', 'Numerazione', 'Numerazione', 0, 0, '', 1, '', '', '', 0, -1, 'CF', '', '', NULL),
		('100', 'c', 'Titoli e altre parole associate al nome', 'Titoli e altre parole associate al nome', 1, 0, '', 1, '', '', '', 0, -1, 'CF', '', '', NULL),
		('100', 'd', 'Date associate al nome', 'Date associate al nome', 0, 0, '', 1, '', '', '', 0, -1, 'CF', '', '', NULL),
		('100', 'e', 'Termine di ruolo', 'Termine di ruolo', 1, 0, '', 1, '', '', '', 0, -1, 'CF', '', '', NULL),
		('100', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, '', 1, '', '', '', 0, -6, 'CF', '', '', NULL),
		('100', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, '', 1, '', '', '', 0, -6, 'CF', '', '', NULL),
		('100', 'j', 'Qualificazione d\'attribuzione', 'Qualificazione d\'attribuzione', 1, 0, '', 1, '', '', '', 0, -6, 'CF', '', '', NULL),
		('100', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, '', 1, '', '', '', 0, -6, 'CF', '', '', NULL),
		('100', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, '', 1, '', '', '', 0, -6, 'CF', '', '', NULL),
		('100', 'n', 'Numero di parte/sezione dell\'opera', 'Numero di parte/sezione dell\'opera', 1, 0, '', 1, '', '', '', 0, -6, 'CF', '', '', NULL),
		('100', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, '', 1, '', '', '', 0, -6, 'CF', '', '', NULL),
		('100', 'q', 'Forma completa del nome', 'Forma completa del nome', 0, 0, '', 1, '', '', '', 0, -1, 'CF', '', '', NULL),
		('100', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, '', 1, '', '', '', 0, -6, 'CF', '', '', NULL),
		('100', 'u', 'Affiliazione', 'Affiliazione', 0, 0, '', 1, '', '', '', 0, -6, 'CF', '', '', NULL),
		('110', '4', 'Codice di ruolo', 'Codice di ruolo', 1, 0, '', 1, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('110', '6', 'Collegamento', 'Collegamento', 0, 0, '', 1, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('110', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 1, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('110', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 1, '', '', '', 0, -5, 'CF', '', '', NULL),
		('110', 'a', 'Nome dell\'ente o nome della giurisdizione come accesso', 'Nome dell\'ente o nome della giurisdizione come accesso', 0, 0, '', 1, '', 'CORPO_NAME', '', NULL, -1, 'CF', '', '', NULL),
		('110', 'b', 'Unità subordinata', 'Unità subordinata', 1, 0, '', 1, '', '', '', NULL, -1, 'CF', '', '', NULL),
		('110', 'c', 'Luogo del convegno', 'Luogo del convegno', 0, 0, '', 1, '', '', '', NULL, -1, 'CF', '', '', NULL),
		('110', 'd', 'Data del convegno o di firma del trattato', 'Data del convegno o di firma del trattato', 1, 0, '', 1, '', '', '', NULL, -1, 'CF', '', '', NULL),
		('110', 'e', 'Termine di ruolo', 'Termine di ruolo', 1, 0, '', 1, '', '', '', NULL, -1, 'CF', '', '', NULL),
		('110', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, '', 1, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('110', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, '', 1, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('110', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, '', 1, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('110', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, '', 1, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('110', 'n', 'Numero di parte/sezione/convegno', 'Numero di parte/sezione/convegno', 1, 0, '', 1, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('110', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, '', 1, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('110', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, '', 1, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('110', 'u', 'Affiliazione', 'Affiliazione', 0, 0, '', 1, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('111', '4', 'Codice di ruolo', 'Codice di ruolo', 1, 0, NULL, 1, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('111', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 1, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('111', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 1, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('111', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 1, '', '', '', 0, -5, 'CF', '', '', NULL),
		('111', 'a', 'Nome del convegno o nome della giurisdizione come accesso', 'Nome del convegno o nome della giurisdizione come accesso', 0, 0, NULL, 1, NULL, 'MEETI_NAME', '', NULL, -1, 'CF', '', '', NULL),
		('111', 'b', 'Number [OBSOLETE]', 'Number [OBSOLETE]', 0, 0, NULL, 1, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('111', 'c', 'Luogo del convegno', 'Luogo del convegno', 0, 0, NULL, 1, NULL, NULL, '', NULL, -1, 'CF', '', '', NULL),
		('111', 'd', 'Data del convegno', 'Data del convegno', 0, 0, NULL, 1, NULL, NULL, '', NULL, -1, 'CF', '', '', NULL),
		('111', 'e', 'Unità subordinata', 'Unità subordinata', 1, 0, NULL, 1, NULL, NULL, '', NULL, -1, 'CF', '', '', NULL),
		('111', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, NULL, 1, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('111', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, NULL, 1, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('111', 'j', 'Termine di ruolo', 'Termine di ruolo', 1, 0, NULL, 1, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('111', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, NULL, 1, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('111', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, NULL, 1, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('111', 'n', 'Numero di parte/sezione/convegno', 'Numero di parte/sezione/convegno', 1, 0, NULL, 1, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('111', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, NULL, 1, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('111', 'q', 'Nome del convegno dopo accesso di nome della giurisdizione', 'Nome del convegno dopo accesso di nome della giurisdizione', 0, 0, NULL, 1, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('111', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, NULL, 1, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('111', 'u', 'Affiliazione', 'Affiliazione', 0, 0, NULL, 1, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('130', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 1, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('130', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 1, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('130', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 1, '', '', '', 0, -5, 'CF', '', '', NULL),
		('130', 'a', 'Titolo uniforme', 'Titolo uniforme', 0, 0, NULL, 1, NULL, 'UNIF_TITLE', '', NULL, -6, 'CF', '', '', NULL),
		('130', 'd', 'Data di firma del trattato', 'Data di firma del trattato', 1, 0, NULL, 1, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('130', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, NULL, 1, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('130', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, NULL, 1, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('130', 'h', 'Supporto', 'Supporto', 0, 0, NULL, 1, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('130', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, NULL, 1, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('130', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, NULL, 1, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('130', 'm', 'Mezzo di esecuzione per la musica', 'Mezzo di esecuzione per la musica', 1, 0, NULL, 1, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('130', 'n', 'Numero di parte/sezione dell\'opera', 'Numero di parte/sezione dell\'opera', 1, 0, NULL, 1, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('130', 'o', 'Formulazione d\'arrangiamento per la musica', 'Formulazione d\'arrangiamento per la musica', 0, 0, NULL, 1, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('130', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, NULL, 1, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('130', 'r', 'Tonalità (musica)', 'Tonalità (musica)', 0, 0, NULL, 1, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('130', 's', 'Versione', 'Versione', 0, 0, NULL, 1, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('130', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, NULL, 1, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('210', '2', 'Fonte', 'Fonte', 1, 0, NULL, 2, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('210', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 2, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('210', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 2, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('210', 'a', 'Titolo abbreviato', 'Titolo abbreviato', 0, 0, NULL, 2, NULL, NULL, '', NULL, -1, 'CF', '', '', NULL),
		('210', 'b', 'Qualificazione', 'Qualificazione', 0, 0, NULL, 2, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('211', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 2, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('211', 'a', 'Acronym or shortened title', 'Acronym or shortened title', 0, 0, NULL, 2, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('212', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 2, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('212', 'a', 'Acronym or shortened title', 'Acronym or shortened title', 0, 0, NULL, 2, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('214', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 2, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('214', 'a', 'Augmented title', 'Augmented title', 0, 0, NULL, 2, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('222', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 2, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('222', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 2, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('222', 'a', 'Titolo chiave', 'Titolo chiave', 0, 0, NULL, 2, NULL, NULL, '', NULL, -1, 'CF', '', '', NULL),
		('222', 'b', 'Qualificazione', 'Qualificazione', 0, 0, NULL, 2, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('240', '6', 'Collegamento', 'Collegamento', 0, 0, '', 2, '', '', '', 0, -6, 'CF', '', '', NULL),
		('240', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 2, '', '', '', 0, -6, 'CF', '', '', NULL),
		('240', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 2, '', '', '', 0, -5, 'CF', '', '', NULL),
		('240', 'a', 'Titolo uniforme', 'Titolo uniforme', 0, 0, 'biblio.unititle', 2, '', '', '', 0, -1, 'CF', '', '', NULL),
		('240', 'd', 'Data di firma del trattato', 'Data di firma del trattato', 1, 0, '', 2, '', '', '', 0, -6, 'CF', '', '', NULL),
		('240', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, '', 2, '', '', '', 0, -6, 'CF', '', '', NULL),
		('240', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, '', 2, '', '', '', 0, -6, 'CF', '', '', NULL),
		('240', 'h', 'Supporto', 'Supporto', 0, 0, '', 2, '', '', '', 0, -1, 'CF', '', '', NULL),
		('240', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, '', 2, '', '', '', 0, -6, 'CF', '', '', NULL),
		('240', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, '', 2, '', '', '', 0, -1, 'CF', '', '', NULL),
		('240', 'm', 'Mezzo di esecuzione per la musica', 'Mezzo di esecuzione per la musica', 1, 0, '', 2, '', '', '', 0, -6, 'CF', '', '', NULL),
		('240', 'n', 'Numero di parte/sezione dell\'opera', 'Numero di parte/sezione dell\'opera', 1, 0, '', 2, '', '', '', 0, -6, 'CF', '', '', NULL),
		('240', 'o', 'Formulazione d\'arrangiamento per la musica', 'Formulazione d\'arrangiamento per la musica', 0, 0, '', 2, '', '', '', 0, -6, 'CF', '', '', NULL),
		('240', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, '', 2, '', '', '', 0, -6, 'CF', '', '', NULL),
		('240', 'r', 'Tonalità (musica)', 'Tonalità (musica)', 0, 0, '', 2, '', '', '', 0, -1, 'CF', '', '', NULL),
		('240', 's', 'Versione', 'Versione', 0, 0, '', 2, '', '', '', 0, -1, 'CF', '', '', NULL),
		('241', 'a', 'Romanized title', 'Romanized title', 0, 0, NULL, 2, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('241', 'h', 'Supporto', 'Supporto', 0, 0, NULL, 2, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('242', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 2, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('242', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 2, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('242', 'a', 'Titolo', 'Titolo', 0, 0, NULL, 2, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('242', 'b', 'Complemento del titolo', 'Complemento del titolo', 0, 0, NULL, 2, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('242', 'c', 'Formulazione di responsabilità, ecc.', 'Formulazione di responsabilità, ecc.', 0, 0, NULL, 2, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('242', 'd', 'Designation of section (BK AM MP MU VM SE) [OBSOLETE]', 'Designation of section (BK AM MP MU VM SE) [OBSOLETE]', 0, 0, '', 2, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('242', 'e', 'Name of part/section (BK AM MP MU VM SE) [OBSOLETE]', 'Name of part/section (BK AM MP MU VM SE) [OBSOLETE]', 0, 0, '', 2, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('242', 'h', 'Supporto', 'Supporto', 0, 0, NULL, 2, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('242', 'n', 'Numero di parte/sezione dell\'opera', 'Numero di parte/sezione dell\'opera', 1, 0, NULL, 2, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('242', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, NULL, 2, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('242', 'y', 'Codice di lingua del titolo tradotto', 'Codice di lingua del titolo tradotto', 0, 0, NULL, 2, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('243', '6', 'Collegamento', 'Collegamento', 0, 0, '', 2, '', '', '', 0, -6, 'CF', '', '', NULL),
		('243', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 2, '', '', '', 0, -6, 'CF', '', '', NULL),
		('243', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 2, '', '', '', 0, -5, 'CF', '', '', NULL),
		('243', 'a', 'Titolo uniforme', 'Titolo uniforme', 0, 0, '', 2, '', '', '', 1, -1, 'CF', '', '', NULL),
		('243', 'd', 'Data di firma del trattato', 'Data di firma del trattato', 1, 0, '', 2, '', '', '', 0, -6, 'CF', '', '', NULL),
		('243', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, '', 2, '', '', '', 0, -6, 'CF', '', '', NULL),
		('243', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, '', 2, '', '', '', 0, -6, 'CF', '', '', NULL),
		('243', 'h', 'Supporto', 'Supporto', 0, 0, '', 2, '', '', '', 0, -1, 'CF', '', '', NULL),
		('243', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, '', 2, '', '', '', 0, -6, 'CF', '', '', NULL),
		('243', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, '', 2, '', '', '', 0, -1, 'CF', '', '', NULL),
		('243', 'm', 'Mezzo di esecuzione per la musica', 'Mezzo di esecuzione per la musica', 1, 0, '', 2, '', '', '', 0, -6, 'CF', '', '', NULL),
		('243', 'n', 'Numero di parte/sezione dell\'opera', 'Numero di parte/sezione dell\'opera', 1, 0, '', 2, '', '', '', 0, -6, 'CF', '', '', NULL),
		('243', 'o', 'Formulazione d\'arrangiamento per la musica', 'Formulazione d\'arrangiamento per la musica', 0, 0, '', 2, '', '', '', 0, -6, 'CF', '', '', NULL),
		('243', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, '', 2, '', '', '', 0, -6, 'CF', '', '', NULL),
		('243', 'r', 'Tonalità (musica)', 'Tonalità (musica)', 0, 0, '', 2, '', '', '', 0, -1, 'CF', '', '', NULL),
		('243', 's', 'Versione', 'Versione', 0, 0, '', 2, '', '', '', 0, -1, 'CF', '', '', NULL),
		('245', '6', 'Collegamento', 'Collegamento', 0, 0, '', 2, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('245', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 2, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('245', 'a', 'Titolo', 'Titolo', 0, 1, 'biblio.title', 2, '', '', '', NULL, 0, 'CF', '''245b'',''245f'',''245g'',''245k'',''245n'',''245p'',''245s'',''245h'',''246i'',''246a'',''246b'',''246f'',''246g'',''246n'',''246p'',''246h'',''242a'',''242b'',''242n'',''242p'',''242h''', '', NULL),
		('245', 'b', 'Complemento del titolo', 'Complemento del titolo', 0, 0, 'bibliosubtitle.subtitle', 2, '', '', '', NULL, 0, 'CF', '', '', NULL),
		('245', 'c', 'Formulazione di responsabilità, ecc.', 'Formulazione di responsabilità, ecc.', 0, 0, '', 2, '', '', '', NULL, 0, 'CF', '', '', NULL),
		('245', 'd', 'Designation of section/part/series (SE) [OBSOLETE]', 'Designation of section/part/series (SE) [OBSOLETE]', 0, 0, '', 2, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('245', 'e', 'Name of part/section/series (SE) [OBSOLETE]', 'Name of part/section/series (SE) [OBSOLETE]', 0, 0, '', 2, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('245', 'f', 'Date inclusive', 'Date inclusive', 0, 0, '', 2, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('245', 'g', 'Date preponderanti', 'Date preponderanti', 0, 0, '', 2, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('245', 'h', 'Supporto', 'Supporto', 0, 0, '', 2, '', '', '', NULL, 0, 'CF', '', '', NULL),
		('245', 'k', 'Forma', 'Forma', 1, 0, '', 2, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('245', 'n', 'Numero di parte/sezione dell\'opera', 'Numero di parte/sezione dell\'opera', 1, 0, '', 2, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('245', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, '', 2, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('245', 's', 'Versione', 'Versione', 0, 0, '', 2, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('246', '5', 'Istituzione a cui si applica il campo', 'Istituzione a cui si applica il campo', 0, 0, '', 2, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('246', '6', 'Collegamento', 'Collegamento', 0, 0, '', 2, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('246', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 2, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('246', 'a', 'Titolo proprio/titolo breve', 'Titolo proprio/titolo breve', 0, 0, '', 2, '', '', '', NULL, -1, 'CF', '', '', NULL),
		('246', 'b', 'Complemento del titolo', 'Complemento del titolo', 0, 0, '', 2, '', '', '', NULL, -1, 'CF', '', '', NULL),
		('246', 'd', 'Designation of section/part/series (SE) [OBSOLETE]', 'Designation of section/part/series (SE) [OBSOLETE]', 0, 0, '', 2, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('246', 'e', 'Name of part/section/series (SE) [OBSOLETE]', 'Name of part/section/series (SE) [OBSOLETE]', 0, 0, '', 2, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('246', 'f', 'Data o designazione sequenziale', 'Data o designazione sequenziale', 0, 0, '', 2, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('246', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, '', 2, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('246', 'h', 'Supporto', 'Supporto', 0, 0, '', 2, '', '', '', NULL, -1, 'CF', '', '', NULL),
		('246', 'i', 'Testo da visualizzare', 'Testo da visualizzare', 0, 0, '', 2, '', '', '', NULL, -1, 'CF', '', '', NULL),
		('246', 'n', 'Numero di parte/sezione dell\'opera', 'Numero di parte/sezione dell\'opera', 1, 0, '', 2, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('246', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, '', 2, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('247', '6', 'Collegamento', 'Collegamento', 0, 0, '', 2, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('247', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 2, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('247', 'a', 'Titolo', 'Titolo', 0, 0, '', 2, '', '', '', NULL, -1, 'CF', '', '', NULL),
		('247', 'b', 'Complemento del titolo', 'Complemento del titolo', 0, 0, '', 2, '', '', '', NULL, -1, 'CF', '', '', NULL),
		('247', 'd', 'Designation of section (SE) [OBSOLETE]', 'Designation of section (SE) [OBSOLETE]', 0, 0, '', 2, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('247', 'e', 'Name of part/section (SE) [OBSOLETE]', 'Name of part/section (SE) [OBSOLETE]', 0, 0, '', 2, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('247', 'f', 'Data o designazione sequenziale', 'Data o designazione sequenziale', 0, 0, '', 2, '', '', '', NULL, -1, 'CF', '', '', NULL),
		('247', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, '', 2, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('247', 'h', 'Supporto', 'Supporto', 0, 0, '', 2, '', '', '', NULL, -1, 'CF', '', '', NULL),
		('247', 'n', 'Numero di parte/sezione dell\'opera', 'Numero di parte/sezione dell\'opera', 1, 0, '', 2, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('247', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, '', 2, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('247', 'x', 'ISSN (International Standard Serial Number)', 'ISSN (International Standard Serial Number)', 0, 0, '', 2, '', '', '', NULL, -1, 'CF', '', '', NULL),
		('250', '6', 'Collegamento', 'Collegamento', 0, 0, '', 2, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('250', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 2, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('250', 'a', 'Formulazione di edizione', 'Formulazione di edizione', 0, 0, 'biblioitems.editionstatement', 2, '', '', '', NULL, -1, 'CF', '', '', NULL),
		('250', 'b', 'Restante parte della formulazione di edizione', 'Restante parte della formulazione di edizione', 0, 0, '', 2, '', '', '', NULL, -1, 'CF', '', '', NULL),
		('254', '6', 'Collegamento', 'Collegamento', 0, 0, '', 2, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('254', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 2, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('254', 'a', 'Formulazione della presentazione musicale', 'Formulazione della presentazione musicale', 0, 0, '', 2, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('255', '6', 'Collegamento', 'Collegamento', 0, 0, '', 2, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('255', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 2, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('255', 'a', 'Formulazione di scala', 'Formulazione di scala', 1, 0, '', 2, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('255', 'b', 'Formulazione di proiezione', 'Formulazione di proiezione', 1, 0, '', 2, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('255', 'c', 'Formulazione di coordinate', 'Formulazione di coordinate', 1, 0, '', 2, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('255', 'd', 'Formulazione di zona', 'Formulazione di zona', 0, 0, '', 2, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('255', 'e', 'Formulazione di equinozio', 'Formulazione di equinozio', 0, 0, '', 2, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('255', 'f', 'Coppie di coordinate d\'inclusione del perimetro', 'Coppie di coordinate d\'inclusione del perimetro', 0, 0, '', 2, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('255', 'g', 'Coppie di coordinate di esclusione del perimetro', 'Coppie di coordinate di esclusione del perimetro', 0, 0, '', 2, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('256', '6', 'Collegamento', 'Collegamento', 0, 0, '', 2, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('256', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 2, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('256', 'a', 'Caratteristiche del computer file', 'Caratteristiche del computer file', 0, 0, '', 2, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('257', '6', 'Collegamento', 'Collegamento', 0, 0, '', 2, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('257', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 2, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('257', 'a', 'Paese dell\'ente produttore', 'Paese dell\'ente produttore', 0, 0, '', 2, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('258', '6', 'Collegamento', 'Collegamento', 0, 0, '', 2, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('258', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 2, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('258', 'a', 'Giurisdizione dell\'emissione', 'Giurisdizione dell\'emissione', 0, 0, '', 2, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('258', 'b', 'Valore facciale', 'Valore facciale', 0, 0, '', 2, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('260', '6', 'Collegamento', 'Collegamento', 0, 0, '', 2, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('260', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 2, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('260', 'a', 'Luogo di pubblicazione, distribuzione, ecc.', 'Luogo di pubblicazione, distribuzione, ecc.', 1, 0, 'biblioitems.place', 2, '', '', '', NULL, 0, 'CF', '', '', NULL),
		('260', 'b', 'Nome dell\'editore, distributore, ecc.', 'Nome dell\'editore, distributore, ecc.', 1, 0, 'biblioitems.publishercode', 2, '', '', '', NULL, 0, 'CF', '', '', NULL),
		('260', 'c', 'Data di pubblicazione, distribuzione, ecc.', 'Data di pubblicazione, distribuzione, ecc.', 1, 0, 'biblio.copyrightdate', 2, '', '', '', NULL, 0, 'CF', '', '', NULL),
		('260', 'd', 'Plate or publisher\'s number for music (Pre-AACR 2) [OBSOLETE, CAN/MARC], [LOCAL, USA]', 'Plate or publisher\'s number for music (Pre-AACR 2) [OBSOLETE, CAN/MARC], [LOCAL, USA]', 0, 0, '', 2, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('260', 'e', 'Luogo di stampa', 'Luogo di stampa', 1, 0, '', 2, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('260', 'f', 'Stampatore', 'Stampatore', 1, 0, '', 2, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('260', 'g', 'Data di stampa', 'Data di stampa', 0, 0, '', 2, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('260', 'k', 'Identification/manufacturer number [OBSOLETE, CAN/MARC]', 'Identification/manufacturer number [OBSOLETE, CAN/MARC]', 0, 0, '', 2, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('260', 'l', 'Matrix and/or take number [OBSOLETE, CAN/MARC]', 'Matrix and/or take number [OBSOLETE, CAN/MARC]', 0, 0, '', 2, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('261', '6', 'Collegamento', 'Collegamento', 0, 0, '', 2, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('261', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 2, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('261', 'a', 'Producing company', 'Producing company', 1, 0, '', 2, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('261', 'b', 'Releasing company (primary distributor)', 'Releasing company (primary distributor)', 1, 0, '', 2, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('261', 'c', 'Date of production, release, etc.', 'Date of production, release, etc.', 1, 0, '', 2, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('261', 'd', 'Date of production, release, etc.', 'Date of production, release, etc.', 1, 0, '', 2, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('261', 'e', 'Contractual producer', 'Contractual producer', 1, 0, '', 2, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('261', 'f', 'Place of production, release, etc.', 'Place of production, release, etc.', 1, 0, '', 2, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('262', '6', 'Collegamento', 'Collegamento', 0, 0, '', 2, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('262', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 2, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('262', 'a', 'Place of production, release, etc.', 'Place of production, release, etc.', 0, 0, '', 2, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('262', 'b', 'Publisher or trade name', 'Publisher or trade name', 0, 0, '', 2, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('262', 'c', 'Date of production, release, etc.', 'Date of production, release, etc.', 0, 0, '', 2, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('262', 'k', 'Serial identification', 'Serial identification', 0, 0, '', 2, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('262', 'l', 'Matrix and/or take number', 'Matrix and/or take number', 0, 0, '', 2, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('263', '6', 'Collegamento', 'Collegamento', 0, 0, '', 2, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('263', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 2, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('263', 'a', 'Data di pubblicazione prevista', 'Data di pubblicazione prevista', 0, 0, '', 2, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('265', '6', 'Linkage [OBSOLETE]', 'Linkage [OBSOLETE]', 0, 0, '', 2, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('265', 'a', 'Source for acquisition/subscription address [OBSOLETE]', 'Source for acquisition/subscription address [OBSOLETE]', 1, 0, '', 2, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('270', '4', 'Codice di ruolo', 'Codice di ruolo', 1, 0, NULL, 9, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('270', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 9, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('270', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 9, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('270', 'a', 'Indirizzo', 'Indirizzo', 1, 0, NULL, 9, NULL, NULL, '', NULL, -1, 'CF', '', '', NULL),
		('270', 'b', 'Città', 'Città', 0, 0, NULL, 9, NULL, NULL, '', NULL, -1, 'CF', '', '', NULL),
		('270', 'c', 'Stato o provincia', 'Stato o provincia', 0, 0, NULL, 9, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('270', 'd', 'Paese', 'Paese', 0, 0, NULL, 9, NULL, NULL, '', NULL, -1, 'CF', '', '', NULL),
		('270', 'e', 'Codice postale', 'Codice postale', 0, 0, NULL, 9, NULL, NULL, '', NULL, -1, 'CF', '', '', NULL),
		('270', 'f', 'Parole che precedono il nome del destinatario', 'Parole che precedono il nome del destinatario', 0, 0, NULL, 9, NULL, NULL, '', NULL, -1, 'CF', '', '', NULL),
		('270', 'g', 'Nome del destinatario', 'Nome del destinatario', 0, 0, NULL, 9, NULL, NULL, '', NULL, -1, 'CF', '', '', NULL),
		('270', 'h', 'Posizione del destinatario', 'Posizione del destinatario', 0, 0, NULL, 9, NULL, NULL, '', NULL, -1, 'CF', '', '', NULL),
		('270', 'i', 'Persona di contatto', 'Persona di contatto', 0, 0, NULL, 9, NULL, NULL, '', NULL, -1, 'CF', '', '', NULL),
		('270', 'j', 'Numero di telefono specializzato', 'Numero di telefono specializzato', 1, 0, NULL, 9, NULL, NULL, '', NULL, -1, 'CF', '', '', NULL),
		('270', 'k', 'Numero di telefono', 'Numero di telefono', 1, 0, NULL, 9, NULL, NULL, '', NULL, -1, 'CF', '', '', NULL),
		('270', 'l', 'Numero di fax', 'Numero di fax', 1, 0, NULL, 9, NULL, NULL, '', NULL, -1, 'CF', '', '', NULL),
		('270', 'm', 'Indirizzo e-mail', 'Indirizzo e-mail', 1, 0, NULL, 9, NULL, NULL, '', NULL, -1, 'CF', '', '', NULL),
		('270', 'n', 'Numero di TDD o TTY', 'Numero di TDD o TTY', 1, 0, NULL, 9, NULL, NULL, '', NULL, -1, 'CF', '', '', NULL),
		('270', 'p', 'Persona di contatto', 'Persona di contatto', 1, 0, NULL, 9, NULL, NULL, '', NULL, -1, 'CF', '', '', NULL),
		('270', 'q', 'Titolo della persona di contatto', 'Titolo della persona di contatto', 1, 0, NULL, 9, NULL, NULL, '', NULL, -1, 'CF', '', '', NULL),
		('270', 'r', 'Ore', 'Ore', 1, 0, NULL, 9, NULL, NULL, '', NULL, -1, 'CF', '', '', NULL),
		('270', 'z', 'Nota pubblica', 'Nota pubblica', 1, 0, NULL, 9, NULL, NULL, '', NULL, -1, 'CF', '', '', NULL),
		('300', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, '', 3, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('300', '6', 'Collegamento', 'Collegamento', 0, 0, '', 3, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('300', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 3, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('300', 'a', 'Estensione', 'Estensione', 1, 0, 'biblioitems.pages', 3, '', '', '', NULL, 0, 'CF', '', '', NULL),
		('300', 'b', 'Altre particolarità fisiche', 'Altre particolarità fisiche', 0, 0, 'biblioitems.illus', 3, '', '', '', 0, 0, 'CF', '', '', NULL),
		('300', 'c', 'Dimensioni', 'Dimensioni', 1, 0, 'biblioitems.size', 3, '', '', '', NULL, 0, 'CF', '', '', NULL),
		('300', 'd', 'Accompanying material [OBSOLETE, CAN/MARC]', 'Accompanying material [OBSOLETE, CAN/MARC]', 0, 0, '', 3, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('300', 'e', 'Materiale allegato', 'Materiale allegato', 0, 0, '', 3, '', '', '', NULL, 0, 'CF', '', '', NULL),
		('300', 'f', 'Tipo di materiale', 'Tipo di materiale', 1, 0, '', 3, '', '', '', NULL, -1, 'CF', '', '', NULL),
		('300', 'g', 'Dimensioni del materiale', 'Dimensioni del materiale', 1, 0, '', 3, '', '', '', NULL, -1, 'CF', '', '', NULL),
		('300', 'k', 'Speed [Videodiscs, pre-AACR2 records only] [OBSOLETE, CAN/MARC]', 'Speed [Videodiscs, pre-AACR2 records only] [OBSOLETE, CAN/MARC]', 0, 0, '', 3, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('300', 'm', 'Identification/manufacturer number [pre-AACR2 records only] [OBSOLETE, CAN/MARC]', 'Identification/manufacturer number [pre-AACR2 records only] [OBSOLETE, CAN/MARC]', 0, 0, '', 3, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('300', 'n', 'Matrix and/or take number [Sound recordings, pre-AACR2 records only] [OBSOLETE, CAN/MARC]', 'Matrix and/or take number [Sound recordings, pre-AACR2 records only] [OBSOLETE, CAN/MARC]', 0, 0, '', 3, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('301', 'a', 'Estensione della copia', 'Estensione della copia', 0, 0, '', 3, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('301', 'b', 'Caratteristiche del suono', 'Caratteristiche del suono', 0, 0, '', 3, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('301', 'c', 'Caratteristiche del colore', 'Caratteristiche del colore', 0, 0, '', 3, '', '', NULL, NULL, -6, 'CF', '', '', NULL),
		('301', 'd', 'Dimensioni', 'Dimensioni', 0, 0, '', 3, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('301', 'e', 'Caratteristiche del suono', 'Caratteristiche del suono', 0, 0, '', 3, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('301', 'f', 'Velocità', 'Velocità', 0, 0, '', 3, '', '', NULL, NULL, -6, 'CF', '', '', NULL),
		('302', 'a', 'Page count', 'Page count', 0, 0, '', 3, '', '', NULL, NULL, -6, 'CF', '', '', NULL),
		('303', 'a', 'Unit count', 'Unit count', 0, 0, '', 3, '', '', NULL, NULL, -6, 'CF', '', '', NULL),
		('304', 'a', 'Linear footage', 'Linear footage', 0, 0, '', 3, '', '', NULL, NULL, -6, 'CF', '', '', NULL),
		('305', '6', 'Collegamento', 'Collegamento', 0, 0, '', 3, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('305', 'a', 'Estensione', 'Estensione', 0, 0, '', 3, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('305', 'b', 'Altre particolarità fisiche', 'Altre particolarità fisiche', 0, 0, '', 3, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('305', 'c', 'Dimensioni', 'Dimensioni', 0, 0, '', 3, '', '', NULL, NULL, -6, 'CF', '', '', NULL),
		('305', 'd', 'Microgroove or standard', 'Microgroove or standard', 0, 0, '', 3, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('305', 'e', 'Stereofonico, monoaurale', 'Stereofonico, monoaurale', 0, 0, '', 3, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('305', 'f', 'Numero dei tracciati', 'Numero dei tracciati', 0, 0, '', 3, '', '', NULL, NULL, -6, 'CF', '', '', NULL),
		('305', 'm', 'Serial identification', 'Serial identification', 0, 0, '', 3, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('305', 'n', 'Matrix and/or take number', 'Matrix and/or take number', 0, 0, '', 3, '', '', NULL, NULL, -6, 'CF', '', '', NULL),
		('306', '6', 'Collegamento', 'Collegamento', 0, 0, '', 3, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('306', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 3, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('306', 'a', 'Durata di riproduzione', 'Durata di riproduzione', 0, 0, '', 3, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('307', '6', 'Collegamento', 'Collegamento', 0, 0, '', 3, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('307', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 3, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('307', 'a', 'Ore', 'Ore', 0, 0, '', 3, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('307', 'b', 'Informazione addizionale', 'Informazione addizionale', 0, 0, '', 3, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('308', '6', 'Collegamento', 'Collegamento', 0, 0, '', 3, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('308', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 3, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('308', 'a', 'Numero di bobine', 'Numero di bobine', 0, 0, '', 3, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('308', 'b', 'Footage', 'Footage', 0, 0, '', 3, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('308', 'c', 'Caratteristiche del suono', 'Caratteristiche del suono', 0, 0, '', 3, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('308', 'd', 'Caratteristiche del colore', 'Caratteristiche del colore', 0, 0, '', 3, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('308', 'e', 'Larghezza', 'Larghezza', 0, 0, '', 3, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('308', 'f', 'Formato di presentazione', 'Formato di presentazione', 0, 0, '', 3, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('310', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('310', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('310', 'a', 'Periodicità corrente della pubblicazione', 'Periodicità corrente della pubblicazione', 0, 0, NULL, 3, NULL, NULL, '', NULL, -1, 'CF', '', '', NULL),
		('310', 'b', 'Data di periodicità corrente della pubblicazione', 'Data di periodicità corrente della pubblicazione', 0, 0, NULL, 3, NULL, NULL, '', NULL, -1, 'CF', '', '', NULL),
		('315', '6', 'Collegamento', 'Collegamento', 0, 0, '', 3, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('315', 'a', 'Frequenza', 'Frequenza', 1, 0, '', 3, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('315', 'b', 'Date della frequenza', 'Date della frequenza', 1, 0, '', 3, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('321', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('321', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('321', 'a', 'Periodicità precedente della pubblicazione', 'Periodicità precedente della pubblicazione', 0, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('321', 'b', 'Date di periodicità precedente della pubblicazione', 'Date di periodicità precedente della pubblicazione', 0, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('340', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, '', 3, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('340', '6', 'Collegamento', 'Collegamento', 0, 0, '', 3, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('340', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 3, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('340', 'a', 'Base e composizione del materiale', 'Base e composizione del materiale', 1, 0, '', 3, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('340', 'b', 'Dimensioni', 'Dimensioni', 1, 0, '', 3, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('340', 'c', 'Materiali applicati alla superficie', 'Materiali applicati alla superficie', 1, 0, '', 3, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('340', 'd', 'Tecnica della registrazione della informazione', 'Tecnica della registrazione della informazione', 1, 0, '', 3, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('340', 'e', 'Supporto', 'Supporto', 1, 0, '', 3, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('340', 'f', 'Fattore/proporzione di produzione comprensibile (ad es., giri al minuto per le registrazioni)', 'Fattore/proporzione di produzione comprensibile (ad es., giri al minuto per le registrazioni)', 1, 0, '', 3, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('340', 'h', 'Localizzazione nel supporto', 'Localizzazione nel supporto', 1, 0, '', 3, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('340', 'i', 'Specificazioni tecniche del supporto', 'Specificazioni tecniche del supporto', 1, 0, '', 3, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('342', '2', 'Metodo di riferimento usato', 'Metodo di riferimento usato', 0, 0, '', 3, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('342', '6', 'Collegamento', 'Collegamento', 0, 0, '', 3, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('342', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 3, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('342', 'a', 'Nome', 'Nome', 1, 0, '', 3, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('342', 'b', 'Unità di distanza o di coordinate', 'Unità di distanza o di coordinate', 0, 0, '', 3, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('342', 'c', 'Risoluzione di latitudine', 'Risoluzione di latitudine', 0, 0, '', 3, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('342', 'd', 'Risoluzione di longitudine', 'Risoluzione di longitudine', 0, 0, '', 3, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('342', 'e', 'Parallela standard o latitudine di lineare obliqua', 'Parallela standard o latitudine di lineare obliqua', 1, 0, '', 3, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('342', 'f', 'Longitudine di lineare obliqua', 'Longitudine di lineare obliqua', 1, 0, '', 3, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('342', 'g', 'Longitudine del meridiano centrale o del centro della proiezione', 'Longitudine del meridiano centrale o del centro della proiezione', 0, 0, '', 3, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('342', 'h', 'Latitudine dell\'origine della proiezione o del centro della proiezione', 'Latitudine dell\'origine della proiezione o del centro della proiezione', 0, 0, '', 3, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('342', 'i', 'Ascissa falsa', 'Ascissa falsa', 0, 0, '', 3, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('342', 'j', 'Ordinata falsa', 'Ordinata falsa', 0, 0, '', 3, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('342', 'k', 'Fattore di scala', 'Fattore di scala', 0, 0, '', 3, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('342', 'l', 'Altezza del punto di vista sulla superficie', 'Altezza del punto di vista sulla superficie', 0, 0, '', 3, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('342', 'm', 'Angolo d\'azimut', 'Angolo d\'azimut', 0, 0, '', 3, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('342', 'n', 'Longitudine del punto di misura d\'azimut o longitudine verticale retta dal polo', 'Longitudine del punto di misura d\'azimut o longitudine verticale retta dal polo', 0, 0, '', 3, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('342', 'o', 'Numero del Landsat e numero di traiettoria', 'Numero del Landsat e numero di traiettoria', 0, 0, '', 3, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('342', 'p', 'Identificatore di zona', 'Identificatore di zona', 0, 0, '', 3, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('342', 'q', 'Nome dell\'ellissoide', 'Nome dell\'ellissoide', 0, 0, '', 3, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('342', 'r', 'Semiasse maggiore', 'Semiasse maggiore', 0, 0, '', 3, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('342', 's', 'Denominatore del rapporto di spianatura', 'Denominatore del rapporto di spianatura', 0, 0, '', 3, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('342', 't', 'Risoluzione verticale', 'Risoluzione verticale', 0, 0, '', 3, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('342', 'u', 'Metodo di codifica verticale', 'Metodo di codifica verticale', 0, 0, '', 3, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('342', 'v', 'Proiezione locale piana, locale o diversa o descrizione del reticolato', 'Proiezione locale piana, locale o diversa o descrizione del reticolato', 0, 0, '', 3, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('342', 'w', 'Informazione di riferimento geospaziale locale piano o locale', 'Informazione di riferimento geospaziale locale piano o locale', 0, 0, '', 3, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('343', '6', 'Collegamento', 'Collegamento', 0, 0, '', 3, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('343', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 3, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('343', 'a', 'Metodo di codifica di coordinate piane', 'Metodo di codifica di coordinate piane', 1, 0, '', 3, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('343', 'b', 'Unità di distanza piana', 'Unità di distanza piana', 0, 0, '', 3, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('343', 'c', 'Risoluzione dell\'ascissa', 'Risoluzione dell\'ascissa', 0, 0, '', 3, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('343', 'd', 'Risoluzione dell\'ordinata', 'Risoluzione dell\'ordinata', 0, 0, '', 3, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('343', 'e', 'Risoluzione di distanza', 'Risoluzione di distanza', 0, 0, '', 3, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('343', 'f', 'Risoluzione di orientamento', 'Risoluzione di orientamento', 0, 0, '', 3, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('343', 'g', 'Unità di orientamento', 'Unità di orientamento', 0, 0, '', 3, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('343', 'h', 'Direzione di riferimento dell\'orientamento', 'Direzione di riferimento dell\'orientamento', 0, 0, '', 3, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('343', 'i', 'Meridiano di riferimento dell\'orientamento', 'Meridiano di riferimento dell\'orientamento', 0, 0, '', 3, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('350', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('350', 'a', 'Prezzo', 'Prezzo', 1, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('350', 'b', 'Forma dell\'emissione', 'Forma dell\'emissione', 1, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('351', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('351', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('351', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('351', 'a', 'Organizzazione', 'Organizzazione', 1, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('351', 'b', 'Ordinamento', 'Ordinamento', 1, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('351', 'c', 'Livello gerarchico', 'Livello gerarchico', 0, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('352', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('352', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('352', 'a', 'Metodo di riferimento diretto', 'Metodo di riferimento diretto', 0, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('352', 'b', 'Tipo di oggetto', 'Tipo di oggetto', 1, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('352', 'c', 'Contatore di oggetti', 'Contatore di oggetti', 1, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('352', 'd', 'Contatore di linee', 'Contatore di linee', 0, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('352', 'e', 'Contattore di colonne', 'Contattore di colonne', 0, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('352', 'f', 'Contattore verticale', 'Contattore verticale', 0, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('352', 'g', 'Livello di topologia VPF', 'Livello di topologia VPF', 0, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('352', 'i', 'Descrizione di riferimento indiretto', 'Descrizione di riferimento indiretto', 0, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('355', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('355', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('355', 'a', 'Classificazione di sicurezza', 'Classificazione di sicurezza', 0, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('355', 'b', 'Istruzioni per l\'uso', 'Istruzioni per l\'uso', 1, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('355', 'c', 'Informazione di diffusione esterna', 'Informazione di diffusione esterna', 1, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('355', 'd', 'Informazione di riduzione del livello di sicurezza o di declassificazione', 'Informazione di riduzione del livello di sicurezza o di declassificazione', 0, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('355', 'e', 'Sistema di classificazione', 'Sistema di classificazione', 0, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('355', 'f', 'Codice del paese di origine', 'Codice del paese di origine', 0, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('355', 'g', 'Data di riduzione del livello di sicurezza', 'Data di riduzione del livello di sicurezza', 0, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('355', 'h', 'Data di declassificazione', 'Data di declassificazione', 0, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('355', 'j', 'Autorizzazione', 'Autorizzazione', 1, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('357', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('357', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('357', 'a', 'Termine di controllo del creatore', 'Termine di controllo del creatore', 0, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('357', 'b', 'Agenzia di diffusione', 'Agenzia di diffusione', 1, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('357', 'c', 'Destinatari autorizzati del materiale', 'Destinatari autorizzati del materiale', 1, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('357', 'g', 'Altre restrizioni', 'Altre restrizioni', 1, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('359', 'a', 'Prezzo del prestito', 'Prezzo del prestito', 0, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('362', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('362', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('362', 'a', 'Date della pubblicazione e/o designazione sequenziale', 'Date della pubblicazione e/o designazione sequenziale', 0, 0, 'biblioitems.volumedesc', 3, NULL, NULL, '', NULL, -1, 'CF', '', '', NULL),
		('362', 'z', 'Fonte dell\'informazione', 'Fonte dell\'informazione', 0, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('365', '2', 'Fonte del codice del tipo di prezzo', 'Fonte del codice del tipo di prezzo', 0, 0, '', 9, '', '', '', NULL, -1, 'CF', '', '', NULL),
		('365', '6', 'Collegamento', 'Collegamento', 0, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('365', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('365', 'a', 'Codice del tipo di prezzo', 'Codice del tipo di prezzo', 0, 0, '', 9, '', '', '', NULL, -1, 'CF', '', '', NULL),
		('365', 'b', 'Prezzo totale', 'Prezzo totale', 0, 0, '', 9, '', '', '', NULL, -1, 'CF', '', '', NULL),
		('365', 'c', 'Codice della valuta', 'Codice della valuta', 0, 0, '', 9, '', '', '', NULL, -1, 'CF', '', '', NULL),
		('365', 'd', 'Unità de fissazione del prezzo', 'Unità de fissazione del prezzo', 0, 0, '', 9, '', '', '', NULL, -1, 'CF', '', '', NULL),
		('365', 'e', 'Nota sul prezzo', 'Nota sul prezzo', 0, 0, '', 9, '', '', '', NULL, -1, 'CF', '', '', NULL),
		('365', 'f', 'Prezzo in vigore dal', 'Prezzo in vigore dal', 0, 0, '', 9, '', '', '', NULL, -1, 'CF', '', '', NULL),
		('365', 'g', 'Prezzo in vigore fino al', 'Prezzo in vigore fino al', 0, 0, '', 9, '', '', '', NULL, -1, 'CF', '', '', NULL),
		('365', 'h', 'Aliquota 1', 'Aliquota 1', 0, 0, '', 9, '', '', '', NULL, -1, 'CF', '', '', NULL),
		('365', 'i', 'Aliquota 2', 'Aliquota 2', 0, 0, '', 9, '', '', '', NULL, -1, 'CF', '', '', NULL),
		('365', 'j', 'Codice ISO del paese', 'Codice ISO del paese', 0, 0, '', 9, '', '', '', NULL, -1, 'CF', '', '', NULL),
		('365', 'k', 'Codice MARC del paese', 'Codice MARC del paese', 0, 0, '', 9, '', '', '', NULL, -1, 'CF', '', '', NULL),
		('365', 'm', 'Identificazione dell\'ente di fissazione del prezzo', 'Identificazione dell\'ente di fissazione del prezzo', 0, 0, '', 9, '', '', '', NULL, -1, 'CF', '', '', NULL),
		('366', '2', 'Fonte dello stato di disponibilità', 'Fonte dello stato di disponibilità', 0, 0, '', 9, '', '', '', NULL, -1, 'CF', '', '', NULL),
		('366', '6', 'Collegamento', 'Collegamento', 0, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('366', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('366', 'a', 'Identificazione editoriale abbreviata di titolo', 'Identificazione editoriale abbreviata di titolo', 0, 0, '', 9, '', '', '', NULL, -1, 'CF', '', '', NULL),
		('366', 'b', 'Data dettagliata di pubblicazione', 'Data dettagliata di pubblicazione', 0, 0, '', 9, '', '', '', NULL, -1, 'CF', '', '', NULL),
		('366', 'c', 'Codice dello stato di disponibilità', 'Codice dello stato di disponibilità', 0, 0, '', 9, '', '', '', NULL, -1, 'CF', '', '', NULL),
		('366', 'd', 'Data prevedibile della prossima disponibilità', 'Data prevedibile della prossima disponibilità', 0, 0, '', 9, '', '', '', NULL, -1, 'CF', '', '', NULL),
		('366', 'e', 'Nota', 'Nota', 0, 0, '', 9, '', '', '', NULL, -1, 'CF', '', '', NULL),
		('366', 'f', 'Tipo di sconto dell\'editore', 'Tipo di sconto dell\'editore', 0, 0, '', 9, '', '', '', NULL, -1, 'CF', '', '', NULL),
		('366', 'g', 'Data di esaurimento', 'Data di esaurimento', 0, 0, '', 9, '', '', '', NULL, -1, 'CF', '', '', NULL),
		('366', 'j', 'Codice ISO del paese', 'Codice ISO del paese', 0, 0, '', 9, '', '', '', NULL, -1, 'CF', '', '', NULL),
		('366', 'k', 'Codice MARC del paese', 'Codice MARC del paese', 0, 0, '', 9, '', '', '', NULL, -1, 'CF', '', '', NULL),
		('366', 'm', 'Identificazione dell\'agenzia', 'Identificazione dell\'agenzia', 0, 0, '', 9, '', '', '', NULL, -1, 'CF', '', '', NULL),
		('400', '4', 'Codice di ruolo', 'Codice di ruolo', 1, 0, '', 4, '', '', '', 0, -6, 'CF', '', '', NULL),
		('400', '6', 'Collegamento', 'Collegamento', 0, 0, '', 4, '', '', '', 0, -6, 'CF', '', '', NULL),
		('400', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 4, '', '', '', 0, -6, 'CF', '', '', NULL),
		('400', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 4, '', '', '', 0, -5, 'CF', '', '', NULL),
		('400', 'a', 'Nome di persona', 'Nome di persona', 0, 0, '', 4, '', '', '', 0, -6, 'CF', '', '', NULL),
		('400', 'b', 'Numerazione', 'Numerazione', 0, 0, '', 4, '', '', '', 0, -6, 'CF', '', '', NULL),
		('400', 'c', 'Titoli e altre parole associate al nome', 'Titoli e altre parole associate al nome', 1, 0, '', 4, '', '', '', 0, -6, 'CF', '', '', NULL),
		('400', 'd', 'Date associate al nome', 'Date associate al nome', 0, 0, '', 4, '', '', '', 0, -6, 'CF', '', '', NULL),
		('400', 'e', 'Termine di ruolo', 'Termine di ruolo', 1, 0, '', 4, '', '', '', 0, -6, 'CF', '', '', NULL),
		('400', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, '', 4, '', '', '', 0, -6, 'CF', '', '', NULL),
		('400', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, '', 4, '', '', '', 0, -6, 'CF', '', '', NULL),
		('400', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, '', 4, '', '', '', 0, -6, 'CF', '', '', NULL),
		('400', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, '', 4, '', '', '', 0, -6, 'CF', '', '', NULL),
		('400', 'n', 'Numero di parte/sezione dell\'opera', 'Numero di parte/sezione dell\'opera', 1, 0, '', 4, '', '', '', 0, -6, 'CF', '', '', NULL),
		('400', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, '', 4, '', '', '', 0, -6, 'CF', '', '', NULL),
		('400', 'q', 'Forma completa del nome', 'Forma completa del nome', 0, 0, '', 4, '', '', '', 0, -6, 'CF', '', '', NULL),
		('400', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, '', 4, '', '', '', 0, -6, 'CF', '', '', NULL),
		('400', 'u', 'Affiliazione', 'Affiliazione', 0, 0, '', 4, '', '', '', 0, -6, 'CF', '', '', NULL),
		('400', 'v', 'Numero del volume/designazione di sequenza', 'Numero del volume/designazione di sequenza', 0, 0, '', 4, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('400', 'x', 'ISSN (International Standard Serial Number)', 'ISSN (International Standard Serial Number)', 0, 0, '', 4, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('410', '4', 'Codice di ruolo', 'Codice di ruolo', 1, 0, '', 4, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('410', '6', 'Collegamento', 'Collegamento', 0, 0, '', 4, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('410', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 4, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('410', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 4, '', '', '', 0, -6, 'CF', '', '', NULL),
		('410', 'a', 'Nome dell\'ente o nome della giurisdizione come accesso', 'Nome dell\'ente o nome della giurisdizione come accesso', 0, 0, '', 4, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('410', 'b', 'Unità subordinata', 'Unità subordinata', 1, 0, '', 4, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('410', 'c', 'Luogo del convegno', 'Luogo del convegno', 0, 0, '', 4, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('410', 'd', 'Data del convegno o di firma del trattato', 'Data del convegno o di firma del trattato', 1, 0, '', 4, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('410', 'e', 'Termine di ruolo', 'Termine di ruolo', 1, 0, '', 4, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('410', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, '', 4, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('410', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, '', 4, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('410', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, '', 4, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('410', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, '', 4, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('410', 'n', 'Numero di parte/sezione/convegno', 'Numero di parte/sezione/convegno', 1, 0, '', 4, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('410', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, '', 4, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('410', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, '', 4, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('410', 'u', 'Affiliazione', 'Affiliazione', 0, 0, '', 4, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('410', 'v', 'Numero del volume/designazione di sequenza', 'Numero del volume/designazione di sequenza', 0, 0, '', 4, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('410', 'x', 'ISSN (International Standard Serial Number)', 'ISSN (International Standard Serial Number)', 0, 0, '', 4, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('411', '4', 'Codice di ruolo', 'Codice di ruolo', 1, 0, NULL, 4, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('411', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 4, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('411', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 4, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('411', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 4, '', '', '', 0, -5, 'CF', '', '', NULL),
		('411', 'a', 'Nome del convegno o nome della giurisdizione come accesso', 'Nome del convegno o nome della giurisdizione come accesso', 0, 0, NULL, 4, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('411', 'b', 'Number [OBSOLETE]', 'Number [OBSOLETE]', 0, 0, NULL, 4, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('411', 'c', 'Luogo del convegno', 'Luogo del convegno', 0, 0, NULL, 4, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('411', 'd', 'Data del convegno', 'Data del convegno', 0, 0, NULL, 4, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('411', 'e', 'Unità subordinata', 'Unità subordinata', 1, 0, NULL, 4, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('411', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, NULL, 4, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('411', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, NULL, 4, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('411', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, NULL, 4, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('411', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, NULL, 4, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('411', 'n', 'Numero di parte/sezione/convegno', 'Numero di parte/sezione/convegno', 1, 0, NULL, 4, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('411', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, NULL, 4, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('411', 'q', 'Nome del convegno dopo accesso di nome della giurisdizione', 'Nome del convegno dopo accesso di nome della giurisdizione', 0, 0, NULL, 4, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('411', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, NULL, 4, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('411', 'u', 'Affiliazione', 'Affiliazione', 0, 0, NULL, 4, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('411', 'v', 'Numero del volume/designazione di sequenza', 'Numero del volume/designazione di sequenza', 0, 0, '', 4, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('411', 'x', 'ISSN (International Standard Serial Number)', 'ISSN (International Standard Serial Number)', 0, 0, '', 4, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('440', '6', 'Collegamento', 'Collegamento', 0, 0, '', 4, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('440', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 4, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('440', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 4, '', '', '', 0, -5, 'CF', '', '', NULL),
		('440', 'a', 'Titolo', 'Titolo', 0, 0, 'biblio.seriestitle', 4, '', 'UNIF_TITLE', '', NULL, 0, 'CF', '''440n'',''440p'',''490a'',''830a'',''830n'',''830p'',''899a''', '', NULL),
		('440', 'n', 'Numero di parte/sezione dell\'opera', 'Numero di parte/sezione dell\'opera', 1, 0, 'biblioitems.number', 4, '', '', '', NULL, 0, 'CF', '', '', NULL),
		('440', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, '', 4, '', '', '', NULL, 0, 'CF', '', '', NULL),
		('440', 'v', 'Numero del volume/designazione di sequenza', 'Numero del volume/designazione di sequenza', 0, 0, 'biblioitems.volume', 4, '', '', '', NULL, 0, 'CF', '', '', NULL),
		('440', 'x', 'ISSN (International Standard Serial Number)', 'ISSN (International Standard Serial Number)', 0, 0, '', 4, '', '', '', NULL, 0, 'CF', '', '', NULL),
		('490', '6', 'Collegamento', 'Collegamento', 0, 0, '', 4, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('490', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 4, '', '', NULL, NULL, -6, 'CF', '', '', NULL),
		('490', 'a', 'Formulazione della serie', 'Formulazione della serie', 1, 0, '', 4, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('490', 'l', 'Numero di chiamata (collocazione) della Library of Congress', 'Numero di chiamata (collocazione) della Library of Congress', 0, 0, '', 4, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('490', 'v', 'Numero del volume/designazione di sequenza', 'Numero del volume/designazione di sequenza', 1, 0, '', 4, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('490', 'x', 'ISSN (International Standard Serial Number)', 'ISSN (International Standard Serial Number)', 0, 0, '', 4, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('500', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, '', 5, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('500', '5', 'Istituzione a cui si applica il campo', 'Istituzione a cui si applica il campo', 0, 0, '', 5, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('500', '6', 'Collegamento', 'Collegamento', 0, 0, '', 5, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('500', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 5, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('500', 'a', 'Nota generale', 'Nota generale', 0, 0, 'biblio.notes', 5, '', '', '', NULL, -1, 'CF', '', '', NULL),
		('500', 'l', 'Library of Congress call number (SE) [OBSOLETE]', 'Library of Congress call number (SE) [OBSOLETE]', 0, 0, '', 5, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('500', 'n', 'n (RLIN) [OBSOLETE]', 'n (RLIN) [OBSOLETE]', 0, 0, '', 5, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('500', 'x', 'International Standard Serial Number (SE) [OBSOLETE]', 'International Standard Serial Number (SE) [OBSOLETE]', 0, 0, '', 5, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('500', 'z', 'Source of note information (AM SE) [OBSOLETE]', 'Source of note information (AM SE) [OBSOLETE]', 0, 0, '', 5, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('501', '5', 'Istituzione a cui si applica il campo', 'Istituzione a cui si applica il campo', 0, 0, '', 5, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('501', '6', 'Collegamento', 'Collegamento', 0, 0, '', 5, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('501', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 5, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('501', 'a', 'Nota  Pubblicato con', 'Nota  Pubblicato con', 0, 0, '', 5, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('502', '6', 'Collegamento', 'Collegamento', 0, 0, '', 5, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('502', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 5, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('502', 'a', 'Nota di dissertazione', 'Nota di dissertazione', 0, 0, '', 5, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('503', '8', 'Collegamento', 'Collegamento', 0, 0, '', 5, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('503', 'a', 'Bibliographic history note', 'Bibliographic history note', 0, 0, '', 5, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('504', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('504', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('504', 'a', 'Nota di bibliografia, ecc.', 'Nota di bibliografia, ecc.', 0, 0, '', 5, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('504', 'b', 'Numero dei riferimenti', 'Numero dei riferimenti', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('505', '6', 'Collegamento', 'Collegamento', 0, 0, '', 5, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('505', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 5, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('505', 'a', 'Nota formattata di contenuto', 'Nota formattata di contenuto', 0, 0, '', 5, '', '', '', NULL, -1, 'CF', '', '', NULL),
		('505', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 1, 0, '', 5, '', '', '', NULL, -1, 'CF', '', '', NULL),
		('505', 'r', 'Formulazione di responsabilità', 'Formulazione di responsabilità', 1, 0, '', 5, '', '', '', NULL, -1, 'CF', '', '', NULL),
		('505', 't', 'Titolo', 'Titolo', 1, 0, '', 5, '', '', '', NULL, -1, 'CF', '', '', NULL),
		('505', 'u', 'URI (Uniform Resource Identifier)', 'URI (Uniform Resource Identifier)', 1, 0, '', 5, '', '', '', 1, -1, 'CF', '', '', NULL),
		('506', '2', 'Fonte', 'Fonte', 0, 0, '', 5, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('506', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, '', 5, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('506', '5', 'Istituzione a cui si applica il campo', 'Istituzione a cui si applica il campo', 0, 0, '', 5, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('506', '6', 'Collegamento', 'Collegamento', 0, 0, '', 5, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('506', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 5, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('506', 'a', 'Condizioni che regolano l\'accesso', 'Condizioni che regolano l\'accesso', 0, 0, '', 5, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('506', 'b', 'Competenza legale', 'Competenza legale', 1, 0, '', 5, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('506', 'c', 'Disposizioni per l\'accesso fisico', 'Disposizioni per l\'accesso fisico', 1, 0, '', 5, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('506', 'd', 'Utenti autorizzati', 'Utenti autorizzati', 1, 0, '', 5, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('506', 'e', 'Autorizzazione', 'Autorizzazione', 1, 0, '', 5, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('506', 'f', 'Terminologia normalizzata della restrizione all’accesso', 'Terminologia normalizzata della restrizione all’accesso', 1, 0, '', 5, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('506', 'u', 'URI (Uniform Resource Identifier)', 'URI (Uniform Resource Identifier)', 1, 0, '', 5, '', '', '', 1, -6, 'CF', '', '', NULL),
		('507', '6', 'Collegamento', 'Collegamento', 0, 0, '', 5, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('507', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 5, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('507', 'a', 'Nota di frazione rappresentativa di scala', 'Nota di frazione rappresentativa di scala', 0, 0, '', 5, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('507', 'b', 'Restante parte della nota di scala', 'Restante parte della nota di scala', 0, 0, '', 5, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('508', '6', 'Collegamento', 'Collegamento', 0, 0, '', 5, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('508', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('508', 'a', 'Nota sui crediti di creazione/produzione', 'Nota sui crediti di creazione/produzione', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('509', 'a', 'Note informali', 'Note informali', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('510', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, '', 5, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('510', '6', 'Collegamento', 'Collegamento', 0, 0, '', 5, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('510', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 5, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('510', 'a', 'Nome della fonte', 'Nome della fonte', 0, 0, '', 5, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('510', 'b', 'Copertura della fonte', 'Copertura della fonte', 0, 0, '', 5, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('510', 'c', 'Localizzazione nella fonte', 'Localizzazione nella fonte', 0, 0, '', 5, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('510', 'x', 'ISSN (International Standard Serial Number)', 'ISSN (International Standard Serial Number)', 0, 0, '', 5, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('511', '6', 'Collegamento', 'Collegamento', 0, 0, '', 5, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('511', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 5, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('511', 'a', 'Nota sui partecipanti o interpreti', 'Nota sui partecipanti o interpreti', 0, 0, '', 5, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('512', '6', 'Collegamento', 'Collegamento', 0, 0, '', -1, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('512', 'a', 'Earlier or later volumes separately cataloged note', 'Earlier or later volumes separately cataloged note', 0, 0, '', -1, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('513', '6', 'Collegamento', 'Collegamento', 0, 0, '', 5, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('513', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 5, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('513', 'a', 'Tipo di rapporto', 'Tipo di rapporto', 0, 0, '', 5, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('513', 'b', 'Periodo coperto', 'Periodo coperto', 0, 0, '', 5, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('514', '6', 'Collegamento', 'Collegamento', 0, 0, '', 5, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('514', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 5, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('514', 'a', 'Rapporto di esattezza degli attributi', 'Rapporto di esattezza degli attributi', 0, 0, '', 5, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('514', 'b', 'Valore di esattezza degli attributi', 'Valore di esattezza degli attributi', 1, 0, '', 5, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('514', 'c', 'Spiegazione della esattezza degli attributi', 'Spiegazione della esattezza degli attributi', 1, 0, '', 5, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('514', 'd', 'Rapporto di coerenza logica', 'Rapporto di coerenza logica', 0, 0, '', 5, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('514', 'e', 'Rapporto di completezza', 'Rapporto di completezza', 0, 0, '', 5, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('514', 'f', 'Rapporto di esattezza di posizione orizzontale', 'Rapporto di esattezza di posizione orizzontale', 0, 0, '', 5, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('514', 'g', 'Valore di esattezza di posizione orizzontale', 'Valore di esattezza di posizione orizzontale', 1, 0, '', 5, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('514', 'h', 'Spiegazione della esattezza di posizione orizzontale', 'Spiegazione della esattezza di posizione orizzontale', 1, 0, '', 5, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('514', 'i', 'Rapporto di esattezza di posizione verticale', 'Rapporto di esattezza di posizione verticale', 0, 0, '', 5, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('514', 'j', 'Valore di esattezza di posizione verticale', 'Valore di esattezza di posizione verticale', 1, 0, '', 5, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('514', 'k', 'Spiegazione della esattezza di posizione verticale', 'Spiegazione della esattezza di posizione verticale', 1, 0, '', 5, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('514', 'm', 'Nuvolosità', 'Nuvolosità', 0, 0, '', 5, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('514', 'u', 'URI (Uniform Resource Identifier)', 'URI (Uniform Resource Identifier)', 1, 0, '', 5, '', '', '', 1, -6, 'CF', '', '', NULL),
		('514', 'z', 'Nota di visualizzazione', 'Nota di visualizzazione', 1, 0, '', 5, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('515', '6', 'Collegamento', 'Collegamento', 0, 0, '', 5, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('515', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 5, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('515', 'a', 'Nota su particolarità della numerazione', 'Nota su particolarità della numerazione', 0, 0, '', 5, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('515', 'z', 'Source of note information (SE) [OBSOLETE]', 'Source of note information (SE) [OBSOLETE]', 0, 0, '', -1, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('516', '6', 'Collegamento', 'Collegamento', 0, 0, '', 5, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('516', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 5, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('516', 'a', 'Nota sul tipo di computer file o di file di dati', 'Nota sul tipo di computer file o di file di dati', 0, 0, '', 5, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('517', 'a', 'Formati multipli', 'Formati multipli', 0, 0, '', 5, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('517', 'b', 'Descrittori del contenuto', 'Descrittori del contenuto', 1, 0, '', 5, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('517', 'c', 'Tecniche d\'animazione addizionali', 'Tecniche d\'animazione addizionali', 1, 0, '', 5, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('518', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, '', 5, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('518', '6', 'Collegamento', 'Collegamento', 0, 0, '', 5, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('518', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 5, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('518', 'a', 'Nota sulla data/ora e luogo dell\'evento', 'Nota sulla data/ora e luogo dell\'evento', 0, 0, '', 5, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('520', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, '', 5, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('520', '6', 'Collegamento', 'Collegamento', 0, 0, '', 5, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('520', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 5, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('520', 'a', 'Nota di riassunto, ecc.', 'Nota di riassunto, ecc.', 0, 0, 'biblio.abstract', 5, '', '', '', NULL, -1, 'CF', '', '', NULL),
		('520', 'b', 'Nota di estensione del riassunto', 'Nota di estensione del riassunto', 0, 0, '', 5, '', '', '', NULL, -1, 'CF', '', '', NULL),
		('520', 'u', 'URI (Uniform Resource Identifier)', 'URI (Uniform Resource Identifier)', 1, 0, '', 5, '', '', '', 1, -1, 'CF', '', '', NULL),
		('520', 'z', 'Source of note information [OBSOLETE]', 'Source of note information [OBSOLETE]', 0, 0, '', 5, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('521', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('521', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('521', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('521', 'a', 'Nota sui destinatari', 'Nota sui destinatari', 1, 0, NULL, 5, NULL, NULL, '', NULL, 0, 'CF', '', '', NULL),
		('521', 'b', 'Fonte', 'Fonte', 0, 0, NULL, 5, NULL, NULL, '', NULL, 0, 'CF', '', '', NULL),
		('522', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('522', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('522', 'a', 'Nota di copertura geografica', 'Nota di copertura geografica', 0, 0, NULL, 5, NULL, NULL, '', NULL, -1, 'CF', '', '', NULL),
		('523', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('523', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('523', 'a', 'Time period of content note', 'Time period of content note', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('524', '2', 'Fonte dello schema usato', 'Fonte dello schema usato', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('524', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('524', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('524', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('524', 'a', 'Nota sulla citazione preferita dei materiali descritti', 'Nota sulla citazione preferita dei materiali descritti', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('525', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('525', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('525', 'a', 'Nota di supplemento', 'Nota di supplemento', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('525', 'z', 'Source of note information (SE) [OBSOLETE]', 'Source of note information (SE) [OBSOLETE]', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('526', '5', 'Istituzione a cui si applica il campo', 'Istituzione a cui si applica il campo', 0, 0, '', 5, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('526', '6', 'Collegamento', 'Collegamento', 0, 0, '', 5, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('526', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 5, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('526', 'a', 'Nome del programma', 'Nome del programma', 0, 0, '', 5, '', '', '', NULL, -1, 'CF', '', '', NULL),
		('526', 'b', 'Livello d\'interesse', 'Livello d\'interesse', 0, 0, '', 5, '', '', '', NULL, -1, 'CF', '', '', NULL),
		('526', 'c', 'Livello di lettura', 'Livello di lettura', 0, 0, '', 5, '', '', '', NULL, -1, 'CF', '', '', NULL),
		('526', 'd', 'Valore numerico del titolo', 'Valore numerico del titolo', 0, 0, '', 5, '', '', '', NULL, -1, 'CF', '', '', NULL),
		('526', 'i', 'Testo da visualizzare', 'Testo da visualizzare', 0, 0, '', 5, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('526', 'x', 'Nota non pubblic', 'Nota non pubblic', 1, 0, '', 5, '', '', '', NULL, 6, 'CF', '', '', NULL),
		('526', 'z', 'Nota pubblica', 'Nota pubblica', 1, 0, '', 5, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('527', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('527', 'a', 'Censorship note', 'Censorship note', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('530', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('530', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('530', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('530', 'a', 'Nota sulla disponibilità su altro supporto fisico', 'Nota sulla disponibilità su altro supporto fisico', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('530', 'b', 'Fonte di disponibilità', 'Fonte di disponibilità', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('530', 'c', 'Condizioni di disponibilità', 'Condizioni di disponibilità', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('530', 'd', 'Numero di ordine', 'Numero di ordine', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('530', 'u', 'URI (Uniform Resource Identifier)', 'URI (Uniform Resource Identifier)', 1, 0, NULL, 5, NULL, NULL, '', 1, -6, 'CF', '', '', NULL),
		('530', 'z', 'Source of note information (AM CF VM SE) [OBSOLETE]', 'Source of note information (AM CF VM SE) [OBSOLETE]', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('533', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('533', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('533', '7', 'Elementi di lunghezza fissa della riproduzione', 'Elementi di lunghezza fissa della riproduzione', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('533', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('533', 'a', 'Tipo di riproduzione', 'Tipo di riproduzione', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('533', 'b', 'Luogo di riproduzione', 'Luogo di riproduzione', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('533', 'c', 'Agenzia responsabile della riproduzione', 'Agenzia responsabile della riproduzione', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('533', 'd', 'Data di riproduzione', 'Data di riproduzione', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('533', 'e', 'Descrizione fisica della riproduzione', 'Descrizione fisica della riproduzione', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('533', 'f', 'Formulazione della serie della riproduzione', 'Formulazione della serie della riproduzione', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('533', 'm', 'Date e/o designazione sequenziale dei documenti riprodotti', 'Date e/o designazione sequenziale dei documenti riprodotti', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('533', 'n', 'Nota sulla riproduzione', 'Nota sulla riproduzione', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('534', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('534', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('534', 'a', 'Accesso principale dell\'originale', 'Accesso principale dell\'originale', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('534', 'b', 'Formulazione di edizione dell\'originale', 'Formulazione di edizione dell\'originale', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('534', 'c', 'Pubblicazione, distribuzione, ecc., dell\'originale', 'Pubblicazione, distribuzione, ecc., dell\'originale', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('534', 'e', 'Descrizione fisica, ecc., dell\'originale', 'Descrizione fisica, ecc., dell\'originale', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('534', 'f', 'Formulazione della serie dell\'originale', 'Formulazione della serie dell\'originale', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('534', 'k', 'Titolo chiave dell\'originale', 'Titolo chiave dell\'originale', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('534', 'l', 'Localizzazione dell\'originale', 'Localizzazione dell\'originale', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('534', 'm', 'Dettagli specifici del materiale', 'Dettagli specifici del materiale', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('534', 'n', 'Nota sull\'originale', 'Nota sull\'originale', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('534', 'p', 'Frase introduttiva', 'Frase introduttiva', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('534', 't', 'Formulazione del titolo dell\'originale', 'Formulazione del titolo dell\'originale', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('534', 'x', 'ISSN (International Standard Serial Number)', 'ISSN (International Standard Serial Number)', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('534', 'z', 'ISBN (International Standard Book Number)', 'ISBN (International Standard Book Number)', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('535', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('535', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('535', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('535', 'a', 'Conservatore', 'Conservatore', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('535', 'b', 'Indirizzo postale', 'Indirizzo postale', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('535', 'c', 'Paese', 'Paese', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('535', 'd', 'Indirizzo di telecomunicazione', 'Indirizzo di telecomunicazione', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('535', 'g', 'Codice di localizzazione del deposito', 'Codice di localizzazione del deposito', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('536', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('536', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('536', 'a', 'Testo della nota', 'Testo della nota', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('536', 'b', 'Numero di contratto', 'Numero di contratto', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('536', 'c', 'Numero di sovvenzione', 'Numero di sovvenzione', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('536', 'd', 'Numero indifferenziato', 'Numero indifferenziato', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('536', 'e', 'Numero di elemento di un programma', 'Numero di elemento di un programma', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('536', 'f', 'Numero di progetto', 'Numero di progetto', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('536', 'g', 'Numero di unità di lavoro', 'Numero di unità di lavoro', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('536', 'h', 'Numero di unità di lavoro', 'Numero di unità di lavoro', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('537', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('537', 'a', 'Source of data note', 'Source of data note', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('538', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('538', '6', 'Collegamento', 'Collegamento', 0, 0, '', 5, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('538', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 5, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('538', 'a', 'Nota sui requisiti del sistema', 'Nota sui requisiti del sistema', 0, 0, '', 5, '', '', '', NULL, -1, 'CF', '', '', NULL),
		('538', 'i', 'Testo da visualizzare', 'Testo da visualizzare', 0, 0, '', 5, '', '', '', NULL, -1, 'CF', '', '', NULL),
		('538', 'u', 'URI (Uniform Resource Identifier)', 'URI (Uniform Resource Identifier)', 1, 0, '', 5, '', '', '', 1, -1, 'CF', '', '', NULL),
		('540', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('540', '5', 'Istituzione a cui si applica il campo', 'Istituzione a cui si applica il campo', 0, 0, '', 5, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('540', '6', 'Collegamento', 'Collegamento', 0, 0, '', 5, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('540', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 5, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('540', 'a', 'Condizioni che regolano l\'utilizzo e la riproduzione', 'Condizioni che regolano l\'utilizzo e la riproduzione', 0, 0, '', 5, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('540', 'b', 'Competenza legale', 'Competenza legale', 0, 0, '', 5, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('540', 'c', 'Autorizzazione', 'Autorizzazione', 0, 0, '', 5, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('540', 'd', 'Utenti autorizzati', 'Utenti autorizzati', 0, 0, '', 5, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('540', 'u', 'URI (Uniform Resource Identifier)', 'URI (Uniform Resource Identifier)', 1, 0, '', 5, '', '', '', 1, -6, 'CF', '', '', NULL),
		('541', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, NULL, 9, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('541', '5', 'Istituzione a cui si applica il campo', 'Istituzione a cui si applica il campo', 0, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('541', '6', 'Collegamento', 'Collegamento', 0, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('541', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('541', 'a', 'Fonte d\'acquisto', 'Fonte d\'acquisto', 0, 0, '', 9, '', '', '', NULL, 1, 'CF', '', '', NULL),
		('541', 'b', 'Indirizzo', 'Indirizzo', 0, 0, '', 9, '', '', '', NULL, 1, 'CF', '', '', NULL),
		('541', 'c', 'Metodo d\'acquisto', 'Metodo d\'acquisto', 0, 0, '', 9, '', '', '', NULL, 1, 'CF', '', '', NULL),
		('541', 'd', 'Data d\'acquisto', 'Data d\'acquisto', 0, 0, '', 9, '', '', '', NULL, 1, 'CF', '', '', NULL),
		('541', 'e', 'Numero d\'accessione', 'Numero d\'accessione', 0, 0, '', 9, '', '', '', NULL, 1, 'CF', '', '', NULL),
		('541', 'f', 'Proprietario', 'Proprietario', 0, 0, '', 9, '', '', '', NULL, 1, 'CF', '', '', NULL),
		('541', 'h', 'Prezzo d\'acquisto', 'Prezzo d\'acquisto', 0, 0, '', 9, '', '', '', NULL, 1, 'CF', '', '', NULL),
		('541', 'n', 'Estensione', 'Estensione', 0, 0, '', 9, '', '', '', NULL, 1, 'CF', '', '', NULL),
		('541', 'o', 'Tipo di materiale', 'Tipo di materiale', 1, 0, '', 9, '', '', '', NULL, 1, 'CF', '', '', NULL),
		('543', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('543', 'a', 'Solicitation information note', 'Solicitation information note', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('544', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('544', '6', 'Collegamento', 'Collegamento', 0, 0, '', 5, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('544', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 5, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('544', 'a', 'Conservatore', 'Conservatore', 1, 0, '', 5, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('544', 'b', 'Indirizzo', 'Indirizzo', 1, 0, '', 5, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('544', 'c', 'Paese', 'Paese', 1, 0, '', 5, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('544', 'd', 'Titolo', 'Titolo', 1, 0, '', 5, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('544', 'e', 'Provenienza', 'Provenienza', 1, 0, '', 5, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('544', 'n', 'Nota', 'Nota', 1, 0, '', 5, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('545', '6', 'Collegamento', 'Collegamento', 0, 0, '', 5, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('545', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 5, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('545', 'a', 'Nota biografica o storica', 'Nota biografica o storica', 0, 0, '', 5, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('545', 'b', 'Ampliamento', 'Ampliamento', 0, 0, '', 5, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('545', 'u', 'URI (Uniform Resource Identifier)', 'URI (Uniform Resource Identifier)', 1, 0, '', 5, '', '', '', 1, -6, 'CF', '', '', NULL),
		('546', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('546', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('546', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('546', 'a', 'Nota sulla lingua', 'Nota sulla lingua', 0, 0, NULL, 5, NULL, NULL, '', NULL, -1, 'CF', '', '', NULL),
		('546', 'b', 'Codice d\'informazione o alfabeto', 'Codice d\'informazione o alfabeto', 1, 0, NULL, 5, NULL, NULL, '', NULL, -1, 'CF', '', '', NULL),
		('546', 'z', 'Source of note information (SE) [OBSOLETE]', 'Source of note information (SE) [OBSOLETE]', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('547', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('547', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('547', 'a', 'Nota sulla complessità del titolo precedente', 'Nota sulla complessità del titolo precedente', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('547', 'z', 'Source of note information (SE) [OBSOLETE]', 'Source of note information (SE) [OBSOLETE]', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('550', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('550', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('550', 'a', 'Nota sull\'ente responsabile', 'Nota sull\'ente responsabile', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('550', 'z', 'Source of note information (SE) [OBSOLETE]', 'Source of note information (SE) [OBSOLETE]', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('552', '6', 'Collegamento', 'Collegamento', 0, 0, '', 5, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('552', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 5, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('552', 'a', 'Etichetta del tipo di ente', 'Etichetta del tipo di ente', 0, 0, '', 5, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('552', 'b', 'Definizione e fonte del tipo di ente', 'Definizione e fonte del tipo di ente', 0, 0, '', 5, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('552', 'c', 'Etichetta dell\'attributo', 'Etichetta dell\'attributo', 0, 0, '', 5, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('552', 'd', 'Definizione e fonte dell\'attributo', 'Definizione e fonte dell\'attributo', 0, 0, '', 5, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('552', 'e', 'Valore del dominio enumerato', 'Valore del dominio enumerato', 1, 0, '', 5, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('552', 'f', 'Definizione e fonte del valore del dominio enumerato', 'Definizione e fonte del valore del dominio enumerato', 1, 0, '', 5, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('552', 'g', 'Minimo e massimo del range del dominio', 'Minimo e massimo del range del dominio', 0, 0, '', 5, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('552', 'h', 'Nome e fonte del set dei codici', 'Nome e fonte del set dei codici', 0, 0, '', 5, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('552', 'i', 'Dominio non rappresentabile', 'Dominio non rappresentabile', 0, 0, '', 5, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('552', 'j', 'Unità di misura e risoluzione degli attributi', 'Unità di misura e risoluzione degli attributi', 0, 0, '', 5, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('552', 'k', 'Data d\'inizio e data di fine dei valori dell\'attributo', 'Data d\'inizio e data di fine dei valori dell\'attributo', 0, 0, '', 5, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('552', 'l', 'Esattezza del valore dell\'attributo', 'Esattezza del valore dell\'attributo', 0, 0, '', 5, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('552', 'm', 'Spiegazione dell\'esattezza del valore dell\'attributo', 'Spiegazione dell\'esattezza del valore dell\'attributo', 0, 0, '', 5, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('552', 'n', 'Frequenza della misura d\'attributo', 'Frequenza della misura d\'attributo', 0, 0, '', 5, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('552', 'o', 'Riassunto di ente e d\'attributo', 'Riassunto di ente e d\'attributo', 1, 0, '', 5, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('552', 'p', 'Citazione dei dettagli di ente e d\'attributo', 'Citazione dei dettagli di ente e d\'attributo', 1, 0, '', 5, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('552', 'u', 'URI (Uniform Resource Identifier)', 'URI (Uniform Resource Identifier)', 1, 0, '', 5, '', '', '', 1, -6, 'CF', '', '', NULL),
		('552', 'z', 'Nota di visualizzazione', 'Nota di visualizzazione', 1, 0, '', 5, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('555', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('555', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('555', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('555', 'a', 'Nota sull\'indice cumulativo/strumenti di ricerca', 'Nota sull\'indice cumulativo/strumenti di ricerca', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('555', 'b', 'Fonte di disponibilità', 'Fonte di disponibilità', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('555', 'c', 'Grado di controllo', 'Grado di controllo', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('555', 'd', 'Riferimento bibliografico', 'Riferimento bibliografico', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('555', 'u', 'URI (Uniform Resource Identifier)', 'URI (Uniform Resource Identifier)', 1, 0, NULL, 5, NULL, NULL, '', 1, -6, 'CF', '', '', NULL),
		('556', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('556', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('556', 'a', 'Nota d\'informazione sulla documentazione', 'Nota d\'informazione sulla documentazione', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('556', 'z', 'ISBN (International Standard Book Number)', 'ISBN (International Standard Book Number)', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('561', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('561', '5', 'Istituzione a cui si applica il campo', 'Istituzione a cui si applica il campo', 0, 0, '', 5, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('561', '6', 'Collegamento', 'Collegamento', 0, 0, '', 5, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('561', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 5, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('561', 'a', 'Storia', 'Storia', 0, 0, '', 5, '', '', '', NULL, 6, 'CF', '', '', NULL),
		('561', 'b', 'Time of collation [OBSOLETE]', 'Time of collation [OBSOLETE]', 0, 0, '', 5, '', '', '', NULL, 6, 'CF', '', '', NULL),
		('562', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('562', '5', 'Istituzione a cui si applica il campo', 'Istituzione a cui si applica il campo', 0, 0, NULL, -1, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('562', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('562', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('562', 'a', 'Marche d\'identificazione', 'Marche d\'identificazione', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('562', 'b', 'Identificazione della copia', 'Identificazione della copia', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('562', 'c', 'Identificazione della versione', 'Identificazione della versione', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('562', 'd', 'Formato di presentazione', 'Formato di presentazione', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('562', 'e', 'Numero di copie', 'Numero di copie', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('563', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('563', '5', 'Istituzione a cui si applica il campo', 'Istituzione a cui si applica il campo', 0, 0, NULL, -1, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('563', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('563', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('563', 'a', 'Nota sulla rilegatura', 'Nota sulla rilegatura', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('563', 'u', 'URI (Uniform Resource Identifier)', 'URI (Uniform Resource Identifier)', 1, 0, NULL, 5, NULL, NULL, '', 1, -6, 'CF', '', '', NULL),
		('565', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('565', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('565', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('565', 'a', 'Numero di pratiche/variabili', 'Numero di pratiche/variabili', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('565', 'b', 'Nome della variabile', 'Nome della variabile', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('565', 'c', 'Unità d\'analisi', 'Unità d\'analisi', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('565', 'd', 'Universo dei dati', 'Universo dei dati', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('565', 'e', 'Sistema o codice d’archiviazione', 'Sistema o codice d’archiviazione', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('567', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('567', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('567', 'a', 'Nota sulla metodologia', 'Nota sulla metodologia', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('570', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('570', 'a', 'Editor note', 'Editor note', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('570', 'z', 'Source of note information', 'Source of note information', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('580', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('580', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('580', 'a', 'Nota di collegamento complesso', 'Nota di collegamento complesso', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('580', 'z', 'Source of note information [OBSOLETE]', 'Source of note information [OBSOLETE]', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('581', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('581', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('581', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('581', 'a', 'Nota di pubblicazioni sui materiali descritti', 'Nota di pubblicazioni sui materiali descritti', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('581', 'z', 'ISBN (International Standard Book Number)', 'ISBN (International Standard Book Number)', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('582', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('582', 'a', 'Related computer files note', 'Related computer files note', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('583', '2', 'Fonte', 'Fonte', 0, 0, NULL, 9, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('583', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, NULL, 9, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('583', '5', 'Istituzione a cui si applica il campo', 'Istituzione a cui si applica il campo', 0, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('583', '6', 'Collegamento', 'Collegamento', 0, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('583', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('583', 'a', 'Azione', 'Azione', 0, 0, '', 9, '', '', '', NULL, -1, 'CF', '', '', NULL),
		('583', 'b', 'Identificazione dell\'azione', 'Identificazione dell\'azione', 1, 0, '', 9, '', '', '', NULL, -1, 'CF', '', '', NULL),
		('583', 'c', 'Momento/data dell\'azione', 'Momento/data dell\'azione', 1, 0, '', 9, '', '', '', NULL, -1, 'CF', '', '', NULL),
		('583', 'd', 'Intervallo dell\'azione', 'Intervallo dell\'azione', 1, 0, '', 9, '', '', '', NULL, -1, 'CF', '', '', NULL),
		('583', 'e', 'Contingenza per l\'azione', 'Contingenza per l\'azione', 1, 0, '', 9, '', '', '', NULL, -1, 'CF', '', '', NULL),
		('583', 'f', 'Autorizzazione', 'Autorizzazione', 1, 0, '', 9, '', '', '', NULL, -1, 'CF', '', '', NULL),
		('583', 'h', 'Competenza legale', 'Competenza legale', 0, 0, '', 9, '', '', '', NULL, -1, 'CF', '', '', NULL),
		('583', 'i', 'Metodo dell\'azione', 'Metodo dell\'azione', 1, 0, '', 9, '', '', '', NULL, -1, 'CF', '', '', NULL),
		('583', 'j', 'Luogo dell\'azione', 'Luogo dell\'azione', 1, 0, '', 9, '', '', '', NULL, -1, 'CF', '', '', NULL),
		('583', 'k', 'Agente dell\'azione', 'Agente dell\'azione', 1, 0, '', 9, '', '', '', NULL, -1, 'CF', '', '', NULL),
		('583', 'l', 'Stato', 'Stato', 1, 0, '', 9, '', '', '', NULL, -1, 'CF', '', '', NULL),
		('583', 'n', 'Estensione', 'Estensione', 1, 0, '', 9, '', '', '', NULL, -1, 'CF', '', '', NULL),
		('583', 'o', 'Tipo di materiale', 'Tipo di materiale', 1, 0, '', 9, '', '', '', NULL, -1, 'CF', '', '', NULL),
		('583', 'u', 'URI (Uniform Resource Identifier)', 'URI (Uniform Resource Identifier)', 1, 0, '', 9, '', '', '', 1, -1, 'CF', '', '', NULL),
		('583', 'x', 'Nota non pubblic', 'Nota non pubblic', 1, 0, '', 9, '', '', '', NULL, 4, 'CF', '', '', NULL),
		('583', 'z', 'Nota pubblica', 'Nota pubblica', 1, 0, '', 9, '', '', '', NULL, -1, 'CF', '', '', NULL),
		('584', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('584', '5', 'Istituzione a cui si applica il campo', 'Istituzione a cui si applica il campo', 0, 0, '', 5, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('584', '6', 'Collegamento', 'Collegamento', 0, 0, '', 5, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('584', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 5, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('584', 'a', 'Accumulo', 'Accumulo', 1, 0, '', 5, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('584', 'b', 'Frequenza d\'uso', 'Frequenza d\'uso', 1, 0, '', 5, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('585', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('585', '5', 'Istituzione a cui si applica il campo', 'Istituzione a cui si applica il campo', 0, -6, '', 5, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('585', '6', 'Collegamento', 'Collegamento', 0, 0, '', 5, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('585', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 5, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('585', 'a', 'Nota di mostre', 'Nota di mostre', 0, 0, '', 5, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('586', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('586', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('586', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('586', 'a', 'Nota di premi', 'Nota di premi', 0, 0, NULL, 5, NULL, NULL, '', NULL, -1, 'CF', '', '', NULL),
		('590', '6', 'Linkage (RLIN)', 'Linkage (RLIN)', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('590', '8', 'Field link and sequence number (RLIN)', 'Field link and sequence number (RLIN)', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('590', 'a', 'Local note', 'Local note', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('590', 'b', 'Provenance (VM) [OBSOLETE]', 'Provenance (VM) [OBSOLETE]', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('590', 'c', 'Condition of individual reels (VM) [OBSOLETE]', 'Condition of individual reels (VM) [OBSOLETE]', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('590', 'd', 'Origin of safety copy (VM) [OBSOLETE]', 'Origin of safety copy (VM) [OBSOLETE]', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('600', '2', 'Fonte dell\'intestazione o del termine', 'Fonte dell\'intestazione o del termine', 0, 0, '', 6, '', '', '', NULL, -1, 'CF', '', '', NULL),
		('600', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, '', 6, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('600', '4', 'Codice di ruolo', 'Codice di ruolo', 1, 0, '', 6, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('600', '6', 'Collegamento', 'Collegamento', 0, 0, '', 6, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('600', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 6, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('600', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 6, '', '', '', 0, -5, 'CF', '', '', NULL),
		('600', 'a', 'Nome di persona', 'Nome di persona', 0, 0, '', 6, '', 'PERSO_NAME', '', NULL, -1, 'CF', '', '', NULL),
		('600', 'b', 'Numerazione', 'Numerazione', 0, 0, '', 6, '', '', '', NULL, -1, 'CF', '', '', NULL),
		('600', 'c', 'Titoli e altre parole associate al nome', 'Titoli e altre parole associate al nome', 1, 0, '', 6, '', '', '', NULL, -1, 'CF', '', '', NULL),
		('600', 'd', 'Date associate al nome', 'Date associate al nome', 0, 0, '', 6, '', '', '', NULL, -1, 'CF', '', '', NULL),
		('600', 'e', 'Termine di ruolo', 'Termine di ruolo', 1, 0, '', 6, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('600', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, '', 6, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('600', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, '', 6, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('600', 'h', 'Supporto', 'Supporto', 0, 0, '', 6, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('600', 'j', 'Qualificazione d\'attribuzione', 'Qualificazione d\'attribuzione', 1, 0, '', 6, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('600', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, '', 6, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('600', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, '', 6, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('600', 'm', 'Mezzo di esecuzione per la musica', 'Mezzo di esecuzione per la musica', 1, 0, '', 6, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('600', 'n', 'Numero di parte/sezione dell\'opera', 'Numero di parte/sezione dell\'opera', 1, 0, '', 6, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('600', 'o', 'Formulazione d\'arrangiamento per la musica', 'Formulazione d\'arrangiamento per la musica', 0, 0, '', 6, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('600', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, '', 6, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('600', 'q', 'Forma completa del nome', 'Forma completa del nome', 0, 0, '', 6, '', '', '', NULL, -1, 'CF', '', '', NULL),
		('600', 'r', 'Tonalità (musica)', 'Tonalità (musica)', 0, 0, '', 6, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('600', 's', 'Versione', 'Versione', 0, 0, '', 6, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('600', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, '', 6, '', '', '', NULL, -1, 'CF', '', '', NULL),
		('600', 'u', 'Affiliazione', 'Affiliazione', 0, 0, '', 6, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('600', 'v', 'Suddivisione geografica', 'Suddivisione geografica', 1, 0, '', 6, '', '', '', NULL, -1, 'CF', '', '', NULL),
		('600', 'x', 'Suddivisione generale', 'Suddivisione generale', 1, 0, '', 6, '', '', '', NULL, -1, 'CF', '', '', NULL),
		('600', 'y', 'Suddivisione cronologica', 'Suddivisione cronologica', 1, 0, '', 6, '', '', '', NULL, -1, 'CF', '', '', NULL),
		('600', 'z', 'Suddivisione geografica', 'Suddivisione geografica', 1, 0, '', 6, '', '', '', NULL, -1, 'CF', '', '', NULL),
		('610', '2', 'Fonte dell\'intestazione o del termine', 'Fonte dell\'intestazione o del termine', 0, 0, '', 6, '', '', '', NULL, -1, 'CF', '', '', NULL),
		('610', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, '', 6, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('610', '4', 'Codice di ruolo', 'Codice di ruolo', 1, 0, '', 6, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('610', '6', 'Collegamento', 'Collegamento', 0, 0, '', 6, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('610', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 6, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('610', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 6, '', '', '', 0, -5, 'CF', '', '', NULL),
		('610', 'a', 'Nome dell\'ente o nome della giurisdizione come accesso', 'Nome dell\'ente o nome della giurisdizione come accesso', 0, 0, '', 6, '', 'CORPO_NAME', '', NULL, -1, 'CF', '', '', NULL),
		('610', 'b', 'Unità subordinata', 'Unità subordinata', 1, 0, '', 6, '', '', '', NULL, -1, 'CF', '', '', NULL),
		('610', 'c', 'Luogo del convegno', 'Luogo del convegno', 0, 0, '', 6, '', '', '', NULL, -1, 'CF', '', '', NULL),
		('610', 'd', 'Data del convegno o di firma del trattato', 'Data del convegno o di firma del trattato', 1, 0, '', 6, '', '', '', NULL, -1, 'CF', '', '', NULL),
		('610', 'e', 'Termine di ruolo', 'Termine di ruolo', 1, 0, '', 6, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('610', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, '', 6, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('610', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, '', 6, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('610', 'h', 'Supporto', 'Supporto', 0, 0, '', 6, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('610', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, '', 6, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('610', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, '', 6, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('610', 'm', 'Mezzo di esecuzione per la musica', 'Mezzo di esecuzione per la musica', 1, 0, '', 6, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('610', 'n', 'Numero di parte/sezione/convegno', 'Numero di parte/sezione/convegno', 1, 0, '', 6, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('610', 'o', 'Formulazione d\'arrangiamento per la musica', 'Formulazione d\'arrangiamento per la musica', 0, 0, '', 6, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('610', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, '', 6, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('610', 'r', 'Tonalità (musica)', 'Tonalità (musica)', 0, 0, '', 6, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('610', 's', 'Versione', 'Versione', 0, 0, '', 6, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('610', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, '', 6, '', '', '', NULL, -1, 'CF', '', '', NULL),
		('610', 'u', 'Affiliazione', 'Affiliazione', 0, 0, '', 6, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('610', 'v', 'Suddivisione geografica', 'Suddivisione geografica', 1, 0, '', 6, '', '', '', NULL, -1, 'CF', '', '', NULL),
		('610', 'x', 'Suddivisione generale', 'Suddivisione generale', 1, 0, '', 6, '', '', '', NULL, -1, 'CF', '', '', NULL),
		('610', 'y', 'Suddivisione cronologica', 'Suddivisione cronologica', 1, 0, '', 6, '', '', '', NULL, -1, 'CF', '', '', NULL),
		('610', 'z', 'Suddivisione geografica', 'Suddivisione geografica', 1, 0, '', 6, '', '', '', NULL, -1, 'CF', '', '', NULL),
		('611', '2', 'Fonte dell\'intestazione o del termine', 'Fonte dell\'intestazione o del termine', 0, 0, NULL, 6, NULL, NULL, '', NULL, -1, 'CF', '', '', NULL),
		('611', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('611', '4', 'Codice di ruolo', 'Codice di ruolo', 1, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('611', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('611', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('611', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 6, '', '', '', 0, -5, 'CF', '', '', NULL),
		('611', 'a', 'Nome del convegno o nome della giurisdizione come accesso', 'Nome del convegno o nome della giurisdizione come accesso', 0, 0, NULL, 6, NULL, 'MEETI_NAME', '', NULL, -1, 'CF', '', '', NULL),
		('611', 'b', 'Number  (BK CF MP MU SE VM MX)  [OBSOLETE]', 'Number  (BK CF MP MU SE VM MX)  [OBSOLETE]', 1, 0, NULL, -1, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('611', 'c', 'Luogo del convegno', 'Luogo del convegno', 0, 0, NULL, 6, NULL, NULL, '', NULL, -1, 'CF', '', '', NULL),
		('611', 'd', 'Data del convegno', 'Data del convegno', 0, 0, NULL, 6, NULL, NULL, '', NULL, -1, 'CF', '', '', NULL),
		('611', 'e', 'Unità subordinata', 'Unità subordinata', 1, 0, NULL, 6, NULL, NULL, '', NULL, -1, 'CF', '', '', NULL),
		('611', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('611', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('611', 'h', 'Supporto', 'Supporto', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('611', 'j', 'Termine di ruolo', 'Termine di ruolo', 1, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('611', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('611', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('611', 'n', 'Numero di parte/sezione/convegno', 'Numero di parte/sezione/convegno', 1, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('611', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('611', 'q', 'Nome del convegno dopo accesso di nome della giurisdizione', 'Nome del convegno dopo accesso di nome della giurisdizione', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('611', 's', 'Versione', 'Versione', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('611', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, NULL, 6, NULL, NULL, '', NULL, -1, 'CF', '', '', NULL),
		('611', 'u', 'Affiliazione', 'Affiliazione', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('611', 'v', 'Suddivisione geografica', 'Suddivisione geografica', 1, 0, NULL, 6, NULL, NULL, '', NULL, -1, 'CF', '', '', NULL),
		('611', 'x', 'Suddivisione generale', 'Suddivisione generale', 1, 0, NULL, 6, NULL, NULL, '', NULL, -1, 'CF', '', '', NULL),
		('611', 'y', 'Suddivisione cronologica', 'Suddivisione cronologica', 1, 0, NULL, 6, NULL, NULL, '', NULL, -1, 'CF', '', '', NULL),
		('611', 'z', 'Suddivisione geografica', 'Suddivisione geografica', 1, 0, NULL, 6, NULL, NULL, '', NULL, -1, 'CF', '', '', NULL),
		('630', '2', 'Fonte dell\'intestazione o del termine', 'Fonte dell\'intestazione o del termine', 0, 0, NULL, 6, NULL, NULL, '', NULL, -1, 'CF', '', '', NULL),
		('630', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('630', '4', 'Codice di ruolo', 'Codice di ruolo', 1, 0, '', 6, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('630', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('630', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('630', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 6, '', '', '', 0, -5, 'CF', '', '', NULL),
		('630', 'a', 'Titolo uniforme', 'Titolo uniforme', 0, 0, NULL, 6, NULL, 'UNIF_TITLE', '', NULL, -1, 'CF', '', '', NULL),
		('630', 'd', 'Data di firma del trattato', 'Data di firma del trattato', 1, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('630', 'e', 'Termine di ruolo', 'Termine di ruolo', 1, 0, '', 6, '', '', '', NULL, -1, 'CF', '', '', NULL),
		('630', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('630', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('630', 'h', 'Supporto', 'Supporto', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('630', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('630', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, NULL, 6, NULL, NULL, '', NULL, -1, 'CF', '', '', NULL),
		('630', 'm', 'Mezzo di esecuzione per la musica', 'Mezzo di esecuzione per la musica', 1, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('630', 'n', 'Numero di parte/sezione dell\'opera', 'Numero di parte/sezione dell\'opera', 1, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('630', 'o', 'Formulazione d\'arrangiamento per la musica', 'Formulazione d\'arrangiamento per la musica', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('630', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('630', 'r', 'Tonalità (musica)', 'Tonalità (musica)', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('630', 's', 'Versione', 'Versione', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('630', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, NULL, 6, NULL, NULL, '', NULL, -1, 'CF', '', '', NULL),
		('630', 'v', 'Suddivisione geografica', 'Suddivisione geografica', 1, 0, NULL, 6, NULL, NULL, '', NULL, -1, 'CF', '', '', NULL),
		('630', 'x', 'Suddivisione generale', 'Suddivisione generale', 1, 0, NULL, 6, NULL, NULL, '', NULL, -1, 'CF', '', '', NULL),
		('630', 'y', 'Suddivisione cronologica', 'Suddivisione cronologica', 1, 0, NULL, 6, NULL, NULL, '', NULL, -1, 'CF', '', '', NULL),
		('630', 'z', 'Suddivisione geografica', 'Suddivisione geografica', 1, 0, NULL, 6, NULL, NULL, '', NULL, -1, 'CF', '', '', NULL),
		('648', '2', 'Fonte dell\'intestazione o del termine', 'Fonte dell\'intestazione o del termine', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('648', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('648', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('648', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('648', 'a', 'Termine cronologico', 'Termine cronologico', 0, 0, NULL, 6, NULL, 'CHRON_TERM', '', NULL, -6, 'CF', '', '', NULL),
		('648', 'v', 'Suddivisione geografica', 'Suddivisione geografica', 1, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('648', 'x', 'Suddivisione generale', 'Suddivisione generale', 1, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('648', 'y', 'Suddivisione cronologica', 'Suddivisione cronologica', 1, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('648', 'z', 'Suddivisione geografica', 'Suddivisione geografica', 1, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('650', '2', 'Fonte dell\'intestazione o del termine', 'Fonte dell\'intestazione o del termine', 0, 0, '', 6, '', '', '', 0, 0, 'CF', '', '', NULL),
		('650', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, '', 6, '', '', '', 0, -6, 'CF', '', '', NULL),
		('650', '4', 'Codice di ruolo', 'Codice di ruolo', 1, 0, '', 6, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('650', '6', 'Collegamento', 'Collegamento', 0, 0, '', 6, '', '', '', 0, -6, 'CF', '', '', NULL),
		('650', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 6, '', '', '', 0, -6, 'CF', '', '', NULL),
		('650', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 6, '', '', '', 0, -5, 'CF', '', '', NULL),
		('650', 'a', 'Termine topico o nome geografico come accesso', 'Termine topico o nome geografico come accesso', 0, 0, 'bibliosubject.subject', 6, '', 'TOPIC_TERM', '', 0, 0, 'CF', '''6003'',''600a'',''600b'',''600c'',''600d'',''600e'',''600f'',''600g'',''600h'',''600k'',''600l'',''600m'',''600n'',''600o'',''600p'',''600r'',''600s'',''600t'',''600u'',''600x'',''600z'',''600y'',''600v'',''6103'',''610a'',''610b'',''610c'',''610d'',''610e'',''610f'',''610g'',''610h'',''610k'',''610l'',''610m'',''610n'',''610o'',''610p'',''610r'',''610s'',''610t'',''610u'',''610x'',''610z'',''610y'',''610v'',''6113'',''611a'',''611b'',''611c'',''611d'',''611e'',''611f'',''611g'',''611h'',''611k'',''611l'',''611m'',''611n'',''611o'',''611p'',''611r'',''611s'',''611t'',''611u'',''611x'',''611z'',''611y'',''611v'',''630a'',''630b'',''630c'',''630d'',''630e'',''630f'',''630g'',''630h'',''630k'',''630l'',''630m'',''630n'',''630o'',''630p'',''630r'',''630s'',''630t'',''630x'',''630z'',''630y'',''630v'',''6483'',''648a'',''648x'',''648z'',''648y'',''648v'',''6503'',''650b'',''650c'',''650d'',''650e'',''650x'',''650z'',''650y'',''650v'',''6513'',''651a'',''651b'',''651c'',''651d'',''651e'',''651x'',''651z'',''651y'',''651v'',''653a'',''6543'',''654a'',''654b'',''654x'',''654z'',''654y'',''654v'',''6553'',''655a'',''655b'',''655x'',''655z'',''655y'',''655v'',''6563'',''656a'',''656k'',''656x'',''656z'',''656y'',''656v'',''6573'',''657a'',''657x'',''657z'',''657y'',''657v'',''658a'',''658b'',''658c'',''658d'',''658v''', '', NULL),
		('650', 'b', 'Nome geografico che precede un termine topico come accesso', 'Nome geografico che precede un termine topico come accesso', 0, 0, '', 6, '', '', '', 0, -1, 'CF', '', '', NULL),
		('650', 'c', 'Luogo dell\'evento', 'Luogo dell\'evento', 0, 0, '', 6, '', '', '', 0, -1, 'CF', '', '', NULL),
		('650', 'd', 'Date d\'attività', 'Date d\'attività', 0, 0, '', 6, '', '', '', 0, -1, 'CF', '', '', NULL),
		('650', 'e', 'Termine di ruolo', 'Termine di ruolo', 0, 0, '', 6, '', '', '', 0, -1, 'CF', '', '', NULL),
		('650', 'v', 'Suddivisione geografica', 'Suddivisione geografica', 1, 0, '', 6, '', '', '', 0, 0, 'CF', '', '', NULL),
		('650', 'x', 'Suddivisione generale', 'Suddivisione generale', 1, 0, '', 6, '', '', '', 0, 0, 'CF', '', '', NULL),
		('650', 'y', 'Suddivisione cronologica', 'Suddivisione cronologica', 1, 0, '', 6, '', '', '', 0, 0, 'CF', '', '', NULL),
		('650', 'z', 'Suddivisione geografica', 'Suddivisione geografica', 1, 0, '', 6, '', '', '', 0, 0, 'CF', '', '', NULL),
		('651', '2', 'Fonte dell\'intestazione o del termine', 'Fonte dell\'intestazione o del termine', 0, 0, '', 6, '', '', '', NULL, -1, 'CF', '', '', NULL),
		('651', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, '', 6, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('651', '4', 'Codice di ruolo', 'Codice di ruolo', 1, 0, '', 6, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('651', '6', 'Collegamento', 'Collegamento', 0, 0, '', 6, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('651', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 6, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('651', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 6, '', '', '', 0, -5, 'CF', '', '', NULL),
		('651', 'a', 'Nome geografico', 'Nome geografico', 0, 0, '', 6, '', 'GEOGR_NAME', '', NULL, -1, 'CF', '', '', NULL),
		('651', 'b', 'Geographic name following place entry element [OBSOLETE]', 'Geographic name following place entry element [OBSOLETE]', 1, 0, '', 6, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('651', 'e', 'Termine di ruolo', 'Termine di ruolo', 1, 0, '', 6, '', '', '', NULL, -1, 'CF', '', '', NULL),
		('651', 'v', 'Suddivisione geografica', 'Suddivisione geografica', 1, 0, '', 6, '', '', '', NULL, -1, 'CF', '', '', NULL),
		('651', 'x', 'Suddivisione generale', 'Suddivisione generale', 1, 0, '', 6, '', '', '', NULL, -1, 'CF', '', '', NULL),
		('651', 'y', 'Suddivisione cronologica', 'Suddivisione cronologica', 1, 0, '', 6, '', '', '', NULL, -1, 'CF', '', '', NULL),
		('651', 'z', 'Suddivisione geografica', 'Suddivisione geografica', 1, 0, '', 6, '', '', '', NULL, -1, 'CF', '', '', NULL),
		('652', 'a', 'Nome geografico del luogo', 'Nome geografico del luogo', 0, 0, '', 6, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('652', 'x', 'Suddivisione generale', 'Suddivisione generale', 1, 0, '', 6, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('652', 'y', 'Suddivisione cronologica', 'Suddivisione cronologica', 1, 0, '', 6, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('652', 'z', 'Suddivisione geografica', 'Suddivisione geografica', 1, 0, '', 6, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('653', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('653', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('653', 'a', 'Termine non controllato', 'Termine non controllato', 1, 0, NULL, 6, NULL, NULL, '', NULL, -1, 'CF', '', '', NULL),
		('654', '2', 'Fonte', 'Fonte', 0, 0, '', 6, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('654', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, '', 6, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('654', '4', 'Codice di ruolo', 'Codice di ruolo', 1, 0, '', 6, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('654', '6', 'Collegamento', 'Collegamento', 0, 0, '', 6, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('654', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 6, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('654', 'a', 'Termine principale', 'Termine principale', 1, 0, '', 6, '', 'TOPIC_TERM', '', NULL, -6, 'CF', '', '', NULL),
		('654', 'b', 'Termine non principale', 'Termine non principale', 1, 0, '', 6, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('654', 'c', 'Designazione di faccetta/gerarchia', 'Designazione di faccetta/gerarchia', 1, 0, '', 6, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('654', 'e', 'Termine di ruolo', 'Termine di ruolo', 1, 0, '', 6, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('654', 'v', 'Suddivisione geografica', 'Suddivisione geografica', 1, 0, '', 6, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('654', 'x', 'Suddivisione generale', 'Suddivisione generale', 1, 0, '', 6, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('654', 'y', 'Suddivisione cronologica', 'Suddivisione cronologica', 1, 0, '', 6, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('654', 'z', 'Suddivisione geografica', 'Suddivisione geografica', 1, 0, '', 6, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('655', '2', 'Fonte', 'Fonte', 0, 0, '', 6, '', '', '', NULL, -1, 'CF', '', '', NULL),
		('655', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, '', 6, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('655', '5', 'Istituzione a cui si applica il campo', 'Istituzione a cui si applica il campo', 0, 0, '', 6, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('655', '6', 'Collegamento', 'Collegamento', 0, 0, '', 6, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('655', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 6, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('655', 'a', 'Termine principale di genere/forma', 'Termine principale di genere/forma', 0, 0, '', 6, '', 'GENRE/FORM', '', NULL, -1, 'CF', '', '', NULL),
		('655', 'b', 'Termine non principale', 'Termine non principale', 1, 0, '', 6, '', '', '', NULL, -1, 'CF', '', '', NULL),
		('655', 'c', 'Designazione di faccetta/gerarchia', 'Designazione di faccetta/gerarchia', 1, 0, '', 6, '', '', '', NULL, -1, 'CF', '', '', NULL),
		('655', 'v', 'Suddivisione geografica', 'Suddivisione geografica', 1, 0, '', 6, '', '', '', NULL, -1, 'CF', '', '', NULL),
		('655', 'x', 'Suddivisione generale', 'Suddivisione generale', 1, 0, '', 6, '', '', '', NULL, -1, 'CF', '', '', NULL),
		('655', 'y', 'Suddivisione cronologica', 'Suddivisione cronologica', 1, 0, '', 6, '', '', '', NULL, -1, 'CF', '', '', NULL),
		('655', 'z', 'Suddivisione geografica', 'Suddivisione geografica', 1, 0, '', 6, '', '', '', NULL, -1, 'CF', '', '', NULL),
		('656', '2', 'Fonte', 'Fonte', 0, 0, '', 6, '', '', '', NULL, -1, 'CF', '', '', NULL),
		('656', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, '', 6, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('656', '6', 'Collegamento', 'Collegamento', 0, 0, '', 6, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('656', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 6, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('656', 'a', 'Occupazione', 'Occupazione', 0, 0, '', 6, '', 'TOPIC_TERM', '', NULL, -1, 'CF', '', '', NULL),
		('656', 'k', 'Forma', 'Forma', 0, 0, '', 6, '', '', '', NULL, -1, 'CF', '', '', NULL),
		('656', 'v', 'Suddivisione geografica', 'Suddivisione geografica', 1, 0, '', 6, '', '', '', NULL, -1, 'CF', '', '', NULL),
		('656', 'x', 'Suddivisione generale', 'Suddivisione generale', 1, 0, '', 6, '', '', '', NULL, -1, 'CF', '', '', NULL),
		('656', 'y', 'Suddivisione cronologica', 'Suddivisione cronologica', 1, 0, '', 6, '', '', '', NULL, -1, 'CF', '', '', NULL),
		('656', 'z', 'Suddivisione geografica', 'Suddivisione geografica', 1, 0, '', 6, '', '', '', NULL, -1, 'CF', '', '', NULL),
		('657', '2', 'Fonte', 'Fonte', 0, 0, '', 6, '', '', '', NULL, -1, 'CF', '', '', NULL),
		('657', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, '', 6, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('657', '6', 'Collegamento', 'Collegamento', 0, 0, '', 6, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('657', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 6, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('657', 'a', 'Funzione', 'Funzione', 0, 0, '', 6, '', 'TOPIC_TERM', '', NULL, -1, 'CF', '', '', NULL),
		('657', 'v', 'Suddivisione geografica', 'Suddivisione geografica', 1, 0, '', 6, '', '', '', NULL, -1, 'CF', '', '', NULL),
		('657', 'x', 'Suddivisione generale', 'Suddivisione generale', 1, 0, '', 6, '', '', '', NULL, -1, 'CF', '', '', NULL),
		('657', 'y', 'Suddivisione cronologica', 'Suddivisione cronologica', 1, 0, '', 6, '', '', '', NULL, -1, 'CF', '', '', NULL),
		('657', 'z', 'Suddivisione geografica', 'Suddivisione geografica', 1, 0, '', 6, '', '', '', NULL, -1, 'CF', '', '', NULL),
		('658', '2', 'Fonte', 'Fonte', 0, 0, '', 6, '', '', '', NULL, -1, 'CF', '', '', NULL),
		('658', '6', 'Collegamento', 'Collegamento', 0, 0, '', 6, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('658', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 6, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('658', 'a', 'Obiettivo principale del curriculum scolastico', 'Obiettivo principale del curriculum scolastico', 0, 0, '', 6, '', 'TOPIC_TERM', '', NULL, 0, 'CF', '', '', NULL),
		('658', 'b', 'Obiettivo secondario del curriculum scolastico', 'Obiettivo secondario del curriculum scolastico', 1, 0, '', 6, '', '', '', NULL, 0, 'CF', '', '', NULL),
		('658', 'c', 'Codice di curriculum scolastico', 'Codice di curriculum scolastico', 0, 0, '', 6, '', '', '', NULL, 0, 'CF', '', '', NULL),
		('658', 'd', 'Fattore di correlazione', 'Fattore di correlazione', 0, 0, '', 6, '', '', '', NULL, -1, 'CF', '', '', NULL),
		('662', '2', 'Fonte', 'Fonte', 0, 0, '', 6, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('662', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, '', 6, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('662', '4', 'Codice di ruolo', 'Codice di ruolo', 1, 0, '', 6, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('662', '6', 'Collegamento', 'Collegamento', 0, 0, '', 6, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('662', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 6, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('662', 'a', 'Paese o ente maggiore', 'Paese o ente maggiore', 1, 0, '', 6, '', 'GEOGR_NAME', '', NULL, -6, 'CF', '', '', NULL),
		('662', 'b', 'Giurisdizione politica principale', 'Giurisdizione politica principale', 0, 0, '', 6, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('662', 'c', 'Giurisdizione politica intermedia', 'Giurisdizione politica intermedia', 1, 0, '', 6, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('662', 'd', 'Città', 'Città', 0, 0, '', 6, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('662', 'e', 'Termine di ruolo', 'Termine di ruolo', 1, 0, '', 6, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('662', 'f', 'Suddivisione comunale', 'Suddivisione comunale', 1, 0, '', 6, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('662', 'g', 'Altra regione e caratteristica geografica non giurisdizionale', 'Altra regione e caratteristica geografica non giurisdizionale', 1, 0, '', 6, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('662', 'h', 'Paese o ente maggiore', 'Paese o ente maggiore', 1, 0, '', 6, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('690', '%', '% (RLIN)', '% (RLIN)', 0, 0, '', 6, '', '', '', 0, -6, 'CF', '', '', NULL),
		('690', '2', 'Fonte dell\'intestazione o del termine', 'Fonte dell\'intestazione o del termine', 0, 0, '', 6, '', '', '', 0, -6, 'CF', '', '', NULL),
		('690', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, '', 6, '', '', '', 0, -6, 'CF', '', '', NULL),
		('690', '6', 'Collegamento', 'Collegamento', 0, 0, '', 6, '', '', '', 0, -6, 'CF', '', '', NULL),
		('690', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 6, '', '', '', 0, -6, 'CF', '', '', NULL),
		('690', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 6, '', '', '', 0, -5, 'CF', '', '', NULL),
		('690', 'a', 'Termine topico o nome geografico come accesso', 'Termine topico o nome geografico come accesso', 0, 0, '', 6, '', 'TOPIC_TERM', '', 0, -1, 'CF', '', '', NULL),
		('690', 'b', 'Nome geografico che precede un termine topico come accesso', 'Nome geografico che precede un termine topico come accesso', 0, 0, '', 6, '', '', '', 0, -1, 'CF', '', '', NULL),
		('690', 'c', 'Luogo dell\'evento', 'Luogo dell\'evento', 0, 0, '', 6, '', '', '', 0, -1, 'CF', '', '', NULL),
		('690', 'd', 'Date d\'attività', 'Date d\'attività', 0, 0, '', 6, '', '', '', 0, -6, 'CF', '', '', NULL),
		('690', 'e', 'Termine di ruolo', 'Termine di ruolo', 0, 0, '', 6, '', '', '', 0, -6, 'CF', '', '', NULL),
		('690', 'v', 'Suddivisione geografica', 'Suddivisione geografica', 1, 0, '', 6, '', '', '', 0, -1, 'CF', '', '', NULL),
		('690', 'x', 'Suddivisione generale', 'Suddivisione generale', 1, 0, '', 6, '', '', '', 0, -1, 'CF', '', '', NULL),
		('690', 'y', 'Suddivisione cronologica', 'Suddivisione cronologica', 1, 0, '', 6, '', '', '', 0, -1, 'CF', '', '', NULL),
		('690', 'z', 'Suddivisione geografica', 'Suddivisione geografica', 1, 0, '', 6, '', '', '', 0, -1, 'CF', '', '', NULL),
		('691', '%', '% (RLIN)', '% (RLIN)', 0, 0, '', 6, '', '', '', 0, -6, 'CF', '', '', NULL),
		('691', '2', 'Fonte dell\'intestazione o del termine', 'Fonte dell\'intestazione o del termine', 0, 0, '', 6, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('691', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, '', 6, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('691', '6', 'Collegamento', 'Collegamento', 0, 0, '', 6, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('691', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 6, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('691', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 6, '', '', '', 0, -5, 'CF', '', '', NULL),
		('691', 'a', 'Nome geografico', 'Nome geografico', 0, 0, '', 6, '', 'GEOGR_NAME', '', NULL, -6, 'CF', '', '', NULL),
		('691', 'b', 'Geographic name following place entry element [OBSOLETE]', 'Geographic name following place entry element [OBSOLETE]', 1, 0, '', 6, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('691', 'v', 'Suddivisione geografica', 'Suddivisione geografica', 1, 0, '', 6, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('691', 'x', 'Suddivisione generale', 'Suddivisione generale', 1, 0, '', 6, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('691', 'y', 'Suddivisione cronologica', 'Suddivisione cronologica', 1, 0, '', 6, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('691', 'z', 'Suddivisione geografica', 'Suddivisione geografica', 1, 0, '', 6, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('696', '%', '% (RLIN)', '% (RLIN)', 0, 0, '', 6, '', '', '', 0, -6, 'CF', '', '', NULL),
		('696', '2', 'Fonte dell\'intestazione o del termine', 'Fonte dell\'intestazione o del termine', 0, 0, '', 6, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('696', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, '', 6, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('696', '4', 'Codice di ruolo', 'Codice di ruolo', 1, 0, '', 6, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('696', '6', 'Collegamento', 'Collegamento', 0, 0, '', 6, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('696', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 6, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('696', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 6, '', '', '', 0, -5, 'CF', '', '', NULL),
		('696', 'a', 'Nome di persona', 'Nome di persona', 0, 0, '', 6, '', 'PERSO_NAME', '', NULL, -6, 'CF', '', '', NULL),
		('696', 'b', 'Numerazione', 'Numerazione', 0, 0, '', 6, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('696', 'c', 'Titoli e altre parole associate al nome', 'Titoli e altre parole associate al nome', 1, 0, '', 6, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('696', 'd', 'Date associate al nome', 'Date associate al nome', 0, 0, '', 6, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('696', 'e', 'Termine di ruolo', 'Termine di ruolo', 1, 0, '', 6, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('696', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, '', 6, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('696', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, '', 6, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('696', 'h', 'Supporto', 'Supporto', 0, 0, '', 6, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('696', 'j', 'Qualificazione d\'attribuzione', 'Qualificazione d\'attribuzione', 1, 0, '', 6, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('696', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, '', 6, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('696', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, '', 6, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('696', 'm', 'Mezzo di esecuzione per la musica', 'Mezzo di esecuzione per la musica', 1, 0, '', 6, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('696', 'n', 'Numero di parte/sezione dell\'opera', 'Numero di parte/sezione dell\'opera', 1, 0, '', 6, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('696', 'o', 'Formulazione d\'arrangiamento per la musica', 'Formulazione d\'arrangiamento per la musica', 0, 0, '', 6, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('696', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, '', 6, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('696', 'q', 'Forma completa del nome', 'Forma completa del nome', 0, 0, '', 6, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('696', 'r', 'Tonalità (musica)', 'Tonalità (musica)', 0, 0, '', 6, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('696', 's', 'Versione', 'Versione', 0, 0, '', 6, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('696', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, '', 6, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('696', 'u', 'Affiliazione', 'Affiliazione', 0, 0, '', 6, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('696', 'v', 'Suddivisione geografica', 'Suddivisione geografica', 1, 0, '', 6, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('696', 'x', 'Suddivisione generale', 'Suddivisione generale', 1, 0, '', 6, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('696', 'y', 'Suddivisione cronologica', 'Suddivisione cronologica', 1, 0, '', 6, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('696', 'z', 'Suddivisione geografica', 'Suddivisione geografica', 1, 0, '', 6, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('697', '%', '% (RLIN)', '% (RLIN)', 0, 0, '', 6, '', '', '', 0, -6, 'CF', '', '', NULL),
		('697', '2', 'Fonte dell\'intestazione o del termine', 'Fonte dell\'intestazione o del termine', 0, 0, '', 6, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('697', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, '', 6, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('697', '4', 'Codice di ruolo', 'Codice di ruolo', 1, 0, '', 6, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('697', '6', 'Collegamento', 'Collegamento', 0, 0, '', 6, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('697', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 6, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('697', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 6, '', '', '', 0, -5, 'CF', '', '', NULL),
		('697', 'a', 'Nome dell\'ente o nome della giurisdizione come accesso', 'Nome dell\'ente o nome della giurisdizione come accesso', 0, 0, '', 6, '', 'CORPO_NAME', '', NULL, -6, 'CF', '', '', NULL),
		('697', 'b', 'Unità subordinata', 'Unità subordinata', 1, 0, '', 6, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('697', 'c', 'Luogo del convegno', 'Luogo del convegno', 0, 0, '', 6, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('697', 'd', 'Data del convegno o di firma del trattato', 'Data del convegno o di firma del trattato', 1, 0, '', 6, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('697', 'e', 'Termine di ruolo', 'Termine di ruolo', 1, 0, '', 6, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('697', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, '', 6, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('697', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, '', 6, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('697', 'h', 'Supporto', 'Supporto', 0, 0, '', 6, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('697', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, '', 6, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('697', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, '', 6, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('697', 'm', 'Mezzo di esecuzione per la musica', 'Mezzo di esecuzione per la musica', 1, 0, '', 6, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('697', 'n', 'Numero di parte/sezione/convegno', 'Numero di parte/sezione/convegno', 1, 0, '', 6, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('697', 'o', 'Formulazione d\'arrangiamento per la musica', 'Formulazione d\'arrangiamento per la musica', 0, 0, '', 6, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('697', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, '', 6, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('697', 'r', 'Tonalità (musica)', 'Tonalità (musica)', 0, 0, '', 6, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('697', 's', 'Versione', 'Versione', 0, 0, '', 6, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('697', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, '', 6, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('697', 'u', 'Affiliazione', 'Affiliazione', 0, 0, '', 6, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('697', 'v', 'Suddivisione geografica', 'Suddivisione geografica', 1, 0, '', 6, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('697', 'x', 'Suddivisione generale', 'Suddivisione generale', 1, 0, '', 6, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('697', 'y', 'Suddivisione cronologica', 'Suddivisione cronologica', 1, 0, '', 6, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('697', 'z', 'Suddivisione geografica', 'Suddivisione geografica', 1, 0, '', 6, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('698', '%', '% (RLIN)', '% (RLIN)', 0, 0, '', 6, '', '', '', 0, -6, 'CF', '', '', NULL),
		('698', '2', 'Fonte dell\'intestazione o del termine', 'Fonte dell\'intestazione o del termine', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('698', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('698', '4', 'Codice di ruolo', 'Codice di ruolo', 1, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('698', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('698', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('698', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 6, '', '', '', 0, -5, 'CF', '', '', NULL),
		('698', 'a', 'Nome del convegno o nome della giurisdizione come accesso', 'Nome del convegno o nome della giurisdizione come accesso', 0, 0, NULL, 6, NULL, 'MEETI_NAME', '', NULL, -6, 'CF', '', '', NULL),
		('698', 'b', 'Number  (BK CF MP MU SE VM MX)  [OBSOLETE]', 'Number  (BK CF MP MU SE VM MX)  [OBSOLETE]', 1, 0, NULL, -1, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('698', 'c', 'Luogo del convegno', 'Luogo del convegno', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('698', 'd', 'Data del convegno', 'Data del convegno', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('698', 'e', 'Unità subordinata', 'Unità subordinata', 1, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('698', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('698', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('698', 'h', 'Supporto', 'Supporto', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('698', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('698', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('698', 'n', 'Numero di parte/sezione/convegno', 'Numero di parte/sezione/convegno', 1, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('698', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('698', 'q', 'Nome del convegno dopo accesso di nome della giurisdizione', 'Nome del convegno dopo accesso di nome della giurisdizione', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('698', 's', 'Versione', 'Versione', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('698', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('698', 'u', 'Affiliazione', 'Affiliazione', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('698', 'v', 'Suddivisione geografica', 'Suddivisione geografica', 1, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('698', 'x', 'Suddivisione generale', 'Suddivisione generale', 1, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('698', 'y', 'Suddivisione cronologica', 'Suddivisione cronologica', 1, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('698', 'z', 'Suddivisione geografica', 'Suddivisione geografica', 1, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('699', '%', '% (RLIN)', '% (RLIN)', 0, 0, '', 6, '', '', '', 0, -6, 'CF', '', '', NULL),
		('699', '2', 'Fonte dell\'intestazione o del termine', 'Fonte dell\'intestazione o del termine', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('699', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('699', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('699', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('699', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 6, '', '', '', 0, -5, 'CF', '', '', NULL),
		('699', 'a', 'Titolo uniforme', 'Titolo uniforme', 0, 0, NULL, 6, NULL, 'UNIF_TITLE', '', NULL, -6, 'CF', '', '', NULL),
		('699', 'd', 'Data di firma del trattato', 'Data di firma del trattato', 1, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('699', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('699', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('699', 'h', 'Supporto', 'Supporto', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('699', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('699', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('699', 'm', 'Mezzo di esecuzione per la musica', 'Mezzo di esecuzione per la musica', 1, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('699', 'n', 'Numero di parte/sezione dell\'opera', 'Numero di parte/sezione dell\'opera', 1, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('699', 'o', 'Formulazione d\'arrangiamento per la musica', 'Formulazione d\'arrangiamento per la musica', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('699', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('699', 'r', 'Tonalità (musica)', 'Tonalità (musica)', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('699', 's', 'Versione', 'Versione', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('699', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('699', 'v', 'Suddivisione geografica', 'Suddivisione geografica', 1, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('699', 'x', 'Suddivisione generale', 'Suddivisione generale', 1, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('699', 'y', 'Suddivisione cronologica', 'Suddivisione cronologica', 1, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('700', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, '', 7, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('700', '4', 'Codice di ruolo', 'Codice di ruolo', 1, 0, '', 7, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('700', '5', 'Istituzione a cui si applica il campo', 'Istituzione a cui si applica il campo', 0, 0, '', 7, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('700', '6', 'Collegamento', 'Collegamento', 0, 0, '', 7, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('700', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 7, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('700', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 7, '', '', '', 0, -5, 'CF', '', '', NULL),
		('700', 'a', 'Nome di persona', 'Nome di persona', 0, 0, 'additionalauthors.author', 7, '', 'PERSO_NAME', '', NULL, -1, 'CF', '', '', NULL),
		('700', 'b', 'Numerazione', 'Numerazione', 0, 0, '', 7, '', '', '', NULL, -1, 'CF', '', '', NULL),
		('700', 'c', 'Titoli e altre parole associate al nome', 'Titoli e altre parole associate al nome', 1, 0, '', 7, '', '', '', NULL, -1, 'CF', '', '', NULL),
		('700', 'd', 'Date associate al nome', 'Date associate al nome', 0, 0, '', 7, '', '', '', NULL, -1, 'CF', '', '', NULL),
		('700', 'e', 'Termine di ruolo', 'Termine di ruolo', 1, 0, '', 7, '', '', '', NULL, -1, 'CF', '', '', NULL),
		('700', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, '', 7, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('700', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, '', 7, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('700', 'h', 'Supporto', 'Supporto', 0, 0, '', 7, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('700', 'j', 'Qualificazione d\'attribuzione', 'Qualificazione d\'attribuzione', 1, 0, '', 7, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('700', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, '', 7, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('700', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, '', 7, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('700', 'm', 'Mezzo di esecuzione per la musica', 'Mezzo di esecuzione per la musica', 1, 0, '', 7, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('700', 'n', 'Numero di parte/sezione dell\'opera', 'Numero di parte/sezione dell\'opera', 1, 0, '', 7, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('700', 'o', 'Formulazione d\'arrangiamento per la musica', 'Formulazione d\'arrangiamento per la musica', 0, 0, '', 7, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('700', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, '', 7, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('700', 'q', 'Forma completa del nome', 'Forma completa del nome', 0, 0, '', 7, '', '', '', NULL, -1, 'CF', '', '', NULL),
		('700', 'r', 'Tonalità (musica)', 'Tonalità (musica)', 0, 0, '', 7, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('700', 's', 'Versione', 'Versione', 0, 0, '', 7, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('700', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, '', 7, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('700', 'u', 'Affiliazione', 'Affiliazione', 0, 0, '', 7, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('700', 'x', 'ISSN (International Standard Serial Number)', 'ISSN (International Standard Serial Number)', 0, 0, '', 7, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('705', 'a', 'Nome di persona', 'Nome di persona', 0, 0, '', 7, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('705', 'b', 'Numerazione', 'Numerazione', 0, 0, '', 7, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('705', 'c', 'Titoli e altre parole associate al nome', 'Titoli e altre parole associate al nome', 1, 0, '', 7, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('705', 'd', 'Date associate al nome', 'Date associate al nome', 0, 0, '', 7, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('705', 'e', 'Termine di ruolo', 'Termine di ruolo', 1, 0, '', 7, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('705', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, '', 7, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('705', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, '', 7, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('705', 'h', 'Supporto', 'Supporto', 0, 0, '', 7, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('705', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, '', 7, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('705', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, '', 7, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('705', 'm', 'Mezzo di esecuzione per la musica', 'Mezzo di esecuzione per la musica', 1, 0, '', 7, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('705', 'n', 'Numero di parte/sezione dell\'opera', 'Numero di parte/sezione dell\'opera', 1, 0, '', 7, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('705', 'o', 'Formulazione d\'arrangiamento per la musica', 'Formulazione d\'arrangiamento per la musica', 0, 0, '', 7, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('705', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, '', 7, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('705', 'r', 'Tonalità (musica)', 'Tonalità (musica)', 0, 0, '', 7, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('705', 's', 'Versione', 'Versione', 0, 0, '', 7, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('705', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, '', 7, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('710', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, '', 7, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('710', '4', 'Codice di ruolo', 'Codice di ruolo', 1, 0, '', 7, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('710', '5', 'Istituzione a cui si applica il campo', 'Istituzione a cui si applica il campo', 0, 0, '', 7, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('710', '6', 'Collegamento', 'Collegamento', 0, 0, '', 7, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('710', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 7, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('710', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 7, '', '', '', 0, -5, 'CF', '', '', NULL),
		('710', 'a', 'Nome dell\'ente o nome della giurisdizione come accesso', 'Nome dell\'ente o nome della giurisdizione come accesso', 0, 0, '', 7, '', 'CORPO_NAME', '', NULL, -1, 'CF', '', '', NULL),
		('710', 'b', 'Unità subordinata', 'Unità subordinata', 1, 0, '', 7, '', '', '', NULL, -1, 'CF', '', '', NULL),
		('710', 'c', 'Luogo del convegno', 'Luogo del convegno', 0, 0, '', 7, '', '', '', NULL, -1, 'CF', '', '', NULL),
		('710', 'd', 'Data del convegno o di firma del trattato', 'Data del convegno o di firma del trattato', 1, 0, '', 7, '', '', '', NULL, -1, 'CF', '', '', NULL),
		('710', 'e', 'Termine di ruolo', 'Termine di ruolo', 1, 0, '', 7, '', '', '', NULL, -1, 'CF', '', '', NULL),
		('710', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, '', 7, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('710', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, '', 7, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('710', 'h', 'Supporto', 'Supporto', 0, 0, '', 7, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('710', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, '', 7, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('710', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, '', 7, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('710', 'm', 'Mezzo di esecuzione per la musica', 'Mezzo di esecuzione per la musica', 1, 0, '', 7, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('710', 'n', 'Numero di parte/sezione/convegno', 'Numero di parte/sezione/convegno', 1, 0, '', 7, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('710', 'o', 'Formulazione d\'arrangiamento per la musica', 'Formulazione d\'arrangiamento per la musica', 0, 0, '', 7, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('710', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, '', 7, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('710', 'r', 'Tonalità (musica)', 'Tonalità (musica)', 0, 0, '', 7, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('710', 's', 'Versione', 'Versione', 0, 0, '', 7, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('710', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, '', 7, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('710', 'u', 'Affiliazione', 'Affiliazione', 0, 0, '', 7, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('710', 'x', 'ISSN (International Standard Serial Number)', 'ISSN (International Standard Serial Number)', 0, 0, '', 7, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('711', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('711', '4', 'Codice di ruolo', 'Codice di ruolo', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('711', '5', 'Istituzione a cui si applica il campo', 'Istituzione a cui si applica il campo', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('711', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('711', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('711', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 7, '', '', '', 0, -5, 'CF', '', '', NULL),
		('711', 'a', 'Nome del convegno o nome della giurisdizione come accesso', 'Nome del convegno o nome della giurisdizione come accesso', 0, 0, NULL, 7, NULL, 'MEETI_NAME', '', NULL, -1, 'CF', '', '', NULL),
		('711', 'b', 'Number (BK CF MP MU SE VM MX) [OBSOLETE]', 'Number (BK CF MP MU SE VM MX) [OBSOLETE]', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('711', 'c', 'Luogo del convegno', 'Luogo del convegno', 0, 0, NULL, 7, NULL, NULL, '', NULL, -1, 'CF', '', '', NULL),
		('711', 'd', 'Data del convegno', 'Data del convegno', 0, 0, NULL, 7, NULL, NULL, '', NULL, -1, 'CF', '', '', NULL),
		('711', 'e', 'Unità subordinata', 'Unità subordinata', 1, 0, NULL, 7, NULL, NULL, '', NULL, -1, 'CF', '', '', NULL),
		('711', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('711', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('711', 'h', 'Supporto', 'Supporto', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('711', 'j', 'Termine di ruolo', 'Termine di ruolo', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('711', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('711', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('711', 'n', 'Numero di parte/sezione/convegno', 'Numero di parte/sezione/convegno', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('711', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('711', 'q', 'Nome del convegno dopo accesso di nome della giurisdizione', 'Nome del convegno dopo accesso di nome della giurisdizione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('711', 's', 'Versione', 'Versione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('711', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('711', 'u', 'Affiliazione', 'Affiliazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('711', 'x', 'ISSN (International Standard Serial Number)', 'ISSN (International Standard Serial Number)', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('715', '%', '% (RLIN)', '% (RLIN)', 0, 0, '', 7, '', '', '', 0, -6, 'CF', '', '', NULL),
		('715', 'a', 'Ragione sociale o nome giuridico', 'Ragione sociale o nome giuridico', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('715', 'b', 'Unità subordinata', 'Unità subordinata', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('715', 'e', 'Termine di ruolo', 'Termine di ruolo', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('715', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('715', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('715', 'h', 'Supporto', 'Supporto', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('715', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('715', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('715', 'n', 'Numero di parte/sezione/convegno', 'Numero di parte/sezione/convegno', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('715', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('715', 'r', 'Tonalità (musica)', 'Tonalità (musica)', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('715', 's', 'Versione', 'Versione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('715', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('715', 'u', 'Nonprinting information', 'Nonprinting information', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('720', '4', 'Codice di ruolo', 'Codice di ruolo', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('720', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('720', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('720', 'a', 'Nome', 'Nome', 0, 0, '', 7, NULL, NULL, '', NULL, -1, 'CF', '', '', NULL),
		('720', 'e', 'Termine di ruolo', 'Termine di ruolo', 1, 0, NULL, 7, NULL, NULL, '', NULL, -1, 'CF', '', '', NULL),
		('730', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, '', 7, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('730', '5', 'Istituzione a cui si applica il campo', 'Istituzione a cui si applica il campo', 0, 0, '', 7, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('730', '6', 'Collegamento', 'Collegamento', 0, 0, '', 7, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('730', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 7, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('730', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 7, '', '', '', 0, -5, 'CF', '', '', NULL),
		('730', 'a', 'Titolo uniforme', 'Titolo uniforme', 0, 0, '', 7, '', 'UNIF_TITLE', '', NULL, -6, 'CF', '', '', NULL),
		('730', 'd', 'Data di firma del trattato', 'Data di firma del trattato', 1, 0, '', 7, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('730', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, '', 7, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('730', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, '', 7, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('730', 'h', 'Supporto', 'Supporto', 0, 0, '', 7, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('730', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, '', 7, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('730', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, '', 7, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('730', 'm', 'Mezzo di esecuzione per la musica', 'Mezzo di esecuzione per la musica', 1, 0, '', 7, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('730', 'n', 'Numero di parte/sezione dell\'opera', 'Numero di parte/sezione dell\'opera', 1, 0, '', 7, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('730', 'o', 'Formulazione d\'arrangiamento per la musica', 'Formulazione d\'arrangiamento per la musica', 0, 0, '', 7, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('730', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, '', 7, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('730', 'r', 'Tonalità (musica)', 'Tonalità (musica)', 0, 0, '', 7, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('730', 's', 'Versione', 'Versione', 0, 0, '', 7, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('730', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, '', 7, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('730', 'x', 'ISSN (International Standard Serial Number)', 'ISSN (International Standard Serial Number)', 0, 0, '', 7, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('740', '5', 'Istituzione a cui si applica il campo', 'Istituzione a cui si applica il campo', 0, 0, '', 7, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('740', '6', 'Collegamento', 'Collegamento', 0, 0, '', 7, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('740', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 7, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('740', 'a', 'Titolo analitico/correlato non controllato', 'Titolo analitico/correlato non controllato', 0, 0, '', 7, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('740', 'h', 'Supporto', 'Supporto', 0, 0, '', 7, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('740', 'n', 'Numero di parte/sezione dell\'opera', 'Numero di parte/sezione dell\'opera', 1, 0, '', 7, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('740', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, '', 7, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('752', '2', 'Fonte dell\'intestazione o del termine', 'Fonte dell\'intestazione o del termine', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('752', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('752', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('752', 'a', 'Paese o ente maggiore', 'Paese o ente maggiore', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('752', 'b', 'Giurisdizione politica principale', 'Giurisdizione politica principale', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('752', 'c', 'Giurisdizione politica intermedia', 'Giurisdizione politica intermedia', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('752', 'd', 'Città', 'Città', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('752', 'f', 'Suddivisione comunale', 'Suddivisione comunale', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('752', 'g', 'Altra regione e caratteristica geografica non giurisdizionale', 'Altra regione e caratteristica geografica non giurisdizionale', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('752', 'h', 'Paese o ente maggiore', 'Paese o ente maggiore', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('753', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('753', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('753', 'a', 'Marca e modello della macchina', 'Marca e modello della macchina', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('753', 'b', 'Linguaggio di programmazione', 'Linguaggio di programmazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('753', 'c', 'Sistema operativo', 'Sistema operativo', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('754', '2', 'Fonte dell\'identificazione tassonomica', 'Fonte dell\'identificazione tassonomica', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('754', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('754', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('754', 'a', 'Nome tassonomico', 'Nome tassonomico', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('754', 'c', 'Categoria tassonomica', 'Categoria tassonomica', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('754', 'd', 'Nome comune o alternativo', 'Nome comune o alternativo', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('754', 'x', 'Nota non pubblica', 'Nota non pubblica', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('754', 'z', 'Nota pubblica', 'Nota pubblica', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('755', '2', 'Fonte dell\'identificazione tassonomica', 'Fonte dell\'identificazione tassonomica', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('755', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, '', 7, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('755', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('755', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('755', 'a', 'Termine d\'accesso', 'Termine d\'accesso', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('755', 'x', 'Suddivisione generale', 'Suddivisione generale', 1, 0, '', 7, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('755', 'y', 'Suddivisione cronologica', 'Suddivisione cronologica', 1, 0, '', 7, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('755', 'z', 'Suddivisione geografica', 'Suddivisione geografica', 1, 0, '', 7, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('760', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('760', '7', 'Sottocampo di controllo', 'Sottocampo di controllo', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('760', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('760', 'a', 'Intestazione principale', 'Intestazione principale', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('760', 'b', 'Edizione', 'Edizione', 0, 0, NULL, 7, NULL, NULL, '', NULL, 0, 'CF', '', '', NULL),
		('760', 'c', 'Qualificazione', 'Qualificazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('760', 'd', 'Luogo, editore e data di pubblicazione', 'Luogo, editore e data di pubblicazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('760', 'g', 'Informazione sulla relazione', 'Informazione sulla relazione', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('760', 'h', 'Descrizione fisica', 'Descrizione fisica', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('760', 'i', 'Informazione sulla relazione', 'Informazione sulla relazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('760', 'm', 'Dettagli specifici del materiale', 'Dettagli specifici del materiale', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('760', 'n', 'Nota', 'Nota', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('760', 'o', 'Altro identificatore dell\'item', 'Altro identificatore dell\'item', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('760', 'q', 'Parallel title (BK SE) [OBSOLETE]', 'Parallel title (BK SE) [OBSOLETE]', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('760', 's', 'Titolo uniforme', 'Titolo uniforme', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('760', 't', 'Titolo', 'Titolo', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('760', 'w', 'Numero di controllo della registrazione', 'Numero di controllo della registrazione', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('760', 'x', 'ISSN (International Standard Serial Number)', 'ISSN (International Standard Serial Number)', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('760', 'y', 'Designazione CODEN', 'Designazione CODEN', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('762', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('762', '7', 'Sottocampo di controllo', 'Sottocampo di controllo', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('762', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('762', 'a', 'Intestazione principale', 'Intestazione principale', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('762', 'b', 'Edizione', 'Edizione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('762', 'c', 'Qualificazione', 'Qualificazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('762', 'd', 'Luogo, editore e data di pubblicazione', 'Luogo, editore e data di pubblicazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('762', 'g', 'Informazione sulla relazione', 'Informazione sulla relazione', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('762', 'h', 'Descrizione fisica', 'Descrizione fisica', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('762', 'i', 'Informazione sulla relazione', 'Informazione sulla relazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('762', 'm', 'Dettagli specifici del materiale', 'Dettagli specifici del materiale', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('762', 'n', 'Nota', 'Nota', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('762', 'o', 'Altro identificatore dell\'item', 'Altro identificatore dell\'item', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('762', 'q', 'Parallel title (BK SE) [OBSOLETE]', 'Parallel title (BK SE) [OBSOLETE]', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('762', 's', 'Titolo uniforme', 'Titolo uniforme', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('762', 't', 'Titolo', 'Titolo', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('762', 'w', 'Numero di controllo della registrazione', 'Numero di controllo della registrazione', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('762', 'x', 'ISSN (International Standard Serial Number)', 'ISSN (International Standard Serial Number)', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('762', 'y', 'Designazione CODEN', 'Designazione CODEN', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('765', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('765', '7', 'Sottocampo di controllo', 'Sottocampo di controllo', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('765', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('765', 'a', 'Intestazione principale', 'Intestazione principale', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('765', 'b', 'Edizione', 'Edizione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('765', 'c', 'Qualificazione', 'Qualificazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('765', 'd', 'Luogo, editore e data di pubblicazione', 'Luogo, editore e data di pubblicazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('765', 'g', 'Informazione sulla relazione', 'Informazione sulla relazione', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('765', 'h', 'Descrizione fisica', 'Descrizione fisica', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('765', 'i', 'Informazione sulla relazione', 'Informazione sulla relazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('765', 'k', 'Dati della serie dell\'item correlato', 'Dati della serie dell\'item correlato', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('765', 'm', 'Dettagli specifici del materiale', 'Dettagli specifici del materiale', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('765', 'n', 'Nota', 'Nota', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('765', 'o', 'Altro identificatore dell\'item', 'Altro identificatore dell\'item', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('765', 'q', 'Parallel title (BK SE)  [OBSOLETE]', 'Parallel title (BK SE)  [OBSOLETE]', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('765', 'r', 'Numero di rapporto', 'Numero di rapporto', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('765', 's', 'Titolo uniforme', 'Titolo uniforme', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('765', 't', 'Titolo', 'Titolo', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('765', 'u', 'Standard Technical Report Number', 'Standard Technical Report Number', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('765', 'w', 'Numero di controllo della registrazione', 'Numero di controllo della registrazione', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('765', 'x', 'ISSN (International Standard Serial Number)', 'ISSN (International Standard Serial Number)', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('765', 'y', 'Designazione CODEN', 'Designazione CODEN', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('765', 'z', 'ISBN (International Standard Book Number)', 'ISBN (International Standard Book Number)', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('767', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('767', '7', 'Sottocampo di controllo', 'Sottocampo di controllo', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('767', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('767', 'a', 'Intestazione principale', 'Intestazione principale', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('767', 'b', 'Edizione', 'Edizione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('767', 'c', 'Qualificazione', 'Qualificazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('767', 'd', 'Luogo, editore e data di pubblicazione', 'Luogo, editore e data di pubblicazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('767', 'g', 'Informazione sulla relazione', 'Informazione sulla relazione', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('767', 'h', 'Descrizione fisica', 'Descrizione fisica', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('767', 'i', 'Informazione sulla relazione', 'Informazione sulla relazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('767', 'k', 'Dati della serie dell\'item correlato', 'Dati della serie dell\'item correlato', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('767', 'm', 'Dettagli specifici del materiale', 'Dettagli specifici del materiale', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('767', 'n', 'Nota', 'Nota', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('767', 'o', 'Altro identificatore dell\'item', 'Altro identificatore dell\'item', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('767', 'q', 'Parallel title (BK SE) [OBSOLETE]', 'Parallel title (BK SE) [OBSOLETE]', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('767', 'r', 'Numero di rapporto', 'Numero di rapporto', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('767', 's', 'Titolo uniforme', 'Titolo uniforme', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('767', 't', 'Titolo', 'Titolo', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('767', 'u', 'Standard Technical Report Number', 'Standard Technical Report Number', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('767', 'w', 'Numero di controllo della registrazione', 'Numero di controllo della registrazione', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('767', 'x', 'ISSN (International Standard Serial Number)', 'ISSN (International Standard Serial Number)', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('767', 'y', 'Designazione CODEN', 'Designazione CODEN', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('767', 'z', 'ISBN (International Standard Book Number)', 'ISBN (International Standard Book Number)', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('770', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('770', '7', 'Sottocampo di controllo', 'Sottocampo di controllo', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('770', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('770', 'a', 'Intestazione principale', 'Intestazione principale', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('770', 'b', 'Edizione', 'Edizione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('770', 'c', 'Qualificazione', 'Qualificazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('770', 'd', 'Luogo, editore e data di pubblicazione', 'Luogo, editore e data di pubblicazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('770', 'g', 'Informazione sulla relazione', 'Informazione sulla relazione', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('770', 'h', 'Descrizione fisica', 'Descrizione fisica', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('770', 'i', 'Informazione sulla relazione', 'Informazione sulla relazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('770', 'k', 'Dati della serie dell\'item correlato', 'Dati della serie dell\'item correlato', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('770', 'm', 'Dettagli specifici del materiale', 'Dettagli specifici del materiale', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('770', 'n', 'Nota', 'Nota', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('770', 'o', 'Altro identificatore dell\'item', 'Altro identificatore dell\'item', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('770', 'q', 'Parallel title (BK SE) [OBSOLETE]', 'Parallel title (BK SE) [OBSOLETE]', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('770', 'r', 'Numero di rapporto', 'Numero di rapporto', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('770', 's', 'Titolo uniforme', 'Titolo uniforme', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('770', 't', 'Titolo', 'Titolo', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('770', 'u', 'Standard Technical Report Number', 'Standard Technical Report Number', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('770', 'w', 'Numero di controllo della registrazione', 'Numero di controllo della registrazione', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('770', 'x', 'ISSN (International Standard Serial Number)', 'ISSN (International Standard Serial Number)', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('770', 'y', 'Designazione CODEN', 'Designazione CODEN', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('770', 'z', 'ISBN (International Standard Book Number)', 'ISBN (International Standard Book Number)', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('772', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('772', '7', 'Sottocampo di controllo', 'Sottocampo di controllo', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('772', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('772', 'a', 'Intestazione principale', 'Intestazione principale', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('772', 'b', 'Edizione', 'Edizione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('772', 'c', 'Qualificazione', 'Qualificazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('772', 'd', 'Luogo, editore e data di pubblicazione', 'Luogo, editore e data di pubblicazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('772', 'g', 'Informazione sulla relazione', 'Informazione sulla relazione', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('772', 'h', 'Descrizione fisica', 'Descrizione fisica', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('772', 'i', 'Informazione sulla relazione', 'Informazione sulla relazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('772', 'k', 'Dati della serie dell\'item correlato', 'Dati della serie dell\'item correlato', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('772', 'm', 'Dettagli specifici del materiale', 'Dettagli specifici del materiale', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('772', 'n', 'Nota', 'Nota', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('772', 'o', 'Altro identificatore dell\'item', 'Altro identificatore dell\'item', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('772', 'q', 'Parallel title (BK SE) [OBSOLETE]', 'Parallel title (BK SE) [OBSOLETE]', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('772', 'r', 'Numero di rapporto', 'Numero di rapporto', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('772', 's', 'Titolo uniforme', 'Titolo uniforme', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('772', 't', 'Titolo', 'Titolo', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('772', 'u', 'Standard Technical Report Number', 'Standard Technical Report Number', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('772', 'w', 'Numero di controllo della registrazione', 'Numero di controllo della registrazione', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('772', 'x', 'ISSN (International Standard Serial Number)', 'ISSN (International Standard Serial Number)', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('772', 'y', 'Designazione CODEN', 'Designazione CODEN', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('772', 'z', 'ISBN (International Standard Book Number)', 'ISBN (International Standard Book Number)', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('773', '0', 'Codice record bibliografico contenente lo spoglio', 'Codice record bibliografico contenente lo spoglio', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('773', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('773', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('773', '7', 'Sottocampo di controllo', 'Sottocampo di controllo', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('773', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('773', '9', 'Codice copia contenete lo spoglio', 'Codice copia contenete lo spoglio', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('773', 'a', 'Intestazione principale', 'Intestazione principale', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('773', 'b', 'Edizione', 'Edizione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('773', 'd', 'Luogo, editore e data di pubblicazione', 'Luogo, editore e data di pubblicazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('773', 'g', 'Informazione sulla relazione', 'Informazione sulla relazione', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('773', 'h', 'Descrizione fisica', 'Descrizione fisica', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('773', 'i', 'Informazione sulla relazione', 'Informazione sulla relazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('773', 'k', 'Dati della serie dell\'item correlato', 'Dati della serie dell\'item correlato', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('773', 'm', 'Dettagli specifici del materiale', 'Dettagli specifici del materiale', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('773', 'n', 'Nota', 'Nota', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('773', 'o', 'Altro identificatore dell\'item', 'Altro identificatore dell\'item', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('773', 'p', 'Titolo abbreviato', 'Titolo abbreviato', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('773', 'r', 'Numero di rapporto', 'Numero di rapporto', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('773', 's', 'Titolo uniforme', 'Titolo uniforme', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('773', 't', 'Titolo', 'Titolo', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('773', 'u', 'Standard Technical Report Number', 'Standard Technical Report Number', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('773', 'w', 'Numero di controllo della registrazione', 'Numero di controllo della registrazione', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('773', 'x', 'ISSN (International Standard Serial Number)', 'ISSN (International Standard Serial Number)', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('773', 'y', 'Designazione CODEN', 'Designazione CODEN', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('773', 'z', 'ISBN (International Standard Book Number)', 'ISBN (International Standard Book Number)', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('774', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('774', '7', 'Sottocampo di controllo', 'Sottocampo di controllo', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('774', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('774', 'a', 'Intestazione principale', 'Intestazione principale', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('774', 'b', 'Edizione', 'Edizione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('774', 'c', 'Qualificazione', 'Qualificazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('774', 'd', 'Luogo, editore e data di pubblicazione', 'Luogo, editore e data di pubblicazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('774', 'g', 'Informazione sulla relazione', 'Informazione sulla relazione', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('774', 'h', 'Descrizione fisica', 'Descrizione fisica', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('774', 'i', 'Informazione sulla relazione', 'Informazione sulla relazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('774', 'k', 'Dati della serie dell\'item correlato', 'Dati della serie dell\'item correlato', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('774', 'm', 'Dettagli specifici del materiale', 'Dettagli specifici del materiale', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('774', 'n', 'Nota', 'Nota', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('774', 'o', 'Altro identificatore dell\'item', 'Altro identificatore dell\'item', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('774', 'r', 'Numero di rapporto', 'Numero di rapporto', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('774', 's', 'Titolo uniforme', 'Titolo uniforme', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('774', 't', 'Titolo', 'Titolo', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('774', 'u', 'Standard Technical Report Number', 'Standard Technical Report Number', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('774', 'w', 'Numero di controllo della registrazione', 'Numero di controllo della registrazione', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('774', 'x', 'ISSN (International Standard Serial Number)', 'ISSN (International Standard Serial Number)', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('774', 'y', 'Designazione CODEN', 'Designazione CODEN', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('774', 'z', 'ISBN (International Standard Book Number)', 'ISBN (International Standard Book Number)', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('775', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('775', '7', 'Sottocampo di controllo', 'Sottocampo di controllo', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('775', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('775', 'a', 'Intestazione principale', 'Intestazione principale', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('775', 'b', 'Edizione', 'Edizione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('775', 'c', 'Qualificazione', 'Qualificazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('775', 'd', 'Luogo, editore e data di pubblicazione', 'Luogo, editore e data di pubblicazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('775', 'e', 'Codice lingua', 'Codice lingua', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('775', 'f', 'Codice di paese', 'Codice di paese', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('775', 'g', 'Informazione sulla relazione', 'Informazione sulla relazione', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('775', 'h', 'Descrizione fisica', 'Descrizione fisica', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('775', 'i', 'Informazione sulla relazione', 'Informazione sulla relazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('775', 'k', 'Dati della serie dell\'item correlato', 'Dati della serie dell\'item correlato', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('775', 'm', 'Dettagli specifici del materiale', 'Dettagli specifici del materiale', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('775', 'n', 'Nota', 'Nota', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('775', 'o', 'Altro identificatore dell\'item', 'Altro identificatore dell\'item', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('775', 'q', 'Parallel title (BK SE) [OBSOLETE]', 'Parallel title (BK SE) [OBSOLETE]', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('775', 'r', 'Numero di rapporto', 'Numero di rapporto', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('775', 's', 'Titolo uniforme', 'Titolo uniforme', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('775', 't', 'Titolo', 'Titolo', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('775', 'u', 'Standard Technical Report Number', 'Standard Technical Report Number', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('775', 'w', 'Numero di controllo della registrazione', 'Numero di controllo della registrazione', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('775', 'x', 'ISSN (International Standard Serial Number)', 'ISSN (International Standard Serial Number)', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('775', 'y', 'Designazione CODEN', 'Designazione CODEN', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('775', 'z', 'ISBN (International Standard Book Number)', 'ISBN (International Standard Book Number)', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('776', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('776', '7', 'Sottocampo di controllo', 'Sottocampo di controllo', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('776', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('776', 'a', 'Intestazione principale', 'Intestazione principale', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('776', 'b', 'Edizione', 'Edizione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('776', 'c', 'Qualificazione', 'Qualificazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('776', 'd', 'Luogo, editore e data di pubblicazione', 'Luogo, editore e data di pubblicazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('776', 'g', 'Informazione sulla relazione', 'Informazione sulla relazione', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('776', 'h', 'Descrizione fisica', 'Descrizione fisica', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('776', 'i', 'Informazione sulla relazione', 'Informazione sulla relazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('776', 'k', 'Dati della serie dell\'item correlato', 'Dati della serie dell\'item correlato', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('776', 'm', 'Dettagli specifici del materiale', 'Dettagli specifici del materiale', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('776', 'n', 'Nota', 'Nota', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('776', 'o', 'Altro identificatore dell\'item', 'Altro identificatore dell\'item', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('776', 'q', 'Parallel title (BK SE) [OBSOLETE]', 'Parallel title (BK SE) [OBSOLETE]', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('776', 'r', 'Numero di rapporto', 'Numero di rapporto', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('776', 's', 'Titolo uniforme', 'Titolo uniforme', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('776', 't', 'Titolo', 'Titolo', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('776', 'u', 'Standard Technical Report Number', 'Standard Technical Report Number', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('776', 'w', 'Numero di controllo della registrazione', 'Numero di controllo della registrazione', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('776', 'x', 'ISSN (International Standard Serial Number)', 'ISSN (International Standard Serial Number)', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('776', 'y', 'Designazione CODEN', 'Designazione CODEN', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('776', 'z', 'ISBN (International Standard Book Number)', 'ISBN (International Standard Book Number)', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('777', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('777', '7', 'Sottocampo di controllo', 'Sottocampo di controllo', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('777', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('777', 'a', 'Intestazione principale', 'Intestazione principale', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('777', 'b', 'Edizione', 'Edizione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('777', 'c', 'Qualificazione', 'Qualificazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('777', 'd', 'Luogo, editore e data di pubblicazione', 'Luogo, editore e data di pubblicazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('777', 'g', 'Informazione sulla relazione', 'Informazione sulla relazione', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('777', 'h', 'Descrizione fisica', 'Descrizione fisica', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('777', 'i', 'Informazione sulla relazione', 'Informazione sulla relazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('777', 'k', 'Dati della serie dell\'item correlato', 'Dati della serie dell\'item correlato', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('777', 'm', 'Dettagli specifici del materiale', 'Dettagli specifici del materiale', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('777', 'n', 'Nota', 'Nota', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('777', 'o', 'Altro identificatore dell\'item', 'Altro identificatore dell\'item', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('777', 'q', 'Parallel title (BK SE) [OBSOLETE]', 'Parallel title (BK SE) [OBSOLETE]', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('777', 's', 'Titolo uniforme', 'Titolo uniforme', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('777', 't', 'Titolo', 'Titolo', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('777', 'w', 'Numero di controllo della registrazione', 'Numero di controllo della registrazione', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('777', 'x', 'ISSN (International Standard Serial Number)', 'ISSN (International Standard Serial Number)', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('777', 'y', 'Designazione CODEN', 'Designazione CODEN', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('780', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('780', '7', 'Sottocampo di controllo', 'Sottocampo di controllo', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('780', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('780', 'a', 'Intestazione principale', 'Intestazione principale', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('780', 'b', 'Edizione', 'Edizione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('780', 'c', 'Qualificazione', 'Qualificazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('780', 'd', 'Luogo, editore e data di pubblicazione', 'Luogo, editore e data di pubblicazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('780', 'g', 'Informazione sulla relazione', 'Informazione sulla relazione', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('780', 'h', 'Descrizione fisica', 'Descrizione fisica', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('780', 'i', 'Informazione sulla relazione', 'Informazione sulla relazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('780', 'k', 'Dati della serie dell\'item correlato', 'Dati della serie dell\'item correlato', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('780', 'm', 'Dettagli specifici del materiale', 'Dettagli specifici del materiale', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('780', 'n', 'Nota', 'Nota', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('780', 'o', 'Altro identificatore dell\'item', 'Altro identificatore dell\'item', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('780', 'q', 'Parallel title (BK SE) [OBSOLETE]', 'Parallel title (BK SE) [OBSOLETE]', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('780', 'r', 'Numero di rapporto', 'Numero di rapporto', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('780', 's', 'Titolo uniforme', 'Titolo uniforme', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('780', 't', 'Titolo', 'Titolo', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('780', 'u', 'Standard Technical Report Number', 'Standard Technical Report Number', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('780', 'w', 'Numero di controllo della registrazione', 'Numero di controllo della registrazione', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('780', 'x', 'ISSN (International Standard Serial Number)', 'ISSN (International Standard Serial Number)', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('780', 'y', 'Designazione CODEN', 'Designazione CODEN', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('780', 'z', 'ISBN (International Standard Book Number)', 'ISBN (International Standard Book Number)', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('785', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('785', '7', 'Sottocampo di controllo', 'Sottocampo di controllo', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('785', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('785', 'a', 'Intestazione principale', 'Intestazione principale', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('785', 'b', 'Edizione', 'Edizione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('785', 'c', 'Qualificazione', 'Qualificazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('785', 'd', 'Luogo, editore e data di pubblicazione', 'Luogo, editore e data di pubblicazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('785', 'g', 'Informazione sulla relazione', 'Informazione sulla relazione', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('785', 'h', 'Descrizione fisica', 'Descrizione fisica', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('785', 'i', 'Informazione sulla relazione', 'Informazione sulla relazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('785', 'k', 'Dati della serie dell\'item correlato', 'Dati della serie dell\'item correlato', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('785', 'm', 'Dettagli specifici del materiale', 'Dettagli specifici del materiale', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('785', 'n', 'Nota', 'Nota', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('785', 'o', 'Altro identificatore dell\'item', 'Altro identificatore dell\'item', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('785', 'q', 'Parallel title (BK SE) [OBSOLETE]', 'Parallel title (BK SE) [OBSOLETE]', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('785', 'r', 'Numero di rapporto', 'Numero di rapporto', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('785', 's', 'Titolo uniforme', 'Titolo uniforme', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('785', 't', 'Titolo', 'Titolo', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('785', 'u', 'Standard Technical Report Number', 'Standard Technical Report Number', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('785', 'w', 'Numero di controllo della registrazione', 'Numero di controllo della registrazione', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('785', 'x', 'ISSN (International Standard Serial Number)', 'ISSN (International Standard Serial Number)', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('785', 'y', 'Designazione CODEN', 'Designazione CODEN', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('785', 'z', 'ISBN (International Standard Book Number)', 'ISBN (International Standard Book Number)', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('786', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('786', '7', 'Sottocampo di controllo', 'Sottocampo di controllo', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('786', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('786', 'a', 'Intestazione principale', 'Intestazione principale', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('786', 'b', 'Edizione', 'Edizione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('786', 'c', 'Qualificazione', 'Qualificazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('786', 'd', 'Luogo, editore e data di pubblicazione', 'Luogo, editore e data di pubblicazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('786', 'g', 'Informazione sulla relazione', 'Informazione sulla relazione', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('786', 'h', 'Descrizione fisica', 'Descrizione fisica', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('786', 'i', 'Informazione sulla relazione', 'Informazione sulla relazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('786', 'j', 'Periodo del contenuto', 'Periodo del contenuto', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('786', 'k', 'Dati della serie dell\'item correlato', 'Dati della serie dell\'item correlato', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('786', 'm', 'Dettagli specifici del materiale', 'Dettagli specifici del materiale', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('786', 'n', 'Nota', 'Nota', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('786', 'o', 'Altro identificatore dell\'item', 'Altro identificatore dell\'item', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('786', 'p', 'Titolo abbreviato', 'Titolo abbreviato', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('786', 'r', 'Numero di rapporto', 'Numero di rapporto', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('786', 's', 'Titolo uniforme', 'Titolo uniforme', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('786', 't', 'Titolo', 'Titolo', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('786', 'u', 'Standard Technical Report Number', 'Standard Technical Report Number', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('786', 'w', 'Numero di controllo della registrazione', 'Numero di controllo della registrazione', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('786', 'x', 'ISSN (International Standard Serial Number)', 'ISSN (International Standard Serial Number)', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('786', 'y', 'Designazione CODEN', 'Designazione CODEN', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('786', 'z', 'ISBN (International Standard Book Number)', 'ISBN (International Standard Book Number)', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('787', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('787', '7', 'Sottocampo di controllo', 'Sottocampo di controllo', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('787', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('787', 'a', 'Intestazione principale', 'Intestazione principale', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('787', 'b', 'Edizione', 'Edizione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('787', 'c', 'Qualificazione', 'Qualificazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('787', 'd', 'Luogo, editore e data di pubblicazione', 'Luogo, editore e data di pubblicazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('787', 'g', 'Informazione sulla relazione', 'Informazione sulla relazione', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('787', 'h', 'Descrizione fisica', 'Descrizione fisica', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('787', 'i', 'Informazione sulla relazione', 'Informazione sulla relazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('787', 'k', 'Dati della serie dell\'item correlato', 'Dati della serie dell\'item correlato', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('787', 'm', 'Dettagli specifici del materiale', 'Dettagli specifici del materiale', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('787', 'n', 'Nota', 'Nota', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('787', 'o', 'Altro identificatore dell\'item', 'Altro identificatore dell\'item', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('787', 'q', 'Parallel title (BK SE) [OBSOLETE]', 'Parallel title (BK SE) [OBSOLETE]', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('787', 'r', 'Numero di rapporto', 'Numero di rapporto', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('787', 's', 'Titolo uniforme', 'Titolo uniforme', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('787', 't', 'Titolo', 'Titolo', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('787', 'u', 'Standard Technical Report Number', 'Standard Technical Report Number', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('787', 'w', 'Numero di controllo della registrazione', 'Numero di controllo della registrazione', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('787', 'x', 'ISSN (International Standard Serial Number)', 'ISSN (International Standard Serial Number)', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('787', 'y', 'Designazione CODEN', 'Designazione CODEN', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('787', 'z', 'ISBN (International Standard Book Number)', 'ISBN (International Standard Book Number)', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('789', '%', '%', '%', 0, 0, '', 7, '', '', '', 0, -6, 'CF', '', '', NULL),
		('789', '2', '2', '2', 1, 0, '', 7, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('789', '3', '3', '3', 1, 0, '', 7, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('789', '4', '4', '4', 1, 0, '', 7, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('789', '5', '5', '5', 1, 0, '', 7, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('789', '6', '6', '6', 0, 0, '', 7, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('789', '7', '7', '7', 1, 0, '', 7, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('789', '8', '8', '8', 1, 0, '', 7, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('789', '9', '9', '9', 0, 0, '', 7, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('789', 'a', 'a', 'a', 1, 0, '', 7, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('789', 'b', 'b', 'b', 1, 0, '', 7, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('789', 'c', 'c', 'c', 1, 0, '', 7, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('789', 'd', 'd', 'd', 1, 0, '', 7, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('789', 'e', 'e', 'e', 1, 0, '', 7, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('789', 'f', 'f', 'f', 1, 0, '', 7, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('789', 'g', 'g', 'g', 1, 0, '', 7, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('789', 'h', 'h', 'h', 1, 0, '', 7, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('789', 'i', 'i', 'i', 1, 0, '', 7, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('789', 'j', 'j', 'j', 1, 0, '', 7, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('789', 'k', 'k', 'k', 1, 0, '', 7, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('789', 'l', 'l', 'l', 1, 0, '', 7, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('789', 'm', 'm', 'm', 1, 0, '', 7, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('789', 'n', 'n', 'n', 1, 0, '', 7, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('789', 'o', 'o', 'o', 1, 0, '', 7, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('789', 'p', 'p', 'p', 1, 0, '', 7, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('789', 'q', 'q', 'q', 1, 0, '', 7, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('789', 'r', 'r', 'r', 1, 0, '', 7, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('789', 's', 's', 's', 1, 0, '', 7, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('789', 't', 't', 't', 1, 0, '', 7, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('789', 'u', 'u', 'u', 1, 0, '', 7, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('789', 'v', 'v', 'v', 1, 0, '', 7, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('789', 'w', 'w', 'w', 1, 0, '', 7, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('789', 'x', 'x', 'x', 1, 0, '', 7, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('789', 'y', 'y', 'y', 1, 0, '', 7, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('789', 'z', 'z', 'z', 1, 0, '', 7, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('796', '%', '% (RLIN)', '% (RLIN)', 0, 0, '', 7, '', '', '', 0, -6, 'CF', '', '', NULL),
		('796', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, '', 7, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('796', '4', 'Codice di ruolo', 'Codice di ruolo', 1, 0, '', 7, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('796', '5', 'Istituzione a cui si applica il campo', 'Istituzione a cui si applica il campo', 0, 0, '', 7, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('796', '6', 'Collegamento', 'Collegamento', 0, 0, '', 7, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('796', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 7, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('796', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 7, '', '', '', 0, -5, 'CF', '', '', NULL),
		('796', 'a', 'Nome di persona', 'Nome di persona', 0, 0, '', 7, '', 'PERSO_NAME', '', NULL, -6, 'CF', '', '', NULL),
		('796', 'b', 'Numerazione', 'Numerazione', 0, 0, '', 7, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('796', 'c', 'Titoli e altre parole associate al nome', 'Titoli e altre parole associate al nome', 1, 0, '', 7, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('796', 'd', 'Date associate al nome', 'Date associate al nome', 0, 0, '', 7, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('796', 'e', 'Termine di ruolo', 'Termine di ruolo', 1, 0, '', 7, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('796', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, '', 7, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('796', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, '', 7, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('796', 'h', 'Supporto', 'Supporto', 0, 0, '', 7, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('796', 'j', 'Qualificazione d\'attribuzione', 'Qualificazione d\'attribuzione', 1, 0, '', 7, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('796', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, '', 7, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('796', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, '', 7, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('796', 'm', 'Mezzo di esecuzione per la musica', 'Mezzo di esecuzione per la musica', 1, 0, '', 7, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('796', 'n', 'Numero di parte/sezione dell\'opera', 'Numero di parte/sezione dell\'opera', 1, 0, '', 7, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('796', 'o', 'Formulazione d\'arrangiamento per la musica', 'Formulazione d\'arrangiamento per la musica', 0, 0, '', 7, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('796', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, '', 7, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('796', 'q', 'Forma completa del nome', 'Forma completa del nome', 0, 0, '', 7, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('796', 'r', 'Tonalità (musica)', 'Tonalità (musica)', 0, 0, '', 7, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('796', 's', 'Versione', 'Versione', 0, 0, '', 7, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('796', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, '', 7, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('796', 'u', 'Affiliazione', 'Affiliazione', 0, 0, '', 7, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('796', 'x', 'ISSN (International Standard Serial Number)', 'ISSN (International Standard Serial Number)', 0, 0, '', 7, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('797', '%', '% (RLIN)', '% (RLIN)', 0, 0, '', 7, '', '', '', 0, -6, 'CF', '', '', NULL),
		('797', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, '', 7, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('797', '4', 'Codice di ruolo', 'Codice di ruolo', 1, 0, '', 7, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('797', '5', 'Istituzione a cui si applica il campo', 'Istituzione a cui si applica il campo', 0, 0, '', 7, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('797', '6', 'Collegamento', 'Collegamento', 0, 0, '', 7, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('797', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 7, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('797', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 7, '', '', '', 0, -5, 'CF', '', '', NULL),
		('797', 'a', 'Nome dell\'ente o nome della giurisdizione come accesso', 'Nome dell\'ente o nome della giurisdizione come accesso', 0, 0, '', 7, '', 'CORPO_NAME', '', NULL, -6, 'CF', '', '', NULL),
		('797', 'b', 'Unità subordinata', 'Unità subordinata', 1, 0, '', 7, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('797', 'c', 'Luogo del convegno', 'Luogo del convegno', 0, 0, '', 7, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('797', 'd', 'Data del convegno o di firma del trattato', 'Data del convegno o di firma del trattato', 1, 0, '', 7, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('797', 'e', 'Termine di ruolo', 'Termine di ruolo', 1, 0, '', 7, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('797', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, '', 7, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('797', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, '', 7, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('797', 'h', 'Supporto', 'Supporto', 0, 0, '', 7, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('797', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, '', 7, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('797', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, '', 7, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('797', 'm', 'Mezzo di esecuzione per la musica', 'Mezzo di esecuzione per la musica', 1, 0, '', 7, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('797', 'n', 'Numero di parte/sezione/convegno', 'Numero di parte/sezione/convegno', 1, 0, '', 7, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('797', 'o', 'Formulazione d\'arrangiamento per la musica', 'Formulazione d\'arrangiamento per la musica', 0, 0, '', 7, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('797', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, '', 7, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('797', 'r', 'Tonalità (musica)', 'Tonalità (musica)', 0, 0, '', 7, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('797', 's', 'Versione', 'Versione', 0, 0, '', 7, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('797', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, '', 7, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('797', 'u', 'Affiliazione', 'Affiliazione', 0, 0, '', 7, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('797', 'x', 'ISSN (International Standard Serial Number)', 'ISSN (International Standard Serial Number)', 0, 0, '', 7, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('798', '%', '% (RLIN)', '% (RLIN)', 0, 0, '', 7, '', '', '', 0, -5, 'CF', '', '', NULL),
		('798', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('798', '4', 'Codice di ruolo', 'Codice di ruolo', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('798', '5', 'Istituzione a cui si applica il campo', 'Istituzione a cui si applica il campo', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('798', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('798', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('798', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 7, '', '', '', 0, -5, 'CF', '', '', NULL),
		('798', 'a', 'Nome del convegno o nome della giurisdizione come accesso', 'Nome del convegno o nome della giurisdizione come accesso', 0, 0, NULL, 7, NULL, 'MEETI_NAME', '', NULL, -6, 'CF', '', '', NULL),
		('798', 'b', 'Number (BK CF MP MU SE VM MX) [OBSOLETE]', 'Number (BK CF MP MU SE VM MX) [OBSOLETE]', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('798', 'c', 'Luogo del convegno', 'Luogo del convegno', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('798', 'd', 'Data del convegno', 'Data del convegno', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('798', 'e', 'Unità subordinata', 'Unità subordinata', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('798', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('798', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('798', 'h', 'Supporto', 'Supporto', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('798', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('798', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('798', 'n', 'Numero di parte/sezione/convegno', 'Numero di parte/sezione/convegno', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('798', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('798', 'q', 'Nome del convegno dopo accesso di nome della giurisdizione', 'Nome del convegno dopo accesso di nome della giurisdizione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('798', 's', 'Versione', 'Versione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('798', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('798', 'u', 'Affiliazione', 'Affiliazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('798', 'x', 'ISSN (International Standard Serial Number)', 'ISSN (International Standard Serial Number)', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('799', '%', '% (RLIN)', '% (RLIN)', 0, 0, '', 7, '', '', '', 0, -6, 'CF', '', '', NULL),
		('799', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, '', 7, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('799', '5', 'Istituzione a cui si applica il campo', 'Istituzione a cui si applica il campo', 0, 0, '', 7, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('799', '6', 'Collegamento', 'Collegamento', 0, 0, '', 7, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('799', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 7, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('799', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 7, '', '', '', 0, -5, 'CF', '', '', NULL),
		('799', 'a', 'Titolo uniforme', 'Titolo uniforme', 0, 0, '', 7, '', 'UNIF_TITLE', '', NULL, -6, 'CF', '', '', NULL),
		('799', 'd', 'Data di firma del trattato', 'Data di firma del trattato', 1, 0, '', 7, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('799', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, '', 7, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('799', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, '', 7, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('799', 'h', 'Supporto', 'Supporto', 0, 0, '', 7, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('799', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, '', 7, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('799', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, '', 7, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('799', 'm', 'Mezzo di esecuzione per la musica', 'Mezzo di esecuzione per la musica', 1, 0, '', 7, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('799', 'n', 'Numero di parte/sezione dell\'opera', 'Numero di parte/sezione dell\'opera', 1, 0, '', 7, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('799', 'o', 'Formulazione d\'arrangiamento per la musica', 'Formulazione d\'arrangiamento per la musica', 0, 0, '', 7, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('799', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, '', 7, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('799', 'r', 'Tonalità (musica)', 'Tonalità (musica)', 0, 0, '', 7, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('799', 's', 'Versione', 'Versione', 0, 0, '', 7, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('799', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, '', 7, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('799', 'x', 'ISSN (International Standard Serial Number)', 'ISSN (International Standard Serial Number)', 0, 0, '', 7, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('800', '4', 'Codice di ruolo', 'Codice di ruolo', 1, 0, '', 8, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('800', '6', 'Collegamento', 'Collegamento', 0, 0, '', 8, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('800', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 8, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('800', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 8, '', '', '', 0, -5, 'CF', '', '', NULL),
		('800', 'a', 'Nome di persona', 'Nome di persona', 0, 0, '', 8, '', 'PERSO_NAME', '', NULL, -6, 'CF', '', '', NULL),
		('800', 'b', 'Numerazione', 'Numerazione', 0, 0, '', 8, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('800', 'c', 'Titoli e altre parole associate al nome', 'Titoli e altre parole associate al nome', 1, 0, '', 8, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('800', 'd', 'Date associate al nome', 'Date associate al nome', 0, 0, '', 8, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('800', 'e', 'Termine di ruolo', 'Termine di ruolo', 1, 0, '', 8, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('800', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, '', 8, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('800', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, '', 8, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('800', 'h', 'Supporto', 'Supporto', 0, 0, '', 8, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('800', 'j', 'Qualificazione d\'attribuzione', 'Qualificazione d\'attribuzione', 1, 0, '', 8, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('800', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, '', 8, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('800', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, '', 8, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('800', 'm', 'Mezzo di esecuzione per la musica', 'Mezzo di esecuzione per la musica', 1, 0, '', 8, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('800', 'n', 'Numero di parte/sezione dell\'opera', 'Numero di parte/sezione dell\'opera', 1, 0, '', 8, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('800', 'o', 'Formulazione d\'arrangiamento per la musica', 'Formulazione d\'arrangiamento per la musica', 0, 0, '', 8, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('800', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, '', 8, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('800', 'q', 'Forma completa del nome', 'Forma completa del nome', 0, 0, '', 8, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('800', 'r', 'Tonalità (musica)', 'Tonalità (musica)', 0, 0, '', 8, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('800', 's', 'Versione', 'Versione', 0, 0, '', 8, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('800', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, '', 8, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('800', 'u', 'Affiliazione', 'Affiliazione', 0, 0, '', 8, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('800', 'v', 'Numero del volume/designazione di sequenza', 'Numero del volume/designazione di sequenza', 0, 0, '', 8, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('800', 'w', 'Numero di controllo bibliografico', 'Numero di controllo bibliografico', 1, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('810', '4', 'Codice di ruolo', 'Codice di ruolo', 1, 0, '', 8, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('810', '6', 'Collegamento', 'Collegamento', 0, 0, '', 8, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('810', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 8, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('810', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 8, '', '', '', 0, -5, 'CF', '', '', NULL),
		('810', 'a', 'Nome dell\'ente o nome della giurisdizione come accesso', 'Nome dell\'ente o nome della giurisdizione come accesso', 0, 0, '', 8, '', 'CORPO_NAME', '', NULL, -6, 'CF', '', '', NULL),
		('810', 'b', 'Unità subordinata', 'Unità subordinata', 1, 0, '', 8, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('810', 'c', 'Luogo del convegno', 'Luogo del convegno', 0, 0, '', 8, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('810', 'd', 'Data del convegno o di firma del trattato', 'Data del convegno o di firma del trattato', 1, 0, '', 8, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('810', 'e', 'Termine di ruolo', 'Termine di ruolo', 1, 0, '', 8, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('810', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, '', 8, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('810', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, '', 8, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('810', 'h', 'Supporto', 'Supporto', 0, 0, '', 8, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('810', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, '', 8, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('810', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, '', 8, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('810', 'm', 'Mezzo di esecuzione per la musica', 'Mezzo di esecuzione per la musica', 1, 0, '', 8, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('810', 'n', 'Numero di parte/sezione/convegno', 'Numero di parte/sezione/convegno', 1, 0, '', 8, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('810', 'o', 'Formulazione d\'arrangiamento per la musica', 'Formulazione d\'arrangiamento per la musica', 0, 0, '', 8, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('810', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, '', 8, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('810', 'r', 'Tonalità (musica)', 'Tonalità (musica)', 0, 0, '', 8, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('810', 's', 'Versione', 'Versione', 0, 0, '', 8, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('810', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, '', 8, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('810', 'u', 'Affiliazione', 'Affiliazione', 0, 0, '', 8, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('810', 'v', 'Numero del volume/designazione di sequenza', 'Numero del volume/designazione di sequenza', 0, 0, '', 8, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('810', 'w', 'Numero di controllo bibliografico', 'Numero di controllo bibliografico', 1, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('811', '4', 'Codice di ruolo', 'Codice di ruolo', 1, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('811', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('811', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('811', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 8, '', '', '', 0, -5, 'CF', '', '', NULL),
		('811', 'a', 'Nome del convegno o nome della giurisdizione come accesso', 'Nome del convegno o nome della giurisdizione come accesso', 0, 0, NULL, 8, NULL, 'MEETI_NAME', '', NULL, -6, 'CF', '', '', NULL),
		('811', 'b', 'Number (BK CF MP MU SE VM MX) [OBSOLETE]', 'Number (BK CF MP MU SE VM MX) [OBSOLETE]', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('811', 'c', 'Luogo del convegno', 'Luogo del convegno', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('811', 'd', 'Data del convegno', 'Data del convegno', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('811', 'e', 'Unità subordinata', 'Unità subordinata', 1, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('811', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('811', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('811', 'h', 'Supporto', 'Supporto', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('811', 'j', 'Termine di ruolo', 'Termine di ruolo', 1, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('811', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('811', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('811', 'n', 'Numero di parte/sezione/convegno', 'Numero di parte/sezione/convegno', 1, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('811', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('811', 'q', 'Nome del convegno dopo accesso di nome della giurisdizione', 'Nome del convegno dopo accesso di nome della giurisdizione', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('811', 's', 'Versione', 'Versione', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('811', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('811', 'u', 'Affiliazione', 'Affiliazione', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('811', 'v', 'Numero del volume/designazione di sequenza', 'Numero del volume/designazione di sequenza', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('811', 'w', 'Numero di controllo bibliografico', 'Numero di controllo bibliografico', 1, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('830', '6', 'Collegamento', 'Collegamento', 0, 0, '', 8, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('830', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 8, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('830', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 8, '', '', '', 0, -5, 'CF', '', '', NULL),
		('830', 'a', 'Titolo uniforme', 'Titolo uniforme', 0, 0, '', 8, '', 'UNIF_TITLE', '', NULL, -6, 'CF', '', '', NULL),
		('830', 'd', 'Data di firma del trattato', 'Data di firma del trattato', 1, 0, '', 8, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('830', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, '', 8, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('830', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, '', 8, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('830', 'h', 'Supporto', 'Supporto', 0, 0, '', 8, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('830', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, '', 8, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('830', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, '', 8, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('830', 'm', 'Mezzo di esecuzione per la musica', 'Mezzo di esecuzione per la musica', 1, 0, '', 8, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('830', 'n', 'Numero di parte/sezione dell\'opera', 'Numero di parte/sezione dell\'opera', 1, 0, '', 8, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('830', 'o', 'Formulazione d\'arrangiamento per la musica', 'Formulazione d\'arrangiamento per la musica', 0, 0, '', 8, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('830', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, '', 8, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('830', 'r', 'Tonalità (musica)', 'Tonalità (musica)', 0, 0, '', 8, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('830', 's', 'Versione', 'Versione', 0, 0, '', 8, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('830', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, '', 8, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('830', 'v', 'Numero del volume/designazione di sequenza', 'Numero del volume/designazione di sequenza', 0, 0, '', 8, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('830', 'w', 'Numero di controllo bibliografico', 'Numero di controllo bibliografico', 1, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('840', 'a', 'Titolo', 'Titolo', 0, 0, '', 8, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('840', 'h', 'Supporto', 'Supporto', 1, 0, '', 8, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('840', 'v', 'Numero del volume/designazione di sequenza', 'Numero del volume/designazione di sequenza', 0, 0, '', 8, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('841', 'a', 'Tipo di record', 'Tipo di record', 0, 0, NULL, 8, NULL, NULL, '', NULL, 5, 'CF', '', '', NULL),
		('841', 'b', 'Elementi a lunghezza fiss', 'Elementi a lunghezza fiss', 0, 0, NULL, 8, NULL, NULL, '', NULL, 5, 'CF', '', '', NULL),
		('841', 'e', 'Livello di codifica', 'Livello di codifica', 0, 0, NULL, 8, NULL, NULL, '', NULL, 5, 'CF', '', '', NULL),
		('842', '6', 'Collegamento', 'Collegamento', 0, 0, '', 8, '', '', '', NULL, 5, 'CF', '', '', NULL),
		('842', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 8, '', '', '', NULL, 5, 'CF', '', '', NULL),
		('842', 'a', 'Designatore testuale di forma fisica', 'Designatore testuale di forma fisica', 0, 0, '', 8, '', '', '', NULL, 5, 'CF', '', '', NULL),
		('843', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, NULL, 8, NULL, NULL, '', NULL, 5, 'CF', '', '', NULL),
		('843', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 8, NULL, NULL, '', NULL, 5, 'CF', '', '', NULL),
		('843', '7', 'Elementi di lunghezza fissa della riproduzione', 'Elementi di lunghezza fissa della riproduzione', 0, 0, NULL, 8, NULL, NULL, '', NULL, 5, 'CF', '', '', NULL),
		('843', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 8, NULL, NULL, '', NULL, 5, 'CF', '', '', NULL),
		('843', 'a', 'Tipo di riproduzione', 'Tipo di riproduzione', 0, 0, NULL, 8, NULL, NULL, '', NULL, 5, 'CF', '', '', NULL),
		('843', 'b', 'Luogo di riproduzione', 'Luogo di riproduzione', 1, 0, NULL, 8, NULL, NULL, '', NULL, 5, 'CF', '', '', NULL),
		('843', 'c', 'Agenzia responsabile della riproduzione', 'Agenzia responsabile della riproduzione', 1, 0, NULL, 8, NULL, NULL, '', NULL, 5, 'CF', '', '', NULL),
		('843', 'd', 'Data di riproduzione', 'Data di riproduzione', 0, 0, NULL, 8, NULL, NULL, '', NULL, 5, 'CF', '', '', NULL),
		('843', 'e', 'Descrizione fisica della riproduzione', 'Descrizione fisica della riproduzione', 1, 0, NULL, 8, NULL, NULL, '', NULL, 5, 'CF', '', '', NULL),
		('843', 'f', 'Formulazione della serie della riproduzione', 'Formulazione della serie della riproduzione', 1, 0, NULL, 8, NULL, NULL, '', NULL, 5, 'CF', '', '', NULL),
		('843', 'm', 'Date di pubblicazione e/o designazione sequenziale dei fascicoli riprodotti', 'Date di pubblicazione e/o designazione sequenziale dei fascicoli riprodotti', 1, 0, NULL, 8, NULL, NULL, '', NULL, 5, 'CF', '', '', NULL),
		('843', 'n', 'Nota sulla riproduzione', 'Nota sulla riproduzione', 1, 0, NULL, 8, NULL, NULL, '', NULL, 5, 'CF', '', '', NULL),
		('844', '6', 'Collegamento', 'Collegamento', 0, 0, '', 8, '', '', '', NULL, 5, 'CF', '', '', NULL),
		('844', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 8, '', '', '', NULL, 5, 'CF', '', '', NULL),
		('844', 'a', 'Nome dell\'unità', 'Nome dell\'unità', 0, 0, '', 8, '', '', '', NULL, 5, 'CF', '', '', NULL),
		('845', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, NULL, 8, NULL, NULL, '', NULL, 5, 'CF', '', '', NULL),
		('845', '5', 'Istituzione a cui si applica il campo', 'Istituzione a cui si applica il campo', 0, 0, NULL, 8, NULL, NULL, '', NULL, 5, 'CF', '', '', NULL),
		('845', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 8, NULL, NULL, '', NULL, 5, 'CF', '', '', NULL),
		('845', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 8, NULL, NULL, '', NULL, 5, 'CF', '', '', NULL),
		('845', 'a', 'Condizioni che regolano l\'utilizzo e la riproduzione', 'Condizioni che regolano l\'utilizzo e la riproduzione', 0, 0, NULL, 8, NULL, NULL, '', NULL, 5, 'CF', '', '', NULL),
		('845', 'b', 'Competenza legale', 'Competenza legale', 0, 0, NULL, 8, NULL, NULL, '', NULL, 5, 'CF', '', '', NULL),
		('845', 'c', 'Autorizzazione', 'Autorizzazione', 0, 0, NULL, 8, NULL, NULL, '', NULL, 5, 'CF', '', '', NULL),
		('845', 'd', 'Utenti autorizzati', 'Utenti autorizzati', 0, 0, NULL, 8, NULL, NULL, '', NULL, 5, 'CF', '', '', NULL),
		('850', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 8, NULL, NULL, '', NULL, 5, 'CF', '', '', NULL),
		('850', 'a', 'Istituzione possedente', 'Istituzione possedente', 1, 0, NULL, 8, NULL, NULL, '', NULL, 5, 'CF', '', '', NULL),
		('850', 'b', 'Holdings (NR) (MU VM SE) [OBSOLETE]', 'Holdings (NR) (MU VM SE) [OBSOLETE]', 0, 0, NULL, 8, NULL, NULL, '', NULL, 5, 'CF', '', '', NULL),
		('850', 'd', 'Inclusive dates (NR) (MU VM SE) [OBSOLETE]', 'Inclusive dates (NR) (MU VM SE) [OBSOLETE]', 0, 0, NULL, 8, NULL, NULL, '', NULL, 5, 'CF', '', '', NULL),
		('850', 'e', 'Retention statement (NR) (CF MU VM SE) [OBSOLETE]', 'Retention statement (NR) (CF MU VM SE) [OBSOLETE]', 0, 0, NULL, 8, NULL, NULL, '', NULL, 5, 'CF', '', '', NULL),
		('851', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, NULL, 8, NULL, NULL, '', NULL, 5, 'CF', '', '', NULL),
		('851', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 8, NULL, NULL, '', NULL, 5, 'CF', '', '', NULL),
		('851', 'a', 'Nome (custode o proprietario)', 'Nome (custode o proprietario)', 0, 0, NULL, 8, NULL, NULL, '', NULL, 5, 'CF', '', '', NULL),
		('851', 'b', 'Suddivisione istituzionale', 'Suddivisione istituzionale', 0, 0, NULL, 8, NULL, NULL, '', NULL, 5, 'CF', '', '', NULL),
		('851', 'c', 'Indirizzo', 'Indirizzo', 0, 0, NULL, 8, NULL, NULL, '', NULL, 5, 'CF', '', '', NULL),
		('851', 'd', 'Paese', 'Paese', 0, 0, NULL, 8, NULL, NULL, '', NULL, 5, 'CF', '', '', NULL),
		('851', 'e', 'Localizzazione dell\'unità', 'Localizzazione dell\'unità', 0, 0, NULL, 8, NULL, NULL, '', NULL, 5, 'CF', '', '', NULL),
		('851', 'f', 'Numero d\'item', 'Numero d\'item', 0, 0, NULL, 8, NULL, NULL, '', NULL, 5, 'CF', '', '', NULL),
		('851', 'g', 'Codice di localizzazione del deposito', 'Codice di localizzazione del deposito', 0, 0, NULL, 8, NULL, NULL, '', NULL, 5, 'CF', '', '', NULL),
		('852', '2', 'Fonte della classificazione o dello schema di collocazione (segnatura)', 'Fonte della classificazione o dello schema di collocazione (segnatura)', 0, 0, '', 8, '', '', '', NULL, 5, 'CF', '', '', NULL),
		('852', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, '', 8, '', '', '', NULL, 5, 'CF', '', '', NULL),
		('852', '6', 'Collegamento', 'Collegamento', 0, 0, '', 8, '', '', '', NULL, 5, 'CF', '', '', NULL),
		('852', '8', 'Numero di sequenza', 'Numero di sequenza', 1, 0, '', 8, '', '', '', NULL, 5, 'CF', '', '', NULL),
		('852', 'a', 'Localizzazione', 'Localizzazione', 0, 0, '', 8, '', '', '', NULL, 5, 'CF', '', '', NULL),
		('852', 'b', 'Sottolocalizzazione o collezione', 'Sottolocalizzazione o collezione', 1, 0, '', 8, '', '', '', NULL, 5, 'CF', '', '', NULL),
		('852', 'c', 'Localizzazione a scaffale', 'Localizzazione a scaffale', 1, 0, '', 8, '', '', '', NULL, 5, 'CF', '', '', NULL),
		('852', 'e', 'Indirizzo', 'Indirizzo', 1, 0, '', 8, '', '', '', NULL, 5, 'CF', '', '', NULL),
		('852', 'f', 'Qualificatore di localizzazione codificato', 'Qualificatore di localizzazione codificato', 1, 0, '', 8, '', '', '', NULL, 5, 'CF', '', '', NULL),
		('852', 'g', 'Qualificatore di localizzazione non codificato', 'Qualificatore di localizzazione non codificato', 1, 0, '', 8, '', '', '', NULL, 5, 'CF', '', '', NULL),
		('852', 'h', 'Parte della classificazione', 'Parte della classificazione', 0, 0, '', 8, '', '', '', NULL, 5, 'CF', '', '', NULL),
		('852', 'i', 'Parte dell\'item', 'Parte dell\'item', 1, 0, '', 8, '', '', '', NULL, 5, 'CF', '', '', NULL),
		('852', 'j', 'Collocazione (segnatura)', 'Collocazione (segnatura)', 0, 0, '', 8, '', '', '', NULL, 5, 'CF', '', '', NULL),
		('852', 'k', 'Prefisso del numero di chiamata (collocazione)', 'Prefisso del numero di chiamata (collocazione)', 0, 0, '', 8, '', '', '', NULL, 5, 'CF', '', '', NULL),
		('852', 'l', 'Forma di collocazione (segnatura) di titolo', 'Forma di collocazione (segnatura) di titolo', 0, 0, '', 8, '', '', '', NULL, 5, 'CF', '', '', NULL),
		('852', 'm', 'Suffisso del numero di chiamata (collocazione)', 'Suffisso del numero di chiamata (collocazione)', 0, 0, '', 8, '', '', '', NULL, 5, 'CF', '', '', NULL),
		('852', 'n', 'Codice di paese', 'Codice di paese', 0, 0, '', 8, '', '', '', NULL, 5, 'CF', '', '', NULL),
		('852', 'p', 'Designazione di parte', 'Designazione di parte', 0, 0, '', 8, '', '', '', NULL, 5, 'CF', '', '', NULL),
		('852', 'q', 'Condizione fisica della parte', 'Condizione fisica della parte', 0, 0, '', 8, '', '', '', NULL, 5, 'CF', '', '', NULL),
		('852', 's', 'Codice di tassa sul copyright dell\'articolo', 'Codice di tassa sul copyright dell\'articolo', 1, 0, '', 8, '', '', '', NULL, 5, 'CF', '', '', NULL),
		('852', 't', 'Numero di copia', 'Numero di copia', 0, 0, '', 8, '', '', '', NULL, 5, 'CF', '', '', NULL),
		('852', 'u', 'URI (Uniform Resource Identifier)', 'URI (Uniform Resource Identifier)', 1, 0, '', 8, '', '', '', 1, 5, 'CF', '', '', NULL),
		('852', 'x', 'Nota non pubblic', 'Nota non pubblic', 1, 0, '', 8, '', '', '', NULL, 5, 'CF', '', '', NULL),
		('852', 'z', 'Nota pubblica', 'Nota pubblica', 1, 0, '', 8, '', '', '', NULL, 5, 'CF', '', '', NULL),
		('853', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, '', 8, '', '', '', NULL, 5, 'CF', '', '', NULL),
		('853', '6', 'Collegamento', 'Collegamento', 0, 0, '', 8, '', '', '', NULL, 5, 'CF', '', '', NULL),
		('853', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 8, '', '', '', NULL, 5, 'CF', '', '', NULL),
		('853', 'a', 'Primo livello di enumerazione', 'Primo livello di enumerazione', 0, 0, '', 8, '', '', '', NULL, 5, 'CF', '', '', NULL),
		('853', 'b', 'Secondo livello di enumerazione', 'Secondo livello di enumerazione', 0, 0, '', 8, '', '', '', NULL, 5, 'CF', '', '', NULL),
		('853', 'c', 'Terzo livello di enumerazione', 'Terzo livello di enumerazione', 0, 0, '', 8, '', '', '', NULL, 5, 'CF', '', '', NULL),
		('853', 'd', 'Quarto livello di enumerazione', 'Quarto livello di enumerazione', 0, 0, '', 8, '', '', '', NULL, 5, 'CF', '', '', NULL),
		('853', 'e', 'Quinto livello di enumerazione', 'Quinto livello di enumerazione', 0, 0, '', 8, '', '', '', NULL, 5, 'CF', '', '', NULL),
		('853', 'f', 'Sesto livello di enumerazione', 'Sesto livello di enumerazione', 0, 0, '', 8, '', '', '', NULL, 5, 'CF', '', '', NULL),
		('853', 'g', 'Schema di numerazione alternativo, primo livello di enumerazione', 'Schema di numerazione alternativo, primo livello di enumerazione', 0, 0, '', 8, '', '', '', NULL, 5, 'CF', '', '', NULL),
		('853', 'h', 'Schema di numerazione alternativo, secondo livello di enumerazione', 'Schema di numerazione alternativo, secondo livello di enumerazione', 0, 0, '', 8, '', '', '', NULL, 5, 'CF', '', '', NULL),
		('853', 'i', 'Primo livello di cronologia', 'Primo livello di cronologia', 0, 0, '', 8, '', '', '', NULL, 5, 'CF', '', '', NULL),
		('853', 'j', 'Secondo livello di cronologia', 'Secondo livello di cronologia', 0, 0, '', 8, '', '', '', NULL, 5, 'CF', '', '', NULL),
		('853', 'k', 'Terzo livello di cronologia', 'Terzo livello di cronologia', 0, 0, '', 8, '', '', '', NULL, 5, 'CF', '', '', NULL),
		('853', 'l', 'Quarto livello di cronologia', 'Quarto livello di cronologia', 0, 0, '', 8, '', '', '', NULL, 5, 'CF', '', '', NULL),
		('853', 'm', 'Schema di numerazione alternativo, cronologia', 'Schema di numerazione alternativo, cronologia', 0, 0, '', 8, '', '', '', NULL, 5, 'CF', '', '', NULL),
		('853', 'n', 'Nota allo schema', 'Nota allo schema', 0, 0, '', 8, '', '', '', NULL, 5, 'CF', '', '', NULL),
		('853', 'p', 'Numero di pezzi per emissione', 'Numero di pezzi per emissione', 0, 0, '', 8, '', '', '', NULL, 5, 'CF', '', '', NULL),
		('853', 't', 'Copia', 'Copia', 0, 0, '', 8, '', '', '', NULL, 5, 'CF', '', '', NULL),
		('853', 'u', 'Unità bibliografiche per il livello superiore', 'Unità bibliografiche per il livello superiore', 1, 0, '', 8, '', '', '', NULL, 5, 'CF', '', '', NULL),
		('853', 'v', 'Continuità di numerazione', 'Continuità di numerazione', 1, 0, '', 8, '', '', '', NULL, 5, 'CF', '', '', NULL),
		('853', 'w', 'Frequenza', 'Frequenza', 0, 0, '', 8, '', '', '', NULL, 5, 'CF', '', '', NULL),
		('853', 'x', 'Cambio di calendario', 'Cambio di calendario', 0, 0, '', 8, '', '', '', NULL, 5, 'CF', '', '', NULL),
		('853', 'y', 'scham di regolarità', 'scham di regolarità', 1, 0, '', 8, '', '', '', NULL, 5, 'CF', '', '', NULL),
		('853', 'z', 'Schema di numerazione', 'Schema di numerazione', 1, 0, '', 8, '', '', '', NULL, 5, 'CF', '', '', NULL),
		('854', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, '', 8, '', '', '', NULL, 5, 'CF', '', '', NULL),
		('854', '6', 'Collegamento', 'Collegamento', 0, 0, '', 8, '', '', '', NULL, 5, 'CF', '', '', NULL),
		('854', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 8, '', '', '', NULL, 5, 'CF', '', '', NULL),
		('854', 'a', 'Primo livello di enumerazione', 'Primo livello di enumerazione', 0, 0, '', 8, '', '', '', NULL, 5, 'CF', '', '', NULL),
		('854', 'b', 'Secondo livello di enumerazione', 'Secondo livello di enumerazione', 0, 0, '', 8, '', '', '', NULL, 5, 'CF', '', '', NULL),
		('854', 'c', 'Terzo livello di enumerazione', 'Terzo livello di enumerazione', 0, 0, '', 8, '', '', '', NULL, 5, 'CF', '', '', NULL),
		('854', 'd', 'Quarto livello di enumerazione', 'Quarto livello di enumerazione', 0, 0, '', 8, '', '', '', NULL, 5, 'CF', '', '', NULL),
		('854', 'e', 'Quinto livello di enumerazione', 'Quinto livello di enumerazione', 0, 0, '', 8, '', '', '', NULL, 5, 'CF', '', '', NULL),
		('854', 'f', 'Sesto livello di enumerazione', 'Sesto livello di enumerazione', 0, 0, '', 8, '', '', '', NULL, 5, 'CF', '', '', NULL),
		('854', 'g', 'Schema di numerazione alternativo, primo livello di enumerazione', 'Schema di numerazione alternativo, primo livello di enumerazione', 0, 0, '', 8, '', '', '', NULL, 5, 'CF', '', '', NULL),
		('854', 'h', 'Schema di numerazione alternativo, secondo livello di enumerazione', 'Schema di numerazione alternativo, secondo livello di enumerazione', 0, 0, '', 8, '', '', '', NULL, 5, 'CF', '', '', NULL),
		('854', 'i', 'Primo livello di cronologia', 'Primo livello di cronologia', 0, 0, '', 8, '', '', '', NULL, 5, 'CF', '', '', NULL),
		('854', 'j', 'Secondo livello di cronologia', 'Secondo livello di cronologia', 0, 0, '', 8, '', '', '', NULL, 5, 'CF', '', '', NULL),
		('854', 'k', 'Terzo livello di cronologia', 'Terzo livello di cronologia', 0, 0, '', 8, '', '', '', NULL, 5, 'CF', '', '', NULL),
		('854', 'l', 'Quarto livello di cronologia', 'Quarto livello di cronologia', 0, 0, '', 8, '', '', '', NULL, 5, 'CF', '', '', NULL),
		('854', 'm', 'Schema di numerazione alternativo, cronologia', 'Schema di numerazione alternativo, cronologia', 0, 0, '', 8, '', '', '', NULL, 5, 'CF', '', '', NULL),
		('854', 'n', 'Nota allo schema', 'Nota allo schema', 0, 0, '', 8, '', '', '', NULL, 5, 'CF', '', '', NULL),
		('854', 'p', 'Numero di pezzi per emissione', 'Numero di pezzi per emissione', 0, 0, '', 8, '', '', '', NULL, 5, 'CF', '', '', NULL),
		('854', 't', 'Copia', 'Copia', 0, 0, '', 8, '', '', '', NULL, 5, 'CF', '', '', NULL),
		('854', 'u', 'Unità bibliografiche per il livello superiore', 'Unità bibliografiche per il livello superiore', 1, 0, '', 8, '', '', '', NULL, 5, 'CF', '', '', NULL),
		('854', 'v', 'Continuità di numerazione', 'Continuità di numerazione', 1, 0, '', 8, '', '', '', NULL, 5, 'CF', '', '', NULL),
		('854', 'w', 'Frequenza', 'Frequenza', 0, 0, '', 8, '', '', '', NULL, 5, 'CF', '', '', NULL),
		('854', 'x', 'Cambio di calendario', 'Cambio di calendario', 0, 0, '', 8, '', '', '', NULL, 5, 'CF', '', '', NULL),
		('854', 'y', 'scham di regolarità', 'scham di regolarità', 1, 0, '', 8, '', '', '', NULL, 5, 'CF', '', '', NULL),
		('854', 'z', 'Schema di numerazione', 'Schema di numerazione', 1, 0, '', 8, '', '', '', NULL, 5, 'CF', '', '', NULL),
		('855', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, '', 8, '', '', '', NULL, 5, 'CF', '', '', NULL),
		('855', '6', 'Collegamento', 'Collegamento', 0, 0, '', 8, '', '', '', NULL, 5, 'CF', '', '', NULL),
		('855', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 8, '', '', '', NULL, 5, 'CF', '', '', NULL),
		('855', 'a', 'Primo livello di enumerazione', 'Primo livello di enumerazione', 0, 0, '', 8, '', '', '', NULL, 5, 'CF', '', '', NULL),
		('855', 'b', 'Secondo livello di enumerazione', 'Secondo livello di enumerazione', 0, 0, '', 8, '', '', '', NULL, 5, 'CF', '', '', NULL),
		('855', 'c', 'Terzo livello di enumerazione', 'Terzo livello di enumerazione', 0, 0, '', 8, '', '', '', NULL, 5, 'CF', '', '', NULL),
		('855', 'd', 'Quarto livello di enumerazione', 'Quarto livello di enumerazione', 0, 0, '', 8, '', '', '', NULL, 5, 'CF', '', '', NULL),
		('855', 'e', 'Quinto livello di enumerazione', 'Quinto livello di enumerazione', 0, 0, '', 8, '', '', '', NULL, 5, 'CF', '', '', NULL),
		('855', 'f', 'Sesto livello di enumerazione', 'Sesto livello di enumerazione', 0, 0, '', 8, '', '', '', NULL, 5, 'CF', '', '', NULL),
		('855', 'g', 'Schema di numerazione alternativo, primo livello di enumerazione', 'Schema di numerazione alternativo, primo livello di enumerazione', 0, 0, '', 8, '', '', '', NULL, 5, 'CF', '', '', NULL),
		('855', 'h', 'Schema di numerazione alternativo, secondo livello di enumerazione', 'Schema di numerazione alternativo, secondo livello di enumerazione', 0, 0, '', 8, '', '', '', NULL, 5, 'CF', '', '', NULL),
		('855', 'i', 'Primo livello di cronologia', 'Primo livello di cronologia', 0, 0, '', 8, '', '', '', NULL, 5, 'CF', '', '', NULL),
		('855', 'j', 'Secondo livello di cronologia', 'Secondo livello di cronologia', 0, 0, '', 8, '', '', '', NULL, 5, 'CF', '', '', NULL),
		('855', 'k', 'Terzo livello di cronologia', 'Terzo livello di cronologia', 0, 0, '', 8, '', '', '', NULL, 5, 'CF', '', '', NULL),
		('855', 'l', 'Quarto livello di cronologia', 'Quarto livello di cronologia', 0, 0, '', 8, '', '', '', NULL, 5, 'CF', '', '', NULL),
		('855', 'm', 'Schema di numerazione alternativo, cronologia', 'Schema di numerazione alternativo, cronologia', 0, 0, '', 8, '', '', '', NULL, 5, 'CF', '', '', NULL),
		('855', 'n', 'Nota allo schema', 'Nota allo schema', 0, 0, '', 8, '', '', '', NULL, 5, 'CF', '', '', NULL),
		('855', 'p', 'Numero di pezzi per emissione', 'Numero di pezzi per emissione', 0, 0, '', 8, '', '', '', NULL, 5, 'CF', '', '', NULL),
		('855', 't', 'Copia', 'Copia', 0, 0, '', 8, '', '', '', NULL, 5, 'CF', '', '', NULL),
		('855', 'u', 'Unità bibliografiche per il livello superiore', 'Unità bibliografiche per il livello superiore', 1, 0, '', 8, '', '', '', NULL, 5, 'CF', '', '', NULL),
		('855', 'v', 'Continuità di numerazione', 'Continuità di numerazione', 1, 0, '', 8, '', '', '', NULL, 5, 'CF', '', '', NULL),
		('855', 'w', 'Frequenza', 'Frequenza', 0, 0, '', 8, '', '', '', NULL, 5, 'CF', '', '', NULL),
		('855', 'x', 'Cambio di calendario', 'Cambio di calendario', 0, 0, '', 8, '', '', '', NULL, 5, 'CF', '', '', NULL),
		('855', 'y', 'scham di regolarità', 'scham di regolarità', 1, 0, '', 8, '', '', '', NULL, 5, 'CF', '', '', NULL),
		('855', 'z', 'Schema di numerazione', 'Schema di numerazione', 1, 0, '', 8, '', '', '', NULL, 5, 'CF', '', '', NULL),
		('856', '2', 'Metodo di accesso', 'Metodo di accesso', 0, 0, '', 8, '', '', '', 0, -6, 'CF', '', '', NULL),
		('856', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, '', 8, '', '', '', 0, -6, 'CF', '', '', NULL),
		('856', '6', 'Collegamento', 'Collegamento', 0, 0, '', 8, '', '', '', 0, -6, 'CF', '', '', NULL),
		('856', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 8, '', '', '', 0, -6, 'CF', '', '', NULL),
		('856', 'a', 'Nome dell\'host', 'Nome dell\'host', 1, 0, '', 8, '', '', '', 0, -1, 'CF', '', '', NULL),
		('856', 'b', 'Numero di accesso', 'Numero di accesso', 1, 0, '', 8, '', '', '', 0, -1, 'CF', '', '', NULL),
		('856', 'c', 'Informazione sulla compressione', 'Informazione sulla compressione', 1, 0, '', 8, '', '', '', 0, -1, 'CF', '', '', NULL),
		('856', 'd', 'Percorso della risorsa', 'Percorso della risorsa', 1, 0, '', 8, '', '', '', 0, -1, 'CF', '', '', NULL),
		('856', 'f', 'Nome elettronico', 'Nome elettronico', 1, 0, '', 8, '', '', '', 0, -1, 'CF', '', '', NULL),
		('856', 'h', 'Processore della richiesta (Username)', 'Processore della richiesta (Username)', 0, 0, '', 8, '', '', '', 0, -1, 'CF', '', '', NULL),
		('856', 'i', 'Istruzioni', 'Istruzioni', 1, 0, '', 8, '', '', '', 0, -1, 'CF', '', '', NULL),
		('856', 'j', 'Bit per secondo', 'Bit per secondo', 0, 0, '', 8, '', '', '', 0, -1, 'CF', '', '', NULL),
		('856', 'k', 'Password', 'Password', 0, 0, '', 8, '', '', '', 0, -1, 'CF', '', '', NULL),
		('856', 'l', 'Logon', 'Logon', 0, 0, '', 8, '', '', '', 0, -1, 'CF', '', '', NULL),
		('856', 'm', 'Contatto per assistenza all\'accesso', 'Contatto per assistenza all\'accesso', 1, 0, '', 8, '', '', '', 0, -1, 'CF', '', '', NULL),
		('856', 'n', 'Nome della localizzazione dell\'host', 'Nome della localizzazione dell\'host', 0, 0, '', 8, '', '', '', 0, -1, 'CF', '', '', NULL),
		('856', 'o', 'Sistema operativo', 'Sistema operativo', 0, 0, '', 8, '', '', '', 0, -1, 'CF', '', '', NULL),
		('856', 'p', 'Porta', 'Porta', 0, 0, '', 8, '', '', '', 0, -1, 'CF', '', '', NULL),
		('856', 'q', 'Tipo di formato elettronico', 'Tipo di formato elettronico', 0, 0, '', 8, '', '', '', 0, -1, 'CF', '', '', NULL),
		('856', 'r', 'Parametri', 'Parametri', 0, 0, '', 8, '', '', '', 0, -1, 'CF', '', '', NULL),
		('856', 's', 'Dimensione file', 'Dimensione file', 1, 0, '', 8, '', '', '', 0, -1, 'CF', '', '', NULL),
		('856', 't', 'Emulazione del terminale', 'Emulazione del terminale', 1, 0, '', 8, '', '', '', 0, -1, 'CF', '', '', NULL),
		('856', 'u', 'URI (Uniform Resource Identifier)', 'URI (Uniform Resource Identifier)', 1, 0, 'biblioitems.url', 8, '', '', '', 1, -1, 'CF', '', '', NULL),
		('856', 'v', 'Orario di accesso', 'Orario di accesso', 1, 0, '', 8, '', '', '', 0, -1, 'CF', '', '', NULL),
		('856', 'w', 'Numero di controllo della registrazione', 'Numero di controllo della registrazione', 1, 0, '', 8, '', '', '', 0, -1, 'CF', '', '', NULL),
		('856', 'x', 'Nota non pubblic', 'Nota non pubblic', 1, 0, '', 8, '', '', '', 0, 1, 'CF', '', '', NULL),
		('856', 'y', 'Testo di collegamento', 'Testo di collegamento', 1, 0, '', 8, '', '', '', 0, -1, 'CF', '', '', NULL),
		('856', 'z', 'Nota pubblica', 'Nota pubblica', 1, 0, '', 8, '', '', '', 0, -1, 'CF', '', '', NULL),
		('859', 'b', 'Operator\'s initials, OID (RLIN)', 'Operator\'s initials, OID (RLIN)', 0, 0, '', 8, '', '', '', 0, 5, 'CF', '', '', NULL),
		('859', 'c', 'Cataloger\'s initials, CIN (RLIN)', 'Cataloger\'s initials, CIN (RLIN)', 0, 0, '', 8, '', '', '', 0, 5, 'CF', '', '', NULL),
		('859', 'd', 'TDC (RLIN)', 'TDC (RLIN)', 0, 0, '', 8, '', '', '', 0, 5, 'CF', '', '', NULL),
		('859', 'l', 'LIB (RLIN)', 'LIB (RLIN)', 0, 0, '', 8, '', '', '', 0, 5, 'CF', '', '', NULL),
		('859', 'p', 'PRI (RLIN)', 'PRI (RLIN)', 0, 0, '', 8, '', '', '', 0, 5, 'CF', '', '', NULL),
		('859', 'r', 'REG (RLIN)', 'REG (RLIN)', 0, 0, '', 8, '', '', '', 0, 5, 'CF', '', '', NULL),
		('859', 'v', 'VER (RLIN)', 'VER (RLIN)', 0, 0, '', 8, '', '', '', 0, 5, 'CF', '', '', NULL),
		('859', 'x', 'LDEL (RLIN)', 'LDEL (RLIN)', 0, 0, '', 8, '', '', '', 0, 5, 'CF', '', '', NULL),
		('863', '6', 'Collegamento', 'Collegamento', 0, 0, '', 8, '', '', '', NULL, 5, 'CF', '', '', NULL),
		('863', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 0, 0, '', 8, '', '', '', NULL, 5, 'CF', '', '', NULL),
		('863', 'a', 'Primo livello di enumerazione', 'Primo livello di enumerazione', 0, 0, '', 8, '', '', '', 0, 5, 'CF', '', '', NULL),
		('863', 'b', 'Secondo livello di enumerazione', 'Secondo livello di enumerazione', 0, 0, '', 8, '', '', '', 0, 5, 'CF', '', '', NULL),
		('863', 'c', 'Terzo livello di enumerazione', 'Terzo livello di enumerazione', 0, 0, '', 8, '', '', '', 0, 5, 'CF', '', '', NULL),
		('863', 'd', 'Quarto livello di enumerazione', 'Quarto livello di enumerazione', 0, 0, '', 8, '', '', '', 0, 5, 'CF', '', '', NULL),
		('863', 'e', 'Quinto livello di enumerazione', 'Quinto livello di enumerazione', 0, 0, '', 8, '', '', '', 0, 5, 'CF', '', '', NULL),
		('863', 'f', 'Sesto livello di enumerazione', 'Sesto livello di enumerazione', 0, 0, '', 8, '', '', '', 0, 5, 'CF', '', '', NULL),
		('863', 'g', 'Schema di numerazione alternativo, primo livello di enumerazione', 'Schema di numerazione alternativo, primo livello di enumerazione', 0, 0, '', 8, '', '', '', 0, 5, 'CF', '', '', NULL),
		('863', 'h', 'Schema di numerazione alternativo, secondo livello di enumerazione', 'Schema di numerazione alternativo, secondo livello di enumerazione', 0, 0, '', 8, '', '', '', 0, 5, 'CF', '', '', NULL),
		('863', 'i', 'Primo livello di cronologia', 'Primo livello di cronologia', 0, 0, '', 8, '', '', '', 0, 5, 'CF', '', '', NULL),
		('863', 'j', 'Secondo livello di cronologia', 'Secondo livello di cronologia', 0, 0, '', 8, '', '', '', 0, 5, 'CF', '', '', NULL),
		('863', 'k', 'Terzo livello di cronologia', 'Terzo livello di cronologia', 0, 0, '', 8, '', '', '', 0, 5, 'CF', '', '', NULL),
		('863', 'l', 'Quarto livello di cronologia', 'Quarto livello di cronologia', 0, 0, '', 8, '', '', '', 0, 5, 'CF', '', '', NULL),
		('863', 'm', 'Schema di numerazione alternativo, cronologia', 'Schema di numerazione alternativo, cronologia', 0, 0, '', 8, '', '', '', 0, 5, 'CF', '', '', NULL),
		('863', 'n', 'Convertito in anno Gregoriano', 'Convertito in anno Gregoriano', 0, 0, '', 8, '', '', '', 0, 5, 'CF', '', '', NULL),
		('863', 'o', 'Tipo di materiale', 'Tipo di materiale', 1, 0, '', 8, '', '', '', 0, 5, 'CF', '', '', NULL),
		('863', 'p', 'Designazione di parte', 'Designazione di parte', 0, 0, '', 8, '', '', '', 0, 5, 'CF', '', '', NULL),
		('863', 'q', 'Condizione fisica della parte', 'Condizione fisica della parte', 0, 0, '', 8, '', '', '', 0, 5, 'CF', '', '', NULL),
		('863', 's', 'Codice di tassa sul copyright dell\'articolo', 'Codice di tassa sul copyright dell\'articolo', 1, 0, '', 8, '', '', '', 0, 5, 'CF', '', '', NULL),
		('863', 't', 'Numero di copia', 'Numero di copia', 0, 0, '', 8, '', '', '', 0, 5, 'CF', '', '', NULL),
		('863', 'v', 'Data di emissione', 'Data di emissione', 1, 0, '', 8, '', '', '', 0, 5, 'CF', '', '', NULL),
		('863', 'w', 'indicatore di stacco', 'indicatore di stacco', 0, 0, '', 8, '', '', '', 0, 5, 'CF', '', '', NULL),
		('863', 'x', 'Nota non pubblic', 'Nota non pubblic', 1, 0, '', 8, '', '', '', 0, 5, 'CF', '', '', NULL),
		('863', 'z', 'Nota pubblica', 'Nota pubblica', 1, 0, '', 8, '', '', '', 0, 5, 'CF', '', '', NULL),
		('864', '6', 'Collegamento', 'Collegamento', 0, 0, '', 8, '', '', '', NULL, 5, 'CF', '', '', NULL),
		('864', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 0, 0, '', 8, '', '', '', NULL, 5, 'CF', '', '', NULL),
		('864', 'a', 'Primo livello di enumerazione', 'Primo livello di enumerazione', 0, 0, '', 8, '', '', '', 0, 5, 'CF', '', '', NULL),
		('864', 'b', 'Secondo livello di enumerazione', 'Secondo livello di enumerazione', 0, 0, '', 8, '', '', '', 0, 5, 'CF', '', '', NULL),
		('864', 'c', 'Terzo livello di enumerazione', 'Terzo livello di enumerazione', 0, 0, '', 8, '', '', '', 0, 5, 'CF', '', '', NULL),
		('864', 'd', 'Quarto livello di enumerazione', 'Quarto livello di enumerazione', 0, 0, '', 8, '', '', '', 0, 5, 'CF', '', '', NULL),
		('864', 'e', 'Quinto livello di enumerazione', 'Quinto livello di enumerazione', 0, 0, '', 8, '', '', '', 0, 5, 'CF', '', '', NULL),
		('864', 'f', 'Sesto livello di enumerazione', 'Sesto livello di enumerazione', 0, 0, '', 8, '', '', '', 0, 5, 'CF', '', '', NULL),
		('864', 'g', 'Schema di numerazione alternativo, primo livello di enumerazione', 'Schema di numerazione alternativo, primo livello di enumerazione', 0, 0, '', 8, '', '', '', 0, 5, 'CF', '', '', NULL),
		('864', 'h', 'Schema di numerazione alternativo, secondo livello di enumerazione', 'Schema di numerazione alternativo, secondo livello di enumerazione', 0, 0, '', 8, '', '', '', 0, 5, 'CF', '', '', NULL),
		('864', 'i', 'Primo livello di cronologia', 'Primo livello di cronologia', 0, 0, '', 8, '', '', '', 0, 5, 'CF', '', '', NULL),
		('864', 'j', 'Secondo livello di cronologia', 'Secondo livello di cronologia', 0, 0, '', 8, '', '', '', 0, 5, 'CF', '', '', NULL),
		('864', 'k', 'Terzo livello di cronologia', 'Terzo livello di cronologia', 0, 0, '', 8, '', '', '', 0, 5, 'CF', '', '', NULL),
		('864', 'l', 'Quarto livello di cronologia', 'Quarto livello di cronologia', 0, 0, '', 8, '', '', '', 0, 5, 'CF', '', '', NULL),
		('864', 'm', 'Schema di numerazione alternativo, cronologia', 'Schema di numerazione alternativo, cronologia', 0, 0, '', 8, '', '', '', 0, 5, 'CF', '', '', NULL),
		('864', 'n', 'Convertito in anno Gregoriano', 'Convertito in anno Gregoriano', 0, 0, '', 8, '', '', '', 0, 5, 'CF', '', '', NULL),
		('864', 'o', 'Tipo di materiale', 'Tipo di materiale', 1, 0, '', 8, '', '', '', 0, 5, 'CF', '', '', NULL),
		('864', 'p', 'Designazione di parte', 'Designazione di parte', 0, 0, '', 8, '', '', '', 0, 5, 'CF', '', '', NULL),
		('864', 'q', 'Condizione fisica della parte', 'Condizione fisica della parte', 0, 0, '', 8, '', '', '', 0, 5, 'CF', '', '', NULL),
		('864', 's', 'Codice di tassa sul copyright dell\'articolo', 'Codice di tassa sul copyright dell\'articolo', 1, 0, '', 8, '', '', '', 0, 5, 'CF', '', '', NULL),
		('864', 't', 'Numero di copia', 'Numero di copia', 0, 0, '', 8, '', '', '', 0, 5, 'CF', '', '', NULL),
		('864', 'v', 'Data di emissione', 'Data di emissione', 1, 0, '', 8, '', '', '', 0, 5, 'CF', '', '', NULL),
		('864', 'w', 'indicatore di stacco', 'indicatore di stacco', 0, 0, '', 8, '', '', '', 0, 5, 'CF', '', '', NULL),
		('864', 'x', 'Nota non pubblic', 'Nota non pubblic', 1, 0, '', 8, '', '', '', 0, 5, 'CF', '', '', NULL),
		('864', 'z', 'Nota pubblica', 'Nota pubblica', 1, 0, '', 8, '', '', '', 0, 5, 'CF', '', '', NULL),
		('865', '6', 'Collegamento', 'Collegamento', 0, 0, '', 8, '', '', '', NULL, 5, 'CF', '', '', NULL),
		('865', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 0, 0, '', 8, '', '', '', NULL, 5, 'CF', '', '', NULL),
		('865', 'a', 'Primo livello di enumerazione', 'Primo livello di enumerazione', 0, 0, '', 8, '', '', '', 0, 5, 'CF', '', '', NULL),
		('865', 'b', 'Secondo livello di enumerazione', 'Secondo livello di enumerazione', 0, 0, '', 8, '', '', '', 0, 5, 'CF', '', '', NULL),
		('865', 'c', 'Terzo livello di enumerazione', 'Terzo livello di enumerazione', 0, 0, '', 8, '', '', '', 0, 5, 'CF', '', '', NULL),
		('865', 'd', 'Quarto livello di enumerazione', 'Quarto livello di enumerazione', 0, 0, '', 8, '', '', '', 0, 5, 'CF', '', '', NULL),
		('865', 'e', 'Quinto livello di enumerazione', 'Quinto livello di enumerazione', 0, 0, '', 8, '', '', '', 0, 5, 'CF', '', '', NULL),
		('865', 'f', 'Sesto livello di enumerazione', 'Sesto livello di enumerazione', 0, 0, '', 8, '', '', '', 0, 5, 'CF', '', '', NULL),
		('865', 'g', 'Schema di numerazione alternativo, primo livello di enumerazione', 'Schema di numerazione alternativo, primo livello di enumerazione', 0, 0, '', 8, '', '', '', 0, 5, 'CF', '', '', NULL),
		('865', 'h', 'Schema di numerazione alternativo, secondo livello di enumerazione', 'Schema di numerazione alternativo, secondo livello di enumerazione', 0, 0, '', 8, '', '', '', 0, 5, 'CF', '', '', NULL),
		('865', 'i', 'Primo livello di cronologia', 'Primo livello di cronologia', 0, 0, '', 8, '', '', '', 0, 5, 'CF', '', '', NULL),
		('865', 'j', 'Secondo livello di cronologia', 'Secondo livello di cronologia', 0, 0, '', 8, '', '', '', 0, 5, 'CF', '', '', NULL),
		('865', 'k', 'Terzo livello di cronologia', 'Terzo livello di cronologia', 0, 0, '', 8, '', '', '', 0, 5, 'CF', '', '', NULL),
		('865', 'l', 'Quarto livello di cronologia', 'Quarto livello di cronologia', 0, 0, '', 8, '', '', '', 0, 5, 'CF', '', '', NULL),
		('865', 'm', 'Schema di numerazione alternativo, cronologia', 'Schema di numerazione alternativo, cronologia', 0, 0, '', 8, '', '', '', 0, 5, 'CF', '', '', NULL),
		('865', 'n', 'Convertito in anno Gregoriano', 'Convertito in anno Gregoriano', 0, 0, '', 8, '', '', '', 0, 5, 'CF', '', '', NULL),
		('865', 'o', 'Tipo di materiale', 'Tipo di materiale', 1, 0, '', 8, '', '', '', 0, 5, 'CF', '', '', NULL),
		('865', 'p', 'Designazione di parte', 'Designazione di parte', 0, 0, '', 8, '', '', '', 0, 5, 'CF', '', '', NULL),
		('865', 'q', 'Condizione fisica della parte', 'Condizione fisica della parte', 0, 0, '', 8, '', '', '', 0, 5, 'CF', '', '', NULL),
		('865', 's', 'Codice di tassa sul copyright dell\'articolo', 'Codice di tassa sul copyright dell\'articolo', 1, 0, '', 8, '', '', '', 0, 5, 'CF', '', '', NULL),
		('865', 't', 'Numero di copia', 'Numero di copia', 0, 0, '', 8, '', '', '', 0, 5, 'CF', '', '', NULL),
		('865', 'v', 'Data di emissione', 'Data di emissione', 1, 0, '', 8, '', '', '', 0, 5, 'CF', '', '', NULL),
		('865', 'w', 'indicatore di stacco', 'indicatore di stacco', 0, 0, '', 8, '', '', '', 0, 5, 'CF', '', '', NULL),
		('865', 'x', 'Nota non pubblic', 'Nota non pubblic', 1, 0, '', 8, '', '', '', 0, 5, 'CF', '', '', NULL),
		('865', 'z', 'Nota pubblica', 'Nota pubblica', 1, 0, '', 8, '', '', '', 0, 5, 'CF', '', '', NULL),
		('866', '6', 'Collegamento', 'Collegamento', 0, 0, '', 8, '', '', '', NULL, 5, 'CF', '', '', NULL),
		('866', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 8, '', '', '', NULL, 5, 'CF', '', '', NULL),
		('866', 'a', 'Stringa testuale', 'Stringa testuale', 0, 0, '', 8, '', '', '', 0, 5, 'CF', '', '', NULL),
		('866', 'x', 'Nota non pubblic', 'Nota non pubblic', 1, 0, '', 8, '', '', '', 0, 5, 'CF', '', '', NULL),
		('866', 'z', 'Nota pubblica', 'Nota pubblica', 1, 0, '', 8, '', '', '', 0, 5, 'CF', '', '', NULL),
		('867', '6', 'Collegamento', 'Collegamento', 0, 0, '', 8, '', '', '', NULL, 5, 'CF', '', '', NULL),
		('867', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 8, '', '', '', NULL, 5, 'CF', '', '', NULL),
		('867', 'a', 'Stringa testuale', 'Stringa testuale', 0, 0, '', 8, '', '', '', 0, 5, 'CF', '', '', NULL),
		('867', 'x', 'Nota non pubblic', 'Nota non pubblic', 1, 0, '', 8, '', '', '', 0, 5, 'CF', '', '', NULL),
		('867', 'z', 'Nota pubblica', 'Nota pubblica', 1, 0, '', 8, '', '', '', 0, 5, 'CF', '', '', NULL),
		('868', '6', 'Collegamento', 'Collegamento', 0, 0, '', 8, '', '', '', NULL, 5, 'CF', '', '', NULL),
		('868', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 8, '', '', '', NULL, 5, 'CF', '', '', NULL),
		('868', 'a', 'Stringa testuale', 'Stringa testuale', 0, 0, '', 8, '', '', '', 0, 5, 'CF', '', '', NULL),
		('868', 'x', 'Nota non pubblic', 'Nota non pubblic', 1, 0, '', 8, '', '', '', 0, 5, 'CF', '', '', NULL),
		('868', 'z', 'Nota pubblica', 'Nota pubblica', 1, 0, '', 8, '', '', '', 0, 5, 'CF', '', '', NULL),
		('870', '4', 'Codice di ruolo', 'Codice di ruolo', 1, 0, '', 8, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('870', '6', 'Collegamento', 'Collegamento', 0, 0, '', 8, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('870', 'a', 'Nome di persona', 'Nome di persona', 0, 0, '', 8, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('870', 'b', 'Numerazione', 'Numerazione', 0, 0, '', 8, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('870', 'c', 'Titoli e altre parole associate al nome', 'Titoli e altre parole associate al nome', 1, 0, '', 8, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('870', 'd', 'Date associate al nome', 'Date associate al nome', 0, 0, '', 8, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('870', 'e', 'Termine di ruolo', 'Termine di ruolo', 1, 0, '', 8, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('870', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, '', 8, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('870', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, '', 8, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('870', 'j', 'Tag e numero di sequenza', 'Tag e numero di sequenza', 0, 0, '', 8, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('870', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, '', 8, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('870', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, '', 8, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('870', 'n', 'Numero di parte/sezione dell\'opera', 'Numero di parte/sezione dell\'opera', 1, 0, '', 8, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('870', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, '', 8, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('870', 'q', 'Forma completa del nome', 'Forma completa del nome', 0, 0, '', 8, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('870', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, '', 8, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('870', 'u', 'Affiliazione', 'Affiliazione', 0, 0, '', 8, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('871', '4', 'Codice di ruolo', 'Codice di ruolo', 1, 0, '', 8, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('871', '6', 'Collegamento', 'Collegamento', 0, 0, '', 8, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('871', 'a', 'Nome dell\'ente o nome della giurisdizione come accesso', 'Nome dell\'ente o nome della giurisdizione come accesso', 0, 0, '', 8, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('871', 'b', 'Unità subordinata', 'Unità subordinata', 1, 0, '', 8, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('871', 'c', 'Luogo del convegno', 'Luogo del convegno', 0, 0, '', 8, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('871', 'd', 'Data del convegno o di firma del trattato', 'Data del convegno o di firma del trattato', 1, 0, '', 8, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('871', 'e', 'Termine di ruolo', 'Termine di ruolo', 1, 0, '', 8, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('871', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, '', 8, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('871', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, '', 8, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('871', 'j', 'Tag e numero di sequenza', 'Tag e numero di sequenza', 0, 0, '', 8, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('871', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, '', 8, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('871', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, '', 8, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('871', 'n', 'Numero di parte/sezione/convegno', 'Numero di parte/sezione/convegno', 1, 0, '', 8, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('871', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, '', 8, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('871', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, '', 8, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('871', 'u', 'Affiliazione', 'Affiliazione', 0, 0, '', 8, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('872', '4', 'Codice di ruolo', 'Codice di ruolo', 1, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('872', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('872', 'a', 'Nome del convegno o nome della giurisdizione come accesso', 'Nome del convegno o nome della giurisdizione come accesso', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('872', 'b', 'Number [OBSOLETE]', 'Number [OBSOLETE]', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('872', 'c', 'Luogo del convegno', 'Luogo del convegno', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('872', 'd', 'Data del convegno', 'Data del convegno', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('872', 'e', 'Unità subordinata', 'Unità subordinata', 1, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('872', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('872', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('872', 'j', 'Tag e numero di sequenza', 'Tag e numero di sequenza', 0, 0, '', 8, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('872', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('872', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('872', 'n', 'Numero di parte/sezione/convegno', 'Numero di parte/sezione/convegno', 1, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('872', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('872', 'q', 'Nome del convegno dopo accesso di nome della giurisdizione', 'Nome del convegno dopo accesso di nome della giurisdizione', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('872', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('872', 'u', 'Affiliazione', 'Affiliazione', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('873', '6', 'Collegamento', 'Collegamento', 0, 0, '', 8, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('873', 'a', 'Titolo uniforme', 'Titolo uniforme', 0, 0, '', 8, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('873', 'd', 'Data di firma del trattato', 'Data di firma del trattato', 1, 0, '', 8, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('873', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, '', 8, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('873', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, '', 8, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('873', 'h', 'Supporto', 'Supporto', 0, 0, '', 8, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('873', 'j', 'Tag e numero di sequenza', 'Tag e numero di sequenza', 0, 0, '', 8, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('873', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, '', 8, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('873', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, '', 8, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('873', 'm', 'Mezzo di esecuzione per la musica', 'Mezzo di esecuzione per la musica', 1, 0, '', 8, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('873', 'n', 'Numero di parte/sezione dell\'opera', 'Numero di parte/sezione dell\'opera', 1, 0, '', 8, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('873', 'o', 'Formulazione d\'arrangiamento per la musica', 'Formulazione d\'arrangiamento per la musica', 0, 0, '', 8, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('873', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, '', 8, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('873', 'r', 'Tonalità (musica)', 'Tonalità (musica)', 0, 0, '', 8, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('873', 's', 'Versione', 'Versione', 0, 0, '', 8, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('873', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, '', 8, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('876', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, '', 8, '', '', '', NULL, 5, 'CF', '', '', NULL),
		('876', '6', 'Collegamento', 'Collegamento', 0, 0, '', 8, '', '', '', NULL, 5, 'CF', '', '', NULL),
		('876', '8', 'Numero di sequenza', 'Numero di sequenza', 1, 0, '', 8, '', '', '', NULL, 5, 'CF', '', '', NULL),
		('876', 'a', 'Internal item number', 'Internal item number', 0, 0, '', 8, '', '', '', NULL, 5, 'CF', '', '', NULL),
		('876', 'b', 'Invalid or canceled internal item number', 'Invalid or canceled internal item number', 1, 0, '', 8, '', '', '', NULL, 5, 'CF', '', '', NULL),
		('876', 'c', 'Cost', 'Cost', 1, 0, '', 8, '', '', '', NULL, 5, 'CF', '', '', NULL),
		('876', 'd', 'Data d\'acquisizione', 'Data d\'acquisizione', 1, 0, '', 8, '', '', '', NULL, 5, 'CF', '', '', NULL),
		('876', 'e', 'Fonte d\'acquisto', 'Fonte d\'acquisto', 1, 0, '', 8, '', '', '', NULL, 5, 'CF', '', '', NULL),
		('876', 'h', 'Use restrictions', 'Use restrictions', 1, 0, '', 8, '', '', '', NULL, 5, 'CF', '', '', NULL),
		('876', 'j', 'Status della copia', 'Status della copia', 1, 0, '', 8, '', '', '', NULL, 5, 'CF', '', '', NULL),
		('876', 'l', 'Collocazione temporanea', 'Collocazione temporanea', 1, 0, '', 8, '', '', '', NULL, 5, 'CF', '', '', NULL),
		('876', 'p', 'Designazione di parte', 'Designazione di parte', 1, 0, '', 8, '', '', '', NULL, 5, 'CF', '', '', NULL),
		('876', 'r', 'Invalid or canceled piece designation', 'Invalid or canceled piece designation', 1, 0, '', 8, '', '', '', NULL, 5, 'CF', '', '', NULL),
		('876', 't', 'Numero di copia', 'Numero di copia', 0, 0, '', 8, '', '', '', NULL, 5, 'CF', '', '', NULL),
		('876', 'x', 'Nota non pubblic', 'Nota non pubblic', 1, 0, '', 8, '', '', '', NULL, 5, 'CF', '', '', NULL),
		('876', 'z', 'Nota pubblica', 'Nota pubblica', 1, 0, '', 8, '', '', '', NULL, 5, 'CF', '', '', NULL),
		('877', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, '', 8, '', '', '', NULL, 5, 'CF', '', '', NULL),
		('877', '6', 'Collegamento', 'Collegamento', 0, 0, '', 8, '', '', '', NULL, 5, 'CF', '', '', NULL),
		('877', '8', 'Numero di sequenza', 'Numero di sequenza', 1, 0, '', 8, '', '', '', NULL, 5, 'CF', '', '', NULL),
		('877', 'a', 'Internal item number', 'Internal item number', 0, 0, '', 8, '', '', '', NULL, 5, 'CF', '', '', NULL),
		('877', 'b', 'Invalid or canceled internal item number', 'Invalid or canceled internal item number', 1, 0, '', 8, '', '', '', NULL, 5, 'CF', '', '', NULL),
		('877', 'c', 'Cost', 'Cost', 1, 0, '', 8, '', '', '', NULL, 5, 'CF', '', '', NULL),
		('877', 'd', 'Data d\'acquisizione', 'Data d\'acquisizione', 1, 0, '', 8, '', '', '', NULL, 5, 'CF', '', '', NULL),
		('877', 'e', 'Fonte d\'acquisto', 'Fonte d\'acquisto', 1, 0, '', 8, '', '', '', NULL, 5, 'CF', '', '', NULL),
		('877', 'h', 'Use restrictions', 'Use restrictions', 1, 0, '', 8, '', '', '', NULL, 5, 'CF', '', '', NULL),
		('877', 'j', 'Status della copia', 'Status della copia', 1, 0, '', 8, '', '', '', NULL, 5, 'CF', '', '', NULL),
		('877', 'l', 'Collocazione temporanea', 'Collocazione temporanea', 1, 0, '', 8, '', '', '', NULL, 5, 'CF', '', '', NULL),
		('877', 'p', 'Designazione di parte', 'Designazione di parte', 1, 0, '', 8, '', '', '', NULL, 5, 'CF', '', '', NULL),
		('877', 'r', 'Invalid or canceled piece designation', 'Invalid or canceled piece designation', 1, 0, '', 8, '', '', '', NULL, 5, 'CF', '', '', NULL),
		('877', 't', 'Numero di copia', 'Numero di copia', 0, 0, '', 8, '', '', '', NULL, 5, 'CF', '', '', NULL),
		('877', 'x', 'Nota non pubblic', 'Nota non pubblic', 1, 0, '', 8, '', '', '', NULL, 5, 'CF', '', '', NULL),
		('877', 'z', 'Nota pubblica', 'Nota pubblica', 1, 0, '', 8, '', '', '', NULL, 5, 'CF', '', '', NULL),
		('878', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, '', 8, '', '', '', NULL, 5, 'CF', '', '', NULL),
		('878', '6', 'Collegamento', 'Collegamento', 0, 0, '', 8, '', '', '', NULL, 5, 'CF', '', '', NULL),
		('878', '8', 'Numero di sequenza', 'Numero di sequenza', 1, 0, '', 8, '', '', '', NULL, 5, 'CF', '', '', NULL),
		('878', 'a', 'Internal item number', 'Internal item number', 0, 0, '', 8, '', '', '', NULL, 5, 'CF', '', '', NULL),
		('878', 'b', 'Invalid or canceled internal item number', 'Invalid or canceled internal item number', 1, 0, '', 8, '', '', '', NULL, 5, 'CF', '', '', NULL),
		('878', 'c', 'Cost', 'Cost', 1, 0, '', 8, '', '', '', NULL, 5, 'CF', '', '', NULL),
		('878', 'd', 'Data d\'acquisizione', 'Data d\'acquisizione', 1, 0, '', 8, '', '', '', NULL, 5, 'CF', '', '', NULL),
		('878', 'e', 'Fonte d\'acquisto', 'Fonte d\'acquisto', 1, 0, '', 8, '', '', '', NULL, 5, 'CF', '', '', NULL),
		('878', 'h', 'Use restrictions', 'Use restrictions', 1, 0, '', 8, '', '', '', NULL, 5, 'CF', '', '', NULL),
		('878', 'j', 'Status della copia', 'Status della copia', 1, 0, '', 8, '', '', '', NULL, 5, 'CF', '', '', NULL),
		('878', 'l', 'Collocazione temporanea', 'Collocazione temporanea', 1, 0, '', 8, '', '', '', NULL, 5, 'CF', '', '', NULL),
		('878', 'p', 'Designazione di parte', 'Designazione di parte', 1, 0, '', 8, '', '', '', NULL, 5, 'CF', '', '', NULL),
		('878', 'r', 'Invalid or canceled piece designation', 'Invalid or canceled piece designation', 1, 0, '', 8, '', '', '', NULL, 5, 'CF', '', '', NULL),
		('878', 't', 'Numero di copia', 'Numero di copia', 0, 0, '', 8, '', '', '', NULL, 5, 'CF', '', '', NULL),
		('878', 'x', 'Nota non pubblic', 'Nota non pubblic', 1, 0, '', 8, '', '', '', NULL, 5, 'CF', '', '', NULL),
		('878', 'z', 'Nota pubblica', 'Nota pubblica', 1, 0, '', 8, '', '', '', NULL, 5, 'CF', '', '', NULL),
		('880', '2', '2', '2', 1, 0, '', 8, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('880', '3', '3', '3', 1, 0, '', 8, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('880', '4', '4', '4', 1, 0, '', 8, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('880', '5', '5', '5', 1, 0, '', 8, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('880', '6', 'Collegamento', 'Collegamento', 0, 0, '', 8, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('880', '7', '7', '7', 1, 0, '', 8, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('880', '8', '8', '8', 1, 0, '', 8, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('880', '9', '9', '9', 1, 0, '', 8, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('880', 'a', 'a', 'a', 1, 0, '', 8, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('880', 'b', 'b', 'b', 1, 0, '', 8, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('880', 'c', 'c', 'c', 1, 0, '', 8, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('880', 'd', 'd', 'd', 1, 0, '', 8, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('880', 'e', 'e', 'e', 1, 0, '', 8, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('880', 'f', 'f', 'f', 1, 0, '', 8, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('880', 'g', 'g', 'g', 1, 0, '', 8, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('880', 'h', 'h', 'h', 1, 0, '', 8, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('880', 'i', 'i', 'i', 1, 0, '', 8, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('880', 'j', 'j', 'j', 1, 0, '', 8, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('880', 'k', 'k', 'k', 1, 0, '', 8, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('880', 'l', 'l', 'l', 1, 0, '', 8, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('880', 'm', 'm', 'm', 1, 0, '', 8, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('880', 'n', 'n', 'n', 1, 0, '', 8, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('880', 'o', 'o', 'o', 1, 0, '', 8, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('880', 'p', 'p', 'p', 1, 0, '', 8, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('880', 'q', 'q', 'q', 1, 0, '', 8, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('880', 'r', 'r', 'r', 1, 0, '', 8, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('880', 's', 's', 's', 1, 0, '', 8, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('880', 't', 't', 't', 1, 0, '', 8, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('880', 'u', 'u', 'u', 1, 0, '', 8, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('880', 'v', 'v', 'v', 1, 0, '', 8, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('880', 'w', 'w', 'w', 1, 0, '', 8, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('880', 'x', 'x', 'x', 1, 0, '', 8, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('880', 'y', 'y', 'y', 1, 0, '', 8, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('880', 'z', 'z', 'z', 1, 0, '', 8, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('886', '0', '0', '0', 1, 0, '', 8, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('886', '1', '1', '1', 1, 0, '', 8, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('886', '2', '2', '2', 1, 0, '', 8, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('886', '3', '3', '3', 1, 0, '', 8, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('886', '4', '4', '4', 1, 0, '', 8, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('886', '5', '5', '5', 1, 0, '', 8, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('886', '6', '6', '6', 1, 0, '', 8, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('886', '7', '7', '7', 1, 0, '', 8, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('886', '8', '8', '8', 1, 0, '', 8, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('886', '9', '9', '9', 1, 0, '', 8, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('886', 'a', 'a', 'a', 1, 0, '', 8, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('886', 'b', 'b', 'b', 1, 0, '', 8, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('886', 'c', 'c', 'c', 1, 0, '', 8, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('886', 'd', 'd', 'd', 1, 0, '', 8, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('886', 'e', 'e', 'e', 1, 0, '', 8, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('886', 'f', 'f', 'f', 1, 0, '', 8, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('886', 'g', 'g', 'g', 1, 0, '', 8, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('886', 'h', 'h', 'h', 1, 0, '', 8, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('886', 'i', 'i', 'i', 1, 0, '', 8, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('886', 'j', 'j', 'j', 1, 0, '', 8, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('886', 'k', 'k', 'k', 1, 0, '', 8, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('886', 'l', 'l', 'l', 1, 0, '', 8, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('886', 'm', 'm', 'm', 1, 0, '', 8, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('886', 'n', 'n', 'n', 1, 0, '', 8, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('886', 'o', 'o', 'o', 1, 0, '', 8, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('886', 'p', 'p', 'p', 1, 0, '', 8, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('886', 'q', 'q', 'q', 1, 0, '', 8, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('886', 'r', 'r', 'r', 1, 0, '', 8, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('886', 's', 's', 's', 1, 0, '', 8, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('886', 't', 't', 't', 1, 0, '', 8, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('886', 'u', 'u', 'u', 1, 0, '', 8, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('886', 'v', 'v', 'v', 1, 0, '', 8, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('886', 'w', 'w', 'w', 1, 0, '', 8, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('886', 'x', 'x', 'x', 1, 0, '', 8, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('886', 'y', 'y', 'y', 1, 0, '', 8, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('886', 'z', 'z', 'z', 1, 0, '', 8, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('887', '2', 'Fonte dei dati', 'Fonte dei dati', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('887', 'a', 'Contenuto del campo non-MARC', 'Contenuto del campo non-MARC', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('896', '%', '% (RLIN)', '% (RLIN)', 0, 0, '', 8, '', '', '', 0, -6, 'CF', '', '', NULL),
		('896', '4', 'Codice di ruolo', 'Codice di ruolo', 1, 0, '', 8, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('896', '6', 'Collegamento', 'Collegamento', 0, 0, '', 8, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('896', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 8, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('896', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 8, '', '', '', 0, -5, 'CF', '', '', NULL),
		('896', 'a', 'Nome di persona', 'Nome di persona', 0, 0, '', 8, '', 'PERSO_NAME', '', NULL, -6, 'CF', '', '', NULL),
		('896', 'b', 'Numerazione', 'Numerazione', 0, 0, '', 8, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('896', 'c', 'Titoli e altre parole associate al nome', 'Titoli e altre parole associate al nome', 1, 0, '', 8, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('896', 'd', 'Date associate al nome', 'Date associate al nome', 0, 0, '', 8, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('896', 'e', 'Termine di ruolo', 'Termine di ruolo', 1, 0, '', 8, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('896', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, '', 8, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('896', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, '', 8, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('896', 'h', 'Supporto', 'Supporto', 0, 0, '', 8, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('896', 'j', 'Qualificazione d\'attribuzione', 'Qualificazione d\'attribuzione', 1, 0, '', 8, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('896', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, '', 8, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('896', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, '', 8, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('896', 'm', 'Mezzo di esecuzione per la musica', 'Mezzo di esecuzione per la musica', 1, 0, '', 8, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('896', 'n', 'Numero di parte/sezione dell\'opera', 'Numero di parte/sezione dell\'opera', 1, 0, '', 8, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('896', 'o', 'Formulazione d\'arrangiamento per la musica', 'Formulazione d\'arrangiamento per la musica', 0, 0, '', 8, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('896', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, '', 8, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('896', 'q', 'Forma completa del nome', 'Forma completa del nome', 0, 0, '', 8, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('896', 'r', 'Tonalità (musica)', 'Tonalità (musica)', 0, 0, '', 8, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('896', 's', 'Versione', 'Versione', 0, 0, '', 8, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('896', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, '', 8, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('896', 'u', 'Affiliazione', 'Affiliazione', 0, 0, '', 8, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('896', 'v', 'Numero del volume/designazione di sequenza', 'Numero del volume/designazione di sequenza', 0, 0, '', 8, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('897', '%', '% (RLIN)', '% (RLIN)', 0, 0, '', 8, '', '', '', 0, -6, 'CF', '', '', NULL),
		('897', '4', 'Codice di ruolo', 'Codice di ruolo', 1, 0, '', 8, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('897', '6', 'Collegamento', 'Collegamento', 0, 0, '', 8, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('897', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 8, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('897', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 8, '', '', '', 0, -5, 'CF', '', '', NULL),
		('897', 'a', 'Nome dell\'ente o nome della giurisdizione come accesso', 'Nome dell\'ente o nome della giurisdizione come accesso', 0, 0, '', 8, '', 'CORPO_NAME', '', NULL, -6, 'CF', '', '', NULL),
		('897', 'b', 'Unità subordinata', 'Unità subordinata', 1, 0, '', 8, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('897', 'c', 'Luogo del convegno', 'Luogo del convegno', 0, 0, '', 8, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('897', 'd', 'Data del convegno o di firma del trattato', 'Data del convegno o di firma del trattato', 1, 0, '', 8, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('897', 'e', 'Termine di ruolo', 'Termine di ruolo', 1, 0, '', 8, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('897', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, '', 8, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('897', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, '', 8, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('897', 'h', 'Supporto', 'Supporto', 0, 0, '', 8, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('897', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, '', 8, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('897', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, '', 8, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('897', 'm', 'Mezzo di esecuzione per la musica', 'Mezzo di esecuzione per la musica', 1, 0, '', 8, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('897', 'n', 'Numero di parte/sezione/convegno', 'Numero di parte/sezione/convegno', 1, 0, '', 8, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('897', 'o', 'Formulazione d\'arrangiamento per la musica', 'Formulazione d\'arrangiamento per la musica', 0, 0, '', 8, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('897', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, '', 8, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('897', 'r', 'Tonalità (musica)', 'Tonalità (musica)', 0, 0, '', 8, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('897', 's', 'Versione', 'Versione', 0, 0, '', 8, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('897', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, '', 8, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('897', 'u', 'Affiliazione', 'Affiliazione', 0, 0, '', 8, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('897', 'v', 'Numero del volume/designazione di sequenza', 'Numero del volume/designazione di sequenza', 0, 0, '', 8, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('898', '%', '% (RLIN)', '% (RLIN)', 0, 0, '', 8, '', '', '', 0, -6, 'CF', '', '', NULL),
		('898', '4', 'Codice di ruolo', 'Codice di ruolo', 1, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('898', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('898', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('898', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 8, '', '', '', 0, -5, 'CF', '', '', NULL),
		('898', 'a', 'Nome del convegno o nome della giurisdizione come accesso', 'Nome del convegno o nome della giurisdizione come accesso', 0, 0, NULL, 8, NULL, 'MEETI_NAME', '', NULL, -6, 'CF', '', '', NULL),
		('898', 'b', 'Number (BK CF MP MU SE VM MX) [OBSOLETE]', 'Number (BK CF MP MU SE VM MX) [OBSOLETE]', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('898', 'c', 'Luogo del convegno', 'Luogo del convegno', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('898', 'd', 'Data del convegno', 'Data del convegno', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('898', 'e', 'Unità subordinata', 'Unità subordinata', 1, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('898', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('898', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('898', 'h', 'Supporto', 'Supporto', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('898', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('898', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('898', 'n', 'Numero di parte/sezione/convegno', 'Numero di parte/sezione/convegno', 1, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('898', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('898', 'q', 'Nome del convegno dopo accesso di nome della giurisdizione', 'Nome del convegno dopo accesso di nome della giurisdizione', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('898', 's', 'Versione', 'Versione', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('898', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('898', 'u', 'Affiliazione', 'Affiliazione', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('898', 'v', 'Numero del volume/designazione di sequenza', 'Numero del volume/designazione di sequenza', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('899', '%', '% (RLIN)', '% (RLIN)', 0, 0, '', 8, '', '', '', 0, -6, 'CF', '', '', NULL),
		('899', '6', 'Collegamento', 'Collegamento', 0, 0, '', 8, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('899', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 8, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('899', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 8, '', '', '', 0, -5, 'CF', '', '', NULL),
		('899', 'a', 'Titolo uniforme', 'Titolo uniforme', 0, 0, '', 8, '', 'UNIF_TITLE', '', NULL, -6, 'CF', '', '', NULL),
		('899', 'd', 'Data di firma del trattato', 'Data di firma del trattato', 1, 0, '', 8, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('899', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, '', 8, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('899', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, '', 8, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('899', 'h', 'Supporto', 'Supporto', 0, 0, '', 8, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('899', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, '', 8, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('899', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, '', 8, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('899', 'm', 'Mezzo di esecuzione per la musica', 'Mezzo di esecuzione per la musica', 1, 0, '', 8, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('899', 'n', 'Numero di parte/sezione dell\'opera', 'Numero di parte/sezione dell\'opera', 1, 0, '', 8, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('899', 'o', 'Formulazione d\'arrangiamento per la musica', 'Formulazione d\'arrangiamento per la musica', 0, 0, '', 8, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('899', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, '', 8, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('899', 'r', 'Tonalità (musica)', 'Tonalità (musica)', 0, 0, '', 8, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('899', 's', 'Versione', 'Versione', 0, 0, '', 8, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('899', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, '', 8, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('899', 'v', 'Numero del volume/designazione di sequenza', 'Numero del volume/designazione di sequenza', 0, 0, '', 8, '', '', '', NULL, 5, 'CF', '', '', NULL),
		('900', '4', 'Codice di ruolo', 'Codice di ruolo', 1, 0, '', 9, '', '', '', 0, -6, 'CF', '', '', NULL),
		('900', '6', 'Collegamento', 'Collegamento', 0, 0, '', 9, '', '', '', 0, -6, 'CF', '', '', NULL),
		('900', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 9, '', '', '', 0, -6, 'CF', '', '', NULL),
		('900', 'a', 'Nome di persona', 'Nome di persona', 0, 0, '', 9, '', '', '', 0, 5, 'CF', '', '', NULL),
		('900', 'b', 'Numerazione', 'Numerazione', 0, 0, '', 9, '', '', '', 0, -6, 'CF', '', '', NULL),
		('900', 'c', 'Titoli e altre parole associate al nome', 'Titoli e altre parole associate al nome', 1, 0, '', 9, '', '', '', 0, -6, 'CF', '', '', NULL),
		('900', 'd', 'Date associate al nome', 'Date associate al nome', 0, 0, '', 9, '', '', '', 0, -6, 'CF', '', '', NULL),
		('900', 'e', 'Termine di ruolo', 'Termine di ruolo', 1, 0, '', 9, '', '', '', 0, -6, 'CF', '', '', NULL),
		('900', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, '', 9, '', '', '', 0, -6, 'CF', '', '', NULL),
		('900', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, '', 9, '', '', '', 0, -6, 'CF', '', '', NULL),
		('900', 'j', 'Qualificazione d\'attribuzione', 'Qualificazione d\'attribuzione', 1, 0, '', 9, '', '', '', 0, -6, 'CF', '', '', NULL),
		('900', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, '', 9, '', '', '', 0, -6, 'CF', '', '', NULL),
		('900', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, '', 9, '', '', '', 0, -6, 'CF', '', '', NULL),
		('900', 'n', 'Numero di parte/sezione dell\'opera', 'Numero di parte/sezione dell\'opera', 1, 0, '', 9, '', '', '', 0, -6, 'CF', '', '', NULL),
		('900', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, '', 9, '', '', '', 0, -6, 'CF', '', '', NULL),
		('900', 'q', 'Forma completa del nome', 'Forma completa del nome', 0, 0, '', 9, '', '', '', 0, -6, 'CF', '', '', NULL),
		('900', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, '', 9, '', '', '', 0, -6, 'CF', '', '', NULL),
		('900', 'u', 'Affiliazione', 'Affiliazione', 0, 0, '', 9, '', '', '', 0, -6, 'CF', '', '', NULL),
		('901', '0', '0', '0', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('901', '1', '1', '1', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('901', '2', '2', '2', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('901', '3', '3', '3', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('901', '4', '4', '4', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('901', '5', '5', '5', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('901', '6', '6', '6', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('901', '7', '7', '7', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('901', '8', '8', '8', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('901', '9', '9', '9', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('901', 'a', 'a', 'a', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('901', 'b', 'b', 'b', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('901', 'c', 'c', 'c', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('901', 'd', 'd', 'd', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('901', 'e', 'e', 'e', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('901', 'f', 'f', 'f', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('901', 'g', 'g', 'g', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('901', 'h', 'h', 'h', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('901', 'i', 'i', 'i', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('901', 'j', 'j', 'j', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('901', 'k', 'k', 'k', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('901', 'l', 'l', 'l', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('901', 'm', 'm', 'm', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('901', 'n', 'n', 'n', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('901', 'o', 'o', 'o', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('901', 'p', 'p', 'p', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('901', 'q', 'q', 'q', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('901', 'r', 'r', 'r', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('901', 's', 's', 's', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('901', 't', 't', 't', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('901', 'u', 'u', 'u', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('901', 'v', 'v', 'v', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('901', 'w', 'w', 'w', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('901', 'x', 'x', 'x', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('901', 'y', 'y', 'y', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('901', 'z', 'z', 'z', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('902', '0', '0', '0', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('902', '1', '1', '1', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('902', '2', '2', '2', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('902', '3', '3', '3', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('902', '4', '4', '4', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('902', '5', '5', '5', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('902', '6', '6', '6', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('902', '7', '7', '7', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('902', '8', '8', '8', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('902', '9', '9', '9', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('902', 'a', 'a', 'a', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('902', 'b', 'b', 'b', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('902', 'c', 'c', 'c', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('902', 'd', 'd', 'd', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('902', 'e', 'e', 'e', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('902', 'f', 'f', 'f', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('902', 'g', 'g', 'g', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('902', 'h', 'h', 'h', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('902', 'i', 'i', 'i', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('902', 'j', 'j', 'j', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('902', 'k', 'k', 'k', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('902', 'l', 'l', 'l', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('902', 'm', 'm', 'm', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('902', 'n', 'n', 'n', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('902', 'o', 'o', 'o', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('902', 'p', 'p', 'p', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('902', 'q', 'q', 'q', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('902', 'r', 'r', 'r', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('902', 's', 's', 's', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('902', 't', 't', 't', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('902', 'u', 'u', 'u', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('902', 'v', 'v', 'v', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('902', 'w', 'w', 'w', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('902', 'x', 'x', 'x', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('902', 'y', 'y', 'y', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('902', 'z', 'z', 'z', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('903', '0', '0', '0', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('903', '1', '1', '1', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('903', '2', '2', '2', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('903', '3', '3', '3', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('903', '4', '4', '4', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('903', '5', '5', '5', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('903', '6', '6', '6', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('903', '7', '7', '7', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('903', '8', '8', '8', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('903', '9', '9', '9', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('903', 'a', 'a', 'a', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('903', 'b', 'b', 'b', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('903', 'c', 'c', 'c', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('903', 'd', 'd', 'd', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('903', 'e', 'e', 'e', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('903', 'f', 'f', 'f', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('903', 'g', 'g', 'g', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('903', 'h', 'h', 'h', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('903', 'i', 'i', 'i', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('903', 'j', 'j', 'j', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('903', 'k', 'k', 'k', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('903', 'l', 'l', 'l', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('903', 'm', 'm', 'm', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('903', 'n', 'n', 'n', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('903', 'o', 'o', 'o', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('903', 'p', 'p', 'p', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('903', 'q', 'q', 'q', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('903', 'r', 'r', 'r', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('903', 's', 's', 's', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('903', 't', 't', 't', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('903', 'u', 'u', 'u', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('903', 'v', 'v', 'v', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('903', 'w', 'w', 'w', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('903', 'x', 'x', 'x', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('903', 'y', 'y', 'y', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('903', 'z', 'z', 'z', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('904', '0', '0', '0', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('904', '1', '1', '1', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('904', '2', '2', '2', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('904', '3', '3', '3', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('904', '4', '4', '4', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('904', '5', '5', '5', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('904', '6', '6', '6', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('904', '7', '7', '7', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('904', '8', '8', '8', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('904', '9', '9', '9', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('904', 'a', 'a', 'a', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('904', 'b', 'b', 'b', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('904', 'c', 'c', 'c', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('904', 'd', 'd', 'd', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('904', 'e', 'e', 'e', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('904', 'f', 'f', 'f', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('904', 'g', 'g', 'g', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('904', 'h', 'h', 'h', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('904', 'i', 'i', 'i', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('904', 'j', 'j', 'j', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('904', 'k', 'k', 'k', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('904', 'l', 'l', 'l', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('904', 'm', 'm', 'm', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('904', 'n', 'n', 'n', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('904', 'o', 'o', 'o', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('904', 'p', 'p', 'p', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('904', 'q', 'q', 'q', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('904', 'r', 'r', 'r', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('904', 's', 's', 's', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('904', 't', 't', 't', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('904', 'u', 'u', 'u', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('904', 'v', 'v', 'v', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('904', 'w', 'w', 'w', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('904', 'x', 'x', 'x', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('904', 'y', 'y', 'y', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('904', 'z', 'z', 'z', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('905', '0', '0', '0', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('905', '1', '1', '1', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('905', '2', '2', '2', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('905', '3', '3', '3', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('905', '4', '4', '4', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('905', '5', '5', '5', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('905', '6', '6', '6', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('905', '7', '7', '7', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('905', '8', '8', '8', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('905', '9', '9', '9', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('905', 'a', 'a', 'a', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('905', 'b', 'b', 'b', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('905', 'c', 'c', 'c', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('905', 'd', 'd', 'd', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('905', 'e', 'e', 'e', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('905', 'f', 'f', 'f', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('905', 'g', 'g', 'g', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('905', 'h', 'h', 'h', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('905', 'i', 'i', 'i', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('905', 'j', 'j', 'j', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('905', 'k', 'k', 'k', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('905', 'l', 'l', 'l', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('905', 'm', 'm', 'm', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('905', 'n', 'n', 'n', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('905', 'o', 'o', 'o', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('905', 'p', 'p', 'p', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('905', 'q', 'q', 'q', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('905', 'r', 'r', 'r', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('905', 's', 's', 's', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('905', 't', 't', 't', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('905', 'u', 'u', 'u', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('905', 'v', 'v', 'v', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('905', 'w', 'w', 'w', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('905', 'x', 'x', 'x', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('905', 'y', 'y', 'y', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('905', 'z', 'z', 'z', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('906', '0', '0', '0', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('906', '1', '1', '1', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('906', '2', '2', '2', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('906', '3', '3', '3', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('906', '4', '4', '4', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('906', '5', '5', '5', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('906', '6', '6', '6', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('906', '7', '7', '7', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('906', '8', '8', '8', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('906', '9', '9', '9', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('906', 'a', 'a', 'a', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('906', 'b', 'b', 'b', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('906', 'c', 'c', 'c', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('906', 'd', 'd', 'd', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('906', 'e', 'e', 'e', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('906', 'f', 'f', 'f', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('906', 'g', 'g', 'g', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('906', 'h', 'h', 'h', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('906', 'i', 'i', 'i', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('906', 'j', 'j', 'j', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('906', 'k', 'k', 'k', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('906', 'l', 'l', 'l', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('906', 'm', 'm', 'm', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('906', 'n', 'n', 'n', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('906', 'o', 'o', 'o', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('906', 'p', 'p', 'p', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('906', 'q', 'q', 'q', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('906', 'r', 'r', 'r', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('906', 's', 's', 's', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('906', 't', 't', 't', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('906', 'u', 'u', 'u', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('906', 'v', 'v', 'v', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('906', 'w', 'w', 'w', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('906', 'x', 'x', 'x', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('906', 'y', 'y', 'y', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('906', 'z', 'z', 'z', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('907', '0', '0', '0', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('907', '1', '1', '1', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('907', '2', '2', '2', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('907', '3', '3', '3', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('907', '4', '4', '4', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('907', '5', '5', '5', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('907', '6', '6', '6', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('907', '7', '7', '7', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('907', '8', '8', '8', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('907', '9', '9', '9', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('907', 'a', 'a', 'a', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('907', 'b', 'b', 'b', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('907', 'c', 'c', 'c', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('907', 'd', 'd', 'd', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('907', 'e', 'e', 'e', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('907', 'f', 'f', 'f', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('907', 'g', 'g', 'g', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('907', 'h', 'h', 'h', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('907', 'i', 'i', 'i', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('907', 'j', 'j', 'j', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('907', 'k', 'k', 'k', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('907', 'l', 'l', 'l', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('907', 'm', 'm', 'm', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('907', 'n', 'n', 'n', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('907', 'o', 'o', 'o', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('907', 'p', 'p', 'p', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('907', 'q', 'q', 'q', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('907', 'r', 'r', 'r', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('907', 's', 's', 's', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('907', 't', 't', 't', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('907', 'u', 'u', 'u', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('907', 'v', 'v', 'v', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('907', 'w', 'w', 'w', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('907', 'x', 'x', 'x', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('907', 'y', 'y', 'y', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('907', 'z', 'z', 'z', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('908', 'a', 'Put command parameter', 'Put command parameter', 0, 0, '', 9, '', '', '', 0, -6, 'CF', '', '', NULL),
		('910', 'a', 'User-option data', 'User-option data', 0, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('911', '4', 'Codice di ruolo', 'Codice di ruolo', 1, 0, NULL, 9, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('911', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 9, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('911', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 9, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('911', 'a', 'Nome del convegno o nome della giurisdizione come accesso', 'Nome del convegno o nome della giurisdizione come accesso', 0, 0, NULL, 9, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('911', 'b', 'Number [OBSOLETE]', 'Number [OBSOLETE]', 0, 0, NULL, 9, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('911', 'c', 'Luogo del convegno', 'Luogo del convegno', 0, 0, NULL, 9, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('911', 'd', 'Data del convegno', 'Data del convegno', 0, 0, NULL, 9, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('911', 'e', 'Unità subordinata', 'Unità subordinata', 1, 0, NULL, 9, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('911', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, NULL, 9, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('911', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, NULL, 9, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('911', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, NULL, 9, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('911', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, NULL, 9, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('911', 'n', 'Numero di parte/sezione/convegno', 'Numero di parte/sezione/convegno', 1, 0, NULL, 9, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('911', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, NULL, 9, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('911', 'q', 'Nome del convegno dopo accesso di nome della giurisdizione', 'Nome del convegno dopo accesso di nome della giurisdizione', 0, 0, NULL, 9, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('911', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, NULL, 9, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('911', 'u', 'Affiliazione', 'Affiliazione', 0, 0, NULL, 9, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('930', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 9, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('930', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 9, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('930', 'a', 'Titolo uniforme', 'Titolo uniforme', 0, 0, NULL, 9, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('930', 'd', 'Data di firma del trattato', 'Data di firma del trattato', 1, 0, NULL, 9, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('930', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, NULL, 9, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('930', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, NULL, 9, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('930', 'h', 'Supporto', 'Supporto', 0, 0, NULL, 9, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('930', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, NULL, 9, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('930', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, NULL, 9, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('930', 'm', 'Mezzo di esecuzione per la musica', 'Mezzo di esecuzione per la musica', 1, 0, NULL, 9, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('930', 'n', 'Numero di parte/sezione dell\'opera', 'Numero di parte/sezione dell\'opera', 1, 0, NULL, 9, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('930', 'o', 'Formulazione d\'arrangiamento per la musica', 'Formulazione d\'arrangiamento per la musica', 0, 0, NULL, 9, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('930', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, NULL, 9, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('930', 'r', 'Tonalità (musica)', 'Tonalità (musica)', 0, 0, NULL, 9, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('930', 's', 'Versione', 'Versione', 0, 0, NULL, 9, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('930', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, NULL, 9, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('936', 'a', 'OCLC control number(s) of parallel record(s) (OCLC); Piece used for cataloging, PUC (RLIN)', 'OCLC control number(s) of parallel record(s) (OCLC); Piece used for cataloging, PUC (RLIN)', 1, 0, '', 9, '', '', '', 0, -6, 'CF', '', '', NULL),
		('940', '6', 'Collegamento', 'Collegamento', 0, 0, '', 9, '', '', '', 0, -6, 'CF', '', '', NULL),
		('940', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 9, '', '', '', 0, -6, 'CF', '', '', NULL),
		('940', 'a', 'Titolo uniforme', 'Titolo uniforme', 0, 0, '', 9, '', '', '', 1, -6, 'CF', '', '', NULL),
		('940', 'd', 'Data di firma del trattato', 'Data di firma del trattato', 1, 0, '', 9, '', '', '', 0, -6, 'CF', '', '', NULL),
		('940', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, '', 9, '', '', '', 0, -6, 'CF', '', '', NULL),
		('940', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, '', 9, '', '', '', 0, -6, 'CF', '', '', NULL),
		('940', 'h', 'Supporto', 'Supporto', 0, 0, '', 9, '', '', '', 0, -6, 'CF', '', '', NULL),
		('940', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, '', 9, '', '', '', 0, -6, 'CF', '', '', NULL),
		('940', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, '', 9, '', '', '', 0, -6, 'CF', '', '', NULL),
		('940', 'm', 'Mezzo di esecuzione per la musica', 'Mezzo di esecuzione per la musica', 1, 0, '', 9, '', '', '', 0, -6, 'CF', '', '', NULL),
		('940', 'n', 'Numero di parte/sezione dell\'opera', 'Numero di parte/sezione dell\'opera', 1, 0, '', 9, '', '', '', 0, -6, 'CF', '', '', NULL),
		('940', 'o', 'Formulazione d\'arrangiamento per la musica', 'Formulazione d\'arrangiamento per la musica', 0, 0, '', 9, '', '', '', 0, -6, 'CF', '', '', NULL),
		('940', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, '', 9, '', '', '', 0, -6, 'CF', '', '', NULL),
		('940', 'r', 'Tonalità (musica)', 'Tonalità (musica)', 0, 0, '', 9, '', '', '', 0, -6, 'CF', '', '', NULL),
		('940', 's', 'Versione', 'Versione', 0, 0, '', 9, '', '', '', 0, -6, 'CF', '', '', NULL),
		('941', 'a', 'Romanized title', 'Romanized title', 0, 0, NULL, 9, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('941', 'h', 'Supporto', 'Supporto', 0, 0, NULL, 9, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('943', '6', 'Collegamento', 'Collegamento', 0, 0, '', 9, '', '', '', 0, -6, 'CF', '', '', NULL),
		('943', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 9, '', '', '', 0, -6, 'CF', '', '', NULL),
		('943', 'a', 'Titolo uniforme', 'Titolo uniforme', 0, 0, '', 9, '', '', '', 1, 5, 'CF', '', '130', NULL),
		('943', 'd', 'Data di firma del trattato', 'Data di firma del trattato', 1, 0, '', 9, '', '', '', 0, -6, 'CF', '', '', NULL),
		('943', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, '', 9, '', '', '', 0, -6, 'CF', '', '', NULL),
		('943', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, '', 9, '', '', '', 0, -6, 'CF', '', '', NULL),
		('943', 'h', 'Supporto', 'Supporto', 0, 0, '', 9, '', '', '', 0, -6, 'CF', '', '', NULL),
		('943', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, '', 9, '', '', '', 0, -6, 'CF', '', '', NULL),
		('943', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, '', 9, '', '', '', 0, -6, 'CF', '', '', NULL),
		('943', 'm', 'Mezzo di esecuzione per la musica', 'Mezzo di esecuzione per la musica', 1, 0, '', 9, '', '', '', 0, -6, 'CF', '', '', NULL),
		('943', 'n', 'Numero di parte/sezione dell\'opera', 'Numero di parte/sezione dell\'opera', 1, 0, '', 9, '', '', '', 0, -6, 'CF', '', '', NULL),
		('943', 'o', 'Formulazione d\'arrangiamento per la musica', 'Formulazione d\'arrangiamento per la musica', 0, 0, '', 9, '', '', '', 0, -6, 'CF', '', '', NULL),
		('943', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, '', 9, '', '', '', 0, -6, 'CF', '', '', NULL),
		('943', 'r', 'Tonalità (musica)', 'Tonalità (musica)', 0, 0, '', 9, '', '', '', 0, -6, 'CF', '', '', NULL),
		('943', 's', 'Versione', 'Versione', 0, 0, '', 9, '', '', '', 0, -6, 'CF', '', '', NULL),
		('945', '0', '0', '0', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('945', '1', '1', '1', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('945', '2', '2', '2', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('945', '3', '3', '3', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('945', '4', '4', '4', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('945', '5', '5', '5', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('945', '6', '6', '6', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('945', '7', '7', '7', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('945', '8', '8', '8', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('945', '9', '9', '9', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('945', 'a', 'a', 'a', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('945', 'b', 'b', 'b', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('945', 'c', 'c', 'c', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('945', 'd', 'd', 'd', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('945', 'e', 'e', 'e', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('945', 'f', 'f', 'f', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('945', 'g', 'g', 'g', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('945', 'h', 'h', 'h', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('945', 'i', 'i', 'i', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('945', 'j', 'j', 'j', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('945', 'k', 'k', 'k', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('945', 'l', 'l', 'l', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('945', 'm', 'm', 'm', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('945', 'n', 'n', 'n', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('945', 'o', 'o', 'o', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('945', 'p', 'p', 'p', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('945', 'q', 'q', 'q', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('945', 'r', 'r', 'r', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('945', 's', 's', 's', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('945', 't', 't', 't', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('945', 'u', 'u', 'u', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('945', 'v', 'v', 'v', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('945', 'w', 'w', 'w', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('945', 'x', 'x', 'x', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('945', 'y', 'y', 'y', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('945', 'z', 'z', 'z', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('946', '0', '0', '0', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('946', '1', '1', '1', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('946', '2', '2', '2', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('946', '3', '3', '3', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('946', '4', '4', '4', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('946', '5', '5', '5', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('946', '6', '6', '6', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('946', '7', '7', '7', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('946', '8', '8', '8', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('946', '9', '9', '9', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('946', 'a', 'a', 'a', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('946', 'b', 'b', 'b', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('946', 'c', 'c', 'c', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('946', 'd', 'd', 'd', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('946', 'e', 'e', 'e', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('946', 'f', 'f', 'f', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('946', 'g', 'g', 'g', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('946', 'h', 'h', 'h', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('946', 'i', 'i', 'i', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('946', 'j', 'j', 'j', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('946', 'k', 'k', 'k', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('946', 'l', 'l', 'l', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('946', 'm', 'm', 'm', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('946', 'n', 'n', 'n', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('946', 'o', 'o', 'o', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('946', 'p', 'p', 'p', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('946', 'q', 'q', 'q', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('946', 'r', 'r', 'r', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('946', 's', 's', 's', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('946', 't', 't', 't', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('946', 'u', 'u', 'u', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('946', 'v', 'v', 'v', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('946', 'w', 'w', 'w', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('946', 'x', 'x', 'x', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('946', 'y', 'y', 'y', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('946', 'z', 'z', 'z', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('947', '0', '0', '0', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('947', '1', '1', '1', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('947', '2', '2', '2', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('947', '3', '3', '3', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('947', '4', '4', '4', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('947', '5', '5', '5', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('947', '6', '6', '6', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('947', '7', '7', '7', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('947', '8', '8', '8', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('947', '9', '9', '9', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('947', 'a', 'a', 'a', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('947', 'b', 'b', 'b', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('947', 'c', 'c', 'c', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('947', 'd', 'd', 'd', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('947', 'e', 'e', 'e', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('947', 'f', 'f', 'f', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('947', 'g', 'g', 'g', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('947', 'h', 'h', 'h', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('947', 'i', 'i', 'i', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('947', 'j', 'j', 'j', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('947', 'k', 'k', 'k', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('947', 'l', 'l', 'l', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('947', 'm', 'm', 'm', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('947', 'n', 'n', 'n', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('947', 'o', 'o', 'o', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('947', 'p', 'p', 'p', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('947', 'q', 'q', 'q', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('947', 'r', 'r', 'r', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('947', 's', 's', 's', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('947', 't', 't', 't', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('947', 'u', 'u', 'u', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('947', 'v', 'v', 'v', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('947', 'w', 'w', 'w', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('947', 'x', 'x', 'x', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('947', 'y', 'y', 'y', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('947', 'z', 'z', 'z', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('948', '0', '0 (OCLC)', '0 (OCLC)', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('948', '1', '1 (OCLC)', '1 (OCLC)', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('948', '2', '2 (OCLC)', '2 (OCLC)', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('948', '3', '3 (OCLC)', '3 (OCLC)', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('948', '4', '4 (OCLC)', '4 (OCLC)', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('948', '5', '5 (OCLC)', '5 (OCLC)', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('948', '6', '6 (OCLC)', '6 (OCLC)', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('948', '7', '7 (OCLC)', '7 (OCLC)', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('948', '8', '8 (OCLC)', '8 (OCLC)', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('948', '9', '9 (OCLC)', '9 (OCLC)', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('948', 'a', 'Series part designator, SPT (RLIN)', 'Series part designator, SPT (RLIN)', 0, 0, '', 9, '', '', '', 0, -6, 'CF', '', '', NULL),
		('948', 'b', 'b (OCLC)', 'b (OCLC)', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('948', 'c', 'c (OCLC)', 'c (OCLC)', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('948', 'd', 'd (OCLC)', 'd (OCLC)', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('948', 'e', 'e (OCLC)', 'e (OCLC)', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('948', 'f', 'f (OCLC)', 'f (OCLC)', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('948', 'g', 'g (OCLC)', 'g (OCLC)', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('948', 'h', 'h (OCLC)', 'h (OCLC)', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('948', 'i', 'i (OCLC)', 'i (OCLC)', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('948', 'j', 'j (OCLC)', 'j (OCLC)', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('948', 'k', 'k (OCLC)', 'k (OCLC)', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('948', 'l', 'l (OCLC)', 'l (OCLC)', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('948', 'm', 'm (OCLC)', 'm (OCLC)', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('948', 'n', 'n (OCLC)', 'n (OCLC)', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('948', 'o', 'o (OCLC)', 'o (OCLC)', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('948', 'p', 'p (OCLC)', 'p (OCLC)', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('948', 'q', 'q (OCLC)', 'q (OCLC)', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('948', 'r', 'r (OCLC)', 'r (OCLC)', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('948', 's', 's (OCLC)', 's (OCLC)', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('948', 't', 't (OCLC)', 't (OCLC)', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('948', 'u', 'u (OCLC)', 'u (OCLC)', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('948', 'v', 'v (OCLC)', 'v (OCLC)', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('948', 'w', 'w (OCLC)', 'w (OCLC)', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('948', 'x', 'x (OCLC)', 'x (OCLC)', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('948', 'y', 'y (OCLC)', 'y (OCLC)', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('948', 'z', 'z (OCLC)', 'z (OCLC)', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('949', '0', '0', '0', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('949', '1', '1', '1', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('949', '2', '2', '2', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('949', '3', '3', '3', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('949', '4', '4', '4', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('949', '5', '5', '5', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('949', '6', '6', '6', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('949', '7', '7', '7', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('949', '8', '8', '8', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('949', '9', '9', '9', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('949', 'a', 'a', 'a', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('949', 'b', 'b', 'b', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('949', 'c', 'c', 'c', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('949', 'd', 'd', 'd', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('949', 'e', 'e', 'e', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('949', 'f', 'f', 'f', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('949', 'g', 'g', 'g', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('949', 'h', 'h', 'h', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('949', 'i', 'i', 'i', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('949', 'j', 'j', 'j', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('949', 'k', 'k', 'k', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('949', 'l', 'l', 'l', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('949', 'm', 'm', 'm', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('949', 'n', 'n', 'n', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('949', 'o', 'o', 'o', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('949', 'p', 'p', 'p', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('949', 'q', 'q', 'q', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('949', 'r', 'r', 'r', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('949', 's', 's', 's', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('949', 't', 't', 't', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('949', 'u', 'u', 'u', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('949', 'v', 'v', 'v', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('949', 'w', 'w', 'w', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('949', 'x', 'x', 'x', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('949', 'y', 'y', 'y', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('949', 'z', 'z', 'z', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('950', 'a', 'Classification number, LCAL (RLIN)', 'Classification number, LCAL (RLIN)', 0, 0, '', 9, '', '', '', 0, 5, 'CF', '', '', NULL),
		('950', 'b', 'Book number/undivided call number, LCAL (RLIN)', 'Book number/undivided call number, LCAL (RLIN)', 0, 0, '', 9, '', '', '', 0, 5, 'CF', '', '', NULL),
		('950', 'd', 'Additional free-text stamp above the call number, LCAL (RLIN)', 'Additional free-text stamp above the call number, LCAL (RLIN)', 1, 0, '', 9, '', '', '', 0, 5, 'CF', '', '', NULL),
		('950', 'e', 'Additional free-text or profiled stamp below the call number, LCAL (RLIN)', 'Additional free-text or profiled stamp below the call number, LCAL (RLIN)', 1, 0, '', 9, '', '', '', 0, 5, 'CF', '', '', NULL),
		('950', 'f', 'Location-level footnote, LFNT (RLIN)', 'Location-level footnote, LFNT (RLIN)', 0, 0, '', 9, '', '', '', 0, 5, 'CF', '', '', NULL),
		('950', 'h', 'Location-level output transaction history, LHST (RLIN)', 'Location-level output transaction history, LHST (RLIN)', 0, 0, '', 9, '', '', '', 0, 5, 'CF', '', '', NULL),
		('950', 'i', 'Location-level extra card request, LEXT (RLIN)', 'Location-level extra card request, LEXT (RLIN)', 0, 0, '', 9, '', '', '', 0, 5, 'CF', '', '', NULL),
		('950', 'l', 'Permanent shelving location, LOC (RLIN)', 'Permanent shelving location, LOC (RLIN)', 0, 0, '', 9, '', '', '', 0, 5, 'CF', '', '', NULL),
		('950', 'n', 'Location-level additional note, LANT (RLIN)', 'Location-level additional note, LANT (RLIN)', 1, 0, '', 9, '', '', '', 0, 5, 'CF', '', '', NULL),
		('950', 'p', 'Location-level pathfinder, LPTH (RLIN)', 'Location-level pathfinder, LPTH (RLIN)', 0, 0, '', 9, '', '', '', 0, 5, 'CF', '', '', NULL),
		('950', 't', 'Location-level field suppression, LFSP (RLIN)', 'Location-level field suppression, LFSP (RLIN)', 0, 0, '', 9, '', '', '', 0, 5, 'CF', '', '', NULL),
		('950', 'u', 'Non-printing notes, LANT (RLIN)', 'Non-printing notes, LANT (RLIN)', 1, 0, '', 9, '', '', '', 0, 5, 'CF', '', '', NULL),
		('950', 'v', 'Volumes, LVOL (RLIN)', 'Volumes, LVOL (RLIN)', 0, 0, '', 9, '', '', '', 0, 5, 'CF', '', '', NULL),
		('950', 'w', 'Subscription status code, LANT (RLIN)', 'Subscription status code, LANT (RLIN)', 0, 0, '', 9, '', '', '', 0, 5, 'CF', '', '', NULL),
		('950', 'y', 'Date, LVOL (RLIN)', 'Date, LVOL (RLIN)', 0, 0, '', 9, '', '', '', 0, 5, 'CF', '', '', NULL),
		('950', 'z', 'Retention, LVOL (RLIN)', 'Retention, LVOL (RLIN)', 0, 0, '', 9, '', '', '', 0, 5, 'CF', '', '', NULL),
		('951', '2', 'Fonte dell\'intestazione o del termine', 'Fonte dell\'intestazione o del termine', 0, 0, '', 6, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('951', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, '', 6, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('951', '6', 'Collegamento', 'Collegamento', 0, 0, '', 6, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('951', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 6, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('951', 'a', 'Nome geografico', 'Nome geografico', 0, 0, '', 6, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('951', 'b', 'Geographic name following place entry element [OBSOLETE]', 'Geographic name following place entry element [OBSOLETE]', 1, 0, '', 6, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('951', 'v', 'Suddivisione geografica', 'Suddivisione geografica', 1, 0, '', 6, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('951', 'x', 'Suddivisione generale', 'Suddivisione generale', 1, 0, '', 6, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('951', 'y', 'Suddivisione cronologica', 'Suddivisione cronologica', 1, 0, '', 6, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('951', 'z', 'Suddivisione geografica', 'Suddivisione geografica', 1, 0, '', 6, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('955', 'a', 'Classification number, CCAL (RLIN)', 'Classification number, CCAL (RLIN)', 0, 0, '', 9, '', '', '', 0, 5, 'CF', '', '', NULL),
		('955', 'b', 'Book number/undivided call number, CCAL (RLIN)', 'Book number/undivided call number, CCAL (RLIN)', 0, 0, '', 9, '', '', '', 0, 5, 'CF', '', '', NULL),
		('955', 'c', 'Copy information and material description, CCAL + MDES (RLIN)', 'Copy information and material description, CCAL + MDES (RLIN)', 0, 0, '', 9, '', '', '', 0, 5, 'CF', '', '', NULL),
		('955', 'h', 'Copy status--for earlier dates, CST (RLIN)', 'Copy status--for earlier dates, CST (RLIN)', 0, 0, '', 9, '', '', '', 0, 5, 'CF', '', '', NULL),
		('955', 'i', 'Copy status, CST (RLIN)', 'Copy status, CST (RLIN)', 0, 0, '', 9, '', '', '', 0, 5, 'CF', '', '', NULL),
		('955', 'l', 'Permanent shelving location, LOC (RLIN)', 'Permanent shelving location, LOC (RLIN)', 0, 0, '', 9, '', '', '', 0, 5, 'CF', '', '', NULL),
		('955', 'q', 'Aquisitions control number, HNT (RLIN)', 'Aquisitions control number, HNT (RLIN)', 1, 0, '', 9, '', '', '', 0, 5, 'CF', '', '', NULL),
		('955', 'r', 'Circulation control number, HNT (RLIN)', 'Circulation control number, HNT (RLIN)', 0, 0, '', 9, '', '', '', 0, 5, 'CF', '', '', NULL),
		('955', 's', 'Shelflist note, HNT (RLIN)', 'Shelflist note, HNT (RLIN)', 1, 0, '', 9, '', '', '', 1, 5, 'CF', '', '', NULL),
		('955', 'u', 'Non-printing notes, HNT (RLIN)', 'Non-printing notes, HNT (RLIN)', 1, 0, '', 9, '', '', '', 0, 5, 'CF', '', '', NULL),
		('956', '2', 'Metodo di accesso', 'Metodo di accesso', 0, 0, '', 9, '', '', '', 0, -6, 'CF', '', '', NULL),
		('956', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, '', 9, '', '', '', 0, -6, 'CF', '', '', NULL),
		('956', '6', 'Collegamento', 'Collegamento', 0, 0, '', 9, '', '', '', 0, -6, 'CF', '', '', NULL),
		('956', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 9, '', '', '', 0, -6, 'CF', '', '', NULL),
		('956', 'a', 'Nome dell\'host', 'Nome dell\'host', 1, 0, '', 9, '', '', '', 0, -6, 'CF', '', '', NULL),
		('956', 'b', 'Numero di accesso', 'Numero di accesso', 1, 0, '', 9, '', '', '', 0, -6, 'CF', '', '', NULL),
		('956', 'c', 'Informazione sulla compressione', 'Informazione sulla compressione', 1, 0, '', 9, '', '', '', 0, -6, 'CF', '', '', NULL),
		('956', 'd', 'Percorso della risorsa', 'Percorso della risorsa', 1, 0, '', 9, '', '', '', 0, -6, 'CF', '', '', NULL),
		('956', 'f', 'Nome elettronico', 'Nome elettronico', 1, 0, '', 9, '', '', '', 0, -6, 'CF', '', '', NULL),
		('956', 'h', 'Processore della richiesta (Username)', 'Processore della richiesta (Username)', 0, 0, '', 9, '', '', '', 0, -6, 'CF', '', '', NULL),
		('956', 'i', 'Istruzioni', 'Istruzioni', 1, 0, '', 9, '', '', '', 0, -6, 'CF', '', '', NULL),
		('956', 'j', 'Bit per secondo', 'Bit per secondo', 0, 0, '', 9, '', '', '', 0, -6, 'CF', '', '', NULL),
		('956', 'k', 'Password', 'Password', 0, 0, '', 9, '', '', '', 0, -6, 'CF', '', '', NULL),
		('956', 'l', 'Logon', 'Logon', 0, 0, '', 9, '', '', '', 0, -6, 'CF', '', '', NULL),
		('956', 'm', 'Contatto per assistenza all\'accesso', 'Contatto per assistenza all\'accesso', 1, 0, '', 9, '', '', '', 0, -6, 'CF', '', '', NULL),
		('956', 'n', 'Name of location of host in subfield', 'Name of location of host in subfield', 0, 0, '', 9, '', '', '', 0, -6, 'CF', '', '', NULL),
		('956', 'o', 'Sistema operativo', 'Sistema operativo', 0, 0, '', 9, '', '', '', 0, -6, 'CF', '', '', NULL),
		('956', 'p', 'Porta', 'Porta', 0, 0, '', 9, '', '', '', 0, -6, 'CF', '', '', NULL),
		('956', 'q', 'Tipo di formato elettronico', 'Tipo di formato elettronico', 0, 0, '', 9, '', '', '', 0, -6, 'CF', '', '', NULL),
		('956', 'r', 'Parametri', 'Parametri', 0, 0, '', 9, '', '', '', 0, -6, 'CF', '', '', NULL),
		('956', 's', 'Dimensione file', 'Dimensione file', 1, 0, '', 9, '', '', '', 0, -6, 'CF', '', '', NULL),
		('956', 't', 'Emulazione del terminale', 'Emulazione del terminale', 1, 0, '', 9, '', '', '', 0, -6, 'CF', '', '', NULL),
		('956', 'u', 'URI (Uniform Resource Identifier)', 'URI (Uniform Resource Identifier)', 1, 0, '', 9, '', '', '', 1, -6, 'CF', '', '', NULL),
		('956', 'v', 'Orario di accesso', 'Orario di accesso', 1, 0, '', 9, '', '', '', 0, -6, 'CF', '', '', NULL),
		('956', 'w', 'Numero di controllo della registrazione', 'Numero di controllo della registrazione', 1, 0, '', 9, '', '', '', 0, -6, 'CF', '', '', NULL),
		('956', 'x', 'Nota non pubblic', 'Nota non pubblic', 1, 0, '', 9, '', '', '', 0, 6, 'CF', '', '', NULL),
		('956', 'y', 'Testo di collegamento', 'Testo di collegamento', 1, 0, '', 9, '', '', '', 0, -6, 'CF', '', '', NULL),
		('956', 'z', 'Nota pubblica', 'Nota pubblica', 1, 0, '', 9, '', '', '', 0, -6, 'CF', '', '', NULL),
		('960', '3', 'Materials specified, MATL', 'Materials specified, MATL', 0, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('960', 'a', 'Physical location, PLOC (RLIN)', 'Physical location, PLOC (RLIN)', 0, 0, '', 9, '', '', '', 0, -6, 'CF', '', '', NULL),
		('967', 'a', 'GNR (RLIN)', 'GNR (RLIN)', 0, 0, '', 9, '', '', '', 0, -6, 'CF', '', '', NULL),
		('967', 'c', 'PSI (RLIN)', 'PSI (RLIN)', 0, 0, '', 9, '', '', '', 0, -6, 'CF', '', '', NULL),
		('980', '4', 'Codice di ruolo', 'Codice di ruolo', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('980', '6', 'Collegamento', 'Collegamento', 0, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('980', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('980', 'a', 'Nome di persona', 'Nome di persona', 0, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('980', 'b', 'Numerazione', 'Numerazione', 0, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('980', 'c', 'Titoli e altre parole associate al nome', 'Titoli e altre parole associate al nome', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('980', 'd', 'Date associate al nome', 'Date associate al nome', 0, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('980', 'e', 'Termine di ruolo', 'Termine di ruolo', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('980', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('980', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('980', 'h', 'Supporto', 'Supporto', 0, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('980', 'j', 'Qualificazione d\'attribuzione', 'Qualificazione d\'attribuzione', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('980', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('980', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('980', 'm', 'Mezzo di esecuzione per la musica', 'Mezzo di esecuzione per la musica', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('980', 'n', 'Numero di parte/sezione dell\'opera', 'Numero di parte/sezione dell\'opera', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('980', 'o', 'Formulazione d\'arrangiamento per la musica', 'Formulazione d\'arrangiamento per la musica', 0, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('980', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('980', 'q', 'Forma completa del nome', 'Forma completa del nome', 0, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('980', 'r', 'Tonalità (musica)', 'Tonalità (musica)', 0, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('980', 's', 'Versione', 'Versione', 0, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('980', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('980', 'u', 'Affiliazione', 'Affiliazione', 0, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('980', 'v', 'Numero del volume/designazione di sequenza', 'Numero del volume/designazione di sequenza', 0, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('981', '4', 'Codice di ruolo', 'Codice di ruolo', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('981', '6', 'Collegamento', 'Collegamento', 0, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('981', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('981', 'a', 'Nome dell\'ente o nome della giurisdizione come accesso', 'Nome dell\'ente o nome della giurisdizione come accesso', 0, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('981', 'b', 'Unità subordinata', 'Unità subordinata', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('981', 'c', 'Luogo del convegno', 'Luogo del convegno', 0, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('981', 'd', 'Data del convegno o di firma del trattato', 'Data del convegno o di firma del trattato', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('981', 'e', 'Termine di ruolo', 'Termine di ruolo', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('981', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('981', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('981', 'h', 'Supporto', 'Supporto', 0, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('981', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('981', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('981', 'm', 'Mezzo di esecuzione per la musica', 'Mezzo di esecuzione per la musica', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('981', 'n', 'Numero di parte/sezione/convegno', 'Numero di parte/sezione/convegno', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('981', 'o', 'Formulazione d\'arrangiamento per la musica', 'Formulazione d\'arrangiamento per la musica', 0, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('981', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('981', 'r', 'Tonalità (musica)', 'Tonalità (musica)', 0, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('981', 's', 'Versione', 'Versione', 0, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('981', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('981', 'u', 'Affiliazione', 'Affiliazione', 0, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('981', 'v', 'Numero del volume/designazione di sequenza', 'Numero del volume/designazione di sequenza', 0, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('982', '4', 'Codice di ruolo', 'Codice di ruolo', 1, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('982', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('982', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('982', 'a', 'Nome del convegno o nome della giurisdizione come accesso', 'Nome del convegno o nome della giurisdizione come accesso', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('982', 'b', 'Number (BK CF MP MU SE VM MX) [OBSOLETE]', 'Number (BK CF MP MU SE VM MX) [OBSOLETE]', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('982', 'c', 'Luogo del convegno', 'Luogo del convegno', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('982', 'd', 'Data del convegno', 'Data del convegno', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('982', 'e', 'Unità subordinata', 'Unità subordinata', 1, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('982', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('982', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('982', 'h', 'Supporto', 'Supporto', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('982', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('982', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('982', 'n', 'Numero di parte/sezione/convegno', 'Numero di parte/sezione/convegno', 1, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('982', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('982', 'q', 'Nome del convegno dopo accesso di nome della giurisdizione', 'Nome del convegno dopo accesso di nome della giurisdizione', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('982', 's', 'Versione', 'Versione', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('982', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('982', 'u', 'Affiliazione', 'Affiliazione', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('982', 'v', 'Numero del volume/designazione di sequenza', 'Numero del volume/designazione di sequenza', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'CF', '', '', NULL),
		('983', '6', 'Collegamento', 'Collegamento', 0, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('983', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('983', 'a', 'Titolo uniforme', 'Titolo uniforme', 0, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('983', 'd', 'Data di firma del trattato', 'Data di firma del trattato', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('983', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('983', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('983', 'h', 'Supporto', 'Supporto', 0, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('983', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('983', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('983', 'm', 'Mezzo di esecuzione per la musica', 'Mezzo di esecuzione per la musica', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('983', 'n', 'Numero di parte/sezione dell\'opera', 'Numero di parte/sezione dell\'opera', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('983', 'o', 'Formulazione d\'arrangiamento per la musica', 'Formulazione d\'arrangiamento per la musica', 0, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('983', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('983', 'r', 'Tonalità (musica)', 'Tonalità (musica)', 0, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('983', 's', 'Versione', 'Versione', 0, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('983', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('983', 'v', 'Numero del volume/designazione di sequenza', 'Numero del volume/designazione di sequenza', 0, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('984', 'a', 'Numero idenficativo biblioteca proprietaria', 'Numero idenficativo biblioteca proprietaria', 0, 0, '', 9, '', '', '', NULL, 5, 'CF', '', '', NULL),
		('984', 'b', 'Codici descrizione fisica', 'Codici descrizione fisica', 1, 0, '', 9, '', '', '', 0, 5, 'CF', '', '', NULL),
		('984', 'c', 'Numero di chiamata', 'Numero di chiamata', 0, 0, '', 9, '', '', '', 0, 5, 'CF', '', '', NULL),
		('984', 'd', 'Volume o altra numerazione', 'Volume o altra numerazione', 0, 0, '', 9, '', '', '', 0, 5, 'CF', '', '', NULL),
		('984', 'e', 'Date', 'Date', 0, 0, '', 9, '', '', '', 0, 5, 'CF', '', '', NULL),
		('984', 'f', 'Completeness note', 'Completeness note', 0, 0, '', 9, '', '', '', 0, 5, 'CF', '', '', NULL),
		('984', 'g', 'Referral note', 'Referral note', 0, 0, '', 9, '', '', '', 0, 5, 'CF', '', '', NULL),
		('984', 'h', 'Retention note', 'Retention note', 0, 0, '', 9, '', '', '', 0, 5, 'CF', '', '', NULL),
		('987', 'a', 'Romanization/conversion identifier', 'Romanization/conversion identifier', 0, 0, '', 9, '', '', '', NULL, -6, 'CF', '', '', NULL),
		('987', 'b', 'Agenzia che ha convertito, creato o rivisto', 'Agenzia che ha convertito, creato o rivisto', 1, 0, '', 9, '', '', '', 0, -6, 'CF', '', '', NULL),
		('987', 'c', 'Data della conversione o della revisione', 'Data della conversione o della revisione', 0, 0, '', 9, '', '', '', 0, -6, 'CF', '', '', NULL),
		('987', 'd', 'Codice dello status', 'Codice dello status', 0, 0, '', 9, '', '', '', 0, -6, 'CF', '', '', NULL),
		('987', 'e', 'Versione del programma usato per la conversione', 'Versione del programma usato per la conversione', 0, 0, '', 9, '', '', '', 0, -6, 'CF', '', '', NULL),
		('987', 'f', 'Nota', 'Nota', 0, 0, '', 9, '', '', '', 0, -6, 'CF', '', '', NULL),
		('990', 'a', 'Link information for 9XX fields', 'Link information for 9XX fields', 1, 0, '', 9, '', '', '', 0, -6, 'CF', '', '', NULL),
		('990', 'b', 'Link information for field corresponding to 9XX field', 'Link information for field corresponding to 9XX field', 1, 0, '', 9, '', '', '', 0, -6, 'CF', '', '', NULL),
		('995', '0', 'Ritiro della copia', 'Ritiro della copia', 0, 0, '', 9, '', '', '', 0, 5, 'CF', '', '', NULL),
		('995', '1', 'Copia smarrita', 'Copia smarrita', 0, 0, '', 9, '', '', '', 0, 5, 'CF', '', '', NULL),
		('995', '2', 'Codice di sistema (classificazione specifica o altro schema e edizione)', 'Codice di sistema (classificazione specifica o altro schema e edizione)', 0, 0, '', 9, '', '', '', NULL, 5, 'CF', '', '', NULL),
		('995', '3', 'Restrizioni d\'uso', 'Restrizioni d\'uso', 0, 0, '', 9, '', '', '', 0, 5, 'CF', '', '', NULL),
		('995', '4', 'Classificazione normalizzata Koha per l\'ordinamento', 'Classificazione normalizzata Koha per l\'ordinamento', 0, 0, '', 9, '', '', '', 0, 5, 'CF', '', '', NULL),
		('995', '5', 'Qualificatore dell\'ubicazione', 'Qualificatore dell\'ubicazione', 1, 0, '', 9, '', '', '', NULL, 5, 'CF', '', '', NULL),
		('995', '6', 'Numero della copia', 'Numero della copia', 0, 0, '', 9, '', '', '', NULL, 5, 'CF', '', '', NULL),
		('995', '7', 'Uniform Resource Identifier', 'Uniform Resource Identifier', 1, 0, '', 9, '', '', '', 1, 5, 'CF', '', '', NULL),
		('995', '8', 'Collezione Koha', 'Collezione Koha', 0, 0, '', 9, '', '', '', 0, 5, 'CF', '', '', NULL),
		('995', '9', 'Numero interno di copia (Koha itemnumber, autogenerato)', 'Numero interno di copia (Koha itemnumber, autogenerato)', 0, 0, '', 9, '', '', '', 0, 5, 'CF', '', '', NULL),
		('995', 'a', 'Bib. proprietaria della copia (testo libero)', 'Bib. proprietaria della copia (testo libero)', 0, 0, '', 9, '', '', '', 0, 5, 'CF', '', '', NULL),
		('995', 'b', 'Bib. proprietaria della copia', 'Bib. proprietaria della copia', 0, 0, '', 9, '', '', '', 0, 5, 'CF', '', '', NULL),
		('995', 'c', 'Bib. che possiede o presta (holding branch)', 'Bib. che possiede o presta (holding branch)', 0, 0, '', 9, '', '', '', 0, 5, 'CF', '', '', NULL),
		('995', 'd', 'Bib. che possiede o presta (codice)', 'Bib. che possiede o presta (codice)', 0, 0, '', 9, '', '', '', 0, 5, 'CF', '', '', NULL),
		('995', 'e', 'Dettaglio del genere', 'Dettaglio del genere', 0, 0, '', 9, '', '', '', 0, 5, 'CF', '', '', NULL),
		('995', 'f', 'Codice a barre', 'Codice a barre', 0, 0, '', 9, '', '', '', 0, 5, 'CF', '', '', NULL),
		('995', 'g', 'Prefisso del codice a barre', 'Prefisso del codice a barre', 0, 0, '', 9, '', '', '', 0, 5, 'CF', '', '', NULL),
		('995', 'h', 'Incremento del codice a barre', 'Incremento del codice a barre', 0, 0, '', 9, '', '', '', 0, 5, 'CF', '', '', NULL),
		('995', 'i', 'Suffisso del codice a barre', 'Suffisso del codice a barre', 0, 0, '', 9, '', '', '', 0, 5, 'CF', '', '', NULL),
		('995', 'j', 'Sezione', 'Sezione', 0, 0, '', 9, '', '', '', 0, 5, 'CF', '', '', NULL),
		('995', 'k', 'Collocazione', 'Collocazione', 0, 0, '', 9, '', '', '', 0, 5, 'CF', '', '', NULL),
		('995', 'l', 'Numerazione (volume o altre parti)', 'Numerazione (volume o altre parti)', 0, 0, '', 9, '', '', '', 0, 5, 'CF', '', '', NULL),
		('995', 'm', 'Data del prestito o deposito', 'Data del prestito o deposito', 0, 0, '', 9, '', '', '', 0, 5, 'CF', '', '', NULL),
		('995', 'n', 'Data scadenza del prestito', 'Data scadenza del prestito', 0, 0, '', 9, '', '', '', 0, 5, 'CF', '', '', NULL),
		('995', 'o', 'Tipo di circolazione (non a prestito)', 'Tipo di circolazione (non a prestito)', 1, 0, '', 9, '', '', '', 0, 5, 'CF', '', '', NULL),
		('995', 'p', 'Periodico', 'Periodico', 0, 0, '', 9, '', '', '', 0, 5, 'CF', '', '', NULL),
		('995', 'q', 'Pubblico destinato (età)', 'Pubblico destinato (età)', 0, 0, '', 9, '', '', '', 0, 5, 'CF', '', '', NULL),
		('995', 'r', 'Tipologia della copia e del materiale', 'Tipologia della copia e del materiale', 0, 0, '', 9, '', '', '', 0, 5, 'CF', '', '', NULL),
		('995', 's', 'Modalità d\'acquisto', 'Modalità d\'acquisto', 0, 0, '', 9, '', '', '', 0, 5, 'CF', '', '', NULL),
		('995', 't', 'Genere', 'Genere', 0, 0, '', 9, '', '', '', 0, 5, 'CF', '', '', NULL),
		('995', 'u', 'Nota della copia', 'Nota della copia', 0, 0, '', 9, '', '', '', 0, 5, 'CF', '', '', NULL),
		('995', 'v', 'Numero periodico', 'Numero periodico', 0, 0, '', 9, '', '', '', 0, 5, 'CF', '', '', NULL),
		('995', 'w', 'Codice dell\'ente destinatario', 'Codice dell\'ente destinatario', 0, 0, '', 9, '', '', '', 0, 5, 'CF', '', '', NULL),
		('995', 'x', 'Ente destinatario, testo libero', 'Ente destinatario, testo libero', 0, 0, '', 9, '', '', '', 0, 5, 'CF', '', '', NULL),
		('995', 'y', 'Codice dell\'ente destinatario superiore', 'Codice dell\'ente destinatario superiore', 0, 0, '', 9, '', '', '', 0, 5, 'CF', '', '', NULL),
		('995', 'z', 'Ente destinatario superiore, testo libero', 'Ente destinatario superiore, testo libero', 0, 0, '', 9, '', '', '', 0, 5, 'CF', '', '', NULL),
		('998', 'b', 'Operator\'s initials, OID (RLIN)', 'Operator\'s initials, OID (RLIN)', 0, 0, '', 9, '', '', '', 0, -6, 'CF', '', '', NULL),
		('998', 'c', 'Cataloger\'s initials, CIN (RLIN)', 'Cataloger\'s initials, CIN (RLIN)', 0, 0, '', 9, '', '', '', 0, -6, 'CF', '', '', NULL),
		('998', 'd', 'First date, FD (RLIN)', 'First date, FD (RLIN)', 0, 0, '', 9, '', '', '', 0, -6, 'CF', '', '', NULL),
		('998', 'i', 'RINS (RLIN)', 'RINS (RLIN)', 0, 0, '', 9, '', '', '', 0, 5, 'CF', '', '', NULL),
		('998', 'l', 'LI (RLIN)', 'LI (RLIN)', 0, 0, '', 9, '', '', '', 0, 5, 'CF', '', '', NULL),
		('998', 'n', 'NUC (RLIN)', 'NUC (RLIN)', 0, 0, '', 9, '', '', '', 0, 5, 'CF', '', '', NULL),
		('998', 'p', 'PROC (RLIN)', 'PROC (RLIN)', 0, 0, '', 9, '', '', '', 0, 5, 'CF', '', '', NULL),
		('998', 's', 'CC (RLIN)', 'CC (RLIN)', 0, 0, '', 9, '', '', '', 0, 5, 'CF', '', '', NULL),
		('998', 't', 'RTYP (RLIN)', 'RTYP (RLIN)', 0, 0, '', 9, '', '', '', 0, 5, 'CF', '', '', NULL),
		('998', 'w', 'PLINK (RLIN)', 'PLINK (RLIN)', 0, 0, '', 9, '', '', '', 0, 5, 'CF', '', '', NULL);


-- *******************************************************



-- ************************************************************
-- SIMPLE SOUND RECORDINGS KOHA RECORD AND HOLDINGS MANAGEMENT
-- FIELDS/SUBFIELDS.
-- ************************************************************


-- Current Record ID Field/Subfields


INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES
		('999', 'Sys Number locale (Koha)', 'Sys Number locale (Koha)', 1, 0, '', 'SR');

INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES
		('999', 'a', 'Item type [OBSOLETE]', 'Item type [OBSOLETE]', 0, 0, NULL, -1, NULL, NULL, '', NULL, -5, 'SR', '', '', NULL),
		('999', 'b', 'Koha Dewey Subclass [OBSOLETE]', 'Koha Dewey Subclass [OBSOLETE]', 0, 0, NULL, 0, NULL, NULL, '', NULL, -5, 'SR', '', '', NULL),
		('999', 'c', 'Koha biblionumber', 'Koha biblionumber', 0, 0, 'biblio.biblionumber', -1, NULL, NULL, '', NULL, -5, 'SR', '', '', NULL),
		('999', 'd', 'Koha biblioitemnumber', 'Koha biblioitemnumber', 0, 0, 'biblioitems.biblioitemnumber', -1, NULL, NULL, '', NULL, -5, 'SR', '', '', NULL);


-- ******************************************************


-- Plugins which need to be written for primary biblioitems Field/Subfields.


--      ('942', '2', 'Source of classification or shelving scheme', 'Source of classification or shelving scheme', 0, 0, 'biblioitems.cn_source', 9, '', '', 'marc21_classcodes.pl', NULL, 0, 'SR', '', '', NULL),
--      ('942', 'h', 'Classification part', 'Classification part', 0, 0, 'biblioitems.cn_class', 9, '', '', 'marc21_callnumber.pl', NULL, 0, 'SR', '', '', NULL),



-- Current primary biblioitems Field/Subfields


INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES
		('942', 'Dati aggiuntivi (Koha)', 'Dati aggiuntivi (Koha)', 0, 0, '', 'SR');

INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES
		('942', '0', 'Numero prestiti (tutte le copie)', 'Numero prestiti (tutte le copie)', 0, 0, 'biblioitems.totalissues', 9, '', '', '', NULL, -5, 'SR', '', '', NULL),
		('942', '2', 'Fonte della classificazione o dello schema di collocazione (segnatura)', 'Fonte della classificazione o dello schema di collocazione (segnatura)', 0, 0, 'biblioitems.cn_source', 9, 'cn_source', '', '', NULL, 0, 'SR', '', '', NULL),
		('942', '6', 'Class. Normalizzata per ordinamento', 'Class. Normalizzata per ordinamento', 0, 0, 'biblioitems.cn_sort', -1, '', '', '', 0, 7, 'SR', '', '', NULL),
		('942', 'a', 'Institution code [OBSOLETE]', 'Institution code [OBSOLETE]', 0, 0, '', 9, '', '', '', NULL, -5, 'SR', '', '', NULL),
		('942', 'c', 'Tipo copia default (Koha)', 'Tipo copia default (Koha)', 0, 1, 'biblioitems.itemtype', 9, 'itemtypes', '', '', NULL, 0, 'SR', '', '', NULL),
		('942', 'e', 'Edizione', 'Edizione', 0, 0, NULL, 9, '', '', '', NULL, 0, 'SR', '', '', NULL),
		('942', 'h', 'Parte della classificazione', 'Parte della classificazione', 0, 0, 'biblioitems.cn_class', 9, '', '', '', NULL, 0, 'SR', '', '', NULL),
		('942', 'i', 'Parte dell\'item', 'Parte dell\'item', 1, 0, 'biblioitems.cn_item', 9, '', '', '', NULL, 9, 'SR', '', '', NULL),
		('942', 'k', 'Prefisso del numero di chiamata (collocazione)', 'Prefisso del numero di chiamata (collocazione)', 0, 0, 'biblioitems.cn_prefix', 9, '', '', '', NULL, 0, 'SR', '', '', NULL),
		('942', 'm', 'Suffisso del numero di chiamata (collocazione)', 'Suffisso del numero di chiamata (collocazione)', 0, 0, 'biblioitems.cn_suffix', 9, '', '', '', 0, 0, 'SR', '', '', NULL),
		('942', 'n', 'Nasconto in Opac', 'Nasconto in Opac', 0, 0, NULL, 9, '', '', '', 0, 0, 'SR', '', '', NULL),
		('942', 's', 'Flag seriale', 'Flag seriale', 0, 0, 'biblio.serial', 9, '', '', '', 0, -5, 'SR', '', '', NULL);


-- ******************************************************


-- Plugins which need to be written for items Field/Subfields


--      ('952', '2', 'Source of classification or shelving scheme', 'Source of classification or shelving scheme', 0, 0, 'items.cn_source', 10, '', '', 'marc21_classcodes.pl', NULL, 0, 'SR', '', '', NULL),
--      ('952', 'o', 'Full call number', 'Full call number', 0, 0, 'items.itemcallnumber', 10, '', 'marc21_itemcallnumber.pl', NULL, 0, 0, 'SR', '', '', NULL),



-- Current items Field/Subfields


INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES
		('952', 'Dati di copia (Koha)', 'Dati di copia (Koha)', 1, 0, '', 'SR');

INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES
		('952', '0', 'Ritirato (status)', 'Ritirato (status)', 0, 0, 'items.withdrawn', 10, 'WITHDRAWN', '', '', 0, 0, 'SR', '', '', NULL),
		('952', '1', 'Perso (status)', 'Perso (status)', 0, 0, 'items.itemlost', 10, 'LOST', '', '', 0, 0, 'SR', '', '', NULL),
		('952', '2', 'Fonte della classificazione o dello schema di collocazione (segnatura)', 'Fonte della classificazione o dello schema di collocazione (segnatura)', 0, 0, 'items.cn_source', 10, 'cn_source', '', '', NULL, 0, 'SR', '', '', NULL),
		('952', '3', 'Materiali specifici (rilegati o simili)', 'Materiali specifici (rilegati o simili)', 0, 0, 'items.materials', 10, '', '', '', NULL, -1, 'SR', '', '', NULL),
		('952', '4', 'Danneggiato (status)', 'Danneggiato (status)', 0, 0, 'items.damaged', 10, 'DAMAGED', '', '', NULL, 0, 'SR', '', '', NULL),
		('952', '5', 'Use restrictions', 'Use restrictions', 0, 0, 'items.restricted', 10, 'RESTRICTED', '', '', 0, 0, 'SR', '', '', NULL),
		('952', '6', 'Class. Normalizzata per ordinamento', 'Class. Normalizzata per ordinamento', 0, 0, 'items.cn_sort', -1, '', '', '', 0, 7, 'SR', '', '', NULL),
		('952', '7', 'Non per il presito', 'Non per il presito', 0, 0, 'items.notforloan', 10, 'NOT_LOAN', '', '', 0, 0, 'SR', '', '', NULL),
		('952', '8', 'Codice collezione', 'Codice collezione', 0, 0, 'items.ccode', 10, 'CCODE', '', '', 0, 0, 'SR', '', '', NULL),
		('952', '9', 'Numero di copia (ID autogenerato)', 'Numero di copia (ID autogenerato)', 0, 0, 'items.itemnumber', -1, '', '', '', 0, 7, 'SR', '', '', NULL),
		('952', 'a', 'Biblioteca proprietaria', 'Biblioteca proprietaria', 0, 0, 'items.homebranch', 10, 'branches', '', '', 0, 0, 'SR', '', '', NULL),
		('952', 'b', 'Biblioteca in cui si trova', 'Biblioteca in cui si trova', 0, 0, 'items.holdingbranch', 10, 'branches', '', '', 0, 0, 'SR', '', '', NULL),
		('952', 'c', 'Localizzazione a scaffale', 'Localizzazione a scaffale', 0, 0, 'items.location', 10, 'LOC', '', '', 0, 0, 'SR', '', '', NULL),
		('952', 'd', 'Data d\'acquisizione', 'Data d\'acquisizione', 0, 0, 'items.dateaccessioned', 10, '', '', 'dateaccessioned.pl', 0, 0, 'SR', '', '', NULL),
		('952', 'e', 'Fonte d\'acquisto', 'Fonte d\'acquisto', 0, 0, 'items.booksellerid', 10, '', '', '', 0, 0, 'SR', '', '', NULL),
		('952', 'f', 'Qualificatore di localizzazione codificato', 'Qualificatore di localizzazione codificato', 0, 0, 'items.coded_location_qualifier', 10, '', '', '', NULL, 0, 'SR', '', '', NULL),
		('952', 'g', 'Costo, prezzo di acquisto', 'Costo, prezzo di acquisto', 0, 0, 'items.price', 10, '', '', '', 0, 0, 'SR', '', '', NULL),
		('952', 'h', 'Enumerazione seriale / cronologia', 'Enumerazione seriale / cronologia', 0, 0, 'items.enumchron', 10, '', '', '', 0, 0, 'SR', '', '', NULL),
		('952', 'i', 'Numero di inventario', 'Numero di inventario', 0, 0, 'items.stocknumber', 10, '', '', '', 0, 0, 'SR', '', '', NULL),
		('952', 'j', 'Collocazione (segnatura)', 'Collocazione (segnatura)', 0, 0, 'items.stack', 10, 'STACK', '', '', NULL, -1, 'SR', '', '', NULL),
		('952', 'l', 'Totale prestiti', 'Totale prestiti', 0, 0, 'items.issues', 10, '', '', '', NULL, -5, 'SR', '', '', NULL),
		('952', 'm', 'Totale rinnovi', 'Totale rinnovi', 0, 0, 'items.renewals', 10, '', '', '', NULL, -5, 'SR', '', '', NULL),
		('952', 'n', 'Totale prenotazioni', 'Totale prenotazioni', 0, 0, 'items.reserves', 10, '', '', '', NULL, -5, 'SR', '', '', NULL),
		('952', 'o', 'Collocazione', 'Collocazione', 0, 0, 'items.itemcallnumber', 10, '', '', NULL, 0, 0, 'SR', '', '', NULL),
		('952', 'p', 'Codice a barre', 'Codice a barre', 0, 0, 'items.barcode', 10, '', '', 'barcode.pl', 0, 0, 'SR', '', '', NULL),
		('952', 'q', 'Prestito', 'Prestito', 0, 0, 'items.onloan', 10, '', '', '', NULL, -5, 'SR', '', '', NULL),
		('952', 'r', 'Data ultima operazione', 'Data ultima operazione', 0, 0, 'items.datelastseen', 10, '', '', '', NULL, -5, 'SR', '', '', NULL),
		('952', 's', 'Data ultimo prestito', 'Data ultimo prestito', 0, 0, 'items.datelastborrowed', 10, '', '', '', NULL, -5, 'SR', '', '', NULL),
		('952', 't', 'Numero di copia', 'Numero di copia', 0, 0, 'items.copynumber', 10, '', '', '', NULL, 0, 'SR', '', '', NULL),
		('952', 'u', 'URI (Uniform Resource Identifier)', 'URI (Uniform Resource Identifier)', 0, 0, 'items.uri', 10, '', '', '', 1, 0, 'SR', '', '', NULL),
		('952', 'v', 'Costo, costo di riacquisto', 'Costo, costo di riacquisto', 0, 0, 'items.replacementprice', 10, '', '', '', 0, 0, 'SR', '', '', NULL),
		('952', 'w', 'Prezzo in vigore dal', 'Prezzo in vigore dal', 0, 0, 'items.replacementpricedate', 10, '', '', '', 0, 0, 'SR', '', '', NULL),
		('952', 'x', 'Nota non pubblica', 'Nota non pubblica', 0, 0, '', 10, '', '', '', NULL, 1, 'SR', '', '', NULL),
		('952', 'y', 'Tipo copia default (Koha)', 'Tipo copia default (Koha)', 0, 0, 'items.itype', 10, 'itemtypes', '', '', NULL, 0, 'SR', '', '', NULL),
		('952', 'z', 'Nota pubblica', 'Nota pubblica', 0, 0, 'items.itemnotes', 10, '', '', '', NULL, 0, 'SR', '', '', NULL);



-- *******************************************************



-- *********************************************************************
-- SIMPLE SOUND RECORDINGS MARC 21 FIELDS/SUBFIELDS AND COMMMONLY USED
-- EXTENSIONS.
-- *********************************************************************


INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES
		('000', 'LEADER', 'LEADER', 0, 1, '', 'SR'),
		('001', 'Numero di controllo', 'Numero di controllo', 0, 0, '', 'SR'),
		('003', 'Identificatore del numero di controllo', 'Identificatore del numero di controllo', 0, 0, '', 'SR'),
		('005', 'Data e orario dell\'ultima transazione', 'Data e orario dell\'ultima transazione', 0, 0, '', 'SR'),
		('006', 'Elementi di lunghezza fissa--Caratteristiche del materiale allegato--Informazione generale', 'Elementi di lunghezza fissa--Caratteristiche del materiale allegato--Informazione generale', 1, 0, '', 'SR'),
		('007', 'Campo fisso per la descrizione fisica--informazione generale', 'Campo fisso per la descrizione fisica--informazione generale', 1, 0, '', 'SR'),
		('008', 'Elementi di lunghezza fissa--Informazione generale', 'Elementi di lunghezza fissa--Informazione generale', 0, 1, '', 'SR'),
		('009', 'PHYSICAL DESCRIPTION FIXED-FIELD FOR ARCHIVAL COLLECTION (VM) [OBSOLETE]', 'PHYSICAL DESCRIPTION FIXED-FIELD FOR ARCHIVAL COLLECTION (VM) [OBSOLETE]', 1, 0, '', 'SR'),
		('010', 'Numero di controllo della Library of Congress', 'Numero di controllo della Library of Congress', 0, 0, '', 'SR'),
		('011', 'LINKING LIBRARY OF CONGRESS CONTROL NUMBER [OBSOLETE]', 'LINKING LIBRARY OF CONGRESS CONTROL NUMBER [OBSOLETE]', 0, 0, '', 'SR'),
		('013', 'Informazioni impiegate per il controllo di brevetti', 'Informazioni impiegate per il controllo di brevetti', 1, 0, '', 'SR'),
		('015', 'Numero della bibliografia nazionale', 'Numero della bibliografia nazionale', 1, 0, '', 'SR'),
		('016', 'Numero di controllo dell\'agenzia bibliografica nazionale', 'Numero di controllo dell\'agenzia bibliografica nazionale', 1, 0, '', 'SR'),
		('017', 'Numero di copyright o di deposito legale', 'Numero di copyright o di deposito legale', 1, 0, '', 'SR'),
		('018', 'Codice di tassa sul copyright dell’articolo', 'Codice di tassa sul copyright dell’articolo', 0, 0, '', 'SR'),
		('020', 'ISBN (International Standard Book Number)', 'ISBN (International Standard Book Number)', 1, 0, NULL, 'SR'),
		('022', 'ISSN (International Standard Serial Number)', 'ISSN (International Standard Serial Number)', 1, 0, NULL, 'SR'),
		('023', 'STANDARD FILM NUMBER (VM) [DELETED]', 'STANDARD FILM NUMBER (VM) [DELETED]', 1, 0, NULL, 'SR'),
		('024', 'Altri identificatori standard', 'Altri identificatori standard', 1, 0, NULL, 'SR'),
		('025', 'Numero di acquisito estero', 'Numero di acquisito estero', 1, 0, '', 'SR'),
		('026', 'Identificatore dell’impronta', 'Identificatore dell’impronta', 1, 0, '', 'SR'),
		('027', 'Standard Technical Report Number', 'Standard Technical Report Number', 1, 0, '', 'SR'),
		('028', 'Numero dell’editore', 'Numero dell’editore', 1, 0, NULL, 'SR'),
		('029', 'OTHER SYSTEM CONTROL NUMBER (OCLC)', 'OTHER SYSTEM CONTROL NUMBER (OCLC)', 1, 0, '', 'SR'),
		('030', 'Designazione CODEN', 'Designazione CODEN', 1, 0, '', 'SR'),
		('031', 'Informazione sugli incipit musicali', 'Informazione sugli incipit musicali', 1, 0, '', 'SR'),
		('032', 'Numero di registrazione di posta', 'Numero di registrazione di posta', 1, 0, '', 'SR'),
		('033', 'Data/ora e luogo di un evento', 'Data/ora e luogo di un evento', 1, 0, '', 'SR'),
		('034', 'Dati matematici codificati per il materiale cartografico', 'Dati matematici codificati per il materiale cartografico', 1, 0, '', 'SR'),
		('035', 'Numero di controllo del sistema', 'Numero di controllo del sistema', 1, 0, NULL, 'SR'),
		('036', 'Numero dello studio originale del computer data file', 'Numero dello studio originale del computer data file', 0, 0, '', 'SR'),
		('037', 'Fonte d’acquisto', 'Fonte d’acquisto', 1, 0, NULL, 'SR'),
		('038', 'Licenza d’uso del contenuto della registrazione', 'Licenza d’uso del contenuto della registrazione', 0, 0, '', 'SR'),
		('039', 'LEVEL OF BIBLIOGRAPHIC CONTROL AND CODING DETAIL [OBSOLETE]', 'LEVEL OF BIBLIOGRAPHIC CONTROL AND CODING DETAIL [OBSOLETE]', 0, 0, '', 'SR'),
		('040', 'Fonte della catalogazione', 'Fonte della catalogazione', 0, 0, NULL, 'SR'),
		('041', 'Codice di lingua', 'Codice di lingua', 1, 0, '', 'SR'),
		('042', 'Codice d\'autenticazione', 'Codice d\'autenticazione', 0, 0, '', 'SR'),
		('043', 'Codice dell\'area geografica', 'Codice dell\'area geografica', 0, 0, NULL, 'SR'),
		('044', 'Codice del paese dell’ente che pubblica/produce l’item', 'Codice del paese dell’ente che pubblica/produce l’item', 0, 0, '', 'SR'),
		('045', 'Periodo di tempo del contenuto', 'Periodo di tempo del contenuto', 0, 0, '', 'SR'),
		('046', 'Codice delle date speciali', 'Codice delle date speciali', 1, 0, '', 'SR'),
		('047', 'Codice di forma della composizione musicale', 'Codice di forma della composizione musicale', 1, 0, '', 'SR'),
		('048', 'Codice del numero degli strumenti musicali o delle voci', 'Codice del numero degli strumenti musicali o delle voci', 1, 0, '', 'SR'),
		('049', 'LOCAL HOLDINGS (OCLC)', 'LOCAL HOLDINGS (OCLC)', 0, 0, '', 'SR'),
		('050', 'Numero di chiamata (collocazione) della Library of Congress', 'Numero di chiamata (collocazione) della Library of Congress', 1, 0, NULL, 'SR'),
		('051', 'Formulazione dell’esemplare, emissione, estratto, della Library of Congress', 'Formulazione dell’esemplare, emissione, estratto, della Library of Congress', 1, 0, NULL, 'SR'),
		('052', 'Classificazione geografica', 'Classificazione geografica', 1, 0, NULL, 'SR'),
		('055', 'Numero di classificazione assegnati in Canada', 'Numero di classificazione assegnati in Canada', 1, 0, NULL, 'SR'),
		('060', 'Numero di chiamata (collocazione) della National Library of Medicine', 'Numero di chiamata (collocazione) della National Library of Medicine', 1, 0, NULL, 'SR'),
		('061', 'Formulazione dell’esemplare della National Library of Medicine', 'Formulazione dell’esemplare della National Library of Medicine', 1, 0, NULL, 'SR'),
		('066', 'Set di caratteri presenti', 'Set di caratteri presenti', 0, 0, NULL, 'SR'),
		('070', 'Numero di chiamata (collocazione) della National Agricultural Library', 'Numero di chiamata (collocazione) della National Agricultural Library', 1, 0, NULL, 'SR'),
		('071', 'Formulazione dell’esemplare della National Agricultural Library', 'Formulazione dell’esemplare della National Agricultural Library', 1, 0, NULL, 'SR'),
		('072', 'Codice di categoria di soggetto', 'Codice di categoria di soggetto', 1, 0, NULL, 'SR'),
		('074', 'Numero GPO dell’item', 'Numero GPO dell’item', 1, 0, NULL, 'SR'),
		('080', 'Numero di classificazione decimale universale', 'Numero di classificazione decimale universale', 1, 0, NULL, 'SR'),
		('082', 'Numero di classificazione Decimale Dewey', 'Numero di classificazione Decimale Dewey', 1, 0, NULL, 'SR'),
		('084', 'Numero d’altra classificazione', 'Numero d’altra classificazione', 1, 0, NULL, 'SR'),
		('086', 'Numero di classificazione di documento governativo', 'Numero di classificazione di documento governativo', 1, 0, NULL, 'SR'),
		('087', 'REPORT NUMBER [OBSOLETE, CAN/MARC]', 'REPORT NUMBER [OBSOLETE, CAN/MARC]', 1, 0, NULL, 'SR'),
		('088', 'Numero di rapporto', 'Numero di rapporto', 1, 0, NULL, 'SR'),
		('090', 'LOCALLY ASSIGNED LC-TYPE CALL NUMBER (OCLC); LOCAL CALL NUMBER (RLIN)', 'LOCALLY ASSIGNED LC-TYPE CALL NUMBER (OCLC); LOCAL CALL NUMBER (RLIN)', 1, 0, '', 'SR'),
		('091', 'MICROFILM SHELF LOCATION (AM) [OBSOLETE]', 'MICROFILM SHELF LOCATION (AM) [OBSOLETE]', 0, 0, '', 'SR'),
		('092', 'LOCALLY ASSIGNED DEWEY CALL NUMBER (OCLC)', 'LOCALLY ASSIGNED DEWEY CALL NUMBER (OCLC)', 1, 0, '', 'SR'),
		('096', 'LOCALLY ASSIGNED NLM-TYPE CALL NUMBER (OCLC)', 'LOCALLY ASSIGNED NLM-TYPE CALL NUMBER (OCLC)', 1, 0, '', 'SR'),
		('098', 'OTHER CLASSIFICATION SCHEMES (OCLC)', 'OTHER CLASSIFICATION SCHEMES (OCLC)', 1, 0, '', 'SR'),
		('099', 'LOCAL FREE-TEXT CALL NUMBER (OCLC)', 'LOCAL FREE-TEXT CALL NUMBER (OCLC)', 1, 0, '', 'SR'),
		('100', 'Accesso principale -- nome di persona', 'Accesso principale -- nome di persona', 0, 0, NULL, 'SR'),
		('110', 'Accesso principale--nome di ente', 'Accesso principale--nome di ente', 0, 0, NULL, 'SR'),
		('111', 'Accesso principale--nome di convegno', 'Accesso principale--nome di convegno', 0, 0, NULL, 'SR'),
		('130', 'Accesso principale--titolo uniforme', 'Accesso principale--titolo uniforme', 0, 0, NULL, 'SR'),
		('210', 'Titolo abbreviato', 'Titolo abbreviato', 1, 0, NULL, 'SR'),
		('211', 'ACRONYM OR SHORTENED TITLE [OBSOLETE]', 'ACRONYM OR SHORTENED TITLE [OBSOLETE]', 1, 0, NULL, 'SR'),
		('212', 'VARIANT ACCESS TITLE [OBSOLETE]', 'VARIANT ACCESS TITLE [OBSOLETE]', 1, 0, NULL, 'SR'),
		('214', 'AUGMENTED TITLE [OBSOLETE]', 'AUGMENTED TITLE [OBSOLETE]', 1, 0, NULL, 'SR'),
		('222', 'Titolo chiave', 'Titolo chiave', 1, 0, NULL, 'SR'),
		('240', 'Titolo uniforme', 'Titolo uniforme', 0, 0, 'Unititle', 'SR'),
		('241', 'ROMANIZED TITLE (BK AM CF MP MU VM) [OBSOLETE]', 'ROMANIZED TITLE (BK AM CF MP MU VM) [OBSOLETE]', 0, 0, '', 'SR'),
		('242', 'Traduzione del titolo dell’agenzia di catalogazione', 'Traduzione del titolo dell’agenzia di catalogazione', 1, 0, NULL, 'SR'),
		('243', 'Titolo uniforme collettivo', 'Titolo uniforme collettivo', 0, 0, '', 'SR'),
		('245', 'Formulazione del titolo', 'Formulazione del titolo', 0, 1, '', 'SR'),
		('246', 'Varianti del titolo', 'Varianti del titolo', 1, 0, NULL, 'SR'),
		('247', 'Titolo precedente', 'Titolo precedente', 1, 0, NULL, 'SR'),
		('250', 'Formulazione di edizione', 'Formulazione di edizione', 0, 0, NULL, 'SR'),
		('254', 'Formulazione della presentazione musicale', 'Formulazione della presentazione musicale', 0, 0, NULL, 'SR'),
		('255', 'Dati matematici del materiale cartografico', 'Dati matematici del materiale cartografico', 1, 0, NULL, 'SR'),
		('256', 'Caratteristiche del computer file', 'Caratteristiche del computer file', 0, 0, NULL, 'SR'),
		('257', 'Paese dell’ente produttore dei film d’archivio', 'Paese dell’ente produttore dei film d’archivio', 0, 0, NULL, 'SR'),
		('258', 'Dati dell’emissione filatelica', 'Dati dell’emissione filatelica', 1, 0, NULL, 'SR'),
		('260', 'Pubblicazione, distribuzione, ecc. (stampa)', 'Pubblicazione, distribuzione, ecc. (stampa)', 1, 0, NULL, 'SR'),
		('261', 'IMPRINT STATEMENT FOR FILMS (Pre-AACR 1 Revised) [OBSOLETE, CAN/MARC], [LOCAL, USA]', 'IMPRINT STATEMENT FOR FILMS (Pre-AACR 1 Revised) [OBSOLETE, CAN/MARC], [LOCAL, USA]', 0, 0, NULL, 'SR'),
		('262', 'IMPRINT STATEMENT FOR SOUND RECORDINGS (Pre-AACR 2) [LOCAL, USA]', 'IMPRINT STATEMENT FOR SOUND RECORDINGS (Pre-AACR 2) [LOCAL, USA]', 0, 0, NULL, 'SR'),
		('263', 'Data di pubblicazione prevista', 'Data di pubblicazione prevista', 0, 0, NULL, 'SR'),
		('265', 'SOURCE FOR ACQUISITION/SUBSCRIPTION ADDRESS [OBSOLETE]', 'SOURCE FOR ACQUISITION/SUBSCRIPTION ADDRESS [OBSOLETE]', 0, 0, NULL, 'SR'),
		('270', 'Indirizzo', 'Indirizzo', 1, 0, NULL, 'SR'),
		('300', 'Descrizione fisica', 'Descrizione fisica', 1, 1, NULL, 'SR'),
		('301', 'PHYSICAL DESCRIPTION FOR FILMS (PRE-AACR 2) (VM) [OBSOLETE, USMARC]', 'PHYSICAL DESCRIPTION FOR FILMS (PRE-AACR 2) (VM) [OBSOLETE, USMARC]', 0, 0, NULL, 'SR'),
		('302', 'PAGE OR ITEM COUNT (BK AM) [OBSOLETE]', 'PAGE OR ITEM COUNT (BK AM) [OBSOLETE]', 0, 0, NULL, 'SR'),
		('303', 'UNIT COUNT (AM) [OBSOLETE, USMARC]', 'UNIT COUNT (AM) [OBSOLETE, USMARC]', 0, 0, NULL, 'SR'),
		('304', 'LINEAR FOOTAGE (AM) [OBSOLETE, USMARC]', 'LINEAR FOOTAGE (AM) [OBSOLETE, USMARC]', 0, 0, NULL, 'SR'),
		('305', 'PHYSICAL DESCRIPTION FOR SOUND RECORDINGS (Pre-AACR 2) (MU) [OBSOLETE]', 'PHYSICAL DESCRIPTION FOR SOUND RECORDINGS (Pre-AACR 2) (MU) [OBSOLETE]', 0, 0, NULL, 'SR'),
		('306', 'Durata di riproduzione', 'Durata di riproduzione', 0, 0, NULL, 'SR'),
		('307', 'Disponibilità oraria, ecc.', 'Disponibilità oraria, ecc.', 1, 0, NULL, 'SR'),
		('308', 'PHYSICAL DESCRIPTION FOR FILMS (ARCHIVAL) (VM) [OBSOLETE]', 'PHYSICAL DESCRIPTION FOR FILMS (ARCHIVAL) (VM) [OBSOLETE]', 1, 0, NULL, 'SR'),
		('310', 'Periodicità corrente della pubblicazione', 'Periodicità corrente della pubblicazione', 0, 0, NULL, 'SR'),
		('315', 'FREQUENCY (CF MP) [OBSOLETE]', 'FREQUENCY (CF MP) [OBSOLETE]', 0, 0, NULL, 'SR'),
		('321', 'Periodicità precedente della pubblicazione', 'Periodicità precedente della pubblicazione', 1, 0, NULL, 'SR'),
		('340', 'Supporto fisico', 'Supporto fisico', 1, 0, NULL, 'SR'),
		('342', 'Dati di riferimento geospaziale', 'Dati di riferimento geospaziale', 1, 0, NULL, 'SR'),
		('343', 'Dati di coordinate piane', 'Dati di coordinate piane', 1, 0, NULL, 'SR'),
		('350', 'PRICE (NR) (BK AM CF MU VM SE) [OBSOLETE]', 'PRICE (NR) (BK AM CF MU VM SE) [OBSOLETE]', 1, 0, NULL, 'SR'),
		('351', 'Organizzazione e l’ordinamento dei materiali', 'Organizzazione e l’ordinamento dei materiali', 1, 0, NULL, 'SR'),
		('352', 'Rappresentazione grafica digitale', 'Rappresentazione grafica digitale', 1, 0, NULL, 'SR'),
		('355', 'Controllo della classificazione di sicurezza', 'Controllo della classificazione di sicurezza', 1, 0, NULL, 'SR'),
		('357', 'Controllo del creatore sulla diffusione', 'Controllo del creatore sulla diffusione', 0, 0, NULL, 'SR'),
		('359', 'RENTAL PRICE (VM) [OBSOLETE]', 'RENTAL PRICE (VM) [OBSOLETE]', 0, 0, NULL, 'SR'),
		('362', 'Date della pubblicazione e/o designazione sequenziale', 'Date della pubblicazione e/o designazione sequenziale', 1, 0, NULL, 'SR'),
		('365', 'Prezzo commerciale', 'Prezzo commerciale', 1, 0, NULL, 'SR'),
		('366', 'Informazione sulla disponibilità editoriale', 'Informazione sulla disponibilità editoriale', 1, 0, NULL, 'SR'),
		('400', 'SERIES STATEMENT/ADDED ENTRY--PERSONAL NAME [OBSOLETE, CAN/MARC], [LOCAL, USA]', 'SERIES STATEMENT/ADDED ENTRY--PERSONAL NAME [OBSOLETE, CAN/MARC], [LOCAL, USA]', 1, 0, NULL, 'SR'),
		('410', 'SERIES STATEMENT/ADDED ENTRY--CORPORATE NAME [OBSOLETE, CAN/MARC], [LOCAL, USA]', 'SERIES STATEMENT/ADDED ENTRY--CORPORATE NAME [OBSOLETE, CAN/MARC], [LOCAL, USA]', 1, 0, NULL, 'SR'),
		('411', 'SERIES STATEMENT/ADDED ENTRY--MEETING NAME [OBSOLETE, CAN/MARC], [LOCAL, USA]', 'SERIES STATEMENT/ADDED ENTRY--MEETING NAME [OBSOLETE, CAN/MARC], [LOCAL, USA]', 1, 0, NULL, 'SR'),
		('440', 'Formulazione della serie/accesso aggiunto--titolo', 'Formulazione della serie/accesso aggiunto--titolo', 1, 0, NULL, 'SR'),
		('490', 'Formulazione della serie', 'Formulazione della serie', 1, 0, '', 'SR'),
		('500', 'Nota generale', 'Nota generale', 1, 0, NULL, 'SR'),
		('501', 'Nota  Pubblicato con', 'Nota  Pubblicato con', 1, 0, NULL, 'SR'),
		('502', 'Nota di dissertazione', 'Nota di dissertazione', 1, 0, NULL, 'SR'),
		('503', 'BIBLIOGRAPHIC HISTORY NOTE (BK CF MU) [OBSOLETE]', 'BIBLIOGRAPHIC HISTORY NOTE (BK CF MU) [OBSOLETE]', 1, 0, NULL, 'SR'),
		('504', 'Nota di bibliografia', 'Nota di bibliografia', 1, 0, NULL, 'SR'),
		('505', 'Nota formattata di contenuto', 'Nota formattata di contenuto', 1, 0, NULL, 'SR'),
		('506', 'Nota sulle restrizioni all\'accesso', 'Nota sulle restrizioni all\'accesso', 1, 0, NULL, 'SR'),
		('507', 'Nota di scala per materiale grafico', 'Nota di scala per materiale grafico', 0, 0, NULL, 'SR'),
		('508', 'Nota sui crediti di creazione/produzione', 'Nota sui crediti di creazione/produzione', 1, 0, NULL, 'SR'),
		('509', 'INFORMAL NOTES (RLIN)', 'INFORMAL NOTES (RLIN)', 0, 0, NULL, 'SR'),
		('510', 'Nota di citazione/riferimenti esterni', 'Nota di citazione/riferimenti esterni', 1, 0, NULL, 'SR'),
		('511', 'Nota sui partecipanti o interpreti', 'Nota sui partecipanti o interpreti', 1, 0, NULL, 'SR'),
		('512', 'EARLIER OR LATER VOLUMES SEPARATELY CATALOGED NOTE (SE) [OBSOLETE]', 'EARLIER OR LATER VOLUMES SEPARATELY CATALOGED NOTE (SE) [OBSOLETE]', 1, 0, NULL, 'SR'),
		('513', 'Nota di tipo di rapporto e periodo coperto', 'Nota di tipo di rapporto e periodo coperto', 1, 0, NULL, 'SR'),
		('514', 'Nota sulla qualità dei dati', 'Nota sulla qualità dei dati', 0, 0, NULL, 'SR'),
		('515', 'Nota su particolarità della numerazione', 'Nota su particolarità della numerazione', 1, 0, NULL, 'SR'),
		('516', 'Nota sul tipo di computer file o di file di dati', 'Nota sul tipo di computer file o di file di dati', 1, 0, NULL, 'SR'),
		('517', 'CATEGORIES OF FILMS NOTE (ARCHIVAL) (VM) [OBSOLETE]', 'CATEGORIES OF FILMS NOTE (ARCHIVAL) (VM) [OBSOLETE]', 0, 0, NULL, 'SR'),
		('518', 'Nota sulla data/ora e luogo di un evento', 'Nota sulla data/ora e luogo di un evento', 1, 0, NULL, 'SR'),
		('520', 'Riassunto, ecc.', 'Riassunto, ecc.', 1, 0, NULL, 'SR'),
		('521', 'Nota sui destinatari', 'Nota sui destinatari', 1, 0, NULL, 'SR'),
		('522', 'Nota di copertura geografica', 'Nota di copertura geografica', 1, 0, NULL, 'SR'),
		('523', 'TIME PERIOD OF CONTENT NOTE (CF) [OBSOLETE]', 'TIME PERIOD OF CONTENT NOTE (CF) [OBSOLETE]', 0, 0, NULL, 'SR'),
		('524', 'Nota sulla citazione preferita dei materiali descritti', 'Nota sulla citazione preferita dei materiali descritti', 1, 0, NULL, 'SR'),
		('525', 'Nota di supplemento', 'Nota di supplemento', 0, 0, NULL, 'SR'),
		('526', 'Nota d’informazione sul programma di studi', 'Nota d’informazione sul programma di studi', 0, 0, NULL, 'SR'),
		('527', 'CENSORSHIP NOTE (VM) [OBSOLETE]', 'CENSORSHIP NOTE (VM) [OBSOLETE]', 1, 0, NULL, 'SR'),
		('530', 'Nota sulla disponibilità su altro supporto fisico', 'Nota sulla disponibilità su altro supporto fisico', 1, 0, NULL, 'SR'),
		('533', 'Nota di riproduzione', 'Nota di riproduzione', 1, 0, NULL, 'SR'),
		('534', 'Nota sulla versione originale', 'Nota sulla versione originale', 1, 0, NULL, 'SR'),
		('535', 'Nota sulla localizzazione degli originali/duplicati', 'Nota sulla localizzazione degli originali/duplicati', 1, 0, NULL, 'SR'),
		('536', 'Nota d’informazione sul finanziamento', 'Nota d’informazione sul finanziamento', 1, 0, NULL, 'SR'),
		('537', 'SOURCE OF DATA NOTE (CF) [OBSOLETE]', 'SOURCE OF DATA NOTE (CF) [OBSOLETE]', 0, 0, NULL, 'SR'),
		('538', 'Nota sui requisiti del sistema', 'Nota sui requisiti del sistema', 1, 0, NULL, 'SR'),
		('540', 'Nota sulle condizioni che regolano l\'utilizzo e la riproduzione', 'Nota sulle condizioni che regolano l\'utilizzo e la riproduzione', 1, 0, NULL, 'SR'),
		('541', 'Nota sulla fonte immediata d\'acquisto', 'Nota sulla fonte immediata d\'acquisto', 1, 0, NULL, 'SR'),
		('543', 'SOLICITATION INFORMATION NOTE (AM) [OBSOLETE]', 'SOLICITATION INFORMATION NOTE (AM) [OBSOLETE]', 1, 0, NULL, 'SR'),
		('544', 'Nota sulla localizzazione d’altri materiali d’archivio', 'Nota sulla localizzazione d’altri materiali d’archivio', 1, 0, NULL, 'SR'),
		('545', 'Dati biografici o storici', 'Dati biografici o storici', 1, 0, NULL, 'SR'),
		('546', 'Nota sulla lingua', 'Nota sulla lingua', 1, 0, NULL, 'SR'),
		('547', 'Nota sulla complessità del titolo precedente', 'Nota sulla complessità del titolo precedente', 1, 0, NULL, 'SR'),
		('550', 'Nota sull\'ente responsabile', 'Nota sull\'ente responsabile', 1, 0, NULL, 'SR'),
		('552', 'Nota d’informazione sull’ente e l’attributo', 'Nota d’informazione sull’ente e l’attributo', 1, 0, NULL, 'SR'),
		('555', 'Nota sull\'indice cumulativo/strumenti di ricerca', 'Nota sull\'indice cumulativo/strumenti di ricerca', 1, 0, NULL, 'SR'),
		('556', 'Nota d\'informazione sulla documentazione', 'Nota d\'informazione sulla documentazione', 1, 0, NULL, 'SR'),
		('561', 'Storia della proprietà e custodia', 'Storia della proprietà e custodia', 1, 0, NULL, 'SR'),
		('562', 'Nota d\'identificazione della copia e della versione', 'Nota d\'identificazione della copia e della versione', 1, 0, NULL, 'SR'),
		('563', 'Informazione sulla rilegatura', 'Informazione sulla rilegatura', 1, 0, NULL, 'SR'),
		('565', 'Nota sulle caratteristiche della singola pratica', 'Nota sulle caratteristiche della singola pratica', 1, 0, NULL, 'SR'),
		('567', 'Nota sulla metodologia', 'Nota sulla metodologia', 1, 0, NULL, 'SR'),
		('570', 'EDITOR NOTE (SE) [OBSOLETE]', 'EDITOR NOTE (SE) [OBSOLETE]', 1, 0, NULL, 'SR'),
		('580', 'Nota di collegamento complesso', 'Nota di collegamento complesso', 1, 0, NULL, 'SR'),
		('581', 'Nota di pubblicazioni sui materiali descritti', 'Nota di pubblicazioni sui materiali descritti', 1, 0, NULL, 'SR'),
		('582', 'RELATED COMPUTER FILES NOTE (CF) [OBSOLETE]', 'RELATED COMPUTER FILES NOTE (CF) [OBSOLETE]', 1, 0, NULL, 'SR'),
		('583', 'Nota d’azione', 'Nota d’azione', 1, 0, NULL, 'SR'),
		('584', 'Nota di accumulo e di frequenza d’uso', 'Nota di accumulo e di frequenza d’uso', 1, 0, NULL, 'SR'),
		('585', 'Nota di mostre', 'Nota di mostre', 1, 0, NULL, 'SR'),
		('586', 'Nota di premi', 'Nota di premi', 1, 0, NULL, 'SR'),
		('590', 'LOCAL NOTE (RLIN)', 'LOCAL NOTE (RLIN)', 1, 0, NULL, 'SR'),
		('600', 'Accesso aggiunto di soggetto-–Nome di persona', 'Accesso aggiunto di soggetto-–Nome di persona', 1, 0, NULL, 'SR'),
		('610', 'Accesso aggiunto di soggetto--nome di ente', 'Accesso aggiunto di soggetto--nome di ente', 1, 0, NULL, 'SR'),
		('611', 'Accesso aggiunto di soggetto--nome di convegno', 'Accesso aggiunto di soggetto--nome di convegno', 1, 0, NULL, 'SR'),
		('630', 'Accesso aggiunto di soggetto--titolo uniforme', 'Accesso aggiunto di soggetto--titolo uniforme', 1, 0, NULL, 'SR'),
		('648', 'Accesso aggiunto di soggetto--termine cronologico', 'Accesso aggiunto di soggetto--termine cronologico', 1, 0, NULL, 'SR'),
		('650', 'Accesso aggiunto di soggetto--termine topico', 'Accesso aggiunto di soggetto--termine topico', 1, 0, NULL, 'SR'),
		('651', 'Accesso aggiunto di soggetto--nome geografico', 'Accesso aggiunto di soggetto--nome geografico', 1, 0, NULL, 'SR'),
		('652', 'SUBJECT ADDED ENTRY--REVERSE GEOGRAPHIC (BK MP SE) [OBSOLETE]', 'SUBJECT ADDED ENTRY--REVERSE GEOGRAPHIC (BK MP SE) [OBSOLETE]', 1, 0, NULL, 'SR'),
		('653', 'Termine d’indicizzazione--non controllato', 'Termine d’indicizzazione--non controllato', 1, 0, NULL, 'SR'),
		('654', 'Accesso aggiunto di soggetto--termini topici faccettati', 'Accesso aggiunto di soggetto--termini topici faccettati', 1, 0, NULL, 'SR'),
		('655', 'Termine d’indicizzazione--genere/forma', 'Termine d’indicizzazione--genere/forma', 1, 0, NULL, 'SR'),
		('656', 'Termine d’indicizzazione--occupazione', 'Termine d’indicizzazione--occupazione', 1, 0, NULL, 'SR'),
		('657', 'Termine d’indicizzazione--funzione', 'Termine d’indicizzazione--funzione', 1, 0, NULL, 'SR'),
		('658', 'Termine d’indicizzazione--obiettivi del curriculum scolastico', 'Termine d’indicizzazione--obiettivi del curriculum scolastico', 1, 0, NULL, 'SR'),
		('662', 'Accesso aggiunto di soggetto --nome gerarchico di luogo', 'Accesso aggiunto di soggetto --nome gerarchico di luogo', 1, 0, NULL, 'SR'),
		('690', 'LOCAL SUBJECT ADDED ENTRY--TOPICAL TERM (OCLC, RLIN)', 'LOCAL SUBJECT ADDED ENTRY--TOPICAL TERM (OCLC, RLIN)', 1, 0, '', 'SR'),
		('691', 'LOCAL SUBJECT ADDED ENTRY--GEOGRAPHIC NAME (RLIN)', 'LOCAL SUBJECT ADDED ENTRY--GEOGRAPHIC NAME (RLIN)', 1, 0, '', 'SR'),
		('696', 'LOCAL SUBJECT ADDED ENTRY--PERSONAL NAME (RLIN)', 'LOCAL SUBJECT ADDED ENTRY--PERSONAL NAME (RLIN)', 1, 0, '', 'SR'),
		('697', 'LOCAL SUBJECT ADDED ENTRY--CORPORATE NAME (RLIN)', 'LOCAL SUBJECT ADDED ENTRY--CORPORATE NAME (RLIN)', 1, 0, '', 'SR'),
		('698', 'LOCAL SUBJECT ADDED ENTRY--MEETING NAME (RLIN)', 'LOCAL SUBJECT ADDED ENTRY--MEETING NAME (RLIN)', 1, 0, '', 'SR'),
		('699', 'LOCAL SUBJECT ADDED ENTRY--UNIFORM TITLE (RLIN)', 'LOCAL SUBJECT ADDED ENTRY--UNIFORM TITLE (RLIN)', 1, 0, '', 'SR'),
		('700', 'Accesso aggiunto--nome di persona', 'Accesso aggiunto--nome di persona', 1, 0, NULL, 'SR'),
		('705', 'ADDED ENTRY--PERSONAL NAME (PERFORMER) (MU) [OBSOLETE]', 'ADDED ENTRY--PERSONAL NAME (PERFORMER) (MU) [OBSOLETE]', 1, 0, NULL, 'SR'),
		('710', 'Accesso aggiunto--nome di ente', 'Accesso aggiunto--nome di ente', 1, 0, NULL, 'SR'),
		('711', 'Accesso aggiunto--nome di convegno', 'Accesso aggiunto--nome di convegno', 1, 0, NULL, 'SR'),
		('715', 'ADDED ENTRY--CORPORATE NAME (PERFORMER) (MU) [OBSOLETE]', 'ADDED ENTRY--CORPORATE NAME (PERFORMER) (MU) [OBSOLETE]', 1, 0, NULL, 'SR'),
		('720', 'Accesso aggiunto--nome non controllato', 'Accesso aggiunto--nome non controllato', 1, 0, NULL, 'SR'),
		('730', 'Accesso aggiunto--titolo uniforme', 'Accesso aggiunto--titolo uniforme', 1, 0, NULL, 'SR'),
		('740', 'Accesso aggiunto--titolo analitico/correlato non controllato', 'Accesso aggiunto--titolo analitico/correlato non controllato', 1, 0, NULL, 'SR'),
		('752', 'Accesso aggiunto – nome gerarchico di luogo', 'Accesso aggiunto – nome gerarchico di luogo', 1, 0, NULL, 'SR'),
		('753', 'Dettagli sul sistema per accedere ai computer file', 'Dettagli sul sistema per accedere ai computer file', 1, 0, NULL, 'SR'),
		('754', 'Accesso aggiunto--identificazione tassonomica', 'Accesso aggiunto--identificazione tassonomica', 1, 0, NULL, 'SR'),
		('755', 'ADDED ENTRY--PHYSICAL CHARACTERISTICS [OBSOLETE]', 'ADDED ENTRY--PHYSICAL CHARACTERISTICS [OBSOLETE]', 1, 0, NULL, 'SR'),
		('760', 'Accesso di serie principale', 'Accesso di serie principale', 1, 0, NULL, 'SR'),
		('762', 'Accesso di sottoserie', 'Accesso di sottoserie', 1, 0, NULL, 'SR'),
		('765', 'Accesso di lingua originale', 'Accesso di lingua originale', 1, 0, NULL, 'SR'),
		('767', 'Accesso di supplemento/numero speciale', 'Accesso di supplemento/numero speciale', 1, 0, NULL, 'SR'),
		('770', 'Accesso di supplemento/numero speciale', 'Accesso di supplemento/numero speciale', 1, 0, NULL, 'SR'),
		('772', 'Accesso di pubblicazione principale', 'Accesso di pubblicazione principale', 1, 0, NULL, 'SR'),
		('773', 'Accesso d’item ospite', 'Accesso d’item ospite', 1, 0, NULL, 'SR'),
		('774', 'Accesso d’unità costituente', 'Accesso d’unità costituente', 1, 0, NULL, 'SR'),
		('775', 'Acceso di un’altra edizione', 'Acceso di un’altra edizione', 1, 0, NULL, 'SR'),
		('776', 'Accesso di forma fisica aggiunta', 'Accesso di forma fisica aggiunta', 1, 0, NULL, 'SR'),
		('777', 'Accesso di ', 'Accesso di ', 1, 0, NULL, 'SR'),
		('780', 'Accesso precedente', 'Accesso precedente', 1, 0, NULL, 'SR'),
		('785', 'Accesso successivo', 'Accesso successivo', 1, 0, NULL, 'SR'),
		('786', 'Accesso di fonte dei dati', 'Accesso di fonte dei dati', 1, 0, NULL, 'SR'),
		('787', 'Accesso di relazione non specificata', 'Accesso di relazione non specificata', 1, 0, NULL, 'SR'),
		('789', 'COMPONENT ITEM ENTRY (RLIN)', 'COMPONENT ITEM ENTRY (RLIN)', 1, 0, '', 'SR'),
		('796', 'LOCAL ADDED ENTRY--PERSONAL NAME (RLIN)', 'LOCAL ADDED ENTRY--PERSONAL NAME (RLIN)', 1, 0, '', 'SR'),
		('797', 'LOCAL ADDED ENTRY--CORPORATE NAME (RLIN)', 'LOCAL ADDED ENTRY--CORPORATE NAME (RLIN)', 1, 0, '', 'SR'),
		('798', 'LOCAL ADDED ENTRY--MEETING NAME (RLIN)', 'LOCAL ADDED ENTRY--MEETING NAME (RLIN)', 1, 0, '', 'SR'),
		('799', 'LOCAL ADDED ENTRY--UNIFORM TITLE (RLIN)', 'LOCAL ADDED ENTRY--UNIFORM TITLE (RLIN)', 1, 0, '', 'SR'),
		('800', 'Accesso aggiunto di serie--nome di persona', 'Accesso aggiunto di serie--nome di persona', 1, 0, NULL, 'SR'),
		('810', 'Accesso aggiunto di serie--nome di ente', 'Accesso aggiunto di serie--nome di ente', 1, 0, NULL, 'SR'),
		('811', 'Accesso aggiunto di serie--nome di convegno', 'Accesso aggiunto di serie--nome di convegno', 1, 0, NULL, 'SR'),
		('830', 'Accesso aggiunto di serie--titolo uniforme', 'Accesso aggiunto di serie--titolo uniforme', 1, 0, NULL, 'SR'),
		('840', 'SERIES ADDED ENTRY--TITLE [OBSOLETE]', 'SERIES ADDED ENTRY--TITLE [OBSOLETE]', 1, 0, NULL, 'SR'),
		('841', 'Valori dei dati codificati di posseduti', 'Valori dei dati codificati di posseduti', 0, 0, NULL, 'SR'),
		('842', 'Designatore testuale di forma fisica', 'Designatore testuale di forma fisica', 0, 0, NULL, 'SR'),
		('843', 'Nota di riproduzione', 'Nota di riproduzione', 1, 0, NULL, 'SR'),
		('844', 'Nome dell’unità', 'Nome dell’unità', 0, 0, NULL, 'SR'),
		('845', 'Nota sulle condizioni che regolano l\'utilizzo e la riproduzione', 'Nota sulle condizioni che regolano l\'utilizzo e la riproduzione', 1, 0, NULL, 'SR'),
		('850', 'Istituzione possedente', 'Istituzione possedente', 1, 0, NULL, 'SR'),
		('851', 'LOCATION [OBSOLETE]', 'LOCATION [OBSOLETE]', 1, 0, NULL, 'SR'),
		('852', 'Localizzazione', 'Localizzazione', 1, 0, NULL, 'SR'),
		('853', 'Legende e modello--unità bibliografica basilare', 'Legende e modello--unità bibliografica basilare', 1, 0, NULL, 'SR'),
		('854', 'Legende e modello--supplementi', 'Legende e modello--supplementi', 1, 0, NULL, 'SR'),
		('855', 'Legende e modello--indici', 'Legende e modello--indici', 1, 0, NULL, 'SR'),
		('856', 'Localizzazione e accesso elettronico', 'Localizzazione e accesso elettronico', 1, 0, NULL, 'SR'),
		('859', 'LOCAL CONTROL INFORMATION (RLIN)', 'LOCAL CONTROL INFORMATION (RLIN)', 1, 0, '', 'SR'),
		('863', 'Numerazione e cronologia--unità bibliografica basilare', 'Numerazione e cronologia--unità bibliografica basilare', 1, 0, NULL, 'SR'),
		('864', 'Numerazione e cronologia--supplementi', 'Numerazione e cronologia--supplementi', 1, 0, NULL, 'SR'),
		('865', 'Numerazione e cronologia--indici', 'Numerazione e cronologia--indici', 1, 0, NULL, 'SR'),
		('866', 'Formulazione testuale di posseduti--unità bibliografica basilare', 'Formulazione testuale di posseduti--unità bibliografica basilare', 1, 0, NULL, 'SR'),
		('867', 'Formulazione testuale di posseduti--supplementi', 'Formulazione testuale di posseduti--supplementi', 1, 0, NULL, 'SR'),
		('868', 'Formulazione testuale di posseduti--indici', 'Formulazione testuale di posseduti--indici', 1, 0, NULL, 'SR'),
		('870', 'VARIANT PERSONAL NAME (SE) [OBSOLETE]', 'VARIANT PERSONAL NAME (SE) [OBSOLETE]', 1, 0, NULL, 'SR'),
		('871', 'VARIANT CORPORATE NAME (SE)[OBSOLETE]', 'VARIANT CORPORATE NAME (SE)[OBSOLETE]', 1, 0, NULL, 'SR'),
		('872', 'VARIANT CONFERENCE OR MEETING NAME (SE) [OBSOLETE]', 'VARIANT CONFERENCE OR MEETING NAME (SE) [OBSOLETE]', 1, 0, NULL, 'SR'),
		('873', 'VARIANT UNIFORM TITLE HEADING (SE) [OBSOLETE]', 'VARIANT UNIFORM TITLE HEADING (SE) [OBSOLETE]', 1, 0, NULL, 'SR'),
		('876', 'Informazione sull’item--unità bibliografica basilare', 'Informazione sull’item--unità bibliografica basilare', 1, 0, NULL, 'SR'),
		('877', 'Informazione sull’item--supplementi', 'Informazione sull’item--supplementi', 1, 0, NULL, 'SR'),
		('878', 'Informazione sull’item--indici', 'Informazione sull’item--indici', 1, 0, NULL, 'SR'),
		('880', 'Rappresentazione grafica alternativa', 'Rappresentazione grafica alternativa', 1, 0, NULL, 'SR'),
		('886', 'Campo dell’informazione per MARC differenti', 'Campo dell’informazione per MARC differenti', 1, 0, NULL, 'SR'),
		('887', 'Campo dell’informazione per non-MARC', 'Campo dell’informazione per non-MARC', 1, 0, NULL, 'SR'),
		('896', 'LOCAL SERIES ADDED ENTRY--PERSONAL NAME (RLIN)', 'LOCAL SERIES ADDED ENTRY--PERSONAL NAME (RLIN)', 1, 0, '', 'SR'),
		('897', 'LOCAL SERIES ADDED ENTRY--CORPORATE NAME (RLIN)', 'LOCAL SERIES ADDED ENTRY--CORPORATE NAME (RLIN)', 1, 0, '', 'SR'),
		('898', 'LOCAL SERIES ADDED ENTRY--MEETING NAME (RLIN)', 'LOCAL SERIES ADDED ENTRY--MEETING NAME (RLIN)', 1, 0, '', 'SR'),
		('899', 'LOCAL SERIES ADDED ENTRY--UNIFORM TITLE (RLIN)', 'LOCAL SERIES ADDED ENTRY--UNIFORM TITLE (RLIN)', 1, 0, '', 'SR'),
		('900', 'EQUIVALENCE OR CROSS-REFERENCE-PERSONAL NAME [LOCAL, CANADA]', 'EQUIVALENCE OR CROSS-REFERENCE-PERSONAL NAME [LOCAL, CANADA]', 1, 0, '', 'SR'),
		('901', 'LOCAL DATA ELEMENT A, LDA (RLIN)', 'LOCAL DATA ELEMENT A, LDA (RLIN)', 1, 0, '', 'SR'),
		('902', 'LOCAL DATA ELEMENT B, LDB (RLIN)', 'LOCAL DATA ELEMENT B, LDB (RLIN)', 1, 0, '', 'SR'),
		('903', 'LOCAL DATA ELEMENT C, LDC (RLIN)', 'LOCAL DATA ELEMENT C, LDC (RLIN)', 1, 0, '', 'SR'),
		('904', 'LOCAL DATA ELEMENT D, LDD (RLIN)', 'LOCAL DATA ELEMENT D, LDD (RLIN)', 1, 0, '', 'SR'),
		('905', 'LOCAL DATA ELEMENT E, LDE (RLIN)', 'LOCAL DATA ELEMENT E, LDE (RLIN)', 1, 0, '', 'SR'),
		('906', 'LOCAL DATA ELEMENT F, LDF (RLIN)', 'LOCAL DATA ELEMENT F, LDF (RLIN)', 1, 0, '', 'SR'),
		('907', 'LOCAL DATA ELEMENT G, LDG (RLIN)', 'LOCAL DATA ELEMENT G, LDG (RLIN)', 1, 0, '', 'SR'),
		('908', 'PUT COMMAND PARAMETER (RLIN)', 'PUT COMMAND PARAMETER (RLIN)', 0, 0, '', 'SR'),
		('910', 'USER-OPTION DATA (OCLC)', 'USER-OPTION DATA (OCLC)', 0, 0, '', 'SR'),
		('911', 'EQUIVALENCE OR CROSS-REFERENCE-CONFERENCE OR MEETING NAME [LOCAL, CANADA]', 'EQUIVALENCE OR CROSS-REFERENCE-CONFERENCE OR MEETING NAME [LOCAL, CANADA]', 1, 0, '', 'SR'),
		('930', 'EQUIVALENCE OR CROSS-REFERENCE-UNIFORM TITLE HEADING [LOCAL, CANADA]', 'EQUIVALENCE OR CROSS-REFERENCE-UNIFORM TITLE HEADING [LOCAL, CANADA]', 1, 0, '', 'SR'),
		('936', 'OCLC/CONSER MISCELLANEOUS DATA (OCLC); PIECE USED FOR CATALOGING (pre-AACR2) (RLIN)', 'OCLC/CONSER MISCELLANEOUS DATA (OCLC); PIECE USED FOR CATALOGING (pre-AACR2) (RLIN)', 0, 0, '', 'SR'),
		('940', 'EQUIVALENCE OR CROSS-REFERENCE--UNIFORM TITLE [OBSOLETE] [CAN/MARC only]', 'EQUIVALENCE OR CROSS-REFERENCE--UNIFORM TITLE [OBSOLETE] [CAN/MARC only]', 1, 0, '', 'SR'),
		('941', 'EQUIVALENCE OR CROSS-REFERENCE--ROMANIZED TITLE [OBSOLETE] [CAN/MARC only]', 'EQUIVALENCE OR CROSS-REFERENCE--ROMANIZED TITLE [OBSOLETE] [CAN/MARC only]', 1, 0, '', 'SR'),
		('943', 'EQUIVALENCE OR CROSS-REFERENCE--COLLECTIVE TITLE [OBSOLETE] [CAN/MARC only]', 'EQUIVALENCE OR CROSS-REFERENCE--COLLECTIVE TITLE [OBSOLETE] [CAN/MARC only]', 1, 0, '', 'SR'),
		('945', 'LOCAL PROCESSING INFORMATION (OCLC)', 'LOCAL PROCESSING INFORMATION (OCLC)', 1, 0, '', 'SR'),
		('946', 'LOCAL PROCESSING INFORMATION (OCLC)', 'LOCAL PROCESSING INFORMATION (OCLC)', 1, 0, '', 'SR'),
		('947', 'LOCAL PROCESSING INFORMATION (OCLC)', 'LOCAL PROCESSING INFORMATION (OCLC)', 1, 0, '', 'SR'),
		('948', 'LOCAL PROCESSING INFORMATION (OCLC); SERIES PART DESIGNATOR (RLIN)', 'LOCAL PROCESSING INFORMATION (OCLC); SERIES PART DESIGNATOR (RLIN)', 1, 0, '', 'SR'),
		('949', 'LOCAL PROCESSING INFORMATION (OCLC)', 'LOCAL PROCESSING INFORMATION (OCLC)', 1, 0, '', 'SR'),
		('950', 'LOCAL HOLDINGS (RLIN)', 'LOCAL HOLDINGS (RLIN)', 1, 0, '', 'SR'),
		('951', 'EQUIVALENCE OR CROSS-REFERENCE--GEOGRAPHIC NAME/AREA NAME [OBSOLETE] [CAN/MARC only]', 'EQUIVALENCE OR CROSS-REFERENCE--GEOGRAPHIC NAME/AREA NAME [OBSOLETE] [CAN/MARC only]', 1, 0, '', 'SR'),
		('955', 'COPY-LEVEL INFORMATION (RLIN)', 'COPY-LEVEL INFORMATION (RLIN)', 1, 0, '', 'SR'),
		('956', 'LOCAL ELECTRONIC LOCATION AND ACCESS (OCLC)', 'LOCAL ELECTRONIC LOCATION AND ACCESS (OCLC)', 1, 0, '', 'SR'),
		('960', 'PHYSICAL LOCATION (RLIN)', 'PHYSICAL LOCATION (RLIN)', 1, 0, '', 'SR'),
		('967', 'ADDITIONAL ESTC CODES (RLIN)', 'ADDITIONAL ESTC CODES (RLIN)', 1, 0, '', 'SR'),
		('980', 'EQUIVALENCE OR CROSS-REFERENCE-SERIES STATEMENT--PERSONAL NAME/TITLE [LOCAL, CANADA]', 'EQUIVALENCE OR CROSS-REFERENCE-SERIES STATEMENT--PERSONAL NAME/TITLE [LOCAL, CANADA]', 1, 0, '', 'SR'),
		('981', 'EQUIVALENCE OR CROSS-REFERENCE-SERIES STATEMENT--CORPORATE NAME/TITLE [LOCAL, CANADA]', 'EQUIVALENCE OR CROSS-REFERENCE-SERIES STATEMENT--CORPORATE NAME/TITLE [LOCAL, CANADA]', 1, 0, '', 'SR'),
		('982', 'EQUIVALENCE OR CROSS-REFERENCE-SERIES STATEMENT--CONFERENCE OR MEETING NAME/TITLE [LOCAL, CANADA]', 'EQUIVALENCE OR CROSS-REFERENCE-SERIES STATEMENT--CONFERENCE OR MEETING NAME/TITLE [LOCAL, CANADA]', 1, 0, '', 'SR'),
		('983', 'EQUIVALENCE OR CROSS-REFERENCE-SERIES STATEMENT--TITLE/UNIFORM TITLE [LOCAL, CANADA]', 'EQUIVALENCE OR CROSS-REFERENCE-SERIES STATEMENT--TITLE/UNIFORM TITLE [LOCAL, CANADA]', 1, 0, '', 'SR'),
		('984', 'WLN AUTOMATIC HOLDINGS STATEMENT (OCLC)', 'WLN AUTOMATIC HOLDINGS STATEMENT (OCLC)', 1, 0, '', 'SR'),
		('987', 'LOCAL ROMANIZATION/CONVERSION HISTORY (OCLC)', 'LOCAL ROMANIZATION/CONVERSION HISTORY (OCLC)', 1, 0, '', 'SR'),
		('990', 'EQUIVALENCES OR CROSS-REFERENCES [LOCAL, CANADA]', 'EQUIVALENCES OR CROSS-REFERENCES [LOCAL, CANADA]', 1, 0, '', 'SR'),
		('995', 'RECOMMENDATION 995 [LOCAL, UNIMARC FRANCE]', 'RECOMMENDATION 995 [LOCAL, UNIMARC FRANCE]', 1, 0, '', 'SR'),
		('998', 'LOCAL CONTROL INFORMATION (RLIN)', 'LOCAL CONTROL INFORMATION (RLIN)', 1, 0, '', 'SR');



INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES
		('000', '@', 'campo di controllo lung. fissa', 'campo di controllo lung. fissa', 0, 1, '', 0, '', '', 'marc21_leader.pl', 0, 0, 'SR', '', '', NULL),
		('001', '@', 'campo di controllo', 'campo di controllo', 0, 0, '', 0, '', '', '', 0, -6, 'SR', '', '', NULL),
		('003', '@', 'campo di controllo', 'campo di controllo', 0, 0, '', 0, '', '', 'marc21_field_003.pl', 0, -6, 'SR', '', '', NULL),
		('005', '@', 'campo di controllo', 'campo di controllo', 0, 0, '', 0, '', '', 'marc21_field_005.pl', 0, -1, 'SR', '', '', NULL),
		('006', '@', 'campo di controllo lung. fissa', 'campo di controllo lung. fissa', 0, 0, '', 0, '', '', 'marc21_field_006.pl', 0, -1, 'SR', '', '', NULL),
		('007', '@', 'campo di controllo lung. fissa', 'campo di controllo lung. fissa', 0, 0, '', 0, '', '', 'marc21_field_007.pl', 0, 0, 'SR', '', '', NULL),
		('008', '@', 'campo di controllo lung. fissa', 'campo di controllo lung. fissa', 0, 1, '', 0, '', '', 'marc21_field_008.pl', 0, 0, 'SR', '', '', NULL),
		('009', '@', 'campo di controllo lung. fissa', 'campo di controllo lung. fissa', 0, 0, '', 0, '', '', '', 0, -6, 'SR', '', '', NULL),
		('010', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 0, '', '', NULL, 0, -6, 'SR', '', '', NULL),
		('010', 'a', 'Numero di controllo della LC', 'Numero di controllo della LC', 0, 0, 'biblioitems.lccn', 0, '', '', '', 0, -6, 'SR', '', '', NULL),
		('010', 'b', 'Numero di controllo del NUCMC', 'Numero di controllo del NUCMC', 1, 0, '', 0, '', '', '', 0, -6, 'SR', '', '', NULL),
		('010', 'z', 'Numero di controllo della LC cancellato o errato', 'Numero di controllo della LC cancellato o errato', 1, 0, '', 0, '', '', '', 0, -6, 'SR', '', '', NULL),
		('011', 'a', 'Numero di controllo della LC', 'Numero di controllo della LC', 1, 0, '', 0, '', '', '', 0, -6, 'SR', '', '', NULL),
		('013', '6', 'Collegamento', 'Collegamento', 0, 0, '', 0, '', '', NULL, 0, -6, 'SR', '', '', NULL),
		('013', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 0, '', '', '', 0, -6, 'SR', '', '', NULL),
		('013', 'a', 'Numero', 'Numero', 0, 0, '', 0, '', '', '', 0, -6, 'SR', '', '', NULL),
		('013', 'b', 'Paese', 'Paese', 0, 0, '', 0, '', '', '', 0, -6, 'SR', '', '', NULL),
		('013', 'c', 'Tipo di numero', 'Tipo di numero', 0, 0, '', 0, '', '', '', 0, -6, 'SR', '', '', NULL),
		('013', 'd', 'Data', 'Data', 1, 0, '', 0, '', '', '', 0, -6, 'SR', '', '', NULL),
		('013', 'e', 'Stato', 'Stato', 1, 0, '', 0, '', '', '', 0, -6, 'SR', '', '', NULL),
		('013', 'f', 'Parte responsabile del documento', 'Parte responsabile del documento', 1, 0, '', 0, '', '', '', 0, -6, 'SR', '', '', NULL),
		('015', '2', 'Fonte', 'Fonte', 0, 0, '', 0, '', '', NULL, 0, -6, 'SR', '', '', NULL),
		('015', '6', 'Collegamento', 'Collegamento', 0, 0, '', 0, '', '', '', 0, -6, 'SR', '', '', NULL),
		('015', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 0, '', '', '', 0, -6, 'SR', '', '', NULL),
		('015', 'a', 'Numero della bibliografia nazionale', 'Numero della bibliografia nazionale', 1, 0, '', 0, '', '', '', 0, -6, 'SR', '', '', NULL),
		('016', '2', 'Fonte', 'Fonte', 0, 0, '', 0, '', '', '', 0, -6, 'SR', '', '', NULL),
		('016', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 0, '', '', '', 0, -6, 'SR', '', '', NULL),
		('016', 'a', 'Numero di controllo della registrazione', 'Numero di controllo della registrazione', 0, 0, '', 0, '', '', '', 0, -6, 'SR', '', '', NULL),
		('016', 'z', 'Numero di controllo della registrazione cancellato o errato', 'Numero di controllo della registrazione cancellato o errato', 1, 0, '', 0, '', '', '', 0, -6, 'SR', '', '', NULL),
		('017', '2', 'Fonte', 'Fonte', 0, 0, '', 0, '', '', '', 0, -6, 'SR', '', '', NULL),
		('017', '6', 'Collegamento', 'Collegamento', 0, 0, '', 0, '', '', '', 0, -6, 'SR', '', '', NULL),
		('017', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 0, '', '', '', 0, -6, 'SR', '', '', NULL),
		('017', 'a', 'Numero di copyright o di deposito legale', 'Numero di copyright o di deposito legale', 1, 0, '', 0, '', '', '', 0, -6, 'SR', '', '', NULL),
		('017', 'b', 'Agenzia che assegna il numero', 'Agenzia che assegna il numero', 0, 0, '', 0, '', '', '', 0, -6, 'SR', '', '', NULL),
		('017', 'd', 'Data', 'Data', 0, 0, '', 0, '', '', NULL, 0, -6, 'SR', '', '', NULL),
		('017', 'i', 'Testo da visualizzare', 'Testo da visualizzare', 0, 0, '', 0, '', '', '', 0, -6, 'SR', '', '', NULL),
		('018', '6', 'Collegamento', 'Collegamento', 0, 0, '', 0, '', '', '', 0, -6, 'SR', '', '', NULL),
		('018', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 0, '', '', '', 0, -6, 'SR', '', '', NULL),
		('018', 'a', 'Codice di tassa sul copyright dell\'articolo', 'Codice di tassa sul copyright dell\'articolo', 0, 0, '', 0, '', '', '', 0, -6, 'SR', '', '', NULL),
		('020', '6', 'Collegamento', 'Collegamento', 0, 0, '', 0, '', '', '', 0, -6, 'SR', '', '', NULL),
		('020', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 0, '', '', '', 0, -6, 'SR', '', '', NULL),
		('020', 'a', 'ISBN (International Standard Book Number)', 'ISBN (International Standard Book Number)', 0, 0, 'biblioitems.isbn', 0, '', '', '', 0, -1, 'SR', '', '', NULL),
		('020', 'c', 'Termini di disponibilità', 'Termini di disponibilità', 0, 0, '', 0, '', '', '', 0, -6, 'SR', '', '', NULL),
		('020', 'z', 'ISBN cancellato o errato', 'ISBN cancellato o errato', 1, 0, '', 0, '', '', '', 0, -6, 'SR', '', '', NULL),
		('022', '2', 'Fonte', 'Fonte', 0, 0, '', 0, '', '', '', 0, -6, 'SR', '', '', NULL),
		('022', '6', 'Collegamento', 'Collegamento', 0, 0, '', 0, '', '', '', 0, -6, 'SR', '', '', NULL),
		('022', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 0, '', '', '', 0, -6, 'SR', '', '', NULL),
		('022', 'a', 'ISSN (International Standard Serial Number)', 'ISSN (International Standard Serial Number)', 0, 0, 'biblioitems.issn', 0, '', '', '', 0, -6, 'SR', '', '', NULL),
		('022', 'y', 'ISSN errato', 'ISSN errato', 1, 0, '', 0, '', '', '', 0, -6, 'SR', '', '', NULL),
		('022', 'z', 'ISSN cancellato', 'ISSN cancellato', 1, 0, '', 0, '', '', '', 0, -6, 'SR', '', '', NULL),
		('023', 'a', 'Standard film number', 'Standard film number', 0, 0, '', 0, '', '', '', 0, -6, 'SR', '', '', NULL),
		('024', '2', 'Fonte del numero o codice', 'Fonte del numero o codice', 0, 0, '', 0, '', '', '', 0, -1, 'SR', '', '', NULL),
		('024', '6', 'Collegamento', 'Collegamento', 0, 0, '', 0, '', '', '', 0, -6, 'SR', '', '', NULL),
		('024', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 0, '', '', '', 0, -6, 'SR', '', '', NULL),
		('024', 'a', 'Numero standard o codice', 'Numero standard o codice', 0, 0, '', 0, '', '', '', 0, -1, 'SR', '', '', NULL),
		('024', 'b', 'Additional codes following the standard number [OBSOLETE]', 'Additional codes following the standard number [OBSOLETE]', 0, 0, '', 0, '', '', '', 0, -6, 'SR', '', '', NULL),
		('024', 'c', 'Termini di disponibilità', 'Termini di disponibilità', 0, 0, '', 0, '', '', '', 0, -1, 'SR', '', '', NULL),
		('024', 'd', 'Codici addizionali che seguono il numero standard o codice', 'Codici addizionali che seguono il numero standard o codice', 0, 0, '', 0, '', '', '', 0, -1, 'SR', '', '', NULL),
		('024', 'z', 'Numero standard o codice, cancellato o errato', 'Numero standard o codice, cancellato o errato', 1, 0, '', 0, '', '', '', 0, -6, 'SR', '', '', NULL),
		('025', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 0, '', '', '', 0, -6, 'SR', '', '', NULL),
		('025', 'a', 'Numero d\'acquisto estero', 'Numero d\'acquisto estero', 1, 0, '', 0, '', '', '', 0, -6, 'SR', '', '', NULL),
		('026', '2', 'Fonte', 'Fonte', 0, 0, '', 0, '', '', '', 0, -6, 'SR', '', '', NULL),
		('026', '5', 'Istituzione a cui si applica il campo', 'Istituzione a cui si applica il campo', 1, 0, '', 0, '', '', '', 0, -6, 'SR', '', '', NULL),
		('026', '6', 'Collegamento', 'Collegamento', 0, 0, '', 0, '', '', '', 0, -6, 'SR', '', '', NULL),
		('026', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 0, '', '', '', 0, -6, 'SR', '', '', NULL),
		('026', 'a', 'Primo e secondo gruppo di caratteri', 'Primo e secondo gruppo di caratteri', 0, 0, '', 0, '', '', '', 0, -6, 'SR', '', '', NULL),
		('026', 'b', 'Terzo e quarto gruppo di caratteri', 'Terzo e quarto gruppo di caratteri', 0, 0, '', 0, '', '', '', 0, -6, 'SR', '', '', NULL),
		('026', 'c', 'Data', 'Data', 0, 0, '', 0, '', '', '', 0, -6, 'SR', '', '', NULL),
		('026', 'd', 'Numero del volume o parte', 'Numero del volume o parte', 0, 0, '', 0, '', '', '', 0, -6, 'SR', '', '', NULL),
		('026', 'e', 'Impronta non analizzata', 'Impronta non analizzata', 0, 0, '', 0, '', '', '', 0, -6, 'SR', '', '', NULL),
		('027', '6', 'Collegamento', 'Collegamento', 0, 0, '', 0, '', '', '', 0, -6, 'SR', '', '', NULL),
		('027', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 0, '', '', '', 0, -6, 'SR', '', '', NULL),
		('027', 'a', 'Standard Technical Report Number', 'Standard Technical Report Number', 0, 0, '', 0, '', '', '', 0, -6, 'SR', '', '', NULL),
		('027', 'z', 'Numero cancellato o errato', 'Numero cancellato o errato', 1, 0, '', 0, '', '', '', 0, -6, 'SR', '', '', NULL),
		('028', '6', 'Collegamento', 'Collegamento', 0, 0, '', 0, '', '', '', 0, -6, 'SR', '', '', NULL),
		('028', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 0, '', '', '', 0, -6, 'SR', '', '', NULL),
		('028', 'a', 'Numero dell\'editore', 'Numero dell\'editore', 0, 0, '', 0, '', '', '', 0, 0, 'SR', '', '', NULL),
		('028', 'b', 'Fonte', 'Fonte', 0, 0, '', 0, '', '', '', 0, 0, 'SR', '', '', NULL),
		('029', 'a', 'OCLC library identifier', 'OCLC library identifier', 0, 0, '', 0, '', '', '', 0, -6, 'SR', '', '', NULL),
		('029', 'b', 'System control number', 'System control number', 0, 0, '', 0, '', '', '', 0, -6, 'SR', '', '', NULL),
		('029', 'c', 'OAI set name', 'OAI set name', 0, 0, '', 0, '', '', '', 0, -6, 'SR', '', '', NULL),
		('029', 't', 'Content type identifier', 'Content type identifier', 0, 0, '', 0, '', '', '', 0, -6, 'SR', '', '', NULL),
		('030', '6', 'Collegamento', 'Collegamento', 0, 0, '', 0, '', '', '', 0, -6, 'SR', '', '', NULL),
		('030', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 0, '', '', '', 0, -6, 'SR', '', '', NULL),
		('030', 'a', 'CODEN', 'CODEN', 0, 0, '', 0, '', '', '', 0, -6, 'SR', '', '', NULL),
		('030', 'z', 'CODEN cancellato o errato', 'CODEN cancellato o errato', 1, 0, '', 0, '', '', '', 0, -6, 'SR', '', '', NULL),
		('031', '2', 'Codice di sistema', 'Codice di sistema', 0, 0, '', 0, '', '', '', 0, -6, 'SR', '', '', NULL),
		('031', '6', 'Collegamento', 'Collegamento', 0, 0, '', 0, '', '', '', 0, -6, 'SR', '', '', NULL),
		('031', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 0, '', '', '', 0, -6, 'SR', '', '', NULL),
		('031', 'a', 'Numero di composizione', 'Numero di composizione', 0, 0, '', 0, '', '', '', 0, -6, 'SR', '', '', NULL),
		('031', 'b', 'Numero di movimento', 'Numero di movimento', 0, 0, '', 0, '', '', '', 0, -6, 'SR', '', '', NULL),
		('031', 'c', 'Numero progressivo nel movimento', 'Numero progressivo nel movimento', 0, 0, '', 0, '', '', '', 0, -6, 'SR', '', '', NULL),
		('031', 'd', 'Titolo o intitolazione', 'Titolo o intitolazione', 1, 0, '', 0, '', '', '', 0, -6, 'SR', '', '', NULL),
		('031', 'e', 'Personaggio', 'Personaggio', 0, 0, '', 0, '', '', '', 0, -6, 'SR', '', '', NULL),
		('031', 'g', 'Chiave', 'Chiave', 0, 0, '', 0, '', '', '', 0, -6, 'SR', '', '', NULL),
		('031', 'm', 'Voce/strumento', 'Voce/strumento', 0, 0, '', 0, '', '', '', 0, -6, 'SR', '', '', NULL),
		('031', 'n', 'Alterazioni', 'Alterazioni', 0, 0, '', 0, '', '', '', 0, -6, 'SR', '', '', NULL),
		('031', 'o', 'Misura', 'Misura', 0, 0, '', 0, '', '', '', 0, -6, 'SR', '', '', NULL),
		('031', 'p', 'Contesto musicale', 'Contesto musicale', 0, 0, '', 0, '', '', '', 0, -6, 'SR', '', '', NULL),
		('031', 'q', 'Nota generale', 'Nota generale', 1, 0, '', 0, '', '', '', 0, -6, 'SR', '', '', NULL),
		('031', 'r', 'Tonalità o modo', 'Tonalità o modo', 0, 0, '', 0, '', '', '', 0, -6, 'SR', '', '', NULL),
		('031', 's', 'Nota codificata di validità', 'Nota codificata di validità', 1, 0, '', 0, '', '', '', 0, -6, 'SR', '', '', NULL),
		('031', 't', 'Incipit testuale', 'Incipit testuale', 1, 0, '', 0, '', '', '', 0, -6, 'SR', '', '', NULL),
		('031', 'u', 'URI (Uniform Resource Identifier)', 'URI (Uniform Resource Identifier)', 1, 0, '', 0, '', '', '', 1, -6, 'SR', '', '', NULL),
		('031', 'y', 'Testo di collegamento', 'Testo di collegamento', 1, 0, '', 0, '', '', '', 0, -6, 'SR', '', '', NULL),
		('031', 'z', 'Nota pubblica', 'Nota pubblica', 1, 0, '', 0, '', '', '', 0, -6, 'SR', '', '', NULL),
		('032', '6', 'Collegamento', 'Collegamento', 0, 0, '', 0, '', '', NULL, 0, -6, 'SR', '', '', NULL),
		('032', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 0, '', '', '', 0, -6, 'SR', '', '', NULL),
		('032', 'a', 'Numero di registrazione di posta', 'Numero di registrazione di posta', 0, 0, '', 0, '', '', '', 0, -6, 'SR', '', '', NULL),
		('032', 'b', 'Fonte (agenzia che assegna il numero)', 'Fonte (agenzia che assegna il numero)', 0, 0, '', 0, '', '', '', 0, -6, 'SR', '', '', NULL),
		('033', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, '', 0, '', '', '', 0, -6, 'SR', '', '', NULL),
		('033', '6', 'Collegamento', 'Collegamento', 0, 0, '', 0, '', '', '', 0, -6, 'SR', '', '', NULL),
		('033', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 0, '', '', '', 0, -6, 'SR', '', '', NULL),
		('033', 'a', 'Data/ora formattate', 'Data/ora formattate', 1, 0, '', 0, '', '', '', 0, -6, 'SR', '', '', NULL),
		('033', 'b', 'Codice di classificazione dell\'area geografica', 'Codice di classificazione dell\'area geografica', 1, 0, '', 0, '', '', '', 0, -6, 'SR', '', '', NULL),
		('033', 'c', 'Codice di classificazione della sottoarea geografica', 'Codice di classificazione della sottoarea geografica', 1, 0, '', 0, '', '', '', 0, -6, 'SR', '', '', NULL),
		('034', '2', 'Fonte', 'Fonte', 0, 0, '', 0, '', '', '', 0, -6, 'SR', '', '', NULL),
		('034', '6', 'Collegamento', 'Collegamento', 0, 0, '', 0, '', '', '', 0, -6, 'SR', '', '', NULL),
		('034', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 0, '', '', '', 0, -6, 'SR', '', '', NULL),
		('034', 'a', 'Categoria della scala', 'Categoria della scala', 0, 0, '', 0, '', '', '', 0, -6, 'SR', '', '', NULL),
		('034', 'b', 'Rapporto costante (scala orizzontale)', 'Rapporto costante (scala orizzontale)', 1, 0, '', 0, '', '', '', 0, -6, 'SR', '', '', NULL),
		('034', 'c', 'Rapporto costante (scala verticale)', 'Rapporto costante (scala verticale)', 1, 0, '', 0, '', '', '', 0, -6, 'SR', '', '', NULL),
		('034', 'd', 'Coordinate--longitudine limite Ovest', 'Coordinate--longitudine limite Ovest', 0, 0, '', 0, '', '', '', 0, -6, 'SR', '', '', NULL),
		('034', 'e', 'Coordinate--longitudine limite Est', 'Coordinate--longitudine limite Est', 0, 0, '', 0, '', '', '', 0, -6, 'SR', '', '', NULL),
		('034', 'f', 'Coordinate--latitudine limite Nord', 'Coordinate--latitudine limite Nord', 0, 0, '', 0, '', '', '', 0, -6, 'SR', '', '', NULL),
		('034', 'g', 'Coordinate--latitudine limite Sud', 'Coordinate--latitudine limite Sud', 0, 0, '', 0, '', '', '', 0, -6, 'SR', '', '', NULL),
		('034', 'h', 'Scala angolare', 'Scala angolare', 1, 0, '', 0, '', '', '', 0, -6, 'SR', '', '', NULL),
		('034', 'j', 'Declinazione--limite Nord', 'Declinazione--limite Nord', 0, 0, '', 0, '', '', '', 0, -6, 'SR', '', '', NULL),
		('034', 'k', 'Declinazione--limite Sud', 'Declinazione--limite Sud', 0, 0, '', 0, '', '', '', 0, -6, 'SR', '', '', NULL),
		('034', 'm', 'Ascensione retta--limite Est', 'Ascensione retta--limite Est', 0, 0, '', 0, '', '', '', 0, -6, 'SR', '', '', NULL),
		('034', 'n', 'Ascensione retta--limite Ovest', 'Ascensione retta--limite Ovest', 0, 0, '', 0, '', '', '', 0, -6, 'SR', '', '', NULL),
		('034', 'p', 'Equinozio', 'Equinozio', 0, 0, '', 0, '', '', '', 0, -6, 'SR', '', '', NULL),
		('034', 'r', 'Coordinate--latitudine limite Sud', 'Coordinate--latitudine limite Sud', 0, 0, '', 0, '', '', '', 0, -6, 'SR', '', '', NULL),
		('034', 's', 'Latitudine del perimetro', 'Latitudine del perimetro', 1, 0, '', 0, '', '', '', 0, -6, 'SR', '', '', NULL),
		('034', 't', 'Longitudine del perimetro', 'Longitudine del perimetro', 1, 0, '', 0, '', '', '', 0, -6, 'SR', '', '', NULL),
		('034', 'x', 'Data d\'inizio', 'Data d\'inizio', 0, 0, '', 0, '', '', '', 0, -6, 'SR', '', '', NULL),
		('034', 'y', 'Data di fine', 'Data di fine', 0, 0, '', 0, '', '', '', 0, -6, 'SR', '', '', NULL),
		('034', 'z', 'Nome dell\'oggetto extraterrestre', 'Nome dell\'oggetto extraterrestre', 0, 0, '', 0, '', '', '', 0, -6, 'SR', '', '', NULL),
		('035', '6', 'Collegamento', 'Collegamento', 0, 0, '', 0, '', '', '', 0, -6, 'SR', '', '', NULL),
		('035', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 0, '', '', '', 0, -6, 'SR', '', '', NULL),
		('035', 'a', 'System control number', 'System control number', 0, 0, '', 0, '', '', '', 0, -6, 'SR', '', '', NULL),
		('035', 'z', 'Numero di controllo del sistema cancellato o errato', 'Numero di controllo del sistema cancellato o errato', 1, 0, '', 0, '', '', '', 0, -6, 'SR', '', '', NULL),
		('036', '6', 'Collegamento', 'Collegamento', 0, 0, '', 0, '', '', '', 0, -6, 'SR', '', '', NULL),
		('036', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 0, '', '', '', 0, -6, 'SR', '', '', NULL),
		('036', 'a', 'Numero dello studio originale', 'Numero dello studio originale', 0, 0, '', 0, '', '', '', 0, -6, 'SR', '', '', NULL),
		('036', 'b', 'Fonte (agenzia che assegna il numero)', 'Fonte (agenzia che assegna il numero)', 0, 0, '', 0, '', '', '', 0, -6, 'SR', '', '', NULL),
		('037', '6', 'Collegamento', 'Collegamento', 0, 0, '', 0, '', '', '', 0, -6, 'SR', '', '', NULL),
		('037', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 0, '', '', '', 0, -6, 'SR', '', '', NULL),
		('037', 'a', 'Numero di magazzino', 'Numero di magazzino', 0, 0, '', 0, '', '', '', 0, -1, 'SR', '', '', NULL),
		('037', 'b', 'Fonte del numero di magazzino/d\'acquisto', 'Fonte del numero di magazzino/d\'acquisto', 0, 0, '', 0, '', '', '', 0, -1, 'SR', '', '', NULL),
		('037', 'c', 'Termini di disponibilità', 'Termini di disponibilità', 1, 0, '', 0, '', '', '', 0, -1, 'SR', '', '', NULL),
		('037', 'f', 'Forma dell\'emissione', 'Forma dell\'emissione', 1, 0, '', 0, '', '', '', 0, -1, 'SR', '', '', NULL),
		('037', 'g', 'Caratteristiche addizionali di formato', 'Caratteristiche addizionali di formato', 1, 0, '', 0, '', '', '', 0, -1, 'SR', '', '', NULL),
		('037', 'n', 'Nota', 'Nota', 1, 0, '', 0, '', '', '', 0, -1, 'SR', '', '', NULL),
		('038', '6', 'Collegamento', 'Collegamento', 0, 0, '', 0, '', '', '', 0, -6, 'SR', '', '', NULL),
		('038', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 0, '', '', '', 0, -6, 'SR', '', '', NULL),
		('038', 'a', 'Organizzazione che dà licenza d’uso del contenuto della registrazione', 'Organizzazione che dà licenza d’uso del contenuto della registrazione', 0, 0, '', 0, '', '', '', 0, -6, 'SR', '', '', NULL),
		('039', 'a', 'Level of rules in bibliographic description', 'Level of rules in bibliographic description', 0, 0, '', 0, '', '', '', 0, -6, 'SR', '', '', NULL),
		('039', 'b', 'Level of effort used to assign nonsubject heading access points', 'Level of effort used to assign nonsubject heading access points', 0, 0, '', 0, '', '', '', 0, -6, 'SR', '', '', NULL),
		('039', 'c', 'Level of effort used to assign subject headings', 'Level of effort used to assign subject headings', 0, 0, '', 0, '', '', '', 0, -6, 'SR', '', '', NULL),
		('039', 'd', 'Level of effort used to assign classification', 'Level of effort used to assign classification', 0, 0, '', 0, '', '', '', 0, -6, 'SR', '', '', NULL),
		('039', 'e', 'Number of fixed field character positions coded', 'Number of fixed field character positions coded', 0, 0, '', 0, '', '', '', 0, -6, 'SR', '', '', NULL),
		('040', '6', 'Collegamento', 'Collegamento', 0, 0, '', 0, '', '', '', 0, -6, 'SR', '', '', NULL),
		('040', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 0, '', '', '', 0, -6, 'SR', '', '', NULL),
		('040', 'a', 'Agenzia catalografica originale', 'Agenzia catalografica originale', 0, 0, '', 0, '', '', '', 0, -1, 'SR', '', '', NULL),
		('040', 'b', 'Lingua della catalogazione', 'Lingua della catalogazione', 0, 0, '', 0, '', '', '', 0, -6, 'SR', '', '', NULL),
		('040', 'c', 'Agenzia che fa la trascrizione', 'Agenzia che fa la trascrizione', 0, 0, '', 0, '', '', '', 0, -1, 'SR', '', '', NULL),
		('040', 'd', 'Agenzia che fa la modifica', 'Agenzia che fa la modifica', 1, 0, '', 0, '', '', '', 0, -1, 'SR', '', '', NULL),
		('040', 'e', 'Regole di descrizione', 'Regole di descrizione', 0, 0, '', 0, '', '', '', 0, -1, 'SR', '', '', NULL),
		('041', '2', 'Fonte del codice', 'Fonte del codice', 0, 0, '', 0, '', '', '', 0, -6, 'SR', '', '', NULL),
		('041', '6', 'Collegamento', 'Collegamento', 0, 0, '', 0, '', '', '', 0, -6, 'SR', '', '', NULL),
		('041', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 0, '', '', '', 0, -6, 'SR', '', '', NULL),
		('041', 'a', 'Codice di lingua del testo/traccia sonora o titolo separato', 'Codice di lingua del testo/traccia sonora o titolo separato', 1, 0, '', 0, '', '', '', 0, -1, 'SR', '', '', NULL),
		('041', 'b', 'Codice di lingua del riassunto, estratto o sottotitoli', 'Codice di lingua del riassunto, estratto o sottotitoli', 1, 0, '', 0, '', '', '', 0, -6, 'SR', '', '', NULL),
		('041', 'c', 'Languages of separate titles (VM) [OBSOLETE] ; Languages of available translation  (SE) [OBSOLETE]', 'Languages of separate titles (VM) [OBSOLETE] ; Languages of available translation  (SE) [OBSOLETE]', 1, 0, '', 0, '', '', '', 0, -6, 'SR', '', '', NULL),
		('041', 'd', 'Codice della lingua del testo cantato o parlato', 'Codice della lingua del testo cantato o parlato', 1, 0, '', 0, '', '', '', 0, -1, 'SR', '', '', NULL),
		('041', 'e', 'Codice della lingua dei libretti', 'Codice della lingua dei libretti', 1, 0, '', 0, '', '', '', 0, -1, 'SR', '', '', NULL),
		('041', 'f', 'Codice della lingua del sommario', 'Codice della lingua del sommario', 1, 0, '', 0, '', '', '', 0, -6, 'SR', '', '', NULL),
		('041', 'g', 'Codice della lingua del materiale allegato diverso dai libretti', 'Codice della lingua del materiale allegato diverso dai libretti', 1, 0, '', 0, '', '', '', 0, -1, 'SR', '', '', NULL),
		('041', 'h', 'Codice della lingua originale e/o delle traduzioni intermedie del testo', 'Codice della lingua originale e/o delle traduzioni intermedie del testo', 1, 0, '', 0, '', '', '', 0, -1, 'SR', '', '', NULL),
		('042', 'a', 'Codice d\'autenticazione', 'Codice d\'autenticazione', 0, 0, '', 0, '', '', '', 0, -6, 'SR', '', '', NULL),
		('043', '2', 'Fonte del codice di sottoente locale', 'Fonte del codice di sottoente locale', 1, 0, '', 0, '', '', '', 0, -6, 'SR', '', '', NULL),
		('043', '6', 'Collegamento', 'Collegamento', 0, 0, '', 0, '', '', '', 0, -6, 'SR', '', '', NULL),
		('043', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 0, '', '', '', 0, -6, 'SR', '', '', NULL),
		('043', 'a', 'Codice dell\'area geografica', 'Codice dell\'area geografica', 1, 0, '', 0, '', '', '', 0, -6, 'SR', '', '', NULL),
		('043', 'b', 'Codice locale GAC (codice dell\'area geografica)', 'Codice locale GAC (codice dell\'area geografica)', 1, 0, '', 0, '', '', '', 0, -6, 'SR', '', '', NULL),
		('043', 'c', 'Codice ISO', 'Codice ISO', 1, 0, '', 0, '', '', '', 0, -6, 'SR', '', '', NULL),
		('044', '2', 'Fonte del codice di sottoente locale', 'Fonte del codice di sottoente locale', 1, 0, '', 0, '', '', '', 0, -6, 'SR', '', '', NULL),
		('044', '6', 'Collegamento', 'Collegamento', 0, 0, '', 0, '', '', '', 0, -6, 'SR', '', '', NULL),
		('044', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 0, '', '', '', 0, -6, 'SR', '', '', NULL),
		('044', 'a', 'Codice MARC del paese', 'Codice MARC del paese', 1, 0, '', 0, '', '', '', 0, -6, 'SR', '', '', NULL),
		('044', 'b', 'Codice di sottoente locale', 'Codice di sottoente locale', 1, 0, '', 0, '', '', '', 0, -6, 'SR', '', '', NULL),
		('044', 'c', 'Codice ISO del paese', 'Codice ISO del paese', 1, 0, '', 0, '', '', '', 0, -6, 'SR', '', '', NULL),
		('045', '6', 'Collegamento', 'Collegamento', 0, 0, '', 0, '', '', '', 0, -6, 'SR', '', '', NULL),
		('045', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 0, '', '', '', 0, -6, 'SR', '', '', NULL),
		('045', 'a', 'Codice di periodo di tempo', 'Codice di periodo di tempo', 1, 0, '', 0, '', '', '', 0, -6, 'SR', '', '', NULL),
		('045', 'b', 'Periodo di tempo formattato dal 9999 a.C. fino al 9999 d.C.', 'Periodo di tempo formattato dal 9999 a.C. fino al 9999 d.C.', 1, 0, '', 0, '', '', '', 0, -6, 'SR', '', '', NULL),
		('045', 'c', 'Periodo di tempo formattato anteriore al 9999 a.C.', 'Periodo di tempo formattato anteriore al 9999 a.C.', 1, 0, '', 0, '', '', '', 0, -6, 'SR', '', '', NULL),
		('046', '2', 'Fonte della data', 'Fonte della data', 0, 0, '', 0, '', '', '', 0, -6, 'SR', '', '', NULL),
		('046', '6', 'Collegamento', 'Collegamento', 0, 0, '', 0, '', '', '', 0, -6, 'SR', '', '', NULL),
		('046', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 0, '', '', '', 0, -6, 'SR', '', '', NULL),
		('046', 'a', 'Codice di tipo di data', 'Codice di tipo di data', 0, 0, '', 0, '', '', '', 0, -6, 'SR', '', '', NULL),
		('046', 'b', 'Data 1 (data a.C.)', 'Data 1 (data a.C.)', 0, 0, '', 0, '', '', '', 0, -6, 'SR', '', '', NULL),
		('046', 'c', 'Data 1 (data d.C.)', 'Data 1 (data d.C.)', 0, 0, '', 0, '', '', '', 0, -6, 'SR', '', '', NULL),
		('046', 'd', 'Data 2 (data a.C.)\',\'Data 2 (data a.C.)', 'Data 2 (data a.C.)\',\'Data 2 (data a.C.)', 0, 0, '', 0, '', '', '', 0, -6, 'SR', '', '', NULL),
		('046', 'e', 'Data 2 (data d.C.)', 'Data 2 (data d.C.)', 0, 0, '', 0, '', '', '', 0, -6, 'SR', '', '', NULL),
		('046', 'j', 'Data della modifica della risorsa', 'Data della modifica della risorsa', 0, 0, '', 0, '', '', '', 0, -6, 'SR', '', '', NULL),
		('046', 'k', 'Data iniziale di creazione o data semplice', 'Data iniziale di creazione o data semplice', 0, 0, '', 0, '', '', '', 0, -6, 'SR', '', '', NULL),
		('046', 'l', 'Data finale di creazione', 'Data finale di creazione', 0, 0, '', 0, '', '', '', 0, -6, 'SR', '', '', NULL),
		('046', 'm', 'Data iniziale di validità', 'Data iniziale di validità', 0, 0, '', 0, '', '', '', 0, -6, 'SR', '', '', NULL),
		('046', 'n', 'Data finale di validità', 'Data finale di validità', 0, 0, '', 0, '', '', '', 0, -6, 'SR', '', '', NULL),
		('047', '2', 'Fonte del codice', 'Fonte del codice', 0, 0, '', 0, '', '', '', 0, -6, 'SR', '', '', NULL),
		('047', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 0, '', '', '', 0, -6, 'SR', '', '', NULL),
		('047', 'a', 'Codice di forma della composizione musicale', 'Codice di forma della composizione musicale', 1, 0, '', 0, '', '', '', 0, -6, 'SR', '', '', NULL),
		('048', '2', 'Fonte del codice', 'Fonte del codice', 0, 0, '', 0, '', '', '', 0, -6, 'SR', '', '', NULL),
		('048', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 0, '', '', '', 0, -6, 'SR', '', '', NULL),
		('048', 'a', 'Esecutore o complesso', 'Esecutore o complesso', 1, 0, '', 0, '', '', '', 0, -6, 'SR', '', '', NULL),
		('048', 'b', 'Solista', 'Solista', 1, 0, '', 0, '', '', '', 0, -6, 'SR', '', '', NULL),
		('049', 'a', 'Holding library', 'Holding library', 1, 0, '', 0, '', '', '', 0, -6, 'SR', '', '', NULL),
		('049', 'c', 'Copy statement', 'Copy statement', 1, 0, '', 0, '', '', '', 0, -6, 'SR', '', '', NULL),
		('049', 'd', 'Definition of bibliographic subdivisions', 'Definition of bibliographic subdivisions', 1, 0, '', 0, '', '', '', 0, -6, 'SR', '', '', NULL),
		('049', 'l', 'Local processing data', 'Local processing data', 1, 0, '', 0, '', '', '', 0, -6, 'SR', '', '', NULL),
		('049', 'm', 'Missing elements', 'Missing elements', 1, 0, '', 0, '', '', '', 0, -6, 'SR', '', '', NULL),
		('049', 'n', 'Notes about holdings', 'Notes about holdings', 0, 0, '', 0, '', '', '', 0, -6, 'SR', '', '', NULL),
		('049', 'o', 'Local processing data', 'Local processing data', 1, 0, '', 0, '', '', '', 0, -6, 'SR', '', '', NULL),
		('049', 'p', 'Secondary bibliographic subdivision', 'Secondary bibliographic subdivision', 1, 0, '', 0, '', '', '', 0, -6, 'SR', '', '', NULL),
		('049', 'q', 'Third bibliographic subdivision', 'Third bibliographic subdivision', 1, 0, '', 0, '', '', '', 0, -6, 'SR', '', '', NULL),
		('049', 'r', 'Fourth bibliographic subdivision', 'Fourth bibliographic subdivision', 1, 0, '', 0, '', '', '', 0, -6, 'SR', '', '', NULL),
		('049', 's', 'Fifth bibliographic subdivision', 'Fifth bibliographic subdivision', 0, 0, '', 0, '', '', '', 0, -6, 'SR', '', '', NULL),
		('049', 't', 'Sixth bibliographic subdivision', 'Sixth bibliographic subdivision', 1, 0, '', 0, '', '', '', 0, -6, 'SR', '', '', NULL),
		('049', 'u', 'Seventh bibliographic subdivision', 'Seventh bibliographic subdivision', 1, 0, '', 0, '', '', '', 0, -6, 'SR', '', '', NULL),
		('049', 'v', 'Seventh bibliographic subdivision', 'Seventh bibliographic subdivision', 1, 0, '', 0, '', '', '', 0, -6, 'SR', '', '', NULL),
		('049', 'y', 'Inclusive dates of publication or coverage', 'Inclusive dates of publication or coverage', 0, 0, '', 0, '', '', '', 0, -6, 'SR', '', '', NULL),
		('050', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, '', 0, '', '', '', 0, -6, 'SR', '', '', NULL),
		('050', '6', 'Collegamento', 'Collegamento', 0, 0, '', 0, '', '', '', 0, -6, 'SR', '', '', NULL),
		('050', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 0, '', '', '', 0, -6, 'SR', '', '', NULL),
		('050', 'a', 'Numero di classificazione', 'Numero di classificazione', 1, 0, '', 0, '', '', '', 0, 0, 'SR', '', '', NULL),
		('050', 'b', 'Numero d\'item', 'Numero d\'item', 0, 0, '', 0, '', '', '', 0, 0, 'SR', '', '', NULL),
		('050', 'd', 'Supplementary class number (MU) [OBSOLETE]', 'Supplementary class number (MU) [OBSOLETE]', 0, 0, '', 0, '', '', '', 0, -6, 'SR', '', '', NULL),
		('051', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 0, '', '', '', 0, -6, 'SR', '', '', NULL),
		('051', 'a', 'Numero di classificazione', 'Numero di classificazione', 0, 0, '', 0, '', '', '', 0, -6, 'SR', '', '', NULL),
		('051', 'b', 'Numero d\'item', 'Numero d\'item', 0, 0, '', 0, '', '', '', 0, -6, 'SR', '', '', NULL),
		('051', 'c', 'Informazione dell\'esemplare', 'Informazione dell\'esemplare', 0, 0, '', 0, '', '', '', 0, -6, 'SR', '', '', NULL),
		('052', '2', 'Fonte del codice', 'Fonte del codice', 0, 0, '', 0, '', '', '', 0, -6, 'SR', '', '', NULL),
		('052', '6', 'Collegamento', 'Collegamento', 0, 0, '', 0, '', '', '', 0, -6, 'SR', '', '', NULL),
		('052', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 0, '', '', '', 0, -6, 'SR', '', '', NULL),
		('052', 'a', 'Codice di classificazione dell\'area geografica', 'Codice di classificazione dell\'area geografica', 0, 0, '', 0, '', '', '', 0, -6, 'SR', '', '', NULL),
		('052', 'b', 'Codice di classificazione della sottoarea geografica', 'Codice di classificazione della sottoarea geografica', 1, 0, '', 0, '', '', '', 0, -6, 'SR', '', '', NULL),
		('052', 'c', 'Subject (MP) [OBSOLETE]', 'Subject (MP) [OBSOLETE]', 0, 0, '', 0, '', '', '', 0, -6, 'SR', '', '', NULL),
		('052', 'd', 'Nome di luogo abitato', 'Nome di luogo abitato', 1, 0, '', 0, '', '', '', 0, -6, 'SR', '', '', NULL),
		('055', '2', 'Fonte del numero di chiamata/classe', 'Fonte del numero di chiamata/classe', 0, 0, '', 0, '', '', '', 0, -6, 'SR', '', '', NULL),
		('055', '6', 'Collegamento', 'Collegamento', 0, 0, '', 0, '', '', '', 0, -6, 'SR', '', '', NULL),
		('055', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 0, '', '', '', 0, -6, 'SR', '', '', NULL),
		('055', 'a', 'Numero di classificazione', 'Numero di classificazione', 0, 0, '', 0, '', '', '', 0, -6, 'SR', '', '', NULL),
		('055', 'b', 'Numero d\'item', 'Numero d\'item', 0, 0, '', 0, '', '', '', 0, -6, 'SR', '', '', NULL),
		('060', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 0, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('060', 'a', 'Numero di classificazione', 'Numero di classificazione', 1, 0, NULL, 0, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('060', 'b', 'Numero d\'item', 'Numero d\'item', 0, 0, NULL, 0, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('061', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 0, '', '', '', 0, -6, 'SR', '', '', NULL),
		('061', 'a', 'Numero di classificazione', 'Numero di classificazione', 1, 0, '', 0, '', '', '', 0, -6, 'SR', '', '', NULL),
		('061', 'b', 'Numero d\'item', 'Numero d\'item', 0, 0, '', 0, '', '', '', 0, -6, 'SR', '', '', NULL),
		('061', 'c', 'Informazione dell\'esemplare', 'Informazione dell\'esemplare', 0, 0, '', 0, '', '', '', 0, -6, 'SR', '', '', NULL),
		('066', 'a', 'Set di caratteri primario G0', 'Set di caratteri primario G0', 0, 0, NULL, 0, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('066', 'b', 'Set di caratteri primario G1', 'Set di caratteri primario G1', 0, 0, NULL, 0, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('066', 'c', 'Set di caratteri alternativo G0 o G1', 'Set di caratteri alternativo G0 o G1', 1, 0, NULL, 0, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('070', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 0, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('070', 'a', 'Numero di classificazione', 'Numero di classificazione', 1, 0, NULL, 0, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('070', 'b', 'Numero d\'item', 'Numero d\'item', 0, 0, NULL, 0, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('071', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 0, '', '', '', 0, -6, 'SR', '', '', NULL),
		('071', 'a', 'Numero di classificazione', 'Numero di classificazione', 1, 0, '', 0, '', '', '', 0, -6, 'SR', '', '', NULL),
		('071', 'b', 'Numero d\'item', 'Numero d\'item', 0, 0, '', 0, '', '', '', 0, -6, 'SR', '', '', NULL),
		('071', 'c', 'Informazione dell\'esemplare', 'Informazione dell\'esemplare', 0, 0, '', 0, '', '', '', 0, -6, 'SR', '', '', NULL),
		('072', '2', 'Fonte', 'Fonte', 0, 0, NULL, 0, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('072', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 0, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('072', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 0, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('072', 'a', 'Codice di categoria di soggetto', 'Codice di categoria di soggetto', 0, 0, NULL, 0, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('072', 'x', 'Suddivisione del codice di categoria di soggetto', 'Suddivisione del codice di categoria di soggetto', 1, 0, NULL, 0, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('074', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 0, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('074', 'a', 'Numero GPO dell\'item', 'Numero GPO dell\'item', 0, 0, NULL, 0, NULL, NULL, '', NULL, -1, 'SR', '', '', NULL),
		('074', 'z', 'Numero GPO dell\'item cancellato/errato', 'Numero GPO dell\'item cancellato/errato', 1, 0, NULL, 0, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('080', '2', 'Numero dell\'edizione', 'Numero dell\'edizione', 0, 0, NULL, 0, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('080', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 0, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('080', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 0, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('080', 'a', 'Numero di Classificazione decimale universale', 'Numero di Classificazione decimale universale', 0, 0, NULL, 0, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('080', 'b', 'Numero d\'item', 'Numero d\'item', 0, 0, NULL, 0, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('080', 'x', 'Suddivisione ausiliare comune', 'Suddivisione ausiliare comune', 1, 0, NULL, 0, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('082', '2', 'Numero dell\'edizione', 'Numero dell\'edizione', 0, 0, '', 0, '', '', '', NULL, 0, 'SR', '', '', NULL),
		('082', '6', 'Collegamento', 'Collegamento', 0, 0, '', 0, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('082', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 0, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('082', 'a', 'Numero di classificazione', 'Numero di classificazione', 1, 0, '', 0, '', '', '', NULL, 0, 'SR', '', '', NULL),
		('082', 'b', 'Numero d\'item', 'Numero d\'item', 0, 0, '', 0, '', '', '', NULL, 0, 'SR', '', '', NULL),
		('084', '2', 'Fonte del numero', 'Fonte del numero', 0, 0, NULL, 0, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('084', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 0, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('084', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 0, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('084', 'a', 'Numero di classificazione', 'Numero di classificazione', 1, 0, NULL, 0, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('084', 'b', 'Numero d\'item', 'Numero d\'item', 0, 0, NULL, 0, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('086', '2', 'Fonte del numero', 'Fonte del numero', 0, 0, NULL, 0, NULL, NULL, '', NULL, -1, 'SR', '', '', NULL),
		('086', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 0, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('086', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 0, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('086', 'a', 'Numero di classificazione', 'Numero di classificazione', 0, 0, NULL, 0, NULL, NULL, '', NULL, -1, 'SR', '', '', NULL),
		('086', 'z', 'Numero di classificazione cancellato/errato', 'Numero di classificazione cancellato/errato', 1, 0, NULL, 0, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('087', 'a', 'Report number [OBSOLETE, CAN/MARC]', 'Report number [OBSOLETE, CAN/MARC]', 0, 0, '', 0, '', '', '', 0, -6, 'SR', '', '', NULL),
		('087', 'z', 'Canceled/invalid report number [OBSOLETE, CAN/MARC]', 'Canceled/invalid report number [OBSOLETE, CAN/MARC]', 1, 0, '', 0, '', '', '', 0, -6, 'SR', '', '', NULL),
		('088', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 0, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('088', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 0, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('088', 'a', 'Numero di rapporto', 'Numero di rapporto', 0, 0, NULL, 0, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('088', 'z', 'Numero di rapporto cancellato/errato', 'Numero di rapporto cancellato/errato', 1, 0, NULL, 0, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('090', 'a', 'Classification number (OCLC) (R) ; Classification number, CALL (RLIN) (NR)', 'Classification number (OCLC) (R) ; Classification number, CALL (RLIN) (NR)', 1, 0, '', 0, '', '', '', 0, -6, 'SR', '', '', NULL),
		('090', 'b', 'Local cutter number (OCLC) ; Book number/undivided call number, CALL (RLIN)', 'Local cutter number (OCLC) ; Book number/undivided call number, CALL (RLIN)', 0, 0, '', 0, '', '', '', 0, -6, 'SR', '', '', NULL),
		('090', 'e', 'Feature heading (OCLC)', 'Feature heading (OCLC)', 0, 0, '', 0, '', '', '', 0, 5, 'SR', '', '', NULL),
		('090', 'f', 'Filing suffix (OCLC); Footnote, FNT (RLIN)', 'Filing suffix (OCLC); Footnote, FNT (RLIN)', 0, 0, '', 0, '', '', '', 0, 5, 'SR', '', '', NULL),
		('090', 'h', 'Output transaction history, HST (RLIN)', 'Output transaction history, HST (RLIN)', 0, 0, '', 0, '', '', '', 0, 5, 'SR', '', '', NULL),
		('090', 'i', 'Output transaction instruction, INS (RLIN)', 'Output transaction instruction, INS (RLIN)', 0, 0, '', 0, '', '', '', 0, 5, 'SR', '', '', NULL),
		('090', 'l', 'Extra card control statement, EXT (RLIN)', 'Extra card control statement, EXT (RLIN)', 0, 0, '', 0, '', '', '', 0, 5, 'SR', '', '', NULL),
		('090', 'n', 'Additional local notes, ANT (RLIN)', 'Additional local notes, ANT (RLIN)', 0, 0, '', 0, '', '', '', 0, 5, 'SR', '', '', NULL),
		('090', 'p', 'Pathfinder code, PTH (RLIN)', 'Pathfinder code, PTH (RLIN)', 0, 0, '', 0, '', '', '', 0, 5, 'SR', '', '', NULL),
		('090', 't', 'Field suppresion, FSP (RLIN)', 'Field suppresion, FSP (RLIN)', 0, 0, '', 0, '', '', '', 0, 5, 'SR', '', '', NULL),
		('090', 'v', 'Volumes, VOL (RLIN)', 'Volumes, VOL (RLIN)', 0, 0, '', 0, '', '', '', 0, 5, 'SR', '', '', NULL),
		('090', 'y', 'Date, VOL (RLIN)', 'Date, VOL (RLIN)', 0, 0, '', 0, '', '', '', 0, 5, 'SR', '', '', NULL),
		('090', 'z', 'Retention, VOL (RLIN)', 'Retention, VOL (RLIN)', 0, 0, '', 0, '', '', '', 0, 5, 'SR', '', '', NULL),
		('091', 'a', 'Microfilm shelf location', 'Microfilm shelf location', 0, 0, '', 0, '', '', '', 0, -6, 'SR', '', '', NULL),
		('092', '2', 'Numero dell\'edizione', 'Numero dell\'edizione', 0, 0, '', 0, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('092', 'a', 'Numero di classificazione', 'Numero di classificazione', 0, 0, '', 0, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('092', 'b', 'Numero d\'item', 'Numero d\'item', 0, 0, '', 0, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('092', 'e', 'Feature heading', 'Feature heading', 0, 0, '', 0, '', '', '', 0, -6, 'SR', '', '', NULL),
		('092', 'f', 'Filing suffix', 'Filing suffix', 0, 0, '', 0, '', '', '', 0, -6, 'SR', '', '', NULL),
		('096', 'a', 'Numero di classificazione', 'Numero di classificazione', 0, 0, '', 0, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('096', 'b', 'Numero d\'item', 'Numero d\'item', 0, 0, '', 0, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('096', 'e', 'Feature heading', 'Feature heading', 0, 0, '', 0, '', '', '', 0, -6, 'SR', '', '', NULL),
		('096', 'f', 'Filing suffix', 'Filing suffix', 0, 0, '', 0, '', '', '', 0, -6, 'SR', '', '', NULL),
		('098', 'a', 'Call number based on other classification scheme', 'Call number based on other classification scheme', 0, 0, '', 0, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('098', 'e', 'Feature heading', 'Feature heading', 0, 0, '', 0, '', '', '', 0, -6, 'SR', '', '', NULL),
		('098', 'f', 'Filing suffix', 'Filing suffix', 0, 0, '', 0, '', '', '', 0, -6, 'SR', '', '', NULL),
		('099', 'a', 'Numero di classificazione', 'Numero di classificazione', 1, 0, '', 0, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('099', 'e', 'Feature heading', 'Feature heading', 0, 0, '', 0, '', '', '', 0, -6, 'SR', '', '', NULL),
		('099', 'f', 'Filing suffix', 'Filing suffix', 0, 0, '', 0, '', '', '', 0, -6, 'SR', '', '', NULL),
		('100', '4', 'Codice di ruolo', 'Codice di ruolo', 1, 0, '', 1, '', '', '', 0, -6, 'SR', '', '', NULL),
		('100', '6', 'Collegamento', 'Collegamento', 0, 0, '', 1, '', '', '', 0, -6, 'SR', '', '', NULL),
		('100', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 1, '', '', '', 0, -6, 'SR', '', '', NULL),
		('100', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 1, '', '', '', 0, 0, 'SR', '', '', NULL),
		('100', 'a', 'Nome di persona', 'Nome di persona', 0, 0, 'biblio.author', 1, '', 'PERSO_NAME', '', 0, -1, 'SR', '''100b'',''100c'',''100q'',''100d'',''100e'',''110a'',''110b'',''110c'',''110d'',''110e'',''111a'',''111e'',''111c'',''111d'',''130a'',''700a'',''700b'',''700c'',''700q'',''700d'',''700e'',''710a'',''710b'',''710c'',''710d'',''710e'',''711a'',''711e'',''711c'',''711d'',''720a'',''720e'',''796a'',''796b'',''796c'',''796q'',''796d'',''796e'',''797a'',''797b'',''797c'',''797d'',''797e'',''798a'',''798e'',''798c'',''798d'',''800a'',''800b'',''800c'',''800q'',''800d'',''800e'',''810a'',''810b'',''810c'',''810d'',''810e'',''811a'',''811e'',''811c'',''811d'',''896a'',''896b'',''896c'',''896q'',''896d'',''896e'',''897a'',''897b'',''897c'',''897d'',''897e'',''898a'',''898e'',''898c'',''898d'',''505r''', '', NULL),
		('100', 'b', 'Numerazione', 'Numerazione', 0, 0, '', 1, '', '', '', 0, -1, 'SR', '', '', NULL),
		('100', 'c', 'Titoli e altre parole associate al nome', 'Titoli e altre parole associate al nome', 1, 0, '', 1, '', '', '', 0, -1, 'SR', '', '', NULL),
		('100', 'd', 'Date associate al nome', 'Date associate al nome', 0, 0, '', 1, '', '', '', 0, -1, 'SR', '', '', NULL),
		('100', 'e', 'Termine di ruolo', 'Termine di ruolo', 1, 0, '', 1, '', '', '', 0, -1, 'SR', '', '', NULL),
		('100', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, '', 1, '', '', '', 0, -6, 'SR', '', '', NULL),
		('100', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, '', 1, '', '', '', 0, -6, 'SR', '', '', NULL),
		('100', 'j', 'Qualificazione d\'attribuzione', 'Qualificazione d\'attribuzione', 1, 0, '', 1, '', '', '', 0, -6, 'SR', '', '', NULL),
		('100', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, '', 1, '', '', '', 0, -6, 'SR', '', '', NULL),
		('100', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, '', 1, '', '', '', 0, -6, 'SR', '', '', NULL),
		('100', 'n', 'Numero di parte/sezione dell\'opera', 'Numero di parte/sezione dell\'opera', 1, 0, '', 1, '', '', '', 0, -6, 'SR', '', '', NULL),
		('100', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, '', 1, '', '', '', 0, -6, 'SR', '', '', NULL),
		('100', 'q', 'Forma completa del nome', 'Forma completa del nome', 0, 0, '', 1, '', '', '', 0, -1, 'SR', '', '', NULL),
		('100', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, '', 1, '', '', '', 0, -6, 'SR', '', '', NULL),
		('100', 'u', 'Affiliazione', 'Affiliazione', 0, 0, '', 1, '', '', '', 0, -6, 'SR', '', '', NULL),
		('110', '4', 'Codice di ruolo', 'Codice di ruolo', 1, 0, '', 1, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('110', '6', 'Collegamento', 'Collegamento', 0, 0, '', 1, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('110', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 1, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('110', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 1, '', '', '', 0, -5, 'SR', '', '', NULL),
		('110', 'a', 'Nome dell\'ente o nome della giurisdizione come accesso', 'Nome dell\'ente o nome della giurisdizione come accesso', 0, 0, '', 1, '', 'CORPO_NAME', '', NULL, -1, 'SR', '', '', NULL),
		('110', 'b', 'Unità subordinata', 'Unità subordinata', 1, 0, '', 1, '', '', '', NULL, -1, 'SR', '', '', NULL),
		('110', 'c', 'Luogo del convegno', 'Luogo del convegno', 0, 0, '', 1, '', '', '', NULL, -1, 'SR', '', '', NULL),
		('110', 'd', 'Data del convegno o di firma del trattato', 'Data del convegno o di firma del trattato', 1, 0, '', 1, '', '', '', NULL, -1, 'SR', '', '', NULL),
		('110', 'e', 'Termine di ruolo', 'Termine di ruolo', 1, 0, '', 1, '', '', '', NULL, -1, 'SR', '', '', NULL),
		('110', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, '', 1, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('110', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, '', 1, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('110', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, '', 1, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('110', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, '', 1, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('110', 'n', 'Numero di parte/sezione/convegno', 'Numero di parte/sezione/convegno', 1, 0, '', 1, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('110', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, '', 1, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('110', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, '', 1, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('110', 'u', 'Affiliazione', 'Affiliazione', 0, 0, '', 1, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('111', '4', 'Codice di ruolo', 'Codice di ruolo', 1, 0, NULL, 1, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('111', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 1, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('111', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 1, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('111', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 1, '', '', '', 0, -5, 'SR', '', '', NULL),
		('111', 'a', 'Nome del convegno o nome della giurisdizione come accesso', 'Nome del convegno o nome della giurisdizione come accesso', 0, 0, NULL, 1, NULL, 'MEETI_NAME', '', NULL, -1, 'SR', '', '', NULL),
		('111', 'b', 'Number [OBSOLETE]', 'Number [OBSOLETE]', 0, 0, NULL, 1, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('111', 'c', 'Luogo del convegno', 'Luogo del convegno', 0, 0, NULL, 1, NULL, NULL, '', NULL, -1, 'SR', '', '', NULL),
		('111', 'd', 'Data del convegno', 'Data del convegno', 0, 0, NULL, 1, NULL, NULL, '', NULL, -1, 'SR', '', '', NULL),
		('111', 'e', 'Unità subordinata', 'Unità subordinata', 1, 0, NULL, 1, NULL, NULL, '', NULL, -1, 'SR', '', '', NULL),
		('111', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, NULL, 1, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('111', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, NULL, 1, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('111', 'j', 'Termine di ruolo', 'Termine di ruolo', 1, 0, NULL, 1, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('111', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, NULL, 1, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('111', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, NULL, 1, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('111', 'n', 'Numero di parte/sezione/convegno', 'Numero di parte/sezione/convegno', 1, 0, NULL, 1, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('111', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, NULL, 1, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('111', 'q', 'Nome del convegno dopo accesso di nome della giurisdizione', 'Nome del convegno dopo accesso di nome della giurisdizione', 0, 0, NULL, 1, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('111', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, NULL, 1, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('111', 'u', 'Affiliazione', 'Affiliazione', 0, 0, NULL, 1, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('130', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 1, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('130', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 1, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('130', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 1, '', '', '', 0, -5, 'SR', '', '', NULL),
		('130', 'a', 'Titolo uniforme', 'Titolo uniforme', 0, 0, NULL, 1, NULL, 'UNIF_TITLE', '', NULL, -6, 'SR', '', '', NULL),
		('130', 'd', 'Data di firma del trattato', 'Data di firma del trattato', 1, 0, NULL, 1, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('130', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, NULL, 1, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('130', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, NULL, 1, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('130', 'h', 'Supporto', 'Supporto', 0, 0, NULL, 1, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('130', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, NULL, 1, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('130', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, NULL, 1, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('130', 'm', 'Mezzo di esecuzione per la musica', 'Mezzo di esecuzione per la musica', 1, 0, NULL, 1, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('130', 'n', 'Numero di parte/sezione dell\'opera', 'Numero di parte/sezione dell\'opera', 1, 0, NULL, 1, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('130', 'o', 'Formulazione d\'arrangiamento per la musica', 'Formulazione d\'arrangiamento per la musica', 0, 0, NULL, 1, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('130', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, NULL, 1, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('130', 'r', 'Tonalità (musica)', 'Tonalità (musica)', 0, 0, NULL, 1, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('130', 's', 'Versione', 'Versione', 0, 0, NULL, 1, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('130', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, NULL, 1, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('210', '2', 'Fonte', 'Fonte', 1, 0, NULL, 2, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('210', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 2, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('210', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 2, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('210', 'a', 'Titolo abbreviato', 'Titolo abbreviato', 0, 0, NULL, 2, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('210', 'b', 'Qualificazione', 'Qualificazione', 0, 0, NULL, 2, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('211', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 2, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('211', 'a', 'Acronym or shortened title', 'Acronym or shortened title', 0, 0, NULL, 2, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('212', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 2, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('212', 'a', 'Acronym or shortened title', 'Acronym or shortened title', 0, 0, NULL, 2, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('214', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 2, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('214', 'a', 'Augmented title', 'Augmented title', 0, 0, NULL, 2, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('222', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 2, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('222', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 2, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('222', 'a', 'Titolo chiave', 'Titolo chiave', 0, 0, NULL, 2, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('222', 'b', 'Qualificazione', 'Qualificazione', 0, 0, NULL, 2, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('240', '6', 'Collegamento', 'Collegamento', 0, 0, '', 2, '', '', '', 0, -6, 'SR', '', '', NULL),
		('240', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 2, '', '', '', 0, -6, 'SR', '', '', NULL),
		('240', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 2, '', '', '', 0, -5, 'SR', '', '', NULL),
		('240', 'a', 'Titolo uniforme', 'Titolo uniforme', 0, 0, 'biblio.unititle', 2, '', '', '', 0, -1, 'SR', '', '', NULL),
		('240', 'd', 'Data di firma del trattato', 'Data di firma del trattato', 1, 0, '', 2, '', '', '', 0, -6, 'SR', '', '', NULL),
		('240', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, '', 2, '', '', '', 0, -6, 'SR', '', '', NULL),
		('240', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, '', 2, '', '', '', 0, -6, 'SR', '', '', NULL),
		('240', 'h', 'Supporto', 'Supporto', 0, 0, '', 2, '', '', '', 0, -1, 'SR', '', '', NULL),
		('240', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, '', 2, '', '', '', 0, -6, 'SR', '', '', NULL),
		('240', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, '', 2, '', '', '', 0, -1, 'SR', '', '', NULL),
		('240', 'm', 'Mezzo di esecuzione per la musica', 'Mezzo di esecuzione per la musica', 1, 0, '', 2, '', '', '', 0, -6, 'SR', '', '', NULL),
		('240', 'n', 'Numero di parte/sezione dell\'opera', 'Numero di parte/sezione dell\'opera', 1, 0, '', 2, '', '', '', 0, -6, 'SR', '', '', NULL),
		('240', 'o', 'Formulazione d\'arrangiamento per la musica', 'Formulazione d\'arrangiamento per la musica', 0, 0, '', 2, '', '', '', 0, -6, 'SR', '', '', NULL),
		('240', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, '', 2, '', '', '', 0, -6, 'SR', '', '', NULL),
		('240', 'r', 'Tonalità (musica)', 'Tonalità (musica)', 0, 0, '', 2, '', '', '', 0, -1, 'SR', '', '', NULL),
		('240', 's', 'Versione', 'Versione', 0, 0, '', 2, '', '', '', 0, -1, 'SR', '', '', NULL),
		('241', 'a', 'Romanized title', 'Romanized title', 0, 0, NULL, 2, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('241', 'h', 'Supporto', 'Supporto', 0, 0, NULL, 2, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('242', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 2, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('242', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 2, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('242', 'a', 'Titolo', 'Titolo', 0, 0, NULL, 2, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('242', 'b', 'Complemento del titolo', 'Complemento del titolo', 0, 0, NULL, 2, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('242', 'c', 'Formulazione di responsabilità, ecc.', 'Formulazione di responsabilità, ecc.', 0, 0, NULL, 2, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('242', 'd', 'Designation of section (BK AM MP MU VM SE) [OBSOLETE]', 'Designation of section (BK AM MP MU VM SE) [OBSOLETE]', 0, 0, '', 2, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('242', 'e', 'Name of part/section (BK AM MP MU VM SE) [OBSOLETE]', 'Name of part/section (BK AM MP MU VM SE) [OBSOLETE]', 0, 0, '', 2, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('242', 'h', 'Supporto', 'Supporto', 0, 0, NULL, 2, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('242', 'n', 'Numero di parte/sezione dell\'opera', 'Numero di parte/sezione dell\'opera', 1, 0, NULL, 2, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('242', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, NULL, 2, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('242', 'y', 'Codice di lingua del titolo tradotto', 'Codice di lingua del titolo tradotto', 0, 0, NULL, 2, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('243', '6', 'Collegamento', 'Collegamento', 0, 0, '', 2, '', '', '', 0, -6, 'SR', '', '', NULL),
		('243', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 2, '', '', '', 0, -6, 'SR', '', '', NULL),
		('243', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 2, '', '', '', 0, -5, 'SR', '', '', NULL),
		('243', 'a', 'Titolo uniforme', 'Titolo uniforme', 0, 0, '', 2, '', '', '', 1, -1, 'SR', '', '', NULL),
		('243', 'd', 'Data di firma del trattato', 'Data di firma del trattato', 1, 0, '', 2, '', '', '', 0, -6, 'SR', '', '', NULL),
		('243', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, '', 2, '', '', '', 0, -6, 'SR', '', '', NULL),
		('243', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, '', 2, '', '', '', 0, -6, 'SR', '', '', NULL),
		('243', 'h', 'Supporto', 'Supporto', 0, 0, '', 2, '', '', '', 0, -1, 'SR', '', '', NULL),
		('243', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, '', 2, '', '', '', 0, -6, 'SR', '', '', NULL),
		('243', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, '', 2, '', '', '', 0, -1, 'SR', '', '', NULL),
		('243', 'm', 'Mezzo di esecuzione per la musica', 'Mezzo di esecuzione per la musica', 1, 0, '', 2, '', '', '', 0, -6, 'SR', '', '', NULL),
		('243', 'n', 'Numero di parte/sezione dell\'opera', 'Numero di parte/sezione dell\'opera', 1, 0, '', 2, '', '', '', 0, -6, 'SR', '', '', NULL),
		('243', 'o', 'Formulazione d\'arrangiamento per la musica', 'Formulazione d\'arrangiamento per la musica', 0, 0, '', 2, '', '', '', 0, -6, 'SR', '', '', NULL),
		('243', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, '', 2, '', '', '', 0, -6, 'SR', '', '', NULL),
		('243', 'r', 'Tonalità (musica)', 'Tonalità (musica)', 0, 0, '', 2, '', '', '', 0, -1, 'SR', '', '', NULL),
		('243', 's', 'Versione', 'Versione', 0, 0, '', 2, '', '', '', 0, -1, 'SR', '', '', NULL),
		('245', '6', 'Collegamento', 'Collegamento', 0, 0, '', 2, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('245', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 2, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('245', 'a', 'Titolo', 'Titolo', 0, 1, 'biblio.title', 2, '', '', '', NULL, 0, 'SR', '''245b'',''245f'',''245g'',''245k'',''245n'',''245p'',''245s'',''245h'',''246i'',''246a'',''246b'',''246f'',''246g'',''246n'',''246p'',''246h'',''242a'',''242b'',''242n'',''242p'',''242h''', '', NULL),
		('245', 'b', 'Complemento del titolo', 'Complemento del titolo', 0, 0, 'bibliosubtitle.subtitle', 2, '', '', '', NULL, 0, 'SR', '', '', NULL),
		('245', 'c', 'Formulazione di responsabilità, ecc.', 'Formulazione di responsabilità, ecc.', 0, 0, '', 2, '', '', '', NULL, 0, 'SR', '', '', NULL),
		('245', 'd', 'Designation of section/part/series (SE) [OBSOLETE]', 'Designation of section/part/series (SE) [OBSOLETE]', 0, 0, '', 2, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('245', 'e', 'Name of part/section/series (SE) [OBSOLETE]', 'Name of part/section/series (SE) [OBSOLETE]', 0, 0, '', 2, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('245', 'f', 'Date inclusive', 'Date inclusive', 0, 0, '', 2, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('245', 'g', 'Date preponderanti', 'Date preponderanti', 0, 0, '', 2, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('245', 'h', 'Supporto', 'Supporto', 0, 0, '', 2, '', '', '', NULL, 0, 'SR', '', '', NULL),
		('245', 'k', 'Forma', 'Forma', 1, 0, '', 2, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('245', 'n', 'Numero di parte/sezione dell\'opera', 'Numero di parte/sezione dell\'opera', 1, 0, '', 2, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('245', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, '', 2, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('245', 's', 'Versione', 'Versione', 0, 0, '', 2, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('246', '5', 'Istituzione a cui si applica il campo', 'Istituzione a cui si applica il campo', 0, 0, '', 2, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('246', '6', 'Collegamento', 'Collegamento', 0, 0, '', 2, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('246', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 2, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('246', 'a', 'Titolo proprio/titolo breve', 'Titolo proprio/titolo breve', 0, 0, '', 2, '', '', '', NULL, -1, 'SR', '', '', NULL),
		('246', 'b', 'Complemento del titolo', 'Complemento del titolo', 0, 0, '', 2, '', '', '', NULL, -1, 'SR', '', '', NULL),
		('246', 'd', 'Designation of section/part/series (SE) [OBSOLETE]', 'Designation of section/part/series (SE) [OBSOLETE]', 0, 0, '', 2, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('246', 'e', 'Name of part/section/series (SE) [OBSOLETE]', 'Name of part/section/series (SE) [OBSOLETE]', 0, 0, '', 2, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('246', 'f', 'Data o designazione sequenziale', 'Data o designazione sequenziale', 0, 0, '', 2, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('246', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, '', 2, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('246', 'h', 'Supporto', 'Supporto', 0, 0, '', 2, '', '', '', NULL, 0, 'SR', '', '', NULL),
		('246', 'i', 'Testo da visualizzare', 'Testo da visualizzare', 0, 0, '', 2, '', '', '', NULL, -1, 'SR', '', '', NULL),
		('246', 'n', 'Numero di parte/sezione dell\'opera', 'Numero di parte/sezione dell\'opera', 1, 0, '', 2, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('246', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, '', 2, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('247', '6', 'Collegamento', 'Collegamento', 0, 0, '', 2, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('247', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 2, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('247', 'a', 'Titolo', 'Titolo', 0, 0, '', 2, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('247', 'b', 'Complemento del titolo', 'Complemento del titolo', 0, 0, '', 2, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('247', 'd', 'Designation of section (SE) [OBSOLETE]', 'Designation of section (SE) [OBSOLETE]', 0, 0, '', 2, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('247', 'e', 'Name of part/section (SE) [OBSOLETE]', 'Name of part/section (SE) [OBSOLETE]', 0, 0, '', 2, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('247', 'f', 'Data o designazione sequenziale', 'Data o designazione sequenziale', 0, 0, '', 2, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('247', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, '', 2, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('247', 'h', 'Supporto', 'Supporto', 0, 0, '', 2, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('247', 'n', 'Numero di parte/sezione dell\'opera', 'Numero di parte/sezione dell\'opera', 1, 0, '', 2, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('247', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, '', 2, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('247', 'x', 'ISSN (International Standard Serial Number)', 'ISSN (International Standard Serial Number)', 0, 0, '', 2, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('250', '6', 'Collegamento', 'Collegamento', 0, 0, '', 2, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('250', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 2, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('250', 'a', 'Formulazione di edizione', 'Formulazione di edizione', 0, 0, 'biblioitems.editionstatement', 2, '', '', '', NULL, -1, 'SR', '', '', NULL),
		('250', 'b', 'Restante parte della formulazione di edizione', 'Restante parte della formulazione di edizione', 0, 0, '', 2, '', '', '', NULL, -1, 'SR', '', '', NULL),
		('254', '6', 'Collegamento', 'Collegamento', 0, 0, '', 2, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('254', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 2, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('254', 'a', 'Formulazione della presentazione musicale', 'Formulazione della presentazione musicale', 0, 0, '', 2, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('255', '6', 'Collegamento', 'Collegamento', 0, 0, '', 2, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('255', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 2, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('255', 'a', 'Formulazione di scala', 'Formulazione di scala', 1, 0, '', 2, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('255', 'b', 'Formulazione di proiezione', 'Formulazione di proiezione', 1, 0, '', 2, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('255', 'c', 'Formulazione di coordinate', 'Formulazione di coordinate', 1, 0, '', 2, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('255', 'd', 'Formulazione di zona', 'Formulazione di zona', 0, 0, '', 2, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('255', 'e', 'Formulazione di equinozio', 'Formulazione di equinozio', 0, 0, '', 2, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('255', 'f', 'Coppie di coordinate d\'inclusione del perimetro', 'Coppie di coordinate d\'inclusione del perimetro', 0, 0, '', 2, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('255', 'g', 'Coppie di coordinate di esclusione del perimetro', 'Coppie di coordinate di esclusione del perimetro', 0, 0, '', 2, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('256', '6', 'Collegamento', 'Collegamento', 0, 0, '', 2, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('256', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 2, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('256', 'a', 'Caratteristiche del computer file', 'Caratteristiche del computer file', 0, 0, '', 2, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('257', '6', 'Collegamento', 'Collegamento', 0, 0, '', 2, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('257', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 2, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('257', 'a', 'Paese dell\'ente produttore', 'Paese dell\'ente produttore', 0, 0, '', 2, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('258', '6', 'Collegamento', 'Collegamento', 0, 0, '', 2, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('258', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 2, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('258', 'a', 'Giurisdizione dell\'emissione', 'Giurisdizione dell\'emissione', 0, 0, '', 2, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('258', 'b', 'Valore facciale', 'Valore facciale', 0, 0, '', 2, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('260', '6', 'Collegamento', 'Collegamento', 0, 0, '', 2, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('260', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 2, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('260', 'a', 'Luogo di pubblicazione, distribuzione, ecc.', 'Luogo di pubblicazione, distribuzione, ecc.', 1, 0, 'biblioitems.place', 2, '', '', '', NULL, 0, 'SR', '', '', NULL),
		('260', 'b', 'Nome dell\'editore, distributore, ecc.', 'Nome dell\'editore, distributore, ecc.', 1, 0, 'biblioitems.publishercode', 2, '', '', '', NULL, 0, 'SR', '', '', NULL),
		('260', 'c', 'Data di pubblicazione, distribuzione, ecc.', 'Data di pubblicazione, distribuzione, ecc.', 1, 0, 'biblio.copyrightdate', 2, '', '', '', NULL, 0, 'SR', '', '', NULL),
		('260', 'd', 'Plate or publisher\'s number for music (Pre-AACR 2) [OBSOLETE, CAN/MARC], [LOCAL, USA]', 'Plate or publisher\'s number for music (Pre-AACR 2) [OBSOLETE, CAN/MARC], [LOCAL, USA]', 0, 0, '', 2, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('260', 'e', 'Luogo di stampa', 'Luogo di stampa', 1, 0, '', 2, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('260', 'f', 'Stampatore', 'Stampatore', 1, 0, '', 2, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('260', 'g', 'Data di stampa', 'Data di stampa', 0, 0, '', 2, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('260', 'k', 'Identification/manufacturer number [OBSOLETE, CAN/MARC]', 'Identification/manufacturer number [OBSOLETE, CAN/MARC]', 0, 0, '', 2, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('260', 'l', 'Matrix and/or take number [OBSOLETE, CAN/MARC]', 'Matrix and/or take number [OBSOLETE, CAN/MARC]', 0, 0, '', 2, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('261', '6', 'Collegamento', 'Collegamento', 0, 0, '', 2, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('261', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 2, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('261', 'a', 'Producing company', 'Producing company', 1, 0, '', 2, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('261', 'b', 'Releasing company (primary distributor)', 'Releasing company (primary distributor)', 1, 0, '', 2, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('261', 'c', 'Date of production, release, etc.', 'Date of production, release, etc.', 1, 0, '', 2, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('261', 'd', 'Date of production, release, etc.', 'Date of production, release, etc.', 1, 0, '', 2, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('261', 'e', 'Contractual producer', 'Contractual producer', 1, 0, '', 2, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('261', 'f', 'Place of production, release, etc.', 'Place of production, release, etc.', 1, 0, '', 2, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('262', '6', 'Collegamento', 'Collegamento', 0, 0, '', 2, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('262', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 2, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('262', 'a', 'Place of production, release, etc.', 'Place of production, release, etc.', 0, 0, '', 2, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('262', 'b', 'Publisher or trade name', 'Publisher or trade name', 0, 0, '', 2, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('262', 'c', 'Date of production, release, etc.', 'Date of production, release, etc.', 0, 0, '', 2, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('262', 'k', 'Serial identification', 'Serial identification', 0, 0, '', 2, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('262', 'l', 'Matrix and/or take number', 'Matrix and/or take number', 0, 0, '', 2, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('263', '6', 'Collegamento', 'Collegamento', 0, 0, '', 2, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('263', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 2, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('263', 'a', 'Data di pubblicazione prevista', 'Data di pubblicazione prevista', 0, 0, '', 2, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('265', '6', 'Linkage [OBSOLETE]', 'Linkage [OBSOLETE]', 0, 0, '', 2, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('265', 'a', 'Source for acquisition/subscription address [OBSOLETE]', 'Source for acquisition/subscription address [OBSOLETE]', 1, 0, '', 2, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('270', '4', 'Codice di ruolo', 'Codice di ruolo', 1, 0, NULL, 9, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('270', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 9, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('270', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 9, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('270', 'a', 'Indirizzo', 'Indirizzo', 1, 0, NULL, 9, NULL, NULL, '', NULL, -1, 'SR', '', '', NULL),
		('270', 'b', 'Città', 'Città', 0, 0, NULL, 9, NULL, NULL, '', NULL, -1, 'SR', '', '', NULL),
		('270', 'c', 'Stato o provincia', 'Stato o provincia', 0, 0, NULL, 9, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('270', 'd', 'Paese', 'Paese', 0, 0, NULL, 9, NULL, NULL, '', NULL, -1, 'SR', '', '', NULL),
		('270', 'e', 'Codice postale', 'Codice postale', 0, 0, NULL, 9, NULL, NULL, '', NULL, -1, 'SR', '', '', NULL),
		('270', 'f', 'Parole che precedono il nome del destinatario', 'Parole che precedono il nome del destinatario', 0, 0, NULL, 9, NULL, NULL, '', NULL, -1, 'SR', '', '', NULL),
		('270', 'g', 'Nome del destinatario', 'Nome del destinatario', 0, 0, NULL, 9, NULL, NULL, '', NULL, -1, 'SR', '', '', NULL),
		('270', 'h', 'Posizione del destinatario', 'Posizione del destinatario', 0, 0, NULL, 9, NULL, NULL, '', NULL, -1, 'SR', '', '', NULL),
		('270', 'i', 'Persona di contatto', 'Persona di contatto', 0, 0, NULL, 9, NULL, NULL, '', NULL, -1, 'SR', '', '', NULL),
		('270', 'j', 'Numero di telefono specializzato', 'Numero di telefono specializzato', 1, 0, NULL, 9, NULL, NULL, '', NULL, -1, 'SR', '', '', NULL),
		('270', 'k', 'Numero di telefono', 'Numero di telefono', 1, 0, NULL, 9, NULL, NULL, '', NULL, -1, 'SR', '', '', NULL),
		('270', 'l', 'Numero di fax', 'Numero di fax', 1, 0, NULL, 9, NULL, NULL, '', NULL, -1, 'SR', '', '', NULL),
		('270', 'm', 'Indirizzo e-mail', 'Indirizzo e-mail', 1, 0, NULL, 9, NULL, NULL, '', NULL, -1, 'SR', '', '', NULL),
		('270', 'n', 'Numero di TDD o TTY', 'Numero di TDD o TTY', 1, 0, NULL, 9, NULL, NULL, '', NULL, -1, 'SR', '', '', NULL),
		('270', 'p', 'Persona di contatto', 'Persona di contatto', 1, 0, NULL, 9, NULL, NULL, '', NULL, -1, 'SR', '', '', NULL),
		('270', 'q', 'Titolo della persona di contatto', 'Titolo della persona di contatto', 1, 0, NULL, 9, NULL, NULL, '', NULL, -1, 'SR', '', '', NULL),
		('270', 'r', 'Ore', 'Ore', 1, 0, NULL, 9, NULL, NULL, '', NULL, -1, 'SR', '', '', NULL),
		('270', 'z', 'Nota pubblica', 'Nota pubblica', 1, 0, NULL, 9, NULL, NULL, '', NULL, -1, 'SR', '', '', NULL),
		('300', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, '', 3, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('300', '6', 'Collegamento', 'Collegamento', 0, 0, '', 3, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('300', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 3, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('300', 'a', 'Estensione', 'Estensione', 1, 1, 'biblioitems.pages', 3, '', '', '', NULL, 0, 'SR', '', '', NULL),
		('300', 'b', 'Altre particolarità fisiche', 'Altre particolarità fisiche', 0, 0, 'biblioitems.illus', 3, '', '', '', 0, 0, 'SR', '', '', NULL),
		('300', 'c', 'Dimensioni', 'Dimensioni', 1, 0, 'biblioitems.size', 3, '', '', '', NULL, 0, 'SR', '', '', NULL),
		('300', 'd', 'Accompanying material [OBSOLETE, CAN/MARC]', 'Accompanying material [OBSOLETE, CAN/MARC]', 0, 0, '', 3, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('300', 'e', 'Materiale allegato', 'Materiale allegato', 0, 0, '', 3, '', '', '', NULL, 0, 'SR', '', '', NULL),
		('300', 'f', 'Tipo di materiale', 'Tipo di materiale', 1, 0, '', 3, '', '', '', NULL, -1, 'SR', '', '', NULL),
		('300', 'g', 'Dimensioni del materiale', 'Dimensioni del materiale', 1, 0, '', 3, '', '', '', NULL, -1, 'SR', '', '', NULL),
		('300', 'k', 'Speed [Videodiscs, pre-AACR2 records only] [OBSOLETE, CAN/MARC]', 'Speed [Videodiscs, pre-AACR2 records only] [OBSOLETE, CAN/MARC]', 0, 0, '', 3, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('300', 'm', 'Identification/manufacturer number [pre-AACR2 records only] [OBSOLETE, CAN/MARC]', 'Identification/manufacturer number [pre-AACR2 records only] [OBSOLETE, CAN/MARC]', 0, 0, '', 3, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('300', 'n', 'Matrix and/or take number [Sound recordings, pre-AACR2 records only] [OBSOLETE, CAN/MARC]', 'Matrix and/or take number [Sound recordings, pre-AACR2 records only] [OBSOLETE, CAN/MARC]', 0, 0, '', 3, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('301', 'a', 'Estensione della copia', 'Estensione della copia', 0, 0, '', 3, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('301', 'b', 'Caratteristiche del suono', 'Caratteristiche del suono', 0, 0, '', 3, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('301', 'c', 'Caratteristiche del colore', 'Caratteristiche del colore', 0, 0, '', 3, '', '', NULL, NULL, -6, 'SR', '', '', NULL),
		('301', 'd', 'Dimensioni', 'Dimensioni', 0, 0, '', 3, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('301', 'e', 'Caratteristiche del suono', 'Caratteristiche del suono', 0, 0, '', 3, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('301', 'f', 'Velocità', 'Velocità', 0, 0, '', 3, '', '', NULL, NULL, -6, 'SR', '', '', NULL),
		('302', 'a', 'Page count', 'Page count', 0, 0, '', 3, '', '', NULL, NULL, -6, 'SR', '', '', NULL),
		('303', 'a', 'Unit count', 'Unit count', 0, 0, '', 3, '', '', NULL, NULL, -6, 'SR', '', '', NULL),
		('304', 'a', 'Linear footage', 'Linear footage', 0, 0, '', 3, '', '', NULL, NULL, -6, 'SR', '', '', NULL),
		('305', '6', 'Collegamento', 'Collegamento', 0, 0, '', 3, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('305', 'a', 'Estensione', 'Estensione', 0, 0, '', 3, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('305', 'b', 'Altre particolarità fisiche', 'Altre particolarità fisiche', 0, 0, '', 3, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('305', 'c', 'Dimensioni', 'Dimensioni', 0, 0, '', 3, '', '', NULL, NULL, -6, 'SR', '', '', NULL),
		('305', 'd', 'Microgroove or standard', 'Microgroove or standard', 0, 0, '', 3, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('305', 'e', 'Stereofonico, monoaurale', 'Stereofonico, monoaurale', 0, 0, '', 3, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('305', 'f', 'Numero dei tracciati', 'Numero dei tracciati', 0, 0, '', 3, '', '', NULL, NULL, -6, 'SR', '', '', NULL),
		('305', 'm', 'Serial identification', 'Serial identification', 0, 0, '', 3, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('305', 'n', 'Matrix and/or take number', 'Matrix and/or take number', 0, 0, '', 3, '', '', NULL, NULL, -6, 'SR', '', '', NULL),
		('306', '6', 'Collegamento', 'Collegamento', 0, 0, '', 3, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('306', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 3, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('306', 'a', 'Durata di riproduzione', 'Durata di riproduzione', 0, 0, '', 3, '', '', '', NULL, 0, 'SR', '', '', NULL),
		('307', '6', 'Collegamento', 'Collegamento', 0, 0, '', 3, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('307', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 3, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('307', 'a', 'Ore', 'Ore', 0, 0, '', 3, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('307', 'b', 'Informazione addizionale', 'Informazione addizionale', 0, 0, '', 3, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('308', '6', 'Collegamento', 'Collegamento', 0, 0, '', 3, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('308', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 3, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('308', 'a', 'Numero di bobine', 'Numero di bobine', 0, 0, '', 3, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('308', 'b', 'Footage', 'Footage', 0, 0, '', 3, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('308', 'c', 'Caratteristiche del suono', 'Caratteristiche del suono', 0, 0, '', 3, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('308', 'd', 'Caratteristiche del colore', 'Caratteristiche del colore', 0, 0, '', 3, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('308', 'e', 'Larghezza', 'Larghezza', 0, 0, '', 3, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('308', 'f', 'Formato di presentazione', 'Formato di presentazione', 0, 0, '', 3, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('310', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('310', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('310', 'a', 'Periodicità corrente della pubblicazione', 'Periodicità corrente della pubblicazione', 0, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('310', 'b', 'Data di periodicità corrente della pubblicazione', 'Data di periodicità corrente della pubblicazione', 0, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('315', '6', 'Collegamento', 'Collegamento', 0, 0, '', 3, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('315', 'a', 'Frequenza', 'Frequenza', 1, 0, '', 3, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('315', 'b', 'Date della frequenza', 'Date della frequenza', 1, 0, '', 3, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('321', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('321', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('321', 'a', 'Periodicità precedente della pubblicazione', 'Periodicità precedente della pubblicazione', 0, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('321', 'b', 'Date di periodicità precedente della pubblicazione', 'Date di periodicità precedente della pubblicazione', 0, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('340', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, '', 3, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('340', '6', 'Collegamento', 'Collegamento', 0, 0, '', 3, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('340', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 3, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('340', 'a', 'Base e composizione del materiale', 'Base e composizione del materiale', 1, 0, '', 3, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('340', 'b', 'Dimensioni', 'Dimensioni', 1, 0, '', 3, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('340', 'c', 'Materiali applicati alla superficie', 'Materiali applicati alla superficie', 1, 0, '', 3, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('340', 'd', 'Tecnica della registrazione della informazione', 'Tecnica della registrazione della informazione', 1, 0, '', 3, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('340', 'e', 'Supporto', 'Supporto', 1, 0, '', 3, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('340', 'f', 'Fattore/proporzione di produzione comprensibile (ad es., giri al minuto per le registrazioni)', 'Fattore/proporzione di produzione comprensibile (ad es., giri al minuto per le registrazioni)', 1, 0, '', 3, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('340', 'h', 'Localizzazione nel supporto', 'Localizzazione nel supporto', 1, 0, '', 3, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('340', 'i', 'Specificazioni tecniche del supporto', 'Specificazioni tecniche del supporto', 1, 0, '', 3, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('342', '2', 'Metodo di riferimento usato', 'Metodo di riferimento usato', 0, 0, '', 3, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('342', '6', 'Collegamento', 'Collegamento', 0, 0, '', 3, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('342', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 3, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('342', 'a', 'Nome', 'Nome', 1, 0, '', 3, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('342', 'b', 'Unità di distanza o di coordinate', 'Unità di distanza o di coordinate', 0, 0, '', 3, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('342', 'c', 'Risoluzione di latitudine', 'Risoluzione di latitudine', 0, 0, '', 3, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('342', 'd', 'Risoluzione di longitudine', 'Risoluzione di longitudine', 0, 0, '', 3, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('342', 'e', 'Parallela standard o latitudine di lineare obliqua', 'Parallela standard o latitudine di lineare obliqua', 1, 0, '', 3, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('342', 'f', 'Longitudine di lineare obliqua', 'Longitudine di lineare obliqua', 1, 0, '', 3, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('342', 'g', 'Longitudine del meridiano centrale o del centro della proiezione', 'Longitudine del meridiano centrale o del centro della proiezione', 0, 0, '', 3, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('342', 'h', 'Latitudine dell\'origine della proiezione o del centro della proiezione', 'Latitudine dell\'origine della proiezione o del centro della proiezione', 0, 0, '', 3, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('342', 'i', 'Ascissa falsa', 'Ascissa falsa', 0, 0, '', 3, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('342', 'j', 'Ordinata falsa', 'Ordinata falsa', 0, 0, '', 3, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('342', 'k', 'Fattore di scala', 'Fattore di scala', 0, 0, '', 3, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('342', 'l', 'Altezza del punto di vista sulla superficie', 'Altezza del punto di vista sulla superficie', 0, 0, '', 3, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('342', 'm', 'Angolo d\'azimut', 'Angolo d\'azimut', 0, 0, '', 3, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('342', 'n', 'Longitudine del punto di misura d\'azimut o longitudine verticale retta dal polo', 'Longitudine del punto di misura d\'azimut o longitudine verticale retta dal polo', 0, 0, '', 3, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('342', 'o', 'Numero del Landsat e numero di traiettoria', 'Numero del Landsat e numero di traiettoria', 0, 0, '', 3, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('342', 'p', 'Identificatore di zona', 'Identificatore di zona', 0, 0, '', 3, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('342', 'q', 'Nome dell\'ellissoide', 'Nome dell\'ellissoide', 0, 0, '', 3, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('342', 'r', 'Semiasse maggiore', 'Semiasse maggiore', 0, 0, '', 3, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('342', 's', 'Denominatore del rapporto di spianatura', 'Denominatore del rapporto di spianatura', 0, 0, '', 3, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('342', 't', 'Risoluzione verticale', 'Risoluzione verticale', 0, 0, '', 3, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('342', 'u', 'Metodo di codifica verticale', 'Metodo di codifica verticale', 0, 0, '', 3, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('342', 'v', 'Proiezione locale piana, locale o diversa o descrizione del reticolato', 'Proiezione locale piana, locale o diversa o descrizione del reticolato', 0, 0, '', 3, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('342', 'w', 'Informazione di riferimento geospaziale locale piano o locale', 'Informazione di riferimento geospaziale locale piano o locale', 0, 0, '', 3, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('343', '6', 'Collegamento', 'Collegamento', 0, 0, '', 3, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('343', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 3, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('343', 'a', 'Metodo di codifica di coordinate piane', 'Metodo di codifica di coordinate piane', 1, 0, '', 3, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('343', 'b', 'Unità di distanza piana', 'Unità di distanza piana', 0, 0, '', 3, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('343', 'c', 'Risoluzione dell\'ascissa', 'Risoluzione dell\'ascissa', 0, 0, '', 3, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('343', 'd', 'Risoluzione dell\'ordinata', 'Risoluzione dell\'ordinata', 0, 0, '', 3, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('343', 'e', 'Risoluzione di distanza', 'Risoluzione di distanza', 0, 0, '', 3, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('343', 'f', 'Risoluzione di orientamento', 'Risoluzione di orientamento', 0, 0, '', 3, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('343', 'g', 'Unità di orientamento', 'Unità di orientamento', 0, 0, '', 3, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('343', 'h', 'Direzione di riferimento dell\'orientamento', 'Direzione di riferimento dell\'orientamento', 0, 0, '', 3, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('343', 'i', 'Meridiano di riferimento dell\'orientamento', 'Meridiano di riferimento dell\'orientamento', 0, 0, '', 3, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('350', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('350', 'a', 'Prezzo', 'Prezzo', 1, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('350', 'b', 'Forma dell\'emissione', 'Forma dell\'emissione', 1, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('351', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('351', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('351', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('351', 'a', 'Organizzazione', 'Organizzazione', 1, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('351', 'b', 'Ordinamento', 'Ordinamento', 1, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('351', 'c', 'Livello gerarchico', 'Livello gerarchico', 0, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('352', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('352', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('352', 'a', 'Metodo di riferimento diretto', 'Metodo di riferimento diretto', 0, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('352', 'b', 'Tipo di oggetto', 'Tipo di oggetto', 1, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('352', 'c', 'Contatore di oggetti', 'Contatore di oggetti', 1, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('352', 'd', 'Contatore di linee', 'Contatore di linee', 0, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('352', 'e', 'Contattore di colonne', 'Contattore di colonne', 0, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('352', 'f', 'Contattore verticale', 'Contattore verticale', 0, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('352', 'g', 'Livello di topologia VPF', 'Livello di topologia VPF', 0, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('352', 'i', 'Descrizione di riferimento indiretto', 'Descrizione di riferimento indiretto', 0, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('355', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('355', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('355', 'a', 'Classificazione di sicurezza', 'Classificazione di sicurezza', 0, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('355', 'b', 'Istruzioni per l\'uso', 'Istruzioni per l\'uso', 1, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('355', 'c', 'Informazione di diffusione esterna', 'Informazione di diffusione esterna', 1, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('355', 'd', 'Informazione di riduzione del livello di sicurezza o di declassificazione', 'Informazione di riduzione del livello di sicurezza o di declassificazione', 0, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('355', 'e', 'Sistema di classificazione', 'Sistema di classificazione', 0, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('355', 'f', 'Codice del paese di origine', 'Codice del paese di origine', 0, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('355', 'g', 'Data di riduzione del livello di sicurezza', 'Data di riduzione del livello di sicurezza', 0, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('355', 'h', 'Data di declassificazione', 'Data di declassificazione', 0, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('355', 'j', 'Autorizzazione', 'Autorizzazione', 1, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('357', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('357', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('357', 'a', 'Termine di controllo del creatore', 'Termine di controllo del creatore', 0, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('357', 'b', 'Agenzia di diffusione', 'Agenzia di diffusione', 1, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('357', 'c', 'Destinatari autorizzati del materiale', 'Destinatari autorizzati del materiale', 1, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('357', 'g', 'Altre restrizioni', 'Altre restrizioni', 1, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('359', 'a', 'Prezzo del prestito', 'Prezzo del prestito', 0, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('362', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('362', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('362', 'a', 'Date della pubblicazione e/o designazione sequenziale', 'Date della pubblicazione e/o designazione sequenziale', 0, 0, 'biblioitems.volumedesc', 3, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('362', 'z', 'Fonte dell\'informazione', 'Fonte dell\'informazione', 0, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('365', '2', 'Fonte del codice del tipo di prezzo', 'Fonte del codice del tipo di prezzo', 0, 0, '', 9, '', '', '', NULL, -1, 'SR', '', '', NULL),
		('365', '6', 'Collegamento', 'Collegamento', 0, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('365', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('365', 'a', 'Codice del tipo di prezzo', 'Codice del tipo di prezzo', 0, 0, '', 9, '', '', '', NULL, -1, 'SR', '', '', NULL),
		('365', 'b', 'Prezzo totale', 'Prezzo totale', 0, 0, '', 9, '', '', '', NULL, -1, 'SR', '', '', NULL),
		('365', 'c', 'Codice della valuta', 'Codice della valuta', 0, 0, '', 9, '', '', '', NULL, -1, 'SR', '', '', NULL),
		('365', 'd', 'Unità de fissazione del prezzo', 'Unità de fissazione del prezzo', 0, 0, '', 9, '', '', '', NULL, -1, 'SR', '', '', NULL),
		('365', 'e', 'Nota sul prezzo', 'Nota sul prezzo', 0, 0, '', 9, '', '', '', NULL, -1, 'SR', '', '', NULL),
		('365', 'f', 'Prezzo in vigore dal', 'Prezzo in vigore dal', 0, 0, '', 9, '', '', '', NULL, -1, 'SR', '', '', NULL),
		('365', 'g', 'Prezzo in vigore fino al', 'Prezzo in vigore fino al', 0, 0, '', 9, '', '', '', NULL, -1, 'SR', '', '', NULL),
		('365', 'h', 'Aliquota 1', 'Aliquota 1', 0, 0, '', 9, '', '', '', NULL, -1, 'SR', '', '', NULL),
		('365', 'i', 'Aliquota 2', 'Aliquota 2', 0, 0, '', 9, '', '', '', NULL, -1, 'SR', '', '', NULL),
		('365', 'j', 'Codice ISO del paese', 'Codice ISO del paese', 0, 0, '', 9, '', '', '', NULL, -1, 'SR', '', '', NULL),
		('365', 'k', 'Codice MARC del paese', 'Codice MARC del paese', 0, 0, '', 9, '', '', '', NULL, -1, 'SR', '', '', NULL),
		('365', 'm', 'Identificazione dell\'ente di fissazione del prezzo', 'Identificazione dell\'ente di fissazione del prezzo', 0, 0, '', 9, '', '', '', NULL, -1, 'SR', '', '', NULL),
		('366', '2', 'Fonte dello stato di disponibilità', 'Fonte dello stato di disponibilità', 0, 0, '', 9, '', '', '', NULL, -1, 'SR', '', '', NULL),
		('366', '6', 'Collegamento', 'Collegamento', 0, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('366', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('366', 'a', 'Identificazione editoriale abbreviata di titolo', 'Identificazione editoriale abbreviata di titolo', 0, 0, '', 9, '', '', '', NULL, -1, 'SR', '', '', NULL),
		('366', 'b', 'Data dettagliata di pubblicazione', 'Data dettagliata di pubblicazione', 0, 0, '', 9, '', '', '', NULL, -1, 'SR', '', '', NULL),
		('366', 'c', 'Codice dello stato di disponibilità', 'Codice dello stato di disponibilità', 0, 0, '', 9, '', '', '', NULL, -1, 'SR', '', '', NULL),
		('366', 'd', 'Data prevedibile della prossima disponibilità', 'Data prevedibile della prossima disponibilità', 0, 0, '', 9, '', '', '', NULL, -1, 'SR', '', '', NULL),
		('366', 'e', 'Nota', 'Nota', 0, 0, '', 9, '', '', '', NULL, -1, 'SR', '', '', NULL),
		('366', 'f', 'Tipo di sconto dell\'editore', 'Tipo di sconto dell\'editore', 0, 0, '', 9, '', '', '', NULL, -1, 'SR', '', '', NULL),
		('366', 'g', 'Data di esaurimento', 'Data di esaurimento', 0, 0, '', 9, '', '', '', NULL, -1, 'SR', '', '', NULL),
		('366', 'j', 'Codice ISO del paese', 'Codice ISO del paese', 0, 0, '', 9, '', '', '', NULL, -1, 'SR', '', '', NULL),
		('366', 'k', 'Codice MARC del paese', 'Codice MARC del paese', 0, 0, '', 9, '', '', '', NULL, -1, 'SR', '', '', NULL),
		('366', 'm', 'Identificazione dell\'agenzia', 'Identificazione dell\'agenzia', 0, 0, '', 9, '', '', '', NULL, -1, 'SR', '', '', NULL),
		('400', '4', 'Codice di ruolo', 'Codice di ruolo', 1, 0, '', 4, '', '', '', 0, -6, 'SR', '', '', NULL),
		('400', '6', 'Collegamento', 'Collegamento', 0, 0, '', 4, '', '', '', 0, -6, 'SR', '', '', NULL),
		('400', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 4, '', '', '', 0, -6, 'SR', '', '', NULL),
		('400', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 4, '', '', '', 0, -5, 'SR', '', '', NULL),
		('400', 'a', 'Nome di persona', 'Nome di persona', 0, 0, '', 4, '', '', '', 0, -6, 'SR', '', '', NULL),
		('400', 'b', 'Numerazione', 'Numerazione', 0, 0, '', 4, '', '', '', 0, -6, 'SR', '', '', NULL),
		('400', 'c', 'Titoli e altre parole associate al nome', 'Titoli e altre parole associate al nome', 1, 0, '', 4, '', '', '', 0, -6, 'SR', '', '', NULL),
		('400', 'd', 'Date associate al nome', 'Date associate al nome', 0, 0, '', 4, '', '', '', 0, -6, 'SR', '', '', NULL),
		('400', 'e', 'Termine di ruolo', 'Termine di ruolo', 1, 0, '', 4, '', '', '', 0, -6, 'SR', '', '', NULL),
		('400', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, '', 4, '', '', '', 0, -6, 'SR', '', '', NULL),
		('400', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, '', 4, '', '', '', 0, -6, 'SR', '', '', NULL),
		('400', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, '', 4, '', '', '', 0, -6, 'SR', '', '', NULL),
		('400', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, '', 4, '', '', '', 0, -6, 'SR', '', '', NULL),
		('400', 'n', 'Numero di parte/sezione dell\'opera', 'Numero di parte/sezione dell\'opera', 1, 0, '', 4, '', '', '', 0, -6, 'SR', '', '', NULL),
		('400', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, '', 4, '', '', '', 0, -6, 'SR', '', '', NULL),
		('400', 'q', 'Forma completa del nome', 'Forma completa del nome', 0, 0, '', 4, '', '', '', 0, -6, 'SR', '', '', NULL),
		('400', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, '', 4, '', '', '', 0, -6, 'SR', '', '', NULL),
		('400', 'u', 'Affiliazione', 'Affiliazione', 0, 0, '', 4, '', '', '', 0, -6, 'SR', '', '', NULL),
		('400', 'v', 'Numero del volume/designazione di sequenza', 'Numero del volume/designazione di sequenza', 0, 0, '', 4, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('400', 'x', 'ISSN (International Standard Serial Number)', 'ISSN (International Standard Serial Number)', 0, 0, '', 4, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('410', '4', 'Codice di ruolo', 'Codice di ruolo', 1, 0, '', 4, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('410', '6', 'Collegamento', 'Collegamento', 0, 0, '', 4, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('410', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 4, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('410', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 4, '', '', '', 0, -6, 'SR', '', '', NULL),
		('410', 'a', 'Nome dell\'ente o nome della giurisdizione come accesso', 'Nome dell\'ente o nome della giurisdizione come accesso', 0, 0, '', 4, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('410', 'b', 'Unità subordinata', 'Unità subordinata', 1, 0, '', 4, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('410', 'c', 'Luogo del convegno', 'Luogo del convegno', 0, 0, '', 4, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('410', 'd', 'Data del convegno o di firma del trattato', 'Data del convegno o di firma del trattato', 1, 0, '', 4, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('410', 'e', 'Termine di ruolo', 'Termine di ruolo', 1, 0, '', 4, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('410', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, '', 4, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('410', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, '', 4, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('410', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, '', 4, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('410', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, '', 4, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('410', 'n', 'Numero di parte/sezione/convegno', 'Numero di parte/sezione/convegno', 1, 0, '', 4, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('410', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, '', 4, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('410', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, '', 4, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('410', 'u', 'Affiliazione', 'Affiliazione', 0, 0, '', 4, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('410', 'v', 'Numero del volume/designazione di sequenza', 'Numero del volume/designazione di sequenza', 0, 0, '', 4, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('410', 'x', 'ISSN (International Standard Serial Number)', 'ISSN (International Standard Serial Number)', 0, 0, '', 4, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('411', '4', 'Codice di ruolo', 'Codice di ruolo', 1, 0, NULL, 4, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('411', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 4, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('411', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 4, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('411', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 4, '', '', '', 0, -5, 'SR', '', '', NULL),
		('411', 'a', 'Nome del convegno o nome della giurisdizione come accesso', 'Nome del convegno o nome della giurisdizione come accesso', 0, 0, NULL, 4, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('411', 'b', 'Number [OBSOLETE]', 'Number [OBSOLETE]', 0, 0, NULL, 4, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('411', 'c', 'Luogo del convegno', 'Luogo del convegno', 0, 0, NULL, 4, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('411', 'd', 'Data del convegno', 'Data del convegno', 0, 0, NULL, 4, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('411', 'e', 'Unità subordinata', 'Unità subordinata', 1, 0, NULL, 4, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('411', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, NULL, 4, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('411', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, NULL, 4, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('411', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, NULL, 4, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('411', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, NULL, 4, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('411', 'n', 'Numero di parte/sezione/convegno', 'Numero di parte/sezione/convegno', 1, 0, NULL, 4, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('411', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, NULL, 4, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('411', 'q', 'Nome del convegno dopo accesso di nome della giurisdizione', 'Nome del convegno dopo accesso di nome della giurisdizione', 0, 0, NULL, 4, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('411', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, NULL, 4, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('411', 'u', 'Affiliazione', 'Affiliazione', 0, 0, NULL, 4, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('411', 'v', 'Numero del volume/designazione di sequenza', 'Numero del volume/designazione di sequenza', 0, 0, '', 4, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('411', 'x', 'ISSN (International Standard Serial Number)', 'ISSN (International Standard Serial Number)', 0, 0, '', 4, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('440', '6', 'Collegamento', 'Collegamento', 0, 0, '', 4, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('440', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 4, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('440', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 4, '', '', '', 0, -5, 'SR', '', '', NULL),
		('440', 'a', 'Titolo', 'Titolo', 0, 0, 'biblio.seriestitle', 4, '', 'UNIF_TITLE', '', NULL, 0, 'SR', '''440n'',''440p'',''490a'',''830a'',''830n'',''830p'',''899a''', '', NULL),
		('440', 'n', 'Numero di parte/sezione dell\'opera', 'Numero di parte/sezione dell\'opera', 1, 0, 'biblioitems.number', 4, '', '', '', NULL, 0, 'SR', '', '', NULL),
		('440', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, '', 4, '', '', '', NULL, 0, 'SR', '', '', NULL),
		('440', 'v', 'Numero del volume/designazione di sequenza', 'Numero del volume/designazione di sequenza', 0, 0, 'biblioitems.volume', 4, '', '', '', NULL, 0, 'SR', '', '', NULL),
		('440', 'x', 'ISSN (International Standard Serial Number)', 'ISSN (International Standard Serial Number)', 0, 0, '', 4, '', '', '', NULL, 0, 'SR', '', '', NULL),
		('490', '6', 'Collegamento', 'Collegamento', 0, 0, '', 4, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('490', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 4, '', '', NULL, NULL, -6, 'SR', '', '', NULL),
		('490', 'a', 'Formulazione della serie', 'Formulazione della serie', 1, 0, '', 4, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('490', 'l', 'Numero di chiamata (collocazione) della Library of Congress', 'Numero di chiamata (collocazione) della Library of Congress', 0, 0, '', 4, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('490', 'v', 'Numero del volume/designazione di sequenza', 'Numero del volume/designazione di sequenza', 1, 0, '', 4, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('490', 'x', 'ISSN (International Standard Serial Number)', 'ISSN (International Standard Serial Number)', 0, 0, '', 4, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('500', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, '', 5, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('500', '5', 'Istituzione a cui si applica il campo', 'Istituzione a cui si applica il campo', 0, 0, '', 5, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('500', '6', 'Collegamento', 'Collegamento', 0, 0, '', 5, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('500', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 5, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('500', 'a', 'Nota generale', 'Nota generale', 0, 0, 'biblio.notes', 5, '', '', '', NULL, -1, 'SR', '', '', NULL),
		('500', 'l', 'Library of Congress call number (SE) [OBSOLETE]', 'Library of Congress call number (SE) [OBSOLETE]', 0, 0, '', 5, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('500', 'n', 'n (RLIN) [OBSOLETE]', 'n (RLIN) [OBSOLETE]', 0, 0, '', 5, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('500', 'x', 'International Standard Serial Number (SE) [OBSOLETE]', 'International Standard Serial Number (SE) [OBSOLETE]', 0, 0, '', 5, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('500', 'z', 'Source of note information (AM SE) [OBSOLETE]', 'Source of note information (AM SE) [OBSOLETE]', 0, 0, '', 5, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('501', '5', 'Istituzione a cui si applica il campo', 'Istituzione a cui si applica il campo', 0, 0, '', 5, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('501', '6', 'Collegamento', 'Collegamento', 0, 0, '', 5, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('501', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 5, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('501', 'a', 'Nota  Pubblicato con', 'Nota  Pubblicato con', 0, 0, '', 5, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('502', '6', 'Collegamento', 'Collegamento', 0, 0, '', 5, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('502', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 5, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('502', 'a', 'Nota di dissertazione', 'Nota di dissertazione', 0, 0, '', 5, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('503', '8', 'Collegamento', 'Collegamento', 0, 0, '', 5, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('503', 'a', 'Bibliographic history note', 'Bibliographic history note', 0, 0, '', 5, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('504', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('504', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('504', 'a', 'Nota di bibliografia, ecc.', 'Nota di bibliografia, ecc.', 0, 0, '', 5, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('504', 'b', 'Numero dei riferimenti', 'Numero dei riferimenti', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('505', '6', 'Collegamento', 'Collegamento', 0, 0, '', 5, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('505', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 5, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('505', 'a', 'Nota formattata di contenuto', 'Nota formattata di contenuto', 0, 0, '', 5, '', '', '', NULL, -1, 'SR', '', '', NULL),
		('505', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 1, 0, '', 5, '', '', '', NULL, -1, 'SR', '', '', NULL),
		('505', 'r', 'Formulazione di responsabilità', 'Formulazione di responsabilità', 1, 0, '', 5, '', '', '', NULL, -1, 'SR', '', '', NULL),
		('505', 't', 'Titolo', 'Titolo', 1, 0, '', 5, '', '', '', NULL, -1, 'SR', '', '', NULL),
		('505', 'u', 'URI (Uniform Resource Identifier)', 'URI (Uniform Resource Identifier)', 1, 0, '', 5, '', '', '', 1, -1, 'SR', '', '', NULL),
		('506', '2', 'Fonte', 'Fonte', 0, 0, '', 5, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('506', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, '', 5, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('506', '5', 'Istituzione a cui si applica il campo', 'Istituzione a cui si applica il campo', 0, 0, '', 5, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('506', '6', 'Collegamento', 'Collegamento', 0, 0, '', 5, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('506', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 5, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('506', 'a', 'Condizioni che regolano l\'accesso', 'Condizioni che regolano l\'accesso', 0, 0, '', 5, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('506', 'b', 'Competenza legale', 'Competenza legale', 1, 0, '', 5, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('506', 'c', 'Disposizioni per l\'accesso fisico', 'Disposizioni per l\'accesso fisico', 1, 0, '', 5, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('506', 'd', 'Utenti autorizzati', 'Utenti autorizzati', 1, 0, '', 5, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('506', 'e', 'Autorizzazione', 'Autorizzazione', 1, 0, '', 5, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('506', 'f', 'Terminologia normalizzata della restrizione all’accesso', 'Terminologia normalizzata della restrizione all’accesso', 1, 0, '', 5, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('506', 'u', 'URI (Uniform Resource Identifier)', 'URI (Uniform Resource Identifier)', 1, 0, '', 5, '', '', '', 1, -6, 'SR', '', '', NULL),
		('507', '6', 'Collegamento', 'Collegamento', 0, 0, '', 5, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('507', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 5, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('507', 'a', 'Nota di frazione rappresentativa di scala', 'Nota di frazione rappresentativa di scala', 0, 0, '', 5, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('507', 'b', 'Restante parte della nota di scala', 'Restante parte della nota di scala', 0, 0, '', 5, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('508', '6', 'Collegamento', 'Collegamento', 0, 0, '', 5, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('508', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('508', 'a', 'Nota sui crediti di creazione/produzione', 'Nota sui crediti di creazione/produzione', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('509', 'a', 'Note informali', 'Note informali', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('510', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, '', 5, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('510', '6', 'Collegamento', 'Collegamento', 0, 0, '', 5, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('510', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 5, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('510', 'a', 'Nome della fonte', 'Nome della fonte', 0, 0, '', 5, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('510', 'b', 'Copertura della fonte', 'Copertura della fonte', 0, 0, '', 5, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('510', 'c', 'Localizzazione nella fonte', 'Localizzazione nella fonte', 0, 0, '', 5, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('510', 'x', 'ISSN (International Standard Serial Number)', 'ISSN (International Standard Serial Number)', 0, 0, '', 5, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('511', '6', 'Collegamento', 'Collegamento', 0, 0, '', 5, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('511', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 5, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('511', 'a', 'Nota sui partecipanti o interpreti', 'Nota sui partecipanti o interpreti', 0, 0, '', 5, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('512', '6', 'Collegamento', 'Collegamento', 0, 0, '', -1, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('512', 'a', 'Earlier or later volumes separately cataloged note', 'Earlier or later volumes separately cataloged note', 0, 0, '', -1, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('513', '6', 'Collegamento', 'Collegamento', 0, 0, '', 5, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('513', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 5, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('513', 'a', 'Tipo di rapporto', 'Tipo di rapporto', 0, 0, '', 5, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('513', 'b', 'Periodo coperto', 'Periodo coperto', 0, 0, '', 5, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('514', '6', 'Collegamento', 'Collegamento', 0, 0, '', 5, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('514', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 5, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('514', 'a', 'Rapporto di esattezza degli attributi', 'Rapporto di esattezza degli attributi', 0, 0, '', 5, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('514', 'b', 'Valore di esattezza degli attributi', 'Valore di esattezza degli attributi', 1, 0, '', 5, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('514', 'c', 'Spiegazione della esattezza degli attributi', 'Spiegazione della esattezza degli attributi', 1, 0, '', 5, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('514', 'd', 'Rapporto di coerenza logica', 'Rapporto di coerenza logica', 0, 0, '', 5, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('514', 'e', 'Rapporto di completezza', 'Rapporto di completezza', 0, 0, '', 5, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('514', 'f', 'Rapporto di esattezza di posizione orizzontale', 'Rapporto di esattezza di posizione orizzontale', 0, 0, '', 5, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('514', 'g', 'Valore di esattezza di posizione orizzontale', 'Valore di esattezza di posizione orizzontale', 1, 0, '', 5, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('514', 'h', 'Spiegazione della esattezza di posizione orizzontale', 'Spiegazione della esattezza di posizione orizzontale', 1, 0, '', 5, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('514', 'i', 'Rapporto di esattezza di posizione verticale', 'Rapporto di esattezza di posizione verticale', 0, 0, '', 5, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('514', 'j', 'Valore di esattezza di posizione verticale', 'Valore di esattezza di posizione verticale', 1, 0, '', 5, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('514', 'k', 'Spiegazione della esattezza di posizione verticale', 'Spiegazione della esattezza di posizione verticale', 1, 0, '', 5, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('514', 'm', 'Nuvolosità', 'Nuvolosità', 0, 0, '', 5, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('514', 'u', 'URI (Uniform Resource Identifier)', 'URI (Uniform Resource Identifier)', 1, 0, '', 5, '', '', '', 1, -6, 'SR', '', '', NULL),
		('514', 'z', 'Nota di visualizzazione', 'Nota di visualizzazione', 1, 0, '', 5, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('515', '6', 'Collegamento', 'Collegamento', 0, 0, '', 5, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('515', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 5, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('515', 'a', 'Nota su particolarità della numerazione', 'Nota su particolarità della numerazione', 0, 0, '', 5, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('515', 'z', 'Source of note information (SE) [OBSOLETE]', 'Source of note information (SE) [OBSOLETE]', 0, 0, '', -1, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('516', '6', 'Collegamento', 'Collegamento', 0, 0, '', 5, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('516', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 5, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('516', 'a', 'Nota sul tipo di computer file o di file di dati', 'Nota sul tipo di computer file o di file di dati', 0, 0, '', 5, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('517', 'a', 'Formati multipli', 'Formati multipli', 0, 0, '', 5, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('517', 'b', 'Descrittori del contenuto', 'Descrittori del contenuto', 1, 0, '', 5, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('517', 'c', 'Tecniche d\'animazione addizionali', 'Tecniche d\'animazione addizionali', 1, 0, '', 5, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('518', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, '', 5, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('518', '6', 'Collegamento', 'Collegamento', 0, 0, '', 5, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('518', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 5, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('518', 'a', 'Nota sulla data/ora e luogo dell\'evento', 'Nota sulla data/ora e luogo dell\'evento', 0, 0, '', 5, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('520', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, '', 5, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('520', '6', 'Collegamento', 'Collegamento', 0, 0, '', 5, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('520', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 5, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('520', 'a', 'Nota di riassunto, ecc.', 'Nota di riassunto, ecc.', 0, 0, 'biblio.abstract', 5, '', '', '', NULL, -1, 'SR', '', '', NULL),
		('520', 'b', 'Nota di estensione del riassunto', 'Nota di estensione del riassunto', 0, 0, '', 5, '', '', '', NULL, -1, 'SR', '', '', NULL),
		('520', 'u', 'URI (Uniform Resource Identifier)', 'URI (Uniform Resource Identifier)', 1, 0, '', 5, '', '', '', 1, -1, 'SR', '', '', NULL),
		('520', 'z', 'Source of note information [OBSOLETE]', 'Source of note information [OBSOLETE]', 0, 0, '', 5, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('521', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('521', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('521', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('521', 'a', 'Nota sui destinatari', 'Nota sui destinatari', 1, 0, NULL, 5, NULL, NULL, '', NULL, -1, 'SR', '', '', NULL),
		('521', 'b', 'Fonte', 'Fonte', 0, 0, NULL, 5, NULL, NULL, '', NULL, -1, 'SR', '', '', NULL),
		('522', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('522', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('522', 'a', 'Nota di copertura geografica', 'Nota di copertura geografica', 0, 0, NULL, 5, NULL, NULL, '', NULL, -1, 'SR', '', '', NULL),
		('523', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('523', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('523', 'a', 'Time period of content note', 'Time period of content note', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('524', '2', 'Fonte dello schema usato', 'Fonte dello schema usato', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('524', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('524', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('524', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('524', 'a', 'Nota sulla citazione preferita dei materiali descritti', 'Nota sulla citazione preferita dei materiali descritti', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('525', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('525', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('525', 'a', 'Nota di supplemento', 'Nota di supplemento', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('525', 'z', 'Source of note information (SE) [OBSOLETE]', 'Source of note information (SE) [OBSOLETE]', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('526', '5', 'Istituzione a cui si applica il campo', 'Istituzione a cui si applica il campo', 0, 0, '', 5, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('526', '6', 'Collegamento', 'Collegamento', 0, 0, '', 5, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('526', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 5, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('526', 'a', 'Nome del programma', 'Nome del programma', 0, 0, '', 5, '', '', '', NULL, -1, 'SR', '', '', NULL),
		('526', 'b', 'Livello d\'interesse', 'Livello d\'interesse', 0, 0, '', 5, '', '', '', NULL, -1, 'SR', '', '', NULL),
		('526', 'c', 'Livello di lettura', 'Livello di lettura', 0, 0, '', 5, '', '', '', NULL, -1, 'SR', '', '', NULL),
		('526', 'd', 'Valore numerico del titolo', 'Valore numerico del titolo', 0, 0, '', 5, '', '', '', NULL, -1, 'SR', '', '', NULL),
		('526', 'i', 'Testo da visualizzare', 'Testo da visualizzare', 0, 0, '', 5, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('526', 'x', 'Nota non pubblic', 'Nota non pubblic', 1, 0, '', 5, '', '', '', NULL, 6, 'SR', '', '', NULL),
		('526', 'z', 'Nota pubblica', 'Nota pubblica', 1, 0, '', 5, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('527', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('527', 'a', 'Censorship note', 'Censorship note', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('530', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('530', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('530', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('530', 'a', 'Nota sulla disponibilità su altro supporto fisico', 'Nota sulla disponibilità su altro supporto fisico', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('530', 'b', 'Fonte di disponibilità', 'Fonte di disponibilità', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('530', 'c', 'Condizioni di disponibilità', 'Condizioni di disponibilità', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('530', 'd', 'Numero di ordine', 'Numero di ordine', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('530', 'u', 'URI (Uniform Resource Identifier)', 'URI (Uniform Resource Identifier)', 1, 0, NULL, 5, NULL, NULL, '', 1, -6, 'SR', '', '', NULL),
		('530', 'z', 'Source of note information (AM CF VM SE) [OBSOLETE]', 'Source of note information (AM CF VM SE) [OBSOLETE]', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('533', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('533', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('533', '7', 'Elementi di lunghezza fissa della riproduzione', 'Elementi di lunghezza fissa della riproduzione', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('533', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('533', 'a', 'Tipo di riproduzione', 'Tipo di riproduzione', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('533', 'b', 'Luogo di riproduzione', 'Luogo di riproduzione', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('533', 'c', 'Agenzia responsabile della riproduzione', 'Agenzia responsabile della riproduzione', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('533', 'd', 'Data di riproduzione', 'Data di riproduzione', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('533', 'e', 'Descrizione fisica della riproduzione', 'Descrizione fisica della riproduzione', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('533', 'f', 'Formulazione della serie della riproduzione', 'Formulazione della serie della riproduzione', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('533', 'm', 'Date e/o designazione sequenziale dei documenti riprodotti', 'Date e/o designazione sequenziale dei documenti riprodotti', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('533', 'n', 'Nota sulla riproduzione', 'Nota sulla riproduzione', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('534', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('534', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('534', 'a', 'Accesso principale dell\'originale', 'Accesso principale dell\'originale', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('534', 'b', 'Formulazione di edizione dell\'originale', 'Formulazione di edizione dell\'originale', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('534', 'c', 'Pubblicazione, distribuzione, ecc., dell\'originale', 'Pubblicazione, distribuzione, ecc., dell\'originale', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('534', 'e', 'Descrizione fisica, ecc., dell\'originale', 'Descrizione fisica, ecc., dell\'originale', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('534', 'f', 'Formulazione della serie dell\'originale', 'Formulazione della serie dell\'originale', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('534', 'k', 'Titolo chiave dell\'originale', 'Titolo chiave dell\'originale', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('534', 'l', 'Localizzazione dell\'originale', 'Localizzazione dell\'originale', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('534', 'm', 'Dettagli specifici del materiale', 'Dettagli specifici del materiale', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('534', 'n', 'Nota sull\'originale', 'Nota sull\'originale', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('534', 'p', 'Frase introduttiva', 'Frase introduttiva', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('534', 't', 'Formulazione del titolo dell\'originale', 'Formulazione del titolo dell\'originale', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('534', 'x', 'ISSN (International Standard Serial Number)', 'ISSN (International Standard Serial Number)', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('534', 'z', 'ISBN (International Standard Book Number)', 'ISBN (International Standard Book Number)', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('535', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('535', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('535', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('535', 'a', 'Conservatore', 'Conservatore', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('535', 'b', 'Indirizzo postale', 'Indirizzo postale', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('535', 'c', 'Paese', 'Paese', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('535', 'd', 'Indirizzo di telecomunicazione', 'Indirizzo di telecomunicazione', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('535', 'g', 'Codice di localizzazione del deposito', 'Codice di localizzazione del deposito', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('536', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('536', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('536', 'a', 'Testo della nota', 'Testo della nota', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('536', 'b', 'Numero di contratto', 'Numero di contratto', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('536', 'c', 'Numero di sovvenzione', 'Numero di sovvenzione', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('536', 'd', 'Numero indifferenziato', 'Numero indifferenziato', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('536', 'e', 'Numero di elemento di un programma', 'Numero di elemento di un programma', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('536', 'f', 'Numero di progetto', 'Numero di progetto', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('536', 'g', 'Numero di unità di lavoro', 'Numero di unità di lavoro', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('536', 'h', 'Numero di unità di lavoro', 'Numero di unità di lavoro', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('537', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('537', 'a', 'Source of data note', 'Source of data note', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('538', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('538', '6', 'Collegamento', 'Collegamento', 0, 0, '', 5, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('538', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 5, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('538', 'a', 'Nota sui requisiti del sistema', 'Nota sui requisiti del sistema', 0, 0, '', 5, '', '', '', NULL, -1, 'SR', '', '', NULL),
		('538', 'i', 'Testo da visualizzare', 'Testo da visualizzare', 0, 0, '', 5, '', '', '', NULL, -1, 'SR', '', '', NULL),
		('538', 'u', 'URI (Uniform Resource Identifier)', 'URI (Uniform Resource Identifier)', 1, 0, '', 5, '', '', '', 1, -1, 'SR', '', '', NULL),
		('540', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('540', '5', 'Istituzione a cui si applica il campo', 'Istituzione a cui si applica il campo', 0, 0, '', 5, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('540', '6', 'Collegamento', 'Collegamento', 0, 0, '', 5, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('540', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 5, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('540', 'a', 'Condizioni che regolano l\'utilizzo e la riproduzione', 'Condizioni che regolano l\'utilizzo e la riproduzione', 0, 0, '', 5, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('540', 'b', 'Competenza legale', 'Competenza legale', 0, 0, '', 5, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('540', 'c', 'Autorizzazione', 'Autorizzazione', 0, 0, '', 5, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('540', 'd', 'Utenti autorizzati', 'Utenti autorizzati', 0, 0, '', 5, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('540', 'u', 'URI (Uniform Resource Identifier)', 'URI (Uniform Resource Identifier)', 1, 0, '', 5, '', '', '', 1, -6, 'SR', '', '', NULL),
		('541', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, NULL, 9, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('541', '5', 'Istituzione a cui si applica il campo', 'Istituzione a cui si applica il campo', 0, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('541', '6', 'Collegamento', 'Collegamento', 0, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('541', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('541', 'a', 'Fonte d\'acquisto', 'Fonte d\'acquisto', 0, 0, '', 9, '', '', '', NULL, 1, 'SR', '', '', NULL),
		('541', 'b', 'Indirizzo', 'Indirizzo', 0, 0, '', 9, '', '', '', NULL, 1, 'SR', '', '', NULL),
		('541', 'c', 'Metodo d\'acquisto', 'Metodo d\'acquisto', 0, 0, '', 9, '', '', '', NULL, 1, 'SR', '', '', NULL),
		('541', 'd', 'Data d\'acquisto', 'Data d\'acquisto', 0, 0, '', 9, '', '', '', NULL, 1, 'SR', '', '', NULL),
		('541', 'e', 'Numero d\'accessione', 'Numero d\'accessione', 0, 0, '', 9, '', '', '', NULL, 1, 'SR', '', '', NULL),
		('541', 'f', 'Proprietario', 'Proprietario', 0, 0, '', 9, '', '', '', NULL, 1, 'SR', '', '', NULL),
		('541', 'h', 'Prezzo d\'acquisto', 'Prezzo d\'acquisto', 0, 0, '', 9, '', '', '', NULL, 1, 'SR', '', '', NULL),
		('541', 'n', 'Estensione', 'Estensione', 0, 0, '', 9, '', '', '', NULL, 1, 'SR', '', '', NULL),
		('541', 'o', 'Tipo di materiale', 'Tipo di materiale', 1, 0, '', 9, '', '', '', NULL, 1, 'SR', '', '', NULL),
		('543', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('543', 'a', 'Solicitation information note', 'Solicitation information note', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('544', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('544', '6', 'Collegamento', 'Collegamento', 0, 0, '', 5, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('544', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 5, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('544', 'a', 'Conservatore', 'Conservatore', 1, 0, '', 5, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('544', 'b', 'Indirizzo', 'Indirizzo', 1, 0, '', 5, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('544', 'c', 'Paese', 'Paese', 1, 0, '', 5, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('544', 'd', 'Titolo', 'Titolo', 1, 0, '', 5, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('544', 'e', 'Provenienza', 'Provenienza', 1, 0, '', 5, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('544', 'n', 'Nota', 'Nota', 1, 0, '', 5, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('545', '6', 'Collegamento', 'Collegamento', 0, 0, '', 5, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('545', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 5, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('545', 'a', 'Nota biografica o storica', 'Nota biografica o storica', 0, 0, '', 5, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('545', 'b', 'Ampliamento', 'Ampliamento', 0, 0, '', 5, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('545', 'u', 'URI (Uniform Resource Identifier)', 'URI (Uniform Resource Identifier)', 1, 0, '', 5, '', '', '', 1, -6, 'SR', '', '', NULL),
		('546', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('546', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('546', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('546', 'a', 'Nota sulla lingua', 'Nota sulla lingua', 0, 0, NULL, 5, NULL, NULL, '', NULL, -1, 'SR', '', '', NULL),
		('546', 'b', 'Codice d\'informazione o alfabeto', 'Codice d\'informazione o alfabeto', 1, 0, NULL, 5, NULL, NULL, '', NULL, -1, 'SR', '', '', NULL),
		('546', 'z', 'Source of note information (SE) [OBSOLETE]', 'Source of note information (SE) [OBSOLETE]', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('547', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('547', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('547', 'a', 'Nota sulla complessità del titolo precedente', 'Nota sulla complessità del titolo precedente', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('547', 'z', 'Source of note information (SE) [OBSOLETE]', 'Source of note information (SE) [OBSOLETE]', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('550', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('550', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('550', 'a', 'Nota sull\'ente responsabile', 'Nota sull\'ente responsabile', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('550', 'z', 'Source of note information (SE) [OBSOLETE]', 'Source of note information (SE) [OBSOLETE]', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('552', '6', 'Collegamento', 'Collegamento', 0, 0, '', 5, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('552', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 5, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('552', 'a', 'Etichetta del tipo di ente', 'Etichetta del tipo di ente', 0, 0, '', 5, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('552', 'b', 'Definizione e fonte del tipo di ente', 'Definizione e fonte del tipo di ente', 0, 0, '', 5, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('552', 'c', 'Etichetta dell\'attributo', 'Etichetta dell\'attributo', 0, 0, '', 5, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('552', 'd', 'Definizione e fonte dell\'attributo', 'Definizione e fonte dell\'attributo', 0, 0, '', 5, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('552', 'e', 'Valore del dominio enumerato', 'Valore del dominio enumerato', 1, 0, '', 5, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('552', 'f', 'Definizione e fonte del valore del dominio enumerato', 'Definizione e fonte del valore del dominio enumerato', 1, 0, '', 5, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('552', 'g', 'Minimo e massimo del range del dominio', 'Minimo e massimo del range del dominio', 0, 0, '', 5, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('552', 'h', 'Nome e fonte del set dei codici', 'Nome e fonte del set dei codici', 0, 0, '', 5, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('552', 'i', 'Dominio non rappresentabile', 'Dominio non rappresentabile', 0, 0, '', 5, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('552', 'j', 'Unità di misura e risoluzione degli attributi', 'Unità di misura e risoluzione degli attributi', 0, 0, '', 5, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('552', 'k', 'Data d\'inizio e data di fine dei valori dell\'attributo', 'Data d\'inizio e data di fine dei valori dell\'attributo', 0, 0, '', 5, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('552', 'l', 'Esattezza del valore dell\'attributo', 'Esattezza del valore dell\'attributo', 0, 0, '', 5, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('552', 'm', 'Spiegazione dell\'esattezza del valore dell\'attributo', 'Spiegazione dell\'esattezza del valore dell\'attributo', 0, 0, '', 5, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('552', 'n', 'Frequenza della misura d\'attributo', 'Frequenza della misura d\'attributo', 0, 0, '', 5, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('552', 'o', 'Riassunto di ente e d\'attributo', 'Riassunto di ente e d\'attributo', 1, 0, '', 5, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('552', 'p', 'Citazione dei dettagli di ente e d\'attributo', 'Citazione dei dettagli di ente e d\'attributo', 1, 0, '', 5, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('552', 'u', 'URI (Uniform Resource Identifier)', 'URI (Uniform Resource Identifier)', 1, 0, '', 5, '', '', '', 1, -6, 'SR', '', '', NULL),
		('552', 'z', 'Nota di visualizzazione', 'Nota di visualizzazione', 1, 0, '', 5, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('555', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('555', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('555', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('555', 'a', 'Nota sull\'indice cumulativo/strumenti di ricerca', 'Nota sull\'indice cumulativo/strumenti di ricerca', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('555', 'b', 'Fonte di disponibilità', 'Fonte di disponibilità', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('555', 'c', 'Grado di controllo', 'Grado di controllo', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('555', 'd', 'Riferimento bibliografico', 'Riferimento bibliografico', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('555', 'u', 'URI (Uniform Resource Identifier)', 'URI (Uniform Resource Identifier)', 1, 0, NULL, 5, NULL, NULL, '', 1, -6, 'SR', '', '', NULL),
		('556', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('556', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('556', 'a', 'Nota d\'informazione sulla documentazione', 'Nota d\'informazione sulla documentazione', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('556', 'z', 'ISBN (International Standard Book Number)', 'ISBN (International Standard Book Number)', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('561', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('561', '5', 'Istituzione a cui si applica il campo', 'Istituzione a cui si applica il campo', 0, 0, '', 5, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('561', '6', 'Collegamento', 'Collegamento', 0, 0, '', 5, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('561', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 5, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('561', 'a', 'Storia', 'Storia', 0, 0, '', 5, '', '', '', NULL, 6, 'SR', '', '', NULL),
		('561', 'b', 'Time of collation [OBSOLETE]', 'Time of collation [OBSOLETE]', 0, 0, '', 5, '', '', '', NULL, 6, 'SR', '', '', NULL),
		('562', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('562', '5', 'Istituzione a cui si applica il campo', 'Istituzione a cui si applica il campo', 0, 0, NULL, -1, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('562', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('562', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('562', 'a', 'Marche d\'identificazione', 'Marche d\'identificazione', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('562', 'b', 'Identificazione della copia', 'Identificazione della copia', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('562', 'c', 'Identificazione della versione', 'Identificazione della versione', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('562', 'd', 'Formato di presentazione', 'Formato di presentazione', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('562', 'e', 'Numero di copie', 'Numero di copie', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('563', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('563', '5', 'Istituzione a cui si applica il campo', 'Istituzione a cui si applica il campo', 0, 0, NULL, -1, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('563', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('563', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('563', 'a', 'Nota sulla rilegatura', 'Nota sulla rilegatura', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('563', 'u', 'URI (Uniform Resource Identifier)', 'URI (Uniform Resource Identifier)', 1, 0, NULL, 5, NULL, NULL, '', 1, -6, 'SR', '', '', NULL),
		('565', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('565', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('565', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('565', 'a', 'Numero di pratiche/variabili', 'Numero di pratiche/variabili', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('565', 'b', 'Nome della variabile', 'Nome della variabile', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('565', 'c', 'Unità d\'analisi', 'Unità d\'analisi', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('565', 'd', 'Universo dei dati', 'Universo dei dati', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('565', 'e', 'Sistema o codice d’archiviazione', 'Sistema o codice d’archiviazione', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('567', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('567', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('567', 'a', 'Nota sulla metodologia', 'Nota sulla metodologia', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('570', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('570', 'a', 'Editor note', 'Editor note', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('570', 'z', 'Source of note information', 'Source of note information', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('580', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('580', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('580', 'a', 'Nota di collegamento complesso', 'Nota di collegamento complesso', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('580', 'z', 'Source of note information [OBSOLETE]', 'Source of note information [OBSOLETE]', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('581', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('581', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('581', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('581', 'a', 'Nota di pubblicazioni sui materiali descritti', 'Nota di pubblicazioni sui materiali descritti', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('581', 'z', 'ISBN (International Standard Book Number)', 'ISBN (International Standard Book Number)', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('582', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('582', 'a', 'Related computer files note', 'Related computer files note', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('583', '2', 'Fonte', 'Fonte', 0, 0, NULL, 9, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('583', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, NULL, 9, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('583', '5', 'Istituzione a cui si applica il campo', 'Istituzione a cui si applica il campo', 0, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('583', '6', 'Collegamento', 'Collegamento', 0, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('583', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('583', 'a', 'Azione', 'Azione', 0, 0, '', 9, '', '', '', NULL, -1, 'SR', '', '', NULL),
		('583', 'b', 'Identificazione dell\'azione', 'Identificazione dell\'azione', 1, 0, '', 9, '', '', '', NULL, -1, 'SR', '', '', NULL),
		('583', 'c', 'Momento/data dell\'azione', 'Momento/data dell\'azione', 1, 0, '', 9, '', '', '', NULL, -1, 'SR', '', '', NULL),
		('583', 'd', 'Intervallo dell\'azione', 'Intervallo dell\'azione', 1, 0, '', 9, '', '', '', NULL, -1, 'SR', '', '', NULL),
		('583', 'e', 'Contingenza per l\'azione', 'Contingenza per l\'azione', 1, 0, '', 9, '', '', '', NULL, -1, 'SR', '', '', NULL),
		('583', 'f', 'Autorizzazione', 'Autorizzazione', 1, 0, '', 9, '', '', '', NULL, -1, 'SR', '', '', NULL),
		('583', 'h', 'Competenza legale', 'Competenza legale', 0, 0, '', 9, '', '', '', NULL, -1, 'SR', '', '', NULL),
		('583', 'i', 'Metodo dell\'azione', 'Metodo dell\'azione', 1, 0, '', 9, '', '', '', NULL, -1, 'SR', '', '', NULL),
		('583', 'j', 'Luogo dell\'azione', 'Luogo dell\'azione', 1, 0, '', 9, '', '', '', NULL, -1, 'SR', '', '', NULL),
		('583', 'k', 'Agente dell\'azione', 'Agente dell\'azione', 1, 0, '', 9, '', '', '', NULL, -1, 'SR', '', '', NULL),
		('583', 'l', 'Stato', 'Stato', 1, 0, '', 9, '', '', '', NULL, -1, 'SR', '', '', NULL),
		('583', 'n', 'Estensione', 'Estensione', 1, 0, '', 9, '', '', '', NULL, -1, 'SR', '', '', NULL),
		('583', 'o', 'Tipo di materiale', 'Tipo di materiale', 1, 0, '', 9, '', '', '', NULL, -1, 'SR', '', '', NULL),
		('583', 'u', 'URI (Uniform Resource Identifier)', 'URI (Uniform Resource Identifier)', 1, 0, '', 9, '', '', '', 1, -1, 'SR', '', '', NULL),
		('583', 'x', 'Nota non pubblic', 'Nota non pubblic', 1, 0, '', 9, '', '', '', NULL, 4, 'SR', '', '', NULL),
		('583', 'z', 'Nota pubblica', 'Nota pubblica', 1, 0, '', 9, '', '', '', NULL, -1, 'SR', '', '', NULL),
		('584', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('584', '5', 'Istituzione a cui si applica il campo', 'Istituzione a cui si applica il campo', 0, 0, '', 5, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('584', '6', 'Collegamento', 'Collegamento', 0, 0, '', 5, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('584', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 5, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('584', 'a', 'Accumulo', 'Accumulo', 1, 0, '', 5, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('584', 'b', 'Frequenza d\'uso', 'Frequenza d\'uso', 1, 0, '', 5, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('585', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('585', '5', 'Istituzione a cui si applica il campo', 'Istituzione a cui si applica il campo', 0, -6, '', 5, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('585', '6', 'Collegamento', 'Collegamento', 0, 0, '', 5, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('585', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 5, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('585', 'a', 'Nota di mostre', 'Nota di mostre', 0, 0, '', 5, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('586', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('586', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('586', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('586', 'a', 'Nota di premi', 'Nota di premi', 0, 0, NULL, 5, NULL, NULL, '', NULL, -1, 'SR', '', '', NULL),
		('590', '6', 'Linkage (RLIN)', 'Linkage (RLIN)', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('590', '8', 'Field link and sequence number (RLIN)', 'Field link and sequence number (RLIN)', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('590', 'a', 'Local note', 'Local note', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('590', 'b', 'Provenance (VM) [OBSOLETE]', 'Provenance (VM) [OBSOLETE]', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('590', 'c', 'Condition of individual reels (VM) [OBSOLETE]', 'Condition of individual reels (VM) [OBSOLETE]', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('590', 'd', 'Origin of safety copy (VM) [OBSOLETE]', 'Origin of safety copy (VM) [OBSOLETE]', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('600', '2', 'Fonte dell\'intestazione o del termine', 'Fonte dell\'intestazione o del termine', 0, 0, '', 6, '', '', '', NULL, -1, 'SR', '', '', NULL),
		('600', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, '', 6, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('600', '4', 'Codice di ruolo', 'Codice di ruolo', 1, 0, '', 6, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('600', '6', 'Collegamento', 'Collegamento', 0, 0, '', 6, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('600', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 6, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('600', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 6, '', '', '', 0, -5, 'SR', '', '', NULL),
		('600', 'a', 'Nome di persona', 'Nome di persona', 0, 0, '', 6, '', 'PERSO_NAME', '', NULL, -1, 'SR', '', '', NULL),
		('600', 'b', 'Numerazione', 'Numerazione', 0, 0, '', 6, '', '', '', NULL, -1, 'SR', '', '', NULL),
		('600', 'c', 'Titoli e altre parole associate al nome', 'Titoli e altre parole associate al nome', 1, 0, '', 6, '', '', '', NULL, -1, 'SR', '', '', NULL),
		('600', 'd', 'Date associate al nome', 'Date associate al nome', 0, 0, '', 6, '', '', '', NULL, -1, 'SR', '', '', NULL),
		('600', 'e', 'Termine di ruolo', 'Termine di ruolo', 1, 0, '', 6, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('600', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, '', 6, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('600', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, '', 6, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('600', 'h', 'Supporto', 'Supporto', 0, 0, '', 6, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('600', 'j', 'Qualificazione d\'attribuzione', 'Qualificazione d\'attribuzione', 1, 0, '', 6, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('600', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, '', 6, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('600', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, '', 6, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('600', 'm', 'Mezzo di esecuzione per la musica', 'Mezzo di esecuzione per la musica', 1, 0, '', 6, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('600', 'n', 'Numero di parte/sezione dell\'opera', 'Numero di parte/sezione dell\'opera', 1, 0, '', 6, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('600', 'o', 'Formulazione d\'arrangiamento per la musica', 'Formulazione d\'arrangiamento per la musica', 0, 0, '', 6, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('600', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, '', 6, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('600', 'q', 'Forma completa del nome', 'Forma completa del nome', 0, 0, '', 6, '', '', '', NULL, -1, 'SR', '', '', NULL),
		('600', 'r', 'Tonalità (musica)', 'Tonalità (musica)', 0, 0, '', 6, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('600', 's', 'Versione', 'Versione', 0, 0, '', 6, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('600', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, '', 6, '', '', '', NULL, -1, 'SR', '', '', NULL),
		('600', 'u', 'Affiliazione', 'Affiliazione', 0, 0, '', 6, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('600', 'v', 'Suddivisione geografica', 'Suddivisione geografica', 1, 0, '', 6, '', '', '', NULL, -1, 'SR', '', '', NULL),
		('600', 'x', 'Suddivisione generale', 'Suddivisione generale', 1, 0, '', 6, '', '', '', NULL, -1, 'SR', '', '', NULL),
		('600', 'y', 'Suddivisione cronologica', 'Suddivisione cronologica', 1, 0, '', 6, '', '', '', NULL, -1, 'SR', '', '', NULL),
		('600', 'z', 'Suddivisione geografica', 'Suddivisione geografica', 1, 0, '', 6, '', '', '', NULL, -1, 'SR', '', '', NULL),
		('610', '2', 'Fonte dell\'intestazione o del termine', 'Fonte dell\'intestazione o del termine', 0, 0, '', 6, '', '', '', NULL, -1, 'SR', '', '', NULL),
		('610', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, '', 6, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('610', '4', 'Codice di ruolo', 'Codice di ruolo', 1, 0, '', 6, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('610', '6', 'Collegamento', 'Collegamento', 0, 0, '', 6, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('610', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 6, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('610', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 6, '', '', '', 0, -5, 'SR', '', '', NULL),
		('610', 'a', 'Nome dell\'ente o nome della giurisdizione come accesso', 'Nome dell\'ente o nome della giurisdizione come accesso', 0, 0, '', 6, '', 'CORPO_NAME', '', NULL, -1, 'SR', '', '', NULL),
		('610', 'b', 'Unità subordinata', 'Unità subordinata', 1, 0, '', 6, '', '', '', NULL, -1, 'SR', '', '', NULL),
		('610', 'c', 'Luogo del convegno', 'Luogo del convegno', 0, 0, '', 6, '', '', '', NULL, -1, 'SR', '', '', NULL),
		('610', 'd', 'Data del convegno o di firma del trattato', 'Data del convegno o di firma del trattato', 1, 0, '', 6, '', '', '', NULL, -1, 'SR', '', '', NULL),
		('610', 'e', 'Termine di ruolo', 'Termine di ruolo', 1, 0, '', 6, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('610', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, '', 6, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('610', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, '', 6, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('610', 'h', 'Supporto', 'Supporto', 0, 0, '', 6, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('610', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, '', 6, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('610', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, '', 6, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('610', 'm', 'Mezzo di esecuzione per la musica', 'Mezzo di esecuzione per la musica', 1, 0, '', 6, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('610', 'n', 'Numero di parte/sezione/convegno', 'Numero di parte/sezione/convegno', 1, 0, '', 6, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('610', 'o', 'Formulazione d\'arrangiamento per la musica', 'Formulazione d\'arrangiamento per la musica', 0, 0, '', 6, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('610', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, '', 6, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('610', 'r', 'Tonalità (musica)', 'Tonalità (musica)', 0, 0, '', 6, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('610', 's', 'Versione', 'Versione', 0, 0, '', 6, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('610', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, '', 6, '', '', '', NULL, -1, 'SR', '', '', NULL),
		('610', 'u', 'Affiliazione', 'Affiliazione', 0, 0, '', 6, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('610', 'v', 'Suddivisione geografica', 'Suddivisione geografica', 1, 0, '', 6, '', '', '', NULL, -1, 'SR', '', '', NULL),
		('610', 'x', 'Suddivisione generale', 'Suddivisione generale', 1, 0, '', 6, '', '', '', NULL, -1, 'SR', '', '', NULL),
		('610', 'y', 'Suddivisione cronologica', 'Suddivisione cronologica', 1, 0, '', 6, '', '', '', NULL, -1, 'SR', '', '', NULL),
		('610', 'z', 'Suddivisione geografica', 'Suddivisione geografica', 1, 0, '', 6, '', '', '', NULL, -1, 'SR', '', '', NULL),
		('611', '2', 'Fonte dell\'intestazione o del termine', 'Fonte dell\'intestazione o del termine', 0, 0, NULL, 6, NULL, NULL, '', NULL, -1, 'SR', '', '', NULL),
		('611', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('611', '4', 'Codice di ruolo', 'Codice di ruolo', 1, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('611', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('611', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('611', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 6, '', '', '', 0, -5, 'SR', '', '', NULL),
		('611', 'a', 'Nome del convegno o nome della giurisdizione come accesso', 'Nome del convegno o nome della giurisdizione come accesso', 0, 0, NULL, 6, NULL, 'MEETI_NAME', '', NULL, -1, 'SR', '', '', NULL),
		('611', 'b', 'Number  (BK CF MP MU SE VM MX)  [OBSOLETE]', 'Number  (BK CF MP MU SE VM MX)  [OBSOLETE]', 1, 0, NULL, -1, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('611', 'c', 'Luogo del convegno', 'Luogo del convegno', 0, 0, NULL, 6, NULL, NULL, '', NULL, -1, 'SR', '', '', NULL),
		('611', 'd', 'Data del convegno', 'Data del convegno', 0, 0, NULL, 6, NULL, NULL, '', NULL, -1, 'SR', '', '', NULL),
		('611', 'e', 'Unità subordinata', 'Unità subordinata', 1, 0, NULL, 6, NULL, NULL, '', NULL, -1, 'SR', '', '', NULL),
		('611', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('611', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('611', 'h', 'Supporto', 'Supporto', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('611', 'j', 'Termine di ruolo', 'Termine di ruolo', 1, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('611', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('611', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('611', 'n', 'Numero di parte/sezione/convegno', 'Numero di parte/sezione/convegno', 1, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('611', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('611', 'q', 'Nome del convegno dopo accesso di nome della giurisdizione', 'Nome del convegno dopo accesso di nome della giurisdizione', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('611', 's', 'Versione', 'Versione', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('611', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, NULL, 6, NULL, NULL, '', NULL, -1, 'SR', '', '', NULL),
		('611', 'u', 'Affiliazione', 'Affiliazione', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('611', 'v', 'Suddivisione geografica', 'Suddivisione geografica', 1, 0, NULL, 6, NULL, NULL, '', NULL, -1, 'SR', '', '', NULL),
		('611', 'x', 'Suddivisione generale', 'Suddivisione generale', 1, 0, NULL, 6, NULL, NULL, '', NULL, -1, 'SR', '', '', NULL),
		('611', 'y', 'Suddivisione cronologica', 'Suddivisione cronologica', 1, 0, NULL, 6, NULL, NULL, '', NULL, -1, 'SR', '', '', NULL),
		('611', 'z', 'Suddivisione geografica', 'Suddivisione geografica', 1, 0, NULL, 6, NULL, NULL, '', NULL, -1, 'SR', '', '', NULL),
		('630', '2', 'Fonte dell\'intestazione o del termine', 'Fonte dell\'intestazione o del termine', 0, 0, NULL, 6, NULL, NULL, '', NULL, -1, 'SR', '', '', NULL),
		('630', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('630', '4', 'Codice di ruolo', 'Codice di ruolo', 1, 0, '', 6, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('630', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('630', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('630', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 6, '', '', '', 0, -5, 'SR', '', '', NULL),
		('630', 'a', 'Titolo uniforme', 'Titolo uniforme', 0, 0, NULL, 6, NULL, 'UNIF_TITLE', '', NULL, -1, 'SR', '', '', NULL),
		('630', 'd', 'Data di firma del trattato', 'Data di firma del trattato', 1, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('630', 'e', 'Termine di ruolo', 'Termine di ruolo', 1, 0, '', 6, '', '', '', NULL, -1, 'SR', '', '', NULL),
		('630', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('630', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('630', 'h', 'Supporto', 'Supporto', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('630', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('630', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, NULL, 6, NULL, NULL, '', NULL, -1, 'SR', '', '', NULL),
		('630', 'm', 'Mezzo di esecuzione per la musica', 'Mezzo di esecuzione per la musica', 1, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('630', 'n', 'Numero di parte/sezione dell\'opera', 'Numero di parte/sezione dell\'opera', 1, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('630', 'o', 'Formulazione d\'arrangiamento per la musica', 'Formulazione d\'arrangiamento per la musica', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('630', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('630', 'r', 'Tonalità (musica)', 'Tonalità (musica)', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('630', 's', 'Versione', 'Versione', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('630', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, NULL, 6, NULL, NULL, '', NULL, -1, 'SR', '', '', NULL),
		('630', 'v', 'Suddivisione geografica', 'Suddivisione geografica', 1, 0, NULL, 6, NULL, NULL, '', NULL, -1, 'SR', '', '', NULL),
		('630', 'x', 'Suddivisione generale', 'Suddivisione generale', 1, 0, NULL, 6, NULL, NULL, '', NULL, -1, 'SR', '', '', NULL),
		('630', 'y', 'Suddivisione cronologica', 'Suddivisione cronologica', 1, 0, NULL, 6, NULL, NULL, '', NULL, -1, 'SR', '', '', NULL),
		('630', 'z', 'Suddivisione geografica', 'Suddivisione geografica', 1, 0, NULL, 6, NULL, NULL, '', NULL, -1, 'SR', '', '', NULL),
		('648', '2', 'Fonte dell\'intestazione o del termine', 'Fonte dell\'intestazione o del termine', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('648', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('648', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('648', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('648', 'a', 'Termine cronologico', 'Termine cronologico', 0, 0, NULL, 6, NULL, 'CHRON_TERM', '', NULL, -6, 'SR', '', '', NULL),
		('648', 'v', 'Suddivisione geografica', 'Suddivisione geografica', 1, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('648', 'x', 'Suddivisione generale', 'Suddivisione generale', 1, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('648', 'y', 'Suddivisione cronologica', 'Suddivisione cronologica', 1, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('648', 'z', 'Suddivisione geografica', 'Suddivisione geografica', 1, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('650', '2', 'Fonte dell\'intestazione o del termine', 'Fonte dell\'intestazione o del termine', 0, 0, '', 6, '', '', '', 0, 0, 'SR', '', '', NULL),
		('650', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, '', 6, '', '', '', 0, -6, 'SR', '', '', NULL),
		('650', '4', 'Codice di ruolo', 'Codice di ruolo', 1, 0, '', 6, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('650', '6', 'Collegamento', 'Collegamento', 0, 0, '', 6, '', '', '', 0, -6, 'SR', '', '', NULL),
		('650', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 6, '', '', '', 0, -6, 'SR', '', '', NULL),
		('650', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 6, '', '', '', 0, -5, 'SR', '', '', NULL),
		('650', 'a', 'Termine topico o nome geografico come accesso', 'Termine topico o nome geografico come accesso', 0, 0, 'bibliosubject.subject', 6, '', 'TOPIC_TERM', '', 0, 0, 'SR', '''6003'',''600a'',''600b'',''600c'',''600d'',''600e'',''600f'',''600g'',''600h'',''600k'',''600l'',''600m'',''600n'',''600o'',''600p'',''600r'',''600s'',''600t'',''600u'',''600x'',''600z'',''600y'',''600v'',''6103'',''610a'',''610b'',''610c'',''610d'',''610e'',''610f'',''610g'',''610h'',''610k'',''610l'',''610m'',''610n'',''610o'',''610p'',''610r'',''610s'',''610t'',''610u'',''610x'',''610z'',''610y'',''610v'',''6113'',''611a'',''611b'',''611c'',''611d'',''611e'',''611f'',''611g'',''611h'',''611k'',''611l'',''611m'',''611n'',''611o'',''611p'',''611r'',''611s'',''611t'',''611u'',''611x'',''611z'',''611y'',''611v'',''630a'',''630b'',''630c'',''630d'',''630e'',''630f'',''630g'',''630h'',''630k'',''630l'',''630m'',''630n'',''630o'',''630p'',''630r'',''630s'',''630t'',''630x'',''630z'',''630y'',''630v'',''6483'',''648a'',''648x'',''648z'',''648y'',''648v'',''6503'',''650b'',''650c'',''650d'',''650e'',''650x'',''650z'',''650y'',''650v'',''6513'',''651a'',''651b'',''651c'',''651d'',''651e'',''651x'',''651z'',''651y'',''651v'',''653a'',''6543'',''654a'',''654b'',''654x'',''654z'',''654y'',''654v'',''6553'',''655a'',''655b'',''655x'',''655z'',''655y'',''655v'',''6563'',''656a'',''656k'',''656x'',''656z'',''656y'',''656v'',''6573'',''657a'',''657x'',''657z'',''657y'',''657v'',''658a'',''658b'',''658c'',''658d'',''658v''', '', NULL),
		('650', 'b', 'Nome geografico che precede un termine topico come accesso', 'Nome geografico che precede un termine topico come accesso', 0, 0, '', 6, '', '', '', 0, -1, 'SR', '', '', NULL),
		('650', 'c', 'Luogo dell\'evento', 'Luogo dell\'evento', 0, 0, '', 6, '', '', '', 0, -1, 'SR', '', '', NULL),
		('650', 'd', 'Date d\'attività', 'Date d\'attività', 0, 0, '', 6, '', '', '', 0, -1, 'SR', '', '', NULL),
		('650', 'e', 'Termine di ruolo', 'Termine di ruolo', 0, 0, '', 6, '', '', '', 0, -1, 'SR', '', '', NULL),
		('650', 'v', 'Suddivisione geografica', 'Suddivisione geografica', 1, 0, '', 6, '', '', '', 0, 0, 'SR', '', '', NULL),
		('650', 'x', 'Suddivisione generale', 'Suddivisione generale', 1, 0, '', 6, '', '', '', 0, 0, 'SR', '', '', NULL),
		('650', 'y', 'Suddivisione cronologica', 'Suddivisione cronologica', 1, 0, '', 6, '', '', '', 0, 0, 'SR', '', '', NULL),
		('650', 'z', 'Suddivisione geografica', 'Suddivisione geografica', 1, 0, '', 6, '', '', '', 0, 0, 'SR', '', '', NULL),
		('651', '2', 'Fonte dell\'intestazione o del termine', 'Fonte dell\'intestazione o del termine', 0, 0, '', 6, '', '', '', NULL, -1, 'SR', '', '', NULL),
		('651', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, '', 6, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('651', '4', 'Codice di ruolo', 'Codice di ruolo', 1, 0, '', 6, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('651', '6', 'Collegamento', 'Collegamento', 0, 0, '', 6, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('651', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 6, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('651', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 6, '', '', '', 0, -5, 'SR', '', '', NULL),
		('651', 'a', 'Nome geografico', 'Nome geografico', 0, 0, '', 6, '', 'GEOGR_NAME', '', NULL, -1, 'SR', '', '', NULL),
		('651', 'b', 'Geographic name following place entry element [OBSOLETE]', 'Geographic name following place entry element [OBSOLETE]', 1, 0, '', 6, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('651', 'e', 'Termine di ruolo', 'Termine di ruolo', 1, 0, '', 6, '', '', '', NULL, -1, 'SR', '', '', NULL),
		('651', 'v', 'Suddivisione geografica', 'Suddivisione geografica', 1, 0, '', 6, '', '', '', NULL, -1, 'SR', '', '', NULL),
		('651', 'x', 'Suddivisione generale', 'Suddivisione generale', 1, 0, '', 6, '', '', '', NULL, -1, 'SR', '', '', NULL),
		('651', 'y', 'Suddivisione cronologica', 'Suddivisione cronologica', 1, 0, '', 6, '', '', '', NULL, -1, 'SR', '', '', NULL),
		('651', 'z', 'Suddivisione geografica', 'Suddivisione geografica', 1, 0, '', 6, '', '', '', NULL, -1, 'SR', '', '', NULL),
		('652', 'a', 'Nome geografico del luogo', 'Nome geografico del luogo', 0, 0, '', 6, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('652', 'x', 'Suddivisione generale', 'Suddivisione generale', 1, 0, '', 6, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('652', 'y', 'Suddivisione cronologica', 'Suddivisione cronologica', 1, 0, '', 6, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('652', 'z', 'Suddivisione geografica', 'Suddivisione geografica', 1, 0, '', 6, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('653', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('653', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('653', 'a', 'Termine non controllato', 'Termine non controllato', 1, 0, NULL, 6, NULL, NULL, '', NULL, -1, 'SR', '', '', NULL),
		('654', '2', 'Fonte', 'Fonte', 0, 0, '', 6, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('654', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, '', 6, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('654', '4', 'Codice di ruolo', 'Codice di ruolo', 1, 0, '', 6, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('654', '6', 'Collegamento', 'Collegamento', 0, 0, '', 6, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('654', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 6, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('654', 'a', 'Termine principale', 'Termine principale', 1, 0, '', 6, '', 'TOPIC_TERM', '', NULL, -6, 'SR', '', '', NULL),
		('654', 'b', 'Termine non principale', 'Termine non principale', 1, 0, '', 6, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('654', 'c', 'Designazione di faccetta/gerarchia', 'Designazione di faccetta/gerarchia', 1, 0, '', 6, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('654', 'e', 'Termine di ruolo', 'Termine di ruolo', 1, 0, '', 6, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('654', 'v', 'Suddivisione geografica', 'Suddivisione geografica', 1, 0, '', 6, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('654', 'x', 'Suddivisione generale', 'Suddivisione generale', 1, 0, '', 6, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('654', 'y', 'Suddivisione cronologica', 'Suddivisione cronologica', 1, 0, '', 6, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('654', 'z', 'Suddivisione geografica', 'Suddivisione geografica', 1, 0, '', 6, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('655', '2', 'Fonte', 'Fonte', 0, 0, '', 6, '', '', '', NULL, -1, 'SR', '', '', NULL),
		('655', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, '', 6, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('655', '5', 'Istituzione a cui si applica il campo', 'Istituzione a cui si applica il campo', 0, 0, '', 6, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('655', '6', 'Collegamento', 'Collegamento', 0, 0, '', 6, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('655', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 6, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('655', 'a', 'Termine principale di genere/forma', 'Termine principale di genere/forma', 0, 0, '', 6, '', 'GENRE/FORM', '', NULL, -1, 'SR', '', '', NULL),
		('655', 'b', 'Termine non principale', 'Termine non principale', 1, 0, '', 6, '', '', '', NULL, -1, 'SR', '', '', NULL),
		('655', 'c', 'Designazione di faccetta/gerarchia', 'Designazione di faccetta/gerarchia', 1, 0, '', 6, '', '', '', NULL, -1, 'SR', '', '', NULL),
		('655', 'v', 'Suddivisione geografica', 'Suddivisione geografica', 1, 0, '', 6, '', '', '', NULL, -1, 'SR', '', '', NULL),
		('655', 'x', 'Suddivisione generale', 'Suddivisione generale', 1, 0, '', 6, '', '', '', NULL, -1, 'SR', '', '', NULL),
		('655', 'y', 'Suddivisione cronologica', 'Suddivisione cronologica', 1, 0, '', 6, '', '', '', NULL, -1, 'SR', '', '', NULL),
		('655', 'z', 'Suddivisione geografica', 'Suddivisione geografica', 1, 0, '', 6, '', '', '', NULL, -1, 'SR', '', '', NULL),
		('656', '2', 'Fonte', 'Fonte', 0, 0, '', 6, '', '', '', NULL, -1, 'SR', '', '', NULL),
		('656', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, '', 6, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('656', '6', 'Collegamento', 'Collegamento', 0, 0, '', 6, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('656', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 6, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('656', 'a', 'Occupazione', 'Occupazione', 0, 0, '', 6, '', 'TOPIC_TERM', '', NULL, -1, 'SR', '', '', NULL),
		('656', 'k', 'Forma', 'Forma', 0, 0, '', 6, '', '', '', NULL, -1, 'SR', '', '', NULL),
		('656', 'v', 'Suddivisione geografica', 'Suddivisione geografica', 1, 0, '', 6, '', '', '', NULL, -1, 'SR', '', '', NULL),
		('656', 'x', 'Suddivisione generale', 'Suddivisione generale', 1, 0, '', 6, '', '', '', NULL, -1, 'SR', '', '', NULL),
		('656', 'y', 'Suddivisione cronologica', 'Suddivisione cronologica', 1, 0, '', 6, '', '', '', NULL, -1, 'SR', '', '', NULL),
		('656', 'z', 'Suddivisione geografica', 'Suddivisione geografica', 1, 0, '', 6, '', '', '', NULL, -1, 'SR', '', '', NULL),
		('657', '2', 'Fonte', 'Fonte', 0, 0, '', 6, '', '', '', NULL, -1, 'SR', '', '', NULL),
		('657', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, '', 6, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('657', '6', 'Collegamento', 'Collegamento', 0, 0, '', 6, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('657', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 6, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('657', 'a', 'Funzione', 'Funzione', 0, 0, '', 6, '', 'TOPIC_TERM', '', NULL, -1, 'SR', '', '', NULL),
		('657', 'v', 'Suddivisione geografica', 'Suddivisione geografica', 1, 0, '', 6, '', '', '', NULL, -1, 'SR', '', '', NULL),
		('657', 'x', 'Suddivisione generale', 'Suddivisione generale', 1, 0, '', 6, '', '', '', NULL, -1, 'SR', '', '', NULL),
		('657', 'y', 'Suddivisione cronologica', 'Suddivisione cronologica', 1, 0, '', 6, '', '', '', NULL, -1, 'SR', '', '', NULL),
		('657', 'z', 'Suddivisione geografica', 'Suddivisione geografica', 1, 0, '', 6, '', '', '', NULL, -1, 'SR', '', '', NULL),
		('658', '2', 'Fonte', 'Fonte', 0, 0, '', 6, '', '', '', NULL, -1, 'SR', '', '', NULL),
		('658', '6', 'Collegamento', 'Collegamento', 0, 0, '', 6, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('658', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 6, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('658', 'a', 'Obiettivo principale del curriculum scolastico', 'Obiettivo principale del curriculum scolastico', 0, 0, '', 6, '', 'TOPIC_TERM', '', NULL, 0, 'SR', '', '', NULL),
		('658', 'b', 'Obiettivo secondario del curriculum scolastico', 'Obiettivo secondario del curriculum scolastico', 1, 0, '', 6, '', '', '', NULL, 0, 'SR', '', '', NULL),
		('658', 'c', 'Codice di curriculum scolastico', 'Codice di curriculum scolastico', 0, 0, '', 6, '', '', '', NULL, 0, 'SR', '', '', NULL),
		('658', 'd', 'Fattore di correlazione', 'Fattore di correlazione', 0, 0, '', 6, '', '', '', NULL, -1, 'SR', '', '', NULL),
		('662', '2', 'Fonte', 'Fonte', 0, 0, '', 6, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('662', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, '', 6, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('662', '4', 'Codice di ruolo', 'Codice di ruolo', 1, 0, '', 6, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('662', '6', 'Collegamento', 'Collegamento', 0, 0, '', 6, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('662', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 6, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('662', 'a', 'Paese o ente maggiore', 'Paese o ente maggiore', 1, 0, '', 6, '', 'GEOGR_NAME', '', NULL, -6, 'SR', '', '', NULL),
		('662', 'b', 'Giurisdizione politica principale', 'Giurisdizione politica principale', 0, 0, '', 6, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('662', 'c', 'Giurisdizione politica intermedia', 'Giurisdizione politica intermedia', 1, 0, '', 6, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('662', 'd', 'Città', 'Città', 0, 0, '', 6, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('662', 'e', 'Termine di ruolo', 'Termine di ruolo', 1, 0, '', 6, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('662', 'f', 'Suddivisione comunale', 'Suddivisione comunale', 1, 0, '', 6, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('662', 'g', 'Altra regione e caratteristica geografica non giurisdizionale', 'Altra regione e caratteristica geografica non giurisdizionale', 1, 0, '', 6, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('662', 'h', 'Paese o ente maggiore', 'Paese o ente maggiore', 1, 0, '', 6, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('690', '%', '% (RLIN)', '% (RLIN)', 0, 0, '', 6, '', '', '', 0, -6, 'SR', '', '', NULL),
		('690', '2', 'Fonte dell\'intestazione o del termine', 'Fonte dell\'intestazione o del termine', 0, 0, '', 6, '', '', '', 0, -6, 'SR', '', '', NULL),
		('690', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, '', 6, '', '', '', 0, -6, 'SR', '', '', NULL),
		('690', '6', 'Collegamento', 'Collegamento', 0, 0, '', 6, '', '', '', 0, -6, 'SR', '', '', NULL),
		('690', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 6, '', '', '', 0, -6, 'SR', '', '', NULL),
		('690', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 6, '', '', '', 0, -5, 'SR', '', '', NULL),
		('690', 'a', 'Termine topico o nome geografico come accesso', 'Termine topico o nome geografico come accesso', 0, 0, '', 6, '', 'TOPIC_TERM', '', 0, -1, 'SR', '', '', NULL),
		('690', 'b', 'Nome geografico che precede un termine topico come accesso', 'Nome geografico che precede un termine topico come accesso', 0, 0, '', 6, '', '', '', 0, -1, 'SR', '', '', NULL),
		('690', 'c', 'Luogo dell\'evento', 'Luogo dell\'evento', 0, 0, '', 6, '', '', '', 0, -1, 'SR', '', '', NULL),
		('690', 'd', 'Date d\'attività', 'Date d\'attività', 0, 0, '', 6, '', '', '', 0, -6, 'SR', '', '', NULL),
		('690', 'e', 'Termine di ruolo', 'Termine di ruolo', 0, 0, '', 6, '', '', '', 0, -6, 'SR', '', '', NULL),
		('690', 'v', 'Suddivisione geografica', 'Suddivisione geografica', 1, 0, '', 6, '', '', '', 0, -1, 'SR', '', '', NULL),
		('690', 'x', 'Suddivisione generale', 'Suddivisione generale', 1, 0, '', 6, '', '', '', 0, -1, 'SR', '', '', NULL),
		('690', 'y', 'Suddivisione cronologica', 'Suddivisione cronologica', 1, 0, '', 6, '', '', '', 0, -1, 'SR', '', '', NULL),
		('690', 'z', 'Suddivisione geografica', 'Suddivisione geografica', 1, 0, '', 6, '', '', '', 0, -1, 'SR', '', '', NULL),
		('691', '%', '% (RLIN)', '% (RLIN)', 0, 0, '', 6, '', '', '', 0, -6, 'SR', '', '', NULL),
		('691', '2', 'Fonte dell\'intestazione o del termine', 'Fonte dell\'intestazione o del termine', 0, 0, '', 6, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('691', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, '', 6, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('691', '6', 'Collegamento', 'Collegamento', 0, 0, '', 6, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('691', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 6, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('691', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 6, '', '', '', 0, -5, 'SR', '', '', NULL),
		('691', 'a', 'Nome geografico', 'Nome geografico', 0, 0, '', 6, '', 'GEOGR_NAME', '', NULL, -6, 'SR', '', '', NULL),
		('691', 'b', 'Geographic name following place entry element [OBSOLETE]', 'Geographic name following place entry element [OBSOLETE]', 1, 0, '', 6, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('691', 'v', 'Suddivisione geografica', 'Suddivisione geografica', 1, 0, '', 6, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('691', 'x', 'Suddivisione generale', 'Suddivisione generale', 1, 0, '', 6, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('691', 'y', 'Suddivisione cronologica', 'Suddivisione cronologica', 1, 0, '', 6, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('691', 'z', 'Suddivisione geografica', 'Suddivisione geografica', 1, 0, '', 6, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('696', '%', '% (RLIN)', '% (RLIN)', 0, 0, '', 6, '', '', '', 0, -6, 'SR', '', '', NULL),
		('696', '2', 'Fonte dell\'intestazione o del termine', 'Fonte dell\'intestazione o del termine', 0, 0, '', 6, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('696', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, '', 6, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('696', '4', 'Codice di ruolo', 'Codice di ruolo', 1, 0, '', 6, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('696', '6', 'Collegamento', 'Collegamento', 0, 0, '', 6, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('696', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 6, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('696', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 6, '', '', '', 0, -5, 'SR', '', '', NULL),
		('696', 'a', 'Nome di persona', 'Nome di persona', 0, 0, '', 6, '', 'PERSO_NAME', '', NULL, -6, 'SR', '', '', NULL),
		('696', 'b', 'Numerazione', 'Numerazione', 0, 0, '', 6, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('696', 'c', 'Titoli e altre parole associate al nome', 'Titoli e altre parole associate al nome', 1, 0, '', 6, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('696', 'd', 'Date associate al nome', 'Date associate al nome', 0, 0, '', 6, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('696', 'e', 'Termine di ruolo', 'Termine di ruolo', 1, 0, '', 6, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('696', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, '', 6, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('696', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, '', 6, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('696', 'h', 'Supporto', 'Supporto', 0, 0, '', 6, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('696', 'j', 'Qualificazione d\'attribuzione', 'Qualificazione d\'attribuzione', 1, 0, '', 6, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('696', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, '', 6, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('696', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, '', 6, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('696', 'm', 'Mezzo di esecuzione per la musica', 'Mezzo di esecuzione per la musica', 1, 0, '', 6, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('696', 'n', 'Numero di parte/sezione dell\'opera', 'Numero di parte/sezione dell\'opera', 1, 0, '', 6, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('696', 'o', 'Formulazione d\'arrangiamento per la musica', 'Formulazione d\'arrangiamento per la musica', 0, 0, '', 6, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('696', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, '', 6, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('696', 'q', 'Forma completa del nome', 'Forma completa del nome', 0, 0, '', 6, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('696', 'r', 'Tonalità (musica)', 'Tonalità (musica)', 0, 0, '', 6, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('696', 's', 'Versione', 'Versione', 0, 0, '', 6, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('696', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, '', 6, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('696', 'u', 'Affiliazione', 'Affiliazione', 0, 0, '', 6, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('696', 'v', 'Suddivisione geografica', 'Suddivisione geografica', 1, 0, '', 6, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('696', 'x', 'Suddivisione generale', 'Suddivisione generale', 1, 0, '', 6, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('696', 'y', 'Suddivisione cronologica', 'Suddivisione cronologica', 1, 0, '', 6, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('696', 'z', 'Suddivisione geografica', 'Suddivisione geografica', 1, 0, '', 6, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('697', '%', '% (RLIN)', '% (RLIN)', 0, 0, '', 6, '', '', '', 0, -6, 'SR', '', '', NULL),
		('697', '2', 'Fonte dell\'intestazione o del termine', 'Fonte dell\'intestazione o del termine', 0, 0, '', 6, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('697', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, '', 6, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('697', '4', 'Codice di ruolo', 'Codice di ruolo', 1, 0, '', 6, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('697', '6', 'Collegamento', 'Collegamento', 0, 0, '', 6, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('697', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 6, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('697', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 6, '', '', '', 0, -5, 'SR', '', '', NULL),
		('697', 'a', 'Nome dell\'ente o nome della giurisdizione come accesso', 'Nome dell\'ente o nome della giurisdizione come accesso', 0, 0, '', 6, '', 'CORPO_NAME', '', NULL, -6, 'SR', '', '', NULL),
		('697', 'b', 'Unità subordinata', 'Unità subordinata', 1, 0, '', 6, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('697', 'c', 'Luogo del convegno', 'Luogo del convegno', 0, 0, '', 6, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('697', 'd', 'Data del convegno o di firma del trattato', 'Data del convegno o di firma del trattato', 1, 0, '', 6, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('697', 'e', 'Termine di ruolo', 'Termine di ruolo', 1, 0, '', 6, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('697', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, '', 6, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('697', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, '', 6, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('697', 'h', 'Supporto', 'Supporto', 0, 0, '', 6, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('697', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, '', 6, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('697', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, '', 6, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('697', 'm', 'Mezzo di esecuzione per la musica', 'Mezzo di esecuzione per la musica', 1, 0, '', 6, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('697', 'n', 'Numero di parte/sezione/convegno', 'Numero di parte/sezione/convegno', 1, 0, '', 6, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('697', 'o', 'Formulazione d\'arrangiamento per la musica', 'Formulazione d\'arrangiamento per la musica', 0, 0, '', 6, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('697', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, '', 6, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('697', 'r', 'Tonalità (musica)', 'Tonalità (musica)', 0, 0, '', 6, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('697', 's', 'Versione', 'Versione', 0, 0, '', 6, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('697', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, '', 6, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('697', 'u', 'Affiliazione', 'Affiliazione', 0, 0, '', 6, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('697', 'v', 'Suddivisione geografica', 'Suddivisione geografica', 1, 0, '', 6, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('697', 'x', 'Suddivisione generale', 'Suddivisione generale', 1, 0, '', 6, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('697', 'y', 'Suddivisione cronologica', 'Suddivisione cronologica', 1, 0, '', 6, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('697', 'z', 'Suddivisione geografica', 'Suddivisione geografica', 1, 0, '', 6, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('698', '%', '% (RLIN)', '% (RLIN)', 0, 0, '', 6, '', '', '', 0, -6, 'SR', '', '', NULL),
		('698', '2', 'Fonte dell\'intestazione o del termine', 'Fonte dell\'intestazione o del termine', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('698', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('698', '4', 'Codice di ruolo', 'Codice di ruolo', 1, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('698', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('698', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('698', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 6, '', '', '', 0, -5, 'SR', '', '', NULL),
		('698', 'a', 'Nome del convegno o nome della giurisdizione come accesso', 'Nome del convegno o nome della giurisdizione come accesso', 0, 0, NULL, 6, NULL, 'MEETI_NAME', '', NULL, -6, 'SR', '', '', NULL),
		('698', 'b', 'Number  (BK CF MP MU SE VM MX)  [OBSOLETE]', 'Number  (BK CF MP MU SE VM MX)  [OBSOLETE]', 1, 0, NULL, -1, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('698', 'c', 'Luogo del convegno', 'Luogo del convegno', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('698', 'd', 'Data del convegno', 'Data del convegno', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('698', 'e', 'Unità subordinata', 'Unità subordinata', 1, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('698', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('698', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('698', 'h', 'Supporto', 'Supporto', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('698', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('698', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('698', 'n', 'Numero di parte/sezione/convegno', 'Numero di parte/sezione/convegno', 1, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('698', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('698', 'q', 'Nome del convegno dopo accesso di nome della giurisdizione', 'Nome del convegno dopo accesso di nome della giurisdizione', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('698', 's', 'Versione', 'Versione', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('698', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('698', 'u', 'Affiliazione', 'Affiliazione', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('698', 'v', 'Suddivisione geografica', 'Suddivisione geografica', 1, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('698', 'x', 'Suddivisione generale', 'Suddivisione generale', 1, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('698', 'y', 'Suddivisione cronologica', 'Suddivisione cronologica', 1, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('698', 'z', 'Suddivisione geografica', 'Suddivisione geografica', 1, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('699', '%', '% (RLIN)', '% (RLIN)', 0, 0, '', 6, '', '', '', 0, -6, 'SR', '', '', NULL),
		('699', '2', 'Fonte dell\'intestazione o del termine', 'Fonte dell\'intestazione o del termine', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('699', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('699', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('699', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('699', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 6, '', '', '', 0, -5, 'SR', '', '', NULL),
		('699', 'a', 'Titolo uniforme', 'Titolo uniforme', 0, 0, NULL, 6, NULL, 'UNIF_TITLE', '', NULL, -6, 'SR', '', '', NULL),
		('699', 'd', 'Data di firma del trattato', 'Data di firma del trattato', 1, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('699', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('699', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('699', 'h', 'Supporto', 'Supporto', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('699', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('699', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('699', 'm', 'Mezzo di esecuzione per la musica', 'Mezzo di esecuzione per la musica', 1, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('699', 'n', 'Numero di parte/sezione dell\'opera', 'Numero di parte/sezione dell\'opera', 1, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('699', 'o', 'Formulazione d\'arrangiamento per la musica', 'Formulazione d\'arrangiamento per la musica', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('699', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('699', 'r', 'Tonalità (musica)', 'Tonalità (musica)', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('699', 's', 'Versione', 'Versione', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('699', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('699', 'v', 'Suddivisione geografica', 'Suddivisione geografica', 1, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('699', 'x', 'Suddivisione generale', 'Suddivisione generale', 1, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('699', 'y', 'Suddivisione cronologica', 'Suddivisione cronologica', 1, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('700', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, '', 7, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('700', '4', 'Codice di ruolo', 'Codice di ruolo', 1, 0, '', 7, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('700', '5', 'Istituzione a cui si applica il campo', 'Istituzione a cui si applica il campo', 0, 0, '', 7, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('700', '6', 'Collegamento', 'Collegamento', 0, 0, '', 7, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('700', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 7, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('700', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 7, '', '', '', 0, -5, 'SR', '', '', NULL),
		('700', 'a', 'Nome di persona', 'Nome di persona', 0, 0, 'additionalauthors.author', 7, '', 'PERSO_NAME', '', NULL, -1, 'SR', '', '', NULL),
		('700', 'b', 'Numerazione', 'Numerazione', 0, 0, '', 7, '', '', '', NULL, -1, 'SR', '', '', NULL),
		('700', 'c', 'Titoli e altre parole associate al nome', 'Titoli e altre parole associate al nome', 1, 0, '', 7, '', '', '', NULL, -1, 'SR', '', '', NULL),
		('700', 'd', 'Date associate al nome', 'Date associate al nome', 0, 0, '', 7, '', '', '', NULL, -1, 'SR', '', '', NULL),
		('700', 'e', 'Termine di ruolo', 'Termine di ruolo', 1, 0, '', 7, '', '', '', NULL, -1, 'SR', '', '', NULL),
		('700', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, '', 7, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('700', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, '', 7, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('700', 'h', 'Supporto', 'Supporto', 0, 0, '', 7, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('700', 'j', 'Qualificazione d\'attribuzione', 'Qualificazione d\'attribuzione', 1, 0, '', 7, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('700', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, '', 7, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('700', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, '', 7, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('700', 'm', 'Mezzo di esecuzione per la musica', 'Mezzo di esecuzione per la musica', 1, 0, '', 7, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('700', 'n', 'Numero di parte/sezione dell\'opera', 'Numero di parte/sezione dell\'opera', 1, 0, '', 7, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('700', 'o', 'Formulazione d\'arrangiamento per la musica', 'Formulazione d\'arrangiamento per la musica', 0, 0, '', 7, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('700', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, '', 7, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('700', 'q', 'Forma completa del nome', 'Forma completa del nome', 0, 0, '', 7, '', '', '', NULL, -1, 'SR', '', '', NULL),
		('700', 'r', 'Tonalità (musica)', 'Tonalità (musica)', 0, 0, '', 7, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('700', 's', 'Versione', 'Versione', 0, 0, '', 7, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('700', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, '', 7, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('700', 'u', 'Affiliazione', 'Affiliazione', 0, 0, '', 7, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('700', 'x', 'ISSN (International Standard Serial Number)', 'ISSN (International Standard Serial Number)', 0, 0, '', 7, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('705', 'a', 'Nome di persona', 'Nome di persona', 0, 0, '', 7, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('705', 'b', 'Numerazione', 'Numerazione', 0, 0, '', 7, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('705', 'c', 'Titoli e altre parole associate al nome', 'Titoli e altre parole associate al nome', 1, 0, '', 7, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('705', 'd', 'Date associate al nome', 'Date associate al nome', 0, 0, '', 7, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('705', 'e', 'Termine di ruolo', 'Termine di ruolo', 1, 0, '', 7, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('705', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, '', 7, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('705', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, '', 7, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('705', 'h', 'Supporto', 'Supporto', 0, 0, '', 7, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('705', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, '', 7, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('705', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, '', 7, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('705', 'm', 'Mezzo di esecuzione per la musica', 'Mezzo di esecuzione per la musica', 1, 0, '', 7, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('705', 'n', 'Numero di parte/sezione dell\'opera', 'Numero di parte/sezione dell\'opera', 1, 0, '', 7, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('705', 'o', 'Formulazione d\'arrangiamento per la musica', 'Formulazione d\'arrangiamento per la musica', 0, 0, '', 7, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('705', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, '', 7, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('705', 'r', 'Tonalità (musica)', 'Tonalità (musica)', 0, 0, '', 7, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('705', 's', 'Versione', 'Versione', 0, 0, '', 7, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('705', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, '', 7, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('710', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, '', 7, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('710', '4', 'Codice di ruolo', 'Codice di ruolo', 1, 0, '', 7, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('710', '5', 'Istituzione a cui si applica il campo', 'Istituzione a cui si applica il campo', 0, 0, '', 7, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('710', '6', 'Collegamento', 'Collegamento', 0, 0, '', 7, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('710', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 7, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('710', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 7, '', '', '', 0, -5, 'SR', '', '', NULL),
		('710', 'a', 'Nome dell\'ente o nome della giurisdizione come accesso', 'Nome dell\'ente o nome della giurisdizione come accesso', 0, 0, '', 7, '', 'CORPO_NAME', '', NULL, -1, 'SR', '', '', NULL),
		('710', 'b', 'Unità subordinata', 'Unità subordinata', 1, 0, '', 7, '', '', '', NULL, -1, 'SR', '', '', NULL),
		('710', 'c', 'Luogo del convegno', 'Luogo del convegno', 0, 0, '', 7, '', '', '', NULL, -1, 'SR', '', '', NULL),
		('710', 'd', 'Data del convegno o di firma del trattato', 'Data del convegno o di firma del trattato', 1, 0, '', 7, '', '', '', NULL, -1, 'SR', '', '', NULL),
		('710', 'e', 'Termine di ruolo', 'Termine di ruolo', 1, 0, '', 7, '', '', '', NULL, -1, 'SR', '', '', NULL),
		('710', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, '', 7, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('710', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, '', 7, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('710', 'h', 'Supporto', 'Supporto', 0, 0, '', 7, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('710', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, '', 7, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('710', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, '', 7, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('710', 'm', 'Mezzo di esecuzione per la musica', 'Mezzo di esecuzione per la musica', 1, 0, '', 7, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('710', 'n', 'Numero di parte/sezione/convegno', 'Numero di parte/sezione/convegno', 1, 0, '', 7, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('710', 'o', 'Formulazione d\'arrangiamento per la musica', 'Formulazione d\'arrangiamento per la musica', 0, 0, '', 7, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('710', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, '', 7, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('710', 'r', 'Tonalità (musica)', 'Tonalità (musica)', 0, 0, '', 7, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('710', 's', 'Versione', 'Versione', 0, 0, '', 7, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('710', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, '', 7, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('710', 'u', 'Affiliazione', 'Affiliazione', 0, 0, '', 7, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('710', 'x', 'ISSN (International Standard Serial Number)', 'ISSN (International Standard Serial Number)', 0, 0, '', 7, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('711', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('711', '4', 'Codice di ruolo', 'Codice di ruolo', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('711', '5', 'Istituzione a cui si applica il campo', 'Istituzione a cui si applica il campo', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('711', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('711', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('711', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 7, '', '', '', 0, -5, 'SR', '', '', NULL),
		('711', 'a', 'Nome del convegno o nome della giurisdizione come accesso', 'Nome del convegno o nome della giurisdizione come accesso', 0, 0, NULL, 7, NULL, 'MEETI_NAME', '', NULL, -1, 'SR', '', '', NULL),
		('711', 'b', 'Number (BK CF MP MU SE VM MX) [OBSOLETE]', 'Number (BK CF MP MU SE VM MX) [OBSOLETE]', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('711', 'c', 'Luogo del convegno', 'Luogo del convegno', 0, 0, NULL, 7, NULL, NULL, '', NULL, -1, 'SR', '', '', NULL),
		('711', 'd', 'Data del convegno', 'Data del convegno', 0, 0, NULL, 7, NULL, NULL, '', NULL, -1, 'SR', '', '', NULL),
		('711', 'e', 'Unità subordinata', 'Unità subordinata', 1, 0, NULL, 7, NULL, NULL, '', NULL, -1, 'SR', '', '', NULL),
		('711', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('711', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('711', 'h', 'Supporto', 'Supporto', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('711', 'j', 'Termine di ruolo', 'Termine di ruolo', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('711', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('711', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('711', 'n', 'Numero di parte/sezione/convegno', 'Numero di parte/sezione/convegno', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('711', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('711', 'q', 'Nome del convegno dopo accesso di nome della giurisdizione', 'Nome del convegno dopo accesso di nome della giurisdizione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('711', 's', 'Versione', 'Versione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('711', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('711', 'u', 'Affiliazione', 'Affiliazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('711', 'x', 'ISSN (International Standard Serial Number)', 'ISSN (International Standard Serial Number)', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('715', '%', '% (RLIN)', '% (RLIN)', 0, 0, '', 7, '', '', '', 0, -6, 'SR', '', '', NULL),
		('715', 'a', 'Ragione sociale o nome giuridico', 'Ragione sociale o nome giuridico', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('715', 'b', 'Unità subordinata', 'Unità subordinata', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('715', 'e', 'Termine di ruolo', 'Termine di ruolo', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('715', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('715', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('715', 'h', 'Supporto', 'Supporto', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('715', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('715', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('715', 'n', 'Numero di parte/sezione/convegno', 'Numero di parte/sezione/convegno', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('715', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('715', 'r', 'Tonalità (musica)', 'Tonalità (musica)', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('715', 's', 'Versione', 'Versione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('715', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('715', 'u', 'Nonprinting information', 'Nonprinting information', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('720', '4', 'Codice di ruolo', 'Codice di ruolo', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('720', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('720', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('720', 'a', 'Nome', 'Nome', 0, 0, '', 7, NULL, NULL, '', NULL, -1, 'SR', '', '', NULL),
		('720', 'e', 'Termine di ruolo', 'Termine di ruolo', 1, 0, NULL, 7, NULL, NULL, '', NULL, -1, 'SR', '', '', NULL),
		('730', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, '', 7, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('730', '5', 'Istituzione a cui si applica il campo', 'Istituzione a cui si applica il campo', 0, 0, '', 7, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('730', '6', 'Collegamento', 'Collegamento', 0, 0, '', 7, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('730', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 7, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('730', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 7, '', '', '', 0, -5, 'SR', '', '', NULL),
		('730', 'a', 'Titolo uniforme', 'Titolo uniforme', 0, 0, '', 7, '', 'UNIF_TITLE', '', NULL, -6, 'SR', '', '', NULL),
		('730', 'd', 'Data di firma del trattato', 'Data di firma del trattato', 1, 0, '', 7, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('730', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, '', 7, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('730', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, '', 7, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('730', 'h', 'Supporto', 'Supporto', 0, 0, '', 7, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('730', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, '', 7, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('730', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, '', 7, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('730', 'm', 'Mezzo di esecuzione per la musica', 'Mezzo di esecuzione per la musica', 1, 0, '', 7, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('730', 'n', 'Numero di parte/sezione dell\'opera', 'Numero di parte/sezione dell\'opera', 1, 0, '', 7, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('730', 'o', 'Formulazione d\'arrangiamento per la musica', 'Formulazione d\'arrangiamento per la musica', 0, 0, '', 7, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('730', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, '', 7, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('730', 'r', 'Tonalità (musica)', 'Tonalità (musica)', 0, 0, '', 7, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('730', 's', 'Versione', 'Versione', 0, 0, '', 7, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('730', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, '', 7, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('730', 'x', 'ISSN (International Standard Serial Number)', 'ISSN (International Standard Serial Number)', 0, 0, '', 7, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('740', '5', 'Istituzione a cui si applica il campo', 'Istituzione a cui si applica il campo', 0, 0, '', 7, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('740', '6', 'Collegamento', 'Collegamento', 0, 0, '', 7, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('740', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 7, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('740', 'a', 'Titolo analitico/correlato non controllato', 'Titolo analitico/correlato non controllato', 0, 0, '', 7, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('740', 'h', 'Supporto', 'Supporto', 0, 0, '', 7, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('740', 'n', 'Numero di parte/sezione dell\'opera', 'Numero di parte/sezione dell\'opera', 1, 0, '', 7, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('740', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, '', 7, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('752', '2', 'Fonte dell\'intestazione o del termine', 'Fonte dell\'intestazione o del termine', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('752', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('752', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('752', 'a', 'Paese o ente maggiore', 'Paese o ente maggiore', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('752', 'b', 'Giurisdizione politica principale', 'Giurisdizione politica principale', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('752', 'c', 'Giurisdizione politica intermedia', 'Giurisdizione politica intermedia', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('752', 'd', 'Città', 'Città', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('752', 'f', 'Suddivisione comunale', 'Suddivisione comunale', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('752', 'g', 'Altra regione e caratteristica geografica non giurisdizionale', 'Altra regione e caratteristica geografica non giurisdizionale', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('752', 'h', 'Paese o ente maggiore', 'Paese o ente maggiore', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('753', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('753', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('753', 'a', 'Marca e modello della macchina', 'Marca e modello della macchina', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('753', 'b', 'Linguaggio di programmazione', 'Linguaggio di programmazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('753', 'c', 'Sistema operativo', 'Sistema operativo', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('754', '2', 'Fonte dell\'identificazione tassonomica', 'Fonte dell\'identificazione tassonomica', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('754', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('754', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('754', 'a', 'Nome tassonomico', 'Nome tassonomico', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('754', 'c', 'Categoria tassonomica', 'Categoria tassonomica', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('754', 'd', 'Nome comune o alternativo', 'Nome comune o alternativo', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('754', 'x', 'Nota non pubblica', 'Nota non pubblica', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('754', 'z', 'Nota pubblica', 'Nota pubblica', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('755', '2', 'Fonte dell\'identificazione tassonomica', 'Fonte dell\'identificazione tassonomica', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('755', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, '', 7, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('755', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('755', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('755', 'a', 'Termine d\'accesso', 'Termine d\'accesso', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('755', 'x', 'Suddivisione generale', 'Suddivisione generale', 1, 0, '', 7, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('755', 'y', 'Suddivisione cronologica', 'Suddivisione cronologica', 1, 0, '', 7, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('755', 'z', 'Suddivisione geografica', 'Suddivisione geografica', 1, 0, '', 7, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('760', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('760', '7', 'Sottocampo di controllo', 'Sottocampo di controllo', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('760', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('760', 'a', 'Intestazione principale', 'Intestazione principale', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('760', 'b', 'Edizione', 'Edizione', 0, 0, NULL, 7, NULL, NULL, '', NULL, 0, 'SR', '', '', NULL),
		('760', 'c', 'Qualificazione', 'Qualificazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('760', 'd', 'Luogo, editore e data di pubblicazione', 'Luogo, editore e data di pubblicazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('760', 'g', 'Informazione sulla relazione', 'Informazione sulla relazione', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('760', 'h', 'Descrizione fisica', 'Descrizione fisica', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('760', 'i', 'Informazione sulla relazione', 'Informazione sulla relazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('760', 'm', 'Dettagli specifici del materiale', 'Dettagli specifici del materiale', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('760', 'n', 'Nota', 'Nota', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('760', 'o', 'Altro identificatore dell\'item', 'Altro identificatore dell\'item', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('760', 'q', 'Parallel title (BK SE) [OBSOLETE]', 'Parallel title (BK SE) [OBSOLETE]', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('760', 's', 'Titolo uniforme', 'Titolo uniforme', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('760', 't', 'Titolo', 'Titolo', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('760', 'w', 'Numero di controllo della registrazione', 'Numero di controllo della registrazione', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('760', 'x', 'ISSN (International Standard Serial Number)', 'ISSN (International Standard Serial Number)', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('760', 'y', 'Designazione CODEN', 'Designazione CODEN', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('762', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('762', '7', 'Sottocampo di controllo', 'Sottocampo di controllo', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('762', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('762', 'a', 'Intestazione principale', 'Intestazione principale', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('762', 'b', 'Edizione', 'Edizione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('762', 'c', 'Qualificazione', 'Qualificazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('762', 'd', 'Luogo, editore e data di pubblicazione', 'Luogo, editore e data di pubblicazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('762', 'g', 'Informazione sulla relazione', 'Informazione sulla relazione', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('762', 'h', 'Descrizione fisica', 'Descrizione fisica', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('762', 'i', 'Informazione sulla relazione', 'Informazione sulla relazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('762', 'm', 'Dettagli specifici del materiale', 'Dettagli specifici del materiale', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('762', 'n', 'Nota', 'Nota', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('762', 'o', 'Altro identificatore dell\'item', 'Altro identificatore dell\'item', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('762', 'q', 'Parallel title (BK SE) [OBSOLETE]', 'Parallel title (BK SE) [OBSOLETE]', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('762', 's', 'Titolo uniforme', 'Titolo uniforme', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('762', 't', 'Titolo', 'Titolo', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('762', 'w', 'Numero di controllo della registrazione', 'Numero di controllo della registrazione', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('762', 'x', 'ISSN (International Standard Serial Number)', 'ISSN (International Standard Serial Number)', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('762', 'y', 'Designazione CODEN', 'Designazione CODEN', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('765', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('765', '7', 'Sottocampo di controllo', 'Sottocampo di controllo', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('765', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('765', 'a', 'Intestazione principale', 'Intestazione principale', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('765', 'b', 'Edizione', 'Edizione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('765', 'c', 'Qualificazione', 'Qualificazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('765', 'd', 'Luogo, editore e data di pubblicazione', 'Luogo, editore e data di pubblicazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('765', 'g', 'Informazione sulla relazione', 'Informazione sulla relazione', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('765', 'h', 'Descrizione fisica', 'Descrizione fisica', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('765', 'i', 'Informazione sulla relazione', 'Informazione sulla relazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('765', 'k', 'Dati della serie dell\'item correlato', 'Dati della serie dell\'item correlato', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('765', 'm', 'Dettagli specifici del materiale', 'Dettagli specifici del materiale', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('765', 'n', 'Nota', 'Nota', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('765', 'o', 'Altro identificatore dell\'item', 'Altro identificatore dell\'item', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('765', 'q', 'Parallel title (BK SE)  [OBSOLETE]', 'Parallel title (BK SE)  [OBSOLETE]', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('765', 'r', 'Numero di rapporto', 'Numero di rapporto', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('765', 's', 'Titolo uniforme', 'Titolo uniforme', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('765', 't', 'Titolo', 'Titolo', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('765', 'u', 'Standard Technical Report Number', 'Standard Technical Report Number', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('765', 'w', 'Numero di controllo della registrazione', 'Numero di controllo della registrazione', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('765', 'x', 'ISSN (International Standard Serial Number)', 'ISSN (International Standard Serial Number)', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('765', 'y', 'Designazione CODEN', 'Designazione CODEN', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('765', 'z', 'ISBN (International Standard Book Number)', 'ISBN (International Standard Book Number)', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('767', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('767', '7', 'Sottocampo di controllo', 'Sottocampo di controllo', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('767', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('767', 'a', 'Intestazione principale', 'Intestazione principale', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('767', 'b', 'Edizione', 'Edizione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('767', 'c', 'Qualificazione', 'Qualificazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('767', 'd', 'Luogo, editore e data di pubblicazione', 'Luogo, editore e data di pubblicazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('767', 'g', 'Informazione sulla relazione', 'Informazione sulla relazione', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('767', 'h', 'Descrizione fisica', 'Descrizione fisica', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('767', 'i', 'Informazione sulla relazione', 'Informazione sulla relazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('767', 'k', 'Dati della serie dell\'item correlato', 'Dati della serie dell\'item correlato', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('767', 'm', 'Dettagli specifici del materiale', 'Dettagli specifici del materiale', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('767', 'n', 'Nota', 'Nota', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('767', 'o', 'Altro identificatore dell\'item', 'Altro identificatore dell\'item', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('767', 'q', 'Parallel title (BK SE) [OBSOLETE]', 'Parallel title (BK SE) [OBSOLETE]', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('767', 'r', 'Numero di rapporto', 'Numero di rapporto', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('767', 's', 'Titolo uniforme', 'Titolo uniforme', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('767', 't', 'Titolo', 'Titolo', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('767', 'u', 'Standard Technical Report Number', 'Standard Technical Report Number', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('767', 'w', 'Numero di controllo della registrazione', 'Numero di controllo della registrazione', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('767', 'x', 'ISSN (International Standard Serial Number)', 'ISSN (International Standard Serial Number)', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('767', 'y', 'Designazione CODEN', 'Designazione CODEN', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('767', 'z', 'ISBN (International Standard Book Number)', 'ISBN (International Standard Book Number)', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('770', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('770', '7', 'Sottocampo di controllo', 'Sottocampo di controllo', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('770', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('770', 'a', 'Intestazione principale', 'Intestazione principale', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('770', 'b', 'Edizione', 'Edizione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('770', 'c', 'Qualificazione', 'Qualificazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('770', 'd', 'Luogo, editore e data di pubblicazione', 'Luogo, editore e data di pubblicazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('770', 'g', 'Informazione sulla relazione', 'Informazione sulla relazione', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('770', 'h', 'Descrizione fisica', 'Descrizione fisica', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('770', 'i', 'Informazione sulla relazione', 'Informazione sulla relazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('770', 'k', 'Dati della serie dell\'item correlato', 'Dati della serie dell\'item correlato', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('770', 'm', 'Dettagli specifici del materiale', 'Dettagli specifici del materiale', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('770', 'n', 'Nota', 'Nota', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('770', 'o', 'Altro identificatore dell\'item', 'Altro identificatore dell\'item', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('770', 'q', 'Parallel title (BK SE) [OBSOLETE]', 'Parallel title (BK SE) [OBSOLETE]', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('770', 'r', 'Numero di rapporto', 'Numero di rapporto', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('770', 's', 'Titolo uniforme', 'Titolo uniforme', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('770', 't', 'Titolo', 'Titolo', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('770', 'u', 'Standard Technical Report Number', 'Standard Technical Report Number', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('770', 'w', 'Numero di controllo della registrazione', 'Numero di controllo della registrazione', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('770', 'x', 'ISSN (International Standard Serial Number)', 'ISSN (International Standard Serial Number)', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('770', 'y', 'Designazione CODEN', 'Designazione CODEN', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('770', 'z', 'ISBN (International Standard Book Number)', 'ISBN (International Standard Book Number)', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('772', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('772', '7', 'Sottocampo di controllo', 'Sottocampo di controllo', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('772', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('772', 'a', 'Intestazione principale', 'Intestazione principale', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('772', 'b', 'Edizione', 'Edizione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('772', 'c', 'Qualificazione', 'Qualificazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('772', 'd', 'Luogo, editore e data di pubblicazione', 'Luogo, editore e data di pubblicazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('772', 'g', 'Informazione sulla relazione', 'Informazione sulla relazione', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('772', 'h', 'Descrizione fisica', 'Descrizione fisica', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('772', 'i', 'Informazione sulla relazione', 'Informazione sulla relazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('772', 'k', 'Dati della serie dell\'item correlato', 'Dati della serie dell\'item correlato', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('772', 'm', 'Dettagli specifici del materiale', 'Dettagli specifici del materiale', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('772', 'n', 'Nota', 'Nota', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('772', 'o', 'Altro identificatore dell\'item', 'Altro identificatore dell\'item', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('772', 'q', 'Parallel title (BK SE) [OBSOLETE]', 'Parallel title (BK SE) [OBSOLETE]', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('772', 'r', 'Numero di rapporto', 'Numero di rapporto', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('772', 's', 'Titolo uniforme', 'Titolo uniforme', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('772', 't', 'Titolo', 'Titolo', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('772', 'u', 'Standard Technical Report Number', 'Standard Technical Report Number', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('772', 'w', 'Numero di controllo della registrazione', 'Numero di controllo della registrazione', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('772', 'x', 'ISSN (International Standard Serial Number)', 'ISSN (International Standard Serial Number)', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('772', 'y', 'Designazione CODEN', 'Designazione CODEN', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('772', 'z', 'ISBN (International Standard Book Number)', 'ISBN (International Standard Book Number)', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('773', '0', 'Codice record bibliografico contenente lo spoglio', 'Codice record bibliografico contenente lo spoglio', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SF', '', '', NULL),
		('773', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('773', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('773', '7', 'Sottocampo di controllo', 'Sottocampo di controllo', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('773', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('773', '9', 'Codice copia contenete lo spoglio', 'Codice copia contenete lo spoglio', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('773', 'a', 'Intestazione principale', 'Intestazione principale', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('773', 'b', 'Edizione', 'Edizione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('773', 'd', 'Luogo, editore e data di pubblicazione', 'Luogo, editore e data di pubblicazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('773', 'g', 'Informazione sulla relazione', 'Informazione sulla relazione', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('773', 'h', 'Descrizione fisica', 'Descrizione fisica', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('773', 'i', 'Informazione sulla relazione', 'Informazione sulla relazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('773', 'k', 'Dati della serie dell\'item correlato', 'Dati della serie dell\'item correlato', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('773', 'm', 'Dettagli specifici del materiale', 'Dettagli specifici del materiale', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('773', 'n', 'Nota', 'Nota', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('773', 'o', 'Altro identificatore dell\'item', 'Altro identificatore dell\'item', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('773', 'p', 'Titolo abbreviato', 'Titolo abbreviato', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('773', 'r', 'Numero di rapporto', 'Numero di rapporto', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('773', 's', 'Titolo uniforme', 'Titolo uniforme', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('773', 't', 'Titolo', 'Titolo', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('773', 'u', 'Standard Technical Report Number', 'Standard Technical Report Number', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('773', 'w', 'Numero di controllo della registrazione', 'Numero di controllo della registrazione', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('773', 'x', 'ISSN (International Standard Serial Number)', 'ISSN (International Standard Serial Number)', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('773', 'y', 'Designazione CODEN', 'Designazione CODEN', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('773', 'z', 'ISBN (International Standard Book Number)', 'ISBN (International Standard Book Number)', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('774', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('774', '7', 'Sottocampo di controllo', 'Sottocampo di controllo', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('774', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('774', 'a', 'Intestazione principale', 'Intestazione principale', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('774', 'b', 'Edizione', 'Edizione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('774', 'c', 'Qualificazione', 'Qualificazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('774', 'd', 'Luogo, editore e data di pubblicazione', 'Luogo, editore e data di pubblicazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('774', 'g', 'Informazione sulla relazione', 'Informazione sulla relazione', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('774', 'h', 'Descrizione fisica', 'Descrizione fisica', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('774', 'i', 'Informazione sulla relazione', 'Informazione sulla relazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('774', 'k', 'Dati della serie dell\'item correlato', 'Dati della serie dell\'item correlato', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('774', 'm', 'Dettagli specifici del materiale', 'Dettagli specifici del materiale', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('774', 'n', 'Nota', 'Nota', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('774', 'o', 'Altro identificatore dell\'item', 'Altro identificatore dell\'item', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('774', 'r', 'Numero di rapporto', 'Numero di rapporto', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('774', 's', 'Titolo uniforme', 'Titolo uniforme', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('774', 't', 'Titolo', 'Titolo', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('774', 'u', 'Standard Technical Report Number', 'Standard Technical Report Number', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('774', 'w', 'Numero di controllo della registrazione', 'Numero di controllo della registrazione', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('774', 'x', 'ISSN (International Standard Serial Number)', 'ISSN (International Standard Serial Number)', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('774', 'y', 'Designazione CODEN', 'Designazione CODEN', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('774', 'z', 'ISBN (International Standard Book Number)', 'ISBN (International Standard Book Number)', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('775', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('775', '7', 'Sottocampo di controllo', 'Sottocampo di controllo', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('775', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('775', 'a', 'Intestazione principale', 'Intestazione principale', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('775', 'b', 'Edizione', 'Edizione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('775', 'c', 'Qualificazione', 'Qualificazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('775', 'd', 'Luogo, editore e data di pubblicazione', 'Luogo, editore e data di pubblicazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('775', 'e', 'Codice lingua', 'Codice lingua', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('775', 'f', 'Codice di paese', 'Codice di paese', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('775', 'g', 'Informazione sulla relazione', 'Informazione sulla relazione', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('775', 'h', 'Descrizione fisica', 'Descrizione fisica', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('775', 'i', 'Informazione sulla relazione', 'Informazione sulla relazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('775', 'k', 'Dati della serie dell\'item correlato', 'Dati della serie dell\'item correlato', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('775', 'm', 'Dettagli specifici del materiale', 'Dettagli specifici del materiale', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('775', 'n', 'Nota', 'Nota', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('775', 'o', 'Altro identificatore dell\'item', 'Altro identificatore dell\'item', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('775', 'q', 'Parallel title (BK SE) [OBSOLETE]', 'Parallel title (BK SE) [OBSOLETE]', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('775', 'r', 'Numero di rapporto', 'Numero di rapporto', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('775', 's', 'Titolo uniforme', 'Titolo uniforme', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('775', 't', 'Titolo', 'Titolo', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('775', 'u', 'Standard Technical Report Number', 'Standard Technical Report Number', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('775', 'w', 'Numero di controllo della registrazione', 'Numero di controllo della registrazione', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('775', 'x', 'ISSN (International Standard Serial Number)', 'ISSN (International Standard Serial Number)', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('775', 'y', 'Designazione CODEN', 'Designazione CODEN', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('775', 'z', 'ISBN (International Standard Book Number)', 'ISBN (International Standard Book Number)', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('776', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('776', '7', 'Sottocampo di controllo', 'Sottocampo di controllo', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('776', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('776', 'a', 'Intestazione principale', 'Intestazione principale', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('776', 'b', 'Edizione', 'Edizione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('776', 'c', 'Qualificazione', 'Qualificazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('776', 'd', 'Luogo, editore e data di pubblicazione', 'Luogo, editore e data di pubblicazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('776', 'g', 'Informazione sulla relazione', 'Informazione sulla relazione', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('776', 'h', 'Descrizione fisica', 'Descrizione fisica', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('776', 'i', 'Informazione sulla relazione', 'Informazione sulla relazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('776', 'k', 'Dati della serie dell\'item correlato', 'Dati della serie dell\'item correlato', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('776', 'm', 'Dettagli specifici del materiale', 'Dettagli specifici del materiale', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('776', 'n', 'Nota', 'Nota', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('776', 'o', 'Altro identificatore dell\'item', 'Altro identificatore dell\'item', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('776', 'q', 'Parallel title (BK SE) [OBSOLETE]', 'Parallel title (BK SE) [OBSOLETE]', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('776', 'r', 'Numero di rapporto', 'Numero di rapporto', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('776', 's', 'Titolo uniforme', 'Titolo uniforme', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('776', 't', 'Titolo', 'Titolo', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('776', 'u', 'Standard Technical Report Number', 'Standard Technical Report Number', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('776', 'w', 'Numero di controllo della registrazione', 'Numero di controllo della registrazione', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('776', 'x', 'ISSN (International Standard Serial Number)', 'ISSN (International Standard Serial Number)', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('776', 'y', 'Designazione CODEN', 'Designazione CODEN', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('776', 'z', 'ISBN (International Standard Book Number)', 'ISBN (International Standard Book Number)', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('777', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('777', '7', 'Sottocampo di controllo', 'Sottocampo di controllo', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('777', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('777', 'a', 'Intestazione principale', 'Intestazione principale', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('777', 'b', 'Edizione', 'Edizione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('777', 'c', 'Qualificazione', 'Qualificazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('777', 'd', 'Luogo, editore e data di pubblicazione', 'Luogo, editore e data di pubblicazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('777', 'g', 'Informazione sulla relazione', 'Informazione sulla relazione', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('777', 'h', 'Descrizione fisica', 'Descrizione fisica', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('777', 'i', 'Informazione sulla relazione', 'Informazione sulla relazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('777', 'k', 'Dati della serie dell\'item correlato', 'Dati della serie dell\'item correlato', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('777', 'm', 'Dettagli specifici del materiale', 'Dettagli specifici del materiale', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('777', 'n', 'Nota', 'Nota', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('777', 'o', 'Altro identificatore dell\'item', 'Altro identificatore dell\'item', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('777', 'q', 'Parallel title (BK SE) [OBSOLETE]', 'Parallel title (BK SE) [OBSOLETE]', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('777', 's', 'Titolo uniforme', 'Titolo uniforme', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('777', 't', 'Titolo', 'Titolo', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('777', 'w', 'Numero di controllo della registrazione', 'Numero di controllo della registrazione', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('777', 'x', 'ISSN (International Standard Serial Number)', 'ISSN (International Standard Serial Number)', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('777', 'y', 'Designazione CODEN', 'Designazione CODEN', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('780', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('780', '7', 'Sottocampo di controllo', 'Sottocampo di controllo', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('780', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('780', 'a', 'Intestazione principale', 'Intestazione principale', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('780', 'b', 'Edizione', 'Edizione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('780', 'c', 'Qualificazione', 'Qualificazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('780', 'd', 'Luogo, editore e data di pubblicazione', 'Luogo, editore e data di pubblicazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('780', 'g', 'Informazione sulla relazione', 'Informazione sulla relazione', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('780', 'h', 'Descrizione fisica', 'Descrizione fisica', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('780', 'i', 'Informazione sulla relazione', 'Informazione sulla relazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('780', 'k', 'Dati della serie dell\'item correlato', 'Dati della serie dell\'item correlato', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('780', 'm', 'Dettagli specifici del materiale', 'Dettagli specifici del materiale', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('780', 'n', 'Nota', 'Nota', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('780', 'o', 'Altro identificatore dell\'item', 'Altro identificatore dell\'item', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('780', 'q', 'Parallel title (BK SE) [OBSOLETE]', 'Parallel title (BK SE) [OBSOLETE]', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('780', 'r', 'Numero di rapporto', 'Numero di rapporto', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('780', 's', 'Titolo uniforme', 'Titolo uniforme', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('780', 't', 'Titolo', 'Titolo', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('780', 'u', 'Standard Technical Report Number', 'Standard Technical Report Number', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('780', 'w', 'Numero di controllo della registrazione', 'Numero di controllo della registrazione', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('780', 'x', 'ISSN (International Standard Serial Number)', 'ISSN (International Standard Serial Number)', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('780', 'y', 'Designazione CODEN', 'Designazione CODEN', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('780', 'z', 'ISBN (International Standard Book Number)', 'ISBN (International Standard Book Number)', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('785', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('785', '7', 'Sottocampo di controllo', 'Sottocampo di controllo', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('785', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('785', 'a', 'Intestazione principale', 'Intestazione principale', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('785', 'b', 'Edizione', 'Edizione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('785', 'c', 'Qualificazione', 'Qualificazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('785', 'd', 'Luogo, editore e data di pubblicazione', 'Luogo, editore e data di pubblicazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('785', 'g', 'Informazione sulla relazione', 'Informazione sulla relazione', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('785', 'h', 'Descrizione fisica', 'Descrizione fisica', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('785', 'i', 'Informazione sulla relazione', 'Informazione sulla relazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('785', 'k', 'Dati della serie dell\'item correlato', 'Dati della serie dell\'item correlato', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('785', 'm', 'Dettagli specifici del materiale', 'Dettagli specifici del materiale', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('785', 'n', 'Nota', 'Nota', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('785', 'o', 'Altro identificatore dell\'item', 'Altro identificatore dell\'item', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('785', 'q', 'Parallel title (BK SE) [OBSOLETE]', 'Parallel title (BK SE) [OBSOLETE]', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('785', 'r', 'Numero di rapporto', 'Numero di rapporto', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('785', 's', 'Titolo uniforme', 'Titolo uniforme', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('785', 't', 'Titolo', 'Titolo', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('785', 'u', 'Standard Technical Report Number', 'Standard Technical Report Number', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('785', 'w', 'Numero di controllo della registrazione', 'Numero di controllo della registrazione', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('785', 'x', 'ISSN (International Standard Serial Number)', 'ISSN (International Standard Serial Number)', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('785', 'y', 'Designazione CODEN', 'Designazione CODEN', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('785', 'z', 'ISBN (International Standard Book Number)', 'ISBN (International Standard Book Number)', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('786', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('786', '7', 'Sottocampo di controllo', 'Sottocampo di controllo', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('786', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('786', 'a', 'Intestazione principale', 'Intestazione principale', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('786', 'b', 'Edizione', 'Edizione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('786', 'c', 'Qualificazione', 'Qualificazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('786', 'd', 'Luogo, editore e data di pubblicazione', 'Luogo, editore e data di pubblicazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('786', 'g', 'Informazione sulla relazione', 'Informazione sulla relazione', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('786', 'h', 'Descrizione fisica', 'Descrizione fisica', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('786', 'i', 'Informazione sulla relazione', 'Informazione sulla relazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('786', 'j', 'Periodo del contenuto', 'Periodo del contenuto', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('786', 'k', 'Dati della serie dell\'item correlato', 'Dati della serie dell\'item correlato', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('786', 'm', 'Dettagli specifici del materiale', 'Dettagli specifici del materiale', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('786', 'n', 'Nota', 'Nota', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('786', 'o', 'Altro identificatore dell\'item', 'Altro identificatore dell\'item', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('786', 'p', 'Titolo abbreviato', 'Titolo abbreviato', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('786', 'r', 'Numero di rapporto', 'Numero di rapporto', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('786', 's', 'Titolo uniforme', 'Titolo uniforme', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('786', 't', 'Titolo', 'Titolo', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('786', 'u', 'Standard Technical Report Number', 'Standard Technical Report Number', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('786', 'w', 'Numero di controllo della registrazione', 'Numero di controllo della registrazione', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('786', 'x', 'ISSN (International Standard Serial Number)', 'ISSN (International Standard Serial Number)', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('786', 'y', 'Designazione CODEN', 'Designazione CODEN', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('786', 'z', 'ISBN (International Standard Book Number)', 'ISBN (International Standard Book Number)', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('787', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('787', '7', 'Sottocampo di controllo', 'Sottocampo di controllo', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('787', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('787', 'a', 'Intestazione principale', 'Intestazione principale', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('787', 'b', 'Edizione', 'Edizione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('787', 'c', 'Qualificazione', 'Qualificazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('787', 'd', 'Luogo, editore e data di pubblicazione', 'Luogo, editore e data di pubblicazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('787', 'g', 'Informazione sulla relazione', 'Informazione sulla relazione', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('787', 'h', 'Descrizione fisica', 'Descrizione fisica', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('787', 'i', 'Informazione sulla relazione', 'Informazione sulla relazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('787', 'k', 'Dati della serie dell\'item correlato', 'Dati della serie dell\'item correlato', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('787', 'm', 'Dettagli specifici del materiale', 'Dettagli specifici del materiale', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('787', 'n', 'Nota', 'Nota', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('787', 'o', 'Altro identificatore dell\'item', 'Altro identificatore dell\'item', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('787', 'q', 'Parallel title (BK SE) [OBSOLETE]', 'Parallel title (BK SE) [OBSOLETE]', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('787', 'r', 'Numero di rapporto', 'Numero di rapporto', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('787', 's', 'Titolo uniforme', 'Titolo uniforme', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('787', 't', 'Titolo', 'Titolo', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('787', 'u', 'Standard Technical Report Number', 'Standard Technical Report Number', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('787', 'w', 'Numero di controllo della registrazione', 'Numero di controllo della registrazione', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('787', 'x', 'ISSN (International Standard Serial Number)', 'ISSN (International Standard Serial Number)', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('787', 'y', 'Designazione CODEN', 'Designazione CODEN', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('787', 'z', 'ISBN (International Standard Book Number)', 'ISBN (International Standard Book Number)', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('789', '%', '%', '%', 0, 0, '', 7, '', '', '', 0, -6, 'SR', '', '', NULL),
		('789', '2', '2', '2', 1, 0, '', 7, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('789', '3', '3', '3', 1, 0, '', 7, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('789', '4', '4', '4', 1, 0, '', 7, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('789', '5', '5', '5', 1, 0, '', 7, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('789', '6', '6', '6', 0, 0, '', 7, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('789', '7', '7', '7', 1, 0, '', 7, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('789', '8', '8', '8', 1, 0, '', 7, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('789', '9', '9', '9', 0, 0, '', 7, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('789', 'a', 'a', 'a', 1, 0, '', 7, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('789', 'b', 'b', 'b', 1, 0, '', 7, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('789', 'c', 'c', 'c', 1, 0, '', 7, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('789', 'd', 'd', 'd', 1, 0, '', 7, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('789', 'e', 'e', 'e', 1, 0, '', 7, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('789', 'f', 'f', 'f', 1, 0, '', 7, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('789', 'g', 'g', 'g', 1, 0, '', 7, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('789', 'h', 'h', 'h', 1, 0, '', 7, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('789', 'i', 'i', 'i', 1, 0, '', 7, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('789', 'j', 'j', 'j', 1, 0, '', 7, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('789', 'k', 'k', 'k', 1, 0, '', 7, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('789', 'l', 'l', 'l', 1, 0, '', 7, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('789', 'm', 'm', 'm', 1, 0, '', 7, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('789', 'n', 'n', 'n', 1, 0, '', 7, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('789', 'o', 'o', 'o', 1, 0, '', 7, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('789', 'p', 'p', 'p', 1, 0, '', 7, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('789', 'q', 'q', 'q', 1, 0, '', 7, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('789', 'r', 'r', 'r', 1, 0, '', 7, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('789', 's', 's', 's', 1, 0, '', 7, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('789', 't', 't', 't', 1, 0, '', 7, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('789', 'u', 'u', 'u', 1, 0, '', 7, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('789', 'v', 'v', 'v', 1, 0, '', 7, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('789', 'w', 'w', 'w', 1, 0, '', 7, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('789', 'x', 'x', 'x', 1, 0, '', 7, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('789', 'y', 'y', 'y', 1, 0, '', 7, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('789', 'z', 'z', 'z', 1, 0, '', 7, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('796', '%', '% (RLIN)', '% (RLIN)', 0, 0, '', 7, '', '', '', 0, -6, 'SR', '', '', NULL),
		('796', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, '', 7, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('796', '4', 'Codice di ruolo', 'Codice di ruolo', 1, 0, '', 7, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('796', '5', 'Istituzione a cui si applica il campo', 'Istituzione a cui si applica il campo', 0, 0, '', 7, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('796', '6', 'Collegamento', 'Collegamento', 0, 0, '', 7, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('796', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 7, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('796', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 7, '', '', '', 0, -5, 'SR', '', '', NULL),
		('796', 'a', 'Nome di persona', 'Nome di persona', 0, 0, '', 7, '', 'PERSO_NAME', '', NULL, -6, 'SR', '', '', NULL),
		('796', 'b', 'Numerazione', 'Numerazione', 0, 0, '', 7, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('796', 'c', 'Titoli e altre parole associate al nome', 'Titoli e altre parole associate al nome', 1, 0, '', 7, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('796', 'd', 'Date associate al nome', 'Date associate al nome', 0, 0, '', 7, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('796', 'e', 'Termine di ruolo', 'Termine di ruolo', 1, 0, '', 7, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('796', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, '', 7, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('796', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, '', 7, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('796', 'h', 'Supporto', 'Supporto', 0, 0, '', 7, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('796', 'j', 'Qualificazione d\'attribuzione', 'Qualificazione d\'attribuzione', 1, 0, '', 7, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('796', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, '', 7, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('796', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, '', 7, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('796', 'm', 'Mezzo di esecuzione per la musica', 'Mezzo di esecuzione per la musica', 1, 0, '', 7, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('796', 'n', 'Numero di parte/sezione dell\'opera', 'Numero di parte/sezione dell\'opera', 1, 0, '', 7, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('796', 'o', 'Formulazione d\'arrangiamento per la musica', 'Formulazione d\'arrangiamento per la musica', 0, 0, '', 7, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('796', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, '', 7, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('796', 'q', 'Forma completa del nome', 'Forma completa del nome', 0, 0, '', 7, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('796', 'r', 'Tonalità (musica)', 'Tonalità (musica)', 0, 0, '', 7, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('796', 's', 'Versione', 'Versione', 0, 0, '', 7, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('796', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, '', 7, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('796', 'u', 'Affiliazione', 'Affiliazione', 0, 0, '', 7, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('796', 'x', 'ISSN (International Standard Serial Number)', 'ISSN (International Standard Serial Number)', 0, 0, '', 7, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('797', '%', '% (RLIN)', '% (RLIN)', 0, 0, '', 7, '', '', '', 0, -6, 'SR', '', '', NULL),
		('797', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, '', 7, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('797', '4', 'Codice di ruolo', 'Codice di ruolo', 1, 0, '', 7, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('797', '5', 'Istituzione a cui si applica il campo', 'Istituzione a cui si applica il campo', 0, 0, '', 7, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('797', '6', 'Collegamento', 'Collegamento', 0, 0, '', 7, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('797', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 7, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('797', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 7, '', '', '', 0, -5, 'SR', '', '', NULL),
		('797', 'a', 'Nome dell\'ente o nome della giurisdizione come accesso', 'Nome dell\'ente o nome della giurisdizione come accesso', 0, 0, '', 7, '', 'CORPO_NAME', '', NULL, -6, 'SR', '', '', NULL),
		('797', 'b', 'Unità subordinata', 'Unità subordinata', 1, 0, '', 7, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('797', 'c', 'Luogo del convegno', 'Luogo del convegno', 0, 0, '', 7, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('797', 'd', 'Data del convegno o di firma del trattato', 'Data del convegno o di firma del trattato', 1, 0, '', 7, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('797', 'e', 'Termine di ruolo', 'Termine di ruolo', 1, 0, '', 7, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('797', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, '', 7, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('797', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, '', 7, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('797', 'h', 'Supporto', 'Supporto', 0, 0, '', 7, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('797', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, '', 7, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('797', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, '', 7, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('797', 'm', 'Mezzo di esecuzione per la musica', 'Mezzo di esecuzione per la musica', 1, 0, '', 7, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('797', 'n', 'Numero di parte/sezione/convegno', 'Numero di parte/sezione/convegno', 1, 0, '', 7, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('797', 'o', 'Formulazione d\'arrangiamento per la musica', 'Formulazione d\'arrangiamento per la musica', 0, 0, '', 7, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('797', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, '', 7, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('797', 'r', 'Tonalità (musica)', 'Tonalità (musica)', 0, 0, '', 7, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('797', 's', 'Versione', 'Versione', 0, 0, '', 7, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('797', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, '', 7, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('797', 'u', 'Affiliazione', 'Affiliazione', 0, 0, '', 7, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('797', 'x', 'ISSN (International Standard Serial Number)', 'ISSN (International Standard Serial Number)', 0, 0, '', 7, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('798', '%', '% (RLIN)', '% (RLIN)', 0, 0, '', 7, '', '', '', 0, -5, 'SR', '', '', NULL),
		('798', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('798', '4', 'Codice di ruolo', 'Codice di ruolo', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('798', '5', 'Istituzione a cui si applica il campo', 'Istituzione a cui si applica il campo', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('798', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('798', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('798', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 7, '', '', '', 0, -5, 'SR', '', '', NULL),
		('798', 'a', 'Nome del convegno o nome della giurisdizione come accesso', 'Nome del convegno o nome della giurisdizione come accesso', 0, 0, NULL, 7, NULL, 'MEETI_NAME', '', NULL, -6, 'SR', '', '', NULL),
		('798', 'b', 'Number (BK CF MP MU SE VM MX) [OBSOLETE]', 'Number (BK CF MP MU SE VM MX) [OBSOLETE]', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('798', 'c', 'Luogo del convegno', 'Luogo del convegno', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('798', 'd', 'Data del convegno', 'Data del convegno', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('798', 'e', 'Unità subordinata', 'Unità subordinata', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('798', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('798', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('798', 'h', 'Supporto', 'Supporto', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('798', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('798', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('798', 'n', 'Numero di parte/sezione/convegno', 'Numero di parte/sezione/convegno', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('798', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('798', 'q', 'Nome del convegno dopo accesso di nome della giurisdizione', 'Nome del convegno dopo accesso di nome della giurisdizione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('798', 's', 'Versione', 'Versione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('798', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('798', 'u', 'Affiliazione', 'Affiliazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('798', 'x', 'ISSN (International Standard Serial Number)', 'ISSN (International Standard Serial Number)', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('799', '%', '% (RLIN)', '% (RLIN)', 0, 0, '', 7, '', '', '', 0, -6, 'SR', '', '', NULL),
		('799', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, '', 7, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('799', '5', 'Istituzione a cui si applica il campo', 'Istituzione a cui si applica il campo', 0, 0, '', 7, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('799', '6', 'Collegamento', 'Collegamento', 0, 0, '', 7, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('799', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 7, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('799', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 7, '', '', '', 0, -5, 'SR', '', '', NULL),
		('799', 'a', 'Titolo uniforme', 'Titolo uniforme', 0, 0, '', 7, '', 'UNIF_TITLE', '', NULL, -6, 'SR', '', '', NULL),
		('799', 'd', 'Data di firma del trattato', 'Data di firma del trattato', 1, 0, '', 7, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('799', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, '', 7, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('799', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, '', 7, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('799', 'h', 'Supporto', 'Supporto', 0, 0, '', 7, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('799', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, '', 7, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('799', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, '', 7, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('799', 'm', 'Mezzo di esecuzione per la musica', 'Mezzo di esecuzione per la musica', 1, 0, '', 7, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('799', 'n', 'Numero di parte/sezione dell\'opera', 'Numero di parte/sezione dell\'opera', 1, 0, '', 7, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('799', 'o', 'Formulazione d\'arrangiamento per la musica', 'Formulazione d\'arrangiamento per la musica', 0, 0, '', 7, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('799', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, '', 7, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('799', 'r', 'Tonalità (musica)', 'Tonalità (musica)', 0, 0, '', 7, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('799', 's', 'Versione', 'Versione', 0, 0, '', 7, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('799', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, '', 7, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('799', 'x', 'ISSN (International Standard Serial Number)', 'ISSN (International Standard Serial Number)', 0, 0, '', 7, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('800', '4', 'Codice di ruolo', 'Codice di ruolo', 1, 0, '', 8, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('800', '6', 'Collegamento', 'Collegamento', 0, 0, '', 8, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('800', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 8, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('800', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 8, '', '', '', 0, -5, 'SR', '', '', NULL),
		('800', 'a', 'Nome di persona', 'Nome di persona', 0, 0, '', 8, '', 'PERSO_NAME', '', NULL, -6, 'SR', '', '', NULL),
		('800', 'b', 'Numerazione', 'Numerazione', 0, 0, '', 8, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('800', 'c', 'Titoli e altre parole associate al nome', 'Titoli e altre parole associate al nome', 1, 0, '', 8, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('800', 'd', 'Date associate al nome', 'Date associate al nome', 0, 0, '', 8, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('800', 'e', 'Termine di ruolo', 'Termine di ruolo', 1, 0, '', 8, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('800', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, '', 8, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('800', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, '', 8, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('800', 'h', 'Supporto', 'Supporto', 0, 0, '', 8, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('800', 'j', 'Qualificazione d\'attribuzione', 'Qualificazione d\'attribuzione', 1, 0, '', 8, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('800', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, '', 8, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('800', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, '', 8, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('800', 'm', 'Mezzo di esecuzione per la musica', 'Mezzo di esecuzione per la musica', 1, 0, '', 8, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('800', 'n', 'Numero di parte/sezione dell\'opera', 'Numero di parte/sezione dell\'opera', 1, 0, '', 8, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('800', 'o', 'Formulazione d\'arrangiamento per la musica', 'Formulazione d\'arrangiamento per la musica', 0, 0, '', 8, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('800', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, '', 8, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('800', 'q', 'Forma completa del nome', 'Forma completa del nome', 0, 0, '', 8, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('800', 'r', 'Tonalità (musica)', 'Tonalità (musica)', 0, 0, '', 8, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('800', 's', 'Versione', 'Versione', 0, 0, '', 8, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('800', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, '', 8, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('800', 'u', 'Affiliazione', 'Affiliazione', 0, 0, '', 8, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('800', 'v', 'Numero del volume/designazione di sequenza', 'Numero del volume/designazione di sequenza', 0, 0, '', 8, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('800', 'w', 'Numero di controllo bibliografico', 'Numero di controllo bibliografico', 1, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('810', '4', 'Codice di ruolo', 'Codice di ruolo', 1, 0, '', 8, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('810', '6', 'Collegamento', 'Collegamento', 0, 0, '', 8, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('810', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 8, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('810', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 8, '', '', '', 0, -5, 'SR', '', '', NULL),
		('810', 'a', 'Nome dell\'ente o nome della giurisdizione come accesso', 'Nome dell\'ente o nome della giurisdizione come accesso', 0, 0, '', 8, '', 'CORPO_NAME', '', NULL, -6, 'SR', '', '', NULL),
		('810', 'b', 'Unità subordinata', 'Unità subordinata', 1, 0, '', 8, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('810', 'c', 'Luogo del convegno', 'Luogo del convegno', 0, 0, '', 8, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('810', 'd', 'Data del convegno o di firma del trattato', 'Data del convegno o di firma del trattato', 1, 0, '', 8, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('810', 'e', 'Termine di ruolo', 'Termine di ruolo', 1, 0, '', 8, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('810', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, '', 8, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('810', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, '', 8, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('810', 'h', 'Supporto', 'Supporto', 0, 0, '', 8, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('810', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, '', 8, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('810', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, '', 8, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('810', 'm', 'Mezzo di esecuzione per la musica', 'Mezzo di esecuzione per la musica', 1, 0, '', 8, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('810', 'n', 'Numero di parte/sezione/convegno', 'Numero di parte/sezione/convegno', 1, 0, '', 8, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('810', 'o', 'Formulazione d\'arrangiamento per la musica', 'Formulazione d\'arrangiamento per la musica', 0, 0, '', 8, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('810', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, '', 8, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('810', 'r', 'Tonalità (musica)', 'Tonalità (musica)', 0, 0, '', 8, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('810', 's', 'Versione', 'Versione', 0, 0, '', 8, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('810', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, '', 8, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('810', 'u', 'Affiliazione', 'Affiliazione', 0, 0, '', 8, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('810', 'v', 'Numero del volume/designazione di sequenza', 'Numero del volume/designazione di sequenza', 0, 0, '', 8, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('810', 'w', 'Numero di controllo bibliografico', 'Numero di controllo bibliografico', 1, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('811', '4', 'Codice di ruolo', 'Codice di ruolo', 1, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('811', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('811', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('811', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 8, '', '', '', 0, -5, 'SR', '', '', NULL),
		('811', 'a', 'Nome del convegno o nome della giurisdizione come accesso', 'Nome del convegno o nome della giurisdizione come accesso', 0, 0, NULL, 8, NULL, 'MEETI_NAME', '', NULL, -6, 'SR', '', '', NULL),
		('811', 'b', 'Number (BK CF MP MU SE VM MX) [OBSOLETE]', 'Number (BK CF MP MU SE VM MX) [OBSOLETE]', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('811', 'c', 'Luogo del convegno', 'Luogo del convegno', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('811', 'd', 'Data del convegno', 'Data del convegno', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('811', 'e', 'Unità subordinata', 'Unità subordinata', 1, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('811', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('811', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('811', 'h', 'Supporto', 'Supporto', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('811', 'j', 'Termine di ruolo', 'Termine di ruolo', 1, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('811', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('811', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('811', 'n', 'Numero di parte/sezione/convegno', 'Numero di parte/sezione/convegno', 1, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('811', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('811', 'q', 'Nome del convegno dopo accesso di nome della giurisdizione', 'Nome del convegno dopo accesso di nome della giurisdizione', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('811', 's', 'Versione', 'Versione', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('811', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('811', 'u', 'Affiliazione', 'Affiliazione', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('811', 'v', 'Numero del volume/designazione di sequenza', 'Numero del volume/designazione di sequenza', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('811', 'w', 'Numero di controllo bibliografico', 'Numero di controllo bibliografico', 1, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('830', '6', 'Collegamento', 'Collegamento', 0, 0, '', 8, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('830', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 8, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('830', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 8, '', '', '', 0, -5, 'SR', '', '', NULL),
		('830', 'a', 'Titolo uniforme', 'Titolo uniforme', 0, 0, '', 8, '', 'UNIF_TITLE', '', NULL, -6, 'SR', '', '', NULL),
		('830', 'd', 'Data di firma del trattato', 'Data di firma del trattato', 1, 0, '', 8, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('830', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, '', 8, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('830', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, '', 8, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('830', 'h', 'Supporto', 'Supporto', 0, 0, '', 8, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('830', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, '', 8, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('830', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, '', 8, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('830', 'm', 'Mezzo di esecuzione per la musica', 'Mezzo di esecuzione per la musica', 1, 0, '', 8, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('830', 'n', 'Numero di parte/sezione dell\'opera', 'Numero di parte/sezione dell\'opera', 1, 0, '', 8, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('830', 'o', 'Formulazione d\'arrangiamento per la musica', 'Formulazione d\'arrangiamento per la musica', 0, 0, '', 8, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('830', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, '', 8, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('830', 'r', 'Tonalità (musica)', 'Tonalità (musica)', 0, 0, '', 8, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('830', 's', 'Versione', 'Versione', 0, 0, '', 8, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('830', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, '', 8, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('830', 'v', 'Numero del volume/designazione di sequenza', 'Numero del volume/designazione di sequenza', 0, 0, '', 8, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('830', 'w', 'Numero di controllo bibliografico', 'Numero di controllo bibliografico', 1, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('840', 'a', 'Titolo', 'Titolo', 0, 0, '', 8, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('840', 'h', 'Supporto', 'Supporto', 1, 0, '', 8, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('840', 'v', 'Numero del volume/designazione di sequenza', 'Numero del volume/designazione di sequenza', 0, 0, '', 8, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('841', 'a', 'Tipo di record', 'Tipo di record', 0, 0, NULL, 8, NULL, NULL, '', NULL, 5, 'SR', '', '', NULL),
		('841', 'b', 'Elementi a lunghezza fiss', 'Elementi a lunghezza fiss', 0, 0, NULL, 8, NULL, NULL, '', NULL, 5, 'SR', '', '', NULL),
		('841', 'e', 'Livello di codifica', 'Livello di codifica', 0, 0, NULL, 8, NULL, NULL, '', NULL, 5, 'SR', '', '', NULL),
		('842', '6', 'Collegamento', 'Collegamento', 0, 0, '', 8, '', '', '', NULL, 5, 'SR', '', '', NULL),
		('842', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 8, '', '', '', NULL, 5, 'SR', '', '', NULL),
		('842', 'a', 'Designatore testuale di forma fisica', 'Designatore testuale di forma fisica', 0, 0, '', 8, '', '', '', NULL, 5, 'SR', '', '', NULL),
		('843', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, NULL, 8, NULL, NULL, '', NULL, 5, 'SR', '', '', NULL),
		('843', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 8, NULL, NULL, '', NULL, 5, 'SR', '', '', NULL),
		('843', '7', 'Elementi di lunghezza fissa della riproduzione', 'Elementi di lunghezza fissa della riproduzione', 0, 0, NULL, 8, NULL, NULL, '', NULL, 5, 'SR', '', '', NULL),
		('843', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 8, NULL, NULL, '', NULL, 5, 'SR', '', '', NULL),
		('843', 'a', 'Tipo di riproduzione', 'Tipo di riproduzione', 0, 0, NULL, 8, NULL, NULL, '', NULL, 5, 'SR', '', '', NULL),
		('843', 'b', 'Luogo di riproduzione', 'Luogo di riproduzione', 1, 0, NULL, 8, NULL, NULL, '', NULL, 5, 'SR', '', '', NULL),
		('843', 'c', 'Agenzia responsabile della riproduzione', 'Agenzia responsabile della riproduzione', 1, 0, NULL, 8, NULL, NULL, '', NULL, 5, 'SR', '', '', NULL),
		('843', 'd', 'Data di riproduzione', 'Data di riproduzione', 0, 0, NULL, 8, NULL, NULL, '', NULL, 5, 'SR', '', '', NULL),
		('843', 'e', 'Descrizione fisica della riproduzione', 'Descrizione fisica della riproduzione', 1, 0, NULL, 8, NULL, NULL, '', NULL, 5, 'SR', '', '', NULL),
		('843', 'f', 'Formulazione della serie della riproduzione', 'Formulazione della serie della riproduzione', 1, 0, NULL, 8, NULL, NULL, '', NULL, 5, 'SR', '', '', NULL),
		('843', 'm', 'Date di pubblicazione e/o designazione sequenziale dei fascicoli riprodotti', 'Date di pubblicazione e/o designazione sequenziale dei fascicoli riprodotti', 1, 0, NULL, 8, NULL, NULL, '', NULL, 5, 'SR', '', '', NULL),
		('843', 'n', 'Nota sulla riproduzione', 'Nota sulla riproduzione', 1, 0, NULL, 8, NULL, NULL, '', NULL, 5, 'SR', '', '', NULL),
		('844', '6', 'Collegamento', 'Collegamento', 0, 0, '', 8, '', '', '', NULL, 5, 'SR', '', '', NULL),
		('844', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 8, '', '', '', NULL, 5, 'SR', '', '', NULL),
		('844', 'a', 'Nome dell\'unità', 'Nome dell\'unità', 0, 0, '', 8, '', '', '', NULL, 5, 'SR', '', '', NULL),
		('845', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, NULL, 8, NULL, NULL, '', NULL, 5, 'SR', '', '', NULL),
		('845', '5', 'Istituzione a cui si applica il campo', 'Istituzione a cui si applica il campo', 0, 0, NULL, 8, NULL, NULL, '', NULL, 5, 'SR', '', '', NULL),
		('845', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 8, NULL, NULL, '', NULL, 5, 'SR', '', '', NULL),
		('845', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 8, NULL, NULL, '', NULL, 5, 'SR', '', '', NULL),
		('845', 'a', 'Condizioni che regolano l\'utilizzo e la riproduzione', 'Condizioni che regolano l\'utilizzo e la riproduzione', 0, 0, NULL, 8, NULL, NULL, '', NULL, 5, 'SR', '', '', NULL),
		('845', 'b', 'Competenza legale', 'Competenza legale', 0, 0, NULL, 8, NULL, NULL, '', NULL, 5, 'SR', '', '', NULL),
		('845', 'c', 'Autorizzazione', 'Autorizzazione', 0, 0, NULL, 8, NULL, NULL, '', NULL, 5, 'SR', '', '', NULL),
		('845', 'd', 'Utenti autorizzati', 'Utenti autorizzati', 0, 0, NULL, 8, NULL, NULL, '', NULL, 5, 'SR', '', '', NULL),
		('850', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 8, NULL, NULL, '', NULL, 5, 'SR', '', '', NULL),
		('850', 'a', 'Istituzione possedente', 'Istituzione possedente', 1, 0, NULL, 8, NULL, NULL, '', NULL, 5, 'SR', '', '', NULL),
		('850', 'b', 'Holdings (NR) (MU VM SE) [OBSOLETE]', 'Holdings (NR) (MU VM SE) [OBSOLETE]', 0, 0, NULL, 8, NULL, NULL, '', NULL, 5, 'SR', '', '', NULL),
		('850', 'd', 'Inclusive dates (NR) (MU VM SE) [OBSOLETE]', 'Inclusive dates (NR) (MU VM SE) [OBSOLETE]', 0, 0, NULL, 8, NULL, NULL, '', NULL, 5, 'SR', '', '', NULL),
		('850', 'e', 'Retention statement (NR) (CF MU VM SE) [OBSOLETE]', 'Retention statement (NR) (CF MU VM SE) [OBSOLETE]', 0, 0, NULL, 8, NULL, NULL, '', NULL, 5, 'SR', '', '', NULL),
		('851', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, NULL, 8, NULL, NULL, '', NULL, 5, 'SR', '', '', NULL),
		('851', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 8, NULL, NULL, '', NULL, 5, 'SR', '', '', NULL),
		('851', 'a', 'Nome (custode o proprietario)', 'Nome (custode o proprietario)', 0, 0, NULL, 8, NULL, NULL, '', NULL, 5, 'SR', '', '', NULL),
		('851', 'b', 'Suddivisione istituzionale', 'Suddivisione istituzionale', 0, 0, NULL, 8, NULL, NULL, '', NULL, 5, 'SR', '', '', NULL),
		('851', 'c', 'Indirizzo', 'Indirizzo', 0, 0, NULL, 8, NULL, NULL, '', NULL, 5, 'SR', '', '', NULL),
		('851', 'd', 'Paese', 'Paese', 0, 0, NULL, 8, NULL, NULL, '', NULL, 5, 'SR', '', '', NULL),
		('851', 'e', 'Localizzazione dell\'unità', 'Localizzazione dell\'unità', 0, 0, NULL, 8, NULL, NULL, '', NULL, 5, 'SR', '', '', NULL),
		('851', 'f', 'Numero d\'item', 'Numero d\'item', 0, 0, NULL, 8, NULL, NULL, '', NULL, 5, 'SR', '', '', NULL),
		('851', 'g', 'Codice di localizzazione del deposito', 'Codice di localizzazione del deposito', 0, 0, NULL, 8, NULL, NULL, '', NULL, 5, 'SR', '', '', NULL),
		('852', '2', 'Fonte della classificazione o dello schema di collocazione (segnatura)', 'Fonte della classificazione o dello schema di collocazione (segnatura)', 0, 0, '', 8, '', '', '', NULL, 5, 'SR', '', '', NULL),
		('852', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, '', 8, '', '', '', NULL, 5, 'SR', '', '', NULL),
		('852', '6', 'Collegamento', 'Collegamento', 0, 0, '', 8, '', '', '', NULL, 5, 'SR', '', '', NULL),
		('852', '8', 'Numero di sequenza', 'Numero di sequenza', 1, 0, '', 8, '', '', '', NULL, 5, 'SR', '', '', NULL),
		('852', 'a', 'Localizzazione', 'Localizzazione', 0, 0, '', 8, '', '', '', NULL, 5, 'SR', '', '', NULL),
		('852', 'b', 'Sottolocalizzazione o collezione', 'Sottolocalizzazione o collezione', 1, 0, '', 8, '', '', '', NULL, 5, 'SR', '', '', NULL),
		('852', 'c', 'Localizzazione a scaffale', 'Localizzazione a scaffale', 1, 0, '', 8, '', '', '', NULL, 5, 'SR', '', '', NULL),
		('852', 'e', 'Indirizzo', 'Indirizzo', 1, 0, '', 8, '', '', '', NULL, 5, 'SR', '', '', NULL),
		('852', 'f', 'Qualificatore di localizzazione codificato', 'Qualificatore di localizzazione codificato', 1, 0, '', 8, '', '', '', NULL, 5, 'SR', '', '', NULL),
		('852', 'g', 'Qualificatore di localizzazione non codificato', 'Qualificatore di localizzazione non codificato', 1, 0, '', 8, '', '', '', NULL, 5, 'SR', '', '', NULL),
		('852', 'h', 'Parte della classificazione', 'Parte della classificazione', 0, 0, '', 8, '', '', '', NULL, 5, 'SR', '', '', NULL),
		('852', 'i', 'Parte dell\'item', 'Parte dell\'item', 1, 0, '', 8, '', '', '', NULL, 5, 'SR', '', '', NULL),
		('852', 'j', 'Collocazione (segnatura)', 'Collocazione (segnatura)', 0, 0, '', 8, '', '', '', NULL, 5, 'SR', '', '', NULL),
		('852', 'k', 'Prefisso del numero di chiamata (collocazione)', 'Prefisso del numero di chiamata (collocazione)', 0, 0, '', 8, '', '', '', NULL, 5, 'SR', '', '', NULL),
		('852', 'l', 'Forma di collocazione (segnatura) di titolo', 'Forma di collocazione (segnatura) di titolo', 0, 0, '', 8, '', '', '', NULL, 5, 'SR', '', '', NULL),
		('852', 'm', 'Suffisso del numero di chiamata (collocazione)', 'Suffisso del numero di chiamata (collocazione)', 0, 0, '', 8, '', '', '', NULL, 5, 'SR', '', '', NULL),
		('852', 'n', 'Codice di paese', 'Codice di paese', 0, 0, '', 8, '', '', '', NULL, 5, 'SR', '', '', NULL),
		('852', 'p', 'Designazione di parte', 'Designazione di parte', 0, 0, '', 8, '', '', '', NULL, 5, 'SR', '', '', NULL),
		('852', 'q', 'Condizione fisica della parte', 'Condizione fisica della parte', 0, 0, '', 8, '', '', '', NULL, 5, 'SR', '', '', NULL),
		('852', 's', 'Codice di tassa sul copyright dell\'articolo', 'Codice di tassa sul copyright dell\'articolo', 1, 0, '', 8, '', '', '', NULL, 5, 'SR', '', '', NULL),
		('852', 't', 'Numero di copia', 'Numero di copia', 0, 0, '', 8, '', '', '', NULL, 5, 'SR', '', '', NULL),
		('852', 'u', 'URI (Uniform Resource Identifier)', 'URI (Uniform Resource Identifier)', 1, 0, '', 8, '', '', '', 1, 5, 'SR', '', '', NULL),
		('852', 'x', 'Nota non pubblic', 'Nota non pubblic', 1, 0, '', 8, '', '', '', NULL, 5, 'SR', '', '', NULL),
		('852', 'z', 'Nota pubblica', 'Nota pubblica', 1, 0, '', 8, '', '', '', NULL, 5, 'SR', '', '', NULL),
		('853', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, '', 8, '', '', '', NULL, 5, 'SR', '', '', NULL),
		('853', '6', 'Collegamento', 'Collegamento', 0, 0, '', 8, '', '', '', NULL, 5, 'SR', '', '', NULL),
		('853', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 8, '', '', '', NULL, 5, 'SR', '', '', NULL),
		('853', 'a', 'Primo livello di enumerazione', 'Primo livello di enumerazione', 0, 0, '', 8, '', '', '', NULL, 5, 'SR', '', '', NULL),
		('853', 'b', 'Secondo livello di enumerazione', 'Secondo livello di enumerazione', 0, 0, '', 8, '', '', '', NULL, 5, 'SR', '', '', NULL),
		('853', 'c', 'Terzo livello di enumerazione', 'Terzo livello di enumerazione', 0, 0, '', 8, '', '', '', NULL, 5, 'SR', '', '', NULL),
		('853', 'd', 'Quarto livello di enumerazione', 'Quarto livello di enumerazione', 0, 0, '', 8, '', '', '', NULL, 5, 'SR', '', '', NULL),
		('853', 'e', 'Quinto livello di enumerazione', 'Quinto livello di enumerazione', 0, 0, '', 8, '', '', '', NULL, 5, 'SR', '', '', NULL),
		('853', 'f', 'Sesto livello di enumerazione', 'Sesto livello di enumerazione', 0, 0, '', 8, '', '', '', NULL, 5, 'SR', '', '', NULL),
		('853', 'g', 'Schema di numerazione alternativo, primo livello di enumerazione', 'Schema di numerazione alternativo, primo livello di enumerazione', 0, 0, '', 8, '', '', '', NULL, 5, 'SR', '', '', NULL),
		('853', 'h', 'Schema di numerazione alternativo, secondo livello di enumerazione', 'Schema di numerazione alternativo, secondo livello di enumerazione', 0, 0, '', 8, '', '', '', NULL, 5, 'SR', '', '', NULL),
		('853', 'i', 'Primo livello di cronologia', 'Primo livello di cronologia', 0, 0, '', 8, '', '', '', NULL, 5, 'SR', '', '', NULL),
		('853', 'j', 'Secondo livello di cronologia', 'Secondo livello di cronologia', 0, 0, '', 8, '', '', '', NULL, 5, 'SR', '', '', NULL),
		('853', 'k', 'Terzo livello di cronologia', 'Terzo livello di cronologia', 0, 0, '', 8, '', '', '', NULL, 5, 'SR', '', '', NULL),
		('853', 'l', 'Quarto livello di cronologia', 'Quarto livello di cronologia', 0, 0, '', 8, '', '', '', NULL, 5, 'SR', '', '', NULL),
		('853', 'm', 'Schema di numerazione alternativo, cronologia', 'Schema di numerazione alternativo, cronologia', 0, 0, '', 8, '', '', '', NULL, 5, 'SR', '', '', NULL),
		('853', 'n', 'Nota allo schema', 'Nota allo schema', 0, 0, '', 8, '', '', '', NULL, 5, 'SR', '', '', NULL),
		('853', 'p', 'Numero di pezzi per emissione', 'Numero di pezzi per emissione', 0, 0, '', 8, '', '', '', NULL, 5, 'SR', '', '', NULL),
		('853', 't', 'Copia', 'Copia', 0, 0, '', 8, '', '', '', NULL, 5, 'SR', '', '', NULL),
		('853', 'u', 'Unità bibliografiche per il livello superiore', 'Unità bibliografiche per il livello superiore', 1, 0, '', 8, '', '', '', NULL, 5, 'SR', '', '', NULL),
		('853', 'v', 'Continuità di numerazione', 'Continuità di numerazione', 1, 0, '', 8, '', '', '', NULL, 5, 'SR', '', '', NULL),
		('853', 'w', 'Frequenza', 'Frequenza', 0, 0, '', 8, '', '', '', NULL, 5, 'SR', '', '', NULL),
		('853', 'x', 'Cambio di calendario', 'Cambio di calendario', 0, 0, '', 8, '', '', '', NULL, 5, 'SR', '', '', NULL),
		('853', 'y', 'scham di regolarità', 'scham di regolarità', 1, 0, '', 8, '', '', '', NULL, 5, 'SR', '', '', NULL),
		('853', 'z', 'Schema di numerazione', 'Schema di numerazione', 1, 0, '', 8, '', '', '', NULL, 5, 'SR', '', '', NULL),
		('854', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, '', 8, '', '', '', NULL, 5, 'SR', '', '', NULL),
		('854', '6', 'Collegamento', 'Collegamento', 0, 0, '', 8, '', '', '', NULL, 5, 'SR', '', '', NULL),
		('854', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 8, '', '', '', NULL, 5, 'SR', '', '', NULL),
		('854', 'a', 'Primo livello di enumerazione', 'Primo livello di enumerazione', 0, 0, '', 8, '', '', '', NULL, 5, 'SR', '', '', NULL),
		('854', 'b', 'Secondo livello di enumerazione', 'Secondo livello di enumerazione', 0, 0, '', 8, '', '', '', NULL, 5, 'SR', '', '', NULL),
		('854', 'c', 'Terzo livello di enumerazione', 'Terzo livello di enumerazione', 0, 0, '', 8, '', '', '', NULL, 5, 'SR', '', '', NULL),
		('854', 'd', 'Quarto livello di enumerazione', 'Quarto livello di enumerazione', 0, 0, '', 8, '', '', '', NULL, 5, 'SR', '', '', NULL),
		('854', 'e', 'Quinto livello di enumerazione', 'Quinto livello di enumerazione', 0, 0, '', 8, '', '', '', NULL, 5, 'SR', '', '', NULL),
		('854', 'f', 'Sesto livello di enumerazione', 'Sesto livello di enumerazione', 0, 0, '', 8, '', '', '', NULL, 5, 'SR', '', '', NULL),
		('854', 'g', 'Schema di numerazione alternativo, primo livello di enumerazione', 'Schema di numerazione alternativo, primo livello di enumerazione', 0, 0, '', 8, '', '', '', NULL, 5, 'SR', '', '', NULL),
		('854', 'h', 'Schema di numerazione alternativo, secondo livello di enumerazione', 'Schema di numerazione alternativo, secondo livello di enumerazione', 0, 0, '', 8, '', '', '', NULL, 5, 'SR', '', '', NULL),
		('854', 'i', 'Primo livello di cronologia', 'Primo livello di cronologia', 0, 0, '', 8, '', '', '', NULL, 5, 'SR', '', '', NULL),
		('854', 'j', 'Secondo livello di cronologia', 'Secondo livello di cronologia', 0, 0, '', 8, '', '', '', NULL, 5, 'SR', '', '', NULL),
		('854', 'k', 'Terzo livello di cronologia', 'Terzo livello di cronologia', 0, 0, '', 8, '', '', '', NULL, 5, 'SR', '', '', NULL),
		('854', 'l', 'Quarto livello di cronologia', 'Quarto livello di cronologia', 0, 0, '', 8, '', '', '', NULL, 5, 'SR', '', '', NULL),
		('854', 'm', 'Schema di numerazione alternativo, cronologia', 'Schema di numerazione alternativo, cronologia', 0, 0, '', 8, '', '', '', NULL, 5, 'SR', '', '', NULL),
		('854', 'n', 'Nota allo schema', 'Nota allo schema', 0, 0, '', 8, '', '', '', NULL, 5, 'SR', '', '', NULL),
		('854', 'p', 'Numero di pezzi per emissione', 'Numero di pezzi per emissione', 0, 0, '', 8, '', '', '', NULL, 5, 'SR', '', '', NULL),
		('854', 't', 'Copia', 'Copia', 0, 0, '', 8, '', '', '', NULL, 5, 'SR', '', '', NULL),
		('854', 'u', 'Unità bibliografiche per il livello superiore', 'Unità bibliografiche per il livello superiore', 1, 0, '', 8, '', '', '', NULL, 5, 'SR', '', '', NULL),
		('854', 'v', 'Continuità di numerazione', 'Continuità di numerazione', 1, 0, '', 8, '', '', '', NULL, 5, 'SR', '', '', NULL),
		('854', 'w', 'Frequenza', 'Frequenza', 0, 0, '', 8, '', '', '', NULL, 5, 'SR', '', '', NULL),
		('854', 'x', 'Cambio di calendario', 'Cambio di calendario', 0, 0, '', 8, '', '', '', NULL, 5, 'SR', '', '', NULL),
		('854', 'y', 'scham di regolarità', 'scham di regolarità', 1, 0, '', 8, '', '', '', NULL, 5, 'SR', '', '', NULL),
		('854', 'z', 'Schema di numerazione', 'Schema di numerazione', 1, 0, '', 8, '', '', '', NULL, 5, 'SR', '', '', NULL),
		('855', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, '', 8, '', '', '', NULL, 5, 'SR', '', '', NULL),
		('855', '6', 'Collegamento', 'Collegamento', 0, 0, '', 8, '', '', '', NULL, 5, 'SR', '', '', NULL),
		('855', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 8, '', '', '', NULL, 5, 'SR', '', '', NULL),
		('855', 'a', 'Primo livello di enumerazione', 'Primo livello di enumerazione', 0, 0, '', 8, '', '', '', NULL, 5, 'SR', '', '', NULL),
		('855', 'b', 'Secondo livello di enumerazione', 'Secondo livello di enumerazione', 0, 0, '', 8, '', '', '', NULL, 5, 'SR', '', '', NULL),
		('855', 'c', 'Terzo livello di enumerazione', 'Terzo livello di enumerazione', 0, 0, '', 8, '', '', '', NULL, 5, 'SR', '', '', NULL),
		('855', 'd', 'Quarto livello di enumerazione', 'Quarto livello di enumerazione', 0, 0, '', 8, '', '', '', NULL, 5, 'SR', '', '', NULL),
		('855', 'e', 'Quinto livello di enumerazione', 'Quinto livello di enumerazione', 0, 0, '', 8, '', '', '', NULL, 5, 'SR', '', '', NULL),
		('855', 'f', 'Sesto livello di enumerazione', 'Sesto livello di enumerazione', 0, 0, '', 8, '', '', '', NULL, 5, 'SR', '', '', NULL),
		('855', 'g', 'Schema di numerazione alternativo, primo livello di enumerazione', 'Schema di numerazione alternativo, primo livello di enumerazione', 0, 0, '', 8, '', '', '', NULL, 5, 'SR', '', '', NULL),
		('855', 'h', 'Schema di numerazione alternativo, secondo livello di enumerazione', 'Schema di numerazione alternativo, secondo livello di enumerazione', 0, 0, '', 8, '', '', '', NULL, 5, 'SR', '', '', NULL),
		('855', 'i', 'Primo livello di cronologia', 'Primo livello di cronologia', 0, 0, '', 8, '', '', '', NULL, 5, 'SR', '', '', NULL),
		('855', 'j', 'Secondo livello di cronologia', 'Secondo livello di cronologia', 0, 0, '', 8, '', '', '', NULL, 5, 'SR', '', '', NULL),
		('855', 'k', 'Terzo livello di cronologia', 'Terzo livello di cronologia', 0, 0, '', 8, '', '', '', NULL, 5, 'SR', '', '', NULL),
		('855', 'l', 'Quarto livello di cronologia', 'Quarto livello di cronologia', 0, 0, '', 8, '', '', '', NULL, 5, 'SR', '', '', NULL),
		('855', 'm', 'Schema di numerazione alternativo, cronologia', 'Schema di numerazione alternativo, cronologia', 0, 0, '', 8, '', '', '', NULL, 5, 'SR', '', '', NULL),
		('855', 'n', 'Nota allo schema', 'Nota allo schema', 0, 0, '', 8, '', '', '', NULL, 5, 'SR', '', '', NULL),
		('855', 'p', 'Numero di pezzi per emissione', 'Numero di pezzi per emissione', 0, 0, '', 8, '', '', '', NULL, 5, 'SR', '', '', NULL),
		('855', 't', 'Copia', 'Copia', 0, 0, '', 8, '', '', '', NULL, 5, 'SR', '', '', NULL),
		('855', 'u', 'Unità bibliografiche per il livello superiore', 'Unità bibliografiche per il livello superiore', 1, 0, '', 8, '', '', '', NULL, 5, 'SR', '', '', NULL),
		('855', 'v', 'Continuità di numerazione', 'Continuità di numerazione', 1, 0, '', 8, '', '', '', NULL, 5, 'SR', '', '', NULL),
		('855', 'w', 'Frequenza', 'Frequenza', 0, 0, '', 8, '', '', '', NULL, 5, 'SR', '', '', NULL),
		('855', 'x', 'Cambio di calendario', 'Cambio di calendario', 0, 0, '', 8, '', '', '', NULL, 5, 'SR', '', '', NULL),
		('855', 'y', 'scham di regolarità', 'scham di regolarità', 1, 0, '', 8, '', '', '', NULL, 5, 'SR', '', '', NULL),
		('855', 'z', 'Schema di numerazione', 'Schema di numerazione', 1, 0, '', 8, '', '', '', NULL, 5, 'SR', '', '', NULL),
		('856', '2', 'Metodo di accesso', 'Metodo di accesso', 0, 0, '', 8, '', '', '', 0, -6, 'SR', '', '', NULL),
		('856', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, '', 8, '', '', '', 0, -6, 'SR', '', '', NULL),
		('856', '6', 'Collegamento', 'Collegamento', 0, 0, '', 8, '', '', '', 0, -6, 'SR', '', '', NULL),
		('856', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 8, '', '', '', 0, -6, 'SR', '', '', NULL),
		('856', 'a', 'Nome dell\'host', 'Nome dell\'host', 1, 0, '', 8, '', '', '', 0, -1, 'SR', '', '', NULL),
		('856', 'b', 'Numero di accesso', 'Numero di accesso', 1, 0, '', 8, '', '', '', 0, -1, 'SR', '', '', NULL),
		('856', 'c', 'Informazione sulla compressione', 'Informazione sulla compressione', 1, 0, '', 8, '', '', '', 0, -1, 'SR', '', '', NULL),
		('856', 'd', 'Percorso della risorsa', 'Percorso della risorsa', 1, 0, '', 8, '', '', '', 0, -1, 'SR', '', '', NULL),
		('856', 'f', 'Nome elettronico', 'Nome elettronico', 1, 0, '', 8, '', '', '', 0, -1, 'SR', '', '', NULL),
		('856', 'h', 'Processore della richiesta (Username)', 'Processore della richiesta (Username)', 0, 0, '', 8, '', '', '', 0, -1, 'SR', '', '', NULL),
		('856', 'i', 'Istruzioni', 'Istruzioni', 1, 0, '', 8, '', '', '', 0, -1, 'SR', '', '', NULL),
		('856', 'j', 'Bit per secondo', 'Bit per secondo', 0, 0, '', 8, '', '', '', 0, -1, 'SR', '', '', NULL),
		('856', 'k', 'Password', 'Password', 0, 0, '', 8, '', '', '', 0, -1, 'SR', '', '', NULL),
		('856', 'l', 'Logon', 'Logon', 0, 0, '', 8, '', '', '', 0, -1, 'SR', '', '', NULL),
		('856', 'm', 'Contatto per assistenza all\'accesso', 'Contatto per assistenza all\'accesso', 1, 0, '', 8, '', '', '', 0, -1, 'SR', '', '', NULL),
		('856', 'n', 'Nome della localizzazione dell\'host', 'Nome della localizzazione dell\'host', 0, 0, '', 8, '', '', '', 0, -1, 'SR', '', '', NULL),
		('856', 'o', 'Sistema operativo', 'Sistema operativo', 0, 0, '', 8, '', '', '', 0, -1, 'SR', '', '', NULL),
		('856', 'p', 'Porta', 'Porta', 0, 0, '', 8, '', '', '', 0, -1, 'SR', '', '', NULL),
		('856', 'q', 'Tipo di formato elettronico', 'Tipo di formato elettronico', 0, 0, '', 8, '', '', '', 0, -1, 'SR', '', '', NULL),
		('856', 'r', 'Parametri', 'Parametri', 0, 0, '', 8, '', '', '', 0, -1, 'SR', '', '', NULL),
		('856', 's', 'Dimensione file', 'Dimensione file', 1, 0, '', 8, '', '', '', 0, -1, 'SR', '', '', NULL),
		('856', 't', 'Emulazione del terminale', 'Emulazione del terminale', 1, 0, '', 8, '', '', '', 0, -1, 'SR', '', '', NULL),
		('856', 'u', 'URI (Uniform Resource Identifier)', 'URI (Uniform Resource Identifier)', 1, 0, 'biblioitems.url', 8, '', '', '', 1, -1, 'SR', '', '', NULL),
		('856', 'v', 'Orario di accesso', 'Orario di accesso', 1, 0, '', 8, '', '', '', 0, -1, 'SR', '', '', NULL),
		('856', 'w', 'Numero di controllo della registrazione', 'Numero di controllo della registrazione', 1, 0, '', 8, '', '', '', 0, -1, 'SR', '', '', NULL),
		('856', 'x', 'Nota non pubblic', 'Nota non pubblic', 1, 0, '', 8, '', '', '', 0, 1, 'SR', '', '', NULL),
		('856', 'y', 'Testo di collegamento', 'Testo di collegamento', 1, 0, '', 8, '', '', '', 0, -1, 'SR', '', '', NULL),
		('856', 'z', 'Nota pubblica', 'Nota pubblica', 1, 0, '', 8, '', '', '', 0, -1, 'SR', '', '', NULL),
		('859', 'b', 'Operator\'s initials, OID (RLIN)', 'Operator\'s initials, OID (RLIN)', 0, 0, '', 8, '', '', '', 0, 5, 'SR', '', '', NULL),
		('859', 'c', 'Cataloger\'s initials, CIN (RLIN)', 'Cataloger\'s initials, CIN (RLIN)', 0, 0, '', 8, '', '', '', 0, 5, 'SR', '', '', NULL),
		('859', 'd', 'TDC (RLIN)', 'TDC (RLIN)', 0, 0, '', 8, '', '', '', 0, 5, 'SR', '', '', NULL),
		('859', 'l', 'LIB (RLIN)', 'LIB (RLIN)', 0, 0, '', 8, '', '', '', 0, 5, 'SR', '', '', NULL),
		('859', 'p', 'PRI (RLIN)', 'PRI (RLIN)', 0, 0, '', 8, '', '', '', 0, 5, 'SR', '', '', NULL),
		('859', 'r', 'REG (RLIN)', 'REG (RLIN)', 0, 0, '', 8, '', '', '', 0, 5, 'SR', '', '', NULL),
		('859', 'v', 'VER (RLIN)', 'VER (RLIN)', 0, 0, '', 8, '', '', '', 0, 5, 'SR', '', '', NULL),
		('859', 'x', 'LDEL (RLIN)', 'LDEL (RLIN)', 0, 0, '', 8, '', '', '', 0, 5, 'SR', '', '', NULL),
		('863', '6', 'Collegamento', 'Collegamento', 0, 0, '', 8, '', '', '', NULL, 5, 'SR', '', '', NULL),
		('863', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 0, 0, '', 8, '', '', '', NULL, 5, 'SR', '', '', NULL),
		('863', 'a', 'Primo livello di enumerazione', 'Primo livello di enumerazione', 0, 0, '', 8, '', '', '', 0, 5, 'SR', '', '', NULL),
		('863', 'b', 'Secondo livello di enumerazione', 'Secondo livello di enumerazione', 0, 0, '', 8, '', '', '', 0, 5, 'SR', '', '', NULL),
		('863', 'c', 'Terzo livello di enumerazione', 'Terzo livello di enumerazione', 0, 0, '', 8, '', '', '', 0, 5, 'SR', '', '', NULL),
		('863', 'd', 'Quarto livello di enumerazione', 'Quarto livello di enumerazione', 0, 0, '', 8, '', '', '', 0, 5, 'SR', '', '', NULL),
		('863', 'e', 'Quinto livello di enumerazione', 'Quinto livello di enumerazione', 0, 0, '', 8, '', '', '', 0, 5, 'SR', '', '', NULL),
		('863', 'f', 'Sesto livello di enumerazione', 'Sesto livello di enumerazione', 0, 0, '', 8, '', '', '', 0, 5, 'SR', '', '', NULL),
		('863', 'g', 'Schema di numerazione alternativo, primo livello di enumerazione', 'Schema di numerazione alternativo, primo livello di enumerazione', 0, 0, '', 8, '', '', '', 0, 5, 'SR', '', '', NULL),
		('863', 'h', 'Schema di numerazione alternativo, secondo livello di enumerazione', 'Schema di numerazione alternativo, secondo livello di enumerazione', 0, 0, '', 8, '', '', '', 0, 5, 'SR', '', '', NULL),
		('863', 'i', 'Primo livello di cronologia', 'Primo livello di cronologia', 0, 0, '', 8, '', '', '', 0, 5, 'SR', '', '', NULL),
		('863', 'j', 'Secondo livello di cronologia', 'Secondo livello di cronologia', 0, 0, '', 8, '', '', '', 0, 5, 'SR', '', '', NULL),
		('863', 'k', 'Terzo livello di cronologia', 'Terzo livello di cronologia', 0, 0, '', 8, '', '', '', 0, 5, 'SR', '', '', NULL),
		('863', 'l', 'Quarto livello di cronologia', 'Quarto livello di cronologia', 0, 0, '', 8, '', '', '', 0, 5, 'SR', '', '', NULL),
		('863', 'm', 'Schema di numerazione alternativo, cronologia', 'Schema di numerazione alternativo, cronologia', 0, 0, '', 8, '', '', '', 0, 5, 'SR', '', '', NULL),
		('863', 'n', 'Convertito in anno Gregoriano', 'Convertito in anno Gregoriano', 0, 0, '', 8, '', '', '', 0, 5, 'SR', '', '', NULL),
		('863', 'o', 'Tipo di materiale', 'Tipo di materiale', 1, 0, '', 8, '', '', '', 0, 5, 'SR', '', '', NULL),
		('863', 'p', 'Designazione di parte', 'Designazione di parte', 0, 0, '', 8, '', '', '', 0, 5, 'SR', '', '', NULL),
		('863', 'q', 'Condizione fisica della parte', 'Condizione fisica della parte', 0, 0, '', 8, '', '', '', 0, 5, 'SR', '', '', NULL),
		('863', 's', 'Codice di tassa sul copyright dell\'articolo', 'Codice di tassa sul copyright dell\'articolo', 1, 0, '', 8, '', '', '', 0, 5, 'SR', '', '', NULL),
		('863', 't', 'Numero di copia', 'Numero di copia', 0, 0, '', 8, '', '', '', 0, 5, 'SR', '', '', NULL),
		('863', 'v', 'Data di emissione', 'Data di emissione', 1, 0, '', 8, '', '', '', 0, 5, 'SR', '', '', NULL),
		('863', 'w', 'indicatore di stacco', 'indicatore di stacco', 0, 0, '', 8, '', '', '', 0, 5, 'SR', '', '', NULL),
		('863', 'x', 'Nota non pubblic', 'Nota non pubblic', 1, 0, '', 8, '', '', '', 0, 5, 'SR', '', '', NULL),
		('863', 'z', 'Nota pubblica', 'Nota pubblica', 1, 0, '', 8, '', '', '', 0, 5, 'SR', '', '', NULL),
		('864', '6', 'Collegamento', 'Collegamento', 0, 0, '', 8, '', '', '', NULL, 5, 'SR', '', '', NULL),
		('864', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 0, 0, '', 8, '', '', '', NULL, 5, 'SR', '', '', NULL),
		('864', 'a', 'Primo livello di enumerazione', 'Primo livello di enumerazione', 0, 0, '', 8, '', '', '', 0, 5, 'SR', '', '', NULL),
		('864', 'b', 'Secondo livello di enumerazione', 'Secondo livello di enumerazione', 0, 0, '', 8, '', '', '', 0, 5, 'SR', '', '', NULL),
		('864', 'c', 'Terzo livello di enumerazione', 'Terzo livello di enumerazione', 0, 0, '', 8, '', '', '', 0, 5, 'SR', '', '', NULL),
		('864', 'd', 'Quarto livello di enumerazione', 'Quarto livello di enumerazione', 0, 0, '', 8, '', '', '', 0, 5, 'SR', '', '', NULL),
		('864', 'e', 'Quinto livello di enumerazione', 'Quinto livello di enumerazione', 0, 0, '', 8, '', '', '', 0, 5, 'SR', '', '', NULL),
		('864', 'f', 'Sesto livello di enumerazione', 'Sesto livello di enumerazione', 0, 0, '', 8, '', '', '', 0, 5, 'SR', '', '', NULL),
		('864', 'g', 'Schema di numerazione alternativo, primo livello di enumerazione', 'Schema di numerazione alternativo, primo livello di enumerazione', 0, 0, '', 8, '', '', '', 0, 5, 'SR', '', '', NULL),
		('864', 'h', 'Schema di numerazione alternativo, secondo livello di enumerazione', 'Schema di numerazione alternativo, secondo livello di enumerazione', 0, 0, '', 8, '', '', '', 0, 5, 'SR', '', '', NULL),
		('864', 'i', 'Primo livello di cronologia', 'Primo livello di cronologia', 0, 0, '', 8, '', '', '', 0, 5, 'SR', '', '', NULL),
		('864', 'j', 'Secondo livello di cronologia', 'Secondo livello di cronologia', 0, 0, '', 8, '', '', '', 0, 5, 'SR', '', '', NULL),
		('864', 'k', 'Terzo livello di cronologia', 'Terzo livello di cronologia', 0, 0, '', 8, '', '', '', 0, 5, 'SR', '', '', NULL),
		('864', 'l', 'Quarto livello di cronologia', 'Quarto livello di cronologia', 0, 0, '', 8, '', '', '', 0, 5, 'SR', '', '', NULL),
		('864', 'm', 'Schema di numerazione alternativo, cronologia', 'Schema di numerazione alternativo, cronologia', 0, 0, '', 8, '', '', '', 0, 5, 'SR', '', '', NULL),
		('864', 'n', 'Convertito in anno Gregoriano', 'Convertito in anno Gregoriano', 0, 0, '', 8, '', '', '', 0, 5, 'SR', '', '', NULL),
		('864', 'o', 'Tipo di materiale', 'Tipo di materiale', 1, 0, '', 8, '', '', '', 0, 5, 'SR', '', '', NULL),
		('864', 'p', 'Designazione di parte', 'Designazione di parte', 0, 0, '', 8, '', '', '', 0, 5, 'SR', '', '', NULL),
		('864', 'q', 'Condizione fisica della parte', 'Condizione fisica della parte', 0, 0, '', 8, '', '', '', 0, 5, 'SR', '', '', NULL),
		('864', 's', 'Codice di tassa sul copyright dell\'articolo', 'Codice di tassa sul copyright dell\'articolo', 1, 0, '', 8, '', '', '', 0, 5, 'SR', '', '', NULL),
		('864', 't', 'Numero di copia', 'Numero di copia', 0, 0, '', 8, '', '', '', 0, 5, 'SR', '', '', NULL),
		('864', 'v', 'Data di emissione', 'Data di emissione', 1, 0, '', 8, '', '', '', 0, 5, 'SR', '', '', NULL),
		('864', 'w', 'indicatore di stacco', 'indicatore di stacco', 0, 0, '', 8, '', '', '', 0, 5, 'SR', '', '', NULL),
		('864', 'x', 'Nota non pubblic', 'Nota non pubblic', 1, 0, '', 8, '', '', '', 0, 5, 'SR', '', '', NULL),
		('864', 'z', 'Nota pubblica', 'Nota pubblica', 1, 0, '', 8, '', '', '', 0, 5, 'SR', '', '', NULL),
		('865', '6', 'Collegamento', 'Collegamento', 0, 0, '', 8, '', '', '', NULL, 5, 'SR', '', '', NULL),
		('865', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 0, 0, '', 8, '', '', '', NULL, 5, 'SR', '', '', NULL),
		('865', 'a', 'Primo livello di enumerazione', 'Primo livello di enumerazione', 0, 0, '', 8, '', '', '', 0, 5, 'SR', '', '', NULL),
		('865', 'b', 'Secondo livello di enumerazione', 'Secondo livello di enumerazione', 0, 0, '', 8, '', '', '', 0, 5, 'SR', '', '', NULL),
		('865', 'c', 'Terzo livello di enumerazione', 'Terzo livello di enumerazione', 0, 0, '', 8, '', '', '', 0, 5, 'SR', '', '', NULL),
		('865', 'd', 'Quarto livello di enumerazione', 'Quarto livello di enumerazione', 0, 0, '', 8, '', '', '', 0, 5, 'SR', '', '', NULL),
		('865', 'e', 'Quinto livello di enumerazione', 'Quinto livello di enumerazione', 0, 0, '', 8, '', '', '', 0, 5, 'SR', '', '', NULL),
		('865', 'f', 'Sesto livello di enumerazione', 'Sesto livello di enumerazione', 0, 0, '', 8, '', '', '', 0, 5, 'SR', '', '', NULL),
		('865', 'g', 'Schema di numerazione alternativo, primo livello di enumerazione', 'Schema di numerazione alternativo, primo livello di enumerazione', 0, 0, '', 8, '', '', '', 0, 5, 'SR', '', '', NULL),
		('865', 'h', 'Schema di numerazione alternativo, secondo livello di enumerazione', 'Schema di numerazione alternativo, secondo livello di enumerazione', 0, 0, '', 8, '', '', '', 0, 5, 'SR', '', '', NULL),
		('865', 'i', 'Primo livello di cronologia', 'Primo livello di cronologia', 0, 0, '', 8, '', '', '', 0, 5, 'SR', '', '', NULL),
		('865', 'j', 'Secondo livello di cronologia', 'Secondo livello di cronologia', 0, 0, '', 8, '', '', '', 0, 5, 'SR', '', '', NULL),
		('865', 'k', 'Terzo livello di cronologia', 'Terzo livello di cronologia', 0, 0, '', 8, '', '', '', 0, 5, 'SR', '', '', NULL),
		('865', 'l', 'Quarto livello di cronologia', 'Quarto livello di cronologia', 0, 0, '', 8, '', '', '', 0, 5, 'SR', '', '', NULL),
		('865', 'm', 'Schema di numerazione alternativo, cronologia', 'Schema di numerazione alternativo, cronologia', 0, 0, '', 8, '', '', '', 0, 5, 'SR', '', '', NULL),
		('865', 'n', 'Convertito in anno Gregoriano', 'Convertito in anno Gregoriano', 0, 0, '', 8, '', '', '', 0, 5, 'SR', '', '', NULL),
		('865', 'o', 'Tipo di materiale', 'Tipo di materiale', 1, 0, '', 8, '', '', '', 0, 5, 'SR', '', '', NULL),
		('865', 'p', 'Designazione di parte', 'Designazione di parte', 0, 0, '', 8, '', '', '', 0, 5, 'SR', '', '', NULL),
		('865', 'q', 'Condizione fisica della parte', 'Condizione fisica della parte', 0, 0, '', 8, '', '', '', 0, 5, 'SR', '', '', NULL),
		('865', 's', 'Codice di tassa sul copyright dell\'articolo', 'Codice di tassa sul copyright dell\'articolo', 1, 0, '', 8, '', '', '', 0, 5, 'SR', '', '', NULL),
		('865', 't', 'Numero di copia', 'Numero di copia', 0, 0, '', 8, '', '', '', 0, 5, 'SR', '', '', NULL),
		('865', 'v', 'Data di emissione', 'Data di emissione', 1, 0, '', 8, '', '', '', 0, 5, 'SR', '', '', NULL),
		('865', 'w', 'indicatore di stacco', 'indicatore di stacco', 0, 0, '', 8, '', '', '', 0, 5, 'SR', '', '', NULL),
		('865', 'x', 'Nota non pubblic', 'Nota non pubblic', 1, 0, '', 8, '', '', '', 0, 5, 'SR', '', '', NULL),
		('865', 'z', 'Nota pubblica', 'Nota pubblica', 1, 0, '', 8, '', '', '', 0, 5, 'SR', '', '', NULL),
		('866', '6', 'Collegamento', 'Collegamento', 0, 0, '', 8, '', '', '', NULL, 5, 'SR', '', '', NULL),
		('866', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 8, '', '', '', NULL, 5, 'SR', '', '', NULL),
		('866', 'a', 'Stringa testuale', 'Stringa testuale', 0, 0, '', 8, '', '', '', 0, 5, 'SR', '', '', NULL),
		('866', 'x', 'Nota non pubblic', 'Nota non pubblic', 1, 0, '', 8, '', '', '', 0, 5, 'SR', '', '', NULL),
		('866', 'z', 'Nota pubblica', 'Nota pubblica', 1, 0, '', 8, '', '', '', 0, 5, 'SR', '', '', NULL),
		('867', '6', 'Collegamento', 'Collegamento', 0, 0, '', 8, '', '', '', NULL, 5, 'SR', '', '', NULL),
		('867', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 8, '', '', '', NULL, 5, 'SR', '', '', NULL),
		('867', 'a', 'Stringa testuale', 'Stringa testuale', 0, 0, '', 8, '', '', '', 0, 5, 'SR', '', '', NULL),
		('867', 'x', 'Nota non pubblic', 'Nota non pubblic', 1, 0, '', 8, '', '', '', 0, 5, 'SR', '', '', NULL),
		('867', 'z', 'Nota pubblica', 'Nota pubblica', 1, 0, '', 8, '', '', '', 0, 5, 'SR', '', '', NULL),
		('868', '6', 'Collegamento', 'Collegamento', 0, 0, '', 8, '', '', '', NULL, 5, 'SR', '', '', NULL),
		('868', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 8, '', '', '', NULL, 5, 'SR', '', '', NULL),
		('868', 'a', 'Stringa testuale', 'Stringa testuale', 0, 0, '', 8, '', '', '', 0, 5, 'SR', '', '', NULL),
		('868', 'x', 'Nota non pubblic', 'Nota non pubblic', 1, 0, '', 8, '', '', '', 0, 5, 'SR', '', '', NULL),
		('868', 'z', 'Nota pubblica', 'Nota pubblica', 1, 0, '', 8, '', '', '', 0, 5, 'SR', '', '', NULL),
		('870', '4', 'Codice di ruolo', 'Codice di ruolo', 1, 0, '', 8, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('870', '6', 'Collegamento', 'Collegamento', 0, 0, '', 8, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('870', 'a', 'Nome di persona', 'Nome di persona', 0, 0, '', 8, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('870', 'b', 'Numerazione', 'Numerazione', 0, 0, '', 8, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('870', 'c', 'Titoli e altre parole associate al nome', 'Titoli e altre parole associate al nome', 1, 0, '', 8, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('870', 'd', 'Date associate al nome', 'Date associate al nome', 0, 0, '', 8, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('870', 'e', 'Termine di ruolo', 'Termine di ruolo', 1, 0, '', 8, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('870', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, '', 8, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('870', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, '', 8, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('870', 'j', 'Tag e numero di sequenza', 'Tag e numero di sequenza', 0, 0, '', 8, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('870', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, '', 8, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('870', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, '', 8, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('870', 'n', 'Numero di parte/sezione dell\'opera', 'Numero di parte/sezione dell\'opera', 1, 0, '', 8, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('870', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, '', 8, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('870', 'q', 'Forma completa del nome', 'Forma completa del nome', 0, 0, '', 8, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('870', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, '', 8, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('870', 'u', 'Affiliazione', 'Affiliazione', 0, 0, '', 8, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('871', '4', 'Codice di ruolo', 'Codice di ruolo', 1, 0, '', 8, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('871', '6', 'Collegamento', 'Collegamento', 0, 0, '', 8, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('871', 'a', 'Nome dell\'ente o nome della giurisdizione come accesso', 'Nome dell\'ente o nome della giurisdizione come accesso', 0, 0, '', 8, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('871', 'b', 'Unità subordinata', 'Unità subordinata', 1, 0, '', 8, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('871', 'c', 'Luogo del convegno', 'Luogo del convegno', 0, 0, '', 8, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('871', 'd', 'Data del convegno o di firma del trattato', 'Data del convegno o di firma del trattato', 1, 0, '', 8, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('871', 'e', 'Termine di ruolo', 'Termine di ruolo', 1, 0, '', 8, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('871', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, '', 8, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('871', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, '', 8, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('871', 'j', 'Tag e numero di sequenza', 'Tag e numero di sequenza', 0, 0, '', 8, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('871', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, '', 8, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('871', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, '', 8, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('871', 'n', 'Numero di parte/sezione/convegno', 'Numero di parte/sezione/convegno', 1, 0, '', 8, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('871', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, '', 8, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('871', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, '', 8, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('871', 'u', 'Affiliazione', 'Affiliazione', 0, 0, '', 8, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('872', '4', 'Codice di ruolo', 'Codice di ruolo', 1, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('872', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('872', 'a', 'Nome del convegno o nome della giurisdizione come accesso', 'Nome del convegno o nome della giurisdizione come accesso', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('872', 'b', 'Number [OBSOLETE]', 'Number [OBSOLETE]', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('872', 'c', 'Luogo del convegno', 'Luogo del convegno', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('872', 'd', 'Data del convegno', 'Data del convegno', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('872', 'e', 'Unità subordinata', 'Unità subordinata', 1, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('872', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('872', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('872', 'j', 'Tag e numero di sequenza', 'Tag e numero di sequenza', 0, 0, '', 8, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('872', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('872', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('872', 'n', 'Numero di parte/sezione/convegno', 'Numero di parte/sezione/convegno', 1, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('872', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('872', 'q', 'Nome del convegno dopo accesso di nome della giurisdizione', 'Nome del convegno dopo accesso di nome della giurisdizione', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('872', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('872', 'u', 'Affiliazione', 'Affiliazione', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('873', '6', 'Collegamento', 'Collegamento', 0, 0, '', 8, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('873', 'a', 'Titolo uniforme', 'Titolo uniforme', 0, 0, '', 8, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('873', 'd', 'Data di firma del trattato', 'Data di firma del trattato', 1, 0, '', 8, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('873', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, '', 8, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('873', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, '', 8, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('873', 'h', 'Supporto', 'Supporto', 0, 0, '', 8, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('873', 'j', 'Tag e numero di sequenza', 'Tag e numero di sequenza', 0, 0, '', 8, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('873', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, '', 8, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('873', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, '', 8, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('873', 'm', 'Mezzo di esecuzione per la musica', 'Mezzo di esecuzione per la musica', 1, 0, '', 8, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('873', 'n', 'Numero di parte/sezione dell\'opera', 'Numero di parte/sezione dell\'opera', 1, 0, '', 8, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('873', 'o', 'Formulazione d\'arrangiamento per la musica', 'Formulazione d\'arrangiamento per la musica', 0, 0, '', 8, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('873', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, '', 8, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('873', 'r', 'Tonalità (musica)', 'Tonalità (musica)', 0, 0, '', 8, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('873', 's', 'Versione', 'Versione', 0, 0, '', 8, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('873', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, '', 8, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('876', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, '', 8, '', '', '', NULL, 5, 'SR', '', '', NULL),
		('876', '6', 'Collegamento', 'Collegamento', 0, 0, '', 8, '', '', '', NULL, 5, 'SR', '', '', NULL),
		('876', '8', 'Numero di sequenza', 'Numero di sequenza', 1, 0, '', 8, '', '', '', NULL, 5, 'SR', '', '', NULL),
		('876', 'a', 'Internal item number', 'Internal item number', 0, 0, '', 8, '', '', '', NULL, 5, 'SR', '', '', NULL),
		('876', 'b', 'Invalid or canceled internal item number', 'Invalid or canceled internal item number', 1, 0, '', 8, '', '', '', NULL, 5, 'SR', '', '', NULL),
		('876', 'c', 'Cost', 'Cost', 1, 0, '', 8, '', '', '', NULL, 5, 'SR', '', '', NULL),
		('876', 'd', 'Data d\'acquisizione', 'Data d\'acquisizione', 1, 0, '', 8, '', '', '', NULL, 5, 'SR', '', '', NULL),
		('876', 'e', 'Fonte d\'acquisto', 'Fonte d\'acquisto', 1, 0, '', 8, '', '', '', NULL, 5, 'SR', '', '', NULL),
		('876', 'h', 'Use restrictions', 'Use restrictions', 1, 0, '', 8, '', '', '', NULL, 5, 'SR', '', '', NULL),
		('876', 'j', 'Status della copia', 'Status della copia', 1, 0, '', 8, '', '', '', NULL, 5, 'SR', '', '', NULL),
		('876', 'l', 'Collocazione temporanea', 'Collocazione temporanea', 1, 0, '', 8, '', '', '', NULL, 5, 'SR', '', '', NULL),
		('876', 'p', 'Designazione di parte', 'Designazione di parte', 1, 0, '', 8, '', '', '', NULL, 5, 'SR', '', '', NULL),
		('876', 'r', 'Invalid or canceled piece designation', 'Invalid or canceled piece designation', 1, 0, '', 8, '', '', '', NULL, 5, 'SR', '', '', NULL),
		('876', 't', 'Numero di copia', 'Numero di copia', 0, 0, '', 8, '', '', '', NULL, 5, 'SR', '', '', NULL),
		('876', 'x', 'Nota non pubblic', 'Nota non pubblic', 1, 0, '', 8, '', '', '', NULL, 5, 'SR', '', '', NULL),
		('876', 'z', 'Nota pubblica', 'Nota pubblica', 1, 0, '', 8, '', '', '', NULL, 5, 'SR', '', '', NULL),
		('877', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, '', 8, '', '', '', NULL, 5, 'SR', '', '', NULL),
		('877', '6', 'Collegamento', 'Collegamento', 0, 0, '', 8, '', '', '', NULL, 5, 'SR', '', '', NULL),
		('877', '8', 'Numero di sequenza', 'Numero di sequenza', 1, 0, '', 8, '', '', '', NULL, 5, 'SR', '', '', NULL),
		('877', 'a', 'Internal item number', 'Internal item number', 0, 0, '', 8, '', '', '', NULL, 5, 'SR', '', '', NULL),
		('877', 'b', 'Invalid or canceled internal item number', 'Invalid or canceled internal item number', 1, 0, '', 8, '', '', '', NULL, 5, 'SR', '', '', NULL),
		('877', 'c', 'Cost', 'Cost', 1, 0, '', 8, '', '', '', NULL, 5, 'SR', '', '', NULL),
		('877', 'd', 'Data d\'acquisizione', 'Data d\'acquisizione', 1, 0, '', 8, '', '', '', NULL, 5, 'SR', '', '', NULL),
		('877', 'e', 'Fonte d\'acquisto', 'Fonte d\'acquisto', 1, 0, '', 8, '', '', '', NULL, 5, 'SR', '', '', NULL),
		('877', 'h', 'Use restrictions', 'Use restrictions', 1, 0, '', 8, '', '', '', NULL, 5, 'SR', '', '', NULL),
		('877', 'j', 'Status della copia', 'Status della copia', 1, 0, '', 8, '', '', '', NULL, 5, 'SR', '', '', NULL),
		('877', 'l', 'Collocazione temporanea', 'Collocazione temporanea', 1, 0, '', 8, '', '', '', NULL, 5, 'SR', '', '', NULL),
		('877', 'p', 'Designazione di parte', 'Designazione di parte', 1, 0, '', 8, '', '', '', NULL, 5, 'SR', '', '', NULL),
		('877', 'r', 'Invalid or canceled piece designation', 'Invalid or canceled piece designation', 1, 0, '', 8, '', '', '', NULL, 5, 'SR', '', '', NULL),
		('877', 't', 'Numero di copia', 'Numero di copia', 0, 0, '', 8, '', '', '', NULL, 5, 'SR', '', '', NULL),
		('877', 'x', 'Nota non pubblic', 'Nota non pubblic', 1, 0, '', 8, '', '', '', NULL, 5, 'SR', '', '', NULL),
		('877', 'z', 'Nota pubblica', 'Nota pubblica', 1, 0, '', 8, '', '', '', NULL, 5, 'SR', '', '', NULL),
		('878', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, '', 8, '', '', '', NULL, 5, 'SR', '', '', NULL),
		('878', '6', 'Collegamento', 'Collegamento', 0, 0, '', 8, '', '', '', NULL, 5, 'SR', '', '', NULL),
		('878', '8', 'Numero di sequenza', 'Numero di sequenza', 1, 0, '', 8, '', '', '', NULL, 5, 'SR', '', '', NULL),
		('878', 'a', 'Internal item number', 'Internal item number', 0, 0, '', 8, '', '', '', NULL, 5, 'SR', '', '', NULL),
		('878', 'b', 'Invalid or canceled internal item number', 'Invalid or canceled internal item number', 1, 0, '', 8, '', '', '', NULL, 5, 'SR', '', '', NULL),
		('878', 'c', 'Cost', 'Cost', 1, 0, '', 8, '', '', '', NULL, 5, 'SR', '', '', NULL),
		('878', 'd', 'Data d\'acquisizione', 'Data d\'acquisizione', 1, 0, '', 8, '', '', '', NULL, 5, 'SR', '', '', NULL),
		('878', 'e', 'Fonte d\'acquisto', 'Fonte d\'acquisto', 1, 0, '', 8, '', '', '', NULL, 5, 'SR', '', '', NULL),
		('878', 'h', 'Use restrictions', 'Use restrictions', 1, 0, '', 8, '', '', '', NULL, 5, 'SR', '', '', NULL),
		('878', 'j', 'Status della copia', 'Status della copia', 1, 0, '', 8, '', '', '', NULL, 5, 'SR', '', '', NULL),
		('878', 'l', 'Collocazione temporanea', 'Collocazione temporanea', 1, 0, '', 8, '', '', '', NULL, 5, 'SR', '', '', NULL),
		('878', 'p', 'Designazione di parte', 'Designazione di parte', 1, 0, '', 8, '', '', '', NULL, 5, 'SR', '', '', NULL),
		('878', 'r', 'Invalid or canceled piece designation', 'Invalid or canceled piece designation', 1, 0, '', 8, '', '', '', NULL, 5, 'SR', '', '', NULL),
		('878', 't', 'Numero di copia', 'Numero di copia', 0, 0, '', 8, '', '', '', NULL, 5, 'SR', '', '', NULL),
		('878', 'x', 'Nota non pubblic', 'Nota non pubblic', 1, 0, '', 8, '', '', '', NULL, 5, 'SR', '', '', NULL),
		('878', 'z', 'Nota pubblica', 'Nota pubblica', 1, 0, '', 8, '', '', '', NULL, 5, 'SR', '', '', NULL),
		('880', '2', '2', '2', 1, 0, '', 8, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('880', '3', '3', '3', 1, 0, '', 8, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('880', '4', '4', '4', 1, 0, '', 8, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('880', '5', '5', '5', 1, 0, '', 8, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('880', '6', 'Collegamento', 'Collegamento', 0, 0, '', 8, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('880', '7', '7', '7', 1, 0, '', 8, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('880', '8', '8', '8', 1, 0, '', 8, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('880', '9', '9', '9', 1, 0, '', 8, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('880', 'a', 'a', 'a', 1, 0, '', 8, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('880', 'b', 'b', 'b', 1, 0, '', 8, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('880', 'c', 'c', 'c', 1, 0, '', 8, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('880', 'd', 'd', 'd', 1, 0, '', 8, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('880', 'e', 'e', 'e', 1, 0, '', 8, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('880', 'f', 'f', 'f', 1, 0, '', 8, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('880', 'g', 'g', 'g', 1, 0, '', 8, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('880', 'h', 'h', 'h', 1, 0, '', 8, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('880', 'i', 'i', 'i', 1, 0, '', 8, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('880', 'j', 'j', 'j', 1, 0, '', 8, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('880', 'k', 'k', 'k', 1, 0, '', 8, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('880', 'l', 'l', 'l', 1, 0, '', 8, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('880', 'm', 'm', 'm', 1, 0, '', 8, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('880', 'n', 'n', 'n', 1, 0, '', 8, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('880', 'o', 'o', 'o', 1, 0, '', 8, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('880', 'p', 'p', 'p', 1, 0, '', 8, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('880', 'q', 'q', 'q', 1, 0, '', 8, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('880', 'r', 'r', 'r', 1, 0, '', 8, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('880', 's', 's', 's', 1, 0, '', 8, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('880', 't', 't', 't', 1, 0, '', 8, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('880', 'u', 'u', 'u', 1, 0, '', 8, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('880', 'v', 'v', 'v', 1, 0, '', 8, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('880', 'w', 'w', 'w', 1, 0, '', 8, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('880', 'x', 'x', 'x', 1, 0, '', 8, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('880', 'y', 'y', 'y', 1, 0, '', 8, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('880', 'z', 'z', 'z', 1, 0, '', 8, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('886', '0', '0', '0', 1, 0, '', 8, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('886', '1', '1', '1', 1, 0, '', 8, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('886', '2', '2', '2', 1, 0, '', 8, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('886', '3', '3', '3', 1, 0, '', 8, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('886', '4', '4', '4', 1, 0, '', 8, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('886', '5', '5', '5', 1, 0, '', 8, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('886', '6', '6', '6', 1, 0, '', 8, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('886', '7', '7', '7', 1, 0, '', 8, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('886', '8', '8', '8', 1, 0, '', 8, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('886', '9', '9', '9', 1, 0, '', 8, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('886', 'a', 'a', 'a', 1, 0, '', 8, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('886', 'b', 'b', 'b', 1, 0, '', 8, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('886', 'c', 'c', 'c', 1, 0, '', 8, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('886', 'd', 'd', 'd', 1, 0, '', 8, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('886', 'e', 'e', 'e', 1, 0, '', 8, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('886', 'f', 'f', 'f', 1, 0, '', 8, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('886', 'g', 'g', 'g', 1, 0, '', 8, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('886', 'h', 'h', 'h', 1, 0, '', 8, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('886', 'i', 'i', 'i', 1, 0, '', 8, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('886', 'j', 'j', 'j', 1, 0, '', 8, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('886', 'k', 'k', 'k', 1, 0, '', 8, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('886', 'l', 'l', 'l', 1, 0, '', 8, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('886', 'm', 'm', 'm', 1, 0, '', 8, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('886', 'n', 'n', 'n', 1, 0, '', 8, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('886', 'o', 'o', 'o', 1, 0, '', 8, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('886', 'p', 'p', 'p', 1, 0, '', 8, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('886', 'q', 'q', 'q', 1, 0, '', 8, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('886', 'r', 'r', 'r', 1, 0, '', 8, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('886', 's', 's', 's', 1, 0, '', 8, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('886', 't', 't', 't', 1, 0, '', 8, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('886', 'u', 'u', 'u', 1, 0, '', 8, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('886', 'v', 'v', 'v', 1, 0, '', 8, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('886', 'w', 'w', 'w', 1, 0, '', 8, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('886', 'x', 'x', 'x', 1, 0, '', 8, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('886', 'y', 'y', 'y', 1, 0, '', 8, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('886', 'z', 'z', 'z', 1, 0, '', 8, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('887', '2', 'Fonte dei dati', 'Fonte dei dati', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('887', 'a', 'Contenuto del campo non-MARC', 'Contenuto del campo non-MARC', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('896', '%', '% (RLIN)', '% (RLIN)', 0, 0, '', 8, '', '', '', 0, -6, 'SR', '', '', NULL),
		('896', '4', 'Codice di ruolo', 'Codice di ruolo', 1, 0, '', 8, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('896', '6', 'Collegamento', 'Collegamento', 0, 0, '', 8, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('896', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 8, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('896', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 8, '', '', '', 0, -5, 'SR', '', '', NULL),
		('896', 'a', 'Nome di persona', 'Nome di persona', 0, 0, '', 8, '', 'PERSO_NAME', '', NULL, -6, 'SR', '', '', NULL),
		('896', 'b', 'Numerazione', 'Numerazione', 0, 0, '', 8, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('896', 'c', 'Titoli e altre parole associate al nome', 'Titoli e altre parole associate al nome', 1, 0, '', 8, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('896', 'd', 'Date associate al nome', 'Date associate al nome', 0, 0, '', 8, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('896', 'e', 'Termine di ruolo', 'Termine di ruolo', 1, 0, '', 8, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('896', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, '', 8, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('896', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, '', 8, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('896', 'h', 'Supporto', 'Supporto', 0, 0, '', 8, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('896', 'j', 'Qualificazione d\'attribuzione', 'Qualificazione d\'attribuzione', 1, 0, '', 8, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('896', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, '', 8, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('896', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, '', 8, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('896', 'm', 'Mezzo di esecuzione per la musica', 'Mezzo di esecuzione per la musica', 1, 0, '', 8, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('896', 'n', 'Numero di parte/sezione dell\'opera', 'Numero di parte/sezione dell\'opera', 1, 0, '', 8, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('896', 'o', 'Formulazione d\'arrangiamento per la musica', 'Formulazione d\'arrangiamento per la musica', 0, 0, '', 8, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('896', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, '', 8, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('896', 'q', 'Forma completa del nome', 'Forma completa del nome', 0, 0, '', 8, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('896', 'r', 'Tonalità (musica)', 'Tonalità (musica)', 0, 0, '', 8, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('896', 's', 'Versione', 'Versione', 0, 0, '', 8, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('896', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, '', 8, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('896', 'u', 'Affiliazione', 'Affiliazione', 0, 0, '', 8, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('896', 'v', 'Numero del volume/designazione di sequenza', 'Numero del volume/designazione di sequenza', 0, 0, '', 8, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('897', '%', '% (RLIN)', '% (RLIN)', 0, 0, '', 8, '', '', '', 0, -6, 'SR', '', '', NULL),
		('897', '4', 'Codice di ruolo', 'Codice di ruolo', 1, 0, '', 8, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('897', '6', 'Collegamento', 'Collegamento', 0, 0, '', 8, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('897', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 8, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('897', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 8, '', '', '', 0, -5, 'SR', '', '', NULL),
		('897', 'a', 'Nome dell\'ente o nome della giurisdizione come accesso', 'Nome dell\'ente o nome della giurisdizione come accesso', 0, 0, '', 8, '', 'CORPO_NAME', '', NULL, -6, 'SR', '', '', NULL),
		('897', 'b', 'Unità subordinata', 'Unità subordinata', 1, 0, '', 8, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('897', 'c', 'Luogo del convegno', 'Luogo del convegno', 0, 0, '', 8, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('897', 'd', 'Data del convegno o di firma del trattato', 'Data del convegno o di firma del trattato', 1, 0, '', 8, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('897', 'e', 'Termine di ruolo', 'Termine di ruolo', 1, 0, '', 8, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('897', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, '', 8, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('897', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, '', 8, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('897', 'h', 'Supporto', 'Supporto', 0, 0, '', 8, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('897', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, '', 8, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('897', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, '', 8, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('897', 'm', 'Mezzo di esecuzione per la musica', 'Mezzo di esecuzione per la musica', 1, 0, '', 8, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('897', 'n', 'Numero di parte/sezione/convegno', 'Numero di parte/sezione/convegno', 1, 0, '', 8, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('897', 'o', 'Formulazione d\'arrangiamento per la musica', 'Formulazione d\'arrangiamento per la musica', 0, 0, '', 8, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('897', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, '', 8, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('897', 'r', 'Tonalità (musica)', 'Tonalità (musica)', 0, 0, '', 8, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('897', 's', 'Versione', 'Versione', 0, 0, '', 8, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('897', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, '', 8, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('897', 'u', 'Affiliazione', 'Affiliazione', 0, 0, '', 8, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('897', 'v', 'Numero del volume/designazione di sequenza', 'Numero del volume/designazione di sequenza', 0, 0, '', 8, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('898', '%', '% (RLIN)', '% (RLIN)', 0, 0, '', 8, '', '', '', 0, -6, 'SR', '', '', NULL),
		('898', '4', 'Codice di ruolo', 'Codice di ruolo', 1, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('898', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('898', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('898', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 8, '', '', '', 0, -5, 'SR', '', '', NULL),
		('898', 'a', 'Nome del convegno o nome della giurisdizione come accesso', 'Nome del convegno o nome della giurisdizione come accesso', 0, 0, NULL, 8, NULL, 'MEETI_NAME', '', NULL, -6, 'SR', '', '', NULL),
		('898', 'b', 'Number (BK CF MP MU SE VM MX) [OBSOLETE]', 'Number (BK CF MP MU SE VM MX) [OBSOLETE]', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('898', 'c', 'Luogo del convegno', 'Luogo del convegno', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('898', 'd', 'Data del convegno', 'Data del convegno', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('898', 'e', 'Unità subordinata', 'Unità subordinata', 1, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('898', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('898', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('898', 'h', 'Supporto', 'Supporto', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('898', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('898', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('898', 'n', 'Numero di parte/sezione/convegno', 'Numero di parte/sezione/convegno', 1, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('898', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('898', 'q', 'Nome del convegno dopo accesso di nome della giurisdizione', 'Nome del convegno dopo accesso di nome della giurisdizione', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('898', 's', 'Versione', 'Versione', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('898', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('898', 'u', 'Affiliazione', 'Affiliazione', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('898', 'v', 'Numero del volume/designazione di sequenza', 'Numero del volume/designazione di sequenza', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('899', '%', '% (RLIN)', '% (RLIN)', 0, 0, '', 8, '', '', '', 0, -6, 'SR', '', '', NULL),
		('899', '6', 'Collegamento', 'Collegamento', 0, 0, '', 8, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('899', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 8, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('899', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 8, '', '', '', 0, -5, 'SR', '', '', NULL),
		('899', 'a', 'Titolo uniforme', 'Titolo uniforme', 0, 0, '', 8, '', 'UNIF_TITLE', '', NULL, -6, 'SR', '', '', NULL),
		('899', 'd', 'Data di firma del trattato', 'Data di firma del trattato', 1, 0, '', 8, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('899', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, '', 8, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('899', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, '', 8, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('899', 'h', 'Supporto', 'Supporto', 0, 0, '', 8, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('899', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, '', 8, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('899', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, '', 8, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('899', 'm', 'Mezzo di esecuzione per la musica', 'Mezzo di esecuzione per la musica', 1, 0, '', 8, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('899', 'n', 'Numero di parte/sezione dell\'opera', 'Numero di parte/sezione dell\'opera', 1, 0, '', 8, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('899', 'o', 'Formulazione d\'arrangiamento per la musica', 'Formulazione d\'arrangiamento per la musica', 0, 0, '', 8, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('899', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, '', 8, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('899', 'r', 'Tonalità (musica)', 'Tonalità (musica)', 0, 0, '', 8, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('899', 's', 'Versione', 'Versione', 0, 0, '', 8, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('899', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, '', 8, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('899', 'v', 'Numero del volume/designazione di sequenza', 'Numero del volume/designazione di sequenza', 0, 0, '', 8, '', '', '', NULL, 5, 'SR', '', '', NULL),
		('900', '4', 'Codice di ruolo', 'Codice di ruolo', 1, 0, '', 9, '', '', '', 0, -6, 'SR', '', '', NULL),
		('900', '6', 'Collegamento', 'Collegamento', 0, 0, '', 9, '', '', '', 0, -6, 'SR', '', '', NULL),
		('900', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 9, '', '', '', 0, -6, 'SR', '', '', NULL),
		('900', 'a', 'Nome di persona', 'Nome di persona', 0, 0, '', 9, '', '', '', 0, 5, 'SR', '', '', NULL),
		('900', 'b', 'Numerazione', 'Numerazione', 0, 0, '', 9, '', '', '', 0, -6, 'SR', '', '', NULL),
		('900', 'c', 'Titoli e altre parole associate al nome', 'Titoli e altre parole associate al nome', 1, 0, '', 9, '', '', '', 0, -6, 'SR', '', '', NULL),
		('900', 'd', 'Date associate al nome', 'Date associate al nome', 0, 0, '', 9, '', '', '', 0, -6, 'SR', '', '', NULL),
		('900', 'e', 'Termine di ruolo', 'Termine di ruolo', 1, 0, '', 9, '', '', '', 0, -6, 'SR', '', '', NULL),
		('900', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, '', 9, '', '', '', 0, -6, 'SR', '', '', NULL),
		('900', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, '', 9, '', '', '', 0, -6, 'SR', '', '', NULL),
		('900', 'j', 'Qualificazione d\'attribuzione', 'Qualificazione d\'attribuzione', 1, 0, '', 9, '', '', '', 0, -6, 'SR', '', '', NULL),
		('900', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, '', 9, '', '', '', 0, -6, 'SR', '', '', NULL),
		('900', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, '', 9, '', '', '', 0, -6, 'SR', '', '', NULL),
		('900', 'n', 'Numero di parte/sezione dell\'opera', 'Numero di parte/sezione dell\'opera', 1, 0, '', 9, '', '', '', 0, -6, 'SR', '', '', NULL),
		('900', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, '', 9, '', '', '', 0, -6, 'SR', '', '', NULL),
		('900', 'q', 'Forma completa del nome', 'Forma completa del nome', 0, 0, '', 9, '', '', '', 0, -6, 'SR', '', '', NULL),
		('900', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, '', 9, '', '', '', 0, -6, 'SR', '', '', NULL),
		('900', 'u', 'Affiliazione', 'Affiliazione', 0, 0, '', 9, '', '', '', 0, -6, 'SR', '', '', NULL),
		('901', '0', '0', '0', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('901', '1', '1', '1', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('901', '2', '2', '2', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('901', '3', '3', '3', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('901', '4', '4', '4', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('901', '5', '5', '5', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('901', '6', '6', '6', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('901', '7', '7', '7', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('901', '8', '8', '8', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('901', '9', '9', '9', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('901', 'a', 'a', 'a', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('901', 'b', 'b', 'b', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('901', 'c', 'c', 'c', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('901', 'd', 'd', 'd', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('901', 'e', 'e', 'e', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('901', 'f', 'f', 'f', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('901', 'g', 'g', 'g', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('901', 'h', 'h', 'h', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('901', 'i', 'i', 'i', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('901', 'j', 'j', 'j', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('901', 'k', 'k', 'k', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('901', 'l', 'l', 'l', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('901', 'm', 'm', 'm', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('901', 'n', 'n', 'n', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('901', 'o', 'o', 'o', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('901', 'p', 'p', 'p', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('901', 'q', 'q', 'q', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('901', 'r', 'r', 'r', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('901', 's', 's', 's', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('901', 't', 't', 't', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('901', 'u', 'u', 'u', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('901', 'v', 'v', 'v', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('901', 'w', 'w', 'w', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('901', 'x', 'x', 'x', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('901', 'y', 'y', 'y', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('901', 'z', 'z', 'z', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('902', '0', '0', '0', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('902', '1', '1', '1', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('902', '2', '2', '2', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('902', '3', '3', '3', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('902', '4', '4', '4', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('902', '5', '5', '5', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('902', '6', '6', '6', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('902', '7', '7', '7', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('902', '8', '8', '8', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('902', '9', '9', '9', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('902', 'a', 'a', 'a', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('902', 'b', 'b', 'b', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('902', 'c', 'c', 'c', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('902', 'd', 'd', 'd', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('902', 'e', 'e', 'e', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('902', 'f', 'f', 'f', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('902', 'g', 'g', 'g', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('902', 'h', 'h', 'h', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('902', 'i', 'i', 'i', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('902', 'j', 'j', 'j', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('902', 'k', 'k', 'k', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('902', 'l', 'l', 'l', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('902', 'm', 'm', 'm', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('902', 'n', 'n', 'n', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('902', 'o', 'o', 'o', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('902', 'p', 'p', 'p', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('902', 'q', 'q', 'q', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('902', 'r', 'r', 'r', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('902', 's', 's', 's', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('902', 't', 't', 't', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('902', 'u', 'u', 'u', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('902', 'v', 'v', 'v', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('902', 'w', 'w', 'w', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('902', 'x', 'x', 'x', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('902', 'y', 'y', 'y', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('902', 'z', 'z', 'z', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('903', '0', '0', '0', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('903', '1', '1', '1', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('903', '2', '2', '2', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('903', '3', '3', '3', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('903', '4', '4', '4', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('903', '5', '5', '5', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('903', '6', '6', '6', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('903', '7', '7', '7', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('903', '8', '8', '8', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('903', '9', '9', '9', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('903', 'a', 'a', 'a', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('903', 'b', 'b', 'b', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('903', 'c', 'c', 'c', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('903', 'd', 'd', 'd', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('903', 'e', 'e', 'e', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('903', 'f', 'f', 'f', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('903', 'g', 'g', 'g', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('903', 'h', 'h', 'h', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('903', 'i', 'i', 'i', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('903', 'j', 'j', 'j', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('903', 'k', 'k', 'k', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('903', 'l', 'l', 'l', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('903', 'm', 'm', 'm', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('903', 'n', 'n', 'n', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('903', 'o', 'o', 'o', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('903', 'p', 'p', 'p', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('903', 'q', 'q', 'q', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('903', 'r', 'r', 'r', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('903', 's', 's', 's', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('903', 't', 't', 't', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('903', 'u', 'u', 'u', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('903', 'v', 'v', 'v', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('903', 'w', 'w', 'w', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('903', 'x', 'x', 'x', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('903', 'y', 'y', 'y', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('903', 'z', 'z', 'z', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('904', '0', '0', '0', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('904', '1', '1', '1', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('904', '2', '2', '2', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('904', '3', '3', '3', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('904', '4', '4', '4', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('904', '5', '5', '5', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('904', '6', '6', '6', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('904', '7', '7', '7', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('904', '8', '8', '8', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('904', '9', '9', '9', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('904', 'a', 'a', 'a', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('904', 'b', 'b', 'b', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('904', 'c', 'c', 'c', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('904', 'd', 'd', 'd', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('904', 'e', 'e', 'e', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('904', 'f', 'f', 'f', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('904', 'g', 'g', 'g', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('904', 'h', 'h', 'h', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('904', 'i', 'i', 'i', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('904', 'j', 'j', 'j', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('904', 'k', 'k', 'k', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('904', 'l', 'l', 'l', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('904', 'm', 'm', 'm', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('904', 'n', 'n', 'n', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('904', 'o', 'o', 'o', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('904', 'p', 'p', 'p', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('904', 'q', 'q', 'q', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('904', 'r', 'r', 'r', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('904', 's', 's', 's', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('904', 't', 't', 't', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('904', 'u', 'u', 'u', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('904', 'v', 'v', 'v', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('904', 'w', 'w', 'w', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('904', 'x', 'x', 'x', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('904', 'y', 'y', 'y', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('904', 'z', 'z', 'z', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('905', '0', '0', '0', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('905', '1', '1', '1', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('905', '2', '2', '2', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('905', '3', '3', '3', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('905', '4', '4', '4', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('905', '5', '5', '5', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('905', '6', '6', '6', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('905', '7', '7', '7', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('905', '8', '8', '8', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('905', '9', '9', '9', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('905', 'a', 'a', 'a', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('905', 'b', 'b', 'b', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('905', 'c', 'c', 'c', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('905', 'd', 'd', 'd', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('905', 'e', 'e', 'e', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('905', 'f', 'f', 'f', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('905', 'g', 'g', 'g', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('905', 'h', 'h', 'h', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('905', 'i', 'i', 'i', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('905', 'j', 'j', 'j', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('905', 'k', 'k', 'k', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('905', 'l', 'l', 'l', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('905', 'm', 'm', 'm', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('905', 'n', 'n', 'n', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('905', 'o', 'o', 'o', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('905', 'p', 'p', 'p', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('905', 'q', 'q', 'q', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('905', 'r', 'r', 'r', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('905', 's', 's', 's', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('905', 't', 't', 't', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('905', 'u', 'u', 'u', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('905', 'v', 'v', 'v', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('905', 'w', 'w', 'w', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('905', 'x', 'x', 'x', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('905', 'y', 'y', 'y', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('905', 'z', 'z', 'z', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('906', '0', '0', '0', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('906', '1', '1', '1', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('906', '2', '2', '2', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('906', '3', '3', '3', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('906', '4', '4', '4', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('906', '5', '5', '5', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('906', '6', '6', '6', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('906', '7', '7', '7', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('906', '8', '8', '8', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('906', '9', '9', '9', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('906', 'a', 'a', 'a', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('906', 'b', 'b', 'b', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('906', 'c', 'c', 'c', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('906', 'd', 'd', 'd', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('906', 'e', 'e', 'e', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('906', 'f', 'f', 'f', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('906', 'g', 'g', 'g', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('906', 'h', 'h', 'h', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('906', 'i', 'i', 'i', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('906', 'j', 'j', 'j', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('906', 'k', 'k', 'k', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('906', 'l', 'l', 'l', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('906', 'm', 'm', 'm', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('906', 'n', 'n', 'n', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('906', 'o', 'o', 'o', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('906', 'p', 'p', 'p', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('906', 'q', 'q', 'q', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('906', 'r', 'r', 'r', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('906', 's', 's', 's', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('906', 't', 't', 't', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('906', 'u', 'u', 'u', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('906', 'v', 'v', 'v', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('906', 'w', 'w', 'w', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('906', 'x', 'x', 'x', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('906', 'y', 'y', 'y', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('906', 'z', 'z', 'z', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('907', '0', '0', '0', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('907', '1', '1', '1', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('907', '2', '2', '2', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('907', '3', '3', '3', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('907', '4', '4', '4', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('907', '5', '5', '5', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('907', '6', '6', '6', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('907', '7', '7', '7', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('907', '8', '8', '8', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('907', '9', '9', '9', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('907', 'a', 'a', 'a', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('907', 'b', 'b', 'b', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('907', 'c', 'c', 'c', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('907', 'd', 'd', 'd', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('907', 'e', 'e', 'e', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('907', 'f', 'f', 'f', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('907', 'g', 'g', 'g', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('907', 'h', 'h', 'h', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('907', 'i', 'i', 'i', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('907', 'j', 'j', 'j', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('907', 'k', 'k', 'k', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('907', 'l', 'l', 'l', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('907', 'm', 'm', 'm', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('907', 'n', 'n', 'n', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('907', 'o', 'o', 'o', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('907', 'p', 'p', 'p', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('907', 'q', 'q', 'q', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('907', 'r', 'r', 'r', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('907', 's', 's', 's', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('907', 't', 't', 't', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('907', 'u', 'u', 'u', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('907', 'v', 'v', 'v', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('907', 'w', 'w', 'w', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('907', 'x', 'x', 'x', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('907', 'y', 'y', 'y', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('907', 'z', 'z', 'z', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('908', 'a', 'Put command parameter', 'Put command parameter', 0, 0, '', 9, '', '', '', 0, -6, 'SR', '', '', NULL),
		('910', 'a', 'User-option data', 'User-option data', 0, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('911', '4', 'Codice di ruolo', 'Codice di ruolo', 1, 0, NULL, 9, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('911', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 9, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('911', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 9, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('911', 'a', 'Nome del convegno o nome della giurisdizione come accesso', 'Nome del convegno o nome della giurisdizione come accesso', 0, 0, NULL, 9, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('911', 'b', 'Number [OBSOLETE]', 'Number [OBSOLETE]', 0, 0, NULL, 9, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('911', 'c', 'Luogo del convegno', 'Luogo del convegno', 0, 0, NULL, 9, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('911', 'd', 'Data del convegno', 'Data del convegno', 0, 0, NULL, 9, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('911', 'e', 'Unità subordinata', 'Unità subordinata', 1, 0, NULL, 9, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('911', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, NULL, 9, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('911', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, NULL, 9, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('911', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, NULL, 9, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('911', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, NULL, 9, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('911', 'n', 'Numero di parte/sezione/convegno', 'Numero di parte/sezione/convegno', 1, 0, NULL, 9, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('911', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, NULL, 9, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('911', 'q', 'Nome del convegno dopo accesso di nome della giurisdizione', 'Nome del convegno dopo accesso di nome della giurisdizione', 0, 0, NULL, 9, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('911', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, NULL, 9, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('911', 'u', 'Affiliazione', 'Affiliazione', 0, 0, NULL, 9, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('930', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 9, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('930', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 9, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('930', 'a', 'Titolo uniforme', 'Titolo uniforme', 0, 0, NULL, 9, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('930', 'd', 'Data di firma del trattato', 'Data di firma del trattato', 1, 0, NULL, 9, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('930', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, NULL, 9, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('930', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, NULL, 9, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('930', 'h', 'Supporto', 'Supporto', 0, 0, NULL, 9, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('930', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, NULL, 9, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('930', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, NULL, 9, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('930', 'm', 'Mezzo di esecuzione per la musica', 'Mezzo di esecuzione per la musica', 1, 0, NULL, 9, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('930', 'n', 'Numero di parte/sezione dell\'opera', 'Numero di parte/sezione dell\'opera', 1, 0, NULL, 9, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('930', 'o', 'Formulazione d\'arrangiamento per la musica', 'Formulazione d\'arrangiamento per la musica', 0, 0, NULL, 9, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('930', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, NULL, 9, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('930', 'r', 'Tonalità (musica)', 'Tonalità (musica)', 0, 0, NULL, 9, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('930', 's', 'Versione', 'Versione', 0, 0, NULL, 9, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('930', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, NULL, 9, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('936', 'a', 'OCLC control number(s) of parallel record(s) (OCLC); Piece used for cataloging, PUC (RLIN)', 'OCLC control number(s) of parallel record(s) (OCLC); Piece used for cataloging, PUC (RLIN)', 1, 0, '', 9, '', '', '', 0, -6, 'SR', '', '', NULL),
		('940', '6', 'Collegamento', 'Collegamento', 0, 0, '', 9, '', '', '', 0, -6, 'SR', '', '', NULL),
		('940', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 9, '', '', '', 0, -6, 'SR', '', '', NULL),
		('940', 'a', 'Titolo uniforme', 'Titolo uniforme', 0, 0, '', 9, '', '', '', 1, -6, 'SR', '', '', NULL),
		('940', 'd', 'Data di firma del trattato', 'Data di firma del trattato', 1, 0, '', 9, '', '', '', 0, -6, 'SR', '', '', NULL),
		('940', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, '', 9, '', '', '', 0, -6, 'SR', '', '', NULL),
		('940', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, '', 9, '', '', '', 0, -6, 'SR', '', '', NULL),
		('940', 'h', 'Supporto', 'Supporto', 0, 0, '', 9, '', '', '', 0, -6, 'SR', '', '', NULL),
		('940', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, '', 9, '', '', '', 0, -6, 'SR', '', '', NULL),
		('940', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, '', 9, '', '', '', 0, -6, 'SR', '', '', NULL),
		('940', 'm', 'Mezzo di esecuzione per la musica', 'Mezzo di esecuzione per la musica', 1, 0, '', 9, '', '', '', 0, -6, 'SR', '', '', NULL),
		('940', 'n', 'Numero di parte/sezione dell\'opera', 'Numero di parte/sezione dell\'opera', 1, 0, '', 9, '', '', '', 0, -6, 'SR', '', '', NULL),
		('940', 'o', 'Formulazione d\'arrangiamento per la musica', 'Formulazione d\'arrangiamento per la musica', 0, 0, '', 9, '', '', '', 0, -6, 'SR', '', '', NULL),
		('940', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, '', 9, '', '', '', 0, -6, 'SR', '', '', NULL),
		('940', 'r', 'Tonalità (musica)', 'Tonalità (musica)', 0, 0, '', 9, '', '', '', 0, -6, 'SR', '', '', NULL),
		('940', 's', 'Versione', 'Versione', 0, 0, '', 9, '', '', '', 0, -6, 'SR', '', '', NULL),
		('941', 'a', 'Romanized title', 'Romanized title', 0, 0, NULL, 9, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('941', 'h', 'Supporto', 'Supporto', 0, 0, NULL, 9, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('943', '6', 'Collegamento', 'Collegamento', 0, 0, '', 9, '', '', '', 0, -6, 'SR', '', '', NULL),
		('943', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 9, '', '', '', 0, -6, 'SR', '', '', NULL),
		('943', 'a', 'Titolo uniforme', 'Titolo uniforme', 0, 0, '', 9, '', '', '', 1, 5, 'SR', '', '130', NULL),
		('943', 'd', 'Data di firma del trattato', 'Data di firma del trattato', 1, 0, '', 9, '', '', '', 0, -6, 'SR', '', '', NULL),
		('943', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, '', 9, '', '', '', 0, -6, 'SR', '', '', NULL),
		('943', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, '', 9, '', '', '', 0, -6, 'SR', '', '', NULL),
		('943', 'h', 'Supporto', 'Supporto', 0, 0, '', 9, '', '', '', 0, -6, 'SR', '', '', NULL),
		('943', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, '', 9, '', '', '', 0, -6, 'SR', '', '', NULL),
		('943', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, '', 9, '', '', '', 0, -6, 'SR', '', '', NULL),
		('943', 'm', 'Mezzo di esecuzione per la musica', 'Mezzo di esecuzione per la musica', 1, 0, '', 9, '', '', '', 0, -6, 'SR', '', '', NULL),
		('943', 'n', 'Numero di parte/sezione dell\'opera', 'Numero di parte/sezione dell\'opera', 1, 0, '', 9, '', '', '', 0, -6, 'SR', '', '', NULL),
		('943', 'o', 'Formulazione d\'arrangiamento per la musica', 'Formulazione d\'arrangiamento per la musica', 0, 0, '', 9, '', '', '', 0, -6, 'SR', '', '', NULL),
		('943', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, '', 9, '', '', '', 0, -6, 'SR', '', '', NULL),
		('943', 'r', 'Tonalità (musica)', 'Tonalità (musica)', 0, 0, '', 9, '', '', '', 0, -6, 'SR', '', '', NULL),
		('943', 's', 'Versione', 'Versione', 0, 0, '', 9, '', '', '', 0, -6, 'SR', '', '', NULL),
		('945', '0', '0', '0', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('945', '1', '1', '1', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('945', '2', '2', '2', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('945', '3', '3', '3', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('945', '4', '4', '4', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('945', '5', '5', '5', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('945', '6', '6', '6', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('945', '7', '7', '7', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('945', '8', '8', '8', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('945', '9', '9', '9', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('945', 'a', 'a', 'a', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('945', 'b', 'b', 'b', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('945', 'c', 'c', 'c', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('945', 'd', 'd', 'd', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('945', 'e', 'e', 'e', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('945', 'f', 'f', 'f', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('945', 'g', 'g', 'g', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('945', 'h', 'h', 'h', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('945', 'i', 'i', 'i', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('945', 'j', 'j', 'j', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('945', 'k', 'k', 'k', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('945', 'l', 'l', 'l', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('945', 'm', 'm', 'm', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('945', 'n', 'n', 'n', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('945', 'o', 'o', 'o', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('945', 'p', 'p', 'p', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('945', 'q', 'q', 'q', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('945', 'r', 'r', 'r', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('945', 's', 's', 's', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('945', 't', 't', 't', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('945', 'u', 'u', 'u', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('945', 'v', 'v', 'v', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('945', 'w', 'w', 'w', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('945', 'x', 'x', 'x', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('945', 'y', 'y', 'y', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('945', 'z', 'z', 'z', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('946', '0', '0', '0', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('946', '1', '1', '1', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('946', '2', '2', '2', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('946', '3', '3', '3', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('946', '4', '4', '4', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('946', '5', '5', '5', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('946', '6', '6', '6', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('946', '7', '7', '7', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('946', '8', '8', '8', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('946', '9', '9', '9', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('946', 'a', 'a', 'a', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('946', 'b', 'b', 'b', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('946', 'c', 'c', 'c', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('946', 'd', 'd', 'd', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('946', 'e', 'e', 'e', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('946', 'f', 'f', 'f', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('946', 'g', 'g', 'g', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('946', 'h', 'h', 'h', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('946', 'i', 'i', 'i', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('946', 'j', 'j', 'j', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('946', 'k', 'k', 'k', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('946', 'l', 'l', 'l', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('946', 'm', 'm', 'm', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('946', 'n', 'n', 'n', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('946', 'o', 'o', 'o', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('946', 'p', 'p', 'p', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('946', 'q', 'q', 'q', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('946', 'r', 'r', 'r', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('946', 's', 's', 's', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('946', 't', 't', 't', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('946', 'u', 'u', 'u', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('946', 'v', 'v', 'v', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('946', 'w', 'w', 'w', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('946', 'x', 'x', 'x', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('946', 'y', 'y', 'y', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('946', 'z', 'z', 'z', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('947', '0', '0', '0', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('947', '1', '1', '1', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('947', '2', '2', '2', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('947', '3', '3', '3', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('947', '4', '4', '4', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('947', '5', '5', '5', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('947', '6', '6', '6', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('947', '7', '7', '7', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('947', '8', '8', '8', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('947', '9', '9', '9', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('947', 'a', 'a', 'a', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('947', 'b', 'b', 'b', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('947', 'c', 'c', 'c', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('947', 'd', 'd', 'd', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('947', 'e', 'e', 'e', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('947', 'f', 'f', 'f', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('947', 'g', 'g', 'g', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('947', 'h', 'h', 'h', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('947', 'i', 'i', 'i', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('947', 'j', 'j', 'j', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('947', 'k', 'k', 'k', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('947', 'l', 'l', 'l', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('947', 'm', 'm', 'm', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('947', 'n', 'n', 'n', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('947', 'o', 'o', 'o', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('947', 'p', 'p', 'p', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('947', 'q', 'q', 'q', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('947', 'r', 'r', 'r', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('947', 's', 's', 's', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('947', 't', 't', 't', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('947', 'u', 'u', 'u', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('947', 'v', 'v', 'v', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('947', 'w', 'w', 'w', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('947', 'x', 'x', 'x', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('947', 'y', 'y', 'y', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('947', 'z', 'z', 'z', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('948', '0', '0 (OCLC)', '0 (OCLC)', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('948', '1', '1 (OCLC)', '1 (OCLC)', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('948', '2', '2 (OCLC)', '2 (OCLC)', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('948', '3', '3 (OCLC)', '3 (OCLC)', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('948', '4', '4 (OCLC)', '4 (OCLC)', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('948', '5', '5 (OCLC)', '5 (OCLC)', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('948', '6', '6 (OCLC)', '6 (OCLC)', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('948', '7', '7 (OCLC)', '7 (OCLC)', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('948', '8', '8 (OCLC)', '8 (OCLC)', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('948', '9', '9 (OCLC)', '9 (OCLC)', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('948', 'a', 'Series part designator, SPT (RLIN)', 'Series part designator, SPT (RLIN)', 0, 0, '', 9, '', '', '', 0, -6, 'SR', '', '', NULL),
		('948', 'b', 'b (OCLC)', 'b (OCLC)', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('948', 'c', 'c (OCLC)', 'c (OCLC)', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('948', 'd', 'd (OCLC)', 'd (OCLC)', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('948', 'e', 'e (OCLC)', 'e (OCLC)', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('948', 'f', 'f (OCLC)', 'f (OCLC)', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('948', 'g', 'g (OCLC)', 'g (OCLC)', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('948', 'h', 'h (OCLC)', 'h (OCLC)', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('948', 'i', 'i (OCLC)', 'i (OCLC)', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('948', 'j', 'j (OCLC)', 'j (OCLC)', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('948', 'k', 'k (OCLC)', 'k (OCLC)', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('948', 'l', 'l (OCLC)', 'l (OCLC)', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('948', 'm', 'm (OCLC)', 'm (OCLC)', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('948', 'n', 'n (OCLC)', 'n (OCLC)', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('948', 'o', 'o (OCLC)', 'o (OCLC)', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('948', 'p', 'p (OCLC)', 'p (OCLC)', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('948', 'q', 'q (OCLC)', 'q (OCLC)', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('948', 'r', 'r (OCLC)', 'r (OCLC)', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('948', 's', 's (OCLC)', 's (OCLC)', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('948', 't', 't (OCLC)', 't (OCLC)', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('948', 'u', 'u (OCLC)', 'u (OCLC)', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('948', 'v', 'v (OCLC)', 'v (OCLC)', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('948', 'w', 'w (OCLC)', 'w (OCLC)', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('948', 'x', 'x (OCLC)', 'x (OCLC)', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('948', 'y', 'y (OCLC)', 'y (OCLC)', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('948', 'z', 'z (OCLC)', 'z (OCLC)', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('949', '0', '0', '0', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('949', '1', '1', '1', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('949', '2', '2', '2', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('949', '3', '3', '3', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('949', '4', '4', '4', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('949', '5', '5', '5', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('949', '6', '6', '6', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('949', '7', '7', '7', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('949', '8', '8', '8', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('949', '9', '9', '9', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('949', 'a', 'a', 'a', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('949', 'b', 'b', 'b', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('949', 'c', 'c', 'c', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('949', 'd', 'd', 'd', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('949', 'e', 'e', 'e', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('949', 'f', 'f', 'f', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('949', 'g', 'g', 'g', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('949', 'h', 'h', 'h', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('949', 'i', 'i', 'i', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('949', 'j', 'j', 'j', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('949', 'k', 'k', 'k', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('949', 'l', 'l', 'l', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('949', 'm', 'm', 'm', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('949', 'n', 'n', 'n', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('949', 'o', 'o', 'o', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('949', 'p', 'p', 'p', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('949', 'q', 'q', 'q', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('949', 'r', 'r', 'r', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('949', 's', 's', 's', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('949', 't', 't', 't', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('949', 'u', 'u', 'u', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('949', 'v', 'v', 'v', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('949', 'w', 'w', 'w', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('949', 'x', 'x', 'x', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('949', 'y', 'y', 'y', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('949', 'z', 'z', 'z', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('950', 'a', 'Classification number, LCAL (RLIN)', 'Classification number, LCAL (RLIN)', 0, 0, '', 9, '', '', '', 0, 5, 'SR', '', '', NULL),
		('950', 'b', 'Book number/undivided call number, LCAL (RLIN)', 'Book number/undivided call number, LCAL (RLIN)', 0, 0, '', 9, '', '', '', 0, 5, 'SR', '', '', NULL),
		('950', 'd', 'Additional free-text stamp above the call number, LCAL (RLIN)', 'Additional free-text stamp above the call number, LCAL (RLIN)', 1, 0, '', 9, '', '', '', 0, 5, 'SR', '', '', NULL),
		('950', 'e', 'Additional free-text or profiled stamp below the call number, LCAL (RLIN)', 'Additional free-text or profiled stamp below the call number, LCAL (RLIN)', 1, 0, '', 9, '', '', '', 0, 5, 'SR', '', '', NULL),
		('950', 'f', 'Location-level footnote, LFNT (RLIN)', 'Location-level footnote, LFNT (RLIN)', 0, 0, '', 9, '', '', '', 0, 5, 'SR', '', '', NULL),
		('950', 'h', 'Location-level output transaction history, LHST (RLIN)', 'Location-level output transaction history, LHST (RLIN)', 0, 0, '', 9, '', '', '', 0, 5, 'SR', '', '', NULL),
		('950', 'i', 'Location-level extra card request, LEXT (RLIN)', 'Location-level extra card request, LEXT (RLIN)', 0, 0, '', 9, '', '', '', 0, 5, 'SR', '', '', NULL),
		('950', 'l', 'Permanent shelving location, LOC (RLIN)', 'Permanent shelving location, LOC (RLIN)', 0, 0, '', 9, '', '', '', 0, 5, 'SR', '', '', NULL),
		('950', 'n', 'Location-level additional note, LANT (RLIN)', 'Location-level additional note, LANT (RLIN)', 1, 0, '', 9, '', '', '', 0, 5, 'SR', '', '', NULL),
		('950', 'p', 'Location-level pathfinder, LPTH (RLIN)', 'Location-level pathfinder, LPTH (RLIN)', 0, 0, '', 9, '', '', '', 0, 5, 'SR', '', '', NULL),
		('950', 't', 'Location-level field suppression, LFSP (RLIN)', 'Location-level field suppression, LFSP (RLIN)', 0, 0, '', 9, '', '', '', 0, 5, 'SR', '', '', NULL),
		('950', 'u', 'Non-printing notes, LANT (RLIN)', 'Non-printing notes, LANT (RLIN)', 1, 0, '', 9, '', '', '', 0, 5, 'SR', '', '', NULL),
		('950', 'v', 'Volumes, LVOL (RLIN)', 'Volumes, LVOL (RLIN)', 0, 0, '', 9, '', '', '', 0, 5, 'SR', '', '', NULL),
		('950', 'w', 'Subscription status code, LANT (RLIN)', 'Subscription status code, LANT (RLIN)', 0, 0, '', 9, '', '', '', 0, 5, 'SR', '', '', NULL),
		('950', 'y', 'Date, LVOL (RLIN)', 'Date, LVOL (RLIN)', 0, 0, '', 9, '', '', '', 0, 5, 'SR', '', '', NULL),
		('950', 'z', 'Retention, LVOL (RLIN)', 'Retention, LVOL (RLIN)', 0, 0, '', 9, '', '', '', 0, 5, 'SR', '', '', NULL),
		('951', '2', 'Fonte dell\'intestazione o del termine', 'Fonte dell\'intestazione o del termine', 0, 0, '', 6, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('951', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, '', 6, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('951', '6', 'Collegamento', 'Collegamento', 0, 0, '', 6, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('951', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 6, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('951', 'a', 'Nome geografico', 'Nome geografico', 0, 0, '', 6, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('951', 'b', 'Geographic name following place entry element [OBSOLETE]', 'Geographic name following place entry element [OBSOLETE]', 1, 0, '', 6, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('951', 'v', 'Suddivisione geografica', 'Suddivisione geografica', 1, 0, '', 6, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('951', 'x', 'Suddivisione generale', 'Suddivisione generale', 1, 0, '', 6, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('951', 'y', 'Suddivisione cronologica', 'Suddivisione cronologica', 1, 0, '', 6, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('951', 'z', 'Suddivisione geografica', 'Suddivisione geografica', 1, 0, '', 6, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('955', 'a', 'Classification number, CCAL (RLIN)', 'Classification number, CCAL (RLIN)', 0, 0, '', 9, '', '', '', 0, 5, 'SR', '', '', NULL),
		('955', 'b', 'Book number/undivided call number, CCAL (RLIN)', 'Book number/undivided call number, CCAL (RLIN)', 0, 0, '', 9, '', '', '', 0, 5, 'SR', '', '', NULL),
		('955', 'c', 'Copy information and material description, CCAL + MDES (RLIN)', 'Copy information and material description, CCAL + MDES (RLIN)', 0, 0, '', 9, '', '', '', 0, 5, 'SR', '', '', NULL),
		('955', 'h', 'Copy status--for earlier dates, CST (RLIN)', 'Copy status--for earlier dates, CST (RLIN)', 0, 0, '', 9, '', '', '', 0, 5, 'SR', '', '', NULL),
		('955', 'i', 'Copy status, CST (RLIN)', 'Copy status, CST (RLIN)', 0, 0, '', 9, '', '', '', 0, 5, 'SR', '', '', NULL),
		('955', 'l', 'Permanent shelving location, LOC (RLIN)', 'Permanent shelving location, LOC (RLIN)', 0, 0, '', 9, '', '', '', 0, 5, 'SR', '', '', NULL),
		('955', 'q', 'Aquisitions control number, HNT (RLIN)', 'Aquisitions control number, HNT (RLIN)', 1, 0, '', 9, '', '', '', 0, 5, 'SR', '', '', NULL),
		('955', 'r', 'Circulation control number, HNT (RLIN)', 'Circulation control number, HNT (RLIN)', 0, 0, '', 9, '', '', '', 0, 5, 'SR', '', '', NULL),
		('955', 's', 'Shelflist note, HNT (RLIN)', 'Shelflist note, HNT (RLIN)', 1, 0, '', 9, '', '', '', 1, 5, 'SR', '', '', NULL),
		('955', 'u', 'Non-printing notes, HNT (RLIN)', 'Non-printing notes, HNT (RLIN)', 1, 0, '', 9, '', '', '', 0, 5, 'SR', '', '', NULL),
		('956', '2', 'Metodo di accesso', 'Metodo di accesso', 0, 0, '', 9, '', '', '', 0, -6, 'SR', '', '', NULL),
		('956', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, '', 9, '', '', '', 0, -6, 'SR', '', '', NULL),
		('956', '6', 'Collegamento', 'Collegamento', 0, 0, '', 9, '', '', '', 0, -6, 'SR', '', '', NULL),
		('956', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 9, '', '', '', 0, -6, 'SR', '', '', NULL),
		('956', 'a', 'Nome dell\'host', 'Nome dell\'host', 1, 0, '', 9, '', '', '', 0, -6, 'SR', '', '', NULL),
		('956', 'b', 'Numero di accesso', 'Numero di accesso', 1, 0, '', 9, '', '', '', 0, -6, 'SR', '', '', NULL),
		('956', 'c', 'Informazione sulla compressione', 'Informazione sulla compressione', 1, 0, '', 9, '', '', '', 0, -6, 'SR', '', '', NULL),
		('956', 'd', 'Percorso della risorsa', 'Percorso della risorsa', 1, 0, '', 9, '', '', '', 0, -6, 'SR', '', '', NULL),
		('956', 'f', 'Nome elettronico', 'Nome elettronico', 1, 0, '', 9, '', '', '', 0, -6, 'SR', '', '', NULL),
		('956', 'h', 'Processore della richiesta (Username)', 'Processore della richiesta (Username)', 0, 0, '', 9, '', '', '', 0, -6, 'SR', '', '', NULL),
		('956', 'i', 'Istruzioni', 'Istruzioni', 1, 0, '', 9, '', '', '', 0, -6, 'SR', '', '', NULL),
		('956', 'j', 'Bit per secondo', 'Bit per secondo', 0, 0, '', 9, '', '', '', 0, -6, 'SR', '', '', NULL),
		('956', 'k', 'Password', 'Password', 0, 0, '', 9, '', '', '', 0, -6, 'SR', '', '', NULL),
		('956', 'l', 'Logon', 'Logon', 0, 0, '', 9, '', '', '', 0, -6, 'SR', '', '', NULL),
		('956', 'm', 'Contatto per assistenza all\'accesso', 'Contatto per assistenza all\'accesso', 1, 0, '', 9, '', '', '', 0, -6, 'SR', '', '', NULL),
		('956', 'n', 'Name of location of host in subfield', 'Name of location of host in subfield', 0, 0, '', 9, '', '', '', 0, -6, 'SR', '', '', NULL),
		('956', 'o', 'Sistema operativo', 'Sistema operativo', 0, 0, '', 9, '', '', '', 0, -6, 'SR', '', '', NULL),
		('956', 'p', 'Porta', 'Porta', 0, 0, '', 9, '', '', '', 0, -6, 'SR', '', '', NULL),
		('956', 'q', 'Tipo di formato elettronico', 'Tipo di formato elettronico', 0, 0, '', 9, '', '', '', 0, -6, 'SR', '', '', NULL),
		('956', 'r', 'Parametri', 'Parametri', 0, 0, '', 9, '', '', '', 0, -6, 'SR', '', '', NULL),
		('956', 's', 'Dimensione file', 'Dimensione file', 1, 0, '', 9, '', '', '', 0, -6, 'SR', '', '', NULL),
		('956', 't', 'Emulazione del terminale', 'Emulazione del terminale', 1, 0, '', 9, '', '', '', 0, -6, 'SR', '', '', NULL),
		('956', 'u', 'URI (Uniform Resource Identifier)', 'URI (Uniform Resource Identifier)', 1, 0, '', 9, '', '', '', 1, -6, 'SR', '', '', NULL),
		('956', 'v', 'Orario di accesso', 'Orario di accesso', 1, 0, '', 9, '', '', '', 0, -6, 'SR', '', '', NULL),
		('956', 'w', 'Numero di controllo della registrazione', 'Numero di controllo della registrazione', 1, 0, '', 9, '', '', '', 0, -6, 'SR', '', '', NULL),
		('956', 'x', 'Nota non pubblic', 'Nota non pubblic', 1, 0, '', 9, '', '', '', 0, 6, 'SR', '', '', NULL),
		('956', 'y', 'Testo di collegamento', 'Testo di collegamento', 1, 0, '', 9, '', '', '', 0, -6, 'SR', '', '', NULL),
		('956', 'z', 'Nota pubblica', 'Nota pubblica', 1, 0, '', 9, '', '', '', 0, -6, 'SR', '', '', NULL),
		('960', '3', 'Materials specified, MATL', 'Materials specified, MATL', 0, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('960', 'a', 'Physical location, PLOC (RLIN)', 'Physical location, PLOC (RLIN)', 0, 0, '', 9, '', '', '', 0, -6, 'SR', '', '', NULL),
		('967', 'a', 'GNR (RLIN)', 'GNR (RLIN)', 0, 0, '', 9, '', '', '', 0, -6, 'SR', '', '', NULL),
		('967', 'c', 'PSI (RLIN)', 'PSI (RLIN)', 0, 0, '', 9, '', '', '', 0, -6, 'SR', '', '', NULL),
		('980', '4', 'Codice di ruolo', 'Codice di ruolo', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('980', '6', 'Collegamento', 'Collegamento', 0, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('980', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('980', 'a', 'Nome di persona', 'Nome di persona', 0, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('980', 'b', 'Numerazione', 'Numerazione', 0, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('980', 'c', 'Titoli e altre parole associate al nome', 'Titoli e altre parole associate al nome', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('980', 'd', 'Date associate al nome', 'Date associate al nome', 0, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('980', 'e', 'Termine di ruolo', 'Termine di ruolo', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('980', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('980', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('980', 'h', 'Supporto', 'Supporto', 0, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('980', 'j', 'Qualificazione d\'attribuzione', 'Qualificazione d\'attribuzione', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('980', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('980', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('980', 'm', 'Mezzo di esecuzione per la musica', 'Mezzo di esecuzione per la musica', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('980', 'n', 'Numero di parte/sezione dell\'opera', 'Numero di parte/sezione dell\'opera', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('980', 'o', 'Formulazione d\'arrangiamento per la musica', 'Formulazione d\'arrangiamento per la musica', 0, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('980', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('980', 'q', 'Forma completa del nome', 'Forma completa del nome', 0, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('980', 'r', 'Tonalità (musica)', 'Tonalità (musica)', 0, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('980', 's', 'Versione', 'Versione', 0, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('980', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('980', 'u', 'Affiliazione', 'Affiliazione', 0, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('980', 'v', 'Numero del volume/designazione di sequenza', 'Numero del volume/designazione di sequenza', 0, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('981', '4', 'Codice di ruolo', 'Codice di ruolo', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('981', '6', 'Collegamento', 'Collegamento', 0, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('981', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('981', 'a', 'Nome dell\'ente o nome della giurisdizione come accesso', 'Nome dell\'ente o nome della giurisdizione come accesso', 0, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('981', 'b', 'Unità subordinata', 'Unità subordinata', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('981', 'c', 'Luogo del convegno', 'Luogo del convegno', 0, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('981', 'd', 'Data del convegno o di firma del trattato', 'Data del convegno o di firma del trattato', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('981', 'e', 'Termine di ruolo', 'Termine di ruolo', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('981', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('981', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('981', 'h', 'Supporto', 'Supporto', 0, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('981', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('981', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('981', 'm', 'Mezzo di esecuzione per la musica', 'Mezzo di esecuzione per la musica', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('981', 'n', 'Numero di parte/sezione/convegno', 'Numero di parte/sezione/convegno', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('981', 'o', 'Formulazione d\'arrangiamento per la musica', 'Formulazione d\'arrangiamento per la musica', 0, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('981', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('981', 'r', 'Tonalità (musica)', 'Tonalità (musica)', 0, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('981', 's', 'Versione', 'Versione', 0, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('981', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('981', 'u', 'Affiliazione', 'Affiliazione', 0, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('981', 'v', 'Numero del volume/designazione di sequenza', 'Numero del volume/designazione di sequenza', 0, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('982', '4', 'Codice di ruolo', 'Codice di ruolo', 1, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('982', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('982', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('982', 'a', 'Nome del convegno o nome della giurisdizione come accesso', 'Nome del convegno o nome della giurisdizione come accesso', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('982', 'b', 'Number (BK CF MP MU SE VM MX) [OBSOLETE]', 'Number (BK CF MP MU SE VM MX) [OBSOLETE]', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('982', 'c', 'Luogo del convegno', 'Luogo del convegno', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('982', 'd', 'Data del convegno', 'Data del convegno', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('982', 'e', 'Unità subordinata', 'Unità subordinata', 1, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('982', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('982', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('982', 'h', 'Supporto', 'Supporto', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('982', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('982', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('982', 'n', 'Numero di parte/sezione/convegno', 'Numero di parte/sezione/convegno', 1, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('982', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('982', 'q', 'Nome del convegno dopo accesso di nome della giurisdizione', 'Nome del convegno dopo accesso di nome della giurisdizione', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('982', 's', 'Versione', 'Versione', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('982', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('982', 'u', 'Affiliazione', 'Affiliazione', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('982', 'v', 'Numero del volume/designazione di sequenza', 'Numero del volume/designazione di sequenza', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'SR', '', '', NULL),
		('983', '6', 'Collegamento', 'Collegamento', 0, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('983', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('983', 'a', 'Titolo uniforme', 'Titolo uniforme', 0, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('983', 'd', 'Data di firma del trattato', 'Data di firma del trattato', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('983', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('983', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('983', 'h', 'Supporto', 'Supporto', 0, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('983', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('983', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('983', 'm', 'Mezzo di esecuzione per la musica', 'Mezzo di esecuzione per la musica', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('983', 'n', 'Numero di parte/sezione dell\'opera', 'Numero di parte/sezione dell\'opera', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('983', 'o', 'Formulazione d\'arrangiamento per la musica', 'Formulazione d\'arrangiamento per la musica', 0, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('983', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('983', 'r', 'Tonalità (musica)', 'Tonalità (musica)', 0, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('983', 's', 'Versione', 'Versione', 0, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('983', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('983', 'v', 'Numero del volume/designazione di sequenza', 'Numero del volume/designazione di sequenza', 0, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('984', 'a', 'Numero idenficativo biblioteca proprietaria', 'Numero idenficativo biblioteca proprietaria', 0, 0, '', 9, '', '', '', NULL, 5, 'SR', '', '', NULL),
		('984', 'b', 'Codici descrizione fisica', 'Codici descrizione fisica', 1, 0, '', 9, '', '', '', 0, 5, 'SR', '', '', NULL),
		('984', 'c', 'Numero di chiamata', 'Numero di chiamata', 0, 0, '', 9, '', '', '', 0, 5, 'SR', '', '', NULL),
		('984', 'd', 'Volume o altra numerazione', 'Volume o altra numerazione', 0, 0, '', 9, '', '', '', 0, 5, 'SR', '', '', NULL),
		('984', 'e', 'Date', 'Date', 0, 0, '', 9, '', '', '', 0, 5, 'SR', '', '', NULL),
		('984', 'f', 'Completeness note', 'Completeness note', 0, 0, '', 9, '', '', '', 0, 5, 'SR', '', '', NULL),
		('984', 'g', 'Referral note', 'Referral note', 0, 0, '', 9, '', '', '', 0, 5, 'SR', '', '', NULL),
		('984', 'h', 'Retention note', 'Retention note', 0, 0, '', 9, '', '', '', 0, 5, 'SR', '', '', NULL),
		('987', 'a', 'Romanization/conversion identifier', 'Romanization/conversion identifier', 0, 0, '', 9, '', '', '', NULL, -6, 'SR', '', '', NULL),
		('987', 'b', 'Agenzia che ha convertito, creato o rivisto', 'Agenzia che ha convertito, creato o rivisto', 1, 0, '', 9, '', '', '', 0, -6, 'SR', '', '', NULL),
		('987', 'c', 'Data della conversione o della revisione', 'Data della conversione o della revisione', 0, 0, '', 9, '', '', '', 0, -6, 'SR', '', '', NULL),
		('987', 'd', 'Codice dello status', 'Codice dello status', 0, 0, '', 9, '', '', '', 0, -6, 'SR', '', '', NULL),
		('987', 'e', 'Versione del programma usato per la conversione', 'Versione del programma usato per la conversione', 0, 0, '', 9, '', '', '', 0, -6, 'SR', '', '', NULL),
		('987', 'f', 'Nota', 'Nota', 0, 0, '', 9, '', '', '', 0, -6, 'SR', '', '', NULL),
		('990', 'a', 'Link information for 9XX fields', 'Link information for 9XX fields', 1, 0, '', 9, '', '', '', 0, -6, 'SR', '', '', NULL),
		('990', 'b', 'Link information for field corresponding to 9XX field', 'Link information for field corresponding to 9XX field', 1, 0, '', 9, '', '', '', 0, -6, 'SR', '', '', NULL),
		('995', '0', 'Ritiro della copia', 'Ritiro della copia', 0, 0, '', 9, '', '', '', 0, 5, 'SR', '', '', NULL),
		('995', '1', 'Copia smarrita', 'Copia smarrita', 0, 0, '', 9, '', '', '', 0, 5, 'SR', '', '', NULL),
		('995', '2', 'Codice di sistema (classificazione specifica o altro schema e edizione)', 'Codice di sistema (classificazione specifica o altro schema e edizione)', 0, 0, '', 9, '', '', '', NULL, 5, 'SR', '', '', NULL),
		('995', '3', 'Restrizioni d\'uso', 'Restrizioni d\'uso', 0, 0, '', 9, '', '', '', 0, 5, 'SR', '', '', NULL),
		('995', '4', 'Classificazione normalizzata Koha per l\'ordinamento', 'Classificazione normalizzata Koha per l\'ordinamento', 0, 0, '', 9, '', '', '', 0, 5, 'SR', '', '', NULL),
		('995', '5', 'Qualificatore dell\'ubicazione', 'Qualificatore dell\'ubicazione', 1, 0, '', 9, '', '', '', NULL, 5, 'SR', '', '', NULL),
		('995', '6', 'Numero della copia', 'Numero della copia', 0, 0, '', 9, '', '', '', NULL, 5, 'SR', '', '', NULL),
		('995', '7', 'Uniform Resource Identifier', 'Uniform Resource Identifier', 1, 0, '', 9, '', '', '', 1, 5, 'SR', '', '', NULL),
		('995', '8', 'Collezione Koha', 'Collezione Koha', 0, 0, '', 9, '', '', '', 0, 5, 'SR', '', '', NULL),
		('995', '9', 'Numero interno di copia (Koha itemnumber, autogenerato)', 'Numero interno di copia (Koha itemnumber, autogenerato)', 0, 0, '', 9, '', '', '', 0, 5, 'SR', '', '', NULL),
		('995', 'a', 'Bib. proprietaria della copia (testo libero)', 'Bib. proprietaria della copia (testo libero)', 0, 0, '', 9, '', '', '', 0, 5, 'SR', '', '', NULL),
		('995', 'b', 'Bib. proprietaria della copia', 'Bib. proprietaria della copia', 0, 0, '', 9, '', '', '', 0, 5, 'SR', '', '', NULL),
		('995', 'c', 'Bib. che possiede o presta (holding branch)', 'Bib. che possiede o presta (holding branch)', 0, 0, '', 9, '', '', '', 0, 5, 'SR', '', '', NULL),
		('995', 'd', 'Bib. che possiede o presta (codice)', 'Bib. che possiede o presta (codice)', 0, 0, '', 9, '', '', '', 0, 5, 'SR', '', '', NULL),
		('995', 'e', 'Dettaglio del genere', 'Dettaglio del genere', 0, 0, '', 9, '', '', '', 0, 5, 'SR', '', '', NULL),
		('995', 'f', 'Codice a barre', 'Codice a barre', 0, 0, '', 9, '', '', '', 0, 5, 'SR', '', '', NULL),
		('995', 'g', 'Prefisso del codice a barre', 'Prefisso del codice a barre', 0, 0, '', 9, '', '', '', 0, 5, 'SR', '', '', NULL),
		('995', 'h', 'Incremento del codice a barre', 'Incremento del codice a barre', 0, 0, '', 9, '', '', '', 0, 5, 'SR', '', '', NULL),
		('995', 'i', 'Suffisso del codice a barre', 'Suffisso del codice a barre', 0, 0, '', 9, '', '', '', 0, 5, 'SR', '', '', NULL),
		('995', 'j', 'Sezione', 'Sezione', 0, 0, '', 9, '', '', '', 0, 5, 'SR', '', '', NULL),
		('995', 'k', 'Collocazione', 'Collocazione', 0, 0, '', 9, '', '', '', 0, 5, 'SR', '', '', NULL),
		('995', 'l', 'Numerazione (volume o altre parti)', 'Numerazione (volume o altre parti)', 0, 0, '', 9, '', '', '', 0, 5, 'SR', '', '', NULL),
		('995', 'm', 'Data del prestito o deposito', 'Data del prestito o deposito', 0, 0, '', 9, '', '', '', 0, 5, 'SR', '', '', NULL),
		('995', 'n', 'Data scadenza del prestito', 'Data scadenza del prestito', 0, 0, '', 9, '', '', '', 0, 5, 'SR', '', '', NULL),
		('995', 'o', 'Tipo di circolazione (non a prestito)', 'Tipo di circolazione (non a prestito)', 1, 0, '', 9, '', '', '', 0, 5, 'SR', '', '', NULL),
		('995', 'p', 'Periodico', 'Periodico', 0, 0, '', 9, '', '', '', 0, 5, 'SR', '', '', NULL),
		('995', 'q', 'Pubblico destinato (età)', 'Pubblico destinato (età)', 0, 0, '', 9, '', '', '', 0, 5, 'SR', '', '', NULL),
		('995', 'r', 'Tipologia della copia e del materiale', 'Tipologia della copia e del materiale', 0, 0, '', 9, '', '', '', 0, 5, 'SR', '', '', NULL),
		('995', 's', 'Modalità d\'acquisto', 'Modalità d\'acquisto', 0, 0, '', 9, '', '', '', 0, 5, 'SR', '', '', NULL),
		('995', 't', 'Genere', 'Genere', 0, 0, '', 9, '', '', '', 0, 5, 'SR', '', '', NULL),
		('995', 'u', 'Nota della copia', 'Nota della copia', 0, 0, '', 9, '', '', '', 0, 5, 'SR', '', '', NULL),
		('995', 'v', 'Numero periodico', 'Numero periodico', 0, 0, '', 9, '', '', '', 0, 5, 'SR', '', '', NULL),
		('995', 'w', 'Codice dell\'ente destinatario', 'Codice dell\'ente destinatario', 0, 0, '', 9, '', '', '', 0, 5, 'SR', '', '', NULL),
		('995', 'x', 'Ente destinatario, testo libero', 'Ente destinatario, testo libero', 0, 0, '', 9, '', '', '', 0, 5, 'SR', '', '', NULL),
		('995', 'y', 'Codice dell\'ente destinatario superiore', 'Codice dell\'ente destinatario superiore', 0, 0, '', 9, '', '', '', 0, 5, 'SR', '', '', NULL),
		('995', 'z', 'Ente destinatario superiore, testo libero', 'Ente destinatario superiore, testo libero', 0, 0, '', 9, '', '', '', 0, 5, 'SR', '', '', NULL),
		('998', 'b', 'Operator\'s initials, OID (RLIN)', 'Operator\'s initials, OID (RLIN)', 0, 0, '', 9, '', '', '', 0, -6, 'SR', '', '', NULL),
		('998', 'c', 'Cataloger\'s initials, CIN (RLIN)', 'Cataloger\'s initials, CIN (RLIN)', 0, 0, '', 9, '', '', '', 0, -6, 'SR', '', '', NULL),
		('998', 'd', 'First date, FD (RLIN)', 'First date, FD (RLIN)', 0, 0, '', 9, '', '', '', 0, -6, 'SR', '', '', NULL),
		('998', 'i', 'RINS (RLIN)', 'RINS (RLIN)', 0, 0, '', 9, '', '', '', 0, 5, 'SR', '', '', NULL),
		('998', 'l', 'LI (RLIN)', 'LI (RLIN)', 0, 0, '', 9, '', '', '', 0, 5, 'SR', '', '', NULL),
		('998', 'n', 'NUC (RLIN)', 'NUC (RLIN)', 0, 0, '', 9, '', '', '', 0, 5, 'SR', '', '', NULL),
		('998', 'p', 'PROC (RLIN)', 'PROC (RLIN)', 0, 0, '', 9, '', '', '', 0, 5, 'SR', '', '', NULL),
		('998', 's', 'CC (RLIN)', 'CC (RLIN)', 0, 0, '', 9, '', '', '', 0, 5, 'SR', '', '', NULL),
		('998', 't', 'RTYP (RLIN)', 'RTYP (RLIN)', 0, 0, '', 9, '', '', '', 0, 5, 'SR', '', '', NULL),
		('998', 'w', 'PLINK (RLIN)', 'PLINK (RLIN)', 0, 0, '', 9, '', '', '', 0, 5, 'SR', '', '', NULL);


-- *******************************************************



-- ***********************************************************
-- SIMPLE VIDEORECORDINGS KOHA RECORD AND HOLDINGS MANAGEMENT
-- FIELDS/SUBFIELDS.
-- ***********************************************************


-- Current Record ID Field/Subfields


INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES
		('999', 'Sys Number locale (Koha)', 'Sys Number locale (Koha)', 1, 0, '', 'VR');

INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES
		('999', 'a', 'Item type [OBSOLETE]', 'Item type [OBSOLETE]', 0, 0, NULL, -1, NULL, NULL, '', NULL, -5, 'VR', '', '', NULL),
		('999', 'b', 'Koha Dewey Subclass [OBSOLETE]', 'Koha Dewey Subclass [OBSOLETE]', 0, 0, NULL, 0, NULL, NULL, '', NULL, -5, 'VR', '', '', NULL),
		('999', 'c', 'Koha biblionumber', 'Koha biblionumber', 0, 0, 'biblio.biblionumber', -1, NULL, NULL, '', NULL, -5, 'VR', '', '', NULL),
		('999', 'd', 'Koha biblioitemnumber', 'Koha biblioitemnumber', 0, 0, 'biblioitems.biblioitemnumber', -1, NULL, NULL, '', NULL, -5, 'VR', '', '', NULL);


-- ******************************************************


-- Plugins which need to be written for primary biblioitems Field/Subfields.


--      ('942', '2', 'Source of classification or shelving scheme', 'Source of classification or shelving scheme', 0, 0, 'biblioitems.cn_source', 9, '', '', 'marc21_classcodes.pl', NULL, 0, 'VR', '', '', NULL),
--      ('942', 'h', 'Classification part', 'Classification part', 0, 0, 'biblioitems.cn_class', 9, '', '', 'marc21_callnumber.pl', NULL, 0, 'VR', '', '', NULL),



-- Current primary biblioitems Field/Subfields


INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES
		('942', 'Dati aggiuntivi (Koha)', 'Dati aggiuntivi (Koha)', 0, 0, '', 'VR');

INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES
		('942', '0', 'Numero prestiti (tutte le copie)', 'Numero prestiti (tutte le copie)', 0, 0, 'biblioitems.totalissues', 9, '', '', '', NULL, -5, 'VR', '', '', NULL),
		('942', '2', 'Fonte della classificazione o dello schema di collocazione (segnatura)', 'Fonte della classificazione o dello schema di collocazione (segnatura)', 0, 0, 'biblioitems.cn_source', 9, 'cn_source', '', '', NULL, 0, 'VR', '', '', NULL),
		('942', '6', 'Class. Normalizzata per ordinamento', 'Class. Normalizzata per ordinamento', 0, 0, 'biblioitems.cn_sort', -1, '', '', '', 0, 7, 'VR', '', '', NULL),
		('942', 'a', 'Institution code [OBSOLETE]', 'Institution code [OBSOLETE]', 0, 0, '', 9, '', '', '', NULL, -5, 'VR', '', '', NULL),
		('942', 'c', 'Tipo copia default (Koha)', 'Tipo copia default (Koha)', 0, 1, 'biblioitems.itemtype', 9, 'itemtypes', '', '', NULL, 0, 'VR', '', '', NULL),
		('942', 'e', 'Edizione', 'Edizione', 0, 0, NULL, 9, '', '', '', NULL, 0, 'VR', '', '', NULL),
		('942', 'h', 'Parte della classificazione', 'Parte della classificazione', 0, 0, 'biblioitems.cn_class', 9, '', '', '', NULL, 0, 'VR', '', '', NULL),
		('942', 'i', 'Parte dell\'item', 'Parte dell\'item', 1, 0, 'biblioitems.cn_item', 9, '', '', '', NULL, 9, 'VR', '', '', NULL),
		('942', 'k', 'Prefisso del numero di chiamata (collocazione)', 'Prefisso del numero di chiamata (collocazione)', 0, 0, 'biblioitems.cn_prefix', 9, '', '', '', NULL, 0, 'VR', '', '', NULL),
		('942', 'm', 'Suffisso del numero di chiamata (collocazione)', 'Suffisso del numero di chiamata (collocazione)', 0, 0, 'biblioitems.cn_suffix', 9, '', '', '', 0, 0, 'VR', '', '', NULL),
		('942', 'n', 'Nasconto in Opac', 'Nasconto in Opac', 0, 0, NULL, 9, '', '', '', 0, 0, 'VR', '', '', NULL),
		('942', 's', 'Flag seriale', 'Flag seriale', 0, 0, 'biblio.serial', 9, '', '', '', 0, -5, 'VR', '', '', NULL);


-- ******************************************************


-- Plugins which need to be written for items Field/Subfields


--      ('952', '2', 'Source of classification or shelving scheme', 'Source of classification or shelving scheme', 0, 0, 'items.cn_source', 10, '', '', 'marc21_classcodes.pl', NULL, 0, 'VR', '', '', NULL),
--      ('952', 'o', 'Full call number', 'Full call number', 0, 0, 'items.itemcallnumber', 10, '', 'marc21_itemcallnumber.pl', NULL, 0, 0, 'VR', '', '', NULL),



-- Current items Field/Subfields


INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES
		('952', 'Dati di copia (Koha)', 'Dati di copia (Koha)', 1, 0, '', 'VR');

INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES
		('952', '0', 'Ritirato (status)', 'Ritirato (status)', 0, 0, 'items.withdrawn', 10, 'WITHDRAWN', '', '', 0, 0, 'VR', '', '', NULL),
		('952', '1', 'Perso (status)', 'Perso (status)', 0, 0, 'items.itemlost', 10, 'LOST', '', '', 0, 0, 'VR', '', '', NULL),
		('952', '2', 'Fonte della classificazione o dello schema di collocazione (segnatura)', 'Fonte della classificazione o dello schema di collocazione (segnatura)', 0, 0, 'items.cn_source', 10, 'cn_source', '', '', NULL, 0, 'VR', '', '', NULL),
		('952', '3', 'Materiali specifici (rilegati o simili)', 'Materiali specifici (rilegati o simili)', 0, 0, 'items.materials', 10, '', '', '', NULL, -1, 'VR', '', '', NULL),
		('952', '4', 'Danneggiato (status)', 'Danneggiato (status)', 0, 0, 'items.damaged', 10, 'DAMAGED', '', '', NULL, 0, 'VR', '', '', NULL),
		('952', '5', 'Use restrictions', 'Use restrictions', 0, 0, 'items.restricted', 10, 'RESTRICTED', '', '', 0, 0, 'VR', '', '', NULL),
		('952', '6', 'Class. Normalizzata per ordinamento', 'Class. Normalizzata per ordinamento', 0, 0, 'items.cn_sort', -1, '', '', '', 0, 7, 'VR', '', '', NULL),
		('952', '7', 'Non per il presito', 'Non per il presito', 0, 0, 'items.notforloan', 10, 'NOT_LOAN', '', '', 0, 0, 'VR', '', '', NULL),
		('952', '8', 'Codice collezione', 'Codice collezione', 0, 0, 'items.ccode', 10, 'CCODE', '', '', 0, 0, 'VR', '', '', NULL),
		('952', '9', 'Numero di copia (ID autogenerato)', 'Numero di copia (ID autogenerato)', 0, 0, 'items.itemnumber', -1, '', '', '', 0, 7, 'VR', '', '', NULL),
		('952', 'a', 'Biblioteca proprietaria', 'Biblioteca proprietaria', 0, 0, 'items.homebranch', 10, 'branches', '', '', 0, 0, 'VR', '', '', NULL),
		('952', 'b', 'Biblioteca in cui si trova', 'Biblioteca in cui si trova', 0, 0, 'items.holdingbranch', 10, 'branches', '', '', 0, 0, 'VR', '', '', NULL),
		('952', 'c', 'Localizzazione a scaffale', 'Localizzazione a scaffale', 0, 0, 'items.location', 10, 'LOC', '', '', 0, 0, 'VR', '', '', NULL),
		('952', 'd', 'Data d\'acquisizione', 'Data d\'acquisizione', 0, 0, 'items.dateaccessioned', 10, '', '', 'dateaccessioned.pl', 0, 0, 'VR', '', '', NULL),
		('952', 'e', 'Fonte d\'acquisto', 'Fonte d\'acquisto', 0, 0, 'items.booksellerid', 10, '', '', '', 0, 0, 'VR', '', '', NULL),
		('952', 'f', 'Qualificatore di localizzazione codificato', 'Qualificatore di localizzazione codificato', 0, 0, 'items.coded_location_qualifier', 10, '', '', '', NULL, 0, 'VR', '', '', NULL),
		('952', 'g', 'Costo, prezzo di acquisto', 'Costo, prezzo di acquisto', 0, 0, 'items.price', 10, '', '', '', 0, 0, 'VR', '', '', NULL),
		('952', 'h', 'Enumerazione seriale / cronologia', 'Enumerazione seriale / cronologia', 0, 0, 'items.enumchron', 10, '', '', '', 0, 0, 'VR', '', '', NULL),
		('952', 'i', 'Numero di inventario', 'Numero di inventario', 0, 0, 'items.stocknumber', 10, '', '', '', 0, 0, 'VR', '', '', NULL),
		('952', 'j', 'Collocazione (segnatura)', 'Collocazione (segnatura)', 0, 0, 'items.stack', 10, 'STACK', '', '', NULL, -1, 'VR', '', '', NULL),
		('952', 'l', 'Totale prestiti', 'Totale prestiti', 0, 0, 'items.issues', 10, '', '', '', NULL, -5, 'VR', '', '', NULL),
		('952', 'm', 'Totale rinnovi', 'Totale rinnovi', 0, 0, 'items.renewals', 10, '', '', '', NULL, -5, 'VR', '', '', NULL),
		('952', 'n', 'Totale prenotazioni', 'Totale prenotazioni', 0, 0, 'items.reserves', 10, '', '', '', NULL, -5, 'VR', '', '', NULL),
		('952', 'o', 'Collocazione', 'Collocazione', 0, 0, 'items.itemcallnumber', 10, '', '', NULL, 0, 0, 'VR', '', '', NULL),
		('952', 'p', 'Codice a barre', 'Codice a barre', 0, 0, 'items.barcode', 10, '', '', 'barcode.pl', 0, 0, 'VR', '', '', NULL),
		('952', 'q', 'Prestito', 'Prestito', 0, 0, 'items.onloan', 10, '', '', '', NULL, -5, 'VR', '', '', NULL),
		('952', 'r', 'Data ultima operazione', 'Data ultima operazione', 0, 0, 'items.datelastseen', 10, '', '', '', NULL, -5, 'VR', '', '', NULL),
		('952', 's', 'Data ultimo prestito', 'Data ultimo prestito', 0, 0, 'items.datelastborrowed', 10, '', '', '', NULL, -5, 'VR', '', '', NULL),
		('952', 't', 'Numero di copia', 'Numero di copia', 0, 0, 'items.copynumber', 10, '', '', '', NULL, 0, 'VR', '', '', NULL),
		('952', 'u', 'URI (Uniform Resource Identifier)', 'URI (Uniform Resource Identifier)', 0, 0, 'items.uri', 10, '', '', '', 1, 0, 'VR', '', '', NULL),
		('952', 'v', 'Costo, costo di riacquisto', 'Costo, costo di riacquisto', 0, 0, 'items.replacementprice', 10, '', '', '', 0, 0, 'VR', '', '', NULL),
		('952', 'w', 'Prezzo in vigore dal', 'Prezzo in vigore dal', 0, 0, 'items.replacementpricedate', 10, '', '', '', 0, 0, 'VR', '', '', NULL),
		('952', 'x', 'Nota non pubblica', 'Nota non pubblica', 0, 0, '', 10, '', '', '', NULL, 1, 'VR', '', '', NULL),
		('952', 'y', 'Tipo copia default (Koha)', 'Tipo copia default (Koha)', 0, 0, 'items.itype', 10, 'itemtypes', '', '', NULL, 0, 'VR', '', '', NULL),
		('952', 'z', 'Nota pubblica', 'Nota pubblica', 0, 0, 'items.itemnotes', 10, '', '', '', NULL, 0, 'VR', '', '', NULL);



-- *******************************************************



-- *******************************************************************
-- SIMPLE VIDEORECORDINGS MARC 21 FIELDS/SUBFIELDS AND COMMMONLY USED
-- EXTENSIONS.
-- *******************************************************************


INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES
		('000', 'LEADER', 'LEADER', 0, 1, '', 'VR'),
		('001', 'Numero di controllo', 'Numero di controllo', 0, 0, '', 'VR'),
		('003', 'Identificatore del numero di controllo', 'Identificatore del numero di controllo', 0, 0, '', 'VR'),
		('005', 'Data e orario dell\'ultima transazione', 'Data e orario dell\'ultima transazione', 0, 0, '', 'VR'),
		('006', 'Elementi di lunghezza fissa--Caratteristiche del materiale allegato--Informazione generale', 'Elementi di lunghezza fissa--Caratteristiche del materiale allegato--Informazione generale', 1, 0, '', 'VR'),
		('007', 'Campo fisso per la descrizione fisica--informazione generale', 'Campo fisso per la descrizione fisica--informazione generale', 1, 0, '', 'VR'),
		('008', 'Elementi di lunghezza fissa--Informazione generale', 'Elementi di lunghezza fissa--Informazione generale', 0, 1, '', 'VR'),
		('009', 'PHYSICAL DESCRIPTION FIXED-FIELD FOR ARCHIVAL COLLECTION (VM) [OBSOLETE]', 'PHYSICAL DESCRIPTION FIXED-FIELD FOR ARCHIVAL COLLECTION (VM) [OBSOLETE]', 1, 0, '', 'VR'),
		('010', 'Numero di controllo della Library of Congress', 'Numero di controllo della Library of Congress', 0, 0, '', 'VR'),
		('011', 'LINKING LIBRARY OF CONGRESS CONTROL NUMBER [OBSOLETE]', 'LINKING LIBRARY OF CONGRESS CONTROL NUMBER [OBSOLETE]', 0, 0, '', 'VR'),
		('013', 'Informazioni impiegate per il controllo di brevetti', 'Informazioni impiegate per il controllo di brevetti', 1, 0, '', 'VR'),
		('015', 'Numero della bibliografia nazionale', 'Numero della bibliografia nazionale', 1, 0, '', 'VR'),
		('016', 'Numero di controllo dell\'agenzia bibliografica nazionale', 'Numero di controllo dell\'agenzia bibliografica nazionale', 1, 0, '', 'VR'),
		('017', 'Numero di copyright o di deposito legale', 'Numero di copyright o di deposito legale', 1, 0, '', 'VR'),
		('018', 'Codice di tassa sul copyright dell’articolo', 'Codice di tassa sul copyright dell’articolo', 0, 0, '', 'VR'),
		('020', 'ISBN (International Standard Book Number)', 'ISBN (International Standard Book Number)', 1, 0, NULL, 'VR'),
		('022', 'ISSN (International Standard Serial Number)', 'ISSN (International Standard Serial Number)', 1, 0, NULL, 'VR'),
		('023', 'STANDARD FILM NUMBER (VM) [DELETED]', 'STANDARD FILM NUMBER (VM) [DELETED]', 1, 0, NULL, 'VR'),
		('024', 'Altri identificatori standard', 'Altri identificatori standard', 1, 0, NULL, 'VR'),
		('025', 'Numero di acquisito estero', 'Numero di acquisito estero', 1, 0, '', 'VR'),
		('026', 'Identificatore dell’impronta', 'Identificatore dell’impronta', 1, 0, '', 'VR'),
		('027', 'Standard Technical Report Number', 'Standard Technical Report Number', 1, 0, '', 'VR'),
		('028', 'Numero dell’editore', 'Numero dell’editore', 1, 0, NULL, 'VR'),
		('029', 'OTHER SYSTEM CONTROL NUMBER (OCLC)', 'OTHER SYSTEM CONTROL NUMBER (OCLC)', 1, 0, '', 'VR'),
		('030', 'Designazione CODEN', 'Designazione CODEN', 1, 0, '', 'VR'),
		('031', 'Informazione sugli incipit musicali', 'Informazione sugli incipit musicali', 1, 0, '', 'VR'),
		('032', 'Numero di registrazione di posta', 'Numero di registrazione di posta', 1, 0, '', 'VR'),
		('033', 'Data/ora e luogo di un evento', 'Data/ora e luogo di un evento', 1, 0, '', 'VR'),
		('034', 'Dati matematici codificati per il materiale cartografico', 'Dati matematici codificati per il materiale cartografico', 1, 0, '', 'VR'),
		('035', 'Numero di controllo del sistema', 'Numero di controllo del sistema', 1, 0, NULL, 'VR'),
		('036', 'Numero dello studio originale del computer data file', 'Numero dello studio originale del computer data file', 0, 0, '', 'VR'),
		('037', 'Fonte d’acquisto', 'Fonte d’acquisto', 1, 0, NULL, 'VR'),
		('038', 'Licenza d’uso del contenuto della registrazione', 'Licenza d’uso del contenuto della registrazione', 0, 0, '', 'VR'),
		('039', 'LEVEL OF BIBLIOGRAPHIC CONTROL AND CODING DETAIL [OBSOLETE]', 'LEVEL OF BIBLIOGRAPHIC CONTROL AND CODING DETAIL [OBSOLETE]', 0, 0, '', 'VR'),
		('040', 'Fonte della catalogazione', 'Fonte della catalogazione', 0, 0, NULL, 'VR'),
		('041', 'Codice di lingua', 'Codice di lingua', 1, 0, '', 'VR'),
		('042', 'Codice d\'autenticazione', 'Codice d\'autenticazione', 0, 0, '', 'VR'),
		('043', 'Codice dell\'area geografica', 'Codice dell\'area geografica', 0, 0, NULL, 'VR'),
		('044', 'Codice del paese dell’ente che pubblica/produce l’item', 'Codice del paese dell’ente che pubblica/produce l’item', 0, 0, '', 'VR'),
		('045', 'Periodo di tempo del contenuto', 'Periodo di tempo del contenuto', 0, 0, '', 'VR'),
		('046', 'Codice delle date speciali', 'Codice delle date speciali', 1, 0, '', 'VR'),
		('047', 'Codice di forma della composizione musicale', 'Codice di forma della composizione musicale', 1, 0, '', 'VR'),
		('048', 'Codice del numero degli strumenti musicali o delle voci', 'Codice del numero degli strumenti musicali o delle voci', 1, 0, '', 'VR'),
		('049', 'LOCAL HOLDINGS (OCLC)', 'LOCAL HOLDINGS (OCLC)', 0, 0, '', 'VR'),
		('050', 'Numero di chiamata (collocazione) della Library of Congress', 'Numero di chiamata (collocazione) della Library of Congress', 1, 0, NULL, 'VR'),
		('051', 'Formulazione dell’esemplare, emissione, estratto, della Library of Congress', 'Formulazione dell’esemplare, emissione, estratto, della Library of Congress', 1, 0, NULL, 'VR'),
		('052', 'Classificazione geografica', 'Classificazione geografica', 1, 0, NULL, 'VR'),
		('055', 'Numero di classificazione assegnati in Canada', 'Numero di classificazione assegnati in Canada', 1, 0, NULL, 'VR'),
		('060', 'Numero di chiamata (collocazione) della National Library of Medicine', 'Numero di chiamata (collocazione) della National Library of Medicine', 1, 0, NULL, 'VR'),
		('061', 'Formulazione dell’esemplare della National Library of Medicine', 'Formulazione dell’esemplare della National Library of Medicine', 1, 0, NULL, 'VR'),
		('066', 'Set di caratteri presenti', 'Set di caratteri presenti', 0, 0, NULL, 'VR'),
		('070', 'Numero di chiamata (collocazione) della National Agricultural Library', 'Numero di chiamata (collocazione) della National Agricultural Library', 1, 0, NULL, 'VR'),
		('071', 'Formulazione dell’esemplare della National Agricultural Library', 'Formulazione dell’esemplare della National Agricultural Library', 1, 0, NULL, 'VR'),
		('072', 'Codice di categoria di soggetto', 'Codice di categoria di soggetto', 1, 0, NULL, 'VR'),
		('074', 'Numero GPO dell’item', 'Numero GPO dell’item', 1, 0, NULL, 'VR'),
		('080', 'Numero di classificazione decimale universale', 'Numero di classificazione decimale universale', 1, 0, NULL, 'VR'),
		('082', 'Numero di classificazione Decimale Dewey', 'Numero di classificazione Decimale Dewey', 1, 0, NULL, 'VR'),
		('084', 'Numero d’altra classificazione', 'Numero d’altra classificazione', 1, 0, NULL, 'VR'),
		('086', 'Numero di classificazione di documento governativo', 'Numero di classificazione di documento governativo', 1, 0, NULL, 'VR'),
		('087', 'REPORT NUMBER [OBSOLETE, CAN/MARC]', 'REPORT NUMBER [OBSOLETE, CAN/MARC]', 1, 0, NULL, 'VR'),
		('088', 'Numero di rapporto', 'Numero di rapporto', 1, 0, NULL, 'VR'),
		('090', 'LOCALLY ASSIGNED LC-TYPE CALL NUMBER (OCLC); LOCAL CALL NUMBER (RLIN)', 'LOCALLY ASSIGNED LC-TYPE CALL NUMBER (OCLC); LOCAL CALL NUMBER (RLIN)', 1, 0, '', 'VR'),
		('091', 'MICROFILM SHELF LOCATION (AM) [OBSOLETE]', 'MICROFILM SHELF LOCATION (AM) [OBSOLETE]', 0, 0, '', 'VR'),
		('092', 'LOCALLY ASSIGNED DEWEY CALL NUMBER (OCLC)', 'LOCALLY ASSIGNED DEWEY CALL NUMBER (OCLC)', 1, 0, '', 'VR'),
		('096', 'LOCALLY ASSIGNED NLM-TYPE CALL NUMBER (OCLC)', 'LOCALLY ASSIGNED NLM-TYPE CALL NUMBER (OCLC)', 1, 0, '', 'VR'),
		('098', 'OTHER CLASSIFICATION SCHEMES (OCLC)', 'OTHER CLASSIFICATION SCHEMES (OCLC)', 1, 0, '', 'VR'),
		('099', 'LOCAL FREE-TEXT CALL NUMBER (OCLC)', 'LOCAL FREE-TEXT CALL NUMBER (OCLC)', 1, 0, '', 'VR'),
		('100', 'Accesso principale -- nome di persona', 'Accesso principale -- nome di persona', 0, 0, NULL, 'VR'),
		('110', 'Accesso principale--nome di ente', 'Accesso principale--nome di ente', 0, 0, NULL, 'VR'),
		('111', 'Accesso principale--nome di convegno', 'Accesso principale--nome di convegno', 0, 0, NULL, 'VR'),
		('130', 'Accesso principale--titolo uniforme', 'Accesso principale--titolo uniforme', 0, 0, NULL, 'VR'),
		('210', 'Titolo abbreviato', 'Titolo abbreviato', 1, 0, NULL, 'VR'),
		('211', 'ACRONYM OR SHORTENED TITLE [OBSOLETE]', 'ACRONYM OR SHORTENED TITLE [OBSOLETE]', 1, 0, NULL, 'VR'),
		('212', 'VARIANT ACCESS TITLE [OBSOLETE]', 'VARIANT ACCESS TITLE [OBSOLETE]', 1, 0, NULL, 'VR'),
		('214', 'AUGMENTED TITLE [OBSOLETE]', 'AUGMENTED TITLE [OBSOLETE]', 1, 0, NULL, 'VR'),
		('222', 'Titolo chiave', 'Titolo chiave', 1, 0, NULL, 'VR'),
		('240', 'Titolo uniforme', 'Titolo uniforme', 0, 0, 'Unititle', 'VR'),
		('241', 'ROMANIZED TITLE (BK AM CF MP MU VM) [OBSOLETE]', 'ROMANIZED TITLE (BK AM CF MP MU VM) [OBSOLETE]', 0, 0, '', 'VR'),
		('242', 'Traduzione del titolo dell’agenzia di catalogazione', 'Traduzione del titolo dell’agenzia di catalogazione', 1, 0, NULL, 'VR'),
		('243', 'Titolo uniforme collettivo', 'Titolo uniforme collettivo', 0, 0, '', 'VR'),
		('245', 'Formulazione del titolo', 'Formulazione del titolo', 0, 1, '', 'VR'),
		('246', 'Varianti del titolo', 'Varianti del titolo', 1, 0, NULL, 'VR'),
		('247', 'Titolo precedente', 'Titolo precedente', 1, 0, NULL, 'VR'),
		('250', 'Formulazione di edizione', 'Formulazione di edizione', 0, 0, NULL, 'VR'),
		('254', 'Formulazione della presentazione musicale', 'Formulazione della presentazione musicale', 0, 0, NULL, 'VR'),
		('255', 'Dati matematici del materiale cartografico', 'Dati matematici del materiale cartografico', 1, 0, NULL, 'VR'),
		('256', 'Caratteristiche del computer file', 'Caratteristiche del computer file', 0, 0, NULL, 'VR'),
		('257', 'Paese dell’ente produttore dei film d’archivio', 'Paese dell’ente produttore dei film d’archivio', 0, 0, NULL, 'VR'),
		('258', 'Dati dell’emissione filatelica', 'Dati dell’emissione filatelica', 1, 0, NULL, 'VR'),
		('260', 'Pubblicazione, distribuzione, ecc. (stampa)', 'Pubblicazione, distribuzione, ecc. (stampa)', 1, 0, NULL, 'VR'),
		('261', 'IMPRINT STATEMENT FOR FILMS (Pre-AACR 1 Revised) [OBSOLETE, CAN/MARC], [LOCAL, USA]', 'IMPRINT STATEMENT FOR FILMS (Pre-AACR 1 Revised) [OBSOLETE, CAN/MARC], [LOCAL, USA]', 0, 0, NULL, 'VR'),
		('262', 'IMPRINT STATEMENT FOR SOUND RECORDINGS (Pre-AACR 2) [LOCAL, USA]', 'IMPRINT STATEMENT FOR SOUND RECORDINGS (Pre-AACR 2) [LOCAL, USA]', 0, 0, NULL, 'VR'),
		('263', 'Data di pubblicazione prevista', 'Data di pubblicazione prevista', 0, 0, NULL, 'VR'),
		('265', 'SOURCE FOR ACQUISITION/SUBSCRIPTION ADDRESS [OBSOLETE]', 'SOURCE FOR ACQUISITION/SUBSCRIPTION ADDRESS [OBSOLETE]', 0, 0, NULL, 'VR'),
		('270', 'Indirizzo', 'Indirizzo', 1, 0, NULL, 'VR'),
		('300', 'Descrizione fisica', 'Descrizione fisica', 1, 1, NULL, 'VR'),
		('301', 'PHYSICAL DESCRIPTION FOR FILMS (PRE-AACR 2) (VM) [OBSOLETE, USMARC]', 'PHYSICAL DESCRIPTION FOR FILMS (PRE-AACR 2) (VM) [OBSOLETE, USMARC]', 0, 0, NULL, 'VR'),
		('302', 'PAGE OR ITEM COUNT (BK AM) [OBSOLETE]', 'PAGE OR ITEM COUNT (BK AM) [OBSOLETE]', 0, 0, NULL, 'VR'),
		('303', 'UNIT COUNT (AM) [OBSOLETE, USMARC]', 'UNIT COUNT (AM) [OBSOLETE, USMARC]', 0, 0, NULL, 'VR'),
		('304', 'LINEAR FOOTAGE (AM) [OBSOLETE, USMARC]', 'LINEAR FOOTAGE (AM) [OBSOLETE, USMARC]', 0, 0, NULL, 'VR'),
		('305', 'PHYSICAL DESCRIPTION FOR SOUND RECORDINGS (Pre-AACR 2) (MU) [OBSOLETE]', 'PHYSICAL DESCRIPTION FOR SOUND RECORDINGS (Pre-AACR 2) (MU) [OBSOLETE]', 0, 0, NULL, 'VR'),
		('306', 'Durata di riproduzione', 'Durata di riproduzione', 0, 0, NULL, 'VR'),
		('307', 'Disponibilità oraria, ecc.', 'Disponibilità oraria, ecc.', 1, 0, NULL, 'VR'),
		('308', 'PHYSICAL DESCRIPTION FOR FILMS (ARCHIVAL) (VM) [OBSOLETE]', 'PHYSICAL DESCRIPTION FOR FILMS (ARCHIVAL) (VM) [OBSOLETE]', 1, 0, NULL, 'VR'),
		('310', 'Periodicità corrente della pubblicazione', 'Periodicità corrente della pubblicazione', 0, 0, NULL, 'VR'),
		('315', 'FREQUENCY (CF MP) [OBSOLETE]', 'FREQUENCY (CF MP) [OBSOLETE]', 0, 0, NULL, 'VR'),
		('321', 'Periodicità precedente della pubblicazione', 'Periodicità precedente della pubblicazione', 1, 0, NULL, 'VR'),
		('340', 'Supporto fisico', 'Supporto fisico', 1, 0, NULL, 'VR'),
		('342', 'Dati di riferimento geospaziale', 'Dati di riferimento geospaziale', 1, 0, NULL, 'VR'),
		('343', 'Dati di coordinate piane', 'Dati di coordinate piane', 1, 0, NULL, 'VR'),
		('350', 'PRICE (NR) (BK AM CF MU VM SE) [OBSOLETE]', 'PRICE (NR) (BK AM CF MU VM SE) [OBSOLETE]', 1, 0, NULL, 'VR'),
		('351', 'Organizzazione e l’ordinamento dei materiali', 'Organizzazione e l’ordinamento dei materiali', 1, 0, NULL, 'VR'),
		('352', 'Rappresentazione grafica digitale', 'Rappresentazione grafica digitale', 1, 0, NULL, 'VR'),
		('355', 'Controllo della classificazione di sicurezza', 'Controllo della classificazione di sicurezza', 1, 0, NULL, 'VR'),
		('357', 'Controllo del creatore sulla diffusione', 'Controllo del creatore sulla diffusione', 0, 0, NULL, 'VR'),
		('359', 'RENTAL PRICE (VM) [OBSOLETE]', 'RENTAL PRICE (VM) [OBSOLETE]', 0, 0, NULL, 'VR'),
		('362', 'Date della pubblicazione e/o designazione sequenziale', 'Date della pubblicazione e/o designazione sequenziale', 1, 0, NULL, 'VR'),
		('365', 'Prezzo commerciale', 'Prezzo commerciale', 1, 0, NULL, 'VR'),
		('366', 'Informazione sulla disponibilità editoriale', 'Informazione sulla disponibilità editoriale', 1, 0, NULL, 'VR'),
		('400', 'SERIES STATEMENT/ADDED ENTRY--PERSONAL NAME [OBSOLETE, CAN/MARC], [LOCAL, USA]', 'SERIES STATEMENT/ADDED ENTRY--PERSONAL NAME [OBSOLETE, CAN/MARC], [LOCAL, USA]', 1, 0, NULL, 'VR'),
		('410', 'SERIES STATEMENT/ADDED ENTRY--CORPORATE NAME [OBSOLETE, CAN/MARC], [LOCAL, USA]', 'SERIES STATEMENT/ADDED ENTRY--CORPORATE NAME [OBSOLETE, CAN/MARC], [LOCAL, USA]', 1, 0, NULL, 'VR'),
		('411', 'SERIES STATEMENT/ADDED ENTRY--MEETING NAME [OBSOLETE, CAN/MARC], [LOCAL, USA]', 'SERIES STATEMENT/ADDED ENTRY--MEETING NAME [OBSOLETE, CAN/MARC], [LOCAL, USA]', 1, 0, NULL, 'VR'),
		('440', 'Formulazione della serie/accesso aggiunto--titolo', 'Formulazione della serie/accesso aggiunto--titolo', 1, 0, NULL, 'VR'),
		('490', 'Formulazione della serie', 'Formulazione della serie', 1, 0, '', 'VR'),
		('500', 'Nota generale', 'Nota generale', 1, 0, NULL, 'VR'),
		('501', 'Nota  Pubblicato con', 'Nota  Pubblicato con', 1, 0, NULL, 'VR'),
		('502', 'Nota di dissertazione', 'Nota di dissertazione', 1, 0, NULL, 'VR'),
		('503', 'BIBLIOGRAPHIC HISTORY NOTE (BK CF MU) [OBSOLETE]', 'BIBLIOGRAPHIC HISTORY NOTE (BK CF MU) [OBSOLETE]', 1, 0, NULL, 'VR'),
		('504', 'Nota di bibliografia', 'Nota di bibliografia', 1, 0, NULL, 'VR'),
		('505', 'Nota formattata di contenuto', 'Nota formattata di contenuto', 1, 0, NULL, 'VR'),
		('506', 'Nota sulle restrizioni all\'accesso', 'Nota sulle restrizioni all\'accesso', 1, 0, NULL, 'VR'),
		('507', 'Nota di scala per materiale grafico', 'Nota di scala per materiale grafico', 0, 0, NULL, 'VR'),
		('508', 'Nota sui crediti di creazione/produzione', 'Nota sui crediti di creazione/produzione', 1, 0, NULL, 'VR'),
		('509', 'INFORMAL NOTES (RLIN)', 'INFORMAL NOTES (RLIN)', 0, 0, NULL, 'VR'),
		('510', 'Nota di citazione/riferimenti esterni', 'Nota di citazione/riferimenti esterni', 1, 0, NULL, 'VR'),
		('511', 'Nota sui partecipanti o interpreti', 'Nota sui partecipanti o interpreti', 1, 0, NULL, 'VR'),
		('512', 'EARLIER OR LATER VOLUMES SEPARATELY CATALOGED NOTE (SE) [OBSOLETE]', 'EARLIER OR LATER VOLUMES SEPARATELY CATALOGED NOTE (SE) [OBSOLETE]', 1, 0, NULL, 'VR'),
		('513', 'Nota di tipo di rapporto e periodo coperto', 'Nota di tipo di rapporto e periodo coperto', 1, 0, NULL, 'VR'),
		('514', 'Nota sulla qualità dei dati', 'Nota sulla qualità dei dati', 0, 0, NULL, 'VR'),
		('515', 'Nota su particolarità della numerazione', 'Nota su particolarità della numerazione', 1, 0, NULL, 'VR'),
		('516', 'Nota sul tipo di computer file o di file di dati', 'Nota sul tipo di computer file o di file di dati', 1, 0, NULL, 'VR'),
		('517', 'CATEGORIES OF FILMS NOTE (ARCHIVAL) (VM) [OBSOLETE]', 'CATEGORIES OF FILMS NOTE (ARCHIVAL) (VM) [OBSOLETE]', 0, 0, NULL, 'VR'),
		('518', 'Nota sulla data/ora e luogo di un evento', 'Nota sulla data/ora e luogo di un evento', 1, 0, NULL, 'VR'),
		('520', 'Riassunto, ecc.', 'Riassunto, ecc.', 1, 0, NULL, 'VR'),
		('521', 'Nota sui destinatari', 'Nota sui destinatari', 1, 0, NULL, 'VR'),
		('522', 'Nota di copertura geografica', 'Nota di copertura geografica', 1, 0, NULL, 'VR'),
		('523', 'TIME PERIOD OF CONTENT NOTE (CF) [OBSOLETE]', 'TIME PERIOD OF CONTENT NOTE (CF) [OBSOLETE]', 0, 0, NULL, 'VR'),
		('524', 'Nota sulla citazione preferita dei materiali descritti', 'Nota sulla citazione preferita dei materiali descritti', 1, 0, NULL, 'VR'),
		('525', 'Nota di supplemento', 'Nota di supplemento', 0, 0, NULL, 'VR'),
		('526', 'Nota d’informazione sul programma di studi', 'Nota d’informazione sul programma di studi', 0, 0, NULL, 'VR'),
		('527', 'CENSORSHIP NOTE (VM) [OBSOLETE]', 'CENSORSHIP NOTE (VM) [OBSOLETE]', 1, 0, NULL, 'VR'),
		('530', 'Nota sulla disponibilità su altro supporto fisico', 'Nota sulla disponibilità su altro supporto fisico', 1, 0, NULL, 'VR'),
		('533', 'Nota di riproduzione', 'Nota di riproduzione', 1, 0, NULL, 'VR'),
		('534', 'Nota sulla versione originale', 'Nota sulla versione originale', 1, 0, NULL, 'VR'),
		('535', 'Nota sulla localizzazione degli originali/duplicati', 'Nota sulla localizzazione degli originali/duplicati', 1, 0, NULL, 'VR'),
		('536', 'Nota d’informazione sul finanziamento', 'Nota d’informazione sul finanziamento', 1, 0, NULL, 'VR'),
		('537', 'SOURCE OF DATA NOTE (CF) [OBSOLETE]', 'SOURCE OF DATA NOTE (CF) [OBSOLETE]', 0, 0, NULL, 'VR'),
		('538', 'Nota sui requisiti del sistema', 'Nota sui requisiti del sistema', 1, 0, NULL, 'VR'),
		('540', 'Nota sulle condizioni che regolano l\'utilizzo e la riproduzione', 'Nota sulle condizioni che regolano l\'utilizzo e la riproduzione', 1, 0, NULL, 'VR'),
		('541', 'Nota sulla fonte immediata d\'acquisto', 'Nota sulla fonte immediata d\'acquisto', 1, 0, NULL, 'VR'),
		('543', 'SOLICITATION INFORMATION NOTE (AM) [OBSOLETE]', 'SOLICITATION INFORMATION NOTE (AM) [OBSOLETE]', 1, 0, NULL, 'VR'),
		('544', 'Nota sulla localizzazione d’altri materiali d’archivio', 'Nota sulla localizzazione d’altri materiali d’archivio', 1, 0, NULL, 'VR'),
		('545', 'Dati biografici o storici', 'Dati biografici o storici', 1, 0, NULL, 'VR'),
		('546', 'Nota sulla lingua', 'Nota sulla lingua', 1, 0, NULL, 'VR'),
		('547', 'Nota sulla complessità del titolo precedente', 'Nota sulla complessità del titolo precedente', 1, 0, NULL, 'VR'),
		('550', 'Nota sull\'ente responsabile', 'Nota sull\'ente responsabile', 1, 0, NULL, 'VR'),
		('552', 'Nota d’informazione sull’ente e l’attributo', 'Nota d’informazione sull’ente e l’attributo', 1, 0, NULL, 'VR'),
		('555', 'Nota sull\'indice cumulativo/strumenti di ricerca', 'Nota sull\'indice cumulativo/strumenti di ricerca', 1, 0, NULL, 'VR'),
		('556', 'Nota d\'informazione sulla documentazione', 'Nota d\'informazione sulla documentazione', 1, 0, NULL, 'VR'),
		('561', 'Storia della proprietà e custodia', 'Storia della proprietà e custodia', 1, 0, NULL, 'VR'),
		('562', 'Nota d\'identificazione della copia e della versione', 'Nota d\'identificazione della copia e della versione', 1, 0, NULL, 'VR'),
		('563', 'Informazione sulla rilegatura', 'Informazione sulla rilegatura', 1, 0, NULL, 'VR'),
		('565', 'Nota sulle caratteristiche della singola pratica', 'Nota sulle caratteristiche della singola pratica', 1, 0, NULL, 'VR'),
		('567', 'Nota sulla metodologia', 'Nota sulla metodologia', 1, 0, NULL, 'VR'),
		('570', 'EDITOR NOTE (SE) [OBSOLETE]', 'EDITOR NOTE (SE) [OBSOLETE]', 1, 0, NULL, 'VR'),
		('580', 'Nota di collegamento complesso', 'Nota di collegamento complesso', 1, 0, NULL, 'VR'),
		('581', 'Nota di pubblicazioni sui materiali descritti', 'Nota di pubblicazioni sui materiali descritti', 1, 0, NULL, 'VR'),
		('582', 'RELATED COMPUTER FILES NOTE (CF) [OBSOLETE]', 'RELATED COMPUTER FILES NOTE (CF) [OBSOLETE]', 1, 0, NULL, 'VR'),
		('583', 'Nota d’azione', 'Nota d’azione', 1, 0, NULL, 'VR'),
		('584', 'Nota di accumulo e di frequenza d’uso', 'Nota di accumulo e di frequenza d’uso', 1, 0, NULL, 'VR'),
		('585', 'Nota di mostre', 'Nota di mostre', 1, 0, NULL, 'VR'),
		('586', 'Nota di premi', 'Nota di premi', 1, 0, NULL, 'VR'),
		('590', 'LOCAL NOTE (RLIN)', 'LOCAL NOTE (RLIN)', 1, 0, NULL, 'VR'),
		('600', 'Accesso aggiunto di soggetto-–Nome di persona', 'Accesso aggiunto di soggetto-–Nome di persona', 1, 0, NULL, 'VR'),
		('610', 'Accesso aggiunto di soggetto--nome di ente', 'Accesso aggiunto di soggetto--nome di ente', 1, 0, NULL, 'VR'),
		('611', 'Accesso aggiunto di soggetto--nome di convegno', 'Accesso aggiunto di soggetto--nome di convegno', 1, 0, NULL, 'VR'),
		('630', 'Accesso aggiunto di soggetto--titolo uniforme', 'Accesso aggiunto di soggetto--titolo uniforme', 1, 0, NULL, 'VR'),
		('648', 'Accesso aggiunto di soggetto--termine cronologico', 'Accesso aggiunto di soggetto--termine cronologico', 1, 0, NULL, 'VR'),
		('650', 'Accesso aggiunto di soggetto--termine topico', 'Accesso aggiunto di soggetto--termine topico', 1, 0, NULL, 'VR'),
		('651', 'Accesso aggiunto di soggetto--nome geografico', 'Accesso aggiunto di soggetto--nome geografico', 1, 0, NULL, 'VR'),
		('652', 'SUBJECT ADDED ENTRY--REVERSE GEOGRAPHIC (BK MP SE) [OBSOLETE]', 'SUBJECT ADDED ENTRY--REVERSE GEOGRAPHIC (BK MP SE) [OBSOLETE]', 1, 0, NULL, 'VR'),
		('653', 'Termine d’indicizzazione--non controllato', 'Termine d’indicizzazione--non controllato', 1, 0, NULL, 'VR'),
		('654', 'Accesso aggiunto di soggetto--termini topici faccettati', 'Accesso aggiunto di soggetto--termini topici faccettati', 1, 0, NULL, 'VR'),
		('655', 'Termine d’indicizzazione--genere/forma', 'Termine d’indicizzazione--genere/forma', 1, 0, NULL, 'VR'),
		('656', 'Termine d’indicizzazione--occupazione', 'Termine d’indicizzazione--occupazione', 1, 0, NULL, 'VR'),
		('657', 'Termine d’indicizzazione--funzione', 'Termine d’indicizzazione--funzione', 1, 0, NULL, 'VR'),
		('658', 'Termine d’indicizzazione--obiettivi del curriculum scolastico', 'Termine d’indicizzazione--obiettivi del curriculum scolastico', 1, 0, NULL, 'VR'),
		('662', 'Accesso aggiunto di soggetto --nome gerarchico di luogo', 'Accesso aggiunto di soggetto --nome gerarchico di luogo', 1, 0, NULL, 'VR'),
		('690', 'LOCAL SUBJECT ADDED ENTRY--TOPICAL TERM (OCLC, RLIN)', 'LOCAL SUBJECT ADDED ENTRY--TOPICAL TERM (OCLC, RLIN)', 1, 0, '', 'VR'),
		('691', 'LOCAL SUBJECT ADDED ENTRY--GEOGRAPHIC NAME (RLIN)', 'LOCAL SUBJECT ADDED ENTRY--GEOGRAPHIC NAME (RLIN)', 1, 0, '', 'VR'),
		('696', 'LOCAL SUBJECT ADDED ENTRY--PERSONAL NAME (RLIN)', 'LOCAL SUBJECT ADDED ENTRY--PERSONAL NAME (RLIN)', 1, 0, '', 'VR'),
		('697', 'LOCAL SUBJECT ADDED ENTRY--CORPORATE NAME (RLIN)', 'LOCAL SUBJECT ADDED ENTRY--CORPORATE NAME (RLIN)', 1, 0, '', 'VR'),
		('698', 'LOCAL SUBJECT ADDED ENTRY--MEETING NAME (RLIN)', 'LOCAL SUBJECT ADDED ENTRY--MEETING NAME (RLIN)', 1, 0, '', 'VR'),
		('699', 'LOCAL SUBJECT ADDED ENTRY--UNIFORM TITLE (RLIN)', 'LOCAL SUBJECT ADDED ENTRY--UNIFORM TITLE (RLIN)', 1, 0, '', 'VR'),
		('700', 'Accesso aggiunto--nome di persona', 'Accesso aggiunto--nome di persona', 1, 0, NULL, 'VR'),
		('705', 'ADDED ENTRY--PERSONAL NAME (PERFORMER) (MU) [OBSOLETE]', 'ADDED ENTRY--PERSONAL NAME (PERFORMER) (MU) [OBSOLETE]', 1, 0, NULL, 'VR'),
		('710', 'Accesso aggiunto--nome di ente', 'Accesso aggiunto--nome di ente', 1, 0, NULL, 'VR'),
		('711', 'Accesso aggiunto--nome di convegno', 'Accesso aggiunto--nome di convegno', 1, 0, NULL, 'VR'),
		('715', 'ADDED ENTRY--CORPORATE NAME (PERFORMER) (MU) [OBSOLETE]', 'ADDED ENTRY--CORPORATE NAME (PERFORMER) (MU) [OBSOLETE]', 1, 0, NULL, 'VR'),
		('720', 'Accesso aggiunto--nome non controllato', 'Accesso aggiunto--nome non controllato', 1, 0, NULL, 'VR'),
		('730', 'Accesso aggiunto--titolo uniforme', 'Accesso aggiunto--titolo uniforme', 1, 0, NULL, 'VR'),
		('740', 'Accesso aggiunto--titolo analitico/correlato non controllato', 'Accesso aggiunto--titolo analitico/correlato non controllato', 1, 0, NULL, 'VR'),
		('752', 'Accesso aggiunto – nome gerarchico di luogo', 'Accesso aggiunto – nome gerarchico di luogo', 1, 0, NULL, 'VR'),
		('753', 'Dettagli sul sistema per accedere ai computer file', 'Dettagli sul sistema per accedere ai computer file', 1, 0, NULL, 'VR'),
		('754', 'Accesso aggiunto--identificazione tassonomica', 'Accesso aggiunto--identificazione tassonomica', 1, 0, NULL, 'VR'),
		('755', 'ADDED ENTRY--PHYSICAL CHARACTERISTICS [OBSOLETE]', 'ADDED ENTRY--PHYSICAL CHARACTERISTICS [OBSOLETE]', 1, 0, NULL, 'VR'),
		('760', 'Accesso di serie principale', 'Accesso di serie principale', 1, 0, NULL, 'VR'),
		('762', 'Accesso di sottoserie', 'Accesso di sottoserie', 1, 0, NULL, 'VR'),
		('765', 'Accesso di lingua originale', 'Accesso di lingua originale', 1, 0, NULL, 'VR'),
		('767', 'Accesso di supplemento/numero speciale', 'Accesso di supplemento/numero speciale', 1, 0, NULL, 'VR'),
		('770', 'Accesso di supplemento/numero speciale', 'Accesso di supplemento/numero speciale', 1, 0, NULL, 'VR'),
		('772', 'Accesso di pubblicazione principale', 'Accesso di pubblicazione principale', 1, 0, NULL, 'VR'),
		('773', 'Accesso d’item ospite', 'Accesso d’item ospite', 1, 0, NULL, 'VR'),
		('774', 'Accesso d’unità costituente', 'Accesso d’unità costituente', 1, 0, NULL, 'VR'),
		('775', 'Acceso di un’altra edizione', 'Acceso di un’altra edizione', 1, 0, NULL, 'VR'),
		('776', 'Accesso di forma fisica aggiunta', 'Accesso di forma fisica aggiunta', 1, 0, NULL, 'VR'),
		('777', 'Accesso di ', 'Accesso di ', 1, 0, NULL, 'VR'),
		('780', 'Accesso precedente', 'Accesso precedente', 1, 0, NULL, 'VR'),
		('785', 'Accesso successivo', 'Accesso successivo', 1, 0, NULL, 'VR'),
		('786', 'Accesso di fonte dei dati', 'Accesso di fonte dei dati', 1, 0, NULL, 'VR'),
		('787', 'Accesso di relazione non specificata', 'Accesso di relazione non specificata', 1, 0, NULL, 'VR'),
		('789', 'COMPONENT ITEM ENTRY (RLIN)', 'COMPONENT ITEM ENTRY (RLIN)', 1, 0, '', 'VR'),
		('796', 'LOCAL ADDED ENTRY--PERSONAL NAME (RLIN)', 'LOCAL ADDED ENTRY--PERSONAL NAME (RLIN)', 1, 0, '', 'VR'),
		('797', 'LOCAL ADDED ENTRY--CORPORATE NAME (RLIN)', 'LOCAL ADDED ENTRY--CORPORATE NAME (RLIN)', 1, 0, '', 'VR'),
		('798', 'LOCAL ADDED ENTRY--MEETING NAME (RLIN)', 'LOCAL ADDED ENTRY--MEETING NAME (RLIN)', 1, 0, '', 'VR'),
		('799', 'LOCAL ADDED ENTRY--UNIFORM TITLE (RLIN)', 'LOCAL ADDED ENTRY--UNIFORM TITLE (RLIN)', 1, 0, '', 'VR'),
		('800', 'Accesso aggiunto di serie--nome di persona', 'Accesso aggiunto di serie--nome di persona', 1, 0, NULL, 'VR'),
		('810', 'Accesso aggiunto di serie--nome di ente', 'Accesso aggiunto di serie--nome di ente', 1, 0, NULL, 'VR'),
		('811', 'Accesso aggiunto di serie--nome di convegno', 'Accesso aggiunto di serie--nome di convegno', 1, 0, NULL, 'VR'),
		('830', 'Accesso aggiunto di serie--titolo uniforme', 'Accesso aggiunto di serie--titolo uniforme', 1, 0, NULL, 'VR'),
		('840', 'SERIES ADDED ENTRY--TITLE [OBSOLETE]', 'SERIES ADDED ENTRY--TITLE [OBSOLETE]', 1, 0, NULL, 'VR'),
		('841', 'Valori dei dati codificati di posseduti', 'Valori dei dati codificati di posseduti', 0, 0, NULL, 'VR'),
		('842', 'Designatore testuale di forma fisica', 'Designatore testuale di forma fisica', 0, 0, NULL, 'VR'),
		('843', 'Nota di riproduzione', 'Nota di riproduzione', 1, 0, NULL, 'VR'),
		('844', 'Nome dell’unità', 'Nome dell’unità', 0, 0, NULL, 'VR'),
		('845', 'Nota sulle condizioni che regolano l\'utilizzo e la riproduzione', 'Nota sulle condizioni che regolano l\'utilizzo e la riproduzione', 1, 0, NULL, 'VR'),
		('850', 'Istituzione possedente', 'Istituzione possedente', 1, 0, NULL, 'VR'),
		('851', 'LOCATION [OBSOLETE]', 'LOCATION [OBSOLETE]', 1, 0, NULL, 'VR'),
		('852', 'Localizzazione', 'Localizzazione', 1, 0, NULL, 'VR'),
		('853', 'Legende e modello--unità bibliografica basilare', 'Legende e modello--unità bibliografica basilare', 1, 0, NULL, 'VR'),
		('854', 'Legende e modello--supplementi', 'Legende e modello--supplementi', 1, 0, NULL, 'VR'),
		('855', 'Legende e modello--indici', 'Legende e modello--indici', 1, 0, NULL, 'VR'),
		('856', 'Localizzazione e accesso elettronico', 'Localizzazione e accesso elettronico', 1, 0, NULL, 'VR'),
		('859', 'LOCAL CONTROL INFORMATION (RLIN)', 'LOCAL CONTROL INFORMATION (RLIN)', 1, 0, '', 'VR'),
		('863', 'Numerazione e cronologia--unità bibliografica basilare', 'Numerazione e cronologia--unità bibliografica basilare', 1, 0, NULL, 'VR'),
		('864', 'Numerazione e cronologia--supplementi', 'Numerazione e cronologia--supplementi', 1, 0, NULL, 'VR'),
		('865', 'Numerazione e cronologia--indici', 'Numerazione e cronologia--indici', 1, 0, NULL, 'VR'),
		('866', 'Formulazione testuale di posseduti--unità bibliografica basilare', 'Formulazione testuale di posseduti--unità bibliografica basilare', 1, 0, NULL, 'VR'),
		('867', 'Formulazione testuale di posseduti--supplementi', 'Formulazione testuale di posseduti--supplementi', 1, 0, NULL, 'VR'),
		('868', 'Formulazione testuale di posseduti--indici', 'Formulazione testuale di posseduti--indici', 1, 0, NULL, 'VR'),
		('870', 'VARIANT PERSONAL NAME (SE) [OBSOLETE]', 'VARIANT PERSONAL NAME (SE) [OBSOLETE]', 1, 0, NULL, 'VR'),
		('871', 'VARIANT CORPORATE NAME (SE)[OBSOLETE]', 'VARIANT CORPORATE NAME (SE)[OBSOLETE]', 1, 0, NULL, 'VR'),
		('872', 'VARIANT CONFERENCE OR MEETING NAME (SE) [OBSOLETE]', 'VARIANT CONFERENCE OR MEETING NAME (SE) [OBSOLETE]', 1, 0, NULL, 'VR'),
		('873', 'VARIANT UNIFORM TITLE HEADING (SE) [OBSOLETE]', 'VARIANT UNIFORM TITLE HEADING (SE) [OBSOLETE]', 1, 0, NULL, 'VR'),
		('876', 'Informazione sull’item--unità bibliografica basilare', 'Informazione sull’item--unità bibliografica basilare', 1, 0, NULL, 'VR'),
		('877', 'Informazione sull’item--supplementi', 'Informazione sull’item--supplementi', 1, 0, NULL, 'VR'),
		('878', 'Informazione sull’item--indici', 'Informazione sull’item--indici', 1, 0, NULL, 'VR'),
		('880', 'Rappresentazione grafica alternativa', 'Rappresentazione grafica alternativa', 1, 0, NULL, 'VR'),
		('886', 'Campo dell’informazione per MARC differenti', 'Campo dell’informazione per MARC differenti', 1, 0, NULL, 'VR'),
		('887', 'Campo dell’informazione per non-MARC', 'Campo dell’informazione per non-MARC', 1, 0, NULL, 'VR'),
		('896', 'LOCAL SERIES ADDED ENTRY--PERSONAL NAME (RLIN)', 'LOCAL SERIES ADDED ENTRY--PERSONAL NAME (RLIN)', 1, 0, '', 'VR'),
		('897', 'LOCAL SERIES ADDED ENTRY--CORPORATE NAME (RLIN)', 'LOCAL SERIES ADDED ENTRY--CORPORATE NAME (RLIN)', 1, 0, '', 'VR'),
		('898', 'LOCAL SERIES ADDED ENTRY--MEETING NAME (RLIN)', 'LOCAL SERIES ADDED ENTRY--MEETING NAME (RLIN)', 1, 0, '', 'VR'),
		('899', 'LOCAL SERIES ADDED ENTRY--UNIFORM TITLE (RLIN)', 'LOCAL SERIES ADDED ENTRY--UNIFORM TITLE (RLIN)', 1, 0, '', 'VR'),
		('900', 'EQUIVALENCE OR CROSS-REFERENCE-PERSONAL NAME [LOCAL, CANADA]', 'EQUIVALENCE OR CROSS-REFERENCE-PERSONAL NAME [LOCAL, CANADA]', 1, 0, '', 'VR'),
		('901', 'LOCAL DATA ELEMENT A, LDA (RLIN)', 'LOCAL DATA ELEMENT A, LDA (RLIN)', 1, 0, '', 'VR'),
		('902', 'LOCAL DATA ELEMENT B, LDB (RLIN)', 'LOCAL DATA ELEMENT B, LDB (RLIN)', 1, 0, '', 'VR'),
		('903', 'LOCAL DATA ELEMENT C, LDC (RLIN)', 'LOCAL DATA ELEMENT C, LDC (RLIN)', 1, 0, '', 'VR'),
		('904', 'LOCAL DATA ELEMENT D, LDD (RLIN)', 'LOCAL DATA ELEMENT D, LDD (RLIN)', 1, 0, '', 'VR'),
		('905', 'LOCAL DATA ELEMENT E, LDE (RLIN)', 'LOCAL DATA ELEMENT E, LDE (RLIN)', 1, 0, '', 'VR'),
		('906', 'LOCAL DATA ELEMENT F, LDF (RLIN)', 'LOCAL DATA ELEMENT F, LDF (RLIN)', 1, 0, '', 'VR'),
		('907', 'LOCAL DATA ELEMENT G, LDG (RLIN)', 'LOCAL DATA ELEMENT G, LDG (RLIN)', 1, 0, '', 'VR'),
		('908', 'PUT COMMAND PARAMETER (RLIN)', 'PUT COMMAND PARAMETER (RLIN)', 0, 0, '', 'VR'),
		('910', 'USER-OPTION DATA (OCLC)', 'USER-OPTION DATA (OCLC)', 0, 0, '', 'VR'),
		('911', 'EQUIVALENCE OR CROSS-REFERENCE-CONFERENCE OR MEETING NAME [LOCAL, CANADA]', 'EQUIVALENCE OR CROSS-REFERENCE-CONFERENCE OR MEETING NAME [LOCAL, CANADA]', 1, 0, '', 'VR'),
		('930', 'EQUIVALENCE OR CROSS-REFERENCE-UNIFORM TITLE HEADING [LOCAL, CANADA]', 'EQUIVALENCE OR CROSS-REFERENCE-UNIFORM TITLE HEADING [LOCAL, CANADA]', 1, 0, '', 'VR'),
		('936', 'OCLC/CONSER MISCELLANEOUS DATA (OCLC); PIECE USED FOR CATALOGING (pre-AACR2) (RLIN)', 'OCLC/CONSER MISCELLANEOUS DATA (OCLC); PIECE USED FOR CATALOGING (pre-AACR2) (RLIN)', 0, 0, '', 'VR'),
		('940', 'EQUIVALENCE OR CROSS-REFERENCE--UNIFORM TITLE [OBSOLETE] [CAN/MARC only]', 'EQUIVALENCE OR CROSS-REFERENCE--UNIFORM TITLE [OBSOLETE] [CAN/MARC only]', 1, 0, '', 'VR'),
		('941', 'EQUIVALENCE OR CROSS-REFERENCE--ROMANIZED TITLE [OBSOLETE] [CAN/MARC only]', 'EQUIVALENCE OR CROSS-REFERENCE--ROMANIZED TITLE [OBSOLETE] [CAN/MARC only]', 1, 0, '', 'VR'),
		('943', 'EQUIVALENCE OR CROSS-REFERENCE--COLLECTIVE TITLE [OBSOLETE] [CAN/MARC only]', 'EQUIVALENCE OR CROSS-REFERENCE--COLLECTIVE TITLE [OBSOLETE] [CAN/MARC only]', 1, 0, '', 'VR'),
		('945', 'LOCAL PROCESSING INFORMATION (OCLC)', 'LOCAL PROCESSING INFORMATION (OCLC)', 1, 0, '', 'VR'),
		('946', 'LOCAL PROCESSING INFORMATION (OCLC)', 'LOCAL PROCESSING INFORMATION (OCLC)', 1, 0, '', 'VR'),
		('947', 'LOCAL PROCESSING INFORMATION (OCLC)', 'LOCAL PROCESSING INFORMATION (OCLC)', 1, 0, '', 'VR'),
		('948', 'LOCAL PROCESSING INFORMATION (OCLC); SERIES PART DESIGNATOR (RLIN)', 'LOCAL PROCESSING INFORMATION (OCLC); SERIES PART DESIGNATOR (RLIN)', 1, 0, '', 'VR'),
		('949', 'LOCAL PROCESSING INFORMATION (OCLC)', 'LOCAL PROCESSING INFORMATION (OCLC)', 1, 0, '', 'VR'),
		('950', 'LOCAL HOLDINGS (RLIN)', 'LOCAL HOLDINGS (RLIN)', 1, 0, '', 'VR'),
		('951', 'EQUIVALENCE OR CROSS-REFERENCE--GEOGRAPHIC NAME/AREA NAME [OBSOLETE] [CAN/MARC only]', 'EQUIVALENCE OR CROSS-REFERENCE--GEOGRAPHIC NAME/AREA NAME [OBSOLETE] [CAN/MARC only]', 1, 0, '', 'VR'),
		('955', 'COPY-LEVEL INFORMATION (RLIN)', 'COPY-LEVEL INFORMATION (RLIN)', 1, 0, '', 'VR'),
		('956', 'LOCAL ELECTRONIC LOCATION AND ACCESS (OCLC)', 'LOCAL ELECTRONIC LOCATION AND ACCESS (OCLC)', 1, 0, '', 'VR'),
		('960', 'PHYSICAL LOCATION (RLIN)', 'PHYSICAL LOCATION (RLIN)', 1, 0, '', 'VR'),
		('967', 'ADDITIONAL ESTC CODES (RLIN)', 'ADDITIONAL ESTC CODES (RLIN)', 1, 0, '', 'VR'),
		('980', 'EQUIVALENCE OR CROSS-REFERENCE-SERIES STATEMENT--PERSONAL NAME/TITLE [LOCAL, CANADA]', 'EQUIVALENCE OR CROSS-REFERENCE-SERIES STATEMENT--PERSONAL NAME/TITLE [LOCAL, CANADA]', 1, 0, '', 'VR'),
		('981', 'EQUIVALENCE OR CROSS-REFERENCE-SERIES STATEMENT--CORPORATE NAME/TITLE [LOCAL, CANADA]', 'EQUIVALENCE OR CROSS-REFERENCE-SERIES STATEMENT--CORPORATE NAME/TITLE [LOCAL, CANADA]', 1, 0, '', 'VR'),
		('982', 'EQUIVALENCE OR CROSS-REFERENCE-SERIES STATEMENT--CONFERENCE OR MEETING NAME/TITLE [LOCAL, CANADA]', 'EQUIVALENCE OR CROSS-REFERENCE-SERIES STATEMENT--CONFERENCE OR MEETING NAME/TITLE [LOCAL, CANADA]', 1, 0, '', 'VR'),
		('983', 'EQUIVALENCE OR CROSS-REFERENCE-SERIES STATEMENT--TITLE/UNIFORM TITLE [LOCAL, CANADA]', 'EQUIVALENCE OR CROSS-REFERENCE-SERIES STATEMENT--TITLE/UNIFORM TITLE [LOCAL, CANADA]', 1, 0, '', 'VR'),
		('984', 'WLN AUTOMATIC HOLDINGS STATEMENT (OCLC)', 'WLN AUTOMATIC HOLDINGS STATEMENT (OCLC)', 1, 0, '', 'VR'),
		('987', 'LOCAL ROMANIZATION/CONVERSION HISTORY (OCLC)', 'LOCAL ROMANIZATION/CONVERSION HISTORY (OCLC)', 1, 0, '', 'VR'),
		('990', 'EQUIVALENCES OR CROSS-REFERENCES [LOCAL, CANADA]', 'EQUIVALENCES OR CROSS-REFERENCES [LOCAL, CANADA]', 1, 0, '', 'VR'),
		('995', 'RECOMMENDATION 995 [LOCAL, UNIMARC FRANCE]', 'RECOMMENDATION 995 [LOCAL, UNIMARC FRANCE]', 1, 0, '', 'VR'),
		('998', 'LOCAL CONTROL INFORMATION (RLIN)', 'LOCAL CONTROL INFORMATION (RLIN)', 1, 0, '', 'VR');



INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES
		('000', '@', 'campo di controllo lung. fissa', 'campo di controllo lung. fissa', 0, 1, '', 0, '', '', 'marc21_leader.pl', 0, 0, 'VR', '', '', NULL),
		('001', '@', 'campo di controllo', 'campo di controllo', 0, 0, '', 0, '', '', '', 0, -6, 'VR', '', '', NULL),
		('003', '@', 'campo di controllo', 'campo di controllo', 0, 0, '', 0, '', '', 'marc21_field_003.pl', 0, -6, 'VR', '', '', NULL),
		('005', '@', 'campo di controllo', 'campo di controllo', 0, 0, '', 0, '', '', 'marc21_field_005.pl', 0, -1, 'VR', '', '', NULL),
		('006', '@', 'campo di controllo lung. fissa', 'campo di controllo lung. fissa', 0, 0, '', 0, '', '', 'marc21_field_006.pl', 0, -1, 'VR', '', '', NULL),
		('007', '@', 'campo di controllo lung. fissa', 'campo di controllo lung. fissa', 0, 0, '', 0, '', '', 'marc21_field_007.pl', 0, 0, 'VR', '', '', NULL),
		('008', '@', 'campo di controllo lung. fissa', 'campo di controllo lung. fissa', 0, 1, '', 0, '', '', 'marc21_field_008.pl', 0, 0, 'VR', '', '', NULL),
		('009', '@', 'campo di controllo lung. fissa', 'campo di controllo lung. fissa', 0, 0, '', 0, '', '', '', 0, -6, 'VR', '', '', NULL),
		('010', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 0, '', '', NULL, 0, -6, 'VR', '', '', NULL),
		('010', 'a', 'Numero di controllo della LC', 'Numero di controllo della LC', 0, 0, 'biblioitems.lccn', 0, '', '', '', 0, -6, 'VR', '', '', NULL),
		('010', 'b', 'Numero di controllo del NUCMC', 'Numero di controllo del NUCMC', 1, 0, '', 0, '', '', '', 0, -6, 'VR', '', '', NULL),
		('010', 'z', 'Numero di controllo della LC cancellato o errato', 'Numero di controllo della LC cancellato o errato', 1, 0, '', 0, '', '', '', 0, -6, 'VR', '', '', NULL),
		('011', 'a', 'Numero di controllo della LC', 'Numero di controllo della LC', 1, 0, '', 0, '', '', '', 0, -6, 'VR', '', '', NULL),
		('013', '6', 'Collegamento', 'Collegamento', 0, 0, '', 0, '', '', NULL, 0, -6, 'VR', '', '', NULL),
		('013', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 0, '', '', '', 0, -6, 'VR', '', '', NULL),
		('013', 'a', 'Numero', 'Numero', 0, 0, '', 0, '', '', '', 0, -6, 'VR', '', '', NULL),
		('013', 'b', 'Paese', 'Paese', 0, 0, '', 0, '', '', '', 0, -6, 'VR', '', '', NULL),
		('013', 'c', 'Tipo di numero', 'Tipo di numero', 0, 0, '', 0, '', '', '', 0, -6, 'VR', '', '', NULL),
		('013', 'd', 'Data', 'Data', 1, 0, '', 0, '', '', '', 0, -6, 'VR', '', '', NULL),
		('013', 'e', 'Stato', 'Stato', 1, 0, '', 0, '', '', '', 0, -6, 'VR', '', '', NULL),
		('013', 'f', 'Parte responsabile del documento', 'Parte responsabile del documento', 1, 0, '', 0, '', '', '', 0, -6, 'VR', '', '', NULL),
		('015', '2', 'Fonte', 'Fonte', 0, 0, '', 0, '', '', NULL, 0, -6, 'VR', '', '', NULL),
		('015', '6', 'Collegamento', 'Collegamento', 0, 0, '', 0, '', '', '', 0, -6, 'VR', '', '', NULL),
		('015', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 0, '', '', '', 0, -6, 'VR', '', '', NULL),
		('015', 'a', 'Numero della bibliografia nazionale', 'Numero della bibliografia nazionale', 1, 0, '', 0, '', '', '', 0, -6, 'VR', '', '', NULL),
		('016', '2', 'Fonte', 'Fonte', 0, 0, '', 0, '', '', '', 0, -6, 'VR', '', '', NULL),
		('016', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 0, '', '', '', 0, -6, 'VR', '', '', NULL),
		('016', 'a', 'Numero di controllo della registrazione', 'Numero di controllo della registrazione', 0, 0, '', 0, '', '', '', 0, -6, 'VR', '', '', NULL),
		('016', 'z', 'Numero di controllo della registrazione cancellato o errato', 'Numero di controllo della registrazione cancellato o errato', 1, 0, '', 0, '', '', '', 0, -6, 'VR', '', '', NULL),
		('017', '2', 'Fonte', 'Fonte', 0, 0, '', 0, '', '', '', 0, -6, 'VR', '', '', NULL),
		('017', '6', 'Collegamento', 'Collegamento', 0, 0, '', 0, '', '', '', 0, -6, 'VR', '', '', NULL),
		('017', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 0, '', '', '', 0, -6, 'VR', '', '', NULL),
		('017', 'a', 'Numero di copyright o di deposito legale', 'Numero di copyright o di deposito legale', 1, 0, '', 0, '', '', '', 0, -6, 'VR', '', '', NULL),
		('017', 'b', 'Agenzia che assegna il numero', 'Agenzia che assegna il numero', 0, 0, '', 0, '', '', '', 0, -6, 'VR', '', '', NULL),
		('017', 'd', 'Data', 'Data', 0, 0, '', 0, '', '', NULL, 0, -6, 'VR', '', '', NULL),
		('017', 'i', 'Testo da visualizzare', 'Testo da visualizzare', 0, 0, '', 0, '', '', '', 0, -6, 'VR', '', '', NULL),
		('018', '6', 'Collegamento', 'Collegamento', 0, 0, '', 0, '', '', '', 0, -6, 'VR', '', '', NULL),
		('018', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 0, '', '', '', 0, -6, 'VR', '', '', NULL),
		('018', 'a', 'Codice di tassa sul copyright dell\'articolo', 'Codice di tassa sul copyright dell\'articolo', 0, 0, '', 0, '', '', '', 0, -6, 'VR', '', '', NULL),
		('020', '6', 'Collegamento', 'Collegamento', 0, 0, '', 0, '', '', '', 0, -6, 'VR', '', '', NULL),
		('020', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 0, '', '', '', 0, -6, 'VR', '', '', NULL),
		('020', 'a', 'ISBN (International Standard Book Number)', 'ISBN (International Standard Book Number)', 0, 0, 'biblioitems.isbn', 0, '', '', '', 0, -6, 'VR', '', '', NULL),
		('020', 'c', 'Termini di disponibilità', 'Termini di disponibilità', 0, 0, '', 0, '', '', '', 0, -6, 'VR', '', '', NULL),
		('020', 'z', 'ISBN cancellato o errato', 'ISBN cancellato o errato', 1, 0, '', 0, '', '', '', 0, -6, 'VR', '', '', NULL),
		('022', '2', 'Fonte', 'Fonte', 0, 0, '', 0, '', '', '', 0, -6, 'VR', '', '', NULL),
		('022', '6', 'Collegamento', 'Collegamento', 0, 0, '', 0, '', '', '', 0, -6, 'VR', '', '', NULL),
		('022', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 0, '', '', '', 0, -6, 'VR', '', '', NULL),
		('022', 'a', 'ISSN (International Standard Serial Number)', 'ISSN (International Standard Serial Number)', 0, 0, 'biblioitems.issn', 0, '', '', '', 0, -6, 'VR', '', '', NULL),
		('022', 'y', 'ISSN errato', 'ISSN errato', 1, 0, '', 0, '', '', '', 0, -6, 'VR', '', '', NULL),
		('022', 'z', 'ISSN cancellato', 'ISSN cancellato', 1, 0, '', 0, '', '', '', 0, -6, 'VR', '', '', NULL),
		('023', 'a', 'Standard film number', 'Standard film number', 0, 0, '', 0, '', '', '', 0, -6, 'VR', '', '', NULL),
		('024', '2', 'Fonte del numero o codice', 'Fonte del numero o codice', 0, 0, '', 0, '', '', '', 0, -1, 'VR', '', '', NULL),
		('024', '6', 'Collegamento', 'Collegamento', 0, 0, '', 0, '', '', '', 0, -6, 'VR', '', '', NULL),
		('024', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 0, '', '', '', 0, -6, 'VR', '', '', NULL),
		('024', 'a', 'Numero standard o codice', 'Numero standard o codice', 0, 0, '', 0, '', '', '', 0, -1, 'VR', '', '', NULL),
		('024', 'b', 'Additional codes following the standard number [OBSOLETE]', 'Additional codes following the standard number [OBSOLETE]', 0, 0, '', 0, '', '', '', 0, -6, 'VR', '', '', NULL),
		('024', 'c', 'Termini di disponibilità', 'Termini di disponibilità', 0, 0, '', 0, '', '', '', 0, -1, 'VR', '', '', NULL),
		('024', 'd', 'Codici addizionali che seguono il numero standard o codice', 'Codici addizionali che seguono il numero standard o codice', 0, 0, '', 0, '', '', '', 0, -1, 'VR', '', '', NULL),
		('024', 'z', 'Numero standard o codice, cancellato o errato', 'Numero standard o codice, cancellato o errato', 1, 0, '', 0, '', '', '', 0, -6, 'VR', '', '', NULL),
		('025', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 0, '', '', '', 0, -6, 'VR', '', '', NULL),
		('025', 'a', 'Numero d\'acquisto estero', 'Numero d\'acquisto estero', 1, 0, '', 0, '', '', '', 0, -6, 'VR', '', '', NULL),
		('026', '2', 'Fonte', 'Fonte', 0, 0, '', 0, '', '', '', 0, -6, 'VR', '', '', NULL),
		('026', '5', 'Istituzione a cui si applica il campo', 'Istituzione a cui si applica il campo', 1, 0, '', 0, '', '', '', 0, -6, 'VR', '', '', NULL),
		('026', '6', 'Collegamento', 'Collegamento', 0, 0, '', 0, '', '', '', 0, -6, 'VR', '', '', NULL),
		('026', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 0, '', '', '', 0, -6, 'VR', '', '', NULL),
		('026', 'a', 'Primo e secondo gruppo di caratteri', 'Primo e secondo gruppo di caratteri', 0, 0, '', 0, '', '', '', 0, -6, 'VR', '', '', NULL),
		('026', 'b', 'Terzo e quarto gruppo di caratteri', 'Terzo e quarto gruppo di caratteri', 0, 0, '', 0, '', '', '', 0, -6, 'VR', '', '', NULL),
		('026', 'c', 'Data', 'Data', 0, 0, '', 0, '', '', '', 0, -6, 'VR', '', '', NULL),
		('026', 'd', 'Numero del volume o parte', 'Numero del volume o parte', 0, 0, '', 0, '', '', '', 0, -6, 'VR', '', '', NULL),
		('026', 'e', 'Impronta non analizzata', 'Impronta non analizzata', 0, 0, '', 0, '', '', '', 0, -6, 'VR', '', '', NULL),
		('027', '6', 'Collegamento', 'Collegamento', 0, 0, '', 0, '', '', '', 0, -6, 'VR', '', '', NULL),
		('027', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 0, '', '', '', 0, -6, 'VR', '', '', NULL),
		('027', 'a', 'Standard Technical Report Number', 'Standard Technical Report Number', 0, 0, '', 0, '', '', '', 0, -6, 'VR', '', '', NULL),
		('027', 'z', 'Numero cancellato o errato', 'Numero cancellato o errato', 1, 0, '', 0, '', '', '', 0, -6, 'VR', '', '', NULL),
		('028', '6', 'Collegamento', 'Collegamento', 0, 0, '', 0, '', '', '', 0, -6, 'VR', '', '', NULL),
		('028', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 0, '', '', '', 0, -6, 'VR', '', '', NULL),
		('028', 'a', 'Numero dell\'editore', 'Numero dell\'editore', 0, 0, '', 0, '', '', '', 0, 0, 'VR', '', '', NULL),
		('028', 'b', 'Fonte', 'Fonte', 0, 0, '', 0, '', '', '', 0, 0, 'VR', '', '', NULL),
		('029', 'a', 'OCLC library identifier', 'OCLC library identifier', 0, 0, '', 0, '', '', '', 0, -6, 'VR', '', '', NULL),
		('029', 'b', 'System control number', 'System control number', 0, 0, '', 0, '', '', '', 0, -6, 'VR', '', '', NULL),
		('029', 'c', 'OAI set name', 'OAI set name', 0, 0, '', 0, '', '', '', 0, -6, 'VR', '', '', NULL),
		('029', 't', 'Content type identifier', 'Content type identifier', 0, 0, '', 0, '', '', '', 0, -6, 'VR', '', '', NULL),
		('030', '6', 'Collegamento', 'Collegamento', 0, 0, '', 0, '', '', '', 0, -6, 'VR', '', '', NULL),
		('030', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 0, '', '', '', 0, -6, 'VR', '', '', NULL),
		('030', 'a', 'CODEN', 'CODEN', 0, 0, '', 0, '', '', '', 0, -6, 'VR', '', '', NULL),
		('030', 'z', 'CODEN cancellato o errato', 'CODEN cancellato o errato', 1, 0, '', 0, '', '', '', 0, -6, 'VR', '', '', NULL),
		('031', '2', 'Codice di sistema', 'Codice di sistema', 0, 0, '', 0, '', '', '', 0, -6, 'VR', '', '', NULL),
		('031', '6', 'Collegamento', 'Collegamento', 0, 0, '', 0, '', '', '', 0, -6, 'VR', '', '', NULL),
		('031', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 0, '', '', '', 0, -6, 'VR', '', '', NULL),
		('031', 'a', 'Numero di composizione', 'Numero di composizione', 0, 0, '', 0, '', '', '', 0, -6, 'VR', '', '', NULL),
		('031', 'b', 'Numero di movimento', 'Numero di movimento', 0, 0, '', 0, '', '', '', 0, -6, 'VR', '', '', NULL),
		('031', 'c', 'Numero progressivo nel movimento', 'Numero progressivo nel movimento', 0, 0, '', 0, '', '', '', 0, -6, 'VR', '', '', NULL),
		('031', 'd', 'Titolo o intitolazione', 'Titolo o intitolazione', 1, 0, '', 0, '', '', '', 0, -6, 'VR', '', '', NULL),
		('031', 'e', 'Personaggio', 'Personaggio', 0, 0, '', 0, '', '', '', 0, -6, 'VR', '', '', NULL),
		('031', 'g', 'Chiave', 'Chiave', 0, 0, '', 0, '', '', '', 0, -6, 'VR', '', '', NULL),
		('031', 'm', 'Voce/strumento', 'Voce/strumento', 0, 0, '', 0, '', '', '', 0, -6, 'VR', '', '', NULL),
		('031', 'n', 'Alterazioni', 'Alterazioni', 0, 0, '', 0, '', '', '', 0, -6, 'VR', '', '', NULL),
		('031', 'o', 'Misura', 'Misura', 0, 0, '', 0, '', '', '', 0, -6, 'VR', '', '', NULL),
		('031', 'p', 'Contesto musicale', 'Contesto musicale', 0, 0, '', 0, '', '', '', 0, -6, 'VR', '', '', NULL),
		('031', 'q', 'Nota generale', 'Nota generale', 1, 0, '', 0, '', '', '', 0, -6, 'VR', '', '', NULL),
		('031', 'r', 'Tonalità o modo', 'Tonalità o modo', 0, 0, '', 0, '', '', '', 0, -6, 'VR', '', '', NULL),
		('031', 's', 'Nota codificata di validità', 'Nota codificata di validità', 1, 0, '', 0, '', '', '', 0, -6, 'VR', '', '', NULL),
		('031', 't', 'Incipit testuale', 'Incipit testuale', 1, 0, '', 0, '', '', '', 0, -6, 'VR', '', '', NULL),
		('031', 'u', 'URI (Uniform Resource Identifier)', 'URI (Uniform Resource Identifier)', 1, 0, '', 0, '', '', '', 1, -6, 'VR', '', '', NULL),
		('031', 'y', 'Testo di collegamento', 'Testo di collegamento', 1, 0, '', 0, '', '', '', 0, -6, 'VR', '', '', NULL),
		('031', 'z', 'Nota pubblica', 'Nota pubblica', 1, 0, '', 0, '', '', '', 0, -6, 'VR', '', '', NULL),
		('032', '6', 'Collegamento', 'Collegamento', 0, 0, '', 0, '', '', NULL, 0, -6, 'VR', '', '', NULL),
		('032', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 0, '', '', '', 0, -6, 'VR', '', '', NULL),
		('032', 'a', 'Numero di registrazione di posta', 'Numero di registrazione di posta', 0, 0, '', 0, '', '', '', 0, -6, 'VR', '', '', NULL),
		('032', 'b', 'Fonte (agenzia che assegna il numero)', 'Fonte (agenzia che assegna il numero)', 0, 0, '', 0, '', '', '', 0, -6, 'VR', '', '', NULL),
		('033', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, '', 0, '', '', '', 0, -6, 'VR', '', '', NULL),
		('033', '6', 'Collegamento', 'Collegamento', 0, 0, '', 0, '', '', '', 0, -6, 'VR', '', '', NULL),
		('033', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 0, '', '', '', 0, -6, 'VR', '', '', NULL),
		('033', 'a', 'Data/ora formattate', 'Data/ora formattate', 1, 0, '', 0, '', '', '', 0, -6, 'VR', '', '', NULL),
		('033', 'b', 'Codice di classificazione dell\'area geografica', 'Codice di classificazione dell\'area geografica', 1, 0, '', 0, '', '', '', 0, -6, 'VR', '', '', NULL),
		('033', 'c', 'Codice di classificazione della sottoarea geografica', 'Codice di classificazione della sottoarea geografica', 1, 0, '', 0, '', '', '', 0, -6, 'VR', '', '', NULL),
		('034', '2', 'Fonte', 'Fonte', 0, 0, '', 0, '', '', '', 0, -6, 'VR', '', '', NULL),
		('034', '6', 'Collegamento', 'Collegamento', 0, 0, '', 0, '', '', '', 0, -6, 'VR', '', '', NULL),
		('034', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 0, '', '', '', 0, -6, 'VR', '', '', NULL),
		('034', 'a', 'Categoria della scala', 'Categoria della scala', 0, 0, '', 0, '', '', '', 0, -6, 'VR', '', '', NULL),
		('034', 'b', 'Rapporto costante (scala orizzontale)', 'Rapporto costante (scala orizzontale)', 1, 0, '', 0, '', '', '', 0, -6, 'VR', '', '', NULL),
		('034', 'c', 'Rapporto costante (scala verticale)', 'Rapporto costante (scala verticale)', 1, 0, '', 0, '', '', '', 0, -6, 'VR', '', '', NULL),
		('034', 'd', 'Coordinate--longitudine limite Ovest', 'Coordinate--longitudine limite Ovest', 0, 0, '', 0, '', '', '', 0, -6, 'VR', '', '', NULL),
		('034', 'e', 'Coordinate--longitudine limite Est', 'Coordinate--longitudine limite Est', 0, 0, '', 0, '', '', '', 0, -6, 'VR', '', '', NULL),
		('034', 'f', 'Coordinate--latitudine limite Nord', 'Coordinate--latitudine limite Nord', 0, 0, '', 0, '', '', '', 0, -6, 'VR', '', '', NULL),
		('034', 'g', 'Coordinate--latitudine limite Sud', 'Coordinate--latitudine limite Sud', 0, 0, '', 0, '', '', '', 0, -6, 'VR', '', '', NULL),
		('034', 'h', 'Scala angolare', 'Scala angolare', 1, 0, '', 0, '', '', '', 0, -6, 'VR', '', '', NULL),
		('034', 'j', 'Declinazione--limite Nord', 'Declinazione--limite Nord', 0, 0, '', 0, '', '', '', 0, -6, 'VR', '', '', NULL),
		('034', 'k', 'Declinazione--limite Sud', 'Declinazione--limite Sud', 0, 0, '', 0, '', '', '', 0, -6, 'VR', '', '', NULL),
		('034', 'm', 'Ascensione retta--limite Est', 'Ascensione retta--limite Est', 0, 0, '', 0, '', '', '', 0, -6, 'VR', '', '', NULL),
		('034', 'n', 'Ascensione retta--limite Ovest', 'Ascensione retta--limite Ovest', 0, 0, '', 0, '', '', '', 0, -6, 'VR', '', '', NULL),
		('034', 'p', 'Equinozio', 'Equinozio', 0, 0, '', 0, '', '', '', 0, -6, 'VR', '', '', NULL),
		('034', 'r', 'Coordinate--latitudine limite Sud', 'Coordinate--latitudine limite Sud', 0, 0, '', 0, '', '', '', 0, -6, 'VR', '', '', NULL),
		('034', 's', 'Latitudine del perimetro', 'Latitudine del perimetro', 1, 0, '', 0, '', '', '', 0, -6, 'VR', '', '', NULL),
		('034', 't', 'Longitudine del perimetro', 'Longitudine del perimetro', 1, 0, '', 0, '', '', '', 0, -6, 'VR', '', '', NULL),
		('034', 'x', 'Data d\'inizio', 'Data d\'inizio', 0, 0, '', 0, '', '', '', 0, -6, 'VR', '', '', NULL),
		('034', 'y', 'Data di fine', 'Data di fine', 0, 0, '', 0, '', '', '', 0, -6, 'VR', '', '', NULL),
		('034', 'z', 'Nome dell\'oggetto extraterrestre', 'Nome dell\'oggetto extraterrestre', 0, 0, '', 0, '', '', '', 0, -6, 'VR', '', '', NULL),
		('035', '6', 'Collegamento', 'Collegamento', 0, 0, '', 0, '', '', '', 0, -6, 'VR', '', '', NULL),
		('035', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 0, '', '', '', 0, -6, 'VR', '', '', NULL),
		('035', 'a', 'System control number', 'System control number', 0, 0, '', 0, '', '', '', 0, -6, 'VR', '', '', NULL),
		('035', 'z', 'Numero di controllo del sistema cancellato o errato', 'Numero di controllo del sistema cancellato o errato', 1, 0, '', 0, '', '', '', 0, -6, 'VR', '', '', NULL),
		('036', '6', 'Collegamento', 'Collegamento', 0, 0, '', 0, '', '', '', 0, -6, 'VR', '', '', NULL),
		('036', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 0, '', '', '', 0, -6, 'VR', '', '', NULL),
		('036', 'a', 'Numero dello studio originale', 'Numero dello studio originale', 0, 0, '', 0, '', '', '', 0, -6, 'VR', '', '', NULL),
		('036', 'b', 'Fonte (agenzia che assegna il numero)', 'Fonte (agenzia che assegna il numero)', 0, 0, '', 0, '', '', '', 0, -6, 'VR', '', '', NULL),
		('037', '6', 'Collegamento', 'Collegamento', 0, 0, '', 0, '', '', '', 0, -6, 'VR', '', '', NULL),
		('037', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 0, '', '', '', 0, -6, 'VR', '', '', NULL),
		('037', 'a', 'Numero di magazzino', 'Numero di magazzino', 0, 0, '', 0, '', '', '', 0, -1, 'VR', '', '', NULL),
		('037', 'b', 'Fonte del numero di magazzino/d\'acquisto', 'Fonte del numero di magazzino/d\'acquisto', 0, 0, '', 0, '', '', '', 0, -1, 'VR', '', '', NULL),
		('037', 'c', 'Termini di disponibilità', 'Termini di disponibilità', 1, 0, '', 0, '', '', '', 0, -1, 'VR', '', '', NULL),
		('037', 'f', 'Forma dell\'emissione', 'Forma dell\'emissione', 1, 0, '', 0, '', '', '', 0, -1, 'VR', '', '', NULL),
		('037', 'g', 'Caratteristiche addizionali di formato', 'Caratteristiche addizionali di formato', 1, 0, '', 0, '', '', '', 0, -1, 'VR', '', '', NULL),
		('037', 'n', 'Nota', 'Nota', 1, 0, '', 0, '', '', '', 0, -1, 'VR', '', '', NULL),
		('038', '6', 'Collegamento', 'Collegamento', 0, 0, '', 0, '', '', '', 0, -6, 'VR', '', '', NULL),
		('038', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 0, '', '', '', 0, -6, 'VR', '', '', NULL),
		('038', 'a', 'Organizzazione che dà licenza d’uso del contenuto della registrazione', 'Organizzazione che dà licenza d’uso del contenuto della registrazione', 0, 0, '', 0, '', '', '', 0, -6, 'VR', '', '', NULL),
		('039', 'a', 'Level of rules in bibliographic description', 'Level of rules in bibliographic description', 0, 0, '', 0, '', '', '', 0, -6, 'VR', '', '', NULL),
		('039', 'b', 'Level of effort used to assign nonsubject heading access points', 'Level of effort used to assign nonsubject heading access points', 0, 0, '', 0, '', '', '', 0, -6, 'VR', '', '', NULL),
		('039', 'c', 'Level of effort used to assign subject headings', 'Level of effort used to assign subject headings', 0, 0, '', 0, '', '', '', 0, -6, 'VR', '', '', NULL),
		('039', 'd', 'Level of effort used to assign classification', 'Level of effort used to assign classification', 0, 0, '', 0, '', '', '', 0, -6, 'VR', '', '', NULL),
		('039', 'e', 'Number of fixed field character positions coded', 'Number of fixed field character positions coded', 0, 0, '', 0, '', '', '', 0, -6, 'VR', '', '', NULL),
		('040', '6', 'Collegamento', 'Collegamento', 0, 0, '', 0, '', '', '', 0, -6, 'VR', '', '', NULL),
		('040', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 0, '', '', '', 0, -6, 'VR', '', '', NULL),
		('040', 'a', 'Agenzia catalografica originale', 'Agenzia catalografica originale', 0, 0, '', 0, '', '', '', 0, -1, 'VR', '', '', NULL),
		('040', 'b', 'Lingua della catalogazione', 'Lingua della catalogazione', 0, 0, '', 0, '', '', '', 0, -6, 'VR', '', '', NULL),
		('040', 'c', 'Agenzia che fa la trascrizione', 'Agenzia che fa la trascrizione', 0, 0, '', 0, '', '', '', 0, -1, 'VR', '', '', NULL),
		('040', 'd', 'Agenzia che fa la modifica', 'Agenzia che fa la modifica', 1, 0, '', 0, '', '', '', 0, -1, 'VR', '', '', NULL),
		('040', 'e', 'Regole di descrizione', 'Regole di descrizione', 0, 0, '', 0, '', '', '', 0, -1, 'VR', '', '', NULL),
		('041', '2', 'Fonte del codice', 'Fonte del codice', 0, 0, '', 0, '', '', '', 0, -6, 'VR', '', '', NULL),
		('041', '6', 'Collegamento', 'Collegamento', 0, 0, '', 0, '', '', '', 0, -6, 'VR', '', '', NULL),
		('041', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 0, '', '', '', 0, -6, 'VR', '', '', NULL),
		('041', 'a', 'Codice di lingua del testo/traccia sonora o titolo separato', 'Codice di lingua del testo/traccia sonora o titolo separato', 1, 0, '', 0, '', '', '', 0, -1, 'VR', '', '', NULL),
		('041', 'b', 'Codice di lingua del riassunto, estratto o sottotitoli', 'Codice di lingua del riassunto, estratto o sottotitoli', 1, 0, '', 0, '', '', '', 0, -6, 'VR', '', '', NULL),
		('041', 'c', 'Languages of separate titles (VM) [OBSOLETE] ; Languages of available translation  (SE) [OBSOLETE]', 'Languages of separate titles (VM) [OBSOLETE] ; Languages of available translation  (SE) [OBSOLETE]', 1, 0, '', 0, '', '', '', 0, -6, 'VR', '', '', NULL),
		('041', 'd', 'Codice della lingua del testo cantato o parlato', 'Codice della lingua del testo cantato o parlato', 1, 0, '', 0, '', '', '', 0, -1, 'VR', '', '', NULL),
		('041', 'e', 'Codice della lingua dei libretti', 'Codice della lingua dei libretti', 1, 0, '', 0, '', '', '', 0, -1, 'VR', '', '', NULL),
		('041', 'f', 'Codice della lingua del sommario', 'Codice della lingua del sommario', 1, 0, '', 0, '', '', '', 0, -6, 'VR', '', '', NULL),
		('041', 'g', 'Codice della lingua del materiale allegato diverso dai libretti', 'Codice della lingua del materiale allegato diverso dai libretti', 1, 0, '', 0, '', '', '', 0, -1, 'VR', '', '', NULL),
		('041', 'h', 'Codice della lingua originale e/o delle traduzioni intermedie del testo', 'Codice della lingua originale e/o delle traduzioni intermedie del testo', 1, 0, '', 0, '', '', '', 0, -1, 'VR', '', '', NULL),
		('042', 'a', 'Codice d\'autenticazione', 'Codice d\'autenticazione', 0, 0, '', 0, '', '', '', 0, -6, 'VR', '', '', NULL),
		('043', '2', 'Fonte del codice di sottoente locale', 'Fonte del codice di sottoente locale', 1, 0, '', 0, '', '', '', 0, -6, 'VR', '', '', NULL),
		('043', '6', 'Collegamento', 'Collegamento', 0, 0, '', 0, '', '', '', 0, -6, 'VR', '', '', NULL),
		('043', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 0, '', '', '', 0, -6, 'VR', '', '', NULL),
		('043', 'a', 'Codice dell\'area geografica', 'Codice dell\'area geografica', 1, 0, '', 0, '', '', '', 0, -6, 'VR', '', '', NULL),
		('043', 'b', 'Codice locale GAC (codice dell\'area geografica)', 'Codice locale GAC (codice dell\'area geografica)', 1, 0, '', 0, '', '', '', 0, -6, 'VR', '', '', NULL),
		('043', 'c', 'Codice ISO', 'Codice ISO', 1, 0, '', 0, '', '', '', 0, -6, 'VR', '', '', NULL),
		('044', '2', 'Fonte del codice di sottoente locale', 'Fonte del codice di sottoente locale', 1, 0, '', 0, '', '', '', 0, -6, 'VR', '', '', NULL),
		('044', '6', 'Collegamento', 'Collegamento', 0, 0, '', 0, '', '', '', 0, -6, 'VR', '', '', NULL),
		('044', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 0, '', '', '', 0, -6, 'VR', '', '', NULL),
		('044', 'a', 'Codice MARC del paese', 'Codice MARC del paese', 1, 0, '', 0, '', '', '', 0, -6, 'VR', '', '', NULL),
		('044', 'b', 'Codice di sottoente locale', 'Codice di sottoente locale', 1, 0, '', 0, '', '', '', 0, -6, 'VR', '', '', NULL),
		('044', 'c', 'Codice ISO del paese', 'Codice ISO del paese', 1, 0, '', 0, '', '', '', 0, -6, 'VR', '', '', NULL),
		('045', '6', 'Collegamento', 'Collegamento', 0, 0, '', 0, '', '', '', 0, -6, 'VR', '', '', NULL),
		('045', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 0, '', '', '', 0, -6, 'VR', '', '', NULL),
		('045', 'a', 'Codice di periodo di tempo', 'Codice di periodo di tempo', 1, 0, '', 0, '', '', '', 0, -6, 'VR', '', '', NULL),
		('045', 'b', 'Periodo di tempo formattato dal 9999 a.C. fino al 9999 d.C.', 'Periodo di tempo formattato dal 9999 a.C. fino al 9999 d.C.', 1, 0, '', 0, '', '', '', 0, -6, 'VR', '', '', NULL),
		('045', 'c', 'Periodo di tempo formattato anteriore al 9999 a.C.', 'Periodo di tempo formattato anteriore al 9999 a.C.', 1, 0, '', 0, '', '', '', 0, -6, 'VR', '', '', NULL),
		('046', '2', 'Fonte della data', 'Fonte della data', 0, 0, '', 0, '', '', '', 0, -6, 'VR', '', '', NULL),
		('046', '6', 'Collegamento', 'Collegamento', 0, 0, '', 0, '', '', '', 0, -6, 'VR', '', '', NULL),
		('046', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 0, '', '', '', 0, -6, 'VR', '', '', NULL),
		('046', 'a', 'Codice di tipo di data', 'Codice di tipo di data', 0, 0, '', 0, '', '', '', 0, -6, 'VR', '', '', NULL),
		('046', 'b', 'Data 1 (data a.C.)', 'Data 1 (data a.C.)', 0, 0, '', 0, '', '', '', 0, -6, 'VR', '', '', NULL),
		('046', 'c', 'Data 1 (data d.C.)', 'Data 1 (data d.C.)', 0, 0, '', 0, '', '', '', 0, -6, 'VR', '', '', NULL),
		('046', 'd', 'Data 2 (data a.C.)\',\'Data 2 (data a.C.)', 'Data 2 (data a.C.)\',\'Data 2 (data a.C.)', 0, 0, '', 0, '', '', '', 0, -6, 'VR', '', '', NULL),
		('046', 'e', 'Data 2 (data d.C.)', 'Data 2 (data d.C.)', 0, 0, '', 0, '', '', '', 0, -6, 'VR', '', '', NULL),
		('046', 'j', 'Data della modifica della risorsa', 'Data della modifica della risorsa', 0, 0, '', 0, '', '', '', 0, -6, 'VR', '', '', NULL),
		('046', 'k', 'Data iniziale di creazione o data semplice', 'Data iniziale di creazione o data semplice', 0, 0, '', 0, '', '', '', 0, -6, 'VR', '', '', NULL),
		('046', 'l', 'Data finale di creazione', 'Data finale di creazione', 0, 0, '', 0, '', '', '', 0, -6, 'VR', '', '', NULL),
		('046', 'm', 'Data iniziale di validità', 'Data iniziale di validità', 0, 0, '', 0, '', '', '', 0, -6, 'VR', '', '', NULL),
		('046', 'n', 'Data finale di validità', 'Data finale di validità', 0, 0, '', 0, '', '', '', 0, -6, 'VR', '', '', NULL),
		('047', '2', 'Fonte del codice', 'Fonte del codice', 0, 0, '', 0, '', '', '', 0, -6, 'VR', '', '', NULL),
		('047', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 0, '', '', '', 0, -6, 'VR', '', '', NULL),
		('047', 'a', 'Codice di forma della composizione musicale', 'Codice di forma della composizione musicale', 1, 0, '', 0, '', '', '', 0, -6, 'VR', '', '', NULL),
		('048', '2', 'Fonte del codice', 'Fonte del codice', 0, 0, '', 0, '', '', '', 0, -6, 'VR', '', '', NULL),
		('048', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 0, '', '', '', 0, -6, 'VR', '', '', NULL),
		('048', 'a', 'Esecutore o complesso', 'Esecutore o complesso', 1, 0, '', 0, '', '', '', 0, -6, 'VR', '', '', NULL),
		('048', 'b', 'Solista', 'Solista', 1, 0, '', 0, '', '', '', 0, -6, 'VR', '', '', NULL),
		('049', 'a', 'Holding library', 'Holding library', 1, 0, '', 0, '', '', '', 0, -6, 'VR', '', '', NULL),
		('049', 'c', 'Copy statement', 'Copy statement', 1, 0, '', 0, '', '', '', 0, -6, 'VR', '', '', NULL),
		('049', 'd', 'Definition of bibliographic subdivisions', 'Definition of bibliographic subdivisions', 1, 0, '', 0, '', '', '', 0, -6, 'VR', '', '', NULL),
		('049', 'l', 'Local processing data', 'Local processing data', 1, 0, '', 0, '', '', '', 0, -6, 'VR', '', '', NULL),
		('049', 'm', 'Missing elements', 'Missing elements', 1, 0, '', 0, '', '', '', 0, -6, 'VR', '', '', NULL),
		('049', 'n', 'Notes about holdings', 'Notes about holdings', 0, 0, '', 0, '', '', '', 0, -6, 'VR', '', '', NULL),
		('049', 'o', 'Local processing data', 'Local processing data', 1, 0, '', 0, '', '', '', 0, -6, 'VR', '', '', NULL),
		('049', 'p', 'Secondary bibliographic subdivision', 'Secondary bibliographic subdivision', 1, 0, '', 0, '', '', '', 0, -6, 'VR', '', '', NULL),
		('049', 'q', 'Third bibliographic subdivision', 'Third bibliographic subdivision', 1, 0, '', 0, '', '', '', 0, -6, 'VR', '', '', NULL),
		('049', 'r', 'Fourth bibliographic subdivision', 'Fourth bibliographic subdivision', 1, 0, '', 0, '', '', '', 0, -6, 'VR', '', '', NULL),
		('049', 's', 'Fifth bibliographic subdivision', 'Fifth bibliographic subdivision', 0, 0, '', 0, '', '', '', 0, -6, 'VR', '', '', NULL),
		('049', 't', 'Sixth bibliographic subdivision', 'Sixth bibliographic subdivision', 1, 0, '', 0, '', '', '', 0, -6, 'VR', '', '', NULL),
		('049', 'u', 'Seventh bibliographic subdivision', 'Seventh bibliographic subdivision', 1, 0, '', 0, '', '', '', 0, -6, 'VR', '', '', NULL),
		('049', 'v', 'Seventh bibliographic subdivision', 'Seventh bibliographic subdivision', 1, 0, '', 0, '', '', '', 0, -6, 'VR', '', '', NULL),
		('049', 'y', 'Inclusive dates of publication or coverage', 'Inclusive dates of publication or coverage', 0, 0, '', 0, '', '', '', 0, -6, 'VR', '', '', NULL),
		('050', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, '', 0, '', '', '', 0, -6, 'VR', '', '', NULL),
		('050', '6', 'Collegamento', 'Collegamento', 0, 0, '', 0, '', '', '', 0, -6, 'VR', '', '', NULL),
		('050', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 0, '', '', '', 0, -6, 'VR', '', '', NULL),
		('050', 'a', 'Numero di classificazione', 'Numero di classificazione', 1, 0, '', 0, '', '', '', 0, 0, 'VR', '', '', NULL),
		('050', 'b', 'Numero d\'item', 'Numero d\'item', 0, 0, '', 0, '', '', '', 0, 0, 'VR', '', '', NULL),
		('050', 'd', 'Supplementary class number (MU) [OBSOLETE]', 'Supplementary class number (MU) [OBSOLETE]', 0, 0, '', 0, '', '', '', 0, -6, 'VR', '', '', NULL),
		('051', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 0, '', '', '', 0, -6, 'VR', '', '', NULL),
		('051', 'a', 'Numero di classificazione', 'Numero di classificazione', 0, 0, '', 0, '', '', '', 0, -6, 'VR', '', '', NULL),
		('051', 'b', 'Numero d\'item', 'Numero d\'item', 0, 0, '', 0, '', '', '', 0, -6, 'VR', '', '', NULL),
		('051', 'c', 'Informazione dell\'esemplare', 'Informazione dell\'esemplare', 0, 0, '', 0, '', '', '', 0, -6, 'VR', '', '', NULL),
		('052', '2', 'Fonte del codice', 'Fonte del codice', 0, 0, '', 0, '', '', '', 0, -6, 'VR', '', '', NULL),
		('052', '6', 'Collegamento', 'Collegamento', 0, 0, '', 0, '', '', '', 0, -6, 'VR', '', '', NULL),
		('052', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 0, '', '', '', 0, -6, 'VR', '', '', NULL),
		('052', 'a', 'Codice di classificazione dell\'area geografica', 'Codice di classificazione dell\'area geografica', 0, 0, '', 0, '', '', '', 0, -6, 'VR', '', '', NULL),
		('052', 'b', 'Codice di classificazione della sottoarea geografica', 'Codice di classificazione della sottoarea geografica', 1, 0, '', 0, '', '', '', 0, -6, 'VR', '', '', NULL),
		('052', 'c', 'Subject (MP) [OBSOLETE]', 'Subject (MP) [OBSOLETE]', 0, 0, '', 0, '', '', '', 0, -6, 'VR', '', '', NULL),
		('052', 'd', 'Nome di luogo abitato', 'Nome di luogo abitato', 1, 0, '', 0, '', '', '', 0, -6, 'VR', '', '', NULL),
		('055', '2', 'Fonte del numero di chiamata/classe', 'Fonte del numero di chiamata/classe', 0, 0, '', 0, '', '', '', 0, -6, 'VR', '', '', NULL),
		('055', '6', 'Collegamento', 'Collegamento', 0, 0, '', 0, '', '', '', 0, -6, 'VR', '', '', NULL),
		('055', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 0, '', '', '', 0, -6, 'VR', '', '', NULL),
		('055', 'a', 'Numero di classificazione', 'Numero di classificazione', 0, 0, '', 0, '', '', '', 0, -6, 'VR', '', '', NULL),
		('055', 'b', 'Numero d\'item', 'Numero d\'item', 0, 0, '', 0, '', '', '', 0, -6, 'VR', '', '', NULL),
		('060', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 0, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('060', 'a', 'Numero di classificazione', 'Numero di classificazione', 1, 0, NULL, 0, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('060', 'b', 'Numero d\'item', 'Numero d\'item', 0, 0, NULL, 0, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('061', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 0, '', '', '', 0, -6, 'VR', '', '', NULL),
		('061', 'a', 'Numero di classificazione', 'Numero di classificazione', 1, 0, '', 0, '', '', '', 0, -6, 'VR', '', '', NULL),
		('061', 'b', 'Numero d\'item', 'Numero d\'item', 0, 0, '', 0, '', '', '', 0, -6, 'VR', '', '', NULL),
		('061', 'c', 'Informazione dell\'esemplare', 'Informazione dell\'esemplare', 0, 0, '', 0, '', '', '', 0, -6, 'VR', '', '', NULL),
		('066', 'a', 'Set di caratteri primario G0', 'Set di caratteri primario G0', 0, 0, NULL, 0, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('066', 'b', 'Set di caratteri primario G1', 'Set di caratteri primario G1', 0, 0, NULL, 0, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('066', 'c', 'Set di caratteri alternativo G0 o G1', 'Set di caratteri alternativo G0 o G1', 1, 0, NULL, 0, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('070', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 0, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('070', 'a', 'Numero di classificazione', 'Numero di classificazione', 1, 0, NULL, 0, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('070', 'b', 'Numero d\'item', 'Numero d\'item', 0, 0, NULL, 0, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('071', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 0, '', '', '', 0, -6, 'VR', '', '', NULL),
		('071', 'a', 'Numero di classificazione', 'Numero di classificazione', 1, 0, '', 0, '', '', '', 0, -6, 'VR', '', '', NULL),
		('071', 'b', 'Numero d\'item', 'Numero d\'item', 0, 0, '', 0, '', '', '', 0, -6, 'VR', '', '', NULL),
		('071', 'c', 'Informazione dell\'esemplare', 'Informazione dell\'esemplare', 0, 0, '', 0, '', '', '', 0, -6, 'VR', '', '', NULL),
		('072', '2', 'Fonte', 'Fonte', 0, 0, NULL, 0, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('072', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 0, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('072', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 0, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('072', 'a', 'Codice di categoria di soggetto', 'Codice di categoria di soggetto', 0, 0, NULL, 0, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('072', 'x', 'Suddivisione del codice di categoria di soggetto', 'Suddivisione del codice di categoria di soggetto', 1, 0, NULL, 0, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('074', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 0, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('074', 'a', 'Numero GPO dell\'item', 'Numero GPO dell\'item', 0, 0, NULL, 0, NULL, NULL, '', NULL, -1, 'VR', '', '', NULL),
		('074', 'z', 'Numero GPO dell\'item cancellato/errato', 'Numero GPO dell\'item cancellato/errato', 1, 0, NULL, 0, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('080', '2', 'Numero dell\'edizione', 'Numero dell\'edizione', 0, 0, NULL, 0, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('080', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 0, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('080', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 0, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('080', 'a', 'Numero di Classificazione decimale universale', 'Numero di Classificazione decimale universale', 0, 0, NULL, 0, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('080', 'b', 'Numero d\'item', 'Numero d\'item', 0, 0, NULL, 0, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('080', 'x', 'Suddivisione ausiliare comune', 'Suddivisione ausiliare comune', 1, 0, NULL, 0, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('082', '2', 'Numero dell\'edizione', 'Numero dell\'edizione', 0, 0, '', 0, '', '', '', NULL, 0, 'VR', '', '', NULL),
		('082', '6', 'Collegamento', 'Collegamento', 0, 0, '', 0, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('082', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 0, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('082', 'a', 'Numero di classificazione', 'Numero di classificazione', 1, 0, '', 0, '', '', '', NULL, 0, 'VR', '', '', NULL),
		('082', 'b', 'Numero d\'item', 'Numero d\'item', 0, 0, '', 0, '', '', '', NULL, 0, 'VR', '', '', NULL),
		('084', '2', 'Fonte del numero', 'Fonte del numero', 0, 0, NULL, 0, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('084', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 0, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('084', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 0, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('084', 'a', 'Numero di classificazione', 'Numero di classificazione', 1, 0, NULL, 0, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('084', 'b', 'Numero d\'item', 'Numero d\'item', 0, 0, NULL, 0, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('086', '2', 'Fonte del numero', 'Fonte del numero', 0, 0, NULL, 0, NULL, NULL, '', NULL, -1, 'VR', '', '', NULL),
		('086', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 0, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('086', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 0, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('086', 'a', 'Numero di classificazione', 'Numero di classificazione', 0, 0, NULL, 0, NULL, NULL, '', NULL, -1, 'VR', '', '', NULL),
		('086', 'z', 'Numero di classificazione cancellato/errato', 'Numero di classificazione cancellato/errato', 1, 0, NULL, 0, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('087', 'a', 'Report number [OBSOLETE, CAN/MARC]', 'Report number [OBSOLETE, CAN/MARC]', 0, 0, '', 0, '', '', '', 0, -6, 'VR', '', '', NULL),
		('087', 'z', 'Canceled/invalid report number [OBSOLETE, CAN/MARC]', 'Canceled/invalid report number [OBSOLETE, CAN/MARC]', 1, 0, '', 0, '', '', '', 0, -6, 'VR', '', '', NULL),
		('088', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 0, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('088', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 0, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('088', 'a', 'Numero di rapporto', 'Numero di rapporto', 0, 0, NULL, 0, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('088', 'z', 'Numero di rapporto cancellato/errato', 'Numero di rapporto cancellato/errato', 1, 0, NULL, 0, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('090', 'a', 'Classification number (OCLC) (R) ; Classification number, CALL (RLIN) (NR)', 'Classification number (OCLC) (R) ; Classification number, CALL (RLIN) (NR)', 1, 0, '', 0, '', '', '', 0, -6, 'VR', '', '', NULL),
		('090', 'b', 'Local cutter number (OCLC) ; Book number/undivided call number, CALL (RLIN)', 'Local cutter number (OCLC) ; Book number/undivided call number, CALL (RLIN)', 0, 0, '', 0, '', '', '', 0, -6, 'VR', '', '', NULL),
		('090', 'e', 'Feature heading (OCLC)', 'Feature heading (OCLC)', 0, 0, '', 0, '', '', '', 0, 5, 'VR', '', '', NULL),
		('090', 'f', 'Filing suffix (OCLC); Footnote, FNT (RLIN)', 'Filing suffix (OCLC); Footnote, FNT (RLIN)', 0, 0, '', 0, '', '', '', 0, 5, 'VR', '', '', NULL),
		('090', 'h', 'Output transaction history, HST (RLIN)', 'Output transaction history, HST (RLIN)', 0, 0, '', 0, '', '', '', 0, 5, 'VR', '', '', NULL),
		('090', 'i', 'Output transaction instruction, INS (RLIN)', 'Output transaction instruction, INS (RLIN)', 0, 0, '', 0, '', '', '', 0, 5, 'VR', '', '', NULL),
		('090', 'l', 'Extra card control statement, EXT (RLIN)', 'Extra card control statement, EXT (RLIN)', 0, 0, '', 0, '', '', '', 0, 5, 'VR', '', '', NULL),
		('090', 'n', 'Additional local notes, ANT (RLIN)', 'Additional local notes, ANT (RLIN)', 0, 0, '', 0, '', '', '', 0, 5, 'VR', '', '', NULL),
		('090', 'p', 'Pathfinder code, PTH (RLIN)', 'Pathfinder code, PTH (RLIN)', 0, 0, '', 0, '', '', '', 0, 5, 'VR', '', '', NULL),
		('090', 't', 'Field suppresion, FSP (RLIN)', 'Field suppresion, FSP (RLIN)', 0, 0, '', 0, '', '', '', 0, 5, 'VR', '', '', NULL),
		('090', 'v', 'Volumes, VOL (RLIN)', 'Volumes, VOL (RLIN)', 0, 0, '', 0, '', '', '', 0, 5, 'VR', '', '', NULL),
		('090', 'y', 'Date, VOL (RLIN)', 'Date, VOL (RLIN)', 0, 0, '', 0, '', '', '', 0, 5, 'VR', '', '', NULL),
		('090', 'z', 'Retention, VOL (RLIN)', 'Retention, VOL (RLIN)', 0, 0, '', 0, '', '', '', 0, 5, 'VR', '', '', NULL),
		('091', 'a', 'Microfilm shelf location', 'Microfilm shelf location', 0, 0, '', 0, '', '', '', 0, -6, 'VR', '', '', NULL),
		('092', '2', 'Numero dell\'edizione', 'Numero dell\'edizione', 0, 0, '', 0, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('092', 'a', 'Numero di classificazione', 'Numero di classificazione', 0, 0, '', 0, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('092', 'b', 'Numero d\'item', 'Numero d\'item', 0, 0, '', 0, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('092', 'e', 'Feature heading', 'Feature heading', 0, 0, '', 0, '', '', '', 0, -6, 'VR', '', '', NULL),
		('092', 'f', 'Filing suffix', 'Filing suffix', 0, 0, '', 0, '', '', '', 0, -6, 'VR', '', '', NULL),
		('096', 'a', 'Numero di classificazione', 'Numero di classificazione', 0, 0, '', 0, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('096', 'b', 'Numero d\'item', 'Numero d\'item', 0, 0, '', 0, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('096', 'e', 'Feature heading', 'Feature heading', 0, 0, '', 0, '', '', '', 0, -6, 'VR', '', '', NULL),
		('096', 'f', 'Filing suffix', 'Filing suffix', 0, 0, '', 0, '', '', '', 0, -6, 'VR', '', '', NULL),
		('098', 'a', 'Call number based on other classification scheme', 'Call number based on other classification scheme', 0, 0, '', 0, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('098', 'e', 'Feature heading', 'Feature heading', 0, 0, '', 0, '', '', '', 0, -6, 'VR', '', '', NULL),
		('098', 'f', 'Filing suffix', 'Filing suffix', 0, 0, '', 0, '', '', '', 0, -6, 'VR', '', '', NULL),
		('099', 'a', 'Numero di classificazione', 'Numero di classificazione', 1, 0, '', 0, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('099', 'e', 'Feature heading', 'Feature heading', 0, 0, '', 0, '', '', '', 0, -6, 'VR', '', '', NULL),
		('099', 'f', 'Filing suffix', 'Filing suffix', 0, 0, '', 0, '', '', '', 0, -6, 'VR', '', '', NULL),
		('100', '4', 'Codice di ruolo', 'Codice di ruolo', 1, 0, '', 1, '', '', '', 0, -6, 'VR', '', '', NULL),
		('100', '6', 'Collegamento', 'Collegamento', 0, 0, '', 1, '', '', '', 0, -6, 'VR', '', '', NULL),
		('100', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 1, '', '', '', 0, -6, 'VR', '', '', NULL),
		('100', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 1, '', '', '', 0, 0, 'VR', '', '', NULL),
		('100', 'a', 'Nome di persona', 'Nome di persona', 0, 0, 'biblio.author', 1, '', 'PERSO_NAME', '', 0, -1, 'VR', '''100b'',''100c'',''100q'',''100d'',''100e'',''110a'',''110b'',''110c'',''110d'',''110e'',''111a'',''111e'',''111c'',''111d'',''130a'',''700a'',''700b'',''700c'',''700q'',''700d'',''700e'',''710a'',''710b'',''710c'',''710d'',''710e'',''711a'',''711e'',''711c'',''711d'',''720a'',''720e'',''796a'',''796b'',''796c'',''796q'',''796d'',''796e'',''797a'',''797b'',''797c'',''797d'',''797e'',''798a'',''798e'',''798c'',''798d'',''800a'',''800b'',''800c'',''800q'',''800d'',''800e'',''810a'',''810b'',''810c'',''810d'',''810e'',''811a'',''811e'',''811c'',''811d'',''896a'',''896b'',''896c'',''896q'',''896d'',''896e'',''897a'',''897b'',''897c'',''897d'',''897e'',''898a'',''898e'',''898c'',''898d'',''505r''', '', NULL),
		('100', 'b', 'Numerazione', 'Numerazione', 0, 0, '', 1, '', '', '', 0, -1, 'VR', '', '', NULL),
		('100', 'c', 'Titoli e altre parole associate al nome', 'Titoli e altre parole associate al nome', 1, 0, '', 1, '', '', '', 0, -1, 'VR', '', '', NULL),
		('100', 'd', 'Date associate al nome', 'Date associate al nome', 0, 0, '', 1, '', '', '', 0, -1, 'VR', '', '', NULL),
		('100', 'e', 'Termine di ruolo', 'Termine di ruolo', 1, 0, '', 1, '', '', '', 0, -1, 'VR', '', '', NULL),
		('100', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, '', 1, '', '', '', 0, -6, 'VR', '', '', NULL),
		('100', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, '', 1, '', '', '', 0, -6, 'VR', '', '', NULL),
		('100', 'j', 'Qualificazione d\'attribuzione', 'Qualificazione d\'attribuzione', 1, 0, '', 1, '', '', '', 0, -6, 'VR', '', '', NULL),
		('100', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, '', 1, '', '', '', 0, -6, 'VR', '', '', NULL),
		('100', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, '', 1, '', '', '', 0, -6, 'VR', '', '', NULL),
		('100', 'n', 'Numero di parte/sezione dell\'opera', 'Numero di parte/sezione dell\'opera', 1, 0, '', 1, '', '', '', 0, -6, 'VR', '', '', NULL),
		('100', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, '', 1, '', '', '', 0, -6, 'VR', '', '', NULL),
		('100', 'q', 'Forma completa del nome', 'Forma completa del nome', 0, 0, '', 1, '', '', '', 0, -1, 'VR', '', '', NULL),
		('100', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, '', 1, '', '', '', 0, -6, 'VR', '', '', NULL),
		('100', 'u', 'Affiliazione', 'Affiliazione', 0, 0, '', 1, '', '', '', 0, -6, 'VR', '', '', NULL),
		('110', '4', 'Codice di ruolo', 'Codice di ruolo', 1, 0, '', 1, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('110', '6', 'Collegamento', 'Collegamento', 0, 0, '', 1, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('110', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 1, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('110', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 1, '', '', '', 0, -5, 'VR', '', '', NULL),
		('110', 'a', 'Nome dell\'ente o nome della giurisdizione come accesso', 'Nome dell\'ente o nome della giurisdizione come accesso', 0, 0, '', 1, '', 'CORPO_NAME', '', NULL, -1, 'VR', '', '', NULL),
		('110', 'b', 'Unità subordinata', 'Unità subordinata', 1, 0, '', 1, '', '', '', NULL, -1, 'VR', '', '', NULL),
		('110', 'c', 'Luogo del convegno', 'Luogo del convegno', 0, 0, '', 1, '', '', '', NULL, -1, 'VR', '', '', NULL),
		('110', 'd', 'Data del convegno o di firma del trattato', 'Data del convegno o di firma del trattato', 1, 0, '', 1, '', '', '', NULL, -1, 'VR', '', '', NULL),
		('110', 'e', 'Termine di ruolo', 'Termine di ruolo', 1, 0, '', 1, '', '', '', NULL, -1, 'VR', '', '', NULL),
		('110', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, '', 1, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('110', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, '', 1, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('110', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, '', 1, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('110', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, '', 1, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('110', 'n', 'Numero di parte/sezione/convegno', 'Numero di parte/sezione/convegno', 1, 0, '', 1, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('110', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, '', 1, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('110', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, '', 1, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('110', 'u', 'Affiliazione', 'Affiliazione', 0, 0, '', 1, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('111', '4', 'Codice di ruolo', 'Codice di ruolo', 1, 0, NULL, 1, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('111', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 1, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('111', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 1, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('111', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 1, '', '', '', 0, -5, 'VR', '', '', NULL),
		('111', 'a', 'Nome del convegno o nome della giurisdizione come accesso', 'Nome del convegno o nome della giurisdizione come accesso', 0, 0, NULL, 1, NULL, 'MEETI_NAME', '', NULL, -1, 'VR', '', '', NULL),
		('111', 'b', 'Number [OBSOLETE]', 'Number [OBSOLETE]', 0, 0, NULL, 1, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('111', 'c', 'Luogo del convegno', 'Luogo del convegno', 0, 0, NULL, 1, NULL, NULL, '', NULL, -1, 'VR', '', '', NULL),
		('111', 'd', 'Data del convegno', 'Data del convegno', 0, 0, NULL, 1, NULL, NULL, '', NULL, -1, 'VR', '', '', NULL),
		('111', 'e', 'Unità subordinata', 'Unità subordinata', 1, 0, NULL, 1, NULL, NULL, '', NULL, -1, 'VR', '', '', NULL),
		('111', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, NULL, 1, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('111', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, NULL, 1, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('111', 'j', 'Termine di ruolo', 'Termine di ruolo', 1, 0, NULL, 1, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('111', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, NULL, 1, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('111', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, NULL, 1, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('111', 'n', 'Numero di parte/sezione/convegno', 'Numero di parte/sezione/convegno', 1, 0, NULL, 1, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('111', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, NULL, 1, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('111', 'q', 'Nome del convegno dopo accesso di nome della giurisdizione', 'Nome del convegno dopo accesso di nome della giurisdizione', 0, 0, NULL, 1, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('111', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, NULL, 1, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('111', 'u', 'Affiliazione', 'Affiliazione', 0, 0, NULL, 1, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('130', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 1, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('130', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 1, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('130', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 1, '', '', '', 0, -5, 'VR', '', '', NULL),
		('130', 'a', 'Titolo uniforme', 'Titolo uniforme', 0, 0, NULL, 1, NULL, 'UNIF_TITLE', '', NULL, -6, 'VR', '', '', NULL),
		('130', 'd', 'Data di firma del trattato', 'Data di firma del trattato', 1, 0, NULL, 1, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('130', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, NULL, 1, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('130', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, NULL, 1, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('130', 'h', 'Supporto', 'Supporto', 0, 0, NULL, 1, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('130', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, NULL, 1, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('130', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, NULL, 1, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('130', 'm', 'Mezzo di esecuzione per la musica', 'Mezzo di esecuzione per la musica', 1, 0, NULL, 1, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('130', 'n', 'Numero di parte/sezione dell\'opera', 'Numero di parte/sezione dell\'opera', 1, 0, NULL, 1, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('130', 'o', 'Formulazione d\'arrangiamento per la musica', 'Formulazione d\'arrangiamento per la musica', 0, 0, NULL, 1, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('130', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, NULL, 1, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('130', 'r', 'Tonalità (musica)', 'Tonalità (musica)', 0, 0, NULL, 1, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('130', 's', 'Versione', 'Versione', 0, 0, NULL, 1, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('130', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, NULL, 1, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('210', '2', 'Fonte', 'Fonte', 1, 0, NULL, 2, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('210', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 2, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('210', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 2, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('210', 'a', 'Titolo abbreviato', 'Titolo abbreviato', 0, 0, NULL, 2, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('210', 'b', 'Qualificazione', 'Qualificazione', 0, 0, NULL, 2, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('211', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 2, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('211', 'a', 'Acronym or shortened title', 'Acronym or shortened title', 0, 0, NULL, 2, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('212', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 2, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('212', 'a', 'Acronym or shortened title', 'Acronym or shortened title', 0, 0, NULL, 2, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('214', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 2, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('214', 'a', 'Augmented title', 'Augmented title', 0, 0, NULL, 2, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('222', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 2, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('222', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 2, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('222', 'a', 'Titolo chiave', 'Titolo chiave', 0, 0, NULL, 2, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('222', 'b', 'Qualificazione', 'Qualificazione', 0, 0, NULL, 2, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('240', '6', 'Collegamento', 'Collegamento', 0, 0, '', 2, '', '', '', 0, -6, 'VR', '', '', NULL),
		('240', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 2, '', '', '', 0, -6, 'VR', '', '', NULL),
		('240', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 2, '', '', '', 0, -5, 'VR', '', '', NULL),
		('240', 'a', 'Titolo uniforme', 'Titolo uniforme', 0, 0, 'biblio.unititle', 2, '', '', '', 0, -1, 'VR', '', '', NULL),
		('240', 'd', 'Data di firma del trattato', 'Data di firma del trattato', 1, 0, '', 2, '', '', '', 0, -6, 'VR', '', '', NULL),
		('240', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, '', 2, '', '', '', 0, -6, 'VR', '', '', NULL),
		('240', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, '', 2, '', '', '', 0, -6, 'VR', '', '', NULL),
		('240', 'h', 'Supporto', 'Supporto', 0, 0, '', 2, '', '', '', 0, -1, 'VR', '', '', NULL),
		('240', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, '', 2, '', '', '', 0, -6, 'VR', '', '', NULL),
		('240', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, '', 2, '', '', '', 0, -1, 'VR', '', '', NULL),
		('240', 'm', 'Mezzo di esecuzione per la musica', 'Mezzo di esecuzione per la musica', 1, 0, '', 2, '', '', '', 0, -6, 'VR', '', '', NULL),
		('240', 'n', 'Numero di parte/sezione dell\'opera', 'Numero di parte/sezione dell\'opera', 1, 0, '', 2, '', '', '', 0, -6, 'VR', '', '', NULL),
		('240', 'o', 'Formulazione d\'arrangiamento per la musica', 'Formulazione d\'arrangiamento per la musica', 0, 0, '', 2, '', '', '', 0, -6, 'VR', '', '', NULL),
		('240', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, '', 2, '', '', '', 0, -6, 'VR', '', '', NULL),
		('240', 'r', 'Tonalità (musica)', 'Tonalità (musica)', 0, 0, '', 2, '', '', '', 0, -6, 'VR', '', '', NULL),
		('240', 's', 'Versione', 'Versione', 0, 0, '', 2, '', '', '', 0, -1, 'VR', '', '', NULL),
		('241', 'a', 'Romanized title', 'Romanized title', 0, 0, NULL, 2, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('241', 'h', 'Supporto', 'Supporto', 0, 0, NULL, 2, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('242', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 2, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('242', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 2, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('242', 'a', 'Titolo', 'Titolo', 0, 0, NULL, 2, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('242', 'b', 'Complemento del titolo', 'Complemento del titolo', 0, 0, NULL, 2, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('242', 'c', 'Formulazione di responsabilità, ecc.', 'Formulazione di responsabilità, ecc.', 0, 0, NULL, 2, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('242', 'd', 'Designation of section (BK AM MP MU VM SE) [OBSOLETE]', 'Designation of section (BK AM MP MU VM SE) [OBSOLETE]', 0, 0, '', 2, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('242', 'e', 'Name of part/section (BK AM MP MU VM SE) [OBSOLETE]', 'Name of part/section (BK AM MP MU VM SE) [OBSOLETE]', 0, 0, '', 2, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('242', 'h', 'Supporto', 'Supporto', 0, 0, NULL, 2, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('242', 'n', 'Numero di parte/sezione dell\'opera', 'Numero di parte/sezione dell\'opera', 1, 0, NULL, 2, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('242', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, NULL, 2, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('242', 'y', 'Codice di lingua del titolo tradotto', 'Codice di lingua del titolo tradotto', 0, 0, NULL, 2, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('243', '6', 'Collegamento', 'Collegamento', 0, 0, '', 2, '', '', '', 0, -6, 'VR', '', '', NULL),
		('243', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 2, '', '', '', 0, -6, 'VR', '', '', NULL),
		('243', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 2, '', '', '', 0, -5, 'VR', '', '', NULL),
		('243', 'a', 'Titolo uniforme', 'Titolo uniforme', 0, 0, '', 2, '', '', '', 1, -1, 'VR', '', '', NULL),
		('243', 'd', 'Data di firma del trattato', 'Data di firma del trattato', 1, 0, '', 2, '', '', '', 0, -6, 'VR', '', '', NULL),
		('243', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, '', 2, '', '', '', 0, -6, 'VR', '', '', NULL),
		('243', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, '', 2, '', '', '', 0, -6, 'VR', '', '', NULL),
		('243', 'h', 'Supporto', 'Supporto', 0, 0, '', 2, '', '', '', 0, -1, 'VR', '', '', NULL),
		('243', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, '', 2, '', '', '', 0, -6, 'VR', '', '', NULL),
		('243', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, '', 2, '', '', '', 0, -1, 'VR', '', '', NULL),
		('243', 'm', 'Mezzo di esecuzione per la musica', 'Mezzo di esecuzione per la musica', 1, 0, '', 2, '', '', '', 0, -6, 'VR', '', '', NULL),
		('243', 'n', 'Numero di parte/sezione dell\'opera', 'Numero di parte/sezione dell\'opera', 1, 0, '', 2, '', '', '', 0, -6, 'VR', '', '', NULL),
		('243', 'o', 'Formulazione d\'arrangiamento per la musica', 'Formulazione d\'arrangiamento per la musica', 0, 0, '', 2, '', '', '', 0, -6, 'VR', '', '', NULL),
		('243', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, '', 2, '', '', '', 0, -6, 'VR', '', '', NULL),
		('243', 'r', 'Tonalità (musica)', 'Tonalità (musica)', 0, 0, '', 2, '', '', '', 0, -6, 'VR', '', '', NULL),
		('243', 's', 'Versione', 'Versione', 0, 0, '', 2, '', '', '', 0, -1, 'VR', '', '', NULL),
		('245', '6', 'Collegamento', 'Collegamento', 0, 0, '', 2, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('245', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 2, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('245', 'a', 'Titolo', 'Titolo', 0, 1, 'biblio.title', 2, '', '', '', NULL, 0, 'VR', '''245b'',''245f'',''245g'',''245k'',''245n'',''245p'',''245s'',''245h'',''246i'',''246a'',''246b'',''246f'',''246g'',''246n'',''246p'',''246h'',''242a'',''242b'',''242n'',''242p'',''242h''', '', NULL),
		('245', 'b', 'Complemento del titolo', 'Complemento del titolo', 0, 0, 'bibliosubtitle.subtitle', 2, '', '', '', NULL, 0, 'VR', '', '', NULL),
		('245', 'c', 'Formulazione di responsabilità, ecc.', 'Formulazione di responsabilità, ecc.', 0, 0, '', 2, '', '', '', NULL, 0, 'VR', '', '', NULL),
		('245', 'd', 'Designation of section/part/series (SE) [OBSOLETE]', 'Designation of section/part/series (SE) [OBSOLETE]', 0, 0, '', 2, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('245', 'e', 'Name of part/section/series (SE) [OBSOLETE]', 'Name of part/section/series (SE) [OBSOLETE]', 0, 0, '', 2, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('245', 'f', 'Date inclusive', 'Date inclusive', 0, 0, '', 2, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('245', 'g', 'Date preponderanti', 'Date preponderanti', 0, 0, '', 2, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('245', 'h', 'Supporto', 'Supporto', 0, 0, '', 2, '', '', '', NULL, 0, 'VR', '', '', NULL),
		('245', 'k', 'Forma', 'Forma', 1, 0, '', 2, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('245', 'n', 'Numero di parte/sezione dell\'opera', 'Numero di parte/sezione dell\'opera', 1, 0, '', 2, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('245', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, '', 2, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('245', 's', 'Versione', 'Versione', 0, 0, '', 2, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('246', '5', 'Istituzione a cui si applica il campo', 'Istituzione a cui si applica il campo', 0, 0, '', 2, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('246', '6', 'Collegamento', 'Collegamento', 0, 0, '', 2, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('246', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 2, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('246', 'a', 'Titolo proprio/titolo breve', 'Titolo proprio/titolo breve', 0, 0, '', 2, '', '', '', NULL, -1, 'VR', '', '', NULL),
		('246', 'b', 'Complemento del titolo', 'Complemento del titolo', 0, 0, '', 2, '', '', '', NULL, -1, 'VR', '', '', NULL),
		('246', 'd', 'Designation of section/part/series (SE) [OBSOLETE]', 'Designation of section/part/series (SE) [OBSOLETE]', 0, 0, '', 2, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('246', 'e', 'Name of part/section/series (SE) [OBSOLETE]', 'Name of part/section/series (SE) [OBSOLETE]', 0, 0, '', 2, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('246', 'f', 'Data o designazione sequenziale', 'Data o designazione sequenziale', 0, 0, '', 2, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('246', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, '', 2, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('246', 'h', 'Supporto', 'Supporto', 0, 0, '', 2, '', '', '', NULL, -1, 'VR', '', '', NULL),
		('246', 'i', 'Testo da visualizzare', 'Testo da visualizzare', 0, 0, '', 2, '', '', '', NULL, -1, 'VR', '', '', NULL),
		('246', 'n', 'Numero di parte/sezione dell\'opera', 'Numero di parte/sezione dell\'opera', 1, 0, '', 2, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('246', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, '', 2, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('247', '6', 'Collegamento', 'Collegamento', 0, 0, '', 2, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('247', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 2, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('247', 'a', 'Titolo', 'Titolo', 0, 0, '', 2, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('247', 'b', 'Complemento del titolo', 'Complemento del titolo', 0, 0, '', 2, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('247', 'd', 'Designation of section (SE) [OBSOLETE]', 'Designation of section (SE) [OBSOLETE]', 0, 0, '', 2, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('247', 'e', 'Name of part/section (SE) [OBSOLETE]', 'Name of part/section (SE) [OBSOLETE]', 0, 0, '', 2, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('247', 'f', 'Data o designazione sequenziale', 'Data o designazione sequenziale', 0, 0, '', 2, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('247', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, '', 2, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('247', 'h', 'Supporto', 'Supporto', 0, 0, '', 2, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('247', 'n', 'Numero di parte/sezione dell\'opera', 'Numero di parte/sezione dell\'opera', 1, 0, '', 2, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('247', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, '', 2, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('247', 'x', 'ISSN (International Standard Serial Number)', 'ISSN (International Standard Serial Number)', 0, 0, '', 2, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('250', '6', 'Collegamento', 'Collegamento', 0, 0, '', 2, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('250', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 2, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('250', 'a', 'Formulazione di edizione', 'Formulazione di edizione', 0, 0, 'biblioitems.editionstatement', 2, '', '', '', NULL, -1, 'VR', '', '', NULL),
		('250', 'b', 'Restante parte della formulazione di edizione', 'Restante parte della formulazione di edizione', 0, 0, '', 2, '', '', '', NULL, -1, 'VR', '', '', NULL),
		('254', '6', 'Collegamento', 'Collegamento', 0, 0, '', 2, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('254', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 2, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('254', 'a', 'Formulazione della presentazione musicale', 'Formulazione della presentazione musicale', 0, 0, '', 2, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('255', '6', 'Collegamento', 'Collegamento', 0, 0, '', 2, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('255', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 2, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('255', 'a', 'Formulazione di scala', 'Formulazione di scala', 1, 0, '', 2, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('255', 'b', 'Formulazione di proiezione', 'Formulazione di proiezione', 1, 0, '', 2, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('255', 'c', 'Formulazione di coordinate', 'Formulazione di coordinate', 1, 0, '', 2, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('255', 'd', 'Formulazione di zona', 'Formulazione di zona', 0, 0, '', 2, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('255', 'e', 'Formulazione di equinozio', 'Formulazione di equinozio', 0, 0, '', 2, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('255', 'f', 'Coppie di coordinate d\'inclusione del perimetro', 'Coppie di coordinate d\'inclusione del perimetro', 0, 0, '', 2, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('255', 'g', 'Coppie di coordinate di esclusione del perimetro', 'Coppie di coordinate di esclusione del perimetro', 0, 0, '', 2, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('256', '6', 'Collegamento', 'Collegamento', 0, 0, '', 2, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('256', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 2, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('256', 'a', 'Caratteristiche del computer file', 'Caratteristiche del computer file', 0, 0, '', 2, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('257', '6', 'Collegamento', 'Collegamento', 0, 0, '', 2, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('257', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 2, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('257', 'a', 'Paese dell\'ente produttore', 'Paese dell\'ente produttore', 0, 0, '', 2, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('258', '6', 'Collegamento', 'Collegamento', 0, 0, '', 2, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('258', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 2, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('258', 'a', 'Giurisdizione dell\'emissione', 'Giurisdizione dell\'emissione', 0, 0, '', 2, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('258', 'b', 'Valore facciale', 'Valore facciale', 0, 0, '', 2, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('260', '6', 'Collegamento', 'Collegamento', 0, 0, '', 2, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('260', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 2, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('260', 'a', 'Luogo di pubblicazione, distribuzione, ecc.', 'Luogo di pubblicazione, distribuzione, ecc.', 1, 0, 'biblioitems.place', 2, '', '', '', NULL, -1, 'VR', '', '', NULL),
		('260', 'b', 'Nome dell\'editore, distributore, ecc.', 'Nome dell\'editore, distributore, ecc.', 1, 0, 'biblioitems.publishercode', 2, '', '', '', NULL, -1, 'VR', '', '', NULL),
		('260', 'c', 'Data di pubblicazione, distribuzione, ecc.', 'Data di pubblicazione, distribuzione, ecc.', 1, 0, 'biblio.copyrightdate', 2, '', '', '', NULL, -1, 'VR', '', '', NULL),
		('260', 'd', 'Plate or publisher\'s number for music (Pre-AACR 2) [OBSOLETE, CAN/MARC], [LOCAL, USA]', 'Plate or publisher\'s number for music (Pre-AACR 2) [OBSOLETE, CAN/MARC], [LOCAL, USA]', 0, 0, '', 2, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('260', 'e', 'Luogo di stampa', 'Luogo di stampa', 1, 0, '', 2, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('260', 'f', 'Stampatore', 'Stampatore', 1, 0, '', 2, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('260', 'g', 'Data di stampa', 'Data di stampa', 0, 0, '', 2, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('260', 'k', 'Identification/manufacturer number [OBSOLETE, CAN/MARC]', 'Identification/manufacturer number [OBSOLETE, CAN/MARC]', 0, 0, '', 2, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('260', 'l', 'Matrix and/or take number [OBSOLETE, CAN/MARC]', 'Matrix and/or take number [OBSOLETE, CAN/MARC]', 0, 0, '', 2, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('261', '6', 'Collegamento', 'Collegamento', 0, 0, '', 2, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('261', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 2, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('261', 'a', 'Producing company', 'Producing company', 1, 0, '', 2, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('261', 'b', 'Releasing company (primary distributor)', 'Releasing company (primary distributor)', 1, 0, '', 2, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('261', 'c', 'Date of production, release, etc.', 'Date of production, release, etc.', 1, 0, '', 2, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('261', 'd', 'Date of production, release, etc.', 'Date of production, release, etc.', 1, 0, '', 2, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('261', 'e', 'Contractual producer', 'Contractual producer', 1, 0, '', 2, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('261', 'f', 'Place of production, release, etc.', 'Place of production, release, etc.', 1, 0, '', 2, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('262', '6', 'Collegamento', 'Collegamento', 0, 0, '', 2, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('262', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 2, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('262', 'a', 'Place of production, release, etc.', 'Place of production, release, etc.', 0, 0, '', 2, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('262', 'b', 'Publisher or trade name', 'Publisher or trade name', 0, 0, '', 2, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('262', 'c', 'Date of production, release, etc.', 'Date of production, release, etc.', 0, 0, '', 2, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('262', 'k', 'Serial identification', 'Serial identification', 0, 0, '', 2, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('262', 'l', 'Matrix and/or take number', 'Matrix and/or take number', 0, 0, '', 2, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('263', '6', 'Collegamento', 'Collegamento', 0, 0, '', 2, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('263', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 2, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('263', 'a', 'Data di pubblicazione prevista', 'Data di pubblicazione prevista', 0, 0, '', 2, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('265', '6', 'Linkage [OBSOLETE]', 'Linkage [OBSOLETE]', 0, 0, '', 2, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('265', 'a', 'Source for acquisition/subscription address [OBSOLETE]', 'Source for acquisition/subscription address [OBSOLETE]', 1, 0, '', 2, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('270', '4', 'Codice di ruolo', 'Codice di ruolo', 1, 0, NULL, 9, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('270', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 9, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('270', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 9, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('270', 'a', 'Indirizzo', 'Indirizzo', 1, 0, NULL, 9, NULL, NULL, '', NULL, -1, 'VR', '', '', NULL),
		('270', 'b', 'Città', 'Città', 0, 0, NULL, 9, NULL, NULL, '', NULL, -1, 'VR', '', '', NULL),
		('270', 'c', 'Stato o provincia', 'Stato o provincia', 0, 0, NULL, 9, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('270', 'd', 'Paese', 'Paese', 0, 0, NULL, 9, NULL, NULL, '', NULL, -1, 'VR', '', '', NULL),
		('270', 'e', 'Codice postale', 'Codice postale', 0, 0, NULL, 9, NULL, NULL, '', NULL, -1, 'VR', '', '', NULL),
		('270', 'f', 'Parole che precedono il nome del destinatario', 'Parole che precedono il nome del destinatario', 0, 0, NULL, 9, NULL, NULL, '', NULL, -1, 'VR', '', '', NULL),
		('270', 'g', 'Nome del destinatario', 'Nome del destinatario', 0, 0, NULL, 9, NULL, NULL, '', NULL, -1, 'VR', '', '', NULL),
		('270', 'h', 'Posizione del destinatario', 'Posizione del destinatario', 0, 0, NULL, 9, NULL, NULL, '', NULL, -1, 'VR', '', '', NULL),
		('270', 'i', 'Persona di contatto', 'Persona di contatto', 0, 0, NULL, 9, NULL, NULL, '', NULL, -1, 'VR', '', '', NULL),
		('270', 'j', 'Numero di telefono specializzato', 'Numero di telefono specializzato', 1, 0, NULL, 9, NULL, NULL, '', NULL, -1, 'VR', '', '', NULL),
		('270', 'k', 'Numero di telefono', 'Numero di telefono', 1, 0, NULL, 9, NULL, NULL, '', NULL, -1, 'VR', '', '', NULL),
		('270', 'l', 'Numero di fax', 'Numero di fax', 1, 0, NULL, 9, NULL, NULL, '', NULL, -1, 'VR', '', '', NULL),
		('270', 'm', 'Indirizzo e-mail', 'Indirizzo e-mail', 1, 0, NULL, 9, NULL, NULL, '', NULL, -1, 'VR', '', '', NULL),
		('270', 'n', 'Numero di TDD o TTY', 'Numero di TDD o TTY', 1, 0, NULL, 9, NULL, NULL, '', NULL, -1, 'VR', '', '', NULL),
		('270', 'p', 'Persona di contatto', 'Persona di contatto', 1, 0, NULL, 9, NULL, NULL, '', NULL, -1, 'VR', '', '', NULL),
		('270', 'q', 'Titolo della persona di contatto', 'Titolo della persona di contatto', 1, 0, NULL, 9, NULL, NULL, '', NULL, -1, 'VR', '', '', NULL),
		('270', 'r', 'Ore', 'Ore', 1, 0, NULL, 9, NULL, NULL, '', NULL, -1, 'VR', '', '', NULL),
		('270', 'z', 'Nota pubblica', 'Nota pubblica', 1, 0, NULL, 9, NULL, NULL, '', NULL, -1, 'VR', '', '', NULL),
		('300', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, '', 3, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('300', '6', 'Collegamento', 'Collegamento', 0, 0, '', 3, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('300', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 3, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('300', 'a', 'Estensione', 'Estensione', 1, 1, 'biblioitems.pages', 3, '', '', '', NULL, 0, 'VR', '', '', NULL),
		('300', 'b', 'Altre particolarità fisiche', 'Altre particolarità fisiche', 0, 0, 'biblioitems.illus', 3, '', '', '', 0, 0, 'VR', '', '', NULL),
		('300', 'c', 'Dimensioni', 'Dimensioni', 1, 0, 'biblioitems.size', 3, '', '', '', NULL, 0, 'VR', '', '', NULL),
		('300', 'd', 'Accompanying material [OBSOLETE, CAN/MARC]', 'Accompanying material [OBSOLETE, CAN/MARC]', 0, 0, '', 3, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('300', 'e', 'Materiale allegato', 'Materiale allegato', 0, 0, '', 3, '', '', '', NULL, 0, 'VR', '', '', NULL),
		('300', 'f', 'Tipo di materiale', 'Tipo di materiale', 1, 0, '', 3, '', '', '', NULL, -1, 'VR', '', '', NULL),
		('300', 'g', 'Dimensioni del materiale', 'Dimensioni del materiale', 1, 0, '', 3, '', '', '', NULL, -1, 'VR', '', '', NULL),
		('300', 'k', 'Speed [Videodiscs, pre-AACR2 records only] [OBSOLETE, CAN/MARC]', 'Speed [Videodiscs, pre-AACR2 records only] [OBSOLETE, CAN/MARC]', 0, 0, '', 3, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('300', 'm', 'Identification/manufacturer number [pre-AACR2 records only] [OBSOLETE, CAN/MARC]', 'Identification/manufacturer number [pre-AACR2 records only] [OBSOLETE, CAN/MARC]', 0, 0, '', 3, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('300', 'n', 'Matrix and/or take number [Sound recordings, pre-AACR2 records only] [OBSOLETE, CAN/MARC]', 'Matrix and/or take number [Sound recordings, pre-AACR2 records only] [OBSOLETE, CAN/MARC]', 0, 0, '', 3, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('301', 'a', 'Estensione della copia', 'Estensione della copia', 0, 0, '', 3, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('301', 'b', 'Caratteristiche del suono', 'Caratteristiche del suono', 0, 0, '', 3, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('301', 'c', 'Caratteristiche del colore', 'Caratteristiche del colore', 0, 0, '', 3, '', '', NULL, NULL, -6, 'VR', '', '', NULL),
		('301', 'd', 'Dimensioni', 'Dimensioni', 0, 0, '', 3, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('301', 'e', 'Caratteristiche del suono', 'Caratteristiche del suono', 0, 0, '', 3, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('301', 'f', 'Velocità', 'Velocità', 0, 0, '', 3, '', '', NULL, NULL, -6, 'VR', '', '', NULL),
		('302', 'a', 'Page count', 'Page count', 0, 0, '', 3, '', '', NULL, NULL, -6, 'VR', '', '', NULL),
		('303', 'a', 'Unit count', 'Unit count', 0, 0, '', 3, '', '', NULL, NULL, -6, 'VR', '', '', NULL),
		('304', 'a', 'Linear footage', 'Linear footage', 0, 0, '', 3, '', '', NULL, NULL, -6, 'VR', '', '', NULL),
		('305', '6', 'Collegamento', 'Collegamento', 0, 0, '', 3, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('305', 'a', 'Estensione', 'Estensione', 0, 0, '', 3, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('305', 'b', 'Altre particolarità fisiche', 'Altre particolarità fisiche', 0, 0, '', 3, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('305', 'c', 'Dimensioni', 'Dimensioni', 0, 0, '', 3, '', '', NULL, NULL, -6, 'VR', '', '', NULL),
		('305', 'd', 'Microgroove or standard', 'Microgroove or standard', 0, 0, '', 3, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('305', 'e', 'Stereofonico, monoaurale', 'Stereofonico, monoaurale', 0, 0, '', 3, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('305', 'f', 'Numero dei tracciati', 'Numero dei tracciati', 0, 0, '', 3, '', '', NULL, NULL, -6, 'VR', '', '', NULL),
		('305', 'm', 'Serial identification', 'Serial identification', 0, 0, '', 3, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('305', 'n', 'Matrix and/or take number', 'Matrix and/or take number', 0, 0, '', 3, '', '', NULL, NULL, -6, 'VR', '', '', NULL),
		('306', '6', 'Collegamento', 'Collegamento', 0, 0, '', 3, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('306', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 3, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('306', 'a', 'Durata di riproduzione', 'Durata di riproduzione', 0, 0, '', 3, '', '', '', NULL, 0, 'VR', '', '', NULL),
		('307', '6', 'Collegamento', 'Collegamento', 0, 0, '', 3, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('307', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 3, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('307', 'a', 'Ore', 'Ore', 0, 0, '', 3, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('307', 'b', 'Informazione addizionale', 'Informazione addizionale', 0, 0, '', 3, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('308', '6', 'Collegamento', 'Collegamento', 0, 0, '', 3, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('308', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 3, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('308', 'a', 'Numero di bobine', 'Numero di bobine', 0, 0, '', 3, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('308', 'b', 'Footage', 'Footage', 0, 0, '', 3, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('308', 'c', 'Caratteristiche del suono', 'Caratteristiche del suono', 0, 0, '', 3, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('308', 'd', 'Caratteristiche del colore', 'Caratteristiche del colore', 0, 0, '', 3, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('308', 'e', 'Larghezza', 'Larghezza', 0, 0, '', 3, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('308', 'f', 'Formato di presentazione', 'Formato di presentazione', 0, 0, '', 3, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('310', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('310', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('310', 'a', 'Periodicità corrente della pubblicazione', 'Periodicità corrente della pubblicazione', 0, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('310', 'b', 'Data di periodicità corrente della pubblicazione', 'Data di periodicità corrente della pubblicazione', 0, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('315', '6', 'Collegamento', 'Collegamento', 0, 0, '', 3, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('315', 'a', 'Frequenza', 'Frequenza', 1, 0, '', 3, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('315', 'b', 'Date della frequenza', 'Date della frequenza', 1, 0, '', 3, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('321', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('321', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('321', 'a', 'Periodicità precedente della pubblicazione', 'Periodicità precedente della pubblicazione', 0, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('321', 'b', 'Date di periodicità precedente della pubblicazione', 'Date di periodicità precedente della pubblicazione', 0, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('340', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, '', 3, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('340', '6', 'Collegamento', 'Collegamento', 0, 0, '', 3, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('340', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 3, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('340', 'a', 'Base e composizione del materiale', 'Base e composizione del materiale', 1, 0, '', 3, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('340', 'b', 'Dimensioni', 'Dimensioni', 1, 0, '', 3, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('340', 'c', 'Materiali applicati alla superficie', 'Materiali applicati alla superficie', 1, 0, '', 3, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('340', 'd', 'Tecnica della registrazione della informazione', 'Tecnica della registrazione della informazione', 1, 0, '', 3, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('340', 'e', 'Supporto', 'Supporto', 1, 0, '', 3, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('340', 'f', 'Fattore/proporzione di produzione comprensibile (ad es., giri al minuto per le registrazioni)', 'Fattore/proporzione di produzione comprensibile (ad es., giri al minuto per le registrazioni)', 1, 0, '', 3, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('340', 'h', 'Localizzazione nel supporto', 'Localizzazione nel supporto', 1, 0, '', 3, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('340', 'i', 'Specificazioni tecniche del supporto', 'Specificazioni tecniche del supporto', 1, 0, '', 3, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('342', '2', 'Metodo di riferimento usato', 'Metodo di riferimento usato', 0, 0, '', 3, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('342', '6', 'Collegamento', 'Collegamento', 0, 0, '', 3, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('342', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 3, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('342', 'a', 'Nome', 'Nome', 1, 0, '', 3, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('342', 'b', 'Unità di distanza o di coordinate', 'Unità di distanza o di coordinate', 0, 0, '', 3, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('342', 'c', 'Risoluzione di latitudine', 'Risoluzione di latitudine', 0, 0, '', 3, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('342', 'd', 'Risoluzione di longitudine', 'Risoluzione di longitudine', 0, 0, '', 3, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('342', 'e', 'Parallela standard o latitudine di lineare obliqua', 'Parallela standard o latitudine di lineare obliqua', 1, 0, '', 3, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('342', 'f', 'Longitudine di lineare obliqua', 'Longitudine di lineare obliqua', 1, 0, '', 3, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('342', 'g', 'Longitudine del meridiano centrale o del centro della proiezione', 'Longitudine del meridiano centrale o del centro della proiezione', 0, 0, '', 3, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('342', 'h', 'Latitudine dell\'origine della proiezione o del centro della proiezione', 'Latitudine dell\'origine della proiezione o del centro della proiezione', 0, 0, '', 3, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('342', 'i', 'Ascissa falsa', 'Ascissa falsa', 0, 0, '', 3, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('342', 'j', 'Ordinata falsa', 'Ordinata falsa', 0, 0, '', 3, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('342', 'k', 'Fattore di scala', 'Fattore di scala', 0, 0, '', 3, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('342', 'l', 'Altezza del punto di vista sulla superficie', 'Altezza del punto di vista sulla superficie', 0, 0, '', 3, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('342', 'm', 'Angolo d\'azimut', 'Angolo d\'azimut', 0, 0, '', 3, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('342', 'n', 'Longitudine del punto di misura d\'azimut o longitudine verticale retta dal polo', 'Longitudine del punto di misura d\'azimut o longitudine verticale retta dal polo', 0, 0, '', 3, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('342', 'o', 'Numero del Landsat e numero di traiettoria', 'Numero del Landsat e numero di traiettoria', 0, 0, '', 3, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('342', 'p', 'Identificatore di zona', 'Identificatore di zona', 0, 0, '', 3, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('342', 'q', 'Nome dell\'ellissoide', 'Nome dell\'ellissoide', 0, 0, '', 3, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('342', 'r', 'Semiasse maggiore', 'Semiasse maggiore', 0, 0, '', 3, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('342', 's', 'Denominatore del rapporto di spianatura', 'Denominatore del rapporto di spianatura', 0, 0, '', 3, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('342', 't', 'Risoluzione verticale', 'Risoluzione verticale', 0, 0, '', 3, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('342', 'u', 'Metodo di codifica verticale', 'Metodo di codifica verticale', 0, 0, '', 3, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('342', 'v', 'Proiezione locale piana, locale o diversa o descrizione del reticolato', 'Proiezione locale piana, locale o diversa o descrizione del reticolato', 0, 0, '', 3, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('342', 'w', 'Informazione di riferimento geospaziale locale piano o locale', 'Informazione di riferimento geospaziale locale piano o locale', 0, 0, '', 3, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('343', '6', 'Collegamento', 'Collegamento', 0, 0, '', 3, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('343', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 3, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('343', 'a', 'Metodo di codifica di coordinate piane', 'Metodo di codifica di coordinate piane', 1, 0, '', 3, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('343', 'b', 'Unità di distanza piana', 'Unità di distanza piana', 0, 0, '', 3, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('343', 'c', 'Risoluzione dell\'ascissa', 'Risoluzione dell\'ascissa', 0, 0, '', 3, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('343', 'd', 'Risoluzione dell\'ordinata', 'Risoluzione dell\'ordinata', 0, 0, '', 3, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('343', 'e', 'Risoluzione di distanza', 'Risoluzione di distanza', 0, 0, '', 3, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('343', 'f', 'Risoluzione di orientamento', 'Risoluzione di orientamento', 0, 0, '', 3, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('343', 'g', 'Unità di orientamento', 'Unità di orientamento', 0, 0, '', 3, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('343', 'h', 'Direzione di riferimento dell\'orientamento', 'Direzione di riferimento dell\'orientamento', 0, 0, '', 3, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('343', 'i', 'Meridiano di riferimento dell\'orientamento', 'Meridiano di riferimento dell\'orientamento', 0, 0, '', 3, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('350', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('350', 'a', 'Prezzo', 'Prezzo', 1, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('350', 'b', 'Forma dell\'emissione', 'Forma dell\'emissione', 1, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('351', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('351', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('351', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('351', 'a', 'Organizzazione', 'Organizzazione', 1, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('351', 'b', 'Ordinamento', 'Ordinamento', 1, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('351', 'c', 'Livello gerarchico', 'Livello gerarchico', 0, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('352', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('352', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('352', 'a', 'Metodo di riferimento diretto', 'Metodo di riferimento diretto', 0, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('352', 'b', 'Tipo di oggetto', 'Tipo di oggetto', 1, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('352', 'c', 'Contatore di oggetti', 'Contatore di oggetti', 1, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('352', 'd', 'Contatore di linee', 'Contatore di linee', 0, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('352', 'e', 'Contattore di colonne', 'Contattore di colonne', 0, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('352', 'f', 'Contattore verticale', 'Contattore verticale', 0, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('352', 'g', 'Livello di topologia VPF', 'Livello di topologia VPF', 0, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('352', 'i', 'Descrizione di riferimento indiretto', 'Descrizione di riferimento indiretto', 0, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('355', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('355', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('355', 'a', 'Classificazione di sicurezza', 'Classificazione di sicurezza', 0, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('355', 'b', 'Istruzioni per l\'uso', 'Istruzioni per l\'uso', 1, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('355', 'c', 'Informazione di diffusione esterna', 'Informazione di diffusione esterna', 1, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('355', 'd', 'Informazione di riduzione del livello di sicurezza o di declassificazione', 'Informazione di riduzione del livello di sicurezza o di declassificazione', 0, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('355', 'e', 'Sistema di classificazione', 'Sistema di classificazione', 0, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('355', 'f', 'Codice del paese di origine', 'Codice del paese di origine', 0, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('355', 'g', 'Data di riduzione del livello di sicurezza', 'Data di riduzione del livello di sicurezza', 0, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('355', 'h', 'Data di declassificazione', 'Data di declassificazione', 0, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('355', 'j', 'Autorizzazione', 'Autorizzazione', 1, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('357', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('357', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('357', 'a', 'Termine di controllo del creatore', 'Termine di controllo del creatore', 0, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('357', 'b', 'Agenzia di diffusione', 'Agenzia di diffusione', 1, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('357', 'c', 'Destinatari autorizzati del materiale', 'Destinatari autorizzati del materiale', 1, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('357', 'g', 'Altre restrizioni', 'Altre restrizioni', 1, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('359', 'a', 'Prezzo del prestito', 'Prezzo del prestito', 0, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('362', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('362', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('362', 'a', 'Date della pubblicazione e/o designazione sequenziale', 'Date della pubblicazione e/o designazione sequenziale', 0, 0, 'biblioitems.volumedesc', 3, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('362', 'z', 'Fonte dell\'informazione', 'Fonte dell\'informazione', 0, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('365', '2', 'Fonte del codice del tipo di prezzo', 'Fonte del codice del tipo di prezzo', 0, 0, '', 9, '', '', '', NULL, -1, 'VR', '', '', NULL),
		('365', '6', 'Collegamento', 'Collegamento', 0, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('365', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('365', 'a', 'Codice del tipo di prezzo', 'Codice del tipo di prezzo', 0, 0, '', 9, '', '', '', NULL, -1, 'VR', '', '', NULL),
		('365', 'b', 'Prezzo totale', 'Prezzo totale', 0, 0, '', 9, '', '', '', NULL, -1, 'VR', '', '', NULL),
		('365', 'c', 'Codice della valuta', 'Codice della valuta', 0, 0, '', 9, '', '', '', NULL, -1, 'VR', '', '', NULL),
		('365', 'd', 'Unità de fissazione del prezzo', 'Unità de fissazione del prezzo', 0, 0, '', 9, '', '', '', NULL, -1, 'VR', '', '', NULL),
		('365', 'e', 'Nota sul prezzo', 'Nota sul prezzo', 0, 0, '', 9, '', '', '', NULL, -1, 'VR', '', '', NULL),
		('365', 'f', 'Prezzo in vigore dal', 'Prezzo in vigore dal', 0, 0, '', 9, '', '', '', NULL, -1, 'VR', '', '', NULL),
		('365', 'g', 'Prezzo in vigore fino al', 'Prezzo in vigore fino al', 0, 0, '', 9, '', '', '', NULL, -1, 'VR', '', '', NULL),
		('365', 'h', 'Aliquota 1', 'Aliquota 1', 0, 0, '', 9, '', '', '', NULL, -1, 'VR', '', '', NULL),
		('365', 'i', 'Aliquota 2', 'Aliquota 2', 0, 0, '', 9, '', '', '', NULL, -1, 'VR', '', '', NULL),
		('365', 'j', 'Codice ISO del paese', 'Codice ISO del paese', 0, 0, '', 9, '', '', '', NULL, -1, 'VR', '', '', NULL),
		('365', 'k', 'Codice MARC del paese', 'Codice MARC del paese', 0, 0, '', 9, '', '', '', NULL, -1, 'VR', '', '', NULL),
		('365', 'm', 'Identificazione dell\'ente di fissazione del prezzo', 'Identificazione dell\'ente di fissazione del prezzo', 0, 0, '', 9, '', '', '', NULL, -1, 'VR', '', '', NULL),
		('366', '2', 'Fonte dello stato di disponibilità', 'Fonte dello stato di disponibilità', 0, 0, '', 9, '', '', '', NULL, -1, 'VR', '', '', NULL),
		('366', '6', 'Collegamento', 'Collegamento', 0, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('366', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('366', 'a', 'Identificazione editoriale abbreviata di titolo', 'Identificazione editoriale abbreviata di titolo', 0, 0, '', 9, '', '', '', NULL, -1, 'VR', '', '', NULL),
		('366', 'b', 'Data dettagliata di pubblicazione', 'Data dettagliata di pubblicazione', 0, 0, '', 9, '', '', '', NULL, -1, 'VR', '', '', NULL),
		('366', 'c', 'Codice dello stato di disponibilità', 'Codice dello stato di disponibilità', 0, 0, '', 9, '', '', '', NULL, -1, 'VR', '', '', NULL),
		('366', 'd', 'Data prevedibile della prossima disponibilità', 'Data prevedibile della prossima disponibilità', 0, 0, '', 9, '', '', '', NULL, -1, 'VR', '', '', NULL),
		('366', 'e', 'Nota', 'Nota', 0, 0, '', 9, '', '', '', NULL, -1, 'VR', '', '', NULL),
		('366', 'f', 'Tipo di sconto dell\'editore', 'Tipo di sconto dell\'editore', 0, 0, '', 9, '', '', '', NULL, -1, 'VR', '', '', NULL),
		('366', 'g', 'Data di esaurimento', 'Data di esaurimento', 0, 0, '', 9, '', '', '', NULL, -1, 'VR', '', '', NULL),
		('366', 'j', 'Codice ISO del paese', 'Codice ISO del paese', 0, 0, '', 9, '', '', '', NULL, -1, 'VR', '', '', NULL),
		('366', 'k', 'Codice MARC del paese', 'Codice MARC del paese', 0, 0, '', 9, '', '', '', NULL, -1, 'VR', '', '', NULL),
		('366', 'm', 'Identificazione dell\'agenzia', 'Identificazione dell\'agenzia', 0, 0, '', 9, '', '', '', NULL, -1, 'VR', '', '', NULL),
		('400', '4', 'Codice di ruolo', 'Codice di ruolo', 1, 0, '', 4, '', '', '', 0, -6, 'VR', '', '', NULL),
		('400', '6', 'Collegamento', 'Collegamento', 0, 0, '', 4, '', '', '', 0, -6, 'VR', '', '', NULL),
		('400', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 4, '', '', '', 0, -6, 'VR', '', '', NULL),
		('400', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 4, '', '', '', 0, -5, 'VR', '', '', NULL),
		('400', 'a', 'Nome di persona', 'Nome di persona', 0, 0, '', 4, '', '', '', 0, -6, 'VR', '', '', NULL),
		('400', 'b', 'Numerazione', 'Numerazione', 0, 0, '', 4, '', '', '', 0, -6, 'VR', '', '', NULL),
		('400', 'c', 'Titoli e altre parole associate al nome', 'Titoli e altre parole associate al nome', 1, 0, '', 4, '', '', '', 0, -6, 'VR', '', '', NULL),
		('400', 'd', 'Date associate al nome', 'Date associate al nome', 0, 0, '', 4, '', '', '', 0, -6, 'VR', '', '', NULL),
		('400', 'e', 'Termine di ruolo', 'Termine di ruolo', 1, 0, '', 4, '', '', '', 0, -6, 'VR', '', '', NULL),
		('400', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, '', 4, '', '', '', 0, -6, 'VR', '', '', NULL),
		('400', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, '', 4, '', '', '', 0, -6, 'VR', '', '', NULL),
		('400', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, '', 4, '', '', '', 0, -6, 'VR', '', '', NULL),
		('400', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, '', 4, '', '', '', 0, -6, 'VR', '', '', NULL),
		('400', 'n', 'Numero di parte/sezione dell\'opera', 'Numero di parte/sezione dell\'opera', 1, 0, '', 4, '', '', '', 0, -6, 'VR', '', '', NULL),
		('400', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, '', 4, '', '', '', 0, -6, 'VR', '', '', NULL),
		('400', 'q', 'Forma completa del nome', 'Forma completa del nome', 0, 0, '', 4, '', '', '', 0, -6, 'VR', '', '', NULL),
		('400', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, '', 4, '', '', '', 0, -6, 'VR', '', '', NULL),
		('400', 'u', 'Affiliazione', 'Affiliazione', 0, 0, '', 4, '', '', '', 0, -6, 'VR', '', '', NULL),
		('400', 'v', 'Numero del volume/designazione di sequenza', 'Numero del volume/designazione di sequenza', 0, 0, '', 4, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('400', 'x', 'ISSN (International Standard Serial Number)', 'ISSN (International Standard Serial Number)', 0, 0, '', 4, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('410', '4', 'Codice di ruolo', 'Codice di ruolo', 1, 0, '', 4, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('410', '6', 'Collegamento', 'Collegamento', 0, 0, '', 4, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('410', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 4, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('410', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 4, '', '', '', 0, -6, 'VR', '', '', NULL),
		('410', 'a', 'Nome dell\'ente o nome della giurisdizione come accesso', 'Nome dell\'ente o nome della giurisdizione come accesso', 0, 0, '', 4, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('410', 'b', 'Unità subordinata', 'Unità subordinata', 1, 0, '', 4, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('410', 'c', 'Luogo del convegno', 'Luogo del convegno', 0, 0, '', 4, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('410', 'd', 'Data del convegno o di firma del trattato', 'Data del convegno o di firma del trattato', 1, 0, '', 4, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('410', 'e', 'Termine di ruolo', 'Termine di ruolo', 1, 0, '', 4, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('410', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, '', 4, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('410', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, '', 4, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('410', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, '', 4, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('410', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, '', 4, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('410', 'n', 'Numero di parte/sezione/convegno', 'Numero di parte/sezione/convegno', 1, 0, '', 4, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('410', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, '', 4, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('410', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, '', 4, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('410', 'u', 'Affiliazione', 'Affiliazione', 0, 0, '', 4, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('410', 'v', 'Numero del volume/designazione di sequenza', 'Numero del volume/designazione di sequenza', 0, 0, '', 4, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('410', 'x', 'ISSN (International Standard Serial Number)', 'ISSN (International Standard Serial Number)', 0, 0, '', 4, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('411', '4', 'Codice di ruolo', 'Codice di ruolo', 1, 0, NULL, 4, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('411', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 4, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('411', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 4, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('411', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 4, '', '', '', 0, -5, 'VR', '', '', NULL),
		('411', 'a', 'Nome del convegno o nome della giurisdizione come accesso', 'Nome del convegno o nome della giurisdizione come accesso', 0, 0, NULL, 4, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('411', 'b', 'Number [OBSOLETE]', 'Number [OBSOLETE]', 0, 0, NULL, 4, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('411', 'c', 'Luogo del convegno', 'Luogo del convegno', 0, 0, NULL, 4, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('411', 'd', 'Data del convegno', 'Data del convegno', 0, 0, NULL, 4, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('411', 'e', 'Unità subordinata', 'Unità subordinata', 1, 0, NULL, 4, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('411', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, NULL, 4, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('411', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, NULL, 4, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('411', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, NULL, 4, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('411', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, NULL, 4, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('411', 'n', 'Numero di parte/sezione/convegno', 'Numero di parte/sezione/convegno', 1, 0, NULL, 4, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('411', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, NULL, 4, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('411', 'q', 'Nome del convegno dopo accesso di nome della giurisdizione', 'Nome del convegno dopo accesso di nome della giurisdizione', 0, 0, NULL, 4, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('411', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, NULL, 4, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('411', 'u', 'Affiliazione', 'Affiliazione', 0, 0, NULL, 4, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('411', 'v', 'Numero del volume/designazione di sequenza', 'Numero del volume/designazione di sequenza', 0, 0, '', 4, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('411', 'x', 'ISSN (International Standard Serial Number)', 'ISSN (International Standard Serial Number)', 0, 0, '', 4, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('440', '6', 'Collegamento', 'Collegamento', 0, 0, '', 4, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('440', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 4, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('440', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 4, '', '', '', 0, -5, 'VR', '', '', NULL),
		('440', 'a', 'Titolo', 'Titolo', 0, 0, 'biblio.seriestitle', 4, '', 'UNIF_TITLE', '', NULL, 0, 'VR', '''440n'',''440p'',''490a'',''830a'',''830n'',''830p'',''899a''', '', NULL),
		('440', 'n', 'Numero di parte/sezione dell\'opera', 'Numero di parte/sezione dell\'opera', 1, 0, 'biblioitems.number', 4, '', '', '', NULL, 0, 'VR', '', '', NULL),
		('440', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, '', 4, '', '', '', NULL, 0, 'VR', '', '', NULL),
		('440', 'v', 'Numero del volume/designazione di sequenza', 'Numero del volume/designazione di sequenza', 0, 0, 'biblioitems.volume', 4, '', '', '', NULL, 0, 'VR', '', '', NULL),
		('440', 'x', 'ISSN (International Standard Serial Number)', 'ISSN (International Standard Serial Number)', 0, 0, '', 4, '', '', '', NULL, 0, 'VR', '', '', NULL),
		('490', '6', 'Collegamento', 'Collegamento', 0, 0, '', 4, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('490', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 4, '', '', NULL, NULL, -6, 'VR', '', '', NULL),
		('490', 'a', 'Formulazione della serie', 'Formulazione della serie', 1, 0, '', 4, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('490', 'l', 'Numero di chiamata (collocazione) della Library of Congress', 'Numero di chiamata (collocazione) della Library of Congress', 0, 0, '', 4, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('490', 'v', 'Numero del volume/designazione di sequenza', 'Numero del volume/designazione di sequenza', 1, 0, '', 4, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('490', 'x', 'ISSN (International Standard Serial Number)', 'ISSN (International Standard Serial Number)', 0, 0, '', 4, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('500', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, '', 5, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('500', '5', 'Istituzione a cui si applica il campo', 'Istituzione a cui si applica il campo', 0, 0, '', 5, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('500', '6', 'Collegamento', 'Collegamento', 0, 0, '', 5, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('500', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 5, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('500', 'a', 'Nota generale', 'Nota generale', 0, 0, 'biblio.notes', 5, '', '', '', NULL, -1, 'VR', '', '', NULL),
		('500', 'l', 'Library of Congress call number (SE) [OBSOLETE]', 'Library of Congress call number (SE) [OBSOLETE]', 0, 0, '', 5, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('500', 'n', 'n (RLIN) [OBSOLETE]', 'n (RLIN) [OBSOLETE]', 0, 0, '', 5, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('500', 'x', 'International Standard Serial Number (SE) [OBSOLETE]', 'International Standard Serial Number (SE) [OBSOLETE]', 0, 0, '', 5, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('500', 'z', 'Source of note information (AM SE) [OBSOLETE]', 'Source of note information (AM SE) [OBSOLETE]', 0, 0, '', 5, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('501', '5', 'Istituzione a cui si applica il campo', 'Istituzione a cui si applica il campo', 0, 0, '', 5, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('501', '6', 'Collegamento', 'Collegamento', 0, 0, '', 5, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('501', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 5, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('501', 'a', 'Nota  Pubblicato con', 'Nota  Pubblicato con', 0, 0, '', 5, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('502', '6', 'Collegamento', 'Collegamento', 0, 0, '', 5, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('502', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 5, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('502', 'a', 'Nota di dissertazione', 'Nota di dissertazione', 0, 0, '', 5, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('503', '8', 'Collegamento', 'Collegamento', 0, 0, '', 5, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('503', 'a', 'Bibliographic history note', 'Bibliographic history note', 0, 0, '', 5, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('504', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('504', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('504', 'a', 'Nota di bibliografia, ecc.', 'Nota di bibliografia, ecc.', 0, 0, '', 5, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('504', 'b', 'Numero dei riferimenti', 'Numero dei riferimenti', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('505', '6', 'Collegamento', 'Collegamento', 0, 0, '', 5, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('505', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 5, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('505', 'a', 'Nota formattata di contenuto', 'Nota formattata di contenuto', 0, 0, '', 5, '', '', '', NULL, -1, 'VR', '', '', NULL),
		('505', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 1, 0, '', 5, '', '', '', NULL, -1, 'VR', '', '', NULL),
		('505', 'r', 'Formulazione di responsabilità', 'Formulazione di responsabilità', 1, 0, '', 5, '', '', '', NULL, -1, 'VR', '', '', NULL),
		('505', 't', 'Titolo', 'Titolo', 1, 0, '', 5, '', '', '', NULL, -1, 'VR', '', '', NULL),
		('505', 'u', 'URI (Uniform Resource Identifier)', 'URI (Uniform Resource Identifier)', 1, 0, '', 5, '', '', '', 1, -1, 'VR', '', '', NULL),
		('506', '2', 'Fonte', 'Fonte', 0, 0, '', 5, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('506', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, '', 5, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('506', '5', 'Istituzione a cui si applica il campo', 'Istituzione a cui si applica il campo', 0, 0, '', 5, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('506', '6', 'Collegamento', 'Collegamento', 0, 0, '', 5, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('506', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 5, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('506', 'a', 'Condizioni che regolano l\'accesso', 'Condizioni che regolano l\'accesso', 0, 0, '', 5, '', '', '', NULL, -1, 'VR', '', '', NULL),
		('506', 'b', 'Competenza legale', 'Competenza legale', 1, 0, '', 5, '', '', '', NULL, -1, 'VR', '', '', NULL),
		('506', 'c', 'Disposizioni per l\'accesso fisico', 'Disposizioni per l\'accesso fisico', 1, 0, '', 5, '', '', '', NULL, -1, 'VR', '', '', NULL),
		('506', 'd', 'Utenti autorizzati', 'Utenti autorizzati', 1, 0, '', 5, '', '', '', NULL, -1, 'VR', '', '', NULL),
		('506', 'e', 'Autorizzazione', 'Autorizzazione', 1, 0, '', 5, '', '', '', NULL, -1, 'VR', '', '', NULL),
		('506', 'f', 'Terminologia normalizzata della restrizione all’accesso', 'Terminologia normalizzata della restrizione all’accesso', 1, 0, '', 5, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('506', 'u', 'URI (Uniform Resource Identifier)', 'URI (Uniform Resource Identifier)', 1, 0, '', 5, '', '', '', 1, -1, 'VR', '', '', NULL),
		('507', '6', 'Collegamento', 'Collegamento', 0, 0, '', 5, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('507', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 5, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('507', 'a', 'Nota di frazione rappresentativa di scala', 'Nota di frazione rappresentativa di scala', 0, 0, '', 5, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('507', 'b', 'Restante parte della nota di scala', 'Restante parte della nota di scala', 0, 0, '', 5, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('508', '6', 'Collegamento', 'Collegamento', 0, 0, '', 5, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('508', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('508', 'a', 'Nota sui crediti di creazione/produzione', 'Nota sui crediti di creazione/produzione', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('509', 'a', 'Note informali', 'Note informali', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('510', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, '', 5, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('510', '6', 'Collegamento', 'Collegamento', 0, 0, '', 5, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('510', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 5, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('510', 'a', 'Nome della fonte', 'Nome della fonte', 0, 0, '', 5, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('510', 'b', 'Copertura della fonte', 'Copertura della fonte', 0, 0, '', 5, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('510', 'c', 'Localizzazione nella fonte', 'Localizzazione nella fonte', 0, 0, '', 5, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('510', 'x', 'ISSN (International Standard Serial Number)', 'ISSN (International Standard Serial Number)', 0, 0, '', 5, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('511', '6', 'Collegamento', 'Collegamento', 0, 0, '', 5, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('511', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 5, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('511', 'a', 'Nota sui partecipanti o interpreti', 'Nota sui partecipanti o interpreti', 0, 0, '', 5, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('512', '6', 'Collegamento', 'Collegamento', 0, 0, '', -1, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('512', 'a', 'Earlier or later volumes separately cataloged note', 'Earlier or later volumes separately cataloged note', 0, 0, '', -1, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('513', '6', 'Collegamento', 'Collegamento', 0, 0, '', 5, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('513', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 5, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('513', 'a', 'Tipo di rapporto', 'Tipo di rapporto', 0, 0, '', 5, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('513', 'b', 'Periodo coperto', 'Periodo coperto', 0, 0, '', 5, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('514', '6', 'Collegamento', 'Collegamento', 0, 0, '', 5, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('514', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 5, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('514', 'a', 'Rapporto di esattezza degli attributi', 'Rapporto di esattezza degli attributi', 0, 0, '', 5, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('514', 'b', 'Valore di esattezza degli attributi', 'Valore di esattezza degli attributi', 1, 0, '', 5, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('514', 'c', 'Spiegazione della esattezza degli attributi', 'Spiegazione della esattezza degli attributi', 1, 0, '', 5, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('514', 'd', 'Rapporto di coerenza logica', 'Rapporto di coerenza logica', 0, 0, '', 5, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('514', 'e', 'Rapporto di completezza', 'Rapporto di completezza', 0, 0, '', 5, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('514', 'f', 'Rapporto di esattezza di posizione orizzontale', 'Rapporto di esattezza di posizione orizzontale', 0, 0, '', 5, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('514', 'g', 'Valore di esattezza di posizione orizzontale', 'Valore di esattezza di posizione orizzontale', 1, 0, '', 5, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('514', 'h', 'Spiegazione della esattezza di posizione orizzontale', 'Spiegazione della esattezza di posizione orizzontale', 1, 0, '', 5, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('514', 'i', 'Rapporto di esattezza di posizione verticale', 'Rapporto di esattezza di posizione verticale', 0, 0, '', 5, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('514', 'j', 'Valore di esattezza di posizione verticale', 'Valore di esattezza di posizione verticale', 1, 0, '', 5, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('514', 'k', 'Spiegazione della esattezza di posizione verticale', 'Spiegazione della esattezza di posizione verticale', 1, 0, '', 5, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('514', 'm', 'Nuvolosità', 'Nuvolosità', 0, 0, '', 5, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('514', 'u', 'URI (Uniform Resource Identifier)', 'URI (Uniform Resource Identifier)', 1, 0, '', 5, '', '', '', 1, -6, 'VR', '', '', NULL),
		('514', 'z', 'Nota di visualizzazione', 'Nota di visualizzazione', 1, 0, '', 5, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('515', '6', 'Collegamento', 'Collegamento', 0, 0, '', 5, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('515', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 5, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('515', 'a', 'Nota su particolarità della numerazione', 'Nota su particolarità della numerazione', 0, 0, '', 5, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('515', 'z', 'Source of note information (SE) [OBSOLETE]', 'Source of note information (SE) [OBSOLETE]', 0, 0, '', -1, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('516', '6', 'Collegamento', 'Collegamento', 0, 0, '', 5, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('516', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 5, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('516', 'a', 'Nota sul tipo di computer file o di file di dati', 'Nota sul tipo di computer file o di file di dati', 0, 0, '', 5, '', '', '', NULL, -1, 'VR', '', '', NULL),
		('517', 'a', 'Formati multipli', 'Formati multipli', 0, 0, '', 5, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('517', 'b', 'Descrittori del contenuto', 'Descrittori del contenuto', 1, 0, '', 5, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('517', 'c', 'Tecniche d\'animazione addizionali', 'Tecniche d\'animazione addizionali', 1, 0, '', 5, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('518', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, '', 5, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('518', '6', 'Collegamento', 'Collegamento', 0, 0, '', 5, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('518', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 5, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('518', 'a', 'Nota sulla data/ora e luogo dell\'evento', 'Nota sulla data/ora e luogo dell\'evento', 0, 0, '', 5, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('520', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, '', 5, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('520', '6', 'Collegamento', 'Collegamento', 0, 0, '', 5, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('520', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 5, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('520', 'a', 'Nota di riassunto, ecc.', 'Nota di riassunto, ecc.', 0, 0, 'biblio.abstract', 5, '', '', '', NULL, -1, 'VR', '', '', NULL),
		('520', 'b', 'Nota di estensione del riassunto', 'Nota di estensione del riassunto', 0, 0, '', 5, '', '', '', NULL, -1, 'VR', '', '', NULL),
		('520', 'u', 'URI (Uniform Resource Identifier)', 'URI (Uniform Resource Identifier)', 1, 0, '', 5, '', '', '', 1, -1, 'VR', '', '', NULL),
		('520', 'z', 'Source of note information [OBSOLETE]', 'Source of note information [OBSOLETE]', 0, 0, '', 5, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('521', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('521', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('521', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('521', 'a', 'Nota sui destinatari', 'Nota sui destinatari', 1, 0, NULL, 5, NULL, NULL, '', NULL, -1, 'VR', '', '', NULL),
		('521', 'b', 'Fonte', 'Fonte', 0, 0, NULL, 5, NULL, NULL, '', NULL, -1, 'VR', '', '', NULL),
		('522', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('522', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('522', 'a', 'Nota di copertura geografica', 'Nota di copertura geografica', 0, 0, NULL, 5, NULL, NULL, '', NULL, -1, 'VR', '', '', NULL),
		('523', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('523', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('523', 'a', 'Time period of content note', 'Time period of content note', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('524', '2', 'Fonte dello schema usato', 'Fonte dello schema usato', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('524', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('524', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('524', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('524', 'a', 'Nota sulla citazione preferita dei materiali descritti', 'Nota sulla citazione preferita dei materiali descritti', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('525', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('525', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('525', 'a', 'Nota di supplemento', 'Nota di supplemento', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('525', 'z', 'Source of note information (SE) [OBSOLETE]', 'Source of note information (SE) [OBSOLETE]', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('526', '5', 'Istituzione a cui si applica il campo', 'Istituzione a cui si applica il campo', 0, 0, '', 5, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('526', '6', 'Collegamento', 'Collegamento', 0, 0, '', 5, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('526', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 5, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('526', 'a', 'Nome del programma', 'Nome del programma', 0, 0, '', 5, '', '', '', NULL, -1, 'VR', '', '', NULL),
		('526', 'b', 'Livello d\'interesse', 'Livello d\'interesse', 0, 0, '', 5, '', '', '', NULL, -1, 'VR', '', '', NULL),
		('526', 'c', 'Livello di lettura', 'Livello di lettura', 0, 0, '', 5, '', '', '', NULL, -1, 'VR', '', '', NULL),
		('526', 'd', 'Valore numerico del titolo', 'Valore numerico del titolo', 0, 0, '', 5, '', '', '', NULL, -1, 'VR', '', '', NULL),
		('526', 'i', 'Testo da visualizzare', 'Testo da visualizzare', 0, 0, '', 5, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('526', 'x', 'Nota non pubblic', 'Nota non pubblic', 1, 0, '', 5, '', '', '', NULL, 6, 'VR', '', '', NULL),
		('526', 'z', 'Nota pubblica', 'Nota pubblica', 1, 0, '', 5, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('527', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('527', 'a', 'Censorship note', 'Censorship note', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('530', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('530', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('530', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('530', 'a', 'Nota sulla disponibilità su altro supporto fisico', 'Nota sulla disponibilità su altro supporto fisico', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('530', 'b', 'Fonte di disponibilità', 'Fonte di disponibilità', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('530', 'c', 'Condizioni di disponibilità', 'Condizioni di disponibilità', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('530', 'd', 'Numero di ordine', 'Numero di ordine', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('530', 'u', 'URI (Uniform Resource Identifier)', 'URI (Uniform Resource Identifier)', 1, 0, NULL, 5, NULL, NULL, '', 1, -6, 'VR', '', '', NULL),
		('530', 'z', 'Source of note information (AM CF VM SE) [OBSOLETE]', 'Source of note information (AM CF VM SE) [OBSOLETE]', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('533', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('533', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('533', '7', 'Elementi di lunghezza fissa della riproduzione', 'Elementi di lunghezza fissa della riproduzione', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('533', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('533', 'a', 'Tipo di riproduzione', 'Tipo di riproduzione', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('533', 'b', 'Luogo di riproduzione', 'Luogo di riproduzione', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('533', 'c', 'Agenzia responsabile della riproduzione', 'Agenzia responsabile della riproduzione', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('533', 'd', 'Data di riproduzione', 'Data di riproduzione', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('533', 'e', 'Descrizione fisica della riproduzione', 'Descrizione fisica della riproduzione', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('533', 'f', 'Formulazione della serie della riproduzione', 'Formulazione della serie della riproduzione', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('533', 'm', 'Date e/o designazione sequenziale dei documenti riprodotti', 'Date e/o designazione sequenziale dei documenti riprodotti', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('533', 'n', 'Nota sulla riproduzione', 'Nota sulla riproduzione', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('534', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('534', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('534', 'a', 'Accesso principale dell\'originale', 'Accesso principale dell\'originale', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('534', 'b', 'Formulazione di edizione dell\'originale', 'Formulazione di edizione dell\'originale', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('534', 'c', 'Pubblicazione, distribuzione, ecc., dell\'originale', 'Pubblicazione, distribuzione, ecc., dell\'originale', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('534', 'e', 'Descrizione fisica, ecc., dell\'originale', 'Descrizione fisica, ecc., dell\'originale', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('534', 'f', 'Formulazione della serie dell\'originale', 'Formulazione della serie dell\'originale', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('534', 'k', 'Titolo chiave dell\'originale', 'Titolo chiave dell\'originale', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('534', 'l', 'Localizzazione dell\'originale', 'Localizzazione dell\'originale', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('534', 'm', 'Dettagli specifici del materiale', 'Dettagli specifici del materiale', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('534', 'n', 'Nota sull\'originale', 'Nota sull\'originale', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('534', 'p', 'Frase introduttiva', 'Frase introduttiva', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('534', 't', 'Formulazione del titolo dell\'originale', 'Formulazione del titolo dell\'originale', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('534', 'x', 'ISSN (International Standard Serial Number)', 'ISSN (International Standard Serial Number)', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('534', 'z', 'ISBN (International Standard Book Number)', 'ISBN (International Standard Book Number)', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('535', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('535', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('535', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('535', 'a', 'Conservatore', 'Conservatore', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('535', 'b', 'Indirizzo postale', 'Indirizzo postale', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('535', 'c', 'Paese', 'Paese', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('535', 'd', 'Indirizzo di telecomunicazione', 'Indirizzo di telecomunicazione', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('535', 'g', 'Codice di localizzazione del deposito', 'Codice di localizzazione del deposito', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('536', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('536', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('536', 'a', 'Testo della nota', 'Testo della nota', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('536', 'b', 'Numero di contratto', 'Numero di contratto', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('536', 'c', 'Numero di sovvenzione', 'Numero di sovvenzione', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('536', 'd', 'Numero indifferenziato', 'Numero indifferenziato', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('536', 'e', 'Numero di elemento di un programma', 'Numero di elemento di un programma', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('536', 'f', 'Numero di progetto', 'Numero di progetto', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('536', 'g', 'Numero di unità di lavoro', 'Numero di unità di lavoro', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('536', 'h', 'Numero di unità di lavoro', 'Numero di unità di lavoro', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('537', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('537', 'a', 'Source of data note', 'Source of data note', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('538', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('538', '6', 'Collegamento', 'Collegamento', 0, 0, '', 5, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('538', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 5, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('538', 'a', 'Nota sui requisiti del sistema', 'Nota sui requisiti del sistema', 0, 0, '', 5, '', '', '', NULL, -1, 'VR', '', '', NULL),
		('538', 'i', 'Testo da visualizzare', 'Testo da visualizzare', 0, 0, '', 5, '', '', '', NULL, -1, 'VR', '', '', NULL),
		('538', 'u', 'URI (Uniform Resource Identifier)', 'URI (Uniform Resource Identifier)', 1, 0, '', 5, '', '', '', 1, -1, 'VR', '', '', NULL),
		('540', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('540', '5', 'Istituzione a cui si applica il campo', 'Istituzione a cui si applica il campo', 0, 0, '', 5, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('540', '6', 'Collegamento', 'Collegamento', 0, 0, '', 5, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('540', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 5, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('540', 'a', 'Condizioni che regolano l\'utilizzo e la riproduzione', 'Condizioni che regolano l\'utilizzo e la riproduzione', 0, 0, '', 5, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('540', 'b', 'Competenza legale', 'Competenza legale', 0, 0, '', 5, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('540', 'c', 'Autorizzazione', 'Autorizzazione', 0, 0, '', 5, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('540', 'd', 'Utenti autorizzati', 'Utenti autorizzati', 0, 0, '', 5, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('540', 'u', 'URI (Uniform Resource Identifier)', 'URI (Uniform Resource Identifier)', 1, 0, '', 5, '', '', '', 1, -6, 'VR', '', '', NULL),
		('541', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, NULL, 9, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('541', '5', 'Istituzione a cui si applica il campo', 'Istituzione a cui si applica il campo', 0, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('541', '6', 'Collegamento', 'Collegamento', 0, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('541', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('541', 'a', 'Fonte d\'acquisto', 'Fonte d\'acquisto', 0, 0, '', 9, '', '', '', NULL, 1, 'VR', '', '', NULL),
		('541', 'b', 'Indirizzo', 'Indirizzo', 0, 0, '', 9, '', '', '', NULL, 1, 'VR', '', '', NULL),
		('541', 'c', 'Metodo d\'acquisto', 'Metodo d\'acquisto', 0, 0, '', 9, '', '', '', NULL, 1, 'VR', '', '', NULL),
		('541', 'd', 'Data d\'acquisto', 'Data d\'acquisto', 0, 0, '', 9, '', '', '', NULL, 1, 'VR', '', '', NULL),
		('541', 'e', 'Numero d\'accessione', 'Numero d\'accessione', 0, 0, '', 9, '', '', '', NULL, 1, 'VR', '', '', NULL),
		('541', 'f', 'Proprietario', 'Proprietario', 0, 0, '', 9, '', '', '', NULL, 1, 'VR', '', '', NULL),
		('541', 'h', 'Prezzo d\'acquisto', 'Prezzo d\'acquisto', 0, 0, '', 9, '', '', '', NULL, 1, 'VR', '', '', NULL),
		('541', 'n', 'Estensione', 'Estensione', 0, 0, '', 9, '', '', '', NULL, 1, 'VR', '', '', NULL),
		('541', 'o', 'Tipo di materiale', 'Tipo di materiale', 1, 0, '', 9, '', '', '', NULL, 1, 'VR', '', '', NULL),
		('543', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('543', 'a', 'Solicitation information note', 'Solicitation information note', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('544', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('544', '6', 'Collegamento', 'Collegamento', 0, 0, '', 5, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('544', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 5, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('544', 'a', 'Conservatore', 'Conservatore', 1, 0, '', 5, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('544', 'b', 'Indirizzo', 'Indirizzo', 1, 0, '', 5, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('544', 'c', 'Paese', 'Paese', 1, 0, '', 5, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('544', 'd', 'Titolo', 'Titolo', 1, 0, '', 5, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('544', 'e', 'Provenienza', 'Provenienza', 1, 0, '', 5, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('544', 'n', 'Nota', 'Nota', 1, 0, '', 5, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('545', '6', 'Collegamento', 'Collegamento', 0, 0, '', 5, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('545', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 5, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('545', 'a', 'Nota biografica o storica', 'Nota biografica o storica', 0, 0, '', 5, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('545', 'b', 'Ampliamento', 'Ampliamento', 0, 0, '', 5, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('545', 'u', 'URI (Uniform Resource Identifier)', 'URI (Uniform Resource Identifier)', 1, 0, '', 5, '', '', '', 1, -6, 'VR', '', '', NULL),
		('546', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('546', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('546', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('546', 'a', 'Nota sulla lingua', 'Nota sulla lingua', 0, 0, NULL, 5, NULL, NULL, '', NULL, -1, 'VR', '', '', NULL),
		('546', 'b', 'Codice d\'informazione o alfabeto', 'Codice d\'informazione o alfabeto', 1, 0, NULL, 5, NULL, NULL, '', NULL, -1, 'VR', '', '', NULL),
		('546', 'z', 'Source of note information (SE) [OBSOLETE]', 'Source of note information (SE) [OBSOLETE]', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('547', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('547', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('547', 'a', 'Nota sulla complessità del titolo precedente', 'Nota sulla complessità del titolo precedente', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('547', 'z', 'Source of note information (SE) [OBSOLETE]', 'Source of note information (SE) [OBSOLETE]', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('550', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('550', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('550', 'a', 'Nota sull\'ente responsabile', 'Nota sull\'ente responsabile', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('550', 'z', 'Source of note information (SE) [OBSOLETE]', 'Source of note information (SE) [OBSOLETE]', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('552', '6', 'Collegamento', 'Collegamento', 0, 0, '', 5, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('552', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 5, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('552', 'a', 'Etichetta del tipo di ente', 'Etichetta del tipo di ente', 0, 0, '', 5, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('552', 'b', 'Definizione e fonte del tipo di ente', 'Definizione e fonte del tipo di ente', 0, 0, '', 5, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('552', 'c', 'Etichetta dell\'attributo', 'Etichetta dell\'attributo', 0, 0, '', 5, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('552', 'd', 'Definizione e fonte dell\'attributo', 'Definizione e fonte dell\'attributo', 0, 0, '', 5, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('552', 'e', 'Valore del dominio enumerato', 'Valore del dominio enumerato', 1, 0, '', 5, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('552', 'f', 'Definizione e fonte del valore del dominio enumerato', 'Definizione e fonte del valore del dominio enumerato', 1, 0, '', 5, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('552', 'g', 'Minimo e massimo del range del dominio', 'Minimo e massimo del range del dominio', 0, 0, '', 5, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('552', 'h', 'Nome e fonte del set dei codici', 'Nome e fonte del set dei codici', 0, 0, '', 5, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('552', 'i', 'Dominio non rappresentabile', 'Dominio non rappresentabile', 0, 0, '', 5, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('552', 'j', 'Unità di misura e risoluzione degli attributi', 'Unità di misura e risoluzione degli attributi', 0, 0, '', 5, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('552', 'k', 'Data d\'inizio e data di fine dei valori dell\'attributo', 'Data d\'inizio e data di fine dei valori dell\'attributo', 0, 0, '', 5, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('552', 'l', 'Esattezza del valore dell\'attributo', 'Esattezza del valore dell\'attributo', 0, 0, '', 5, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('552', 'm', 'Spiegazione dell\'esattezza del valore dell\'attributo', 'Spiegazione dell\'esattezza del valore dell\'attributo', 0, 0, '', 5, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('552', 'n', 'Frequenza della misura d\'attributo', 'Frequenza della misura d\'attributo', 0, 0, '', 5, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('552', 'o', 'Riassunto di ente e d\'attributo', 'Riassunto di ente e d\'attributo', 1, 0, '', 5, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('552', 'p', 'Citazione dei dettagli di ente e d\'attributo', 'Citazione dei dettagli di ente e d\'attributo', 1, 0, '', 5, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('552', 'u', 'URI (Uniform Resource Identifier)', 'URI (Uniform Resource Identifier)', 1, 0, '', 5, '', '', '', 1, -6, 'VR', '', '', NULL),
		('552', 'z', 'Nota di visualizzazione', 'Nota di visualizzazione', 1, 0, '', 5, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('555', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('555', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('555', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('555', 'a', 'Nota sull\'indice cumulativo/strumenti di ricerca', 'Nota sull\'indice cumulativo/strumenti di ricerca', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('555', 'b', 'Fonte di disponibilità', 'Fonte di disponibilità', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('555', 'c', 'Grado di controllo', 'Grado di controllo', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('555', 'd', 'Riferimento bibliografico', 'Riferimento bibliografico', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('555', 'u', 'URI (Uniform Resource Identifier)', 'URI (Uniform Resource Identifier)', 1, 0, NULL, 5, NULL, NULL, '', 1, -6, 'VR', '', '', NULL),
		('556', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('556', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('556', 'a', 'Nota d\'informazione sulla documentazione', 'Nota d\'informazione sulla documentazione', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('556', 'z', 'ISBN (International Standard Book Number)', 'ISBN (International Standard Book Number)', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('561', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('561', '5', 'Istituzione a cui si applica il campo', 'Istituzione a cui si applica il campo', 0, 0, '', 5, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('561', '6', 'Collegamento', 'Collegamento', 0, 0, '', 5, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('561', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 5, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('561', 'a', 'Storia', 'Storia', 0, 0, '', 5, '', '', '', NULL, 6, 'VR', '', '', NULL),
		('561', 'b', 'Time of collation [OBSOLETE]', 'Time of collation [OBSOLETE]', 0, 0, '', 5, '', '', '', NULL, 6, 'VR', '', '', NULL),
		('562', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('562', '5', 'Istituzione a cui si applica il campo', 'Istituzione a cui si applica il campo', 0, 0, NULL, -1, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('562', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('562', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('562', 'a', 'Marche d\'identificazione', 'Marche d\'identificazione', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('562', 'b', 'Identificazione della copia', 'Identificazione della copia', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('562', 'c', 'Identificazione della versione', 'Identificazione della versione', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('562', 'd', 'Formato di presentazione', 'Formato di presentazione', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('562', 'e', 'Numero di copie', 'Numero di copie', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('563', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('563', '5', 'Istituzione a cui si applica il campo', 'Istituzione a cui si applica il campo', 0, 0, NULL, -1, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('563', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('563', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('563', 'a', 'Nota sulla rilegatura', 'Nota sulla rilegatura', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('563', 'u', 'URI (Uniform Resource Identifier)', 'URI (Uniform Resource Identifier)', 1, 0, NULL, 5, NULL, NULL, '', 1, -6, 'VR', '', '', NULL),
		('565', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('565', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('565', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('565', 'a', 'Numero di pratiche/variabili', 'Numero di pratiche/variabili', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('565', 'b', 'Nome della variabile', 'Nome della variabile', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('565', 'c', 'Unità d\'analisi', 'Unità d\'analisi', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('565', 'd', 'Universo dei dati', 'Universo dei dati', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('565', 'e', 'Sistema o codice d’archiviazione', 'Sistema o codice d’archiviazione', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('567', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('567', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('567', 'a', 'Nota sulla metodologia', 'Nota sulla metodologia', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('570', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('570', 'a', 'Editor note', 'Editor note', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('570', 'z', 'Source of note information', 'Source of note information', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('580', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('580', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('580', 'a', 'Nota di collegamento complesso', 'Nota di collegamento complesso', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('580', 'z', 'Source of note information [OBSOLETE]', 'Source of note information [OBSOLETE]', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('581', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('581', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('581', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('581', 'a', 'Nota di pubblicazioni sui materiali descritti', 'Nota di pubblicazioni sui materiali descritti', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('581', 'z', 'ISBN (International Standard Book Number)', 'ISBN (International Standard Book Number)', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('582', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('582', 'a', 'Related computer files note', 'Related computer files note', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('583', '2', 'Fonte', 'Fonte', 0, 0, NULL, 9, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('583', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, NULL, 9, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('583', '5', 'Istituzione a cui si applica il campo', 'Istituzione a cui si applica il campo', 0, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('583', '6', 'Collegamento', 'Collegamento', 0, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('583', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('583', 'a', 'Azione', 'Azione', 0, 0, '', 9, '', '', '', NULL, -1, 'VR', '', '', NULL),
		('583', 'b', 'Identificazione dell\'azione', 'Identificazione dell\'azione', 1, 0, '', 9, '', '', '', NULL, -1, 'VR', '', '', NULL),
		('583', 'c', 'Momento/data dell\'azione', 'Momento/data dell\'azione', 1, 0, '', 9, '', '', '', NULL, -1, 'VR', '', '', NULL),
		('583', 'd', 'Intervallo dell\'azione', 'Intervallo dell\'azione', 1, 0, '', 9, '', '', '', NULL, -1, 'VR', '', '', NULL),
		('583', 'e', 'Contingenza per l\'azione', 'Contingenza per l\'azione', 1, 0, '', 9, '', '', '', NULL, -1, 'VR', '', '', NULL),
		('583', 'f', 'Autorizzazione', 'Autorizzazione', 1, 0, '', 9, '', '', '', NULL, -1, 'VR', '', '', NULL),
		('583', 'h', 'Competenza legale', 'Competenza legale', 0, 0, '', 9, '', '', '', NULL, -1, 'VR', '', '', NULL),
		('583', 'i', 'Metodo dell\'azione', 'Metodo dell\'azione', 1, 0, '', 9, '', '', '', NULL, -1, 'VR', '', '', NULL),
		('583', 'j', 'Luogo dell\'azione', 'Luogo dell\'azione', 1, 0, '', 9, '', '', '', NULL, -1, 'VR', '', '', NULL),
		('583', 'k', 'Agente dell\'azione', 'Agente dell\'azione', 1, 0, '', 9, '', '', '', NULL, -1, 'VR', '', '', NULL),
		('583', 'l', 'Stato', 'Stato', 1, 0, '', 9, '', '', '', NULL, -1, 'VR', '', '', NULL),
		('583', 'n', 'Estensione', 'Estensione', 1, 0, '', 9, '', '', '', NULL, -1, 'VR', '', '', NULL),
		('583', 'o', 'Tipo di materiale', 'Tipo di materiale', 1, 0, '', 9, '', '', '', NULL, -1, 'VR', '', '', NULL),
		('583', 'u', 'URI (Uniform Resource Identifier)', 'URI (Uniform Resource Identifier)', 1, 0, '', 9, '', '', '', 1, -1, 'VR', '', '', NULL),
		('583', 'x', 'Nota non pubblic', 'Nota non pubblic', 1, 0, '', 9, '', '', '', NULL, 4, 'VR', '', '', NULL),
		('583', 'z', 'Nota pubblica', 'Nota pubblica', 1, 0, '', 9, '', '', '', NULL, -1, 'VR', '', '', NULL),
		('584', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('584', '5', 'Istituzione a cui si applica il campo', 'Istituzione a cui si applica il campo', 0, 0, '', 5, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('584', '6', 'Collegamento', 'Collegamento', 0, 0, '', 5, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('584', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 5, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('584', 'a', 'Accumulo', 'Accumulo', 1, 0, '', 5, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('584', 'b', 'Frequenza d\'uso', 'Frequenza d\'uso', 1, 0, '', 5, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('585', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('585', '5', 'Istituzione a cui si applica il campo', 'Istituzione a cui si applica il campo', 0, -6, '', 5, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('585', '6', 'Collegamento', 'Collegamento', 0, 0, '', 5, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('585', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 5, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('585', 'a', 'Nota di mostre', 'Nota di mostre', 0, 0, '', 5, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('586', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('586', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('586', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('586', 'a', 'Nota di premi', 'Nota di premi', 0, 0, NULL, 5, NULL, NULL, '', NULL, -1, 'VR', '', '', NULL),
		('590', '6', 'Linkage (RLIN)', 'Linkage (RLIN)', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('590', '8', 'Field link and sequence number (RLIN)', 'Field link and sequence number (RLIN)', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('590', 'a', 'Local note', 'Local note', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('590', 'b', 'Provenance (VM) [OBSOLETE]', 'Provenance (VM) [OBSOLETE]', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('590', 'c', 'Condition of individual reels (VM) [OBSOLETE]', 'Condition of individual reels (VM) [OBSOLETE]', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('590', 'd', 'Origin of safety copy (VM) [OBSOLETE]', 'Origin of safety copy (VM) [OBSOLETE]', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('600', '2', 'Fonte dell\'intestazione o del termine', 'Fonte dell\'intestazione o del termine', 0, 0, '', 6, '', '', '', NULL, -1, 'VR', '', '', NULL),
		('600', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, '', 6, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('600', '4', 'Codice di ruolo', 'Codice di ruolo', 1, 0, '', 6, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('600', '6', 'Collegamento', 'Collegamento', 0, 0, '', 6, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('600', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 6, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('600', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 6, '', '', '', 0, -5, 'VR', '', '', NULL),
		('600', 'a', 'Nome di persona', 'Nome di persona', 0, 0, '', 6, '', 'PERSO_NAME', '', NULL, -1, 'VR', '', '', NULL),
		('600', 'b', 'Numerazione', 'Numerazione', 0, 0, '', 6, '', '', '', NULL, -1, 'VR', '', '', NULL),
		('600', 'c', 'Titoli e altre parole associate al nome', 'Titoli e altre parole associate al nome', 1, 0, '', 6, '', '', '', NULL, -1, 'VR', '', '', NULL),
		('600', 'd', 'Date associate al nome', 'Date associate al nome', 0, 0, '', 6, '', '', '', NULL, -1, 'VR', '', '', NULL),
		('600', 'e', 'Termine di ruolo', 'Termine di ruolo', 1, 0, '', 6, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('600', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, '', 6, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('600', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, '', 6, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('600', 'h', 'Supporto', 'Supporto', 0, 0, '', 6, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('600', 'j', 'Qualificazione d\'attribuzione', 'Qualificazione d\'attribuzione', 1, 0, '', 6, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('600', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, '', 6, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('600', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, '', 6, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('600', 'm', 'Mezzo di esecuzione per la musica', 'Mezzo di esecuzione per la musica', 1, 0, '', 6, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('600', 'n', 'Numero di parte/sezione dell\'opera', 'Numero di parte/sezione dell\'opera', 1, 0, '', 6, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('600', 'o', 'Formulazione d\'arrangiamento per la musica', 'Formulazione d\'arrangiamento per la musica', 0, 0, '', 6, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('600', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, '', 6, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('600', 'q', 'Forma completa del nome', 'Forma completa del nome', 0, 0, '', 6, '', '', '', NULL, -1, 'VR', '', '', NULL),
		('600', 'r', 'Tonalità (musica)', 'Tonalità (musica)', 0, 0, '', 6, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('600', 's', 'Versione', 'Versione', 0, 0, '', 6, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('600', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, '', 6, '', '', '', NULL, -1, 'VR', '', '', NULL),
		('600', 'u', 'Affiliazione', 'Affiliazione', 0, 0, '', 6, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('600', 'v', 'Suddivisione geografica', 'Suddivisione geografica', 1, 0, '', 6, '', '', '', NULL, -1, 'VR', '', '', NULL),
		('600', 'x', 'Suddivisione generale', 'Suddivisione generale', 1, 0, '', 6, '', '', '', NULL, -1, 'VR', '', '', NULL),
		('600', 'y', 'Suddivisione cronologica', 'Suddivisione cronologica', 1, 0, '', 6, '', '', '', NULL, -1, 'VR', '', '', NULL),
		('600', 'z', 'Suddivisione geografica', 'Suddivisione geografica', 1, 0, '', 6, '', '', '', NULL, -1, 'VR', '', '', NULL),
		('610', '2', 'Fonte dell\'intestazione o del termine', 'Fonte dell\'intestazione o del termine', 0, 0, '', 6, '', '', '', NULL, -1, 'VR', '', '', NULL),
		('610', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, '', 6, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('610', '4', 'Codice di ruolo', 'Codice di ruolo', 1, 0, '', 6, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('610', '6', 'Collegamento', 'Collegamento', 0, 0, '', 6, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('610', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 6, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('610', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 6, '', '', '', 0, -5, 'VR', '', '', NULL),
		('610', 'a', 'Nome dell\'ente o nome della giurisdizione come accesso', 'Nome dell\'ente o nome della giurisdizione come accesso', 0, 0, '', 6, '', 'CORPO_NAME', '', NULL, -1, 'VR', '', '', NULL),
		('610', 'b', 'Unità subordinata', 'Unità subordinata', 1, 0, '', 6, '', '', '', NULL, -1, 'VR', '', '', NULL),
		('610', 'c', 'Luogo del convegno', 'Luogo del convegno', 0, 0, '', 6, '', '', '', NULL, -1, 'VR', '', '', NULL),
		('610', 'd', 'Data del convegno o di firma del trattato', 'Data del convegno o di firma del trattato', 1, 0, '', 6, '', '', '', NULL, -1, 'VR', '', '', NULL),
		('610', 'e', 'Termine di ruolo', 'Termine di ruolo', 1, 0, '', 6, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('610', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, '', 6, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('610', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, '', 6, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('610', 'h', 'Supporto', 'Supporto', 0, 0, '', 6, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('610', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, '', 6, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('610', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, '', 6, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('610', 'm', 'Mezzo di esecuzione per la musica', 'Mezzo di esecuzione per la musica', 1, 0, '', 6, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('610', 'n', 'Numero di parte/sezione/convegno', 'Numero di parte/sezione/convegno', 1, 0, '', 6, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('610', 'o', 'Formulazione d\'arrangiamento per la musica', 'Formulazione d\'arrangiamento per la musica', 0, 0, '', 6, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('610', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, '', 6, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('610', 'r', 'Tonalità (musica)', 'Tonalità (musica)', 0, 0, '', 6, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('610', 's', 'Versione', 'Versione', 0, 0, '', 6, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('610', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, '', 6, '', '', '', NULL, -1, 'VR', '', '', NULL),
		('610', 'u', 'Affiliazione', 'Affiliazione', 0, 0, '', 6, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('610', 'v', 'Suddivisione geografica', 'Suddivisione geografica', 1, 0, '', 6, '', '', '', NULL, -1, 'VR', '', '', NULL),
		('610', 'x', 'Suddivisione generale', 'Suddivisione generale', 1, 0, '', 6, '', '', '', NULL, -1, 'VR', '', '', NULL),
		('610', 'y', 'Suddivisione cronologica', 'Suddivisione cronologica', 1, 0, '', 6, '', '', '', NULL, -1, 'VR', '', '', NULL),
		('610', 'z', 'Suddivisione geografica', 'Suddivisione geografica', 1, 0, '', 6, '', '', '', NULL, -1, 'VR', '', '', NULL),
		('611', '2', 'Fonte dell\'intestazione o del termine', 'Fonte dell\'intestazione o del termine', 0, 0, NULL, 6, NULL, NULL, '', NULL, -1, 'VR', '', '', NULL),
		('611', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('611', '4', 'Codice di ruolo', 'Codice di ruolo', 1, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('611', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('611', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('611', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 6, '', '', '', 0, -5, 'VR', '', '', NULL),
		('611', 'a', 'Nome del convegno o nome della giurisdizione come accesso', 'Nome del convegno o nome della giurisdizione come accesso', 0, 0, NULL, 6, NULL, 'MEETI_NAME', '', NULL, -1, 'VR', '', '', NULL),
		('611', 'b', 'Number  (BK CF MP MU SE VM MX)  [OBSOLETE]', 'Number  (BK CF MP MU SE VM MX)  [OBSOLETE]', 1, 0, NULL, -1, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('611', 'c', 'Luogo del convegno', 'Luogo del convegno', 0, 0, NULL, 6, NULL, NULL, '', NULL, -1, 'VR', '', '', NULL),
		('611', 'd', 'Data del convegno', 'Data del convegno', 0, 0, NULL, 6, NULL, NULL, '', NULL, -1, 'VR', '', '', NULL),
		('611', 'e', 'Unità subordinata', 'Unità subordinata', 1, 0, NULL, 6, NULL, NULL, '', NULL, -1, 'VR', '', '', NULL),
		('611', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('611', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('611', 'h', 'Supporto', 'Supporto', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('611', 'j', 'Termine di ruolo', 'Termine di ruolo', 1, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('611', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('611', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('611', 'n', 'Numero di parte/sezione/convegno', 'Numero di parte/sezione/convegno', 1, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('611', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('611', 'q', 'Nome del convegno dopo accesso di nome della giurisdizione', 'Nome del convegno dopo accesso di nome della giurisdizione', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('611', 's', 'Versione', 'Versione', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('611', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, NULL, 6, NULL, NULL, '', NULL, -1, 'VR', '', '', NULL),
		('611', 'u', 'Affiliazione', 'Affiliazione', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('611', 'v', 'Suddivisione geografica', 'Suddivisione geografica', 1, 0, NULL, 6, NULL, NULL, '', NULL, -1, 'VR', '', '', NULL),
		('611', 'x', 'Suddivisione generale', 'Suddivisione generale', 1, 0, NULL, 6, NULL, NULL, '', NULL, -1, 'VR', '', '', NULL),
		('611', 'y', 'Suddivisione cronologica', 'Suddivisione cronologica', 1, 0, NULL, 6, NULL, NULL, '', NULL, -1, 'VR', '', '', NULL),
		('611', 'z', 'Suddivisione geografica', 'Suddivisione geografica', 1, 0, NULL, 6, NULL, NULL, '', NULL, -1, 'VR', '', '', NULL),
		('630', '2', 'Fonte dell\'intestazione o del termine', 'Fonte dell\'intestazione o del termine', 0, 0, NULL, 6, NULL, NULL, '', NULL, -1, 'VR', '', '', NULL),
		('630', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('630', '4', 'Codice di ruolo', 'Codice di ruolo', 1, 0, '', 6, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('630', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('630', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('630', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 6, '', '', '', 0, -5, 'VR', '', '', NULL),
		('630', 'a', 'Titolo uniforme', 'Titolo uniforme', 0, 0, NULL, 6, NULL, 'UNIF_TITLE', '', NULL, -1, 'VR', '', '', NULL),
		('630', 'd', 'Data di firma del trattato', 'Data di firma del trattato', 1, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('630', 'e', 'Termine di ruolo', 'Termine di ruolo', 1, 0, '', 6, '', '', '', NULL, -1, 'VR', '', '', NULL),
		('630', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('630', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('630', 'h', 'Supporto', 'Supporto', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('630', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('630', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, NULL, 6, NULL, NULL, '', NULL, -1, 'VR', '', '', NULL),
		('630', 'm', 'Mezzo di esecuzione per la musica', 'Mezzo di esecuzione per la musica', 1, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('630', 'n', 'Numero di parte/sezione dell\'opera', 'Numero di parte/sezione dell\'opera', 1, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('630', 'o', 'Formulazione d\'arrangiamento per la musica', 'Formulazione d\'arrangiamento per la musica', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('630', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('630', 'r', 'Tonalità (musica)', 'Tonalità (musica)', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('630', 's', 'Versione', 'Versione', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('630', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, NULL, 6, NULL, NULL, '', NULL, -1, 'VR', '', '', NULL),
		('630', 'v', 'Suddivisione geografica', 'Suddivisione geografica', 1, 0, NULL, 6, NULL, NULL, '', NULL, -1, 'VR', '', '', NULL),
		('630', 'x', 'Suddivisione generale', 'Suddivisione generale', 1, 0, NULL, 6, NULL, NULL, '', NULL, -1, 'VR', '', '', NULL),
		('630', 'y', 'Suddivisione cronologica', 'Suddivisione cronologica', 1, 0, NULL, 6, NULL, NULL, '', NULL, -1, 'VR', '', '', NULL),
		('630', 'z', 'Suddivisione geografica', 'Suddivisione geografica', 1, 0, NULL, 6, NULL, NULL, '', NULL, -1, 'VR', '', '', NULL),
		('648', '2', 'Fonte dell\'intestazione o del termine', 'Fonte dell\'intestazione o del termine', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('648', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('648', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('648', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('648', 'a', 'Termine cronologico', 'Termine cronologico', 0, 0, NULL, 6, NULL, 'CHRON_TERM', '', NULL, -6, 'VR', '', '', NULL),
		('648', 'v', 'Suddivisione geografica', 'Suddivisione geografica', 1, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('648', 'x', 'Suddivisione generale', 'Suddivisione generale', 1, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('648', 'y', 'Suddivisione cronologica', 'Suddivisione cronologica', 1, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('648', 'z', 'Suddivisione geografica', 'Suddivisione geografica', 1, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('650', '2', 'Fonte dell\'intestazione o del termine', 'Fonte dell\'intestazione o del termine', 0, 0, '', 6, '', '', '', 0, 0, 'VR', '', '', NULL),
		('650', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, '', 6, '', '', '', 0, -6, 'VR', '', '', NULL),
		('650', '4', 'Codice di ruolo', 'Codice di ruolo', 1, 0, '', 6, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('650', '6', 'Collegamento', 'Collegamento', 0, 0, '', 6, '', '', '', 0, -6, 'VR', '', '', NULL),
		('650', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 6, '', '', '', 0, -6, 'VR', '', '', NULL),
		('650', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 6, '', '', '', 0, -5, 'VR', '', '', NULL),
		('650', 'a', 'Termine topico o nome geografico come accesso', 'Termine topico o nome geografico come accesso', 0, 0, 'bibliosubject.subject', 6, '', 'TOPIC_TERM', '', 0, 0, 'VR', '''6003'',''600a'',''600b'',''600c'',''600d'',''600e'',''600f'',''600g'',''600h'',''600k'',''600l'',''600m'',''600n'',''600o'',''600p'',''600r'',''600s'',''600t'',''600u'',''600x'',''600z'',''600y'',''600v'',''6103'',''610a'',''610b'',''610c'',''610d'',''610e'',''610f'',''610g'',''610h'',''610k'',''610l'',''610m'',''610n'',''610o'',''610p'',''610r'',''610s'',''610t'',''610u'',''610x'',''610z'',''610y'',''610v'',''6113'',''611a'',''611b'',''611c'',''611d'',''611e'',''611f'',''611g'',''611h'',''611k'',''611l'',''611m'',''611n'',''611o'',''611p'',''611r'',''611s'',''611t'',''611u'',''611x'',''611z'',''611y'',''611v'',''630a'',''630b'',''630c'',''630d'',''630e'',''630f'',''630g'',''630h'',''630k'',''630l'',''630m'',''630n'',''630o'',''630p'',''630r'',''630s'',''630t'',''630x'',''630z'',''630y'',''630v'',''6483'',''648a'',''648x'',''648z'',''648y'',''648v'',''6503'',''650b'',''650c'',''650d'',''650e'',''650x'',''650z'',''650y'',''650v'',''6513'',''651a'',''651b'',''651c'',''651d'',''651e'',''651x'',''651z'',''651y'',''651v'',''653a'',''6543'',''654a'',''654b'',''654x'',''654z'',''654y'',''654v'',''6553'',''655a'',''655b'',''655x'',''655z'',''655y'',''655v'',''6563'',''656a'',''656k'',''656x'',''656z'',''656y'',''656v'',''6573'',''657a'',''657x'',''657z'',''657y'',''657v'',''658a'',''658b'',''658c'',''658d'',''658v''', '', NULL),
		('650', 'b', 'Nome geografico che precede un termine topico come accesso', 'Nome geografico che precede un termine topico come accesso', 0, 0, '', 6, '', '', '', 0, -1, 'VR', '', '', NULL),
		('650', 'c', 'Luogo dell\'evento', 'Luogo dell\'evento', 0, 0, '', 6, '', '', '', 0, -1, 'VR', '', '', NULL),
		('650', 'd', 'Date d\'attività', 'Date d\'attività', 0, 0, '', 6, '', '', '', 0, -1, 'VR', '', '', NULL),
		('650', 'e', 'Termine di ruolo', 'Termine di ruolo', 0, 0, '', 6, '', '', '', 0, -1, 'VR', '', '', NULL),
		('650', 'v', 'Suddivisione geografica', 'Suddivisione geografica', 1, 0, '', 6, '', '', '', 0, 0, 'VR', '', '', NULL),
		('650', 'x', 'Suddivisione generale', 'Suddivisione generale', 1, 0, '', 6, '', '', '', 0, 0, 'VR', '', '', NULL),
		('650', 'y', 'Suddivisione cronologica', 'Suddivisione cronologica', 1, 0, '', 6, '', '', '', 0, 0, 'VR', '', '', NULL),
		('650', 'z', 'Suddivisione geografica', 'Suddivisione geografica', 1, 0, '', 6, '', '', '', 0, 0, 'VR', '', '', NULL),
		('651', '2', 'Fonte dell\'intestazione o del termine', 'Fonte dell\'intestazione o del termine', 0, 0, '', 6, '', '', '', NULL, -1, 'VR', '', '', NULL),
		('651', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, '', 6, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('651', '4', 'Codice di ruolo', 'Codice di ruolo', 1, 0, '', 6, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('651', '6', 'Collegamento', 'Collegamento', 0, 0, '', 6, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('651', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 6, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('651', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 6, '', '', '', 0, -5, 'VR', '', '', NULL),
		('651', 'a', 'Nome geografico', 'Nome geografico', 0, 0, '', 6, '', 'GEOGR_NAME', '', NULL, -1, 'VR', '', '', NULL),
		('651', 'b', 'Geographic name following place entry element [OBSOLETE]', 'Geographic name following place entry element [OBSOLETE]', 1, 0, '', 6, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('651', 'e', 'Termine di ruolo', 'Termine di ruolo', 1, 0, '', 6, '', '', '', NULL, -1, 'VR', '', '', NULL),
		('651', 'v', 'Suddivisione geografica', 'Suddivisione geografica', 1, 0, '', 6, '', '', '', NULL, -1, 'VR', '', '', NULL),
		('651', 'x', 'Suddivisione generale', 'Suddivisione generale', 1, 0, '', 6, '', '', '', NULL, -1, 'VR', '', '', NULL),
		('651', 'y', 'Suddivisione cronologica', 'Suddivisione cronologica', 1, 0, '', 6, '', '', '', NULL, -1, 'VR', '', '', NULL),
		('651', 'z', 'Suddivisione geografica', 'Suddivisione geografica', 1, 0, '', 6, '', '', '', NULL, -1, 'VR', '', '', NULL),
		('652', 'a', 'Nome geografico del luogo', 'Nome geografico del luogo', 0, 0, '', 6, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('652', 'x', 'Suddivisione generale', 'Suddivisione generale', 1, 0, '', 6, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('652', 'y', 'Suddivisione cronologica', 'Suddivisione cronologica', 1, 0, '', 6, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('652', 'z', 'Suddivisione geografica', 'Suddivisione geografica', 1, 0, '', 6, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('653', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('653', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('653', 'a', 'Termine non controllato', 'Termine non controllato', 1, 0, NULL, 6, NULL, NULL, '', NULL, -1, 'VR', '', '', NULL),
		('654', '2', 'Fonte', 'Fonte', 0, 0, '', 6, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('654', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, '', 6, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('654', '4', 'Codice di ruolo', 'Codice di ruolo', 1, 0, '', 6, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('654', '6', 'Collegamento', 'Collegamento', 0, 0, '', 6, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('654', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 6, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('654', 'a', 'Termine principale', 'Termine principale', 1, 0, '', 6, '', 'TOPIC_TERM', '', NULL, -6, 'VR', '', '', NULL),
		('654', 'b', 'Termine non principale', 'Termine non principale', 1, 0, '', 6, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('654', 'c', 'Designazione di faccetta/gerarchia', 'Designazione di faccetta/gerarchia', 1, 0, '', 6, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('654', 'e', 'Termine di ruolo', 'Termine di ruolo', 1, 0, '', 6, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('654', 'v', 'Suddivisione geografica', 'Suddivisione geografica', 1, 0, '', 6, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('654', 'x', 'Suddivisione generale', 'Suddivisione generale', 1, 0, '', 6, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('654', 'y', 'Suddivisione cronologica', 'Suddivisione cronologica', 1, 0, '', 6, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('654', 'z', 'Suddivisione geografica', 'Suddivisione geografica', 1, 0, '', 6, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('655', '2', 'Fonte', 'Fonte', 0, 0, '', 6, '', '', '', NULL, -1, 'VR', '', '', NULL),
		('655', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, '', 6, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('655', '5', 'Istituzione a cui si applica il campo', 'Istituzione a cui si applica il campo', 0, 0, '', 6, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('655', '6', 'Collegamento', 'Collegamento', 0, 0, '', 6, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('655', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 6, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('655', 'a', 'Termine principale di genere/forma', 'Termine principale di genere/forma', 0, 0, '', 6, '', 'GENRE/FORM', '', NULL, -1, 'VR', '', '', NULL),
		('655', 'b', 'Termine non principale', 'Termine non principale', 1, 0, '', 6, '', '', '', NULL, -1, 'VR', '', '', NULL),
		('655', 'c', 'Designazione di faccetta/gerarchia', 'Designazione di faccetta/gerarchia', 1, 0, '', 6, '', '', '', NULL, -1, 'VR', '', '', NULL),
		('655', 'v', 'Suddivisione geografica', 'Suddivisione geografica', 1, 0, '', 6, '', '', '', NULL, -1, 'VR', '', '', NULL),
		('655', 'x', 'Suddivisione generale', 'Suddivisione generale', 1, 0, '', 6, '', '', '', NULL, -1, 'VR', '', '', NULL),
		('655', 'y', 'Suddivisione cronologica', 'Suddivisione cronologica', 1, 0, '', 6, '', '', '', NULL, -1, 'VR', '', '', NULL),
		('655', 'z', 'Suddivisione geografica', 'Suddivisione geografica', 1, 0, '', 6, '', '', '', NULL, -1, 'VR', '', '', NULL),
		('656', '2', 'Fonte', 'Fonte', 0, 0, '', 6, '', '', '', NULL, -1, 'VR', '', '', NULL),
		('656', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, '', 6, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('656', '6', 'Collegamento', 'Collegamento', 0, 0, '', 6, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('656', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 6, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('656', 'a', 'Occupazione', 'Occupazione', 0, 0, '', 6, '', 'TOPIC_TERM', '', NULL, -1, 'VR', '', '', NULL),
		('656', 'k', 'Forma', 'Forma', 0, 0, '', 6, '', '', '', NULL, -1, 'VR', '', '', NULL),
		('656', 'v', 'Suddivisione geografica', 'Suddivisione geografica', 1, 0, '', 6, '', '', '', NULL, -1, 'VR', '', '', NULL),
		('656', 'x', 'Suddivisione generale', 'Suddivisione generale', 1, 0, '', 6, '', '', '', NULL, -1, 'VR', '', '', NULL),
		('656', 'y', 'Suddivisione cronologica', 'Suddivisione cronologica', 1, 0, '', 6, '', '', '', NULL, -1, 'VR', '', '', NULL),
		('656', 'z', 'Suddivisione geografica', 'Suddivisione geografica', 1, 0, '', 6, '', '', '', NULL, -1, 'VR', '', '', NULL),
		('657', '2', 'Fonte', 'Fonte', 0, 0, '', 6, '', '', '', NULL, -1, 'VR', '', '', NULL),
		('657', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, '', 6, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('657', '6', 'Collegamento', 'Collegamento', 0, 0, '', 6, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('657', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 6, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('657', 'a', 'Funzione', 'Funzione', 0, 0, '', 6, '', 'TOPIC_TERM', '', NULL, -1, 'VR', '', '', NULL),
		('657', 'v', 'Suddivisione geografica', 'Suddivisione geografica', 1, 0, '', 6, '', '', '', NULL, -1, 'VR', '', '', NULL),
		('657', 'x', 'Suddivisione generale', 'Suddivisione generale', 1, 0, '', 6, '', '', '', NULL, -1, 'VR', '', '', NULL),
		('657', 'y', 'Suddivisione cronologica', 'Suddivisione cronologica', 1, 0, '', 6, '', '', '', NULL, -1, 'VR', '', '', NULL),
		('657', 'z', 'Suddivisione geografica', 'Suddivisione geografica', 1, 0, '', 6, '', '', '', NULL, -1, 'VR', '', '', NULL),
		('658', '2', 'Fonte', 'Fonte', 0, 0, '', 6, '', '', '', NULL, -1, 'VR', '', '', NULL),
		('658', '6', 'Collegamento', 'Collegamento', 0, 0, '', 6, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('658', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 6, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('658', 'a', 'Obiettivo principale del curriculum scolastico', 'Obiettivo principale del curriculum scolastico', 0, 0, '', 6, '', 'TOPIC_TERM', '', NULL, 0, 'VR', '', '', NULL),
		('658', 'b', 'Obiettivo secondario del curriculum scolastico', 'Obiettivo secondario del curriculum scolastico', 1, 0, '', 6, '', '', '', NULL, 0, 'VR', '', '', NULL),
		('658', 'c', 'Codice di curriculum scolastico', 'Codice di curriculum scolastico', 0, 0, '', 6, '', '', '', NULL, 0, 'VR', '', '', NULL),
		('658', 'd', 'Fattore di correlazione', 'Fattore di correlazione', 0, 0, '', 6, '', '', '', NULL, -1, 'VR', '', '', NULL),
		('662', '2', 'Fonte', 'Fonte', 0, 0, '', 6, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('662', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, '', 6, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('662', '4', 'Codice di ruolo', 'Codice di ruolo', 1, 0, '', 6, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('662', '6', 'Collegamento', 'Collegamento', 0, 0, '', 6, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('662', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 6, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('662', 'a', 'Paese o ente maggiore', 'Paese o ente maggiore', 1, 0, '', 6, '', 'GEOGR_NAME', '', NULL, -6, 'VR', '', '', NULL),
		('662', 'b', 'Giurisdizione politica principale', 'Giurisdizione politica principale', 0, 0, '', 6, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('662', 'c', 'Giurisdizione politica intermedia', 'Giurisdizione politica intermedia', 1, 0, '', 6, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('662', 'd', 'Città', 'Città', 0, 0, '', 6, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('662', 'e', 'Termine di ruolo', 'Termine di ruolo', 1, 0, '', 6, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('662', 'f', 'Suddivisione comunale', 'Suddivisione comunale', 1, 0, '', 6, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('662', 'g', 'Altra regione e caratteristica geografica non giurisdizionale', 'Altra regione e caratteristica geografica non giurisdizionale', 1, 0, '', 6, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('662', 'h', 'Paese o ente maggiore', 'Paese o ente maggiore', 1, 0, '', 6, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('690', '%', '% (RLIN)', '% (RLIN)', 0, 0, '', 6, '', '', '', 0, -6, 'VR', '', '', NULL),
		('690', '2', 'Fonte dell\'intestazione o del termine', 'Fonte dell\'intestazione o del termine', 0, 0, '', 6, '', '', '', 0, -6, 'VR', '', '', NULL),
		('690', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, '', 6, '', '', '', 0, -6, 'VR', '', '', NULL),
		('690', '6', 'Collegamento', 'Collegamento', 0, 0, '', 6, '', '', '', 0, -6, 'VR', '', '', NULL),
		('690', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 6, '', '', '', 0, -6, 'VR', '', '', NULL),
		('690', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 6, '', '', '', 0, -5, 'VR', '', '', NULL),
		('690', 'a', 'Termine topico o nome geografico come accesso', 'Termine topico o nome geografico come accesso', 0, 0, '', 6, '', 'TOPIC_TERM', '', 0, -1, 'VR', '', '', NULL),
		('690', 'b', 'Nome geografico che precede un termine topico come accesso', 'Nome geografico che precede un termine topico come accesso', 0, 0, '', 6, '', '', '', 0, -1, 'VR', '', '', NULL),
		('690', 'c', 'Luogo dell\'evento', 'Luogo dell\'evento', 0, 0, '', 6, '', '', '', 0, -1, 'VR', '', '', NULL),
		('690', 'd', 'Date d\'attività', 'Date d\'attività', 0, 0, '', 6, '', '', '', 0, -6, 'VR', '', '', NULL),
		('690', 'e', 'Termine di ruolo', 'Termine di ruolo', 0, 0, '', 6, '', '', '', 0, -6, 'VR', '', '', NULL),
		('690', 'v', 'Suddivisione geografica', 'Suddivisione geografica', 1, 0, '', 6, '', '', '', 0, -1, 'VR', '', '', NULL),
		('690', 'x', 'Suddivisione generale', 'Suddivisione generale', 1, 0, '', 6, '', '', '', 0, -1, 'VR', '', '', NULL),
		('690', 'y', 'Suddivisione cronologica', 'Suddivisione cronologica', 1, 0, '', 6, '', '', '', 0, -1, 'VR', '', '', NULL),
		('690', 'z', 'Suddivisione geografica', 'Suddivisione geografica', 1, 0, '', 6, '', '', '', 0, -1, 'VR', '', '', NULL),
		('691', '%', '% (RLIN)', '% (RLIN)', 0, 0, '', 6, '', '', '', 0, -6, 'VR', '', '', NULL),
		('691', '2', 'Fonte dell\'intestazione o del termine', 'Fonte dell\'intestazione o del termine', 0, 0, '', 6, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('691', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, '', 6, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('691', '6', 'Collegamento', 'Collegamento', 0, 0, '', 6, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('691', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 6, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('691', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 6, '', '', '', 0, -5, 'VR', '', '', NULL),
		('691', 'a', 'Nome geografico', 'Nome geografico', 0, 0, '', 6, '', 'GEOGR_NAME', '', NULL, -6, 'VR', '', '', NULL),
		('691', 'b', 'Geographic name following place entry element [OBSOLETE]', 'Geographic name following place entry element [OBSOLETE]', 1, 0, '', 6, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('691', 'v', 'Suddivisione geografica', 'Suddivisione geografica', 1, 0, '', 6, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('691', 'x', 'Suddivisione generale', 'Suddivisione generale', 1, 0, '', 6, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('691', 'y', 'Suddivisione cronologica', 'Suddivisione cronologica', 1, 0, '', 6, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('691', 'z', 'Suddivisione geografica', 'Suddivisione geografica', 1, 0, '', 6, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('696', '%', '% (RLIN)', '% (RLIN)', 0, 0, '', 6, '', '', '', 0, -6, 'VR', '', '', NULL),
		('696', '2', 'Fonte dell\'intestazione o del termine', 'Fonte dell\'intestazione o del termine', 0, 0, '', 6, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('696', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, '', 6, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('696', '4', 'Codice di ruolo', 'Codice di ruolo', 1, 0, '', 6, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('696', '6', 'Collegamento', 'Collegamento', 0, 0, '', 6, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('696', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 6, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('696', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 6, '', '', '', 0, -5, 'VR', '', '', NULL),
		('696', 'a', 'Nome di persona', 'Nome di persona', 0, 0, '', 6, '', 'PERSO_NAME', '', NULL, -6, 'VR', '', '', NULL),
		('696', 'b', 'Numerazione', 'Numerazione', 0, 0, '', 6, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('696', 'c', 'Titoli e altre parole associate al nome', 'Titoli e altre parole associate al nome', 1, 0, '', 6, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('696', 'd', 'Date associate al nome', 'Date associate al nome', 0, 0, '', 6, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('696', 'e', 'Termine di ruolo', 'Termine di ruolo', 1, 0, '', 6, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('696', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, '', 6, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('696', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, '', 6, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('696', 'h', 'Supporto', 'Supporto', 0, 0, '', 6, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('696', 'j', 'Qualificazione d\'attribuzione', 'Qualificazione d\'attribuzione', 1, 0, '', 6, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('696', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, '', 6, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('696', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, '', 6, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('696', 'm', 'Mezzo di esecuzione per la musica', 'Mezzo di esecuzione per la musica', 1, 0, '', 6, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('696', 'n', 'Numero di parte/sezione dell\'opera', 'Numero di parte/sezione dell\'opera', 1, 0, '', 6, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('696', 'o', 'Formulazione d\'arrangiamento per la musica', 'Formulazione d\'arrangiamento per la musica', 0, 0, '', 6, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('696', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, '', 6, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('696', 'q', 'Forma completa del nome', 'Forma completa del nome', 0, 0, '', 6, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('696', 'r', 'Tonalità (musica)', 'Tonalità (musica)', 0, 0, '', 6, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('696', 's', 'Versione', 'Versione', 0, 0, '', 6, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('696', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, '', 6, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('696', 'u', 'Affiliazione', 'Affiliazione', 0, 0, '', 6, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('696', 'v', 'Suddivisione geografica', 'Suddivisione geografica', 1, 0, '', 6, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('696', 'x', 'Suddivisione generale', 'Suddivisione generale', 1, 0, '', 6, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('696', 'y', 'Suddivisione cronologica', 'Suddivisione cronologica', 1, 0, '', 6, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('696', 'z', 'Suddivisione geografica', 'Suddivisione geografica', 1, 0, '', 6, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('697', '%', '% (RLIN)', '% (RLIN)', 0, 0, '', 6, '', '', '', 0, -6, 'VR', '', '', NULL),
		('697', '2', 'Fonte dell\'intestazione o del termine', 'Fonte dell\'intestazione o del termine', 0, 0, '', 6, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('697', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, '', 6, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('697', '4', 'Codice di ruolo', 'Codice di ruolo', 1, 0, '', 6, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('697', '6', 'Collegamento', 'Collegamento', 0, 0, '', 6, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('697', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 6, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('697', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 6, '', '', '', 0, -5, 'VR', '', '', NULL),
		('697', 'a', 'Nome dell\'ente o nome della giurisdizione come accesso', 'Nome dell\'ente o nome della giurisdizione come accesso', 0, 0, '', 6, '', 'CORPO_NAME', '', NULL, -6, 'VR', '', '', NULL),
		('697', 'b', 'Unità subordinata', 'Unità subordinata', 1, 0, '', 6, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('697', 'c', 'Luogo del convegno', 'Luogo del convegno', 0, 0, '', 6, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('697', 'd', 'Data del convegno o di firma del trattato', 'Data del convegno o di firma del trattato', 1, 0, '', 6, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('697', 'e', 'Termine di ruolo', 'Termine di ruolo', 1, 0, '', 6, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('697', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, '', 6, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('697', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, '', 6, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('697', 'h', 'Supporto', 'Supporto', 0, 0, '', 6, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('697', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, '', 6, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('697', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, '', 6, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('697', 'm', 'Mezzo di esecuzione per la musica', 'Mezzo di esecuzione per la musica', 1, 0, '', 6, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('697', 'n', 'Numero di parte/sezione/convegno', 'Numero di parte/sezione/convegno', 1, 0, '', 6, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('697', 'o', 'Formulazione d\'arrangiamento per la musica', 'Formulazione d\'arrangiamento per la musica', 0, 0, '', 6, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('697', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, '', 6, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('697', 'r', 'Tonalità (musica)', 'Tonalità (musica)', 0, 0, '', 6, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('697', 's', 'Versione', 'Versione', 0, 0, '', 6, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('697', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, '', 6, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('697', 'u', 'Affiliazione', 'Affiliazione', 0, 0, '', 6, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('697', 'v', 'Suddivisione geografica', 'Suddivisione geografica', 1, 0, '', 6, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('697', 'x', 'Suddivisione generale', 'Suddivisione generale', 1, 0, '', 6, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('697', 'y', 'Suddivisione cronologica', 'Suddivisione cronologica', 1, 0, '', 6, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('697', 'z', 'Suddivisione geografica', 'Suddivisione geografica', 1, 0, '', 6, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('698', '%', '% (RLIN)', '% (RLIN)', 0, 0, '', 6, '', '', '', 0, -6, 'VR', '', '', NULL),
		('698', '2', 'Fonte dell\'intestazione o del termine', 'Fonte dell\'intestazione o del termine', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('698', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('698', '4', 'Codice di ruolo', 'Codice di ruolo', 1, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('698', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('698', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('698', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 6, '', '', '', 0, -5, 'VR', '', '', NULL),
		('698', 'a', 'Nome del convegno o nome della giurisdizione come accesso', 'Nome del convegno o nome della giurisdizione come accesso', 0, 0, NULL, 6, NULL, 'MEETI_NAME', '', NULL, -6, 'VR', '', '', NULL),
		('698', 'b', 'Number  (BK CF MP MU SE VM MX)  [OBSOLETE]', 'Number  (BK CF MP MU SE VM MX)  [OBSOLETE]', 1, 0, NULL, -1, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('698', 'c', 'Luogo del convegno', 'Luogo del convegno', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('698', 'd', 'Data del convegno', 'Data del convegno', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('698', 'e', 'Unità subordinata', 'Unità subordinata', 1, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('698', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('698', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('698', 'h', 'Supporto', 'Supporto', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('698', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('698', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('698', 'n', 'Numero di parte/sezione/convegno', 'Numero di parte/sezione/convegno', 1, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('698', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('698', 'q', 'Nome del convegno dopo accesso di nome della giurisdizione', 'Nome del convegno dopo accesso di nome della giurisdizione', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('698', 's', 'Versione', 'Versione', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('698', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('698', 'u', 'Affiliazione', 'Affiliazione', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('698', 'v', 'Suddivisione geografica', 'Suddivisione geografica', 1, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('698', 'x', 'Suddivisione generale', 'Suddivisione generale', 1, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('698', 'y', 'Suddivisione cronologica', 'Suddivisione cronologica', 1, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('698', 'z', 'Suddivisione geografica', 'Suddivisione geografica', 1, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('699', '%', '% (RLIN)', '% (RLIN)', 0, 0, '', 6, '', '', '', 0, -6, 'VR', '', '', NULL),
		('699', '2', 'Fonte dell\'intestazione o del termine', 'Fonte dell\'intestazione o del termine', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('699', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('699', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('699', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('699', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 6, '', '', '', 0, -5, 'VR', '', '', NULL),
		('699', 'a', 'Titolo uniforme', 'Titolo uniforme', 0, 0, NULL, 6, NULL, 'UNIF_TITLE', '', NULL, -6, 'VR', '', '', NULL),
		('699', 'd', 'Data di firma del trattato', 'Data di firma del trattato', 1, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('699', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('699', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('699', 'h', 'Supporto', 'Supporto', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('699', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('699', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('699', 'm', 'Mezzo di esecuzione per la musica', 'Mezzo di esecuzione per la musica', 1, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('699', 'n', 'Numero di parte/sezione dell\'opera', 'Numero di parte/sezione dell\'opera', 1, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('699', 'o', 'Formulazione d\'arrangiamento per la musica', 'Formulazione d\'arrangiamento per la musica', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('699', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('699', 'r', 'Tonalità (musica)', 'Tonalità (musica)', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('699', 's', 'Versione', 'Versione', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('699', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('699', 'v', 'Suddivisione geografica', 'Suddivisione geografica', 1, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('699', 'x', 'Suddivisione generale', 'Suddivisione generale', 1, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('699', 'y', 'Suddivisione cronologica', 'Suddivisione cronologica', 1, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('700', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, '', 7, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('700', '4', 'Codice di ruolo', 'Codice di ruolo', 1, 0, '', 7, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('700', '5', 'Istituzione a cui si applica il campo', 'Istituzione a cui si applica il campo', 0, 0, '', 7, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('700', '6', 'Collegamento', 'Collegamento', 0, 0, '', 7, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('700', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 7, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('700', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 7, '', '', '', 0, -5, 'VR', '', '', NULL),
		('700', 'a', 'Nome di persona', 'Nome di persona', 0, 0, 'additionalauthors.author', 7, '', 'PERSO_NAME', '', NULL, -1, 'VR', '', '', NULL),
		('700', 'b', 'Numerazione', 'Numerazione', 0, 0, '', 7, '', '', '', NULL, -1, 'VR', '', '', NULL),
		('700', 'c', 'Titoli e altre parole associate al nome', 'Titoli e altre parole associate al nome', 1, 0, '', 7, '', '', '', NULL, -1, 'VR', '', '', NULL),
		('700', 'd', 'Date associate al nome', 'Date associate al nome', 0, 0, '', 7, '', '', '', NULL, -1, 'VR', '', '', NULL),
		('700', 'e', 'Termine di ruolo', 'Termine di ruolo', 1, 0, '', 7, '', '', '', NULL, -1, 'VR', '', '', NULL),
		('700', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, '', 7, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('700', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, '', 7, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('700', 'h', 'Supporto', 'Supporto', 0, 0, '', 7, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('700', 'j', 'Qualificazione d\'attribuzione', 'Qualificazione d\'attribuzione', 1, 0, '', 7, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('700', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, '', 7, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('700', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, '', 7, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('700', 'm', 'Mezzo di esecuzione per la musica', 'Mezzo di esecuzione per la musica', 1, 0, '', 7, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('700', 'n', 'Numero di parte/sezione dell\'opera', 'Numero di parte/sezione dell\'opera', 1, 0, '', 7, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('700', 'o', 'Formulazione d\'arrangiamento per la musica', 'Formulazione d\'arrangiamento per la musica', 0, 0, '', 7, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('700', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, '', 7, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('700', 'q', 'Forma completa del nome', 'Forma completa del nome', 0, 0, '', 7, '', '', '', NULL, -1, 'VR', '', '', NULL),
		('700', 'r', 'Tonalità (musica)', 'Tonalità (musica)', 0, 0, '', 7, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('700', 's', 'Versione', 'Versione', 0, 0, '', 7, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('700', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, '', 7, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('700', 'u', 'Affiliazione', 'Affiliazione', 0, 0, '', 7, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('700', 'x', 'ISSN (International Standard Serial Number)', 'ISSN (International Standard Serial Number)', 0, 0, '', 7, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('705', 'a', 'Nome di persona', 'Nome di persona', 0, 0, '', 7, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('705', 'b', 'Numerazione', 'Numerazione', 0, 0, '', 7, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('705', 'c', 'Titoli e altre parole associate al nome', 'Titoli e altre parole associate al nome', 1, 0, '', 7, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('705', 'd', 'Date associate al nome', 'Date associate al nome', 0, 0, '', 7, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('705', 'e', 'Termine di ruolo', 'Termine di ruolo', 1, 0, '', 7, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('705', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, '', 7, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('705', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, '', 7, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('705', 'h', 'Supporto', 'Supporto', 0, 0, '', 7, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('705', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, '', 7, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('705', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, '', 7, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('705', 'm', 'Mezzo di esecuzione per la musica', 'Mezzo di esecuzione per la musica', 1, 0, '', 7, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('705', 'n', 'Numero di parte/sezione dell\'opera', 'Numero di parte/sezione dell\'opera', 1, 0, '', 7, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('705', 'o', 'Formulazione d\'arrangiamento per la musica', 'Formulazione d\'arrangiamento per la musica', 0, 0, '', 7, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('705', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, '', 7, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('705', 'r', 'Tonalità (musica)', 'Tonalità (musica)', 0, 0, '', 7, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('705', 's', 'Versione', 'Versione', 0, 0, '', 7, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('705', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, '', 7, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('710', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, '', 7, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('710', '4', 'Codice di ruolo', 'Codice di ruolo', 1, 0, '', 7, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('710', '5', 'Istituzione a cui si applica il campo', 'Istituzione a cui si applica il campo', 0, 0, '', 7, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('710', '6', 'Collegamento', 'Collegamento', 0, 0, '', 7, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('710', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 7, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('710', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 7, '', '', '', 0, -5, 'VR', '', '', NULL),
		('710', 'a', 'Nome dell\'ente o nome della giurisdizione come accesso', 'Nome dell\'ente o nome della giurisdizione come accesso', 0, 0, '', 7, '', 'CORPO_NAME', '', NULL, -1, 'VR', '', '', NULL),
		('710', 'b', 'Unità subordinata', 'Unità subordinata', 1, 0, '', 7, '', '', '', NULL, -1, 'VR', '', '', NULL),
		('710', 'c', 'Luogo del convegno', 'Luogo del convegno', 0, 0, '', 7, '', '', '', NULL, -1, 'VR', '', '', NULL),
		('710', 'd', 'Data del convegno o di firma del trattato', 'Data del convegno o di firma del trattato', 1, 0, '', 7, '', '', '', NULL, -1, 'VR', '', '', NULL),
		('710', 'e', 'Termine di ruolo', 'Termine di ruolo', 1, 0, '', 7, '', '', '', NULL, -1, 'VR', '', '', NULL),
		('710', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, '', 7, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('710', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, '', 7, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('710', 'h', 'Supporto', 'Supporto', 0, 0, '', 7, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('710', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, '', 7, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('710', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, '', 7, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('710', 'm', 'Mezzo di esecuzione per la musica', 'Mezzo di esecuzione per la musica', 1, 0, '', 7, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('710', 'n', 'Numero di parte/sezione/convegno', 'Numero di parte/sezione/convegno', 1, 0, '', 7, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('710', 'o', 'Formulazione d\'arrangiamento per la musica', 'Formulazione d\'arrangiamento per la musica', 0, 0, '', 7, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('710', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, '', 7, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('710', 'r', 'Tonalità (musica)', 'Tonalità (musica)', 0, 0, '', 7, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('710', 's', 'Versione', 'Versione', 0, 0, '', 7, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('710', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, '', 7, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('710', 'u', 'Affiliazione', 'Affiliazione', 0, 0, '', 7, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('710', 'x', 'ISSN (International Standard Serial Number)', 'ISSN (International Standard Serial Number)', 0, 0, '', 7, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('711', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('711', '4', 'Codice di ruolo', 'Codice di ruolo', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('711', '5', 'Istituzione a cui si applica il campo', 'Istituzione a cui si applica il campo', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('711', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('711', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('711', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 7, '', '', '', 0, -5, 'VR', '', '', NULL),
		('711', 'a', 'Nome del convegno o nome della giurisdizione come accesso', 'Nome del convegno o nome della giurisdizione come accesso', 0, 0, NULL, 7, NULL, 'MEETI_NAME', '', NULL, -1, 'VR', '', '', NULL),
		('711', 'b', 'Number (BK CF MP MU SE VM MX) [OBSOLETE]', 'Number (BK CF MP MU SE VM MX) [OBSOLETE]', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('711', 'c', 'Luogo del convegno', 'Luogo del convegno', 0, 0, NULL, 7, NULL, NULL, '', NULL, -1, 'VR', '', '', NULL),
		('711', 'd', 'Data del convegno', 'Data del convegno', 0, 0, NULL, 7, NULL, NULL, '', NULL, -1, 'VR', '', '', NULL),
		('711', 'e', 'Unità subordinata', 'Unità subordinata', 1, 0, NULL, 7, NULL, NULL, '', NULL, -1, 'VR', '', '', NULL),
		('711', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('711', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('711', 'h', 'Supporto', 'Supporto', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('711', 'j', 'Termine di ruolo', 'Termine di ruolo', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('711', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('711', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('711', 'n', 'Numero di parte/sezione/convegno', 'Numero di parte/sezione/convegno', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('711', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('711', 'q', 'Nome del convegno dopo accesso di nome della giurisdizione', 'Nome del convegno dopo accesso di nome della giurisdizione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('711', 's', 'Versione', 'Versione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('711', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('711', 'u', 'Affiliazione', 'Affiliazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('711', 'x', 'ISSN (International Standard Serial Number)', 'ISSN (International Standard Serial Number)', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('715', '%', '% (RLIN)', '% (RLIN)', 0, 0, '', 7, '', '', '', 0, -6, 'VR', '', '', NULL),
		('715', 'a', 'Ragione sociale o nome giuridico', 'Ragione sociale o nome giuridico', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('715', 'b', 'Unità subordinata', 'Unità subordinata', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('715', 'e', 'Termine di ruolo', 'Termine di ruolo', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('715', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('715', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('715', 'h', 'Supporto', 'Supporto', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('715', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('715', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('715', 'n', 'Numero di parte/sezione/convegno', 'Numero di parte/sezione/convegno', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('715', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('715', 'r', 'Tonalità (musica)', 'Tonalità (musica)', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('715', 's', 'Versione', 'Versione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('715', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('715', 'u', 'Nonprinting information', 'Nonprinting information', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('720', '4', 'Codice di ruolo', 'Codice di ruolo', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('720', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('720', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('720', 'a', 'Nome', 'Nome', 0, 0, '', 7, NULL, NULL, '', NULL, -1, 'VR', '', '', NULL),
		('720', 'e', 'Termine di ruolo', 'Termine di ruolo', 1, 0, NULL, 7, NULL, NULL, '', NULL, -1, 'VR', '', '', NULL),
		('730', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, '', 7, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('730', '5', 'Istituzione a cui si applica il campo', 'Istituzione a cui si applica il campo', 0, 0, '', 7, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('730', '6', 'Collegamento', 'Collegamento', 0, 0, '', 7, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('730', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 7, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('730', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 7, '', '', '', 0, -5, 'VR', '', '', NULL),
		('730', 'a', 'Titolo uniforme', 'Titolo uniforme', 0, 0, '', 7, '', 'UNIF_TITLE', '', NULL, -6, 'VR', '', '', NULL),
		('730', 'd', 'Data di firma del trattato', 'Data di firma del trattato', 1, 0, '', 7, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('730', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, '', 7, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('730', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, '', 7, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('730', 'h', 'Supporto', 'Supporto', 0, 0, '', 7, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('730', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, '', 7, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('730', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, '', 7, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('730', 'm', 'Mezzo di esecuzione per la musica', 'Mezzo di esecuzione per la musica', 1, 0, '', 7, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('730', 'n', 'Numero di parte/sezione dell\'opera', 'Numero di parte/sezione dell\'opera', 1, 0, '', 7, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('730', 'o', 'Formulazione d\'arrangiamento per la musica', 'Formulazione d\'arrangiamento per la musica', 0, 0, '', 7, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('730', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, '', 7, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('730', 'r', 'Tonalità (musica)', 'Tonalità (musica)', 0, 0, '', 7, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('730', 's', 'Versione', 'Versione', 0, 0, '', 7, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('730', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, '', 7, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('730', 'x', 'ISSN (International Standard Serial Number)', 'ISSN (International Standard Serial Number)', 0, 0, '', 7, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('740', '5', 'Istituzione a cui si applica il campo', 'Istituzione a cui si applica il campo', 0, 0, '', 7, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('740', '6', 'Collegamento', 'Collegamento', 0, 0, '', 7, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('740', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 7, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('740', 'a', 'Titolo analitico/correlato non controllato', 'Titolo analitico/correlato non controllato', 0, 0, '', 7, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('740', 'h', 'Supporto', 'Supporto', 0, 0, '', 7, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('740', 'n', 'Numero di parte/sezione dell\'opera', 'Numero di parte/sezione dell\'opera', 1, 0, '', 7, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('740', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, '', 7, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('752', '2', 'Fonte dell\'intestazione o del termine', 'Fonte dell\'intestazione o del termine', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('752', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('752', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('752', 'a', 'Paese o ente maggiore', 'Paese o ente maggiore', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('752', 'b', 'Giurisdizione politica principale', 'Giurisdizione politica principale', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('752', 'c', 'Giurisdizione politica intermedia', 'Giurisdizione politica intermedia', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('752', 'd', 'Città', 'Città', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('752', 'f', 'Suddivisione comunale', 'Suddivisione comunale', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('752', 'g', 'Altra regione e caratteristica geografica non giurisdizionale', 'Altra regione e caratteristica geografica non giurisdizionale', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('752', 'h', 'Paese o ente maggiore', 'Paese o ente maggiore', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('753', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('753', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('753', 'a', 'Marca e modello della macchina', 'Marca e modello della macchina', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('753', 'b', 'Linguaggio di programmazione', 'Linguaggio di programmazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('753', 'c', 'Sistema operativo', 'Sistema operativo', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('754', '2', 'Fonte dell\'identificazione tassonomica', 'Fonte dell\'identificazione tassonomica', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('754', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('754', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('754', 'a', 'Nome tassonomico', 'Nome tassonomico', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('754', 'c', 'Categoria tassonomica', 'Categoria tassonomica', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('754', 'd', 'Nome comune o alternativo', 'Nome comune o alternativo', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('754', 'x', 'Nota non pubblica', 'Nota non pubblica', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('754', 'z', 'Nota pubblica', 'Nota pubblica', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('755', '2', 'Fonte dell\'identificazione tassonomica', 'Fonte dell\'identificazione tassonomica', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('755', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, '', 7, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('755', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('755', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('755', 'a', 'Termine d\'accesso', 'Termine d\'accesso', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('755', 'x', 'Suddivisione generale', 'Suddivisione generale', 1, 0, '', 7, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('755', 'y', 'Suddivisione cronologica', 'Suddivisione cronologica', 1, 0, '', 7, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('755', 'z', 'Suddivisione geografica', 'Suddivisione geografica', 1, 0, '', 7, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('760', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('760', '7', 'Sottocampo di controllo', 'Sottocampo di controllo', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('760', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('760', 'a', 'Intestazione principale', 'Intestazione principale', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('760', 'b', 'Edizione', 'Edizione', 0, 0, NULL, 7, NULL, NULL, '', NULL, 0, 'VR', '', '', NULL),
		('760', 'c', 'Qualificazione', 'Qualificazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('760', 'd', 'Luogo, editore e data di pubblicazione', 'Luogo, editore e data di pubblicazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('760', 'g', 'Informazione sulla relazione', 'Informazione sulla relazione', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('760', 'h', 'Descrizione fisica', 'Descrizione fisica', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('760', 'i', 'Informazione sulla relazione', 'Informazione sulla relazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('760', 'm', 'Dettagli specifici del materiale', 'Dettagli specifici del materiale', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('760', 'n', 'Nota', 'Nota', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('760', 'o', 'Altro identificatore dell\'item', 'Altro identificatore dell\'item', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('760', 'q', 'Parallel title (BK SE) [OBSOLETE]', 'Parallel title (BK SE) [OBSOLETE]', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('760', 's', 'Titolo uniforme', 'Titolo uniforme', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('760', 't', 'Titolo', 'Titolo', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('760', 'w', 'Numero di controllo della registrazione', 'Numero di controllo della registrazione', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('760', 'x', 'ISSN (International Standard Serial Number)', 'ISSN (International Standard Serial Number)', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('760', 'y', 'Designazione CODEN', 'Designazione CODEN', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('762', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('762', '7', 'Sottocampo di controllo', 'Sottocampo di controllo', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('762', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('762', 'a', 'Intestazione principale', 'Intestazione principale', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('762', 'b', 'Edizione', 'Edizione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('762', 'c', 'Qualificazione', 'Qualificazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('762', 'd', 'Luogo, editore e data di pubblicazione', 'Luogo, editore e data di pubblicazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('762', 'g', 'Informazione sulla relazione', 'Informazione sulla relazione', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('762', 'h', 'Descrizione fisica', 'Descrizione fisica', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('762', 'i', 'Informazione sulla relazione', 'Informazione sulla relazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('762', 'm', 'Dettagli specifici del materiale', 'Dettagli specifici del materiale', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('762', 'n', 'Nota', 'Nota', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('762', 'o', 'Altro identificatore dell\'item', 'Altro identificatore dell\'item', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('762', 'q', 'Parallel title (BK SE) [OBSOLETE]', 'Parallel title (BK SE) [OBSOLETE]', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('762', 's', 'Titolo uniforme', 'Titolo uniforme', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('762', 't', 'Titolo', 'Titolo', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('762', 'w', 'Numero di controllo della registrazione', 'Numero di controllo della registrazione', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('762', 'x', 'ISSN (International Standard Serial Number)', 'ISSN (International Standard Serial Number)', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('762', 'y', 'Designazione CODEN', 'Designazione CODEN', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('765', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('765', '7', 'Sottocampo di controllo', 'Sottocampo di controllo', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('765', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('765', 'a', 'Intestazione principale', 'Intestazione principale', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('765', 'b', 'Edizione', 'Edizione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('765', 'c', 'Qualificazione', 'Qualificazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('765', 'd', 'Luogo, editore e data di pubblicazione', 'Luogo, editore e data di pubblicazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('765', 'g', 'Informazione sulla relazione', 'Informazione sulla relazione', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('765', 'h', 'Descrizione fisica', 'Descrizione fisica', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('765', 'i', 'Informazione sulla relazione', 'Informazione sulla relazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('765', 'k', 'Dati della serie dell\'item correlato', 'Dati della serie dell\'item correlato', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('765', 'm', 'Dettagli specifici del materiale', 'Dettagli specifici del materiale', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('765', 'n', 'Nota', 'Nota', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('765', 'o', 'Altro identificatore dell\'item', 'Altro identificatore dell\'item', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('765', 'q', 'Parallel title (BK SE)  [OBSOLETE]', 'Parallel title (BK SE)  [OBSOLETE]', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('765', 'r', 'Numero di rapporto', 'Numero di rapporto', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('765', 's', 'Titolo uniforme', 'Titolo uniforme', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('765', 't', 'Titolo', 'Titolo', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('765', 'u', 'Standard Technical Report Number', 'Standard Technical Report Number', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('765', 'w', 'Numero di controllo della registrazione', 'Numero di controllo della registrazione', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('765', 'x', 'ISSN (International Standard Serial Number)', 'ISSN (International Standard Serial Number)', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('765', 'y', 'Designazione CODEN', 'Designazione CODEN', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('765', 'z', 'ISBN (International Standard Book Number)', 'ISBN (International Standard Book Number)', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('767', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('767', '7', 'Sottocampo di controllo', 'Sottocampo di controllo', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('767', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('767', 'a', 'Intestazione principale', 'Intestazione principale', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('767', 'b', 'Edizione', 'Edizione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('767', 'c', 'Qualificazione', 'Qualificazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('767', 'd', 'Luogo, editore e data di pubblicazione', 'Luogo, editore e data di pubblicazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('767', 'g', 'Informazione sulla relazione', 'Informazione sulla relazione', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('767', 'h', 'Descrizione fisica', 'Descrizione fisica', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('767', 'i', 'Informazione sulla relazione', 'Informazione sulla relazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('767', 'k', 'Dati della serie dell\'item correlato', 'Dati della serie dell\'item correlato', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('767', 'm', 'Dettagli specifici del materiale', 'Dettagli specifici del materiale', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('767', 'n', 'Nota', 'Nota', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('767', 'o', 'Altro identificatore dell\'item', 'Altro identificatore dell\'item', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('767', 'q', 'Parallel title (BK SE) [OBSOLETE]', 'Parallel title (BK SE) [OBSOLETE]', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('767', 'r', 'Numero di rapporto', 'Numero di rapporto', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('767', 's', 'Titolo uniforme', 'Titolo uniforme', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('767', 't', 'Titolo', 'Titolo', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('767', 'u', 'Standard Technical Report Number', 'Standard Technical Report Number', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('767', 'w', 'Numero di controllo della registrazione', 'Numero di controllo della registrazione', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('767', 'x', 'ISSN (International Standard Serial Number)', 'ISSN (International Standard Serial Number)', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('767', 'y', 'Designazione CODEN', 'Designazione CODEN', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('767', 'z', 'ISBN (International Standard Book Number)', 'ISBN (International Standard Book Number)', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('770', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('770', '7', 'Sottocampo di controllo', 'Sottocampo di controllo', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('770', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('770', 'a', 'Intestazione principale', 'Intestazione principale', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('770', 'b', 'Edizione', 'Edizione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('770', 'c', 'Qualificazione', 'Qualificazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('770', 'd', 'Luogo, editore e data di pubblicazione', 'Luogo, editore e data di pubblicazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('770', 'g', 'Informazione sulla relazione', 'Informazione sulla relazione', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('770', 'h', 'Descrizione fisica', 'Descrizione fisica', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('770', 'i', 'Informazione sulla relazione', 'Informazione sulla relazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('770', 'k', 'Dati della serie dell\'item correlato', 'Dati della serie dell\'item correlato', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('770', 'm', 'Dettagli specifici del materiale', 'Dettagli specifici del materiale', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('770', 'n', 'Nota', 'Nota', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('770', 'o', 'Altro identificatore dell\'item', 'Altro identificatore dell\'item', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('770', 'q', 'Parallel title (BK SE) [OBSOLETE]', 'Parallel title (BK SE) [OBSOLETE]', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('770', 'r', 'Numero di rapporto', 'Numero di rapporto', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('770', 's', 'Titolo uniforme', 'Titolo uniforme', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('770', 't', 'Titolo', 'Titolo', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('770', 'u', 'Standard Technical Report Number', 'Standard Technical Report Number', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('770', 'w', 'Numero di controllo della registrazione', 'Numero di controllo della registrazione', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('770', 'x', 'ISSN (International Standard Serial Number)', 'ISSN (International Standard Serial Number)', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('770', 'y', 'Designazione CODEN', 'Designazione CODEN', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('770', 'z', 'ISBN (International Standard Book Number)', 'ISBN (International Standard Book Number)', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('772', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('772', '7', 'Sottocampo di controllo', 'Sottocampo di controllo', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('772', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('772', 'a', 'Intestazione principale', 'Intestazione principale', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('772', 'b', 'Edizione', 'Edizione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('772', 'c', 'Qualificazione', 'Qualificazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('772', 'd', 'Luogo, editore e data di pubblicazione', 'Luogo, editore e data di pubblicazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('772', 'g', 'Informazione sulla relazione', 'Informazione sulla relazione', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('772', 'h', 'Descrizione fisica', 'Descrizione fisica', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('772', 'i', 'Informazione sulla relazione', 'Informazione sulla relazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('772', 'k', 'Dati della serie dell\'item correlato', 'Dati della serie dell\'item correlato', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('772', 'm', 'Dettagli specifici del materiale', 'Dettagli specifici del materiale', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('772', 'n', 'Nota', 'Nota', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('772', 'o', 'Altro identificatore dell\'item', 'Altro identificatore dell\'item', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('772', 'q', 'Parallel title (BK SE) [OBSOLETE]', 'Parallel title (BK SE) [OBSOLETE]', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('772', 'r', 'Numero di rapporto', 'Numero di rapporto', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('772', 's', 'Titolo uniforme', 'Titolo uniforme', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('772', 't', 'Titolo', 'Titolo', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('772', 'u', 'Standard Technical Report Number', 'Standard Technical Report Number', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('772', 'w', 'Numero di controllo della registrazione', 'Numero di controllo della registrazione', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('772', 'x', 'ISSN (International Standard Serial Number)', 'ISSN (International Standard Serial Number)', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('772', 'y', 'Designazione CODEN', 'Designazione CODEN', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('772', 'z', 'ISBN (International Standard Book Number)', 'ISBN (International Standard Book Number)', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('773', '0', 'Codice record bibliografico contenente lo spoglio', 'Codice record bibliografico contenente lo spoglio', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('773', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('773', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('773', '7', 'Sottocampo di controllo', 'Sottocampo di controllo', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('773', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('773', '9', 'Codice copia contenete lo spoglio', 'Codice copia contenete lo spoglio', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('773', 'a', 'Intestazione principale', 'Intestazione principale', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('773', 'b', 'Edizione', 'Edizione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('773', 'd', 'Luogo, editore e data di pubblicazione', 'Luogo, editore e data di pubblicazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('773', 'g', 'Informazione sulla relazione', 'Informazione sulla relazione', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('773', 'h', 'Descrizione fisica', 'Descrizione fisica', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('773', 'i', 'Informazione sulla relazione', 'Informazione sulla relazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('773', 'k', 'Dati della serie dell\'item correlato', 'Dati della serie dell\'item correlato', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('773', 'm', 'Dettagli specifici del materiale', 'Dettagli specifici del materiale', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('773', 'n', 'Nota', 'Nota', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('773', 'o', 'Altro identificatore dell\'item', 'Altro identificatore dell\'item', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('773', 'p', 'Titolo abbreviato', 'Titolo abbreviato', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('773', 'r', 'Numero di rapporto', 'Numero di rapporto', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('773', 's', 'Titolo uniforme', 'Titolo uniforme', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('773', 't', 'Titolo', 'Titolo', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('773', 'u', 'Standard Technical Report Number', 'Standard Technical Report Number', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('773', 'w', 'Numero di controllo della registrazione', 'Numero di controllo della registrazione', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('773', 'x', 'ISSN (International Standard Serial Number)', 'ISSN (International Standard Serial Number)', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('773', 'y', 'Designazione CODEN', 'Designazione CODEN', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('773', 'z', 'ISBN (International Standard Book Number)', 'ISBN (International Standard Book Number)', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('774', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('774', '7', 'Sottocampo di controllo', 'Sottocampo di controllo', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('774', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('774', 'a', 'Intestazione principale', 'Intestazione principale', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('774', 'b', 'Edizione', 'Edizione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('774', 'c', 'Qualificazione', 'Qualificazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('774', 'd', 'Luogo, editore e data di pubblicazione', 'Luogo, editore e data di pubblicazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('774', 'g', 'Informazione sulla relazione', 'Informazione sulla relazione', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('774', 'h', 'Descrizione fisica', 'Descrizione fisica', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('774', 'i', 'Informazione sulla relazione', 'Informazione sulla relazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('774', 'k', 'Dati della serie dell\'item correlato', 'Dati della serie dell\'item correlato', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('774', 'm', 'Dettagli specifici del materiale', 'Dettagli specifici del materiale', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('774', 'n', 'Nota', 'Nota', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('774', 'o', 'Altro identificatore dell\'item', 'Altro identificatore dell\'item', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('774', 'r', 'Numero di rapporto', 'Numero di rapporto', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('774', 's', 'Titolo uniforme', 'Titolo uniforme', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('774', 't', 'Titolo', 'Titolo', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('774', 'u', 'Standard Technical Report Number', 'Standard Technical Report Number', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('774', 'w', 'Numero di controllo della registrazione', 'Numero di controllo della registrazione', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('774', 'x', 'ISSN (International Standard Serial Number)', 'ISSN (International Standard Serial Number)', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('774', 'y', 'Designazione CODEN', 'Designazione CODEN', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('774', 'z', 'ISBN (International Standard Book Number)', 'ISBN (International Standard Book Number)', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('775', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('775', '7', 'Sottocampo di controllo', 'Sottocampo di controllo', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('775', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('775', 'a', 'Intestazione principale', 'Intestazione principale', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('775', 'b', 'Edizione', 'Edizione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('775', 'c', 'Qualificazione', 'Qualificazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('775', 'd', 'Luogo, editore e data di pubblicazione', 'Luogo, editore e data di pubblicazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('775', 'e', 'Codice lingua', 'Codice lingua', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('775', 'f', 'Codice di paese', 'Codice di paese', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('775', 'g', 'Informazione sulla relazione', 'Informazione sulla relazione', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('775', 'h', 'Descrizione fisica', 'Descrizione fisica', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('775', 'i', 'Informazione sulla relazione', 'Informazione sulla relazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('775', 'k', 'Dati della serie dell\'item correlato', 'Dati della serie dell\'item correlato', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('775', 'm', 'Dettagli specifici del materiale', 'Dettagli specifici del materiale', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('775', 'n', 'Nota', 'Nota', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('775', 'o', 'Altro identificatore dell\'item', 'Altro identificatore dell\'item', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('775', 'q', 'Parallel title (BK SE) [OBSOLETE]', 'Parallel title (BK SE) [OBSOLETE]', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('775', 'r', 'Numero di rapporto', 'Numero di rapporto', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('775', 's', 'Titolo uniforme', 'Titolo uniforme', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('775', 't', 'Titolo', 'Titolo', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('775', 'u', 'Standard Technical Report Number', 'Standard Technical Report Number', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('775', 'w', 'Numero di controllo della registrazione', 'Numero di controllo della registrazione', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('775', 'x', 'ISSN (International Standard Serial Number)', 'ISSN (International Standard Serial Number)', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('775', 'y', 'Designazione CODEN', 'Designazione CODEN', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('775', 'z', 'ISBN (International Standard Book Number)', 'ISBN (International Standard Book Number)', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('776', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('776', '7', 'Sottocampo di controllo', 'Sottocampo di controllo', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('776', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('776', 'a', 'Intestazione principale', 'Intestazione principale', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('776', 'b', 'Edizione', 'Edizione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('776', 'c', 'Qualificazione', 'Qualificazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('776', 'd', 'Luogo, editore e data di pubblicazione', 'Luogo, editore e data di pubblicazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('776', 'g', 'Informazione sulla relazione', 'Informazione sulla relazione', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('776', 'h', 'Descrizione fisica', 'Descrizione fisica', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('776', 'i', 'Informazione sulla relazione', 'Informazione sulla relazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('776', 'k', 'Dati della serie dell\'item correlato', 'Dati della serie dell\'item correlato', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('776', 'm', 'Dettagli specifici del materiale', 'Dettagli specifici del materiale', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('776', 'n', 'Nota', 'Nota', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('776', 'o', 'Altro identificatore dell\'item', 'Altro identificatore dell\'item', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('776', 'q', 'Parallel title (BK SE) [OBSOLETE]', 'Parallel title (BK SE) [OBSOLETE]', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('776', 'r', 'Numero di rapporto', 'Numero di rapporto', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('776', 's', 'Titolo uniforme', 'Titolo uniforme', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('776', 't', 'Titolo', 'Titolo', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('776', 'u', 'Standard Technical Report Number', 'Standard Technical Report Number', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('776', 'w', 'Numero di controllo della registrazione', 'Numero di controllo della registrazione', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('776', 'x', 'ISSN (International Standard Serial Number)', 'ISSN (International Standard Serial Number)', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('776', 'y', 'Designazione CODEN', 'Designazione CODEN', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('776', 'z', 'ISBN (International Standard Book Number)', 'ISBN (International Standard Book Number)', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('777', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('777', '7', 'Sottocampo di controllo', 'Sottocampo di controllo', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('777', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('777', 'a', 'Intestazione principale', 'Intestazione principale', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('777', 'b', 'Edizione', 'Edizione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('777', 'c', 'Qualificazione', 'Qualificazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('777', 'd', 'Luogo, editore e data di pubblicazione', 'Luogo, editore e data di pubblicazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('777', 'g', 'Informazione sulla relazione', 'Informazione sulla relazione', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('777', 'h', 'Descrizione fisica', 'Descrizione fisica', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('777', 'i', 'Informazione sulla relazione', 'Informazione sulla relazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('777', 'k', 'Dati della serie dell\'item correlato', 'Dati della serie dell\'item correlato', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('777', 'm', 'Dettagli specifici del materiale', 'Dettagli specifici del materiale', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('777', 'n', 'Nota', 'Nota', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('777', 'o', 'Altro identificatore dell\'item', 'Altro identificatore dell\'item', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('777', 'q', 'Parallel title (BK SE) [OBSOLETE]', 'Parallel title (BK SE) [OBSOLETE]', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('777', 's', 'Titolo uniforme', 'Titolo uniforme', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('777', 't', 'Titolo', 'Titolo', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('777', 'w', 'Numero di controllo della registrazione', 'Numero di controllo della registrazione', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('777', 'x', 'ISSN (International Standard Serial Number)', 'ISSN (International Standard Serial Number)', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('777', 'y', 'Designazione CODEN', 'Designazione CODEN', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('780', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('780', '7', 'Sottocampo di controllo', 'Sottocampo di controllo', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('780', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('780', 'a', 'Intestazione principale', 'Intestazione principale', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('780', 'b', 'Edizione', 'Edizione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('780', 'c', 'Qualificazione', 'Qualificazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('780', 'd', 'Luogo, editore e data di pubblicazione', 'Luogo, editore e data di pubblicazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('780', 'g', 'Informazione sulla relazione', 'Informazione sulla relazione', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('780', 'h', 'Descrizione fisica', 'Descrizione fisica', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('780', 'i', 'Informazione sulla relazione', 'Informazione sulla relazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('780', 'k', 'Dati della serie dell\'item correlato', 'Dati della serie dell\'item correlato', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('780', 'm', 'Dettagli specifici del materiale', 'Dettagli specifici del materiale', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('780', 'n', 'Nota', 'Nota', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('780', 'o', 'Altro identificatore dell\'item', 'Altro identificatore dell\'item', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('780', 'q', 'Parallel title (BK SE) [OBSOLETE]', 'Parallel title (BK SE) [OBSOLETE]', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('780', 'r', 'Numero di rapporto', 'Numero di rapporto', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('780', 's', 'Titolo uniforme', 'Titolo uniforme', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('780', 't', 'Titolo', 'Titolo', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('780', 'u', 'Standard Technical Report Number', 'Standard Technical Report Number', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('780', 'w', 'Numero di controllo della registrazione', 'Numero di controllo della registrazione', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('780', 'x', 'ISSN (International Standard Serial Number)', 'ISSN (International Standard Serial Number)', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('780', 'y', 'Designazione CODEN', 'Designazione CODEN', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('780', 'z', 'ISBN (International Standard Book Number)', 'ISBN (International Standard Book Number)', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('785', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('785', '7', 'Sottocampo di controllo', 'Sottocampo di controllo', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('785', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('785', 'a', 'Intestazione principale', 'Intestazione principale', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('785', 'b', 'Edizione', 'Edizione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('785', 'c', 'Qualificazione', 'Qualificazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('785', 'd', 'Luogo, editore e data di pubblicazione', 'Luogo, editore e data di pubblicazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('785', 'g', 'Informazione sulla relazione', 'Informazione sulla relazione', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('785', 'h', 'Descrizione fisica', 'Descrizione fisica', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('785', 'i', 'Informazione sulla relazione', 'Informazione sulla relazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('785', 'k', 'Dati della serie dell\'item correlato', 'Dati della serie dell\'item correlato', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('785', 'm', 'Dettagli specifici del materiale', 'Dettagli specifici del materiale', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('785', 'n', 'Nota', 'Nota', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('785', 'o', 'Altro identificatore dell\'item', 'Altro identificatore dell\'item', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('785', 'q', 'Parallel title (BK SE) [OBSOLETE]', 'Parallel title (BK SE) [OBSOLETE]', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('785', 'r', 'Numero di rapporto', 'Numero di rapporto', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('785', 's', 'Titolo uniforme', 'Titolo uniforme', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('785', 't', 'Titolo', 'Titolo', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('785', 'u', 'Standard Technical Report Number', 'Standard Technical Report Number', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('785', 'w', 'Numero di controllo della registrazione', 'Numero di controllo della registrazione', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('785', 'x', 'ISSN (International Standard Serial Number)', 'ISSN (International Standard Serial Number)', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('785', 'y', 'Designazione CODEN', 'Designazione CODEN', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('785', 'z', 'ISBN (International Standard Book Number)', 'ISBN (International Standard Book Number)', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('786', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('786', '7', 'Sottocampo di controllo', 'Sottocampo di controllo', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('786', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('786', 'a', 'Intestazione principale', 'Intestazione principale', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('786', 'b', 'Edizione', 'Edizione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('786', 'c', 'Qualificazione', 'Qualificazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('786', 'd', 'Luogo, editore e data di pubblicazione', 'Luogo, editore e data di pubblicazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('786', 'g', 'Informazione sulla relazione', 'Informazione sulla relazione', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('786', 'h', 'Descrizione fisica', 'Descrizione fisica', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('786', 'i', 'Informazione sulla relazione', 'Informazione sulla relazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('786', 'j', 'Periodo del contenuto', 'Periodo del contenuto', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('786', 'k', 'Dati della serie dell\'item correlato', 'Dati della serie dell\'item correlato', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('786', 'm', 'Dettagli specifici del materiale', 'Dettagli specifici del materiale', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('786', 'n', 'Nota', 'Nota', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('786', 'o', 'Altro identificatore dell\'item', 'Altro identificatore dell\'item', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('786', 'p', 'Titolo abbreviato', 'Titolo abbreviato', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('786', 'r', 'Numero di rapporto', 'Numero di rapporto', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('786', 's', 'Titolo uniforme', 'Titolo uniforme', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('786', 't', 'Titolo', 'Titolo', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('786', 'u', 'Standard Technical Report Number', 'Standard Technical Report Number', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('786', 'w', 'Numero di controllo della registrazione', 'Numero di controllo della registrazione', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('786', 'x', 'ISSN (International Standard Serial Number)', 'ISSN (International Standard Serial Number)', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('786', 'y', 'Designazione CODEN', 'Designazione CODEN', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('786', 'z', 'ISBN (International Standard Book Number)', 'ISBN (International Standard Book Number)', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('787', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('787', '7', 'Sottocampo di controllo', 'Sottocampo di controllo', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('787', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('787', 'a', 'Intestazione principale', 'Intestazione principale', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('787', 'b', 'Edizione', 'Edizione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('787', 'c', 'Qualificazione', 'Qualificazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('787', 'd', 'Luogo, editore e data di pubblicazione', 'Luogo, editore e data di pubblicazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('787', 'g', 'Informazione sulla relazione', 'Informazione sulla relazione', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('787', 'h', 'Descrizione fisica', 'Descrizione fisica', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('787', 'i', 'Informazione sulla relazione', 'Informazione sulla relazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('787', 'k', 'Dati della serie dell\'item correlato', 'Dati della serie dell\'item correlato', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('787', 'm', 'Dettagli specifici del materiale', 'Dettagli specifici del materiale', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('787', 'n', 'Nota', 'Nota', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('787', 'o', 'Altro identificatore dell\'item', 'Altro identificatore dell\'item', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('787', 'q', 'Parallel title (BK SE) [OBSOLETE]', 'Parallel title (BK SE) [OBSOLETE]', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('787', 'r', 'Numero di rapporto', 'Numero di rapporto', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('787', 's', 'Titolo uniforme', 'Titolo uniforme', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('787', 't', 'Titolo', 'Titolo', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('787', 'u', 'Standard Technical Report Number', 'Standard Technical Report Number', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('787', 'w', 'Numero di controllo della registrazione', 'Numero di controllo della registrazione', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('787', 'x', 'ISSN (International Standard Serial Number)', 'ISSN (International Standard Serial Number)', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('787', 'y', 'Designazione CODEN', 'Designazione CODEN', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('787', 'z', 'ISBN (International Standard Book Number)', 'ISBN (International Standard Book Number)', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('789', '%', '%', '%', 0, 0, '', 7, '', '', '', 0, -6, 'VR', '', '', NULL),
		('789', '2', '2', '2', 1, 0, '', 7, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('789', '3', '3', '3', 1, 0, '', 7, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('789', '4', '4', '4', 1, 0, '', 7, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('789', '5', '5', '5', 1, 0, '', 7, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('789', '6', '6', '6', 0, 0, '', 7, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('789', '7', '7', '7', 1, 0, '', 7, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('789', '8', '8', '8', 1, 0, '', 7, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('789', '9', '9', '9', 0, 0, '', 7, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('789', 'a', 'a', 'a', 1, 0, '', 7, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('789', 'b', 'b', 'b', 1, 0, '', 7, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('789', 'c', 'c', 'c', 1, 0, '', 7, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('789', 'd', 'd', 'd', 1, 0, '', 7, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('789', 'e', 'e', 'e', 1, 0, '', 7, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('789', 'f', 'f', 'f', 1, 0, '', 7, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('789', 'g', 'g', 'g', 1, 0, '', 7, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('789', 'h', 'h', 'h', 1, 0, '', 7, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('789', 'i', 'i', 'i', 1, 0, '', 7, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('789', 'j', 'j', 'j', 1, 0, '', 7, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('789', 'k', 'k', 'k', 1, 0, '', 7, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('789', 'l', 'l', 'l', 1, 0, '', 7, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('789', 'm', 'm', 'm', 1, 0, '', 7, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('789', 'n', 'n', 'n', 1, 0, '', 7, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('789', 'o', 'o', 'o', 1, 0, '', 7, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('789', 'p', 'p', 'p', 1, 0, '', 7, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('789', 'q', 'q', 'q', 1, 0, '', 7, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('789', 'r', 'r', 'r', 1, 0, '', 7, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('789', 's', 's', 's', 1, 0, '', 7, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('789', 't', 't', 't', 1, 0, '', 7, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('789', 'u', 'u', 'u', 1, 0, '', 7, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('789', 'v', 'v', 'v', 1, 0, '', 7, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('789', 'w', 'w', 'w', 1, 0, '', 7, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('789', 'x', 'x', 'x', 1, 0, '', 7, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('789', 'y', 'y', 'y', 1, 0, '', 7, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('789', 'z', 'z', 'z', 1, 0, '', 7, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('796', '%', '% (RLIN)', '% (RLIN)', 0, 0, '', 7, '', '', '', 0, -6, 'VR', '', '', NULL),
		('796', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, '', 7, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('796', '4', 'Codice di ruolo', 'Codice di ruolo', 1, 0, '', 7, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('796', '5', 'Istituzione a cui si applica il campo', 'Istituzione a cui si applica il campo', 0, 0, '', 7, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('796', '6', 'Collegamento', 'Collegamento', 0, 0, '', 7, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('796', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 7, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('796', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 7, '', '', '', 0, -5, 'VR', '', '', NULL),
		('796', 'a', 'Nome di persona', 'Nome di persona', 0, 0, '', 7, '', 'PERSO_NAME', '', NULL, -6, 'VR', '', '', NULL),
		('796', 'b', 'Numerazione', 'Numerazione', 0, 0, '', 7, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('796', 'c', 'Titoli e altre parole associate al nome', 'Titoli e altre parole associate al nome', 1, 0, '', 7, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('796', 'd', 'Date associate al nome', 'Date associate al nome', 0, 0, '', 7, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('796', 'e', 'Termine di ruolo', 'Termine di ruolo', 1, 0, '', 7, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('796', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, '', 7, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('796', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, '', 7, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('796', 'h', 'Supporto', 'Supporto', 0, 0, '', 7, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('796', 'j', 'Qualificazione d\'attribuzione', 'Qualificazione d\'attribuzione', 1, 0, '', 7, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('796', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, '', 7, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('796', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, '', 7, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('796', 'm', 'Mezzo di esecuzione per la musica', 'Mezzo di esecuzione per la musica', 1, 0, '', 7, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('796', 'n', 'Numero di parte/sezione dell\'opera', 'Numero di parte/sezione dell\'opera', 1, 0, '', 7, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('796', 'o', 'Formulazione d\'arrangiamento per la musica', 'Formulazione d\'arrangiamento per la musica', 0, 0, '', 7, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('796', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, '', 7, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('796', 'q', 'Forma completa del nome', 'Forma completa del nome', 0, 0, '', 7, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('796', 'r', 'Tonalità (musica)', 'Tonalità (musica)', 0, 0, '', 7, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('796', 's', 'Versione', 'Versione', 0, 0, '', 7, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('796', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, '', 7, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('796', 'u', 'Affiliazione', 'Affiliazione', 0, 0, '', 7, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('796', 'x', 'ISSN (International Standard Serial Number)', 'ISSN (International Standard Serial Number)', 0, 0, '', 7, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('797', '%', '% (RLIN)', '% (RLIN)', 0, 0, '', 7, '', '', '', 0, -6, 'VR', '', '', NULL),
		('797', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, '', 7, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('797', '4', 'Codice di ruolo', 'Codice di ruolo', 1, 0, '', 7, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('797', '5', 'Istituzione a cui si applica il campo', 'Istituzione a cui si applica il campo', 0, 0, '', 7, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('797', '6', 'Collegamento', 'Collegamento', 0, 0, '', 7, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('797', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 7, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('797', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 7, '', '', '', 0, -5, 'VR', '', '', NULL),
		('797', 'a', 'Nome dell\'ente o nome della giurisdizione come accesso', 'Nome dell\'ente o nome della giurisdizione come accesso', 0, 0, '', 7, '', 'CORPO_NAME', '', NULL, -6, 'VR', '', '', NULL),
		('797', 'b', 'Unità subordinata', 'Unità subordinata', 1, 0, '', 7, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('797', 'c', 'Luogo del convegno', 'Luogo del convegno', 0, 0, '', 7, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('797', 'd', 'Data del convegno o di firma del trattato', 'Data del convegno o di firma del trattato', 1, 0, '', 7, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('797', 'e', 'Termine di ruolo', 'Termine di ruolo', 1, 0, '', 7, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('797', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, '', 7, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('797', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, '', 7, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('797', 'h', 'Supporto', 'Supporto', 0, 0, '', 7, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('797', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, '', 7, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('797', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, '', 7, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('797', 'm', 'Mezzo di esecuzione per la musica', 'Mezzo di esecuzione per la musica', 1, 0, '', 7, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('797', 'n', 'Numero di parte/sezione/convegno', 'Numero di parte/sezione/convegno', 1, 0, '', 7, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('797', 'o', 'Formulazione d\'arrangiamento per la musica', 'Formulazione d\'arrangiamento per la musica', 0, 0, '', 7, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('797', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, '', 7, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('797', 'r', 'Tonalità (musica)', 'Tonalità (musica)', 0, 0, '', 7, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('797', 's', 'Versione', 'Versione', 0, 0, '', 7, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('797', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, '', 7, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('797', 'u', 'Affiliazione', 'Affiliazione', 0, 0, '', 7, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('797', 'x', 'ISSN (International Standard Serial Number)', 'ISSN (International Standard Serial Number)', 0, 0, '', 7, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('798', '%', '% (RLIN)', '% (RLIN)', 0, 0, '', 7, '', '', '', 0, -5, 'VR', '', '', NULL),
		('798', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('798', '4', 'Codice di ruolo', 'Codice di ruolo', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('798', '5', 'Istituzione a cui si applica il campo', 'Istituzione a cui si applica il campo', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('798', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('798', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('798', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 7, '', '', '', 0, -5, 'VR', '', '', NULL),
		('798', 'a', 'Nome del convegno o nome della giurisdizione come accesso', 'Nome del convegno o nome della giurisdizione come accesso', 0, 0, NULL, 7, NULL, 'MEETI_NAME', '', NULL, -6, 'VR', '', '', NULL),
		('798', 'b', 'Number (BK CF MP MU SE VM MX) [OBSOLETE]', 'Number (BK CF MP MU SE VM MX) [OBSOLETE]', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('798', 'c', 'Luogo del convegno', 'Luogo del convegno', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('798', 'd', 'Data del convegno', 'Data del convegno', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('798', 'e', 'Unità subordinata', 'Unità subordinata', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('798', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('798', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('798', 'h', 'Supporto', 'Supporto', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('798', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('798', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('798', 'n', 'Numero di parte/sezione/convegno', 'Numero di parte/sezione/convegno', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('798', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('798', 'q', 'Nome del convegno dopo accesso di nome della giurisdizione', 'Nome del convegno dopo accesso di nome della giurisdizione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('798', 's', 'Versione', 'Versione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('798', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('798', 'u', 'Affiliazione', 'Affiliazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('798', 'x', 'ISSN (International Standard Serial Number)', 'ISSN (International Standard Serial Number)', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('799', '%', '% (RLIN)', '% (RLIN)', 0, 0, '', 7, '', '', '', 0, -6, 'VR', '', '', NULL),
		('799', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, '', 7, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('799', '5', 'Istituzione a cui si applica il campo', 'Istituzione a cui si applica il campo', 0, 0, '', 7, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('799', '6', 'Collegamento', 'Collegamento', 0, 0, '', 7, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('799', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 7, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('799', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 7, '', '', '', 0, -5, 'VR', '', '', NULL),
		('799', 'a', 'Titolo uniforme', 'Titolo uniforme', 0, 0, '', 7, '', 'UNIF_TITLE', '', NULL, -6, 'VR', '', '', NULL),
		('799', 'd', 'Data di firma del trattato', 'Data di firma del trattato', 1, 0, '', 7, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('799', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, '', 7, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('799', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, '', 7, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('799', 'h', 'Supporto', 'Supporto', 0, 0, '', 7, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('799', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, '', 7, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('799', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, '', 7, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('799', 'm', 'Mezzo di esecuzione per la musica', 'Mezzo di esecuzione per la musica', 1, 0, '', 7, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('799', 'n', 'Numero di parte/sezione dell\'opera', 'Numero di parte/sezione dell\'opera', 1, 0, '', 7, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('799', 'o', 'Formulazione d\'arrangiamento per la musica', 'Formulazione d\'arrangiamento per la musica', 0, 0, '', 7, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('799', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, '', 7, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('799', 'r', 'Tonalità (musica)', 'Tonalità (musica)', 0, 0, '', 7, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('799', 's', 'Versione', 'Versione', 0, 0, '', 7, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('799', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, '', 7, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('799', 'x', 'ISSN (International Standard Serial Number)', 'ISSN (International Standard Serial Number)', 0, 0, '', 7, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('800', '4', 'Codice di ruolo', 'Codice di ruolo', 1, 0, '', 8, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('800', '6', 'Collegamento', 'Collegamento', 0, 0, '', 8, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('800', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 8, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('800', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 8, '', '', '', 0, -5, 'VR', '', '', NULL),
		('800', 'a', 'Nome di persona', 'Nome di persona', 0, 0, '', 8, '', 'PERSO_NAME', '', NULL, -6, 'VR', '', '', NULL),
		('800', 'b', 'Numerazione', 'Numerazione', 0, 0, '', 8, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('800', 'c', 'Titoli e altre parole associate al nome', 'Titoli e altre parole associate al nome', 1, 0, '', 8, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('800', 'd', 'Date associate al nome', 'Date associate al nome', 0, 0, '', 8, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('800', 'e', 'Termine di ruolo', 'Termine di ruolo', 1, 0, '', 8, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('800', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, '', 8, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('800', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, '', 8, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('800', 'h', 'Supporto', 'Supporto', 0, 0, '', 8, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('800', 'j', 'Qualificazione d\'attribuzione', 'Qualificazione d\'attribuzione', 1, 0, '', 8, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('800', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, '', 8, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('800', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, '', 8, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('800', 'm', 'Mezzo di esecuzione per la musica', 'Mezzo di esecuzione per la musica', 1, 0, '', 8, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('800', 'n', 'Numero di parte/sezione dell\'opera', 'Numero di parte/sezione dell\'opera', 1, 0, '', 8, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('800', 'o', 'Formulazione d\'arrangiamento per la musica', 'Formulazione d\'arrangiamento per la musica', 0, 0, '', 8, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('800', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, '', 8, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('800', 'q', 'Forma completa del nome', 'Forma completa del nome', 0, 0, '', 8, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('800', 'r', 'Tonalità (musica)', 'Tonalità (musica)', 0, 0, '', 8, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('800', 's', 'Versione', 'Versione', 0, 0, '', 8, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('800', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, '', 8, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('800', 'u', 'Affiliazione', 'Affiliazione', 0, 0, '', 8, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('800', 'v', 'Numero del volume/designazione di sequenza', 'Numero del volume/designazione di sequenza', 0, 0, '', 8, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('800', 'w', 'Numero di controllo bibliografico', 'Numero di controllo bibliografico', 1, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('810', '4', 'Codice di ruolo', 'Codice di ruolo', 1, 0, '', 8, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('810', '6', 'Collegamento', 'Collegamento', 0, 0, '', 8, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('810', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 8, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('810', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 8, '', '', '', 0, -5, 'VR', '', '', NULL),
		('810', 'a', 'Nome dell\'ente o nome della giurisdizione come accesso', 'Nome dell\'ente o nome della giurisdizione come accesso', 0, 0, '', 8, '', 'CORPO_NAME', '', NULL, -6, 'VR', '', '', NULL),
		('810', 'b', 'Unità subordinata', 'Unità subordinata', 1, 0, '', 8, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('810', 'c', 'Luogo del convegno', 'Luogo del convegno', 0, 0, '', 8, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('810', 'd', 'Data del convegno o di firma del trattato', 'Data del convegno o di firma del trattato', 1, 0, '', 8, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('810', 'e', 'Termine di ruolo', 'Termine di ruolo', 1, 0, '', 8, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('810', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, '', 8, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('810', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, '', 8, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('810', 'h', 'Supporto', 'Supporto', 0, 0, '', 8, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('810', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, '', 8, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('810', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, '', 8, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('810', 'm', 'Mezzo di esecuzione per la musica', 'Mezzo di esecuzione per la musica', 1, 0, '', 8, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('810', 'n', 'Numero di parte/sezione/convegno', 'Numero di parte/sezione/convegno', 1, 0, '', 8, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('810', 'o', 'Formulazione d\'arrangiamento per la musica', 'Formulazione d\'arrangiamento per la musica', 0, 0, '', 8, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('810', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, '', 8, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('810', 'r', 'Tonalità (musica)', 'Tonalità (musica)', 0, 0, '', 8, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('810', 's', 'Versione', 'Versione', 0, 0, '', 8, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('810', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, '', 8, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('810', 'u', 'Affiliazione', 'Affiliazione', 0, 0, '', 8, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('810', 'v', 'Numero del volume/designazione di sequenza', 'Numero del volume/designazione di sequenza', 0, 0, '', 8, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('810', 'w', 'Numero di controllo bibliografico', 'Numero di controllo bibliografico', 1, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('811', '4', 'Codice di ruolo', 'Codice di ruolo', 1, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('811', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('811', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('811', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 8, '', '', '', 0, -5, 'VR', '', '', NULL),
		('811', 'a', 'Nome del convegno o nome della giurisdizione come accesso', 'Nome del convegno o nome della giurisdizione come accesso', 0, 0, NULL, 8, NULL, 'MEETI_NAME', '', NULL, -6, 'VR', '', '', NULL),
		('811', 'b', 'Number (BK CF MP MU SE VM MX) [OBSOLETE]', 'Number (BK CF MP MU SE VM MX) [OBSOLETE]', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('811', 'c', 'Luogo del convegno', 'Luogo del convegno', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('811', 'd', 'Data del convegno', 'Data del convegno', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('811', 'e', 'Unità subordinata', 'Unità subordinata', 1, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('811', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('811', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('811', 'h', 'Supporto', 'Supporto', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('811', 'j', 'Termine di ruolo', 'Termine di ruolo', 1, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('811', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('811', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('811', 'n', 'Numero di parte/sezione/convegno', 'Numero di parte/sezione/convegno', 1, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('811', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('811', 'q', 'Nome del convegno dopo accesso di nome della giurisdizione', 'Nome del convegno dopo accesso di nome della giurisdizione', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('811', 's', 'Versione', 'Versione', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('811', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('811', 'u', 'Affiliazione', 'Affiliazione', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('811', 'v', 'Numero del volume/designazione di sequenza', 'Numero del volume/designazione di sequenza', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('811', 'w', 'Numero di controllo bibliografico', 'Numero di controllo bibliografico', 1, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('830', '6', 'Collegamento', 'Collegamento', 0, 0, '', 8, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('830', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 8, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('830', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 8, '', '', '', 0, -5, 'VR', '', '', NULL),
		('830', 'a', 'Titolo uniforme', 'Titolo uniforme', 0, 0, '', 8, '', 'UNIF_TITLE', '', NULL, -6, 'VR', '', '', NULL),
		('830', 'd', 'Data di firma del trattato', 'Data di firma del trattato', 1, 0, '', 8, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('830', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, '', 8, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('830', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, '', 8, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('830', 'h', 'Supporto', 'Supporto', 0, 0, '', 8, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('830', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, '', 8, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('830', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, '', 8, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('830', 'm', 'Mezzo di esecuzione per la musica', 'Mezzo di esecuzione per la musica', 1, 0, '', 8, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('830', 'n', 'Numero di parte/sezione dell\'opera', 'Numero di parte/sezione dell\'opera', 1, 0, '', 8, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('830', 'o', 'Formulazione d\'arrangiamento per la musica', 'Formulazione d\'arrangiamento per la musica', 0, 0, '', 8, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('830', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, '', 8, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('830', 'r', 'Tonalità (musica)', 'Tonalità (musica)', 0, 0, '', 8, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('830', 's', 'Versione', 'Versione', 0, 0, '', 8, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('830', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, '', 8, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('830', 'v', 'Numero del volume/designazione di sequenza', 'Numero del volume/designazione di sequenza', 0, 0, '', 8, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('830', 'w', 'Numero di controllo bibliografico', 'Numero di controllo bibliografico', 1, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('840', 'a', 'Titolo', 'Titolo', 0, 0, '', 8, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('840', 'h', 'Supporto', 'Supporto', 1, 0, '', 8, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('840', 'v', 'Numero del volume/designazione di sequenza', 'Numero del volume/designazione di sequenza', 0, 0, '', 8, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('841', 'a', 'Tipo di record', 'Tipo di record', 0, 0, NULL, 8, NULL, NULL, '', NULL, 5, 'VR', '', '', NULL),
		('841', 'b', 'Elementi a lunghezza fiss', 'Elementi a lunghezza fiss', 0, 0, NULL, 8, NULL, NULL, '', NULL, 5, 'VR', '', '', NULL),
		('841', 'e', 'Livello di codifica', 'Livello di codifica', 0, 0, NULL, 8, NULL, NULL, '', NULL, 5, 'VR', '', '', NULL),
		('842', '6', 'Collegamento', 'Collegamento', 0, 0, '', 8, '', '', '', NULL, 5, 'VR', '', '', NULL),
		('842', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 8, '', '', '', NULL, 5, 'VR', '', '', NULL),
		('842', 'a', 'Designatore testuale di forma fisica', 'Designatore testuale di forma fisica', 0, 0, '', 8, '', '', '', NULL, 5, 'VR', '', '', NULL),
		('843', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, NULL, 8, NULL, NULL, '', NULL, 5, 'VR', '', '', NULL),
		('843', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 8, NULL, NULL, '', NULL, 5, 'VR', '', '', NULL),
		('843', '7', 'Elementi di lunghezza fissa della riproduzione', 'Elementi di lunghezza fissa della riproduzione', 0, 0, NULL, 8, NULL, NULL, '', NULL, 5, 'VR', '', '', NULL),
		('843', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 8, NULL, NULL, '', NULL, 5, 'VR', '', '', NULL),
		('843', 'a', 'Tipo di riproduzione', 'Tipo di riproduzione', 0, 0, NULL, 8, NULL, NULL, '', NULL, 5, 'VR', '', '', NULL),
		('843', 'b', 'Luogo di riproduzione', 'Luogo di riproduzione', 1, 0, NULL, 8, NULL, NULL, '', NULL, 5, 'VR', '', '', NULL),
		('843', 'c', 'Agenzia responsabile della riproduzione', 'Agenzia responsabile della riproduzione', 1, 0, NULL, 8, NULL, NULL, '', NULL, 5, 'VR', '', '', NULL),
		('843', 'd', 'Data di riproduzione', 'Data di riproduzione', 0, 0, NULL, 8, NULL, NULL, '', NULL, 5, 'VR', '', '', NULL),
		('843', 'e', 'Descrizione fisica della riproduzione', 'Descrizione fisica della riproduzione', 1, 0, NULL, 8, NULL, NULL, '', NULL, 5, 'VR', '', '', NULL),
		('843', 'f', 'Formulazione della serie della riproduzione', 'Formulazione della serie della riproduzione', 1, 0, NULL, 8, NULL, NULL, '', NULL, 5, 'VR', '', '', NULL),
		('843', 'm', 'Date di pubblicazione e/o designazione sequenziale dei fascicoli riprodotti', 'Date di pubblicazione e/o designazione sequenziale dei fascicoli riprodotti', 1, 0, NULL, 8, NULL, NULL, '', NULL, 5, 'VR', '', '', NULL),
		('843', 'n', 'Nota sulla riproduzione', 'Nota sulla riproduzione', 1, 0, NULL, 8, NULL, NULL, '', NULL, 5, 'VR', '', '', NULL),
		('844', '6', 'Collegamento', 'Collegamento', 0, 0, '', 8, '', '', '', NULL, 5, 'VR', '', '', NULL),
		('844', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 8, '', '', '', NULL, 5, 'VR', '', '', NULL),
		('844', 'a', 'Nome dell\'unità', 'Nome dell\'unità', 0, 0, '', 8, '', '', '', NULL, 5, 'VR', '', '', NULL),
		('845', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, NULL, 8, NULL, NULL, '', NULL, 5, 'VR', '', '', NULL),
		('845', '5', 'Istituzione a cui si applica il campo', 'Istituzione a cui si applica il campo', 0, 0, NULL, 8, NULL, NULL, '', NULL, 5, 'VR', '', '', NULL),
		('845', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 8, NULL, NULL, '', NULL, 5, 'VR', '', '', NULL),
		('845', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 8, NULL, NULL, '', NULL, 5, 'VR', '', '', NULL),
		('845', 'a', 'Condizioni che regolano l\'utilizzo e la riproduzione', 'Condizioni che regolano l\'utilizzo e la riproduzione', 0, 0, NULL, 8, NULL, NULL, '', NULL, 5, 'VR', '', '', NULL),
		('845', 'b', 'Competenza legale', 'Competenza legale', 0, 0, NULL, 8, NULL, NULL, '', NULL, 5, 'VR', '', '', NULL),
		('845', 'c', 'Autorizzazione', 'Autorizzazione', 0, 0, NULL, 8, NULL, NULL, '', NULL, 5, 'VR', '', '', NULL),
		('845', 'd', 'Utenti autorizzati', 'Utenti autorizzati', 0, 0, NULL, 8, NULL, NULL, '', NULL, 5, 'VR', '', '', NULL),
		('850', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 8, NULL, NULL, '', NULL, 5, 'VR', '', '', NULL),
		('850', 'a', 'Istituzione possedente', 'Istituzione possedente', 1, 0, NULL, 8, NULL, NULL, '', NULL, 5, 'VR', '', '', NULL),
		('850', 'b', 'Holdings (NR) (MU VM SE) [OBSOLETE]', 'Holdings (NR) (MU VM SE) [OBSOLETE]', 0, 0, NULL, 8, NULL, NULL, '', NULL, 5, 'VR', '', '', NULL),
		('850', 'd', 'Inclusive dates (NR) (MU VM SE) [OBSOLETE]', 'Inclusive dates (NR) (MU VM SE) [OBSOLETE]', 0, 0, NULL, 8, NULL, NULL, '', NULL, 5, 'VR', '', '', NULL),
		('850', 'e', 'Retention statement (NR) (CF MU VM SE) [OBSOLETE]', 'Retention statement (NR) (CF MU VM SE) [OBSOLETE]', 0, 0, NULL, 8, NULL, NULL, '', NULL, 5, 'VR', '', '', NULL),
		('851', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, NULL, 8, NULL, NULL, '', NULL, 5, 'VR', '', '', NULL),
		('851', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 8, NULL, NULL, '', NULL, 5, 'VR', '', '', NULL),
		('851', 'a', 'Nome (custode o proprietario)', 'Nome (custode o proprietario)', 0, 0, NULL, 8, NULL, NULL, '', NULL, 5, 'VR', '', '', NULL),
		('851', 'b', 'Suddivisione istituzionale', 'Suddivisione istituzionale', 0, 0, NULL, 8, NULL, NULL, '', NULL, 5, 'VR', '', '', NULL),
		('851', 'c', 'Indirizzo', 'Indirizzo', 0, 0, NULL, 8, NULL, NULL, '', NULL, 5, 'VR', '', '', NULL),
		('851', 'd', 'Paese', 'Paese', 0, 0, NULL, 8, NULL, NULL, '', NULL, 5, 'VR', '', '', NULL),
		('851', 'e', 'Localizzazione dell\'unità', 'Localizzazione dell\'unità', 0, 0, NULL, 8, NULL, NULL, '', NULL, 5, 'VR', '', '', NULL),
		('851', 'f', 'Numero d\'item', 'Numero d\'item', 0, 0, NULL, 8, NULL, NULL, '', NULL, 5, 'VR', '', '', NULL),
		('851', 'g', 'Codice di localizzazione del deposito', 'Codice di localizzazione del deposito', 0, 0, NULL, 8, NULL, NULL, '', NULL, 5, 'VR', '', '', NULL),
		('852', '2', 'Fonte della classificazione o dello schema di collocazione (segnatura)', 'Fonte della classificazione o dello schema di collocazione (segnatura)', 0, 0, '', 8, '', '', '', NULL, 5, 'VR', '', '', NULL),
		('852', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, '', 8, '', '', '', NULL, 5, 'VR', '', '', NULL),
		('852', '6', 'Collegamento', 'Collegamento', 0, 0, '', 8, '', '', '', NULL, 5, 'VR', '', '', NULL),
		('852', '8', 'Numero di sequenza', 'Numero di sequenza', 1, 0, '', 8, '', '', '', NULL, 5, 'VR', '', '', NULL),
		('852', 'a', 'Localizzazione', 'Localizzazione', 0, 0, '', 8, '', '', '', NULL, 5, 'VR', '', '', NULL),
		('852', 'b', 'Sottolocalizzazione o collezione', 'Sottolocalizzazione o collezione', 1, 0, '', 8, '', '', '', NULL, 5, 'VR', '', '', NULL),
		('852', 'c', 'Localizzazione a scaffale', 'Localizzazione a scaffale', 1, 0, '', 8, '', '', '', NULL, 5, 'VR', '', '', NULL),
		('852', 'e', 'Indirizzo', 'Indirizzo', 1, 0, '', 8, '', '', '', NULL, 5, 'VR', '', '', NULL),
		('852', 'f', 'Qualificatore di localizzazione codificato', 'Qualificatore di localizzazione codificato', 1, 0, '', 8, '', '', '', NULL, 5, 'VR', '', '', NULL),
		('852', 'g', 'Qualificatore di localizzazione non codificato', 'Qualificatore di localizzazione non codificato', 1, 0, '', 8, '', '', '', NULL, 5, 'VR', '', '', NULL),
		('852', 'h', 'Parte della classificazione', 'Parte della classificazione', 0, 0, '', 8, '', '', '', NULL, 5, 'VR', '', '', NULL),
		('852', 'i', 'Parte dell\'item', 'Parte dell\'item', 1, 0, '', 8, '', '', '', NULL, 5, 'VR', '', '', NULL),
		('852', 'j', 'Collocazione (segnatura)', 'Collocazione (segnatura)', 0, 0, '', 8, '', '', '', NULL, 5, 'VR', '', '', NULL),
		('852', 'k', 'Prefisso del numero di chiamata (collocazione)', 'Prefisso del numero di chiamata (collocazione)', 0, 0, '', 8, '', '', '', NULL, 5, 'VR', '', '', NULL),
		('852', 'l', 'Forma di collocazione (segnatura) di titolo', 'Forma di collocazione (segnatura) di titolo', 0, 0, '', 8, '', '', '', NULL, 5, 'VR', '', '', NULL),
		('852', 'm', 'Suffisso del numero di chiamata (collocazione)', 'Suffisso del numero di chiamata (collocazione)', 0, 0, '', 8, '', '', '', NULL, 5, 'VR', '', '', NULL),
		('852', 'n', 'Codice di paese', 'Codice di paese', 0, 0, '', 8, '', '', '', NULL, 5, 'VR', '', '', NULL),
		('852', 'p', 'Designazione di parte', 'Designazione di parte', 0, 0, '', 8, '', '', '', NULL, 5, 'VR', '', '', NULL),
		('852', 'q', 'Condizione fisica della parte', 'Condizione fisica della parte', 0, 0, '', 8, '', '', '', NULL, 5, 'VR', '', '', NULL),
		('852', 's', 'Codice di tassa sul copyright dell\'articolo', 'Codice di tassa sul copyright dell\'articolo', 1, 0, '', 8, '', '', '', NULL, 5, 'VR', '', '', NULL),
		('852', 't', 'Numero di copia', 'Numero di copia', 0, 0, '', 8, '', '', '', NULL, 5, 'VR', '', '', NULL),
		('852', 'u', 'URI (Uniform Resource Identifier)', 'URI (Uniform Resource Identifier)', 1, 0, '', 8, '', '', '', 1, 5, 'VR', '', '', NULL),
		('852', 'x', 'Nota non pubblic', 'Nota non pubblic', 1, 0, '', 8, '', '', '', NULL, 5, 'VR', '', '', NULL),
		('852', 'z', 'Nota pubblica', 'Nota pubblica', 1, 0, '', 8, '', '', '', NULL, 5, 'VR', '', '', NULL),
		('853', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, '', 8, '', '', '', NULL, 5, 'VR', '', '', NULL),
		('853', '6', 'Collegamento', 'Collegamento', 0, 0, '', 8, '', '', '', NULL, 5, 'VR', '', '', NULL),
		('853', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 8, '', '', '', NULL, 5, 'VR', '', '', NULL),
		('853', 'a', 'Primo livello di enumerazione', 'Primo livello di enumerazione', 0, 0, '', 8, '', '', '', NULL, 5, 'VR', '', '', NULL),
		('853', 'b', 'Secondo livello di enumerazione', 'Secondo livello di enumerazione', 0, 0, '', 8, '', '', '', NULL, 5, 'VR', '', '', NULL),
		('853', 'c', 'Terzo livello di enumerazione', 'Terzo livello di enumerazione', 0, 0, '', 8, '', '', '', NULL, 5, 'VR', '', '', NULL),
		('853', 'd', 'Quarto livello di enumerazione', 'Quarto livello di enumerazione', 0, 0, '', 8, '', '', '', NULL, 5, 'VR', '', '', NULL),
		('853', 'e', 'Quinto livello di enumerazione', 'Quinto livello di enumerazione', 0, 0, '', 8, '', '', '', NULL, 5, 'VR', '', '', NULL),
		('853', 'f', 'Sesto livello di enumerazione', 'Sesto livello di enumerazione', 0, 0, '', 8, '', '', '', NULL, 5, 'VR', '', '', NULL),
		('853', 'g', 'Schema di numerazione alternativo, primo livello di enumerazione', 'Schema di numerazione alternativo, primo livello di enumerazione', 0, 0, '', 8, '', '', '', NULL, 5, 'VR', '', '', NULL),
		('853', 'h', 'Schema di numerazione alternativo, secondo livello di enumerazione', 'Schema di numerazione alternativo, secondo livello di enumerazione', 0, 0, '', 8, '', '', '', NULL, 5, 'VR', '', '', NULL),
		('853', 'i', 'Primo livello di cronologia', 'Primo livello di cronologia', 0, 0, '', 8, '', '', '', NULL, 5, 'VR', '', '', NULL),
		('853', 'j', 'Secondo livello di cronologia', 'Secondo livello di cronologia', 0, 0, '', 8, '', '', '', NULL, 5, 'VR', '', '', NULL),
		('853', 'k', 'Terzo livello di cronologia', 'Terzo livello di cronologia', 0, 0, '', 8, '', '', '', NULL, 5, 'VR', '', '', NULL),
		('853', 'l', 'Quarto livello di cronologia', 'Quarto livello di cronologia', 0, 0, '', 8, '', '', '', NULL, 5, 'VR', '', '', NULL),
		('853', 'm', 'Schema di numerazione alternativo, cronologia', 'Schema di numerazione alternativo, cronologia', 0, 0, '', 8, '', '', '', NULL, 5, 'VR', '', '', NULL),
		('853', 'n', 'Nota allo schema', 'Nota allo schema', 0, 0, '', 8, '', '', '', NULL, 5, 'VR', '', '', NULL),
		('853', 'p', 'Numero di pezzi per emissione', 'Numero di pezzi per emissione', 0, 0, '', 8, '', '', '', NULL, 5, 'VR', '', '', NULL),
		('853', 't', 'Copia', 'Copia', 0, 0, '', 8, '', '', '', NULL, 5, 'VR', '', '', NULL),
		('853', 'u', 'Unità bibliografiche per il livello superiore', 'Unità bibliografiche per il livello superiore', 1, 0, '', 8, '', '', '', NULL, 5, 'VR', '', '', NULL),
		('853', 'v', 'Continuità di numerazione', 'Continuità di numerazione', 1, 0, '', 8, '', '', '', NULL, 5, 'VR', '', '', NULL),
		('853', 'w', 'Frequenza', 'Frequenza', 0, 0, '', 8, '', '', '', NULL, 5, 'VR', '', '', NULL),
		('853', 'x', 'Cambio di calendario', 'Cambio di calendario', 0, 0, '', 8, '', '', '', NULL, 5, 'VR', '', '', NULL),
		('853', 'y', 'scham di regolarità', 'scham di regolarità', 1, 0, '', 8, '', '', '', NULL, 5, 'VR', '', '', NULL),
		('853', 'z', 'Schema di numerazione', 'Schema di numerazione', 1, 0, '', 8, '', '', '', NULL, 5, 'VR', '', '', NULL),
		('854', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, '', 8, '', '', '', NULL, 5, 'VR', '', '', NULL),
		('854', '6', 'Collegamento', 'Collegamento', 0, 0, '', 8, '', '', '', NULL, 5, 'VR', '', '', NULL),
		('854', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 8, '', '', '', NULL, 5, 'VR', '', '', NULL),
		('854', 'a', 'Primo livello di enumerazione', 'Primo livello di enumerazione', 0, 0, '', 8, '', '', '', NULL, 5, 'VR', '', '', NULL),
		('854', 'b', 'Secondo livello di enumerazione', 'Secondo livello di enumerazione', 0, 0, '', 8, '', '', '', NULL, 5, 'VR', '', '', NULL),
		('854', 'c', 'Terzo livello di enumerazione', 'Terzo livello di enumerazione', 0, 0, '', 8, '', '', '', NULL, 5, 'VR', '', '', NULL),
		('854', 'd', 'Quarto livello di enumerazione', 'Quarto livello di enumerazione', 0, 0, '', 8, '', '', '', NULL, 5, 'VR', '', '', NULL),
		('854', 'e', 'Quinto livello di enumerazione', 'Quinto livello di enumerazione', 0, 0, '', 8, '', '', '', NULL, 5, 'VR', '', '', NULL),
		('854', 'f', 'Sesto livello di enumerazione', 'Sesto livello di enumerazione', 0, 0, '', 8, '', '', '', NULL, 5, 'VR', '', '', NULL),
		('854', 'g', 'Schema di numerazione alternativo, primo livello di enumerazione', 'Schema di numerazione alternativo, primo livello di enumerazione', 0, 0, '', 8, '', '', '', NULL, 5, 'VR', '', '', NULL),
		('854', 'h', 'Schema di numerazione alternativo, secondo livello di enumerazione', 'Schema di numerazione alternativo, secondo livello di enumerazione', 0, 0, '', 8, '', '', '', NULL, 5, 'VR', '', '', NULL),
		('854', 'i', 'Primo livello di cronologia', 'Primo livello di cronologia', 0, 0, '', 8, '', '', '', NULL, 5, 'VR', '', '', NULL),
		('854', 'j', 'Secondo livello di cronologia', 'Secondo livello di cronologia', 0, 0, '', 8, '', '', '', NULL, 5, 'VR', '', '', NULL),
		('854', 'k', 'Terzo livello di cronologia', 'Terzo livello di cronologia', 0, 0, '', 8, '', '', '', NULL, 5, 'VR', '', '', NULL),
		('854', 'l', 'Quarto livello di cronologia', 'Quarto livello di cronologia', 0, 0, '', 8, '', '', '', NULL, 5, 'VR', '', '', NULL),
		('854', 'm', 'Schema di numerazione alternativo, cronologia', 'Schema di numerazione alternativo, cronologia', 0, 0, '', 8, '', '', '', NULL, 5, 'VR', '', '', NULL),
		('854', 'n', 'Nota allo schema', 'Nota allo schema', 0, 0, '', 8, '', '', '', NULL, 5, 'VR', '', '', NULL),
		('854', 'p', 'Numero di pezzi per emissione', 'Numero di pezzi per emissione', 0, 0, '', 8, '', '', '', NULL, 5, 'VR', '', '', NULL),
		('854', 't', 'Copia', 'Copia', 0, 0, '', 8, '', '', '', NULL, 5, 'VR', '', '', NULL),
		('854', 'u', 'Unità bibliografiche per il livello superiore', 'Unità bibliografiche per il livello superiore', 1, 0, '', 8, '', '', '', NULL, 5, 'VR', '', '', NULL),
		('854', 'v', 'Continuità di numerazione', 'Continuità di numerazione', 1, 0, '', 8, '', '', '', NULL, 5, 'VR', '', '', NULL),
		('854', 'w', 'Frequenza', 'Frequenza', 0, 0, '', 8, '', '', '', NULL, 5, 'VR', '', '', NULL),
		('854', 'x', 'Cambio di calendario', 'Cambio di calendario', 0, 0, '', 8, '', '', '', NULL, 5, 'VR', '', '', NULL),
		('854', 'y', 'scham di regolarità', 'scham di regolarità', 1, 0, '', 8, '', '', '', NULL, 5, 'VR', '', '', NULL),
		('854', 'z', 'Schema di numerazione', 'Schema di numerazione', 1, 0, '', 8, '', '', '', NULL, 5, 'VR', '', '', NULL),
		('855', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, '', 8, '', '', '', NULL, 5, 'VR', '', '', NULL),
		('855', '6', 'Collegamento', 'Collegamento', 0, 0, '', 8, '', '', '', NULL, 5, 'VR', '', '', NULL),
		('855', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 8, '', '', '', NULL, 5, 'VR', '', '', NULL),
		('855', 'a', 'Primo livello di enumerazione', 'Primo livello di enumerazione', 0, 0, '', 8, '', '', '', NULL, 5, 'VR', '', '', NULL),
		('855', 'b', 'Secondo livello di enumerazione', 'Secondo livello di enumerazione', 0, 0, '', 8, '', '', '', NULL, 5, 'VR', '', '', NULL),
		('855', 'c', 'Terzo livello di enumerazione', 'Terzo livello di enumerazione', 0, 0, '', 8, '', '', '', NULL, 5, 'VR', '', '', NULL),
		('855', 'd', 'Quarto livello di enumerazione', 'Quarto livello di enumerazione', 0, 0, '', 8, '', '', '', NULL, 5, 'VR', '', '', NULL),
		('855', 'e', 'Quinto livello di enumerazione', 'Quinto livello di enumerazione', 0, 0, '', 8, '', '', '', NULL, 5, 'VR', '', '', NULL),
		('855', 'f', 'Sesto livello di enumerazione', 'Sesto livello di enumerazione', 0, 0, '', 8, '', '', '', NULL, 5, 'VR', '', '', NULL),
		('855', 'g', 'Schema di numerazione alternativo, primo livello di enumerazione', 'Schema di numerazione alternativo, primo livello di enumerazione', 0, 0, '', 8, '', '', '', NULL, 5, 'VR', '', '', NULL),
		('855', 'h', 'Schema di numerazione alternativo, secondo livello di enumerazione', 'Schema di numerazione alternativo, secondo livello di enumerazione', 0, 0, '', 8, '', '', '', NULL, 5, 'VR', '', '', NULL),
		('855', 'i', 'Primo livello di cronologia', 'Primo livello di cronologia', 0, 0, '', 8, '', '', '', NULL, 5, 'VR', '', '', NULL),
		('855', 'j', 'Secondo livello di cronologia', 'Secondo livello di cronologia', 0, 0, '', 8, '', '', '', NULL, 5, 'VR', '', '', NULL),
		('855', 'k', 'Terzo livello di cronologia', 'Terzo livello di cronologia', 0, 0, '', 8, '', '', '', NULL, 5, 'VR', '', '', NULL),
		('855', 'l', 'Quarto livello di cronologia', 'Quarto livello di cronologia', 0, 0, '', 8, '', '', '', NULL, 5, 'VR', '', '', NULL),
		('855', 'm', 'Schema di numerazione alternativo, cronologia', 'Schema di numerazione alternativo, cronologia', 0, 0, '', 8, '', '', '', NULL, 5, 'VR', '', '', NULL),
		('855', 'n', 'Nota allo schema', 'Nota allo schema', 0, 0, '', 8, '', '', '', NULL, 5, 'VR', '', '', NULL),
		('855', 'p', 'Numero di pezzi per emissione', 'Numero di pezzi per emissione', 0, 0, '', 8, '', '', '', NULL, 5, 'VR', '', '', NULL),
		('855', 't', 'Copia', 'Copia', 0, 0, '', 8, '', '', '', NULL, 5, 'VR', '', '', NULL),
		('855', 'u', 'Unità bibliografiche per il livello superiore', 'Unità bibliografiche per il livello superiore', 1, 0, '', 8, '', '', '', NULL, 5, 'VR', '', '', NULL),
		('855', 'v', 'Continuità di numerazione', 'Continuità di numerazione', 1, 0, '', 8, '', '', '', NULL, 5, 'VR', '', '', NULL),
		('855', 'w', 'Frequenza', 'Frequenza', 0, 0, '', 8, '', '', '', NULL, 5, 'VR', '', '', NULL),
		('855', 'x', 'Cambio di calendario', 'Cambio di calendario', 0, 0, '', 8, '', '', '', NULL, 5, 'VR', '', '', NULL),
		('855', 'y', 'scham di regolarità', 'scham di regolarità', 1, 0, '', 8, '', '', '', NULL, 5, 'VR', '', '', NULL),
		('855', 'z', 'Schema di numerazione', 'Schema di numerazione', 1, 0, '', 8, '', '', '', NULL, 5, 'VR', '', '', NULL),
		('856', '2', 'Metodo di accesso', 'Metodo di accesso', 0, 0, '', 8, '', '', '', 0, -6, 'VR', '', '', NULL),
		('856', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, '', 8, '', '', '', 0, -6, 'VR', '', '', NULL),
		('856', '6', 'Collegamento', 'Collegamento', 0, 0, '', 8, '', '', '', 0, -6, 'VR', '', '', NULL),
		('856', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 8, '', '', '', 0, -6, 'VR', '', '', NULL),
		('856', 'a', 'Nome dell\'host', 'Nome dell\'host', 1, 0, '', 8, '', '', '', 0, -1, 'VR', '', '', NULL),
		('856', 'b', 'Numero di accesso', 'Numero di accesso', 1, 0, '', 8, '', '', '', 0, -1, 'VR', '', '', NULL),
		('856', 'c', 'Informazione sulla compressione', 'Informazione sulla compressione', 1, 0, '', 8, '', '', '', 0, -1, 'VR', '', '', NULL),
		('856', 'd', 'Percorso della risorsa', 'Percorso della risorsa', 1, 0, '', 8, '', '', '', 0, -1, 'VR', '', '', NULL),
		('856', 'f', 'Nome elettronico', 'Nome elettronico', 1, 0, '', 8, '', '', '', 0, -1, 'VR', '', '', NULL),
		('856', 'h', 'Processore della richiesta (Username)', 'Processore della richiesta (Username)', 0, 0, '', 8, '', '', '', 0, -1, 'VR', '', '', NULL),
		('856', 'i', 'Istruzioni', 'Istruzioni', 1, 0, '', 8, '', '', '', 0, -1, 'VR', '', '', NULL),
		('856', 'j', 'Bit per secondo', 'Bit per secondo', 0, 0, '', 8, '', '', '', 0, -1, 'VR', '', '', NULL),
		('856', 'k', 'Password', 'Password', 0, 0, '', 8, '', '', '', 0, -1, 'VR', '', '', NULL),
		('856', 'l', 'Logon', 'Logon', 0, 0, '', 8, '', '', '', 0, -1, 'VR', '', '', NULL),
		('856', 'm', 'Contatto per assistenza all\'accesso', 'Contatto per assistenza all\'accesso', 1, 0, '', 8, '', '', '', 0, -1, 'VR', '', '', NULL),
		('856', 'n', 'Nome della localizzazione dell\'host', 'Nome della localizzazione dell\'host', 0, 0, '', 8, '', '', '', 0, -1, 'VR', '', '', NULL),
		('856', 'o', 'Sistema operativo', 'Sistema operativo', 0, 0, '', 8, '', '', '', 0, -1, 'VR', '', '', NULL),
		('856', 'p', 'Porta', 'Porta', 0, 0, '', 8, '', '', '', 0, -1, 'VR', '', '', NULL),
		('856', 'q', 'Tipo di formato elettronico', 'Tipo di formato elettronico', 0, 0, '', 8, '', '', '', 0, -1, 'VR', '', '', NULL),
		('856', 'r', 'Parametri', 'Parametri', 0, 0, '', 8, '', '', '', 0, -1, 'VR', '', '', NULL),
		('856', 's', 'Dimensione file', 'Dimensione file', 1, 0, '', 8, '', '', '', 0, -1, 'VR', '', '', NULL),
		('856', 't', 'Emulazione del terminale', 'Emulazione del terminale', 1, 0, '', 8, '', '', '', 0, -1, 'VR', '', '', NULL),
		('856', 'u', 'URI (Uniform Resource Identifier)', 'URI (Uniform Resource Identifier)', 1, 0, 'biblioitems.url', 8, '', '', '', 1, -1, 'VR', '', '', NULL),
		('856', 'v', 'Orario di accesso', 'Orario di accesso', 1, 0, '', 8, '', '', '', 0, -1, 'VR', '', '', NULL),
		('856', 'w', 'Numero di controllo della registrazione', 'Numero di controllo della registrazione', 1, 0, '', 8, '', '', '', 0, -1, 'VR', '', '', NULL),
		('856', 'x', 'Nota non pubblic', 'Nota non pubblic', 1, 0, '', 8, '', '', '', 0, 1, 'VR', '', '', NULL),
		('856', 'y', 'Testo di collegamento', 'Testo di collegamento', 1, 0, '', 8, '', '', '', 0, -1, 'VR', '', '', NULL),
		('856', 'z', 'Nota pubblica', 'Nota pubblica', 1, 0, '', 8, '', '', '', 0, -1, 'VR', '', '', NULL),
		('859', 'b', 'Operator\'s initials, OID (RLIN)', 'Operator\'s initials, OID (RLIN)', 0, 0, '', 8, '', '', '', 0, 5, 'VR', '', '', NULL),
		('859', 'c', 'Cataloger\'s initials, CIN (RLIN)', 'Cataloger\'s initials, CIN (RLIN)', 0, 0, '', 8, '', '', '', 0, 5, 'VR', '', '', NULL),
		('859', 'd', 'TDC (RLIN)', 'TDC (RLIN)', 0, 0, '', 8, '', '', '', 0, 5, 'VR', '', '', NULL),
		('859', 'l', 'LIB (RLIN)', 'LIB (RLIN)', 0, 0, '', 8, '', '', '', 0, 5, 'VR', '', '', NULL),
		('859', 'p', 'PRI (RLIN)', 'PRI (RLIN)', 0, 0, '', 8, '', '', '', 0, 5, 'VR', '', '', NULL),
		('859', 'r', 'REG (RLIN)', 'REG (RLIN)', 0, 0, '', 8, '', '', '', 0, 5, 'VR', '', '', NULL),
		('859', 'v', 'VER (RLIN)', 'VER (RLIN)', 0, 0, '', 8, '', '', '', 0, 5, 'VR', '', '', NULL),
		('859', 'x', 'LDEL (RLIN)', 'LDEL (RLIN)', 0, 0, '', 8, '', '', '', 0, 5, 'VR', '', '', NULL),
		('863', '6', 'Collegamento', 'Collegamento', 0, 0, '', 8, '', '', '', NULL, 5, 'VR', '', '', NULL),
		('863', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 0, 0, '', 8, '', '', '', NULL, 5, 'VR', '', '', NULL),
		('863', 'a', 'Primo livello di enumerazione', 'Primo livello di enumerazione', 0, 0, '', 8, '', '', '', 0, 5, 'VR', '', '', NULL),
		('863', 'b', 'Secondo livello di enumerazione', 'Secondo livello di enumerazione', 0, 0, '', 8, '', '', '', 0, 5, 'VR', '', '', NULL),
		('863', 'c', 'Terzo livello di enumerazione', 'Terzo livello di enumerazione', 0, 0, '', 8, '', '', '', 0, 5, 'VR', '', '', NULL),
		('863', 'd', 'Quarto livello di enumerazione', 'Quarto livello di enumerazione', 0, 0, '', 8, '', '', '', 0, 5, 'VR', '', '', NULL),
		('863', 'e', 'Quinto livello di enumerazione', 'Quinto livello di enumerazione', 0, 0, '', 8, '', '', '', 0, 5, 'VR', '', '', NULL),
		('863', 'f', 'Sesto livello di enumerazione', 'Sesto livello di enumerazione', 0, 0, '', 8, '', '', '', 0, 5, 'VR', '', '', NULL),
		('863', 'g', 'Schema di numerazione alternativo, primo livello di enumerazione', 'Schema di numerazione alternativo, primo livello di enumerazione', 0, 0, '', 8, '', '', '', 0, 5, 'VR', '', '', NULL),
		('863', 'h', 'Schema di numerazione alternativo, secondo livello di enumerazione', 'Schema di numerazione alternativo, secondo livello di enumerazione', 0, 0, '', 8, '', '', '', 0, 5, 'VR', '', '', NULL),
		('863', 'i', 'Primo livello di cronologia', 'Primo livello di cronologia', 0, 0, '', 8, '', '', '', 0, 5, 'VR', '', '', NULL),
		('863', 'j', 'Secondo livello di cronologia', 'Secondo livello di cronologia', 0, 0, '', 8, '', '', '', 0, 5, 'VR', '', '', NULL),
		('863', 'k', 'Terzo livello di cronologia', 'Terzo livello di cronologia', 0, 0, '', 8, '', '', '', 0, 5, 'VR', '', '', NULL),
		('863', 'l', 'Quarto livello di cronologia', 'Quarto livello di cronologia', 0, 0, '', 8, '', '', '', 0, 5, 'VR', '', '', NULL),
		('863', 'm', 'Schema di numerazione alternativo, cronologia', 'Schema di numerazione alternativo, cronologia', 0, 0, '', 8, '', '', '', 0, 5, 'VR', '', '', NULL),
		('863', 'n', 'Convertito in anno Gregoriano', 'Convertito in anno Gregoriano', 0, 0, '', 8, '', '', '', 0, 5, 'VR', '', '', NULL),
		('863', 'o', 'Tipo di materiale', 'Tipo di materiale', 1, 0, '', 8, '', '', '', 0, 5, 'VR', '', '', NULL),
		('863', 'p', 'Designazione di parte', 'Designazione di parte', 0, 0, '', 8, '', '', '', 0, 5, 'VR', '', '', NULL),
		('863', 'q', 'Condizione fisica della parte', 'Condizione fisica della parte', 0, 0, '', 8, '', '', '', 0, 5, 'VR', '', '', NULL),
		('863', 's', 'Codice di tassa sul copyright dell\'articolo', 'Codice di tassa sul copyright dell\'articolo', 1, 0, '', 8, '', '', '', 0, 5, 'VR', '', '', NULL),
		('863', 't', 'Numero di copia', 'Numero di copia', 0, 0, '', 8, '', '', '', 0, 5, 'VR', '', '', NULL),
		('863', 'v', 'Data di emissione', 'Data di emissione', 1, 0, '', 8, '', '', '', 0, 5, 'VR', '', '', NULL),
		('863', 'w', 'indicatore di stacco', 'indicatore di stacco', 0, 0, '', 8, '', '', '', 0, 5, 'VR', '', '', NULL),
		('863', 'x', 'Nota non pubblic', 'Nota non pubblic', 1, 0, '', 8, '', '', '', 0, 5, 'VR', '', '', NULL),
		('863', 'z', 'Nota pubblica', 'Nota pubblica', 1, 0, '', 8, '', '', '', 0, 5, 'VR', '', '', NULL),
		('864', '6', 'Collegamento', 'Collegamento', 0, 0, '', 8, '', '', '', NULL, 5, 'VR', '', '', NULL),
		('864', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 0, 0, '', 8, '', '', '', NULL, 5, 'VR', '', '', NULL),
		('864', 'a', 'Primo livello di enumerazione', 'Primo livello di enumerazione', 0, 0, '', 8, '', '', '', 0, 5, 'VR', '', '', NULL),
		('864', 'b', 'Secondo livello di enumerazione', 'Secondo livello di enumerazione', 0, 0, '', 8, '', '', '', 0, 5, 'VR', '', '', NULL),
		('864', 'c', 'Terzo livello di enumerazione', 'Terzo livello di enumerazione', 0, 0, '', 8, '', '', '', 0, 5, 'VR', '', '', NULL),
		('864', 'd', 'Quarto livello di enumerazione', 'Quarto livello di enumerazione', 0, 0, '', 8, '', '', '', 0, 5, 'VR', '', '', NULL),
		('864', 'e', 'Quinto livello di enumerazione', 'Quinto livello di enumerazione', 0, 0, '', 8, '', '', '', 0, 5, 'VR', '', '', NULL),
		('864', 'f', 'Sesto livello di enumerazione', 'Sesto livello di enumerazione', 0, 0, '', 8, '', '', '', 0, 5, 'VR', '', '', NULL),
		('864', 'g', 'Schema di numerazione alternativo, primo livello di enumerazione', 'Schema di numerazione alternativo, primo livello di enumerazione', 0, 0, '', 8, '', '', '', 0, 5, 'VR', '', '', NULL),
		('864', 'h', 'Schema di numerazione alternativo, secondo livello di enumerazione', 'Schema di numerazione alternativo, secondo livello di enumerazione', 0, 0, '', 8, '', '', '', 0, 5, 'VR', '', '', NULL),
		('864', 'i', 'Primo livello di cronologia', 'Primo livello di cronologia', 0, 0, '', 8, '', '', '', 0, 5, 'VR', '', '', NULL),
		('864', 'j', 'Secondo livello di cronologia', 'Secondo livello di cronologia', 0, 0, '', 8, '', '', '', 0, 5, 'VR', '', '', NULL),
		('864', 'k', 'Terzo livello di cronologia', 'Terzo livello di cronologia', 0, 0, '', 8, '', '', '', 0, 5, 'VR', '', '', NULL),
		('864', 'l', 'Quarto livello di cronologia', 'Quarto livello di cronologia', 0, 0, '', 8, '', '', '', 0, 5, 'VR', '', '', NULL),
		('864', 'm', 'Schema di numerazione alternativo, cronologia', 'Schema di numerazione alternativo, cronologia', 0, 0, '', 8, '', '', '', 0, 5, 'VR', '', '', NULL),
		('864', 'n', 'Convertito in anno Gregoriano', 'Convertito in anno Gregoriano', 0, 0, '', 8, '', '', '', 0, 5, 'VR', '', '', NULL),
		('864', 'o', 'Tipo di materiale', 'Tipo di materiale', 1, 0, '', 8, '', '', '', 0, 5, 'VR', '', '', NULL),
		('864', 'p', 'Designazione di parte', 'Designazione di parte', 0, 0, '', 8, '', '', '', 0, 5, 'VR', '', '', NULL),
		('864', 'q', 'Condizione fisica della parte', 'Condizione fisica della parte', 0, 0, '', 8, '', '', '', 0, 5, 'VR', '', '', NULL),
		('864', 's', 'Codice di tassa sul copyright dell\'articolo', 'Codice di tassa sul copyright dell\'articolo', 1, 0, '', 8, '', '', '', 0, 5, 'VR', '', '', NULL),
		('864', 't', 'Numero di copia', 'Numero di copia', 0, 0, '', 8, '', '', '', 0, 5, 'VR', '', '', NULL),
		('864', 'v', 'Data di emissione', 'Data di emissione', 1, 0, '', 8, '', '', '', 0, 5, 'VR', '', '', NULL),
		('864', 'w', 'indicatore di stacco', 'indicatore di stacco', 0, 0, '', 8, '', '', '', 0, 5, 'VR', '', '', NULL),
		('864', 'x', 'Nota non pubblic', 'Nota non pubblic', 1, 0, '', 8, '', '', '', 0, 5, 'VR', '', '', NULL),
		('864', 'z', 'Nota pubblica', 'Nota pubblica', 1, 0, '', 8, '', '', '', 0, 5, 'VR', '', '', NULL),
		('865', '6', 'Collegamento', 'Collegamento', 0, 0, '', 8, '', '', '', NULL, 5, 'VR', '', '', NULL),
		('865', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 0, 0, '', 8, '', '', '', NULL, 5, 'VR', '', '', NULL),
		('865', 'a', 'Primo livello di enumerazione', 'Primo livello di enumerazione', 0, 0, '', 8, '', '', '', 0, 5, 'VR', '', '', NULL),
		('865', 'b', 'Secondo livello di enumerazione', 'Secondo livello di enumerazione', 0, 0, '', 8, '', '', '', 0, 5, 'VR', '', '', NULL),
		('865', 'c', 'Terzo livello di enumerazione', 'Terzo livello di enumerazione', 0, 0, '', 8, '', '', '', 0, 5, 'VR', '', '', NULL),
		('865', 'd', 'Quarto livello di enumerazione', 'Quarto livello di enumerazione', 0, 0, '', 8, '', '', '', 0, 5, 'VR', '', '', NULL),
		('865', 'e', 'Quinto livello di enumerazione', 'Quinto livello di enumerazione', 0, 0, '', 8, '', '', '', 0, 5, 'VR', '', '', NULL),
		('865', 'f', 'Sesto livello di enumerazione', 'Sesto livello di enumerazione', 0, 0, '', 8, '', '', '', 0, 5, 'VR', '', '', NULL),
		('865', 'g', 'Schema di numerazione alternativo, primo livello di enumerazione', 'Schema di numerazione alternativo, primo livello di enumerazione', 0, 0, '', 8, '', '', '', 0, 5, 'VR', '', '', NULL),
		('865', 'h', 'Schema di numerazione alternativo, secondo livello di enumerazione', 'Schema di numerazione alternativo, secondo livello di enumerazione', 0, 0, '', 8, '', '', '', 0, 5, 'VR', '', '', NULL),
		('865', 'i', 'Primo livello di cronologia', 'Primo livello di cronologia', 0, 0, '', 8, '', '', '', 0, 5, 'VR', '', '', NULL),
		('865', 'j', 'Secondo livello di cronologia', 'Secondo livello di cronologia', 0, 0, '', 8, '', '', '', 0, 5, 'VR', '', '', NULL),
		('865', 'k', 'Terzo livello di cronologia', 'Terzo livello di cronologia', 0, 0, '', 8, '', '', '', 0, 5, 'VR', '', '', NULL),
		('865', 'l', 'Quarto livello di cronologia', 'Quarto livello di cronologia', 0, 0, '', 8, '', '', '', 0, 5, 'VR', '', '', NULL),
		('865', 'm', 'Schema di numerazione alternativo, cronologia', 'Schema di numerazione alternativo, cronologia', 0, 0, '', 8, '', '', '', 0, 5, 'VR', '', '', NULL),
		('865', 'n', 'Convertito in anno Gregoriano', 'Convertito in anno Gregoriano', 0, 0, '', 8, '', '', '', 0, 5, 'VR', '', '', NULL),
		('865', 'o', 'Tipo di materiale', 'Tipo di materiale', 1, 0, '', 8, '', '', '', 0, 5, 'VR', '', '', NULL),
		('865', 'p', 'Designazione di parte', 'Designazione di parte', 0, 0, '', 8, '', '', '', 0, 5, 'VR', '', '', NULL),
		('865', 'q', 'Condizione fisica della parte', 'Condizione fisica della parte', 0, 0, '', 8, '', '', '', 0, 5, 'VR', '', '', NULL),
		('865', 's', 'Codice di tassa sul copyright dell\'articolo', 'Codice di tassa sul copyright dell\'articolo', 1, 0, '', 8, '', '', '', 0, 5, 'VR', '', '', NULL),
		('865', 't', 'Numero di copia', 'Numero di copia', 0, 0, '', 8, '', '', '', 0, 5, 'VR', '', '', NULL),
		('865', 'v', 'Data di emissione', 'Data di emissione', 1, 0, '', 8, '', '', '', 0, 5, 'VR', '', '', NULL),
		('865', 'w', 'indicatore di stacco', 'indicatore di stacco', 0, 0, '', 8, '', '', '', 0, 5, 'VR', '', '', NULL),
		('865', 'x', 'Nota non pubblic', 'Nota non pubblic', 1, 0, '', 8, '', '', '', 0, 5, 'VR', '', '', NULL),
		('865', 'z', 'Nota pubblica', 'Nota pubblica', 1, 0, '', 8, '', '', '', 0, 5, 'VR', '', '', NULL),
		('866', '6', 'Collegamento', 'Collegamento', 0, 0, '', 8, '', '', '', NULL, 5, 'VR', '', '', NULL),
		('866', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 8, '', '', '', NULL, 5, 'VR', '', '', NULL),
		('866', 'a', 'Stringa testuale', 'Stringa testuale', 0, 0, '', 8, '', '', '', 0, 5, 'VR', '', '', NULL),
		('866', 'x', 'Nota non pubblic', 'Nota non pubblic', 1, 0, '', 8, '', '', '', 0, 5, 'VR', '', '', NULL),
		('866', 'z', 'Nota pubblica', 'Nota pubblica', 1, 0, '', 8, '', '', '', 0, 5, 'VR', '', '', NULL),
		('867', '6', 'Collegamento', 'Collegamento', 0, 0, '', 8, '', '', '', NULL, 5, 'VR', '', '', NULL),
		('867', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 8, '', '', '', NULL, 5, 'VR', '', '', NULL),
		('867', 'a', 'Stringa testuale', 'Stringa testuale', 0, 0, '', 8, '', '', '', 0, 5, 'VR', '', '', NULL),
		('867', 'x', 'Nota non pubblic', 'Nota non pubblic', 1, 0, '', 8, '', '', '', 0, 5, 'VR', '', '', NULL),
		('867', 'z', 'Nota pubblica', 'Nota pubblica', 1, 0, '', 8, '', '', '', 0, 5, 'VR', '', '', NULL),
		('868', '6', 'Collegamento', 'Collegamento', 0, 0, '', 8, '', '', '', NULL, 5, 'VR', '', '', NULL),
		('868', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 8, '', '', '', NULL, 5, 'VR', '', '', NULL),
		('868', 'a', 'Stringa testuale', 'Stringa testuale', 0, 0, '', 8, '', '', '', 0, 5, 'VR', '', '', NULL),
		('868', 'x', 'Nota non pubblic', 'Nota non pubblic', 1, 0, '', 8, '', '', '', 0, 5, 'VR', '', '', NULL),
		('868', 'z', 'Nota pubblica', 'Nota pubblica', 1, 0, '', 8, '', '', '', 0, 5, 'VR', '', '', NULL),
		('870', '4', 'Codice di ruolo', 'Codice di ruolo', 1, 0, '', 8, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('870', '6', 'Collegamento', 'Collegamento', 0, 0, '', 8, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('870', 'a', 'Nome di persona', 'Nome di persona', 0, 0, '', 8, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('870', 'b', 'Numerazione', 'Numerazione', 0, 0, '', 8, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('870', 'c', 'Titoli e altre parole associate al nome', 'Titoli e altre parole associate al nome', 1, 0, '', 8, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('870', 'd', 'Date associate al nome', 'Date associate al nome', 0, 0, '', 8, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('870', 'e', 'Termine di ruolo', 'Termine di ruolo', 1, 0, '', 8, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('870', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, '', 8, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('870', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, '', 8, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('870', 'j', 'Tag e numero di sequenza', 'Tag e numero di sequenza', 0, 0, '', 8, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('870', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, '', 8, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('870', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, '', 8, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('870', 'n', 'Numero di parte/sezione dell\'opera', 'Numero di parte/sezione dell\'opera', 1, 0, '', 8, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('870', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, '', 8, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('870', 'q', 'Forma completa del nome', 'Forma completa del nome', 0, 0, '', 8, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('870', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, '', 8, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('870', 'u', 'Affiliazione', 'Affiliazione', 0, 0, '', 8, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('871', '4', 'Codice di ruolo', 'Codice di ruolo', 1, 0, '', 8, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('871', '6', 'Collegamento', 'Collegamento', 0, 0, '', 8, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('871', 'a', 'Nome dell\'ente o nome della giurisdizione come accesso', 'Nome dell\'ente o nome della giurisdizione come accesso', 0, 0, '', 8, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('871', 'b', 'Unità subordinata', 'Unità subordinata', 1, 0, '', 8, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('871', 'c', 'Luogo del convegno', 'Luogo del convegno', 0, 0, '', 8, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('871', 'd', 'Data del convegno o di firma del trattato', 'Data del convegno o di firma del trattato', 1, 0, '', 8, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('871', 'e', 'Termine di ruolo', 'Termine di ruolo', 1, 0, '', 8, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('871', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, '', 8, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('871', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, '', 8, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('871', 'j', 'Tag e numero di sequenza', 'Tag e numero di sequenza', 0, 0, '', 8, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('871', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, '', 8, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('871', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, '', 8, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('871', 'n', 'Numero di parte/sezione/convegno', 'Numero di parte/sezione/convegno', 1, 0, '', 8, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('871', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, '', 8, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('871', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, '', 8, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('871', 'u', 'Affiliazione', 'Affiliazione', 0, 0, '', 8, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('872', '4', 'Codice di ruolo', 'Codice di ruolo', 1, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('872', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('872', 'a', 'Nome del convegno o nome della giurisdizione come accesso', 'Nome del convegno o nome della giurisdizione come accesso', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('872', 'b', 'Number [OBSOLETE]', 'Number [OBSOLETE]', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('872', 'c', 'Luogo del convegno', 'Luogo del convegno', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('872', 'd', 'Data del convegno', 'Data del convegno', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('872', 'e', 'Unità subordinata', 'Unità subordinata', 1, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('872', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('872', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('872', 'j', 'Tag e numero di sequenza', 'Tag e numero di sequenza', 0, 0, '', 8, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('872', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('872', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('872', 'n', 'Numero di parte/sezione/convegno', 'Numero di parte/sezione/convegno', 1, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('872', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('872', 'q', 'Nome del convegno dopo accesso di nome della giurisdizione', 'Nome del convegno dopo accesso di nome della giurisdizione', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('872', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('872', 'u', 'Affiliazione', 'Affiliazione', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('873', '6', 'Collegamento', 'Collegamento', 0, 0, '', 8, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('873', 'a', 'Titolo uniforme', 'Titolo uniforme', 0, 0, '', 8, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('873', 'd', 'Data di firma del trattato', 'Data di firma del trattato', 1, 0, '', 8, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('873', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, '', 8, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('873', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, '', 8, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('873', 'h', 'Supporto', 'Supporto', 0, 0, '', 8, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('873', 'j', 'Tag e numero di sequenza', 'Tag e numero di sequenza', 0, 0, '', 8, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('873', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, '', 8, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('873', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, '', 8, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('873', 'm', 'Mezzo di esecuzione per la musica', 'Mezzo di esecuzione per la musica', 1, 0, '', 8, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('873', 'n', 'Numero di parte/sezione dell\'opera', 'Numero di parte/sezione dell\'opera', 1, 0, '', 8, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('873', 'o', 'Formulazione d\'arrangiamento per la musica', 'Formulazione d\'arrangiamento per la musica', 0, 0, '', 8, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('873', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, '', 8, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('873', 'r', 'Tonalità (musica)', 'Tonalità (musica)', 0, 0, '', 8, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('873', 's', 'Versione', 'Versione', 0, 0, '', 8, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('873', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, '', 8, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('876', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, '', 8, '', '', '', NULL, 5, 'VR', '', '', NULL),
		('876', '6', 'Collegamento', 'Collegamento', 0, 0, '', 8, '', '', '', NULL, 5, 'VR', '', '', NULL),
		('876', '8', 'Numero di sequenza', 'Numero di sequenza', 1, 0, '', 8, '', '', '', NULL, 5, 'VR', '', '', NULL),
		('876', 'a', 'Internal item number', 'Internal item number', 0, 0, '', 8, '', '', '', NULL, 5, 'VR', '', '', NULL),
		('876', 'b', 'Invalid or canceled internal item number', 'Invalid or canceled internal item number', 1, 0, '', 8, '', '', '', NULL, 5, 'VR', '', '', NULL),
		('876', 'c', 'Cost', 'Cost', 1, 0, '', 8, '', '', '', NULL, 5, 'VR', '', '', NULL),
		('876', 'd', 'Data d\'acquisizione', 'Data d\'acquisizione', 1, 0, '', 8, '', '', '', NULL, 5, 'VR', '', '', NULL),
		('876', 'e', 'Fonte d\'acquisto', 'Fonte d\'acquisto', 1, 0, '', 8, '', '', '', NULL, 5, 'VR', '', '', NULL),
		('876', 'h', 'Use restrictions', 'Use restrictions', 1, 0, '', 8, '', '', '', NULL, 5, 'VR', '', '', NULL),
		('876', 'j', 'Status della copia', 'Status della copia', 1, 0, '', 8, '', '', '', NULL, 5, 'VR', '', '', NULL),
		('876', 'l', 'Collocazione temporanea', 'Collocazione temporanea', 1, 0, '', 8, '', '', '', NULL, 5, 'VR', '', '', NULL),
		('876', 'p', 'Designazione di parte', 'Designazione di parte', 1, 0, '', 8, '', '', '', NULL, 5, 'VR', '', '', NULL),
		('876', 'r', 'Invalid or canceled piece designation', 'Invalid or canceled piece designation', 1, 0, '', 8, '', '', '', NULL, 5, 'VR', '', '', NULL),
		('876', 't', 'Numero di copia', 'Numero di copia', 0, 0, '', 8, '', '', '', NULL, 5, 'VR', '', '', NULL),
		('876', 'x', 'Nota non pubblic', 'Nota non pubblic', 1, 0, '', 8, '', '', '', NULL, 5, 'VR', '', '', NULL),
		('876', 'z', 'Nota pubblica', 'Nota pubblica', 1, 0, '', 8, '', '', '', NULL, 5, 'VR', '', '', NULL),
		('877', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, '', 8, '', '', '', NULL, 5, 'VR', '', '', NULL),
		('877', '6', 'Collegamento', 'Collegamento', 0, 0, '', 8, '', '', '', NULL, 5, 'VR', '', '', NULL),
		('877', '8', 'Numero di sequenza', 'Numero di sequenza', 1, 0, '', 8, '', '', '', NULL, 5, 'VR', '', '', NULL),
		('877', 'a', 'Internal item number', 'Internal item number', 0, 0, '', 8, '', '', '', NULL, 5, 'VR', '', '', NULL),
		('877', 'b', 'Invalid or canceled internal item number', 'Invalid or canceled internal item number', 1, 0, '', 8, '', '', '', NULL, 5, 'VR', '', '', NULL),
		('877', 'c', 'Cost', 'Cost', 1, 0, '', 8, '', '', '', NULL, 5, 'VR', '', '', NULL),
		('877', 'd', 'Data d\'acquisizione', 'Data d\'acquisizione', 1, 0, '', 8, '', '', '', NULL, 5, 'VR', '', '', NULL),
		('877', 'e', 'Fonte d\'acquisto', 'Fonte d\'acquisto', 1, 0, '', 8, '', '', '', NULL, 5, 'VR', '', '', NULL),
		('877', 'h', 'Use restrictions', 'Use restrictions', 1, 0, '', 8, '', '', '', NULL, 5, 'VR', '', '', NULL),
		('877', 'j', 'Status della copia', 'Status della copia', 1, 0, '', 8, '', '', '', NULL, 5, 'VR', '', '', NULL),
		('877', 'l', 'Collocazione temporanea', 'Collocazione temporanea', 1, 0, '', 8, '', '', '', NULL, 5, 'VR', '', '', NULL),
		('877', 'p', 'Designazione di parte', 'Designazione di parte', 1, 0, '', 8, '', '', '', NULL, 5, 'VR', '', '', NULL),
		('877', 'r', 'Invalid or canceled piece designation', 'Invalid or canceled piece designation', 1, 0, '', 8, '', '', '', NULL, 5, 'VR', '', '', NULL),
		('877', 't', 'Numero di copia', 'Numero di copia', 0, 0, '', 8, '', '', '', NULL, 5, 'VR', '', '', NULL),
		('877', 'x', 'Nota non pubblic', 'Nota non pubblic', 1, 0, '', 8, '', '', '', NULL, 5, 'VR', '', '', NULL),
		('877', 'z', 'Nota pubblica', 'Nota pubblica', 1, 0, '', 8, '', '', '', NULL, 5, 'VR', '', '', NULL),
		('878', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, '', 8, '', '', '', NULL, 5, 'VR', '', '', NULL),
		('878', '6', 'Collegamento', 'Collegamento', 0, 0, '', 8, '', '', '', NULL, 5, 'VR', '', '', NULL),
		('878', '8', 'Numero di sequenza', 'Numero di sequenza', 1, 0, '', 8, '', '', '', NULL, 5, 'VR', '', '', NULL),
		('878', 'a', 'Internal item number', 'Internal item number', 0, 0, '', 8, '', '', '', NULL, 5, 'VR', '', '', NULL),
		('878', 'b', 'Invalid or canceled internal item number', 'Invalid or canceled internal item number', 1, 0, '', 8, '', '', '', NULL, 5, 'VR', '', '', NULL),
		('878', 'c', 'Cost', 'Cost', 1, 0, '', 8, '', '', '', NULL, 5, 'VR', '', '', NULL),
		('878', 'd', 'Data d\'acquisizione', 'Data d\'acquisizione', 1, 0, '', 8, '', '', '', NULL, 5, 'VR', '', '', NULL),
		('878', 'e', 'Fonte d\'acquisto', 'Fonte d\'acquisto', 1, 0, '', 8, '', '', '', NULL, 5, 'VR', '', '', NULL),
		('878', 'h', 'Use restrictions', 'Use restrictions', 1, 0, '', 8, '', '', '', NULL, 5, 'VR', '', '', NULL),
		('878', 'j', 'Status della copia', 'Status della copia', 1, 0, '', 8, '', '', '', NULL, 5, 'VR', '', '', NULL),
		('878', 'l', 'Collocazione temporanea', 'Collocazione temporanea', 1, 0, '', 8, '', '', '', NULL, 5, 'VR', '', '', NULL),
		('878', 'p', 'Designazione di parte', 'Designazione di parte', 1, 0, '', 8, '', '', '', NULL, 5, 'VR', '', '', NULL),
		('878', 'r', 'Invalid or canceled piece designation', 'Invalid or canceled piece designation', 1, 0, '', 8, '', '', '', NULL, 5, 'VR', '', '', NULL),
		('878', 't', 'Numero di copia', 'Numero di copia', 0, 0, '', 8, '', '', '', NULL, 5, 'VR', '', '', NULL),
		('878', 'x', 'Nota non pubblic', 'Nota non pubblic', 1, 0, '', 8, '', '', '', NULL, 5, 'VR', '', '', NULL),
		('878', 'z', 'Nota pubblica', 'Nota pubblica', 1, 0, '', 8, '', '', '', NULL, 5, 'VR', '', '', NULL),
		('880', '2', '2', '2', 1, 0, '', 8, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('880', '3', '3', '3', 1, 0, '', 8, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('880', '4', '4', '4', 1, 0, '', 8, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('880', '5', '5', '5', 1, 0, '', 8, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('880', '6', 'Collegamento', 'Collegamento', 0, 0, '', 8, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('880', '7', '7', '7', 1, 0, '', 8, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('880', '8', '8', '8', 1, 0, '', 8, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('880', '9', '9', '9', 1, 0, '', 8, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('880', 'a', 'a', 'a', 1, 0, '', 8, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('880', 'b', 'b', 'b', 1, 0, '', 8, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('880', 'c', 'c', 'c', 1, 0, '', 8, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('880', 'd', 'd', 'd', 1, 0, '', 8, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('880', 'e', 'e', 'e', 1, 0, '', 8, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('880', 'f', 'f', 'f', 1, 0, '', 8, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('880', 'g', 'g', 'g', 1, 0, '', 8, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('880', 'h', 'h', 'h', 1, 0, '', 8, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('880', 'i', 'i', 'i', 1, 0, '', 8, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('880', 'j', 'j', 'j', 1, 0, '', 8, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('880', 'k', 'k', 'k', 1, 0, '', 8, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('880', 'l', 'l', 'l', 1, 0, '', 8, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('880', 'm', 'm', 'm', 1, 0, '', 8, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('880', 'n', 'n', 'n', 1, 0, '', 8, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('880', 'o', 'o', 'o', 1, 0, '', 8, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('880', 'p', 'p', 'p', 1, 0, '', 8, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('880', 'q', 'q', 'q', 1, 0, '', 8, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('880', 'r', 'r', 'r', 1, 0, '', 8, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('880', 's', 's', 's', 1, 0, '', 8, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('880', 't', 't', 't', 1, 0, '', 8, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('880', 'u', 'u', 'u', 1, 0, '', 8, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('880', 'v', 'v', 'v', 1, 0, '', 8, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('880', 'w', 'w', 'w', 1, 0, '', 8, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('880', 'x', 'x', 'x', 1, 0, '', 8, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('880', 'y', 'y', 'y', 1, 0, '', 8, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('880', 'z', 'z', 'z', 1, 0, '', 8, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('886', '0', '0', '0', 1, 0, '', 8, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('886', '1', '1', '1', 1, 0, '', 8, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('886', '2', '2', '2', 1, 0, '', 8, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('886', '3', '3', '3', 1, 0, '', 8, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('886', '4', '4', '4', 1, 0, '', 8, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('886', '5', '5', '5', 1, 0, '', 8, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('886', '6', '6', '6', 1, 0, '', 8, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('886', '7', '7', '7', 1, 0, '', 8, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('886', '8', '8', '8', 1, 0, '', 8, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('886', '9', '9', '9', 1, 0, '', 8, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('886', 'a', 'a', 'a', 1, 0, '', 8, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('886', 'b', 'b', 'b', 1, 0, '', 8, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('886', 'c', 'c', 'c', 1, 0, '', 8, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('886', 'd', 'd', 'd', 1, 0, '', 8, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('886', 'e', 'e', 'e', 1, 0, '', 8, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('886', 'f', 'f', 'f', 1, 0, '', 8, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('886', 'g', 'g', 'g', 1, 0, '', 8, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('886', 'h', 'h', 'h', 1, 0, '', 8, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('886', 'i', 'i', 'i', 1, 0, '', 8, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('886', 'j', 'j', 'j', 1, 0, '', 8, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('886', 'k', 'k', 'k', 1, 0, '', 8, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('886', 'l', 'l', 'l', 1, 0, '', 8, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('886', 'm', 'm', 'm', 1, 0, '', 8, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('886', 'n', 'n', 'n', 1, 0, '', 8, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('886', 'o', 'o', 'o', 1, 0, '', 8, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('886', 'p', 'p', 'p', 1, 0, '', 8, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('886', 'q', 'q', 'q', 1, 0, '', 8, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('886', 'r', 'r', 'r', 1, 0, '', 8, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('886', 's', 's', 's', 1, 0, '', 8, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('886', 't', 't', 't', 1, 0, '', 8, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('886', 'u', 'u', 'u', 1, 0, '', 8, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('886', 'v', 'v', 'v', 1, 0, '', 8, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('886', 'w', 'w', 'w', 1, 0, '', 8, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('886', 'x', 'x', 'x', 1, 0, '', 8, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('886', 'y', 'y', 'y', 1, 0, '', 8, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('886', 'z', 'z', 'z', 1, 0, '', 8, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('887', '2', 'Fonte dei dati', 'Fonte dei dati', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('887', 'a', 'Contenuto del campo non-MARC', 'Contenuto del campo non-MARC', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('896', '%', '% (RLIN)', '% (RLIN)', 0, 0, '', 8, '', '', '', 0, -6, 'VR', '', '', NULL),
		('896', '4', 'Codice di ruolo', 'Codice di ruolo', 1, 0, '', 8, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('896', '6', 'Collegamento', 'Collegamento', 0, 0, '', 8, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('896', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 8, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('896', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 8, '', '', '', 0, -5, 'VR', '', '', NULL),
		('896', 'a', 'Nome di persona', 'Nome di persona', 0, 0, '', 8, '', 'PERSO_NAME', '', NULL, -6, 'VR', '', '', NULL),
		('896', 'b', 'Numerazione', 'Numerazione', 0, 0, '', 8, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('896', 'c', 'Titoli e altre parole associate al nome', 'Titoli e altre parole associate al nome', 1, 0, '', 8, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('896', 'd', 'Date associate al nome', 'Date associate al nome', 0, 0, '', 8, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('896', 'e', 'Termine di ruolo', 'Termine di ruolo', 1, 0, '', 8, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('896', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, '', 8, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('896', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, '', 8, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('896', 'h', 'Supporto', 'Supporto', 0, 0, '', 8, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('896', 'j', 'Qualificazione d\'attribuzione', 'Qualificazione d\'attribuzione', 1, 0, '', 8, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('896', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, '', 8, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('896', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, '', 8, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('896', 'm', 'Mezzo di esecuzione per la musica', 'Mezzo di esecuzione per la musica', 1, 0, '', 8, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('896', 'n', 'Numero di parte/sezione dell\'opera', 'Numero di parte/sezione dell\'opera', 1, 0, '', 8, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('896', 'o', 'Formulazione d\'arrangiamento per la musica', 'Formulazione d\'arrangiamento per la musica', 0, 0, '', 8, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('896', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, '', 8, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('896', 'q', 'Forma completa del nome', 'Forma completa del nome', 0, 0, '', 8, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('896', 'r', 'Tonalità (musica)', 'Tonalità (musica)', 0, 0, '', 8, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('896', 's', 'Versione', 'Versione', 0, 0, '', 8, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('896', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, '', 8, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('896', 'u', 'Affiliazione', 'Affiliazione', 0, 0, '', 8, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('896', 'v', 'Numero del volume/designazione di sequenza', 'Numero del volume/designazione di sequenza', 0, 0, '', 8, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('897', '%', '% (RLIN)', '% (RLIN)', 0, 0, '', 8, '', '', '', 0, -6, 'VR', '', '', NULL),
		('897', '4', 'Codice di ruolo', 'Codice di ruolo', 1, 0, '', 8, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('897', '6', 'Collegamento', 'Collegamento', 0, 0, '', 8, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('897', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 8, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('897', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 8, '', '', '', 0, -5, 'VR', '', '', NULL),
		('897', 'a', 'Nome dell\'ente o nome della giurisdizione come accesso', 'Nome dell\'ente o nome della giurisdizione come accesso', 0, 0, '', 8, '', 'CORPO_NAME', '', NULL, -6, 'VR', '', '', NULL),
		('897', 'b', 'Unità subordinata', 'Unità subordinata', 1, 0, '', 8, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('897', 'c', 'Luogo del convegno', 'Luogo del convegno', 0, 0, '', 8, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('897', 'd', 'Data del convegno o di firma del trattato', 'Data del convegno o di firma del trattato', 1, 0, '', 8, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('897', 'e', 'Termine di ruolo', 'Termine di ruolo', 1, 0, '', 8, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('897', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, '', 8, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('897', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, '', 8, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('897', 'h', 'Supporto', 'Supporto', 0, 0, '', 8, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('897', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, '', 8, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('897', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, '', 8, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('897', 'm', 'Mezzo di esecuzione per la musica', 'Mezzo di esecuzione per la musica', 1, 0, '', 8, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('897', 'n', 'Numero di parte/sezione/convegno', 'Numero di parte/sezione/convegno', 1, 0, '', 8, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('897', 'o', 'Formulazione d\'arrangiamento per la musica', 'Formulazione d\'arrangiamento per la musica', 0, 0, '', 8, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('897', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, '', 8, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('897', 'r', 'Tonalità (musica)', 'Tonalità (musica)', 0, 0, '', 8, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('897', 's', 'Versione', 'Versione', 0, 0, '', 8, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('897', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, '', 8, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('897', 'u', 'Affiliazione', 'Affiliazione', 0, 0, '', 8, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('897', 'v', 'Numero del volume/designazione di sequenza', 'Numero del volume/designazione di sequenza', 0, 0, '', 8, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('898', '%', '% (RLIN)', '% (RLIN)', 0, 0, '', 8, '', '', '', 0, -6, 'VR', '', '', NULL),
		('898', '4', 'Codice di ruolo', 'Codice di ruolo', 1, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('898', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('898', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('898', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 8, '', '', '', 0, -5, 'VR', '', '', NULL),
		('898', 'a', 'Nome del convegno o nome della giurisdizione come accesso', 'Nome del convegno o nome della giurisdizione come accesso', 0, 0, NULL, 8, NULL, 'MEETI_NAME', '', NULL, -6, 'VR', '', '', NULL),
		('898', 'b', 'Number (BK CF MP MU SE VM MX) [OBSOLETE]', 'Number (BK CF MP MU SE VM MX) [OBSOLETE]', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('898', 'c', 'Luogo del convegno', 'Luogo del convegno', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('898', 'd', 'Data del convegno', 'Data del convegno', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('898', 'e', 'Unità subordinata', 'Unità subordinata', 1, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('898', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('898', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('898', 'h', 'Supporto', 'Supporto', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('898', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('898', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('898', 'n', 'Numero di parte/sezione/convegno', 'Numero di parte/sezione/convegno', 1, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('898', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('898', 'q', 'Nome del convegno dopo accesso di nome della giurisdizione', 'Nome del convegno dopo accesso di nome della giurisdizione', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('898', 's', 'Versione', 'Versione', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('898', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('898', 'u', 'Affiliazione', 'Affiliazione', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('898', 'v', 'Numero del volume/designazione di sequenza', 'Numero del volume/designazione di sequenza', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('899', '%', '% (RLIN)', '% (RLIN)', 0, 0, '', 8, '', '', '', 0, -6, 'VR', '', '', NULL),
		('899', '6', 'Collegamento', 'Collegamento', 0, 0, '', 8, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('899', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 8, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('899', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 8, '', '', '', 0, -5, 'VR', '', '', NULL),
		('899', 'a', 'Titolo uniforme', 'Titolo uniforme', 0, 0, '', 8, '', 'UNIF_TITLE', '', NULL, -6, 'VR', '', '', NULL),
		('899', 'd', 'Data di firma del trattato', 'Data di firma del trattato', 1, 0, '', 8, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('899', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, '', 8, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('899', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, '', 8, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('899', 'h', 'Supporto', 'Supporto', 0, 0, '', 8, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('899', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, '', 8, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('899', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, '', 8, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('899', 'm', 'Mezzo di esecuzione per la musica', 'Mezzo di esecuzione per la musica', 1, 0, '', 8, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('899', 'n', 'Numero di parte/sezione dell\'opera', 'Numero di parte/sezione dell\'opera', 1, 0, '', 8, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('899', 'o', 'Formulazione d\'arrangiamento per la musica', 'Formulazione d\'arrangiamento per la musica', 0, 0, '', 8, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('899', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, '', 8, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('899', 'r', 'Tonalità (musica)', 'Tonalità (musica)', 0, 0, '', 8, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('899', 's', 'Versione', 'Versione', 0, 0, '', 8, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('899', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, '', 8, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('899', 'v', 'Numero del volume/designazione di sequenza', 'Numero del volume/designazione di sequenza', 0, 0, '', 8, '', '', '', NULL, 5, 'VR', '', '', NULL),
		('900', '4', 'Codice di ruolo', 'Codice di ruolo', 1, 0, '', 9, '', '', '', 0, -6, 'VR', '', '', NULL),
		('900', '6', 'Collegamento', 'Collegamento', 0, 0, '', 9, '', '', '', 0, -6, 'VR', '', '', NULL),
		('900', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 9, '', '', '', 0, -6, 'VR', '', '', NULL),
		('900', 'a', 'Nome di persona', 'Nome di persona', 0, 0, '', 9, '', '', '', 0, 5, 'VR', '', '', NULL),
		('900', 'b', 'Numerazione', 'Numerazione', 0, 0, '', 9, '', '', '', 0, -6, 'VR', '', '', NULL),
		('900', 'c', 'Titoli e altre parole associate al nome', 'Titoli e altre parole associate al nome', 1, 0, '', 9, '', '', '', 0, -6, 'VR', '', '', NULL),
		('900', 'd', 'Date associate al nome', 'Date associate al nome', 0, 0, '', 9, '', '', '', 0, -6, 'VR', '', '', NULL),
		('900', 'e', 'Termine di ruolo', 'Termine di ruolo', 1, 0, '', 9, '', '', '', 0, -6, 'VR', '', '', NULL),
		('900', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, '', 9, '', '', '', 0, -6, 'VR', '', '', NULL),
		('900', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, '', 9, '', '', '', 0, -6, 'VR', '', '', NULL),
		('900', 'j', 'Qualificazione d\'attribuzione', 'Qualificazione d\'attribuzione', 1, 0, '', 9, '', '', '', 0, -6, 'VR', '', '', NULL),
		('900', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, '', 9, '', '', '', 0, -6, 'VR', '', '', NULL),
		('900', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, '', 9, '', '', '', 0, -6, 'VR', '', '', NULL),
		('900', 'n', 'Numero di parte/sezione dell\'opera', 'Numero di parte/sezione dell\'opera', 1, 0, '', 9, '', '', '', 0, -6, 'VR', '', '', NULL),
		('900', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, '', 9, '', '', '', 0, -6, 'VR', '', '', NULL),
		('900', 'q', 'Forma completa del nome', 'Forma completa del nome', 0, 0, '', 9, '', '', '', 0, -6, 'VR', '', '', NULL),
		('900', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, '', 9, '', '', '', 0, -6, 'VR', '', '', NULL),
		('900', 'u', 'Affiliazione', 'Affiliazione', 0, 0, '', 9, '', '', '', 0, -6, 'VR', '', '', NULL),
		('901', '0', '0', '0', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('901', '1', '1', '1', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('901', '2', '2', '2', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('901', '3', '3', '3', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('901', '4', '4', '4', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('901', '5', '5', '5', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('901', '6', '6', '6', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('901', '7', '7', '7', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('901', '8', '8', '8', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('901', '9', '9', '9', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('901', 'a', 'a', 'a', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('901', 'b', 'b', 'b', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('901', 'c', 'c', 'c', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('901', 'd', 'd', 'd', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('901', 'e', 'e', 'e', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('901', 'f', 'f', 'f', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('901', 'g', 'g', 'g', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('901', 'h', 'h', 'h', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('901', 'i', 'i', 'i', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('901', 'j', 'j', 'j', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('901', 'k', 'k', 'k', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('901', 'l', 'l', 'l', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('901', 'm', 'm', 'm', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('901', 'n', 'n', 'n', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('901', 'o', 'o', 'o', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('901', 'p', 'p', 'p', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('901', 'q', 'q', 'q', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('901', 'r', 'r', 'r', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('901', 's', 's', 's', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('901', 't', 't', 't', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('901', 'u', 'u', 'u', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('901', 'v', 'v', 'v', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('901', 'w', 'w', 'w', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('901', 'x', 'x', 'x', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('901', 'y', 'y', 'y', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('901', 'z', 'z', 'z', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('902', '0', '0', '0', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('902', '1', '1', '1', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('902', '2', '2', '2', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('902', '3', '3', '3', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('902', '4', '4', '4', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('902', '5', '5', '5', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('902', '6', '6', '6', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('902', '7', '7', '7', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('902', '8', '8', '8', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('902', '9', '9', '9', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('902', 'a', 'a', 'a', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('902', 'b', 'b', 'b', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('902', 'c', 'c', 'c', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('902', 'd', 'd', 'd', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('902', 'e', 'e', 'e', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('902', 'f', 'f', 'f', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('902', 'g', 'g', 'g', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('902', 'h', 'h', 'h', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('902', 'i', 'i', 'i', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('902', 'j', 'j', 'j', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('902', 'k', 'k', 'k', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('902', 'l', 'l', 'l', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('902', 'm', 'm', 'm', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('902', 'n', 'n', 'n', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('902', 'o', 'o', 'o', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('902', 'p', 'p', 'p', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('902', 'q', 'q', 'q', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('902', 'r', 'r', 'r', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('902', 's', 's', 's', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('902', 't', 't', 't', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('902', 'u', 'u', 'u', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('902', 'v', 'v', 'v', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('902', 'w', 'w', 'w', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('902', 'x', 'x', 'x', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('902', 'y', 'y', 'y', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('902', 'z', 'z', 'z', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('903', '0', '0', '0', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('903', '1', '1', '1', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('903', '2', '2', '2', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('903', '3', '3', '3', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('903', '4', '4', '4', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('903', '5', '5', '5', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('903', '6', '6', '6', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('903', '7', '7', '7', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('903', '8', '8', '8', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('903', '9', '9', '9', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('903', 'a', 'a', 'a', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('903', 'b', 'b', 'b', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('903', 'c', 'c', 'c', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('903', 'd', 'd', 'd', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('903', 'e', 'e', 'e', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('903', 'f', 'f', 'f', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('903', 'g', 'g', 'g', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('903', 'h', 'h', 'h', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('903', 'i', 'i', 'i', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('903', 'j', 'j', 'j', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('903', 'k', 'k', 'k', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('903', 'l', 'l', 'l', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('903', 'm', 'm', 'm', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('903', 'n', 'n', 'n', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('903', 'o', 'o', 'o', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('903', 'p', 'p', 'p', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('903', 'q', 'q', 'q', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('903', 'r', 'r', 'r', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('903', 's', 's', 's', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('903', 't', 't', 't', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('903', 'u', 'u', 'u', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('903', 'v', 'v', 'v', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('903', 'w', 'w', 'w', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('903', 'x', 'x', 'x', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('903', 'y', 'y', 'y', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('903', 'z', 'z', 'z', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('904', '0', '0', '0', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('904', '1', '1', '1', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('904', '2', '2', '2', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('904', '3', '3', '3', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('904', '4', '4', '4', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('904', '5', '5', '5', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('904', '6', '6', '6', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('904', '7', '7', '7', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('904', '8', '8', '8', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('904', '9', '9', '9', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('904', 'a', 'a', 'a', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('904', 'b', 'b', 'b', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('904', 'c', 'c', 'c', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('904', 'd', 'd', 'd', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('904', 'e', 'e', 'e', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('904', 'f', 'f', 'f', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('904', 'g', 'g', 'g', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('904', 'h', 'h', 'h', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('904', 'i', 'i', 'i', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('904', 'j', 'j', 'j', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('904', 'k', 'k', 'k', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('904', 'l', 'l', 'l', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('904', 'm', 'm', 'm', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('904', 'n', 'n', 'n', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('904', 'o', 'o', 'o', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('904', 'p', 'p', 'p', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('904', 'q', 'q', 'q', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('904', 'r', 'r', 'r', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('904', 's', 's', 's', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('904', 't', 't', 't', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('904', 'u', 'u', 'u', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('904', 'v', 'v', 'v', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('904', 'w', 'w', 'w', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('904', 'x', 'x', 'x', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('904', 'y', 'y', 'y', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('904', 'z', 'z', 'z', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('905', '0', '0', '0', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('905', '1', '1', '1', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('905', '2', '2', '2', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('905', '3', '3', '3', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('905', '4', '4', '4', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('905', '5', '5', '5', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('905', '6', '6', '6', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('905', '7', '7', '7', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('905', '8', '8', '8', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('905', '9', '9', '9', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('905', 'a', 'a', 'a', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('905', 'b', 'b', 'b', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('905', 'c', 'c', 'c', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('905', 'd', 'd', 'd', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('905', 'e', 'e', 'e', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('905', 'f', 'f', 'f', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('905', 'g', 'g', 'g', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('905', 'h', 'h', 'h', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('905', 'i', 'i', 'i', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('905', 'j', 'j', 'j', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('905', 'k', 'k', 'k', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('905', 'l', 'l', 'l', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('905', 'm', 'm', 'm', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('905', 'n', 'n', 'n', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('905', 'o', 'o', 'o', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('905', 'p', 'p', 'p', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('905', 'q', 'q', 'q', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('905', 'r', 'r', 'r', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('905', 's', 's', 's', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('905', 't', 't', 't', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('905', 'u', 'u', 'u', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('905', 'v', 'v', 'v', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('905', 'w', 'w', 'w', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('905', 'x', 'x', 'x', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('905', 'y', 'y', 'y', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('905', 'z', 'z', 'z', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('906', '0', '0', '0', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('906', '1', '1', '1', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('906', '2', '2', '2', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('906', '3', '3', '3', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('906', '4', '4', '4', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('906', '5', '5', '5', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('906', '6', '6', '6', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('906', '7', '7', '7', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('906', '8', '8', '8', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('906', '9', '9', '9', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('906', 'a', 'a', 'a', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('906', 'b', 'b', 'b', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('906', 'c', 'c', 'c', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('906', 'd', 'd', 'd', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('906', 'e', 'e', 'e', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('906', 'f', 'f', 'f', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('906', 'g', 'g', 'g', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('906', 'h', 'h', 'h', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('906', 'i', 'i', 'i', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('906', 'j', 'j', 'j', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('906', 'k', 'k', 'k', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('906', 'l', 'l', 'l', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('906', 'm', 'm', 'm', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('906', 'n', 'n', 'n', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('906', 'o', 'o', 'o', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('906', 'p', 'p', 'p', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('906', 'q', 'q', 'q', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('906', 'r', 'r', 'r', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('906', 's', 's', 's', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('906', 't', 't', 't', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('906', 'u', 'u', 'u', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('906', 'v', 'v', 'v', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('906', 'w', 'w', 'w', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('906', 'x', 'x', 'x', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('906', 'y', 'y', 'y', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('906', 'z', 'z', 'z', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('907', '0', '0', '0', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('907', '1', '1', '1', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('907', '2', '2', '2', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('907', '3', '3', '3', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('907', '4', '4', '4', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('907', '5', '5', '5', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('907', '6', '6', '6', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('907', '7', '7', '7', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('907', '8', '8', '8', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('907', '9', '9', '9', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('907', 'a', 'a', 'a', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('907', 'b', 'b', 'b', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('907', 'c', 'c', 'c', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('907', 'd', 'd', 'd', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('907', 'e', 'e', 'e', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('907', 'f', 'f', 'f', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('907', 'g', 'g', 'g', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('907', 'h', 'h', 'h', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('907', 'i', 'i', 'i', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('907', 'j', 'j', 'j', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('907', 'k', 'k', 'k', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('907', 'l', 'l', 'l', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('907', 'm', 'm', 'm', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('907', 'n', 'n', 'n', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('907', 'o', 'o', 'o', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('907', 'p', 'p', 'p', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('907', 'q', 'q', 'q', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('907', 'r', 'r', 'r', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('907', 's', 's', 's', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('907', 't', 't', 't', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('907', 'u', 'u', 'u', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('907', 'v', 'v', 'v', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('907', 'w', 'w', 'w', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('907', 'x', 'x', 'x', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('907', 'y', 'y', 'y', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('907', 'z', 'z', 'z', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('908', 'a', 'Put command parameter', 'Put command parameter', 0, 0, '', 9, '', '', '', 0, -6, 'VR', '', '', NULL),
		('910', 'a', 'User-option data', 'User-option data', 0, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('911', '4', 'Codice di ruolo', 'Codice di ruolo', 1, 0, NULL, 9, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('911', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 9, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('911', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 9, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('911', 'a', 'Nome del convegno o nome della giurisdizione come accesso', 'Nome del convegno o nome della giurisdizione come accesso', 0, 0, NULL, 9, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('911', 'b', 'Number [OBSOLETE]', 'Number [OBSOLETE]', 0, 0, NULL, 9, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('911', 'c', 'Luogo del convegno', 'Luogo del convegno', 0, 0, NULL, 9, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('911', 'd', 'Data del convegno', 'Data del convegno', 0, 0, NULL, 9, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('911', 'e', 'Unità subordinata', 'Unità subordinata', 1, 0, NULL, 9, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('911', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, NULL, 9, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('911', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, NULL, 9, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('911', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, NULL, 9, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('911', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, NULL, 9, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('911', 'n', 'Numero di parte/sezione/convegno', 'Numero di parte/sezione/convegno', 1, 0, NULL, 9, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('911', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, NULL, 9, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('911', 'q', 'Nome del convegno dopo accesso di nome della giurisdizione', 'Nome del convegno dopo accesso di nome della giurisdizione', 0, 0, NULL, 9, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('911', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, NULL, 9, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('911', 'u', 'Affiliazione', 'Affiliazione', 0, 0, NULL, 9, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('930', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 9, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('930', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 9, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('930', 'a', 'Titolo uniforme', 'Titolo uniforme', 0, 0, NULL, 9, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('930', 'd', 'Data di firma del trattato', 'Data di firma del trattato', 1, 0, NULL, 9, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('930', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, NULL, 9, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('930', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, NULL, 9, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('930', 'h', 'Supporto', 'Supporto', 0, 0, NULL, 9, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('930', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, NULL, 9, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('930', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, NULL, 9, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('930', 'm', 'Mezzo di esecuzione per la musica', 'Mezzo di esecuzione per la musica', 1, 0, NULL, 9, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('930', 'n', 'Numero di parte/sezione dell\'opera', 'Numero di parte/sezione dell\'opera', 1, 0, NULL, 9, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('930', 'o', 'Formulazione d\'arrangiamento per la musica', 'Formulazione d\'arrangiamento per la musica', 0, 0, NULL, 9, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('930', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, NULL, 9, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('930', 'r', 'Tonalità (musica)', 'Tonalità (musica)', 0, 0, NULL, 9, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('930', 's', 'Versione', 'Versione', 0, 0, NULL, 9, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('930', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, NULL, 9, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('936', 'a', 'OCLC control number(s) of parallel record(s) (OCLC); Piece used for cataloging, PUC (RLIN)', 'OCLC control number(s) of parallel record(s) (OCLC); Piece used for cataloging, PUC (RLIN)', 1, 0, '', 9, '', '', '', 0, -6, 'VR', '', '', NULL),
		('940', '6', 'Collegamento', 'Collegamento', 0, 0, '', 9, '', '', '', 0, -6, 'VR', '', '', NULL),
		('940', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 9, '', '', '', 0, -6, 'VR', '', '', NULL),
		('940', 'a', 'Titolo uniforme', 'Titolo uniforme', 0, 0, '', 9, '', '', '', 1, -6, 'VR', '', '', NULL),
		('940', 'd', 'Data di firma del trattato', 'Data di firma del trattato', 1, 0, '', 9, '', '', '', 0, -6, 'VR', '', '', NULL),
		('940', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, '', 9, '', '', '', 0, -6, 'VR', '', '', NULL),
		('940', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, '', 9, '', '', '', 0, -6, 'VR', '', '', NULL),
		('940', 'h', 'Supporto', 'Supporto', 0, 0, '', 9, '', '', '', 0, -6, 'VR', '', '', NULL),
		('940', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, '', 9, '', '', '', 0, -6, 'VR', '', '', NULL),
		('940', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, '', 9, '', '', '', 0, -6, 'VR', '', '', NULL),
		('940', 'm', 'Mezzo di esecuzione per la musica', 'Mezzo di esecuzione per la musica', 1, 0, '', 9, '', '', '', 0, -6, 'VR', '', '', NULL),
		('940', 'n', 'Numero di parte/sezione dell\'opera', 'Numero di parte/sezione dell\'opera', 1, 0, '', 9, '', '', '', 0, -6, 'VR', '', '', NULL),
		('940', 'o', 'Formulazione d\'arrangiamento per la musica', 'Formulazione d\'arrangiamento per la musica', 0, 0, '', 9, '', '', '', 0, -6, 'VR', '', '', NULL),
		('940', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, '', 9, '', '', '', 0, -6, 'VR', '', '', NULL),
		('940', 'r', 'Tonalità (musica)', 'Tonalità (musica)', 0, 0, '', 9, '', '', '', 0, -6, 'VR', '', '', NULL),
		('940', 's', 'Versione', 'Versione', 0, 0, '', 9, '', '', '', 0, -6, 'VR', '', '', NULL),
		('941', 'a', 'Romanized title', 'Romanized title', 0, 0, NULL, 9, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('941', 'h', 'Supporto', 'Supporto', 0, 0, NULL, 9, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('943', '6', 'Collegamento', 'Collegamento', 0, 0, '', 9, '', '', '', 0, -6, 'VR', '', '', NULL),
		('943', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 9, '', '', '', 0, -6, 'VR', '', '', NULL),
		('943', 'a', 'Titolo uniforme', 'Titolo uniforme', 0, 0, '', 9, '', '', '', 1, 5, 'VR', '', '130', NULL),
		('943', 'd', 'Data di firma del trattato', 'Data di firma del trattato', 1, 0, '', 9, '', '', '', 0, -6, 'VR', '', '', NULL),
		('943', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, '', 9, '', '', '', 0, -6, 'VR', '', '', NULL),
		('943', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, '', 9, '', '', '', 0, -6, 'VR', '', '', NULL),
		('943', 'h', 'Supporto', 'Supporto', 0, 0, '', 9, '', '', '', 0, -6, 'VR', '', '', NULL),
		('943', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, '', 9, '', '', '', 0, -6, 'VR', '', '', NULL),
		('943', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, '', 9, '', '', '', 0, -6, 'VR', '', '', NULL),
		('943', 'm', 'Mezzo di esecuzione per la musica', 'Mezzo di esecuzione per la musica', 1, 0, '', 9, '', '', '', 0, -6, 'VR', '', '', NULL),
		('943', 'n', 'Numero di parte/sezione dell\'opera', 'Numero di parte/sezione dell\'opera', 1, 0, '', 9, '', '', '', 0, -6, 'VR', '', '', NULL),
		('943', 'o', 'Formulazione d\'arrangiamento per la musica', 'Formulazione d\'arrangiamento per la musica', 0, 0, '', 9, '', '', '', 0, -6, 'VR', '', '', NULL),
		('943', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, '', 9, '', '', '', 0, -6, 'VR', '', '', NULL),
		('943', 'r', 'Tonalità (musica)', 'Tonalità (musica)', 0, 0, '', 9, '', '', '', 0, -6, 'VR', '', '', NULL),
		('943', 's', 'Versione', 'Versione', 0, 0, '', 9, '', '', '', 0, -6, 'VR', '', '', NULL),
		('945', '0', '0', '0', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('945', '1', '1', '1', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('945', '2', '2', '2', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('945', '3', '3', '3', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('945', '4', '4', '4', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('945', '5', '5', '5', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('945', '6', '6', '6', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('945', '7', '7', '7', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('945', '8', '8', '8', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('945', '9', '9', '9', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('945', 'a', 'a', 'a', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('945', 'b', 'b', 'b', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('945', 'c', 'c', 'c', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('945', 'd', 'd', 'd', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('945', 'e', 'e', 'e', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('945', 'f', 'f', 'f', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('945', 'g', 'g', 'g', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('945', 'h', 'h', 'h', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('945', 'i', 'i', 'i', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('945', 'j', 'j', 'j', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('945', 'k', 'k', 'k', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('945', 'l', 'l', 'l', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('945', 'm', 'm', 'm', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('945', 'n', 'n', 'n', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('945', 'o', 'o', 'o', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('945', 'p', 'p', 'p', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('945', 'q', 'q', 'q', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('945', 'r', 'r', 'r', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('945', 's', 's', 's', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('945', 't', 't', 't', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('945', 'u', 'u', 'u', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('945', 'v', 'v', 'v', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('945', 'w', 'w', 'w', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('945', 'x', 'x', 'x', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('945', 'y', 'y', 'y', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('945', 'z', 'z', 'z', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('946', '0', '0', '0', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('946', '1', '1', '1', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('946', '2', '2', '2', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('946', '3', '3', '3', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('946', '4', '4', '4', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('946', '5', '5', '5', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('946', '6', '6', '6', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('946', '7', '7', '7', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('946', '8', '8', '8', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('946', '9', '9', '9', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('946', 'a', 'a', 'a', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('946', 'b', 'b', 'b', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('946', 'c', 'c', 'c', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('946', 'd', 'd', 'd', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('946', 'e', 'e', 'e', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('946', 'f', 'f', 'f', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('946', 'g', 'g', 'g', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('946', 'h', 'h', 'h', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('946', 'i', 'i', 'i', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('946', 'j', 'j', 'j', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('946', 'k', 'k', 'k', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('946', 'l', 'l', 'l', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('946', 'm', 'm', 'm', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('946', 'n', 'n', 'n', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('946', 'o', 'o', 'o', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('946', 'p', 'p', 'p', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('946', 'q', 'q', 'q', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('946', 'r', 'r', 'r', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('946', 's', 's', 's', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('946', 't', 't', 't', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('946', 'u', 'u', 'u', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('946', 'v', 'v', 'v', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('946', 'w', 'w', 'w', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('946', 'x', 'x', 'x', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('946', 'y', 'y', 'y', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('946', 'z', 'z', 'z', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('947', '0', '0', '0', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('947', '1', '1', '1', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('947', '2', '2', '2', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('947', '3', '3', '3', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('947', '4', '4', '4', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('947', '5', '5', '5', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('947', '6', '6', '6', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('947', '7', '7', '7', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('947', '8', '8', '8', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('947', '9', '9', '9', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('947', 'a', 'a', 'a', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('947', 'b', 'b', 'b', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('947', 'c', 'c', 'c', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('947', 'd', 'd', 'd', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('947', 'e', 'e', 'e', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('947', 'f', 'f', 'f', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('947', 'g', 'g', 'g', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('947', 'h', 'h', 'h', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('947', 'i', 'i', 'i', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('947', 'j', 'j', 'j', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('947', 'k', 'k', 'k', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('947', 'l', 'l', 'l', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('947', 'm', 'm', 'm', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('947', 'n', 'n', 'n', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('947', 'o', 'o', 'o', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('947', 'p', 'p', 'p', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('947', 'q', 'q', 'q', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('947', 'r', 'r', 'r', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('947', 's', 's', 's', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('947', 't', 't', 't', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('947', 'u', 'u', 'u', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('947', 'v', 'v', 'v', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('947', 'w', 'w', 'w', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('947', 'x', 'x', 'x', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('947', 'y', 'y', 'y', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('947', 'z', 'z', 'z', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('948', '0', '0 (OCLC)', '0 (OCLC)', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('948', '1', '1 (OCLC)', '1 (OCLC)', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('948', '2', '2 (OCLC)', '2 (OCLC)', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('948', '3', '3 (OCLC)', '3 (OCLC)', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('948', '4', '4 (OCLC)', '4 (OCLC)', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('948', '5', '5 (OCLC)', '5 (OCLC)', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('948', '6', '6 (OCLC)', '6 (OCLC)', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('948', '7', '7 (OCLC)', '7 (OCLC)', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('948', '8', '8 (OCLC)', '8 (OCLC)', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('948', '9', '9 (OCLC)', '9 (OCLC)', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('948', 'a', 'Series part designator, SPT (RLIN)', 'Series part designator, SPT (RLIN)', 0, 0, '', 9, '', '', '', 0, -6, 'VR', '', '', NULL),
		('948', 'b', 'b (OCLC)', 'b (OCLC)', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('948', 'c', 'c (OCLC)', 'c (OCLC)', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('948', 'd', 'd (OCLC)', 'd (OCLC)', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('948', 'e', 'e (OCLC)', 'e (OCLC)', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('948', 'f', 'f (OCLC)', 'f (OCLC)', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('948', 'g', 'g (OCLC)', 'g (OCLC)', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('948', 'h', 'h (OCLC)', 'h (OCLC)', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('948', 'i', 'i (OCLC)', 'i (OCLC)', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('948', 'j', 'j (OCLC)', 'j (OCLC)', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('948', 'k', 'k (OCLC)', 'k (OCLC)', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('948', 'l', 'l (OCLC)', 'l (OCLC)', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('948', 'm', 'm (OCLC)', 'm (OCLC)', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('948', 'n', 'n (OCLC)', 'n (OCLC)', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('948', 'o', 'o (OCLC)', 'o (OCLC)', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('948', 'p', 'p (OCLC)', 'p (OCLC)', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('948', 'q', 'q (OCLC)', 'q (OCLC)', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('948', 'r', 'r (OCLC)', 'r (OCLC)', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('948', 's', 's (OCLC)', 's (OCLC)', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('948', 't', 't (OCLC)', 't (OCLC)', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('948', 'u', 'u (OCLC)', 'u (OCLC)', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('948', 'v', 'v (OCLC)', 'v (OCLC)', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('948', 'w', 'w (OCLC)', 'w (OCLC)', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('948', 'x', 'x (OCLC)', 'x (OCLC)', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('948', 'y', 'y (OCLC)', 'y (OCLC)', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('948', 'z', 'z (OCLC)', 'z (OCLC)', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('949', '0', '0', '0', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('949', '1', '1', '1', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('949', '2', '2', '2', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('949', '3', '3', '3', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('949', '4', '4', '4', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('949', '5', '5', '5', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('949', '6', '6', '6', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('949', '7', '7', '7', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('949', '8', '8', '8', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('949', '9', '9', '9', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('949', 'a', 'a', 'a', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('949', 'b', 'b', 'b', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('949', 'c', 'c', 'c', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('949', 'd', 'd', 'd', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('949', 'e', 'e', 'e', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('949', 'f', 'f', 'f', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('949', 'g', 'g', 'g', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('949', 'h', 'h', 'h', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('949', 'i', 'i', 'i', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('949', 'j', 'j', 'j', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('949', 'k', 'k', 'k', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('949', 'l', 'l', 'l', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('949', 'm', 'm', 'm', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('949', 'n', 'n', 'n', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('949', 'o', 'o', 'o', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('949', 'p', 'p', 'p', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('949', 'q', 'q', 'q', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('949', 'r', 'r', 'r', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('949', 's', 's', 's', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('949', 't', 't', 't', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('949', 'u', 'u', 'u', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('949', 'v', 'v', 'v', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('949', 'w', 'w', 'w', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('949', 'x', 'x', 'x', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('949', 'y', 'y', 'y', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('949', 'z', 'z', 'z', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('950', 'a', 'Classification number, LCAL (RLIN)', 'Classification number, LCAL (RLIN)', 0, 0, '', 9, '', '', '', 0, 5, 'VR', '', '', NULL),
		('950', 'b', 'Book number/undivided call number, LCAL (RLIN)', 'Book number/undivided call number, LCAL (RLIN)', 0, 0, '', 9, '', '', '', 0, 5, 'VR', '', '', NULL),
		('950', 'd', 'Additional free-text stamp above the call number, LCAL (RLIN)', 'Additional free-text stamp above the call number, LCAL (RLIN)', 1, 0, '', 9, '', '', '', 0, 5, 'VR', '', '', NULL),
		('950', 'e', 'Additional free-text or profiled stamp below the call number, LCAL (RLIN)', 'Additional free-text or profiled stamp below the call number, LCAL (RLIN)', 1, 0, '', 9, '', '', '', 0, 5, 'VR', '', '', NULL),
		('950', 'f', 'Location-level footnote, LFNT (RLIN)', 'Location-level footnote, LFNT (RLIN)', 0, 0, '', 9, '', '', '', 0, 5, 'VR', '', '', NULL),
		('950', 'h', 'Location-level output transaction history, LHST (RLIN)', 'Location-level output transaction history, LHST (RLIN)', 0, 0, '', 9, '', '', '', 0, 5, 'VR', '', '', NULL),
		('950', 'i', 'Location-level extra card request, LEXT (RLIN)', 'Location-level extra card request, LEXT (RLIN)', 0, 0, '', 9, '', '', '', 0, 5, 'VR', '', '', NULL),
		('950', 'l', 'Permanent shelving location, LOC (RLIN)', 'Permanent shelving location, LOC (RLIN)', 0, 0, '', 9, '', '', '', 0, 5, 'VR', '', '', NULL),
		('950', 'n', 'Location-level additional note, LANT (RLIN)', 'Location-level additional note, LANT (RLIN)', 1, 0, '', 9, '', '', '', 0, 5, 'VR', '', '', NULL),
		('950', 'p', 'Location-level pathfinder, LPTH (RLIN)', 'Location-level pathfinder, LPTH (RLIN)', 0, 0, '', 9, '', '', '', 0, 5, 'VR', '', '', NULL),
		('950', 't', 'Location-level field suppression, LFSP (RLIN)', 'Location-level field suppression, LFSP (RLIN)', 0, 0, '', 9, '', '', '', 0, 5, 'VR', '', '', NULL),
		('950', 'u', 'Non-printing notes, LANT (RLIN)', 'Non-printing notes, LANT (RLIN)', 1, 0, '', 9, '', '', '', 0, 5, 'VR', '', '', NULL),
		('950', 'v', 'Volumes, LVOL (RLIN)', 'Volumes, LVOL (RLIN)', 0, 0, '', 9, '', '', '', 0, 5, 'VR', '', '', NULL),
		('950', 'w', 'Subscription status code, LANT (RLIN)', 'Subscription status code, LANT (RLIN)', 0, 0, '', 9, '', '', '', 0, 5, 'VR', '', '', NULL),
		('950', 'y', 'Date, LVOL (RLIN)', 'Date, LVOL (RLIN)', 0, 0, '', 9, '', '', '', 0, 5, 'VR', '', '', NULL),
		('950', 'z', 'Retention, LVOL (RLIN)', 'Retention, LVOL (RLIN)', 0, 0, '', 9, '', '', '', 0, 5, 'VR', '', '', NULL),
		('951', '2', 'Fonte dell\'intestazione o del termine', 'Fonte dell\'intestazione o del termine', 0, 0, '', 6, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('951', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, '', 6, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('951', '6', 'Collegamento', 'Collegamento', 0, 0, '', 6, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('951', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 6, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('951', 'a', 'Nome geografico', 'Nome geografico', 0, 0, '', 6, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('951', 'b', 'Geographic name following place entry element [OBSOLETE]', 'Geographic name following place entry element [OBSOLETE]', 1, 0, '', 6, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('951', 'v', 'Suddivisione geografica', 'Suddivisione geografica', 1, 0, '', 6, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('951', 'x', 'Suddivisione generale', 'Suddivisione generale', 1, 0, '', 6, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('951', 'y', 'Suddivisione cronologica', 'Suddivisione cronologica', 1, 0, '', 6, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('951', 'z', 'Suddivisione geografica', 'Suddivisione geografica', 1, 0, '', 6, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('955', 'a', 'Classification number, CCAL (RLIN)', 'Classification number, CCAL (RLIN)', 0, 0, '', 9, '', '', '', 0, 5, 'VR', '', '', NULL),
		('955', 'b', 'Book number/undivided call number, CCAL (RLIN)', 'Book number/undivided call number, CCAL (RLIN)', 0, 0, '', 9, '', '', '', 0, 5, 'VR', '', '', NULL),
		('955', 'c', 'Copy information and material description, CCAL + MDES (RLIN)', 'Copy information and material description, CCAL + MDES (RLIN)', 0, 0, '', 9, '', '', '', 0, 5, 'VR', '', '', NULL),
		('955', 'h', 'Copy status--for earlier dates, CST (RLIN)', 'Copy status--for earlier dates, CST (RLIN)', 0, 0, '', 9, '', '', '', 0, 5, 'VR', '', '', NULL),
		('955', 'i', 'Copy status, CST (RLIN)', 'Copy status, CST (RLIN)', 0, 0, '', 9, '', '', '', 0, 5, 'VR', '', '', NULL),
		('955', 'l', 'Permanent shelving location, LOC (RLIN)', 'Permanent shelving location, LOC (RLIN)', 0, 0, '', 9, '', '', '', 0, 5, 'VR', '', '', NULL),
		('955', 'q', 'Aquisitions control number, HNT (RLIN)', 'Aquisitions control number, HNT (RLIN)', 1, 0, '', 9, '', '', '', 0, 5, 'VR', '', '', NULL),
		('955', 'r', 'Circulation control number, HNT (RLIN)', 'Circulation control number, HNT (RLIN)', 0, 0, '', 9, '', '', '', 0, 5, 'VR', '', '', NULL),
		('955', 's', 'Shelflist note, HNT (RLIN)', 'Shelflist note, HNT (RLIN)', 1, 0, '', 9, '', '', '', 1, 5, 'VR', '', '', NULL),
		('955', 'u', 'Non-printing notes, HNT (RLIN)', 'Non-printing notes, HNT (RLIN)', 1, 0, '', 9, '', '', '', 0, 5, 'VR', '', '', NULL),
		('956', '2', 'Metodo di accesso', 'Metodo di accesso', 0, 0, '', 9, '', '', '', 0, -6, 'VR', '', '', NULL),
		('956', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, '', 9, '', '', '', 0, -6, 'VR', '', '', NULL),
		('956', '6', 'Collegamento', 'Collegamento', 0, 0, '', 9, '', '', '', 0, -6, 'VR', '', '', NULL),
		('956', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 9, '', '', '', 0, -6, 'VR', '', '', NULL),
		('956', 'a', 'Nome dell\'host', 'Nome dell\'host', 1, 0, '', 9, '', '', '', 0, -6, 'VR', '', '', NULL),
		('956', 'b', 'Numero di accesso', 'Numero di accesso', 1, 0, '', 9, '', '', '', 0, -6, 'VR', '', '', NULL),
		('956', 'c', 'Informazione sulla compressione', 'Informazione sulla compressione', 1, 0, '', 9, '', '', '', 0, -6, 'VR', '', '', NULL),
		('956', 'd', 'Percorso della risorsa', 'Percorso della risorsa', 1, 0, '', 9, '', '', '', 0, -6, 'VR', '', '', NULL),
		('956', 'f', 'Nome elettronico', 'Nome elettronico', 1, 0, '', 9, '', '', '', 0, -6, 'VR', '', '', NULL),
		('956', 'h', 'Processore della richiesta (Username)', 'Processore della richiesta (Username)', 0, 0, '', 9, '', '', '', 0, -6, 'VR', '', '', NULL),
		('956', 'i', 'Istruzioni', 'Istruzioni', 1, 0, '', 9, '', '', '', 0, -6, 'VR', '', '', NULL),
		('956', 'j', 'Bit per secondo', 'Bit per secondo', 0, 0, '', 9, '', '', '', 0, -6, 'VR', '', '', NULL),
		('956', 'k', 'Password', 'Password', 0, 0, '', 9, '', '', '', 0, -6, 'VR', '', '', NULL),
		('956', 'l', 'Logon', 'Logon', 0, 0, '', 9, '', '', '', 0, -6, 'VR', '', '', NULL),
		('956', 'm', 'Contatto per assistenza all\'accesso', 'Contatto per assistenza all\'accesso', 1, 0, '', 9, '', '', '', 0, -6, 'VR', '', '', NULL),
		('956', 'n', 'Name of location of host in subfield', 'Name of location of host in subfield', 0, 0, '', 9, '', '', '', 0, -6, 'VR', '', '', NULL),
		('956', 'o', 'Sistema operativo', 'Sistema operativo', 0, 0, '', 9, '', '', '', 0, -6, 'VR', '', '', NULL),
		('956', 'p', 'Porta', 'Porta', 0, 0, '', 9, '', '', '', 0, -6, 'VR', '', '', NULL),
		('956', 'q', 'Tipo di formato elettronico', 'Tipo di formato elettronico', 0, 0, '', 9, '', '', '', 0, -6, 'VR', '', '', NULL),
		('956', 'r', 'Parametri', 'Parametri', 0, 0, '', 9, '', '', '', 0, -6, 'VR', '', '', NULL),
		('956', 's', 'Dimensione file', 'Dimensione file', 1, 0, '', 9, '', '', '', 0, -6, 'VR', '', '', NULL),
		('956', 't', 'Emulazione del terminale', 'Emulazione del terminale', 1, 0, '', 9, '', '', '', 0, -6, 'VR', '', '', NULL),
		('956', 'u', 'URI (Uniform Resource Identifier)', 'URI (Uniform Resource Identifier)', 1, 0, '', 9, '', '', '', 1, -6, 'VR', '', '', NULL),
		('956', 'v', 'Orario di accesso', 'Orario di accesso', 1, 0, '', 9, '', '', '', 0, -6, 'VR', '', '', NULL),
		('956', 'w', 'Numero di controllo della registrazione', 'Numero di controllo della registrazione', 1, 0, '', 9, '', '', '', 0, -6, 'VR', '', '', NULL),
		('956', 'x', 'Nota non pubblic', 'Nota non pubblic', 1, 0, '', 9, '', '', '', 0, 6, 'VR', '', '', NULL),
		('956', 'y', 'Testo di collegamento', 'Testo di collegamento', 1, 0, '', 9, '', '', '', 0, -6, 'VR', '', '', NULL),
		('956', 'z', 'Nota pubblica', 'Nota pubblica', 1, 0, '', 9, '', '', '', 0, -6, 'VR', '', '', NULL),
		('960', '3', 'Materials specified, MATL', 'Materials specified, MATL', 0, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('960', 'a', 'Physical location, PLOC (RLIN)', 'Physical location, PLOC (RLIN)', 0, 0, '', 9, '', '', '', 0, -6, 'VR', '', '', NULL),
		('967', 'a', 'GNR (RLIN)', 'GNR (RLIN)', 0, 0, '', 9, '', '', '', 0, -6, 'VR', '', '', NULL),
		('967', 'c', 'PSI (RLIN)', 'PSI (RLIN)', 0, 0, '', 9, '', '', '', 0, -6, 'VR', '', '', NULL),
		('980', '4', 'Codice di ruolo', 'Codice di ruolo', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('980', '6', 'Collegamento', 'Collegamento', 0, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('980', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('980', 'a', 'Nome di persona', 'Nome di persona', 0, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('980', 'b', 'Numerazione', 'Numerazione', 0, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('980', 'c', 'Titoli e altre parole associate al nome', 'Titoli e altre parole associate al nome', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('980', 'd', 'Date associate al nome', 'Date associate al nome', 0, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('980', 'e', 'Termine di ruolo', 'Termine di ruolo', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('980', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('980', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('980', 'h', 'Supporto', 'Supporto', 0, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('980', 'j', 'Qualificazione d\'attribuzione', 'Qualificazione d\'attribuzione', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('980', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('980', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('980', 'm', 'Mezzo di esecuzione per la musica', 'Mezzo di esecuzione per la musica', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('980', 'n', 'Numero di parte/sezione dell\'opera', 'Numero di parte/sezione dell\'opera', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('980', 'o', 'Formulazione d\'arrangiamento per la musica', 'Formulazione d\'arrangiamento per la musica', 0, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('980', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('980', 'q', 'Forma completa del nome', 'Forma completa del nome', 0, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('980', 'r', 'Tonalità (musica)', 'Tonalità (musica)', 0, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('980', 's', 'Versione', 'Versione', 0, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('980', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('980', 'u', 'Affiliazione', 'Affiliazione', 0, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('980', 'v', 'Numero del volume/designazione di sequenza', 'Numero del volume/designazione di sequenza', 0, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('981', '4', 'Codice di ruolo', 'Codice di ruolo', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('981', '6', 'Collegamento', 'Collegamento', 0, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('981', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('981', 'a', 'Nome dell\'ente o nome della giurisdizione come accesso', 'Nome dell\'ente o nome della giurisdizione come accesso', 0, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('981', 'b', 'Unità subordinata', 'Unità subordinata', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('981', 'c', 'Luogo del convegno', 'Luogo del convegno', 0, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('981', 'd', 'Data del convegno o di firma del trattato', 'Data del convegno o di firma del trattato', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('981', 'e', 'Termine di ruolo', 'Termine di ruolo', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('981', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('981', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('981', 'h', 'Supporto', 'Supporto', 0, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('981', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('981', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('981', 'm', 'Mezzo di esecuzione per la musica', 'Mezzo di esecuzione per la musica', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('981', 'n', 'Numero di parte/sezione/convegno', 'Numero di parte/sezione/convegno', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('981', 'o', 'Formulazione d\'arrangiamento per la musica', 'Formulazione d\'arrangiamento per la musica', 0, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('981', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('981', 'r', 'Tonalità (musica)', 'Tonalità (musica)', 0, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('981', 's', 'Versione', 'Versione', 0, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('981', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('981', 'u', 'Affiliazione', 'Affiliazione', 0, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('981', 'v', 'Numero del volume/designazione di sequenza', 'Numero del volume/designazione di sequenza', 0, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('982', '4', 'Codice di ruolo', 'Codice di ruolo', 1, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('982', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('982', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('982', 'a', 'Nome del convegno o nome della giurisdizione come accesso', 'Nome del convegno o nome della giurisdizione come accesso', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('982', 'b', 'Number (BK CF MP MU SE VM MX) [OBSOLETE]', 'Number (BK CF MP MU SE VM MX) [OBSOLETE]', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('982', 'c', 'Luogo del convegno', 'Luogo del convegno', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('982', 'd', 'Data del convegno', 'Data del convegno', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('982', 'e', 'Unità subordinata', 'Unità subordinata', 1, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('982', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('982', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('982', 'h', 'Supporto', 'Supporto', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('982', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('982', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('982', 'n', 'Numero di parte/sezione/convegno', 'Numero di parte/sezione/convegno', 1, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('982', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('982', 'q', 'Nome del convegno dopo accesso di nome della giurisdizione', 'Nome del convegno dopo accesso di nome della giurisdizione', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('982', 's', 'Versione', 'Versione', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('982', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('982', 'u', 'Affiliazione', 'Affiliazione', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('982', 'v', 'Numero del volume/designazione di sequenza', 'Numero del volume/designazione di sequenza', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'VR', '', '', NULL),
		('983', '6', 'Collegamento', 'Collegamento', 0, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('983', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('983', 'a', 'Titolo uniforme', 'Titolo uniforme', 0, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('983', 'd', 'Data di firma del trattato', 'Data di firma del trattato', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('983', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('983', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('983', 'h', 'Supporto', 'Supporto', 0, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('983', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('983', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('983', 'm', 'Mezzo di esecuzione per la musica', 'Mezzo di esecuzione per la musica', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('983', 'n', 'Numero di parte/sezione dell\'opera', 'Numero di parte/sezione dell\'opera', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('983', 'o', 'Formulazione d\'arrangiamento per la musica', 'Formulazione d\'arrangiamento per la musica', 0, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('983', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('983', 'r', 'Tonalità (musica)', 'Tonalità (musica)', 0, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('983', 's', 'Versione', 'Versione', 0, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('983', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('983', 'v', 'Numero del volume/designazione di sequenza', 'Numero del volume/designazione di sequenza', 0, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('984', 'a', 'Numero idenficativo biblioteca proprietaria', 'Numero idenficativo biblioteca proprietaria', 0, 0, '', 9, '', '', '', NULL, 5, 'VR', '', '', NULL),
		('984', 'b', 'Codici descrizione fisica', 'Codici descrizione fisica', 1, 0, '', 9, '', '', '', 0, 5, 'VR', '', '', NULL),
		('984', 'c', 'Numero di chiamata', 'Numero di chiamata', 0, 0, '', 9, '', '', '', 0, 5, 'VR', '', '', NULL),
		('984', 'd', 'Volume o altra numerazione', 'Volume o altra numerazione', 0, 0, '', 9, '', '', '', 0, 5, 'VR', '', '', NULL),
		('984', 'e', 'Date', 'Date', 0, 0, '', 9, '', '', '', 0, 5, 'VR', '', '', NULL),
		('984', 'f', 'Completeness note', 'Completeness note', 0, 0, '', 9, '', '', '', 0, 5, 'VR', '', '', NULL),
		('984', 'g', 'Referral note', 'Referral note', 0, 0, '', 9, '', '', '', 0, 5, 'VR', '', '', NULL),
		('984', 'h', 'Retention note', 'Retention note', 0, 0, '', 9, '', '', '', 0, 5, 'VR', '', '', NULL),
		('987', 'a', 'Romanization/conversion identifier', 'Romanization/conversion identifier', 0, 0, '', 9, '', '', '', NULL, -6, 'VR', '', '', NULL),
		('987', 'b', 'Agenzia che ha convertito, creato o rivisto', 'Agenzia che ha convertito, creato o rivisto', 1, 0, '', 9, '', '', '', 0, -6, 'VR', '', '', NULL),
		('987', 'c', 'Data della conversione o della revisione', 'Data della conversione o della revisione', 0, 0, '', 9, '', '', '', 0, -6, 'VR', '', '', NULL),
		('987', 'd', 'Codice dello status', 'Codice dello status', 0, 0, '', 9, '', '', '', 0, -6, 'VR', '', '', NULL),
		('987', 'e', 'Versione del programma usato per la conversione', 'Versione del programma usato per la conversione', 0, 0, '', 9, '', '', '', 0, -6, 'VR', '', '', NULL),
		('987', 'f', 'Nota', 'Nota', 0, 0, '', 9, '', '', '', 0, -6, 'VR', '', '', NULL),
		('990', 'a', 'Link information for 9XX fields', 'Link information for 9XX fields', 1, 0, '', 9, '', '', '', 0, -6, 'VR', '', '', NULL),
		('990', 'b', 'Link information for field corresponding to 9XX field', 'Link information for field corresponding to 9XX field', 1, 0, '', 9, '', '', '', 0, -6, 'VR', '', '', NULL),
		('995', '0', 'Ritiro della copia', 'Ritiro della copia', 0, 0, '', 9, '', '', '', 0, 5, 'VR', '', '', NULL),
		('995', '1', 'Copia smarrita', 'Copia smarrita', 0, 0, '', 9, '', '', '', 0, 5, 'VR', '', '', NULL),
		('995', '2', 'Codice di sistema (classificazione specifica o altro schema e edizione)', 'Codice di sistema (classificazione specifica o altro schema e edizione)', 0, 0, '', 9, '', '', '', NULL, 5, 'VR', '', '', NULL),
		('995', '3', 'Restrizioni d\'uso', 'Restrizioni d\'uso', 0, 0, '', 9, '', '', '', 0, 5, 'VR', '', '', NULL),
		('995', '4', 'Classificazione normalizzata Koha per l\'ordinamento', 'Classificazione normalizzata Koha per l\'ordinamento', 0, 0, '', 9, '', '', '', 0, 5, 'VR', '', '', NULL),
		('995', '5', 'Qualificatore dell\'ubicazione', 'Qualificatore dell\'ubicazione', 1, 0, '', 9, '', '', '', NULL, 5, 'VR', '', '', NULL),
		('995', '6', 'Numero della copia', 'Numero della copia', 0, 0, '', 9, '', '', '', NULL, 5, 'VR', '', '', NULL),
		('995', '7', 'Uniform Resource Identifier', 'Uniform Resource Identifier', 1, 0, '', 9, '', '', '', 1, 5, 'VR', '', '', NULL),
		('995', '8', 'Collezione Koha', 'Collezione Koha', 0, 0, '', 9, '', '', '', 0, 5, 'VR', '', '', NULL),
		('995', '9', 'Numero interno di copia (Koha itemnumber, autogenerato)', 'Numero interno di copia (Koha itemnumber, autogenerato)', 0, 0, '', 9, '', '', '', 0, 5, 'VR', '', '', NULL),
		('995', 'a', 'Bib. proprietaria della copia (testo libero)', 'Bib. proprietaria della copia (testo libero)', 0, 0, '', 9, '', '', '', 0, 5, 'VR', '', '', NULL),
		('995', 'b', 'Bib. proprietaria della copia', 'Bib. proprietaria della copia', 0, 0, '', 9, '', '', '', 0, 5, 'VR', '', '', NULL),
		('995', 'c', 'Bib. che possiede o presta (holding branch)', 'Bib. che possiede o presta (holding branch)', 0, 0, '', 9, '', '', '', 0, 5, 'VR', '', '', NULL),
		('995', 'd', 'Bib. che possiede o presta (codice)', 'Bib. che possiede o presta (codice)', 0, 0, '', 9, '', '', '', 0, 5, 'VR', '', '', NULL),
		('995', 'e', 'Dettaglio del genere', 'Dettaglio del genere', 0, 0, '', 9, '', '', '', 0, 5, 'VR', '', '', NULL),
		('995', 'f', 'Codice a barre', 'Codice a barre', 0, 0, '', 9, '', '', '', 0, 5, 'VR', '', '', NULL),
		('995', 'g', 'Prefisso del codice a barre', 'Prefisso del codice a barre', 0, 0, '', 9, '', '', '', 0, 5, 'VR', '', '', NULL),
		('995', 'h', 'Incremento del codice a barre', 'Incremento del codice a barre', 0, 0, '', 9, '', '', '', 0, 5, 'VR', '', '', NULL),
		('995', 'i', 'Suffisso del codice a barre', 'Suffisso del codice a barre', 0, 0, '', 9, '', '', '', 0, 5, 'VR', '', '', NULL),
		('995', 'j', 'Sezione', 'Sezione', 0, 0, '', 9, '', '', '', 0, 5, 'VR', '', '', NULL),
		('995', 'k', 'Collocazione', 'Collocazione', 0, 0, '', 9, '', '', '', 0, 5, 'VR', '', '', NULL),
		('995', 'l', 'Numerazione (volume o altre parti)', 'Numerazione (volume o altre parti)', 0, 0, '', 9, '', '', '', 0, 5, 'VR', '', '', NULL),
		('995', 'm', 'Data del prestito o deposito', 'Data del prestito o deposito', 0, 0, '', 9, '', '', '', 0, 5, 'VR', '', '', NULL),
		('995', 'n', 'Data scadenza del prestito', 'Data scadenza del prestito', 0, 0, '', 9, '', '', '', 0, 5, 'VR', '', '', NULL),
		('995', 'o', 'Tipo di circolazione (non a prestito)', 'Tipo di circolazione (non a prestito)', 1, 0, '', 9, '', '', '', 0, 5, 'VR', '', '', NULL),
		('995', 'p', 'Periodico', 'Periodico', 0, 0, '', 9, '', '', '', 0, 5, 'VR', '', '', NULL),
		('995', 'q', 'Pubblico destinato (età)', 'Pubblico destinato (età)', 0, 0, '', 9, '', '', '', 0, 5, 'VR', '', '', NULL),
		('995', 'r', 'Tipologia della copia e del materiale', 'Tipologia della copia e del materiale', 0, 0, '', 9, '', '', '', 0, 5, 'VR', '', '', NULL),
		('995', 's', 'Modalità d\'acquisto', 'Modalità d\'acquisto', 0, 0, '', 9, '', '', '', 0, 5, 'VR', '', '', NULL),
		('995', 't', 'Genere', 'Genere', 0, 0, '', 9, '', '', '', 0, 5, 'VR', '', '', NULL),
		('995', 'u', 'Nota della copia', 'Nota della copia', 0, 0, '', 9, '', '', '', 0, 5, 'VR', '', '', NULL),
		('995', 'v', 'Numero periodico', 'Numero periodico', 0, 0, '', 9, '', '', '', 0, 5, 'VR', '', '', NULL),
		('995', 'w', 'Codice dell\'ente destinatario', 'Codice dell\'ente destinatario', 0, 0, '', 9, '', '', '', 0, 5, 'VR', '', '', NULL),
		('995', 'x', 'Ente destinatario, testo libero', 'Ente destinatario, testo libero', 0, 0, '', 9, '', '', '', 0, 5, 'VR', '', '', NULL),
		('995', 'y', 'Codice dell\'ente destinatario superiore', 'Codice dell\'ente destinatario superiore', 0, 0, '', 9, '', '', '', 0, 5, 'VR', '', '', NULL),
		('995', 'z', 'Ente destinatario superiore, testo libero', 'Ente destinatario superiore, testo libero', 0, 0, '', 9, '', '', '', 0, 5, 'VR', '', '', NULL),
		('998', 'b', 'Operator\'s initials, OID (RLIN)', 'Operator\'s initials, OID (RLIN)', 0, 0, '', 9, '', '', '', 0, -6, 'VR', '', '', NULL),
		('998', 'c', 'Cataloger\'s initials, CIN (RLIN)', 'Cataloger\'s initials, CIN (RLIN)', 0, 0, '', 9, '', '', '', 0, -6, 'VR', '', '', NULL),
		('998', 'd', 'First date, FD (RLIN)', 'First date, FD (RLIN)', 0, 0, '', 9, '', '', '', 0, -6, 'VR', '', '', NULL),
		('998', 'i', 'RINS (RLIN)', 'RINS (RLIN)', 0, 0, '', 9, '', '', '', 0, 5, 'VR', '', '', NULL),
		('998', 'l', 'LI (RLIN)', 'LI (RLIN)', 0, 0, '', 9, '', '', '', 0, 5, 'VR', '', '', NULL),
		('998', 'n', 'NUC (RLIN)', 'NUC (RLIN)', 0, 0, '', 9, '', '', '', 0, 5, 'VR', '', '', NULL),
		('998', 'p', 'PROC (RLIN)', 'PROC (RLIN)', 0, 0, '', 9, '', '', '', 0, 5, 'VR', '', '', NULL),
		('998', 's', 'CC (RLIN)', 'CC (RLIN)', 0, 0, '', 9, '', '', '', 0, 5, 'VR', '', '', NULL),
		('998', 't', 'RTYP (RLIN)', 'RTYP (RLIN)', 0, 0, '', 9, '', '', '', 0, 5, 'VR', '', '', NULL),
		('998', 'w', 'PLINK (RLIN)', 'PLINK (RLIN)', 0, 0, '', 9, '', '', '', 0, 5, 'VR', '', '', NULL);



-- *******************************************************


-- **************************************************************************
-- SIMPLE 3D ARTIFACTS KOHA RECORD AND HOLDINGS MANAGEMENT FIELDS/SUBFIELDS.
-- **************************************************************************


-- Current Record ID Field/Subfields


INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES
		('999', 'Sys Number locale (Koha)', 'Sys Number locale (Koha)', 1, 0, '', 'AR');

INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES
		('999', 'a', 'Item type [OBSOLETE]', 'Item type [OBSOLETE]', 0, 0, NULL, -1, NULL, NULL, '', NULL, -5, 'AR', '', '', NULL),
		('999', 'b', 'Koha Dewey Subclass [OBSOLETE]', 'Koha Dewey Subclass [OBSOLETE]', 0, 0, NULL, 0, NULL, NULL, '', NULL, -5, 'AR', '', '', NULL),
		('999', 'c', 'Koha biblionumber', 'Koha biblionumber', 0, 0, 'biblio.biblionumber', -1, NULL, NULL, '', NULL, -5, 'AR', '', '', NULL),
		('999', 'd', 'Koha biblioitemnumber', 'Koha biblioitemnumber', 0, 0, 'biblioitems.biblioitemnumber', -1, NULL, NULL, '', NULL, -5, 'AR', '', '', NULL);


-- ******************************************************


-- Plugins which need to be written for primary biblioitems Field/Subfields.


--      ('942', '2', 'Source of classification or shelving scheme', 'Source of classification or shelving scheme', 0, 0, 'biblioitems.cn_source', 9, '', '', 'marc21_classcodes.pl', NULL, 0, 'AR', '', '', NULL),
--      ('942', 'h', 'Classification part', 'Classification part', 0, 0, 'biblioitems.cn_class', 9, '', '', 'marc21_callnumber.pl', NULL, 0, 'AR', '', '', NULL),



-- Current primary biblioitems Field/Subfields


INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES
		('942', 'Dati aggiuntivi (Koha)', 'Dati aggiuntivi (Koha)', 0, 0, '', 'AR');

INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES
		('942', '0', 'Numero prestiti (tutte le copie)', 'Numero prestiti (tutte le copie)', 0, 0, 'biblioitems.totalissues', 9, '', '', '', NULL, -5, 'AR', '', '', NULL),
		('942', '2', 'Fonte della classificazione o dello schema di collocazione (segnatura)', 'Fonte della classificazione o dello schema di collocazione (segnatura)', 0, 0, 'biblioitems.cn_source', 9, 'cn_source', '', '', NULL, 0, 'AR', '', '', NULL),
		('942', '6', 'Class. Normalizzata per ordinamento', 'Class. Normalizzata per ordinamento', 0, 0, 'biblioitems.cn_sort', -1, '', '', '', 0, 7, 'AR', '', '', NULL),
		('942', 'a', 'Institution code [OBSOLETE]', 'Institution code [OBSOLETE]', 0, 0, '', 9, '', '', '', NULL, -5, 'AR', '', '', NULL),
		('942', 'c', 'Tipo copia default (Koha)', 'Tipo copia default (Koha)', 0, 1, 'biblioitems.itemtype', 9, 'itemtypes', '', '', NULL, 0, 'AR', '', '', NULL),
		('942', 'e', 'Edizione', 'Edizione', 0, 0, NULL, 9, '', '', '', NULL, 0, 'AR', '', '', NULL),
		('942', 'h', 'Parte della classificazione', 'Parte della classificazione', 0, 0, 'biblioitems.cn_class', 9, '', '', '', NULL, 0, 'AR', '', '', NULL),
		('942', 'i', 'Parte dell\'item', 'Parte dell\'item', 1, 0, 'biblioitems.cn_item', 9, '', '', '', NULL, 9, 'AR', '', '', NULL),
		('942', 'k', 'Prefisso del numero di chiamata (collocazione)', 'Prefisso del numero di chiamata (collocazione)', 0, 0, 'biblioitems.cn_prefix', 9, '', '', '', NULL, 0, 'AR', '', '', NULL),
		('942', 'm', 'Suffisso del numero di chiamata (collocazione)', 'Suffisso del numero di chiamata (collocazione)', 0, 0, 'biblioitems.cn_suffix', 9, '', '', '', 0, 0, 'AR', '', '', NULL),
		('942', 'n', 'Nasconto in Opac', 'Nasconto in Opac', 0, 0, NULL, 9, '', '', '', 0, 0, 'AR', '', '', NULL),
		('942', 's', 'Flag seriale', 'Flag seriale', 0, 0, 'biblio.serial', 9, '', '', '', 0, -5, 'AR', '', '', NULL);


-- ******************************************************


-- Plugins which need to be written for items Field/Subfields


--      ('952', '2', 'Source of classification or shelving scheme', 'Source of classification or shelving scheme', 0, 0, 'items.cn_source', 10, '', '', 'marc21_classcodes.pl', NULL, 0, 'AR', '', '', NULL),
--      ('952', 'o', 'Full call number', 'Full call number', 0, 0, 'items.itemcallnumber', 10, '', 'marc21_itemcallnumber.pl', NULL, 0, 0, 'AR', '', '', NULL),



-- Current items Field/Subfields


INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES
		('952', 'Dati di copia (Koha)', 'Dati di copia (Koha)', 1, 0, '', 'AR');

INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES
		('952', '0', 'Ritirato (status)', 'Ritirato (status)', 0, 0, 'items.withdrawn', 10, 'WITHDRAWN', '', '', 0, 0, 'AR', '', '', NULL),
		('952', '1', 'Perso (status)', 'Perso (status)', 0, 0, 'items.itemlost', 10, 'LOST', '', '', 0, 0, 'AR', '', '', NULL),
		('952', '2', 'Fonte della classificazione o dello schema di collocazione (segnatura)', 'Fonte della classificazione o dello schema di collocazione (segnatura)', 0, 0, 'items.cn_source', 10, 'cn_source', '', '', NULL, 0, 'AR', '', '', NULL),
		('952', '3', 'Materiali specifici (rilegati o simili)', 'Materiali specifici (rilegati o simili)', 0, 0, 'items.materials', 10, '', '', '', NULL, -1, 'AR', '', '', NULL),
		('952', '4', 'Danneggiato (status)', 'Danneggiato (status)', 0, 0, 'items.damaged', 10, 'DAMAGED', '', '', NULL, 0, 'AR', '', '', NULL),
		('952', '5', 'Use restrictions', 'Use restrictions', 0, 0, 'items.restricted', 10, 'RESTRICTED', '', '', 0, 0, 'AR', '', '', NULL),
		('952', '6', 'Class. Normalizzata per ordinamento', 'Class. Normalizzata per ordinamento', 0, 0, 'items.cn_sort', -1, '', '', '', 0, 7, 'AR', '', '', NULL),
		('952', '7', 'Non per il presito', 'Non per il presito', 0, 0, 'items.notforloan', 10, 'NOT_LOAN', '', '', 0, 0, 'AR', '', '', NULL),
		('952', '8', 'Codice collezione', 'Codice collezione', 0, 0, 'items.ccode', 10, 'CCODE', '', '', 0, 0, 'AR', '', '', NULL),
		('952', '9', 'Numero di copia (ID autogenerato)', 'Numero di copia (ID autogenerato)', 0, 0, 'items.itemnumber', -1, '', '', '', 0, 7, 'AR', '', '', NULL),
		('952', 'a', 'Biblioteca proprietaria', 'Biblioteca proprietaria', 0, 0, 'items.homebranch', 10, 'branches', '', '', 0, 0, 'AR', '', '', NULL),
		('952', 'b', 'Biblioteca in cui si trova', 'Biblioteca in cui si trova', 0, 0, 'items.holdingbranch', 10, 'branches', '', '', 0, 0, 'AR', '', '', NULL),
		('952', 'c', 'Localizzazione a scaffale', 'Localizzazione a scaffale', 0, 0, 'items.location', 10, 'LOC', '', '', 0, 0, 'AR', '', '', NULL),
		('952', 'd', 'Data d\'acquisizione', 'Data d\'acquisizione', 0, 0, 'items.dateaccessioned', 10, '', '', 'dateaccessioned.pl', 0, 0, 'AR', '', '', NULL),
		('952', 'e', 'Fonte d\'acquisto', 'Fonte d\'acquisto', 0, 0, 'items.booksellerid', 10, '', '', '', 0, 0, 'AR', '', '', NULL),
		('952', 'f', 'Qualificatore di localizzazione codificato', 'Qualificatore di localizzazione codificato', 0, 0, 'items.coded_location_qualifier', 10, '', '', '', NULL, 0, 'AR', '', '', NULL),
		('952', 'g', 'Costo, prezzo di acquisto', 'Costo, prezzo di acquisto', 0, 0, 'items.price', 10, '', '', '', 0, 0, 'AR', '', '', NULL),
		('952', 'h', 'Enumerazione seriale / cronologia', 'Enumerazione seriale / cronologia', 0, 0, 'items.enumchron', 10, '', '', '', 0, 0, 'AR', '', '', NULL),
		('952', 'i', 'Numero di inventario', 'Numero di inventario', 0, 0, 'items.stocknumber', 10, '', '', '', 0, 0, 'AR', '', '', NULL),
		('952', 'j', 'Collocazione (segnatura)', 'Collocazione (segnatura)', 0, 0, 'items.stack', 10, 'STACK', '', '', NULL, -1, 'AR', '', '', NULL),
		('952', 'l', 'Totale prestiti', 'Totale prestiti', 0, 0, 'items.issues', 10, '', '', '', NULL, -5, 'AR', '', '', NULL),
		('952', 'm', 'Totale rinnovi', 'Totale rinnovi', 0, 0, 'items.renewals', 10, '', '', '', NULL, -5, 'AR', '', '', NULL),
		('952', 'n', 'Totale prenotazioni', 'Totale prenotazioni', 0, 0, 'items.reserves', 10, '', '', '', NULL, -5, 'AR', '', '', NULL),
		('952', 'o', 'Collocazione', 'Collocazione', 0, 0, 'items.itemcallnumber', 10, '', '', NULL, 0, 0, 'AR', '', '', NULL),
		('952', 'p', 'Codice a barre', 'Codice a barre', 0, 0, 'items.barcode', 10, '', '', 'barcode.pl', 0, 0, 'AR', '', '', NULL),
		('952', 'q', 'Prestito', 'Prestito', 0, 0, 'items.onloan', 10, '', '', '', NULL, -5, 'AR', '', '', NULL),
		('952', 'r', 'Data ultima operazione', 'Data ultima operazione', 0, 0, 'items.datelastseen', 10, '', '', '', NULL, -5, 'AR', '', '', NULL),
		('952', 's', 'Data ultimo prestito', 'Data ultimo prestito', 0, 0, 'items.datelastborrowed', 10, '', '', '', NULL, -5, 'AR', '', '', NULL),
		('952', 't', 'Numero di copia', 'Numero di copia', 0, 0, 'items.copynumber', 10, '', '', '', NULL, 0, 'AR', '', '', NULL),
		('952', 'u', 'URI (Uniform Resource Identifier)', 'URI (Uniform Resource Identifier)', 0, 0, 'items.uri', 10, '', '', '', 1, 0, 'AR', '', '', NULL),
		('952', 'v', 'Costo, costo di riacquisto', 'Costo, costo di riacquisto', 0, 0, 'items.replacementprice', 10, '', '', '', 0, 0, 'AR', '', '', NULL),
		('952', 'w', 'Prezzo in vigore dal', 'Prezzo in vigore dal', 0, 0, 'items.replacementpricedate', 10, '', '', '', 0, 0, 'AR', '', '', NULL),
		('952', 'x', 'Nota non pubblica', 'Nota non pubblica', 0, 0, '', 10, '', '', '', NULL, 1, 'AR', '', '', NULL),
		('952', 'y', 'Tipo copia default (Koha)', 'Tipo copia default (Koha)', 0, 0, 'items.itype', 10, 'itemtypes', '', '', NULL, 0, 'AR', '', '', NULL),
		('952', 'z', 'Nota pubblica', 'Nota pubblica', 0, 0, 'items.itemnotes', 10, '', '', '', NULL, 0, 'AR', '', '', NULL);



-- *******************************************************



-- ****************************************************************************
-- SIMPLE 3D ARTIFACTS MARC 21 FIELDS/SUBFIELDS AND COMMMONLY USED EXTENSIONS.
-- ****************************************************************************


INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES
		('000', 'LEADER', 'LEADER', 0, 1, '', 'AR'),
		('001', 'Numero di controllo', 'Numero di controllo', 0, 0, '', 'AR'),
		('003', 'Identificatore del numero di controllo', 'Identificatore del numero di controllo', 0, 0, '', 'AR'),
		('005', 'Data e orario dell\'ultima transazione', 'Data e orario dell\'ultima transazione', 0, 0, '', 'AR'),
		('006', 'Elementi di lunghezza fissa--Caratteristiche del materiale allegato--Informazione generale', 'Elementi di lunghezza fissa--Caratteristiche del materiale allegato--Informazione generale', 1, 0, '', 'AR'),
		('007', 'Campo fisso per la descrizione fisica--informazione generale', 'Campo fisso per la descrizione fisica--informazione generale', 1, 0, '', 'AR'),
		('008', 'Elementi di lunghezza fissa--Informazione generale', 'Elementi di lunghezza fissa--Informazione generale', 0, 1, '', 'AR'),
		('009', 'PHYSICAL DESCRIPTION FIXED-FIELD FOR ARCHIVAL COLLECTION (VM) [OBSOLETE]', 'PHYSICAL DESCRIPTION FIXED-FIELD FOR ARCHIVAL COLLECTION (VM) [OBSOLETE]', 1, 0, '', 'AR'),
		('010', 'Numero di controllo della Library of Congress', 'Numero di controllo della Library of Congress', 0, 0, '', 'AR'),
		('011', 'LINKING LIBRARY OF CONGRESS CONTROL NUMBER [OBSOLETE]', 'LINKING LIBRARY OF CONGRESS CONTROL NUMBER [OBSOLETE]', 0, 0, '', 'AR'),
		('013', 'Informazioni impiegate per il controllo di brevetti', 'Informazioni impiegate per il controllo di brevetti', 1, 0, '', 'AR'),
		('015', 'Numero della bibliografia nazionale', 'Numero della bibliografia nazionale', 1, 0, '', 'AR'),
		('016', 'Numero di controllo dell\'agenzia bibliografica nazionale', 'Numero di controllo dell\'agenzia bibliografica nazionale', 1, 0, '', 'AR'),
		('017', 'Numero di copyright o di deposito legale', 'Numero di copyright o di deposito legale', 1, 0, '', 'AR'),
		('018', 'Codice di tassa sul copyright dell’articolo', 'Codice di tassa sul copyright dell’articolo', 0, 0, '', 'AR'),
		('020', 'ISBN (International Standard Book Number)', 'ISBN (International Standard Book Number)', 1, 0, NULL, 'AR'),
		('022', 'ISSN (International Standard Serial Number)', 'ISSN (International Standard Serial Number)', 1, 0, NULL, 'AR'),
		('023', 'STANDARD FILM NUMBER (VM) [DELETED]', 'STANDARD FILM NUMBER (VM) [DELETED]', 1, 0, NULL, 'AR'),
		('024', 'Altri identificatori standard', 'Altri identificatori standard', 1, 0, NULL, 'AR'),
		('025', 'Numero di acquisito estero', 'Numero di acquisito estero', 1, 0, '', 'AR'),
		('026', 'Identificatore dell’impronta', 'Identificatore dell’impronta', 1, 0, '', 'AR'),
		('027', 'Standard Technical Report Number', 'Standard Technical Report Number', 1, 0, '', 'AR'),
		('028', 'Numero dell’editore', 'Numero dell’editore', 1, 0, NULL, 'AR'),
		('029', 'OTHER SYSTEM CONTROL NUMBER (OCLC)', 'OTHER SYSTEM CONTROL NUMBER (OCLC)', 1, 0, '', 'AR'),
		('030', 'Designazione CODEN', 'Designazione CODEN', 1, 0, '', 'AR'),
		('031', 'Informazione sugli incipit musicali', 'Informazione sugli incipit musicali', 1, 0, '', 'AR'),
		('032', 'Numero di registrazione di posta', 'Numero di registrazione di posta', 1, 0, '', 'AR'),
		('033', 'Data/ora e luogo di un evento', 'Data/ora e luogo di un evento', 1, 0, '', 'AR'),
		('034', 'Dati matematici codificati per il materiale cartografico', 'Dati matematici codificati per il materiale cartografico', 1, 0, '', 'AR'),
		('035', 'Numero di controllo del sistema', 'Numero di controllo del sistema', 1, 0, NULL, 'AR'),
		('036', 'Numero dello studio originale del computer data file', 'Numero dello studio originale del computer data file', 0, 0, '', 'AR'),
		('037', 'Fonte d’acquisto', 'Fonte d’acquisto', 1, 0, NULL, 'AR'),
		('038', 'Licenza d’uso del contenuto della registrazione', 'Licenza d’uso del contenuto della registrazione', 0, 0, '', 'AR'),
		('039', 'LEVEL OF BIBLIOGRAPHIC CONTROL AND CODING DETAIL [OBSOLETE]', 'LEVEL OF BIBLIOGRAPHIC CONTROL AND CODING DETAIL [OBSOLETE]', 0, 0, '', 'AR'),
		('040', 'Fonte della catalogazione', 'Fonte della catalogazione', 0, 0, NULL, 'AR'),
		('041', 'Codice di lingua', 'Codice di lingua', 1, 0, '', 'AR'),
		('042', 'Codice d\'autenticazione', 'Codice d\'autenticazione', 0, 0, '', 'AR'),
		('043', 'Codice dell\'area geografica', 'Codice dell\'area geografica', 0, 0, NULL, 'AR'),
		('044', 'Codice del paese dell’ente che pubblica/produce l’item', 'Codice del paese dell’ente che pubblica/produce l’item', 0, 0, '', 'AR'),
		('045', 'Periodo di tempo del contenuto', 'Periodo di tempo del contenuto', 0, 0, '', 'AR'),
		('046', 'Codice delle date speciali', 'Codice delle date speciali', 1, 0, '', 'AR'),
		('047', 'Codice di forma della composizione musicale', 'Codice di forma della composizione musicale', 1, 0, '', 'AR'),
		('048', 'Codice del numero degli strumenti musicali o delle voci', 'Codice del numero degli strumenti musicali o delle voci', 1, 0, '', 'AR'),
		('049', 'LOCAL HOLDINGS (OCLC)', 'LOCAL HOLDINGS (OCLC)', 0, 0, '', 'AR'),
		('050', 'Numero di chiamata (collocazione) della Library of Congress', 'Numero di chiamata (collocazione) della Library of Congress', 1, 0, NULL, 'AR'),
		('051', 'Formulazione dell’esemplare, emissione, estratto, della Library of Congress', 'Formulazione dell’esemplare, emissione, estratto, della Library of Congress', 1, 0, NULL, 'AR'),
		('052', 'Classificazione geografica', 'Classificazione geografica', 1, 0, NULL, 'AR'),
		('055', 'Numero di classificazione assegnati in Canada', 'Numero di classificazione assegnati in Canada', 1, 0, NULL, 'AR'),
		('060', 'Numero di chiamata (collocazione) della National Library of Medicine', 'Numero di chiamata (collocazione) della National Library of Medicine', 1, 0, NULL, 'AR'),
		('061', 'Formulazione dell’esemplare della National Library of Medicine', 'Formulazione dell’esemplare della National Library of Medicine', 1, 0, NULL, 'AR'),
		('066', 'Set di caratteri presenti', 'Set di caratteri presenti', 0, 0, NULL, 'AR'),
		('070', 'Numero di chiamata (collocazione) della National Agricultural Library', 'Numero di chiamata (collocazione) della National Agricultural Library', 1, 0, NULL, 'AR'),
		('071', 'Formulazione dell’esemplare della National Agricultural Library', 'Formulazione dell’esemplare della National Agricultural Library', 1, 0, NULL, 'AR'),
		('072', 'Codice di categoria di soggetto', 'Codice di categoria di soggetto', 1, 0, NULL, 'AR'),
		('074', 'Numero GPO dell’item', 'Numero GPO dell’item', 1, 0, NULL, 'AR'),
		('080', 'Numero di classificazione decimale universale', 'Numero di classificazione decimale universale', 1, 0, NULL, 'AR'),
		('082', 'Numero di classificazione Decimale Dewey', 'Numero di classificazione Decimale Dewey', 1, 0, NULL, 'AR'),
		('084', 'Numero d’altra classificazione', 'Numero d’altra classificazione', 1, 0, NULL, 'AR'),
		('086', 'Numero di classificazione di documento governativo', 'Numero di classificazione di documento governativo', 1, 0, NULL, 'AR'),
		('087', 'REPORT NUMBER [OBSOLETE, CAN/MARC]', 'REPORT NUMBER [OBSOLETE, CAN/MARC]', 1, 0, NULL, 'AR'),
		('088', 'Numero di rapporto', 'Numero di rapporto', 1, 0, NULL, 'AR'),
		('090', 'LOCALLY ASSIGNED LC-TYPE CALL NUMBER (OCLC); LOCAL CALL NUMBER (RLIN)', 'LOCALLY ASSIGNED LC-TYPE CALL NUMBER (OCLC); LOCAL CALL NUMBER (RLIN)', 1, 0, '', 'AR'),
		('091', 'MICROFILM SHELF LOCATION (AM) [OBSOLETE]', 'MICROFILM SHELF LOCATION (AM) [OBSOLETE]', 0, 0, '', 'AR'),
		('092', 'LOCALLY ASSIGNED DEWEY CALL NUMBER (OCLC)', 'LOCALLY ASSIGNED DEWEY CALL NUMBER (OCLC)', 1, 0, '', 'AR'),
		('096', 'LOCALLY ASSIGNED NLM-TYPE CALL NUMBER (OCLC)', 'LOCALLY ASSIGNED NLM-TYPE CALL NUMBER (OCLC)', 1, 0, '', 'AR'),
		('098', 'OTHER CLASSIFICATION SCHEMES (OCLC)', 'OTHER CLASSIFICATION SCHEMES (OCLC)', 1, 0, '', 'AR'),
		('099', 'LOCAL FREE-TEXT CALL NUMBER (OCLC)', 'LOCAL FREE-TEXT CALL NUMBER (OCLC)', 1, 0, '', 'AR'),
		('100', 'Accesso principale -- nome di persona', 'Accesso principale -- nome di persona', 0, 0, NULL, 'AR'),
		('110', 'Accesso principale--nome di ente', 'Accesso principale--nome di ente', 0, 0, NULL, 'AR'),
		('111', 'Accesso principale--nome di convegno', 'Accesso principale--nome di convegno', 0, 0, NULL, 'AR'),
		('130', 'Accesso principale--titolo uniforme', 'Accesso principale--titolo uniforme', 0, 0, NULL, 'AR'),
		('210', 'Titolo abbreviato', 'Titolo abbreviato', 1, 0, NULL, 'AR'),
		('211', 'ACRONYM OR SHORTENED TITLE [OBSOLETE]', 'ACRONYM OR SHORTENED TITLE [OBSOLETE]', 1, 0, NULL, 'AR'),
		('212', 'VARIANT ACCESS TITLE [OBSOLETE]', 'VARIANT ACCESS TITLE [OBSOLETE]', 1, 0, NULL, 'AR'),
		('214', 'AUGMENTED TITLE [OBSOLETE]', 'AUGMENTED TITLE [OBSOLETE]', 1, 0, NULL, 'AR'),
		('222', 'Titolo chiave', 'Titolo chiave', 1, 0, NULL, 'AR'),
		('240', 'Titolo uniforme', 'Titolo uniforme', 0, 0, 'Unititle', 'AR'),
		('241', 'ROMANIZED TITLE (BK AM CF MP MU VM) [OBSOLETE]', 'ROMANIZED TITLE (BK AM CF MP MU VM) [OBSOLETE]', 0, 0, '', 'AR'),
		('242', 'Traduzione del titolo dell’agenzia di catalogazione', 'Traduzione del titolo dell’agenzia di catalogazione', 1, 0, NULL, 'AR'),
		('243', 'Titolo uniforme collettivo', 'Titolo uniforme collettivo', 0, 0, '', 'AR'),
		('245', 'Formulazione del titolo', 'Formulazione del titolo', 0, 1, '', 'AR'),
		('246', 'Varianti del titolo', 'Varianti del titolo', 1, 0, NULL, 'AR'),
		('247', 'Titolo precedente', 'Titolo precedente', 1, 0, NULL, 'AR'),
		('250', 'Formulazione di edizione', 'Formulazione di edizione', 0, 0, NULL, 'AR'),
		('254', 'Formulazione della presentazione musicale', 'Formulazione della presentazione musicale', 0, 0, NULL, 'AR'),
		('255', 'Dati matematici del materiale cartografico', 'Dati matematici del materiale cartografico', 1, 0, NULL, 'AR'),
		('256', 'Caratteristiche del computer file', 'Caratteristiche del computer file', 0, 0, NULL, 'AR'),
		('257', 'Paese dell’ente produttore dei film d’archivio', 'Paese dell’ente produttore dei film d’archivio', 0, 0, NULL, 'AR'),
		('258', 'Dati dell’emissione filatelica', 'Dati dell’emissione filatelica', 1, 0, NULL, 'AR'),
		('260', 'Pubblicazione, distribuzione, ecc. (stampa)', 'Pubblicazione, distribuzione, ecc. (stampa)', 1, 0, NULL, 'AR'),
		('261', 'IMPRINT STATEMENT FOR FILMS (Pre-AACR 1 Revised) [OBSOLETE, CAN/MARC], [LOCAL, USA]', 'IMPRINT STATEMENT FOR FILMS (Pre-AACR 1 Revised) [OBSOLETE, CAN/MARC], [LOCAL, USA]', 0, 0, NULL, 'AR'),
		('262', 'IMPRINT STATEMENT FOR SOUND RECORDINGS (Pre-AACR 2) [LOCAL, USA]', 'IMPRINT STATEMENT FOR SOUND RECORDINGS (Pre-AACR 2) [LOCAL, USA]', 0, 0, NULL, 'AR'),
		('263', 'Data di pubblicazione prevista', 'Data di pubblicazione prevista', 0, 0, NULL, 'AR'),
		('265', 'SOURCE FOR ACQUISITION/SUBSCRIPTION ADDRESS [OBSOLETE]', 'SOURCE FOR ACQUISITION/SUBSCRIPTION ADDRESS [OBSOLETE]', 0, 0, NULL, 'AR'),
		('270', 'Indirizzo', 'Indirizzo', 1, 0, NULL, 'AR'),
		('300', 'Descrizione fisica', 'Descrizione fisica', 1, 1, NULL, 'AR'),
		('301', 'PHYSICAL DESCRIPTION FOR FILMS (PRE-AACR 2) (VM) [OBSOLETE, USMARC]', 'PHYSICAL DESCRIPTION FOR FILMS (PRE-AACR 2) (VM) [OBSOLETE, USMARC]', 0, 0, NULL, 'AR'),
		('302', 'PAGE OR ITEM COUNT (BK AM) [OBSOLETE]', 'PAGE OR ITEM COUNT (BK AM) [OBSOLETE]', 0, 0, NULL, 'AR'),
		('303', 'UNIT COUNT (AM) [OBSOLETE, USMARC]', 'UNIT COUNT (AM) [OBSOLETE, USMARC]', 0, 0, NULL, 'AR'),
		('304', 'LINEAR FOOTAGE (AM) [OBSOLETE, USMARC]', 'LINEAR FOOTAGE (AM) [OBSOLETE, USMARC]', 0, 0, NULL, 'AR'),
		('305', 'PHYSICAL DESCRIPTION FOR SOUND RECORDINGS (Pre-AACR 2) (MU) [OBSOLETE]', 'PHYSICAL DESCRIPTION FOR SOUND RECORDINGS (Pre-AACR 2) (MU) [OBSOLETE]', 0, 0, NULL, 'AR'),
		('306', 'Durata di riproduzione', 'Durata di riproduzione', 0, 0, NULL, 'AR'),
		('307', 'Disponibilità oraria, ecc.', 'Disponibilità oraria, ecc.', 1, 0, NULL, 'AR'),
		('308', 'PHYSICAL DESCRIPTION FOR FILMS (ARCHIVAL) (VM) [OBSOLETE]', 'PHYSICAL DESCRIPTION FOR FILMS (ARCHIVAL) (VM) [OBSOLETE]', 1, 0, NULL, 'AR'),
		('310', 'Periodicità corrente della pubblicazione', 'Periodicità corrente della pubblicazione', 0, 0, NULL, 'AR'),
		('315', 'FREQUENCY (CF MP) [OBSOLETE]', 'FREQUENCY (CF MP) [OBSOLETE]', 0, 0, NULL, 'AR'),
		('321', 'Periodicità precedente della pubblicazione', 'Periodicità precedente della pubblicazione', 1, 0, NULL, 'AR'),
		('340', 'Supporto fisico', 'Supporto fisico', 1, 0, NULL, 'AR'),
		('342', 'Dati di riferimento geospaziale', 'Dati di riferimento geospaziale', 1, 0, NULL, 'AR'),
		('343', 'Dati di coordinate piane', 'Dati di coordinate piane', 1, 0, NULL, 'AR'),
		('350', 'PRICE (NR) (BK AM CF MU VM SE) [OBSOLETE]', 'PRICE (NR) (BK AM CF MU VM SE) [OBSOLETE]', 1, 0, NULL, 'AR'),
		('351', 'Organizzazione e l’ordinamento dei materiali', 'Organizzazione e l’ordinamento dei materiali', 1, 0, NULL, 'AR'),
		('352', 'Rappresentazione grafica digitale', 'Rappresentazione grafica digitale', 1, 0, NULL, 'AR'),
		('355', 'Controllo della classificazione di sicurezza', 'Controllo della classificazione di sicurezza', 1, 0, NULL, 'AR'),
		('357', 'Controllo del creatore sulla diffusione', 'Controllo del creatore sulla diffusione', 0, 0, NULL, 'AR'),
		('359', 'RENTAL PRICE (VM) [OBSOLETE]', 'RENTAL PRICE (VM) [OBSOLETE]', 0, 0, NULL, 'AR'),
		('362', 'Date della pubblicazione e/o designazione sequenziale', 'Date della pubblicazione e/o designazione sequenziale', 1, 0, NULL, 'AR'),
		('365', 'Prezzo commerciale', 'Prezzo commerciale', 1, 0, NULL, 'AR'),
		('366', 'Informazione sulla disponibilità editoriale', 'Informazione sulla disponibilità editoriale', 1, 0, NULL, 'AR'),
		('400', 'SERIES STATEMENT/ADDED ENTRY--PERSONAL NAME [OBSOLETE, CAN/MARC], [LOCAL, USA]', 'SERIES STATEMENT/ADDED ENTRY--PERSONAL NAME [OBSOLETE, CAN/MARC], [LOCAL, USA]', 1, 0, NULL, 'AR'),
		('410', 'SERIES STATEMENT/ADDED ENTRY--CORPORATE NAME [OBSOLETE, CAN/MARC], [LOCAL, USA]', 'SERIES STATEMENT/ADDED ENTRY--CORPORATE NAME [OBSOLETE, CAN/MARC], [LOCAL, USA]', 1, 0, NULL, 'AR'),
		('411', 'SERIES STATEMENT/ADDED ENTRY--MEETING NAME [OBSOLETE, CAN/MARC], [LOCAL, USA]', 'SERIES STATEMENT/ADDED ENTRY--MEETING NAME [OBSOLETE, CAN/MARC], [LOCAL, USA]', 1, 0, NULL, 'AR'),
		('440', 'Formulazione della serie/accesso aggiunto--titolo', 'Formulazione della serie/accesso aggiunto--titolo', 1, 0, NULL, 'AR'),
		('490', 'Formulazione della serie', 'Formulazione della serie', 1, 0, '', 'AR'),
		('500', 'Nota generale', 'Nota generale', 1, 0, NULL, 'AR'),
		('501', 'Nota  Pubblicato con', 'Nota  Pubblicato con', 1, 0, NULL, 'AR'),
		('502', 'Nota di dissertazione', 'Nota di dissertazione', 1, 0, NULL, 'AR'),
		('503', 'BIBLIOGRAPHIC HISTORY NOTE (BK CF MU) [OBSOLETE]', 'BIBLIOGRAPHIC HISTORY NOTE (BK CF MU) [OBSOLETE]', 1, 0, NULL, 'AR'),
		('504', 'Nota di bibliografia', 'Nota di bibliografia', 1, 0, NULL, 'AR'),
		('505', 'Nota formattata di contenuto', 'Nota formattata di contenuto', 1, 0, NULL, 'AR'),
		('506', 'Nota sulle restrizioni all\'accesso', 'Nota sulle restrizioni all\'accesso', 1, 0, NULL, 'AR'),
		('507', 'Nota di scala per materiale grafico', 'Nota di scala per materiale grafico', 0, 0, NULL, 'AR'),
		('508', 'Nota sui crediti di creazione/produzione', 'Nota sui crediti di creazione/produzione', 1, 0, NULL, 'AR'),
		('509', 'INFORMAL NOTES (RLIN)', 'INFORMAL NOTES (RLIN)', 0, 0, NULL, 'AR'),
		('510', 'Nota di citazione/riferimenti esterni', 'Nota di citazione/riferimenti esterni', 1, 0, NULL, 'AR'),
		('511', 'Nota sui partecipanti o interpreti', 'Nota sui partecipanti o interpreti', 1, 0, NULL, 'AR'),
		('512', 'EARLIER OR LATER VOLUMES SEPARATELY CATALOGED NOTE (SE) [OBSOLETE]', 'EARLIER OR LATER VOLUMES SEPARATELY CATALOGED NOTE (SE) [OBSOLETE]', 1, 0, NULL, 'AR'),
		('513', 'Nota di tipo di rapporto e periodo coperto', 'Nota di tipo di rapporto e periodo coperto', 1, 0, NULL, 'AR'),
		('514', 'Nota sulla qualità dei dati', 'Nota sulla qualità dei dati', 0, 0, NULL, 'AR'),
		('515', 'Nota su particolarità della numerazione', 'Nota su particolarità della numerazione', 1, 0, NULL, 'AR'),
		('516', 'Nota sul tipo di computer file o di file di dati', 'Nota sul tipo di computer file o di file di dati', 1, 0, NULL, 'AR'),
		('517', 'CATEGORIES OF FILMS NOTE (ARCHIVAL) (VM) [OBSOLETE]', 'CATEGORIES OF FILMS NOTE (ARCHIVAL) (VM) [OBSOLETE]', 0, 0, NULL, 'AR'),
		('518', 'Nota sulla data/ora e luogo di un evento', 'Nota sulla data/ora e luogo di un evento', 1, 0, NULL, 'AR'),
		('520', 'Riassunto, ecc.', 'Riassunto, ecc.', 1, 0, NULL, 'AR'),
		('521', 'Nota sui destinatari', 'Nota sui destinatari', 1, 0, NULL, 'AR'),
		('522', 'Nota di copertura geografica', 'Nota di copertura geografica', 1, 0, NULL, 'AR'),
		('523', 'TIME PERIOD OF CONTENT NOTE (CF) [OBSOLETE]', 'TIME PERIOD OF CONTENT NOTE (CF) [OBSOLETE]', 0, 0, NULL, 'AR'),
		('524', 'Nota sulla citazione preferita dei materiali descritti', 'Nota sulla citazione preferita dei materiali descritti', 1, 0, NULL, 'AR'),
		('525', 'Nota di supplemento', 'Nota di supplemento', 0, 0, NULL, 'AR'),
		('526', 'Nota d’informazione sul programma di studi', 'Nota d’informazione sul programma di studi', 0, 0, NULL, 'AR'),
		('527', 'CENSORSHIP NOTE (VM) [OBSOLETE]', 'CENSORSHIP NOTE (VM) [OBSOLETE]', 1, 0, NULL, 'AR'),
		('530', 'Nota sulla disponibilità su altro supporto fisico', 'Nota sulla disponibilità su altro supporto fisico', 1, 0, NULL, 'AR'),
		('533', 'Nota di riproduzione', 'Nota di riproduzione', 1, 0, NULL, 'AR'),
		('534', 'Nota sulla versione originale', 'Nota sulla versione originale', 1, 0, NULL, 'AR'),
		('535', 'Nota sulla localizzazione degli originali/duplicati', 'Nota sulla localizzazione degli originali/duplicati', 1, 0, NULL, 'AR'),
		('536', 'Nota d’informazione sul finanziamento', 'Nota d’informazione sul finanziamento', 1, 0, NULL, 'AR'),
		('537', 'SOURCE OF DATA NOTE (CF) [OBSOLETE]', 'SOURCE OF DATA NOTE (CF) [OBSOLETE]', 0, 0, NULL, 'AR'),
		('538', 'Nota sui requisiti del sistema', 'Nota sui requisiti del sistema', 1, 0, NULL, 'AR'),
		('540', 'Nota sulle condizioni che regolano l\'utilizzo e la riproduzione', 'Nota sulle condizioni che regolano l\'utilizzo e la riproduzione', 1, 0, NULL, 'AR'),
		('541', 'Nota sulla fonte immediata d\'acquisto', 'Nota sulla fonte immediata d\'acquisto', 1, 0, NULL, 'AR'),
		('543', 'SOLICITATION INFORMATION NOTE (AM) [OBSOLETE]', 'SOLICITATION INFORMATION NOTE (AM) [OBSOLETE]', 1, 0, NULL, 'AR'),
		('544', 'Nota sulla localizzazione d’altri materiali d’archivio', 'Nota sulla localizzazione d’altri materiali d’archivio', 1, 0, NULL, 'AR'),
		('545', 'Dati biografici o storici', 'Dati biografici o storici', 1, 0, NULL, 'AR'),
		('546', 'Nota sulla lingua', 'Nota sulla lingua', 1, 0, NULL, 'AR'),
		('547', 'Nota sulla complessità del titolo precedente', 'Nota sulla complessità del titolo precedente', 1, 0, NULL, 'AR'),
		('550', 'Nota sull\'ente responsabile', 'Nota sull\'ente responsabile', 1, 0, NULL, 'AR'),
		('552', 'Nota d’informazione sull’ente e l’attributo', 'Nota d’informazione sull’ente e l’attributo', 1, 0, NULL, 'AR'),
		('555', 'Nota sull\'indice cumulativo/strumenti di ricerca', 'Nota sull\'indice cumulativo/strumenti di ricerca', 1, 0, NULL, 'AR'),
		('556', 'Nota d\'informazione sulla documentazione', 'Nota d\'informazione sulla documentazione', 1, 0, NULL, 'AR'),
		('561', 'Storia della proprietà e custodia', 'Storia della proprietà e custodia', 1, 0, NULL, 'AR'),
		('562', 'Nota d\'identificazione della copia e della versione', 'Nota d\'identificazione della copia e della versione', 1, 0, NULL, 'AR'),
		('563', 'Informazione sulla rilegatura', 'Informazione sulla rilegatura', 1, 0, NULL, 'AR'),
		('565', 'Nota sulle caratteristiche della singola pratica', 'Nota sulle caratteristiche della singola pratica', 1, 0, NULL, 'AR'),
		('567', 'Nota sulla metodologia', 'Nota sulla metodologia', 1, 0, NULL, 'AR'),
		('570', 'EDITOR NOTE (SE) [OBSOLETE]', 'EDITOR NOTE (SE) [OBSOLETE]', 1, 0, NULL, 'AR'),
		('580', 'Nota di collegamento complesso', 'Nota di collegamento complesso', 1, 0, NULL, 'AR'),
		('581', 'Nota di pubblicazioni sui materiali descritti', 'Nota di pubblicazioni sui materiali descritti', 1, 0, NULL, 'AR'),
		('582', 'RELATED COMPUTER FILES NOTE (CF) [OBSOLETE]', 'RELATED COMPUTER FILES NOTE (CF) [OBSOLETE]', 1, 0, NULL, 'AR'),
		('583', 'Nota d’azione', 'Nota d’azione', 1, 0, NULL, 'AR'),
		('584', 'Nota di accumulo e di frequenza d’uso', 'Nota di accumulo e di frequenza d’uso', 1, 0, NULL, 'AR'),
		('585', 'Nota di mostre', 'Nota di mostre', 1, 0, NULL, 'AR'),
		('586', 'Nota di premi', 'Nota di premi', 1, 0, NULL, 'AR'),
		('590', 'LOCAL NOTE (RLIN)', 'LOCAL NOTE (RLIN)', 1, 0, NULL, 'AR'),
		('600', 'Accesso aggiunto di soggetto-–Nome di persona', 'Accesso aggiunto di soggetto-–Nome di persona', 1, 0, NULL, 'AR'),
		('610', 'Accesso aggiunto di soggetto--nome di ente', 'Accesso aggiunto di soggetto--nome di ente', 1, 0, NULL, 'AR'),
		('611', 'Accesso aggiunto di soggetto--nome di convegno', 'Accesso aggiunto di soggetto--nome di convegno', 1, 0, NULL, 'AR'),
		('630', 'Accesso aggiunto di soggetto--titolo uniforme', 'Accesso aggiunto di soggetto--titolo uniforme', 1, 0, NULL, 'AR'),
		('648', 'Accesso aggiunto di soggetto--termine cronologico', 'Accesso aggiunto di soggetto--termine cronologico', 1, 0, NULL, 'AR'),
		('650', 'Accesso aggiunto di soggetto--termine topico', 'Accesso aggiunto di soggetto--termine topico', 1, 0, NULL, 'AR'),
		('651', 'Accesso aggiunto di soggetto--nome geografico', 'Accesso aggiunto di soggetto--nome geografico', 1, 0, NULL, 'AR'),
		('652', 'SUBJECT ADDED ENTRY--REVERSE GEOGRAPHIC (BK MP SE) [OBSOLETE]', 'SUBJECT ADDED ENTRY--REVERSE GEOGRAPHIC (BK MP SE) [OBSOLETE]', 1, 0, NULL, 'AR'),
		('653', 'Termine d’indicizzazione--non controllato', 'Termine d’indicizzazione--non controllato', 1, 0, NULL, 'AR'),
		('654', 'Accesso aggiunto di soggetto--termini topici faccettati', 'Accesso aggiunto di soggetto--termini topici faccettati', 1, 0, NULL, 'AR'),
		('655', 'Termine d’indicizzazione--genere/forma', 'Termine d’indicizzazione--genere/forma', 1, 0, NULL, 'AR'),
		('656', 'Termine d’indicizzazione--occupazione', 'Termine d’indicizzazione--occupazione', 1, 0, NULL, 'AR'),
		('657', 'Termine d’indicizzazione--funzione', 'Termine d’indicizzazione--funzione', 1, 0, NULL, 'AR'),
		('658', 'Termine d’indicizzazione--obiettivi del curriculum scolastico', 'Termine d’indicizzazione--obiettivi del curriculum scolastico', 1, 0, NULL, 'AR'),
		('662', 'Accesso aggiunto di soggetto --nome gerarchico di luogo', 'Accesso aggiunto di soggetto --nome gerarchico di luogo', 1, 0, NULL, 'AR'),
		('690', 'LOCAL SUBJECT ADDED ENTRY--TOPICAL TERM (OCLC, RLIN)', 'LOCAL SUBJECT ADDED ENTRY--TOPICAL TERM (OCLC, RLIN)', 1, 0, '', 'AR'),
		('691', 'LOCAL SUBJECT ADDED ENTRY--GEOGRAPHIC NAME (RLIN)', 'LOCAL SUBJECT ADDED ENTRY--GEOGRAPHIC NAME (RLIN)', 1, 0, '', 'AR'),
		('696', 'LOCAL SUBJECT ADDED ENTRY--PERSONAL NAME (RLIN)', 'LOCAL SUBJECT ADDED ENTRY--PERSONAL NAME (RLIN)', 1, 0, '', 'AR'),
		('697', 'LOCAL SUBJECT ADDED ENTRY--CORPORATE NAME (RLIN)', 'LOCAL SUBJECT ADDED ENTRY--CORPORATE NAME (RLIN)', 1, 0, '', 'AR'),
		('698', 'LOCAL SUBJECT ADDED ENTRY--MEETING NAME (RLIN)', 'LOCAL SUBJECT ADDED ENTRY--MEETING NAME (RLIN)', 1, 0, '', 'AR'),
		('699', 'LOCAL SUBJECT ADDED ENTRY--UNIFORM TITLE (RLIN)', 'LOCAL SUBJECT ADDED ENTRY--UNIFORM TITLE (RLIN)', 1, 0, '', 'AR'),
		('700', 'Accesso aggiunto--nome di persona', 'Accesso aggiunto--nome di persona', 1, 0, NULL, 'AR'),
		('705', 'ADDED ENTRY--PERSONAL NAME (PERFORMER) (MU) [OBSOLETE]', 'ADDED ENTRY--PERSONAL NAME (PERFORMER) (MU) [OBSOLETE]', 1, 0, NULL, 'AR'),
		('710', 'Accesso aggiunto--nome di ente', 'Accesso aggiunto--nome di ente', 1, 0, NULL, 'AR'),
		('711', 'Accesso aggiunto--nome di convegno', 'Accesso aggiunto--nome di convegno', 1, 0, NULL, 'AR'),
		('715', 'ADDED ENTRY--CORPORATE NAME (PERFORMER) (MU) [OBSOLETE]', 'ADDED ENTRY--CORPORATE NAME (PERFORMER) (MU) [OBSOLETE]', 1, 0, NULL, 'AR'),
		('720', 'Accesso aggiunto--nome non controllato', 'Accesso aggiunto--nome non controllato', 1, 0, NULL, 'AR'),
		('730', 'Accesso aggiunto--titolo uniforme', 'Accesso aggiunto--titolo uniforme', 1, 0, NULL, 'AR'),
		('740', 'Accesso aggiunto--titolo analitico/correlato non controllato', 'Accesso aggiunto--titolo analitico/correlato non controllato', 1, 0, NULL, 'AR'),
		('752', 'Accesso aggiunto – nome gerarchico di luogo', 'Accesso aggiunto – nome gerarchico di luogo', 1, 0, NULL, 'AR'),
		('753', 'Dettagli sul sistema per accedere ai computer file', 'Dettagli sul sistema per accedere ai computer file', 1, 0, NULL, 'AR'),
		('754', 'Accesso aggiunto--identificazione tassonomica', 'Accesso aggiunto--identificazione tassonomica', 1, 0, NULL, 'AR'),
		('755', 'ADDED ENTRY--PHYSICAL CHARACTERISTICS [OBSOLETE]', 'ADDED ENTRY--PHYSICAL CHARACTERISTICS [OBSOLETE]', 1, 0, NULL, 'AR'),
		('760', 'Accesso di serie principale', 'Accesso di serie principale', 1, 0, NULL, 'AR'),
		('762', 'Accesso di sottoserie', 'Accesso di sottoserie', 1, 0, NULL, 'AR'),
		('765', 'Accesso di lingua originale', 'Accesso di lingua originale', 1, 0, NULL, 'AR'),
		('767', 'Accesso di supplemento/numero speciale', 'Accesso di supplemento/numero speciale', 1, 0, NULL, 'AR'),
		('770', 'Accesso di supplemento/numero speciale', 'Accesso di supplemento/numero speciale', 1, 0, NULL, 'AR'),
		('772', 'Accesso di pubblicazione principale', 'Accesso di pubblicazione principale', 1, 0, NULL, 'AR'),
		('773', 'Accesso d’item ospite', 'Accesso d’item ospite', 1, 0, NULL, 'AR'),
		('774', 'Accesso d’unità costituente', 'Accesso d’unità costituente', 1, 0, NULL, 'AR'),
		('775', 'Acceso di un’altra edizione', 'Acceso di un’altra edizione', 1, 0, NULL, 'AR'),
		('776', 'Accesso di forma fisica aggiunta', 'Accesso di forma fisica aggiunta', 1, 0, NULL, 'AR'),
		('777', 'Accesso di ', 'Accesso di ', 1, 0, NULL, 'AR'),
		('780', 'Accesso precedente', 'Accesso precedente', 1, 0, NULL, 'AR'),
		('785', 'Accesso successivo', 'Accesso successivo', 1, 0, NULL, 'AR'),
		('786', 'Accesso di fonte dei dati', 'Accesso di fonte dei dati', 1, 0, NULL, 'AR'),
		('787', 'Accesso di relazione non specificata', 'Accesso di relazione non specificata', 1, 0, NULL, 'AR'),
		('789', 'COMPONENT ITEM ENTRY (RLIN)', 'COMPONENT ITEM ENTRY (RLIN)', 1, 0, '', 'AR'),
		('796', 'LOCAL ADDED ENTRY--PERSONAL NAME (RLIN)', 'LOCAL ADDED ENTRY--PERSONAL NAME (RLIN)', 1, 0, '', 'AR'),
		('797', 'LOCAL ADDED ENTRY--CORPORATE NAME (RLIN)', 'LOCAL ADDED ENTRY--CORPORATE NAME (RLIN)', 1, 0, '', 'AR'),
		('798', 'LOCAL ADDED ENTRY--MEETING NAME (RLIN)', 'LOCAL ADDED ENTRY--MEETING NAME (RLIN)', 1, 0, '', 'AR'),
		('799', 'LOCAL ADDED ENTRY--UNIFORM TITLE (RLIN)', 'LOCAL ADDED ENTRY--UNIFORM TITLE (RLIN)', 1, 0, '', 'AR'),
		('800', 'Accesso aggiunto di serie--nome di persona', 'Accesso aggiunto di serie--nome di persona', 1, 0, NULL, 'AR'),
		('810', 'Accesso aggiunto di serie--nome di ente', 'Accesso aggiunto di serie--nome di ente', 1, 0, NULL, 'AR'),
		('811', 'Accesso aggiunto di serie--nome di convegno', 'Accesso aggiunto di serie--nome di convegno', 1, 0, NULL, 'AR'),
		('830', 'Accesso aggiunto di serie--titolo uniforme', 'Accesso aggiunto di serie--titolo uniforme', 1, 0, NULL, 'AR'),
		('840', 'SERIES ADDED ENTRY--TITLE [OBSOLETE]', 'SERIES ADDED ENTRY--TITLE [OBSOLETE]', 1, 0, NULL, 'AR'),
		('841', 'Valori dei dati codificati di posseduti', 'Valori dei dati codificati di posseduti', 0, 0, NULL, 'AR'),
		('842', 'Designatore testuale di forma fisica', 'Designatore testuale di forma fisica', 0, 0, NULL, 'AR'),
		('843', 'Nota di riproduzione', 'Nota di riproduzione', 1, 0, NULL, 'AR'),
		('844', 'Nome dell’unità', 'Nome dell’unità', 0, 0, NULL, 'AR'),
		('845', 'Nota sulle condizioni che regolano l\'utilizzo e la riproduzione', 'Nota sulle condizioni che regolano l\'utilizzo e la riproduzione', 1, 0, NULL, 'AR'),
		('850', 'Istituzione possedente', 'Istituzione possedente', 1, 0, NULL, 'AR'),
		('851', 'LOCATION [OBSOLETE]', 'LOCATION [OBSOLETE]', 1, 0, NULL, 'AR'),
		('852', 'Localizzazione', 'Localizzazione', 1, 0, NULL, 'AR'),
		('853', 'Legende e modello--unità bibliografica basilare', 'Legende e modello--unità bibliografica basilare', 1, 0, NULL, 'AR'),
		('854', 'Legende e modello--supplementi', 'Legende e modello--supplementi', 1, 0, NULL, 'AR'),
		('855', 'Legende e modello--indici', 'Legende e modello--indici', 1, 0, NULL, 'AR'),
		('856', 'Localizzazione e accesso elettronico', 'Localizzazione e accesso elettronico', 1, 0, NULL, 'AR'),
		('859', 'LOCAL CONTROL INFORMATION (RLIN)', 'LOCAL CONTROL INFORMATION (RLIN)', 1, 0, '', 'AR'),
		('863', 'Numerazione e cronologia--unità bibliografica basilare', 'Numerazione e cronologia--unità bibliografica basilare', 1, 0, NULL, 'AR'),
		('864', 'Numerazione e cronologia--supplementi', 'Numerazione e cronologia--supplementi', 1, 0, NULL, 'AR'),
		('865', 'Numerazione e cronologia--indici', 'Numerazione e cronologia--indici', 1, 0, NULL, 'AR'),
		('866', 'Formulazione testuale di posseduti--unità bibliografica basilare', 'Formulazione testuale di posseduti--unità bibliografica basilare', 1, 0, NULL, 'AR'),
		('867', 'Formulazione testuale di posseduti--supplementi', 'Formulazione testuale di posseduti--supplementi', 1, 0, NULL, 'AR'),
		('868', 'Formulazione testuale di posseduti--indici', 'Formulazione testuale di posseduti--indici', 1, 0, NULL, 'AR'),
		('870', 'VARIANT PERSONAL NAME (SE) [OBSOLETE]', 'VARIANT PERSONAL NAME (SE) [OBSOLETE]', 1, 0, NULL, 'AR'),
		('871', 'VARIANT CORPORATE NAME (SE)[OBSOLETE]', 'VARIANT CORPORATE NAME (SE)[OBSOLETE]', 1, 0, NULL, 'AR'),
		('872', 'VARIANT CONFERENCE OR MEETING NAME (SE) [OBSOLETE]', 'VARIANT CONFERENCE OR MEETING NAME (SE) [OBSOLETE]', 1, 0, NULL, 'AR'),
		('873', 'VARIANT UNIFORM TITLE HEADING (SE) [OBSOLETE]', 'VARIANT UNIFORM TITLE HEADING (SE) [OBSOLETE]', 1, 0, NULL, 'AR'),
		('876', 'Informazione sull’item--unità bibliografica basilare', 'Informazione sull’item--unità bibliografica basilare', 1, 0, NULL, 'AR'),
		('877', 'Informazione sull’item--supplementi', 'Informazione sull’item--supplementi', 1, 0, NULL, 'AR'),
		('878', 'Informazione sull’item--indici', 'Informazione sull’item--indici', 1, 0, NULL, 'AR'),
		('880', 'Rappresentazione grafica alternativa', 'Rappresentazione grafica alternativa', 1, 0, NULL, 'AR'),
		('886', 'Campo dell’informazione per MARC differenti', 'Campo dell’informazione per MARC differenti', 1, 0, NULL, 'AR'),
		('887', 'Campo dell’informazione per non-MARC', 'Campo dell’informazione per non-MARC', 1, 0, NULL, 'AR'),
		('896', 'LOCAL SERIES ADDED ENTRY--PERSONAL NAME (RLIN)', 'LOCAL SERIES ADDED ENTRY--PERSONAL NAME (RLIN)', 1, 0, '', 'AR'),
		('897', 'LOCAL SERIES ADDED ENTRY--CORPORATE NAME (RLIN)', 'LOCAL SERIES ADDED ENTRY--CORPORATE NAME (RLIN)', 1, 0, '', 'AR'),
		('898', 'LOCAL SERIES ADDED ENTRY--MEETING NAME (RLIN)', 'LOCAL SERIES ADDED ENTRY--MEETING NAME (RLIN)', 1, 0, '', 'AR'),
		('899', 'LOCAL SERIES ADDED ENTRY--UNIFORM TITLE (RLIN)', 'LOCAL SERIES ADDED ENTRY--UNIFORM TITLE (RLIN)', 1, 0, '', 'AR'),
		('900', 'EQUIVALENCE OR CROSS-REFERENCE-PERSONAL NAME [LOCAL, CANADA]', 'EQUIVALENCE OR CROSS-REFERENCE-PERSONAL NAME [LOCAL, CANADA]', 1, 0, '', 'AR'),
		('901', 'LOCAL DATA ELEMENT A, LDA (RLIN)', 'LOCAL DATA ELEMENT A, LDA (RLIN)', 1, 0, '', 'AR'),
		('902', 'LOCAL DATA ELEMENT B, LDB (RLIN)', 'LOCAL DATA ELEMENT B, LDB (RLIN)', 1, 0, '', 'AR'),
		('903', 'LOCAL DATA ELEMENT C, LDC (RLIN)', 'LOCAL DATA ELEMENT C, LDC (RLIN)', 1, 0, '', 'AR'),
		('904', 'LOCAL DATA ELEMENT D, LDD (RLIN)', 'LOCAL DATA ELEMENT D, LDD (RLIN)', 1, 0, '', 'AR'),
		('905', 'LOCAL DATA ELEMENT E, LDE (RLIN)', 'LOCAL DATA ELEMENT E, LDE (RLIN)', 1, 0, '', 'AR'),
		('906', 'LOCAL DATA ELEMENT F, LDF (RLIN)', 'LOCAL DATA ELEMENT F, LDF (RLIN)', 1, 0, '', 'AR'),
		('907', 'LOCAL DATA ELEMENT G, LDG (RLIN)', 'LOCAL DATA ELEMENT G, LDG (RLIN)', 1, 0, '', 'AR'),
		('908', 'PUT COMMAND PARAMETER (RLIN)', 'PUT COMMAND PARAMETER (RLIN)', 0, 0, '', 'AR'),
		('910', 'USER-OPTION DATA (OCLC)', 'USER-OPTION DATA (OCLC)', 0, 0, '', 'AR'),
		('911', 'EQUIVALENCE OR CROSS-REFERENCE-CONFERENCE OR MEETING NAME [LOCAL, CANADA]', 'EQUIVALENCE OR CROSS-REFERENCE-CONFERENCE OR MEETING NAME [LOCAL, CANADA]', 1, 0, '', 'AR'),
		('930', 'EQUIVALENCE OR CROSS-REFERENCE-UNIFORM TITLE HEADING [LOCAL, CANADA]', 'EQUIVALENCE OR CROSS-REFERENCE-UNIFORM TITLE HEADING [LOCAL, CANADA]', 1, 0, '', 'AR'),
		('936', 'OCLC/CONSER MISCELLANEOUS DATA (OCLC); PIECE USED FOR CATALOGING (pre-AACR2) (RLIN)', 'OCLC/CONSER MISCELLANEOUS DATA (OCLC); PIECE USED FOR CATALOGING (pre-AACR2) (RLIN)', 0, 0, '', 'AR'),
		('940', 'EQUIVALENCE OR CROSS-REFERENCE--UNIFORM TITLE [OBSOLETE] [CAN/MARC only]', 'EQUIVALENCE OR CROSS-REFERENCE--UNIFORM TITLE [OBSOLETE] [CAN/MARC only]', 1, 0, '', 'AR'),
		('941', 'EQUIVALENCE OR CROSS-REFERENCE--ROMANIZED TITLE [OBSOLETE] [CAN/MARC only]', 'EQUIVALENCE OR CROSS-REFERENCE--ROMANIZED TITLE [OBSOLETE] [CAN/MARC only]', 1, 0, '', 'AR'),
		('943', 'EQUIVALENCE OR CROSS-REFERENCE--COLLECTIVE TITLE [OBSOLETE] [CAN/MARC only]', 'EQUIVALENCE OR CROSS-REFERENCE--COLLECTIVE TITLE [OBSOLETE] [CAN/MARC only]', 1, 0, '', 'AR'),
		('945', 'LOCAL PROCESSING INFORMATION (OCLC)', 'LOCAL PROCESSING INFORMATION (OCLC)', 1, 0, '', 'AR'),
		('946', 'LOCAL PROCESSING INFORMATION (OCLC)', 'LOCAL PROCESSING INFORMATION (OCLC)', 1, 0, '', 'AR'),
		('947', 'LOCAL PROCESSING INFORMATION (OCLC)', 'LOCAL PROCESSING INFORMATION (OCLC)', 1, 0, '', 'AR'),
		('948', 'LOCAL PROCESSING INFORMATION (OCLC); SERIES PART DESIGNATOR (RLIN)', 'LOCAL PROCESSING INFORMATION (OCLC); SERIES PART DESIGNATOR (RLIN)', 1, 0, '', 'AR'),
		('949', 'LOCAL PROCESSING INFORMATION (OCLC)', 'LOCAL PROCESSING INFORMATION (OCLC)', 1, 0, '', 'AR'),
		('950', 'LOCAL HOLDINGS (RLIN)', 'LOCAL HOLDINGS (RLIN)', 1, 0, '', 'AR'),
		('951', 'EQUIVALENCE OR CROSS-REFERENCE--GEOGRAPHIC NAME/AREA NAME [OBSOLETE] [CAN/MARC only]', 'EQUIVALENCE OR CROSS-REFERENCE--GEOGRAPHIC NAME/AREA NAME [OBSOLETE] [CAN/MARC only]', 1, 0, '', 'AR'),
		('955', 'COPY-LEVEL INFORMATION (RLIN)', 'COPY-LEVEL INFORMATION (RLIN)', 1, 0, '', 'AR'),
		('956', 'LOCAL ELECTRONIC LOCATION AND ACCESS (OCLC)', 'LOCAL ELECTRONIC LOCATION AND ACCESS (OCLC)', 1, 0, '', 'AR'),
		('960', 'PHYSICAL LOCATION (RLIN)', 'PHYSICAL LOCATION (RLIN)', 1, 0, '', 'AR'),
		('967', 'ADDITIONAL ESTC CODES (RLIN)', 'ADDITIONAL ESTC CODES (RLIN)', 1, 0, '', 'AR'),
		('980', 'EQUIVALENCE OR CROSS-REFERENCE-SERIES STATEMENT--PERSONAL NAME/TITLE [LOCAL, CANADA]', 'EQUIVALENCE OR CROSS-REFERENCE-SERIES STATEMENT--PERSONAL NAME/TITLE [LOCAL, CANADA]', 1, 0, '', 'AR'),
		('981', 'EQUIVALENCE OR CROSS-REFERENCE-SERIES STATEMENT--CORPORATE NAME/TITLE [LOCAL, CANADA]', 'EQUIVALENCE OR CROSS-REFERENCE-SERIES STATEMENT--CORPORATE NAME/TITLE [LOCAL, CANADA]', 1, 0, '', 'AR'),
		('982', 'EQUIVALENCE OR CROSS-REFERENCE-SERIES STATEMENT--CONFERENCE OR MEETING NAME/TITLE [LOCAL, CANADA]', 'EQUIVALENCE OR CROSS-REFERENCE-SERIES STATEMENT--CONFERENCE OR MEETING NAME/TITLE [LOCAL, CANADA]', 1, 0, '', 'AR'),
		('983', 'EQUIVALENCE OR CROSS-REFERENCE-SERIES STATEMENT--TITLE/UNIFORM TITLE [LOCAL, CANADA]', 'EQUIVALENCE OR CROSS-REFERENCE-SERIES STATEMENT--TITLE/UNIFORM TITLE [LOCAL, CANADA]', 1, 0, '', 'AR'),
		('984', 'WLN AUTOMATIC HOLDINGS STATEMENT (OCLC)', 'WLN AUTOMATIC HOLDINGS STATEMENT (OCLC)', 1, 0, '', 'AR'),
		('987', 'LOCAL ROMANIZATION/CONVERSION HISTORY (OCLC)', 'LOCAL ROMANIZATION/CONVERSION HISTORY (OCLC)', 1, 0, '', 'AR'),
		('990', 'EQUIVALENCES OR CROSS-REFERENCES [LOCAL, CANADA]', 'EQUIVALENCES OR CROSS-REFERENCES [LOCAL, CANADA]', 1, 0, '', 'AR'),
		('995', 'RECOMMENDATION 995 [LOCAL, UNIMARC FRANCE]', 'RECOMMENDATION 995 [LOCAL, UNIMARC FRANCE]', 1, 0, '', 'AR'),
		('998', 'LOCAL CONTROL INFORMATION (RLIN)', 'LOCAL CONTROL INFORMATION (RLIN)', 1, 0, '', 'AR');



INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES
		('000', '@', 'campo di controllo lung. fissa', 'campo di controllo lung. fissa', 0, 1, '', 0, '', '', 'marc21_leader.pl', 0, 0, 'AR', '', '', NULL),
		('001', '@', 'campo di controllo', 'campo di controllo', 0, 0, '', 0, '', '', '', 0, -6, 'AR', '', '', NULL),
		('003', '@', 'campo di controllo', 'campo di controllo', 0, 0, '', 0, '', '', 'marc21_field_003.pl', 0, -6, 'AR', '', '', NULL),
		('005', '@', 'campo di controllo', 'campo di controllo', 0, 0, '', 0, '', '', 'marc21_field_005.pl', 0, -1, 'AR', '', '', NULL),
		('006', '@', 'campo di controllo lung. fissa', 'campo di controllo lung. fissa', 0, 0, '', 0, '', '', 'marc21_field_006.pl', 0, -1, 'AR', '', '', NULL),
		('007', '@', 'campo di controllo lung. fissa', 'campo di controllo lung. fissa', 0, 0, '', 0, '', '', 'marc21_field_007.pl', 0, 0, 'AR', '', '', NULL),
		('008', '@', 'campo di controllo lung. fissa', 'campo di controllo lung. fissa', 0, 1, '', 0, '', '', 'marc21_field_008.pl', 0, 0, 'AR', '', '', NULL),
		('009', '@', 'campo di controllo lung. fissa', 'campo di controllo lung. fissa', 0, 0, '', 0, '', '', '', 0, -6, 'AR', '', '', NULL),
		('010', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 0, '', '', NULL, 0, -6, 'AR', '', '', NULL),
		('010', 'a', 'Numero di controllo della LC', 'Numero di controllo della LC', 0, 0, 'biblioitems.lccn', 0, '', '', '', 0, -6, 'AR', '', '', NULL),
		('010', 'b', 'Numero di controllo del NUCMC', 'Numero di controllo del NUCMC', 1, 0, '', 0, '', '', '', 0, -6, 'AR', '', '', NULL),
		('010', 'z', 'Numero di controllo della LC cancellato o errato', 'Numero di controllo della LC cancellato o errato', 1, 0, '', 0, '', '', '', 0, -6, 'AR', '', '', NULL),
		('011', 'a', 'Numero di controllo della LC', 'Numero di controllo della LC', 1, 0, '', 0, '', '', '', 0, -6, 'AR', '', '', NULL),
		('013', '6', 'Collegamento', 'Collegamento', 0, 0, '', 0, '', '', NULL, 0, -6, 'AR', '', '', NULL),
		('013', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 0, '', '', '', 0, -6, 'AR', '', '', NULL),
		('013', 'a', 'Numero', 'Numero', 0, 0, '', 0, '', '', '', 0, -6, 'AR', '', '', NULL),
		('013', 'b', 'Paese', 'Paese', 0, 0, '', 0, '', '', '', 0, -6, 'AR', '', '', NULL),
		('013', 'c', 'Tipo di numero', 'Tipo di numero', 0, 0, '', 0, '', '', '', 0, -6, 'AR', '', '', NULL),
		('013', 'd', 'Data', 'Data', 1, 0, '', 0, '', '', '', 0, -6, 'AR', '', '', NULL),
		('013', 'e', 'Stato', 'Stato', 1, 0, '', 0, '', '', '', 0, -6, 'AR', '', '', NULL),
		('013', 'f', 'Parte responsabile del documento', 'Parte responsabile del documento', 1, 0, '', 0, '', '', '', 0, -6, 'AR', '', '', NULL),
		('015', '2', 'Fonte', 'Fonte', 0, 0, '', 0, '', '', NULL, 0, -6, 'AR', '', '', NULL),
		('015', '6', 'Collegamento', 'Collegamento', 0, 0, '', 0, '', '', '', 0, -6, 'AR', '', '', NULL),
		('015', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 0, '', '', '', 0, -6, 'AR', '', '', NULL),
		('015', 'a', 'Numero della bibliografia nazionale', 'Numero della bibliografia nazionale', 1, 0, '', 0, '', '', '', 0, -6, 'AR', '', '', NULL),
		('016', '2', 'Fonte', 'Fonte', 0, 0, '', 0, '', '', '', 0, -6, 'AR', '', '', NULL),
		('016', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 0, '', '', '', 0, -6, 'AR', '', '', NULL),
		('016', 'a', 'Numero di controllo della registrazione', 'Numero di controllo della registrazione', 0, 0, '', 0, '', '', '', 0, -6, 'AR', '', '', NULL),
		('016', 'z', 'Numero di controllo della registrazione cancellato o errato', 'Numero di controllo della registrazione cancellato o errato', 1, 0, '', 0, '', '', '', 0, -6, 'AR', '', '', NULL),
		('017', '2', 'Fonte', 'Fonte', 0, 0, '', 0, '', '', '', 0, -6, 'AR', '', '', NULL),
		('017', '6', 'Collegamento', 'Collegamento', 0, 0, '', 0, '', '', '', 0, -6, 'AR', '', '', NULL),
		('017', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 0, '', '', '', 0, -6, 'AR', '', '', NULL),
		('017', 'a', 'Numero di copyright o di deposito legale', 'Numero di copyright o di deposito legale', 1, 0, '', 0, '', '', '', 0, -6, 'AR', '', '', NULL),
		('017', 'b', 'Agenzia che assegna il numero', 'Agenzia che assegna il numero', 0, 0, '', 0, '', '', '', 0, -6, 'AR', '', '', NULL),
		('017', 'd', 'Data', 'Data', 0, 0, '', 0, '', '', NULL, 0, -6, 'AR', '', '', NULL),
		('017', 'i', 'Testo da visualizzare', 'Testo da visualizzare', 0, 0, '', 0, '', '', '', 0, -6, 'AR', '', '', NULL),
		('018', '6', 'Collegamento', 'Collegamento', 0, 0, '', 0, '', '', '', 0, -6, 'AR', '', '', NULL),
		('018', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 0, '', '', '', 0, -6, 'AR', '', '', NULL),
		('018', 'a', 'Codice di tassa sul copyright dell\'articolo', 'Codice di tassa sul copyright dell\'articolo', 0, 0, '', 0, '', '', '', 0, -6, 'AR', '', '', NULL),
		('020', '6', 'Collegamento', 'Collegamento', 0, 0, '', 0, '', '', '', 0, -6, 'AR', '', '', NULL),
		('020', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 0, '', '', '', 0, -6, 'AR', '', '', NULL),
		('020', 'a', 'ISBN (International Standard Book Number)', 'ISBN (International Standard Book Number)', 0, 0, 'biblioitems.isbn', 0, '', '', '', 0, -1, 'AR', '', '', NULL),
		('020', 'c', 'Termini di disponibilità', 'Termini di disponibilità', 0, 0, '', 0, '', '', '', 0, -6, 'AR', '', '', NULL),
		('020', 'z', 'ISBN cancellato o errato', 'ISBN cancellato o errato', 1, 0, '', 0, '', '', '', 0, -6, 'AR', '', '', NULL),
		('022', '2', 'Fonte', 'Fonte', 0, 0, '', 0, '', '', '', 0, -6, 'AR', '', '', NULL),
		('022', '6', 'Collegamento', 'Collegamento', 0, 0, '', 0, '', '', '', 0, -6, 'AR', '', '', NULL),
		('022', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 0, '', '', '', 0, -6, 'AR', '', '', NULL),
		('022', 'a', 'ISSN (International Standard Serial Number)', 'ISSN (International Standard Serial Number)', 0, 0, 'biblioitems.issn', 0, '', '', '', 0, -6, 'AR', '', '', NULL),
		('022', 'y', 'ISSN errato', 'ISSN errato', 1, 0, '', 0, '', '', '', 0, -6, 'AR', '', '', NULL),
		('022', 'z', 'ISSN cancellato', 'ISSN cancellato', 1, 0, '', 0, '', '', '', 0, -6, 'AR', '', '', NULL),
		('023', 'a', 'Standard film number', 'Standard film number', 0, 0, '', 0, '', '', '', 0, -6, 'AR', '', '', NULL),
		('024', '2', 'Fonte del numero o codice', 'Fonte del numero o codice', 0, 0, '', 0, '', '', '', 0, -1, 'AR', '', '', NULL),
		('024', '6', 'Collegamento', 'Collegamento', 0, 0, '', 0, '', '', '', 0, -6, 'AR', '', '', NULL),
		('024', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 0, '', '', '', 0, -6, 'AR', '', '', NULL),
		('024', 'a', 'Numero standard o codice', 'Numero standard o codice', 0, 0, '', 0, '', '', '', 0, -1, 'AR', '', '', NULL),
		('024', 'b', 'Additional codes following the standard number [OBSOLETE]', 'Additional codes following the standard number [OBSOLETE]', 0, 0, '', 0, '', '', '', 0, -6, 'AR', '', '', NULL),
		('024', 'c', 'Termini di disponibilità', 'Termini di disponibilità', 0, 0, '', 0, '', '', '', 0, -1, 'AR', '', '', NULL),
		('024', 'd', 'Codici addizionali che seguono il numero standard o codice', 'Codici addizionali che seguono il numero standard o codice', 0, 0, '', 0, '', '', '', 0, -1, 'AR', '', '', NULL),
		('024', 'z', 'Numero standard o codice, cancellato o errato', 'Numero standard o codice, cancellato o errato', 1, 0, '', 0, '', '', '', 0, -6, 'AR', '', '', NULL),
		('025', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 0, '', '', '', 0, -6, 'AR', '', '', NULL),
		('025', 'a', 'Numero d\'acquisto estero', 'Numero d\'acquisto estero', 1, 0, '', 0, '', '', '', 0, -6, 'AR', '', '', NULL),
		('026', '2', 'Fonte', 'Fonte', 0, 0, '', 0, '', '', '', 0, -6, 'AR', '', '', NULL),
		('026', '5', 'Istituzione a cui si applica il campo', 'Istituzione a cui si applica il campo', 1, 0, '', 0, '', '', '', 0, -6, 'AR', '', '', NULL),
		('026', '6', 'Collegamento', 'Collegamento', 0, 0, '', 0, '', '', '', 0, -6, 'AR', '', '', NULL),
		('026', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 0, '', '', '', 0, -6, 'AR', '', '', NULL),
		('026', 'a', 'Primo e secondo gruppo di caratteri', 'Primo e secondo gruppo di caratteri', 0, 0, '', 0, '', '', '', 0, -6, 'AR', '', '', NULL),
		('026', 'b', 'Terzo e quarto gruppo di caratteri', 'Terzo e quarto gruppo di caratteri', 0, 0, '', 0, '', '', '', 0, -6, 'AR', '', '', NULL),
		('026', 'c', 'Data', 'Data', 0, 0, '', 0, '', '', '', 0, -6, 'AR', '', '', NULL),
		('026', 'd', 'Numero del volume o parte', 'Numero del volume o parte', 0, 0, '', 0, '', '', '', 0, -6, 'AR', '', '', NULL),
		('026', 'e', 'Impronta non analizzata', 'Impronta non analizzata', 0, 0, '', 0, '', '', '', 0, -6, 'AR', '', '', NULL),
		('027', '6', 'Collegamento', 'Collegamento', 0, 0, '', 0, '', '', '', 0, -6, 'AR', '', '', NULL),
		('027', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 0, '', '', '', 0, -6, 'AR', '', '', NULL),
		('027', 'a', 'Standard Technical Report Number', 'Standard Technical Report Number', 0, 0, '', 0, '', '', '', 0, -6, 'AR', '', '', NULL),
		('027', 'z', 'Numero cancellato o errato', 'Numero cancellato o errato', 1, 0, '', 0, '', '', '', 0, -6, 'AR', '', '', NULL),
		('028', '6', 'Collegamento', 'Collegamento', 0, 0, '', 0, '', '', '', 0, -6, 'AR', '', '', NULL),
		('028', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 0, '', '', '', 0, -6, 'AR', '', '', NULL),
		('028', 'a', 'Numero dell\'editore', 'Numero dell\'editore', 0, 0, '', 0, '', '', '', 0, 0, 'AR', '', '', NULL),
		('028', 'b', 'Fonte', 'Fonte', 0, 0, '', 0, '', '', '', 0, 0, 'AR', '', '', NULL),
		('029', 'a', 'OCLC library identifier', 'OCLC library identifier', 0, 0, '', 0, '', '', '', 0, -6, 'AR', '', '', NULL),
		('029', 'b', 'System control number', 'System control number', 0, 0, '', 0, '', '', '', 0, -6, 'AR', '', '', NULL),
		('029', 'c', 'OAI set name', 'OAI set name', 0, 0, '', 0, '', '', '', 0, -6, 'AR', '', '', NULL),
		('029', 't', 'Content type identifier', 'Content type identifier', 0, 0, '', 0, '', '', '', 0, -6, 'AR', '', '', NULL),
		('030', '6', 'Collegamento', 'Collegamento', 0, 0, '', 0, '', '', '', 0, -6, 'AR', '', '', NULL),
		('030', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 0, '', '', '', 0, -6, 'AR', '', '', NULL),
		('030', 'a', 'CODEN', 'CODEN', 0, 0, '', 0, '', '', '', 0, -6, 'AR', '', '', NULL),
		('030', 'z', 'CODEN cancellato o errato', 'CODEN cancellato o errato', 1, 0, '', 0, '', '', '', 0, -6, 'AR', '', '', NULL),
		('031', '2', 'Codice di sistema', 'Codice di sistema', 0, 0, '', 0, '', '', '', 0, -6, 'AR', '', '', NULL),
		('031', '6', 'Collegamento', 'Collegamento', 0, 0, '', 0, '', '', '', 0, -6, 'AR', '', '', NULL),
		('031', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 0, '', '', '', 0, -6, 'AR', '', '', NULL),
		('031', 'a', 'Numero di composizione', 'Numero di composizione', 0, 0, '', 0, '', '', '', 0, -6, 'AR', '', '', NULL),
		('031', 'b', 'Numero di movimento', 'Numero di movimento', 0, 0, '', 0, '', '', '', 0, -6, 'AR', '', '', NULL),
		('031', 'c', 'Numero progressivo nel movimento', 'Numero progressivo nel movimento', 0, 0, '', 0, '', '', '', 0, -6, 'AR', '', '', NULL),
		('031', 'd', 'Titolo o intitolazione', 'Titolo o intitolazione', 1, 0, '', 0, '', '', '', 0, -6, 'AR', '', '', NULL),
		('031', 'e', 'Personaggio', 'Personaggio', 0, 0, '', 0, '', '', '', 0, -6, 'AR', '', '', NULL),
		('031', 'g', 'Chiave', 'Chiave', 0, 0, '', 0, '', '', '', 0, -6, 'AR', '', '', NULL),
		('031', 'm', 'Voce/strumento', 'Voce/strumento', 0, 0, '', 0, '', '', '', 0, -6, 'AR', '', '', NULL),
		('031', 'n', 'Alterazioni', 'Alterazioni', 0, 0, '', 0, '', '', '', 0, -6, 'AR', '', '', NULL),
		('031', 'o', 'Misura', 'Misura', 0, 0, '', 0, '', '', '', 0, -6, 'AR', '', '', NULL),
		('031', 'p', 'Contesto musicale', 'Contesto musicale', 0, 0, '', 0, '', '', '', 0, -6, 'AR', '', '', NULL),
		('031', 'q', 'Nota generale', 'Nota generale', 1, 0, '', 0, '', '', '', 0, -6, 'AR', '', '', NULL),
		('031', 'r', 'Tonalità o modo', 'Tonalità o modo', 0, 0, '', 0, '', '', '', 0, -6, 'AR', '', '', NULL),
		('031', 's', 'Nota codificata di validità', 'Nota codificata di validità', 1, 0, '', 0, '', '', '', 0, -6, 'AR', '', '', NULL),
		('031', 't', 'Incipit testuale', 'Incipit testuale', 1, 0, '', 0, '', '', '', 0, -6, 'AR', '', '', NULL),
		('031', 'u', 'URI (Uniform Resource Identifier)', 'URI (Uniform Resource Identifier)', 1, 0, '', 0, '', '', '', 1, -6, 'AR', '', '', NULL),
		('031', 'y', 'Testo di collegamento', 'Testo di collegamento', 1, 0, '', 0, '', '', '', 0, -6, 'AR', '', '', NULL),
		('031', 'z', 'Nota pubblica', 'Nota pubblica', 1, 0, '', 0, '', '', '', 0, -6, 'AR', '', '', NULL),
		('032', '6', 'Collegamento', 'Collegamento', 0, 0, '', 0, '', '', NULL, 0, -6, 'AR', '', '', NULL),
		('032', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 0, '', '', '', 0, -6, 'AR', '', '', NULL),
		('032', 'a', 'Numero di registrazione di posta', 'Numero di registrazione di posta', 0, 0, '', 0, '', '', '', 0, -6, 'AR', '', '', NULL),
		('032', 'b', 'Fonte (agenzia che assegna il numero)', 'Fonte (agenzia che assegna il numero)', 0, 0, '', 0, '', '', '', 0, -6, 'AR', '', '', NULL),
		('033', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, '', 0, '', '', '', 0, -6, 'AR', '', '', NULL),
		('033', '6', 'Collegamento', 'Collegamento', 0, 0, '', 0, '', '', '', 0, -6, 'AR', '', '', NULL),
		('033', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 0, '', '', '', 0, -6, 'AR', '', '', NULL),
		('033', 'a', 'Data/ora formattate', 'Data/ora formattate', 1, 0, '', 0, '', '', '', 0, -6, 'AR', '', '', NULL),
		('033', 'b', 'Codice di classificazione dell\'area geografica', 'Codice di classificazione dell\'area geografica', 1, 0, '', 0, '', '', '', 0, -6, 'AR', '', '', NULL),
		('033', 'c', 'Codice di classificazione della sottoarea geografica', 'Codice di classificazione della sottoarea geografica', 1, 0, '', 0, '', '', '', 0, -6, 'AR', '', '', NULL),
		('034', '2', 'Fonte', 'Fonte', 0, 0, '', 0, '', '', '', 0, -6, 'AR', '', '', NULL),
		('034', '6', 'Collegamento', 'Collegamento', 0, 0, '', 0, '', '', '', 0, -6, 'AR', '', '', NULL),
		('034', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 0, '', '', '', 0, -6, 'AR', '', '', NULL),
		('034', 'a', 'Categoria della scala', 'Categoria della scala', 0, 0, '', 0, '', '', '', 0, -6, 'AR', '', '', NULL),
		('034', 'b', 'Rapporto costante (scala orizzontale)', 'Rapporto costante (scala orizzontale)', 1, 0, '', 0, '', '', '', 0, -6, 'AR', '', '', NULL),
		('034', 'c', 'Rapporto costante (scala verticale)', 'Rapporto costante (scala verticale)', 1, 0, '', 0, '', '', '', 0, -6, 'AR', '', '', NULL),
		('034', 'd', 'Coordinate--longitudine limite Ovest', 'Coordinate--longitudine limite Ovest', 0, 0, '', 0, '', '', '', 0, -6, 'AR', '', '', NULL),
		('034', 'e', 'Coordinate--longitudine limite Est', 'Coordinate--longitudine limite Est', 0, 0, '', 0, '', '', '', 0, -6, 'AR', '', '', NULL),
		('034', 'f', 'Coordinate--latitudine limite Nord', 'Coordinate--latitudine limite Nord', 0, 0, '', 0, '', '', '', 0, -6, 'AR', '', '', NULL),
		('034', 'g', 'Coordinate--latitudine limite Sud', 'Coordinate--latitudine limite Sud', 0, 0, '', 0, '', '', '', 0, -6, 'AR', '', '', NULL),
		('034', 'h', 'Scala angolare', 'Scala angolare', 1, 0, '', 0, '', '', '', 0, -6, 'AR', '', '', NULL),
		('034', 'j', 'Declinazione--limite Nord', 'Declinazione--limite Nord', 0, 0, '', 0, '', '', '', 0, -6, 'AR', '', '', NULL),
		('034', 'k', 'Declinazione--limite Sud', 'Declinazione--limite Sud', 0, 0, '', 0, '', '', '', 0, -6, 'AR', '', '', NULL),
		('034', 'm', 'Ascensione retta--limite Est', 'Ascensione retta--limite Est', 0, 0, '', 0, '', '', '', 0, -6, 'AR', '', '', NULL),
		('034', 'n', 'Ascensione retta--limite Ovest', 'Ascensione retta--limite Ovest', 0, 0, '', 0, '', '', '', 0, -6, 'AR', '', '', NULL),
		('034', 'p', 'Equinozio', 'Equinozio', 0, 0, '', 0, '', '', '', 0, -6, 'AR', '', '', NULL),
		('034', 'r', 'Coordinate--latitudine limite Sud', 'Coordinate--latitudine limite Sud', 0, 0, '', 0, '', '', '', 0, -6, 'AR', '', '', NULL),
		('034', 's', 'Latitudine del perimetro', 'Latitudine del perimetro', 1, 0, '', 0, '', '', '', 0, -6, 'AR', '', '', NULL),
		('034', 't', 'Longitudine del perimetro', 'Longitudine del perimetro', 1, 0, '', 0, '', '', '', 0, -6, 'AR', '', '', NULL),
		('034', 'x', 'Data d\'inizio', 'Data d\'inizio', 0, 0, '', 0, '', '', '', 0, -6, 'AR', '', '', NULL),
		('034', 'y', 'Data di fine', 'Data di fine', 0, 0, '', 0, '', '', '', 0, -6, 'AR', '', '', NULL),
		('034', 'z', 'Nome dell\'oggetto extraterrestre', 'Nome dell\'oggetto extraterrestre', 0, 0, '', 0, '', '', '', 0, -6, 'AR', '', '', NULL),
		('035', '6', 'Collegamento', 'Collegamento', 0, 0, '', 0, '', '', '', 0, -6, 'AR', '', '', NULL),
		('035', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 0, '', '', '', 0, -6, 'AR', '', '', NULL),
		('035', 'a', 'System control number', 'System control number', 0, 0, '', 0, '', '', '', 0, -6, 'AR', '', '', NULL),
		('035', 'z', 'Numero di controllo del sistema cancellato o errato', 'Numero di controllo del sistema cancellato o errato', 1, 0, '', 0, '', '', '', 0, -6, 'AR', '', '', NULL),
		('036', '6', 'Collegamento', 'Collegamento', 0, 0, '', 0, '', '', '', 0, -6, 'AR', '', '', NULL),
		('036', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 0, '', '', '', 0, -6, 'AR', '', '', NULL),
		('036', 'a', 'Numero dello studio originale', 'Numero dello studio originale', 0, 0, '', 0, '', '', '', 0, -6, 'AR', '', '', NULL),
		('036', 'b', 'Fonte (agenzia che assegna il numero)', 'Fonte (agenzia che assegna il numero)', 0, 0, '', 0, '', '', '', 0, -6, 'AR', '', '', NULL),
		('037', '6', 'Collegamento', 'Collegamento', 0, 0, '', 0, '', '', '', 0, -6, 'AR', '', '', NULL),
		('037', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 0, '', '', '', 0, -6, 'AR', '', '', NULL),
		('037', 'a', 'Numero di magazzino', 'Numero di magazzino', 0, 0, '', 0, '', '', '', 0, -1, 'AR', '', '', NULL),
		('037', 'b', 'Fonte del numero di magazzino/d\'acquisto', 'Fonte del numero di magazzino/d\'acquisto', 0, 0, '', 0, '', '', '', 0, -1, 'AR', '', '', NULL),
		('037', 'c', 'Termini di disponibilità', 'Termini di disponibilità', 1, 0, '', 0, '', '', '', 0, -1, 'AR', '', '', NULL),
		('037', 'f', 'Forma dell\'emissione', 'Forma dell\'emissione', 1, 0, '', 0, '', '', '', 0, -1, 'AR', '', '', NULL),
		('037', 'g', 'Caratteristiche addizionali di formato', 'Caratteristiche addizionali di formato', 1, 0, '', 0, '', '', '', 0, -1, 'AR', '', '', NULL),
		('037', 'n', 'Nota', 'Nota', 1, 0, '', 0, '', '', '', 0, -1, 'AR', '', '', NULL),
		('038', '6', 'Collegamento', 'Collegamento', 0, 0, '', 0, '', '', '', 0, -6, 'AR', '', '', NULL),
		('038', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 0, '', '', '', 0, -6, 'AR', '', '', NULL),
		('038', 'a', 'Organizzazione che dà licenza d’uso del contenuto della registrazione', 'Organizzazione che dà licenza d’uso del contenuto della registrazione', 0, 0, '', 0, '', '', '', 0, -6, 'AR', '', '', NULL),
		('039', 'a', 'Level of rules in bibliographic description', 'Level of rules in bibliographic description', 0, 0, '', 0, '', '', '', 0, -6, 'AR', '', '', NULL),
		('039', 'b', 'Level of effort used to assign nonsubject heading access points', 'Level of effort used to assign nonsubject heading access points', 0, 0, '', 0, '', '', '', 0, -6, 'AR', '', '', NULL),
		('039', 'c', 'Level of effort used to assign subject headings', 'Level of effort used to assign subject headings', 0, 0, '', 0, '', '', '', 0, -6, 'AR', '', '', NULL),
		('039', 'd', 'Level of effort used to assign classification', 'Level of effort used to assign classification', 0, 0, '', 0, '', '', '', 0, -6, 'AR', '', '', NULL),
		('039', 'e', 'Number of fixed field character positions coded', 'Number of fixed field character positions coded', 0, 0, '', 0, '', '', '', 0, -6, 'AR', '', '', NULL),
		('040', '6', 'Collegamento', 'Collegamento', 0, 0, '', 0, '', '', '', 0, -6, 'AR', '', '', NULL),
		('040', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 0, '', '', '', 0, -6, 'AR', '', '', NULL),
		('040', 'a', 'Agenzia catalografica originale', 'Agenzia catalografica originale', 0, 0, '', 0, '', '', '', 0, -1, 'AR', '', '', NULL),
		('040', 'b', 'Lingua della catalogazione', 'Lingua della catalogazione', 0, 0, '', 0, '', '', '', 0, -6, 'AR', '', '', NULL),
		('040', 'c', 'Agenzia che fa la trascrizione', 'Agenzia che fa la trascrizione', 0, 0, '', 0, '', '', '', 0, -1, 'AR', '', '', NULL),
		('040', 'd', 'Agenzia che fa la modifica', 'Agenzia che fa la modifica', 1, 0, '', 0, '', '', '', 0, -1, 'AR', '', '', NULL),
		('040', 'e', 'Regole di descrizione', 'Regole di descrizione', 0, 0, '', 0, '', '', '', 0, -1, 'AR', '', '', NULL),
		('041', '2', 'Fonte del codice', 'Fonte del codice', 0, 0, '', 0, '', '', '', 0, -6, 'AR', '', '', NULL),
		('041', '6', 'Collegamento', 'Collegamento', 0, 0, '', 0, '', '', '', 0, -6, 'AR', '', '', NULL),
		('041', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 0, '', '', '', 0, -6, 'AR', '', '', NULL),
		('041', 'a', 'Codice di lingua del testo/traccia sonora o titolo separato', 'Codice di lingua del testo/traccia sonora o titolo separato', 1, 0, '', 0, '', '', '', 0, -1, 'AR', '', '', NULL),
		('041', 'b', 'Codice di lingua del riassunto, estratto o sottotitoli', 'Codice di lingua del riassunto, estratto o sottotitoli', 1, 0, '', 0, '', '', '', 0, -6, 'AR', '', '', NULL),
		('041', 'c', 'Languages of separate titles (VM) [OBSOLETE] ; Languages of available translation  (SE) [OBSOLETE]', 'Languages of separate titles (VM) [OBSOLETE] ; Languages of available translation  (SE) [OBSOLETE]', 1, 0, '', 0, '', '', '', 0, -6, 'AR', '', '', NULL),
		('041', 'd', 'Codice della lingua del testo cantato o parlato', 'Codice della lingua del testo cantato o parlato', 1, 0, '', 0, '', '', '', 0, -6, 'AR', '', '', NULL),
		('041', 'e', 'Codice della lingua dei libretti', 'Codice della lingua dei libretti', 1, 0, '', 0, '', '', '', 0, -6, 'AR', '', '', NULL),
		('041', 'f', 'Codice della lingua del sommario', 'Codice della lingua del sommario', 1, 0, '', 0, '', '', '', 0, -6, 'AR', '', '', NULL),
		('041', 'g', 'Codice della lingua del materiale allegato diverso dai libretti', 'Codice della lingua del materiale allegato diverso dai libretti', 1, 0, '', 0, '', '', '', 0, -1, 'AR', '', '', NULL),
		('041', 'h', 'Codice della lingua originale e/o delle traduzioni intermedie del testo', 'Codice della lingua originale e/o delle traduzioni intermedie del testo', 1, 0, '', 0, '', '', '', 0, -1, 'AR', '', '', NULL),
		('042', 'a', 'Codice d\'autenticazione', 'Codice d\'autenticazione', 0, 0, '', 0, '', '', '', 0, -6, 'AR', '', '', NULL),
		('043', '2', 'Fonte del codice di sottoente locale', 'Fonte del codice di sottoente locale', 1, 0, '', 0, '', '', '', 0, -6, 'AR', '', '', NULL),
		('043', '6', 'Collegamento', 'Collegamento', 0, 0, '', 0, '', '', '', 0, -6, 'AR', '', '', NULL),
		('043', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 0, '', '', '', 0, -6, 'AR', '', '', NULL),
		('043', 'a', 'Codice dell\'area geografica', 'Codice dell\'area geografica', 1, 0, '', 0, '', '', '', 0, -6, 'AR', '', '', NULL),
		('043', 'b', 'Codice locale GAC (codice dell\'area geografica)', 'Codice locale GAC (codice dell\'area geografica)', 1, 0, '', 0, '', '', '', 0, -6, 'AR', '', '', NULL),
		('043', 'c', 'Codice ISO', 'Codice ISO', 1, 0, '', 0, '', '', '', 0, -6, 'AR', '', '', NULL),
		('044', '2', 'Fonte del codice di sottoente locale', 'Fonte del codice di sottoente locale', 1, 0, '', 0, '', '', '', 0, -6, 'AR', '', '', NULL),
		('044', '6', 'Collegamento', 'Collegamento', 0, 0, '', 0, '', '', '', 0, -6, 'AR', '', '', NULL),
		('044', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 0, '', '', '', 0, -6, 'AR', '', '', NULL),
		('044', 'a', 'Codice MARC del paese', 'Codice MARC del paese', 1, 0, '', 0, '', '', '', 0, -6, 'AR', '', '', NULL),
		('044', 'b', 'Codice di sottoente locale', 'Codice di sottoente locale', 1, 0, '', 0, '', '', '', 0, -6, 'AR', '', '', NULL),
		('044', 'c', 'Codice ISO del paese', 'Codice ISO del paese', 1, 0, '', 0, '', '', '', 0, -6, 'AR', '', '', NULL),
		('045', '6', 'Collegamento', 'Collegamento', 0, 0, '', 0, '', '', '', 0, -6, 'AR', '', '', NULL),
		('045', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 0, '', '', '', 0, -6, 'AR', '', '', NULL),
		('045', 'a', 'Codice di periodo di tempo', 'Codice di periodo di tempo', 1, 0, '', 0, '', '', '', 0, -6, 'AR', '', '', NULL),
		('045', 'b', 'Periodo di tempo formattato dal 9999 a.C. fino al 9999 d.C.', 'Periodo di tempo formattato dal 9999 a.C. fino al 9999 d.C.', 1, 0, '', 0, '', '', '', 0, -6, 'AR', '', '', NULL),
		('045', 'c', 'Periodo di tempo formattato anteriore al 9999 a.C.', 'Periodo di tempo formattato anteriore al 9999 a.C.', 1, 0, '', 0, '', '', '', 0, -6, 'AR', '', '', NULL),
		('046', '2', 'Fonte della data', 'Fonte della data', 0, 0, '', 0, '', '', '', 0, -6, 'AR', '', '', NULL),
		('046', '6', 'Collegamento', 'Collegamento', 0, 0, '', 0, '', '', '', 0, -6, 'AR', '', '', NULL),
		('046', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 0, '', '', '', 0, -6, 'AR', '', '', NULL),
		('046', 'a', 'Codice di tipo di data', 'Codice di tipo di data', 0, 0, '', 0, '', '', '', 0, -6, 'AR', '', '', NULL),
		('046', 'b', 'Data 1 (data a.C.)', 'Data 1 (data a.C.)', 0, 0, '', 0, '', '', '', 0, -6, 'AR', '', '', NULL),
		('046', 'c', 'Data 1 (data d.C.)', 'Data 1 (data d.C.)', 0, 0, '', 0, '', '', '', 0, -6, 'AR', '', '', NULL),
		('046', 'd', 'Data 2 (data a.C.)\',\'Data 2 (data a.C.)', 'Data 2 (data a.C.)\',\'Data 2 (data a.C.)', 0, 0, '', 0, '', '', '', 0, -6, 'AR', '', '', NULL),
		('046', 'e', 'Data 2 (data d.C.)', 'Data 2 (data d.C.)', 0, 0, '', 0, '', '', '', 0, -6, 'AR', '', '', NULL),
		('046', 'j', 'Data della modifica della risorsa', 'Data della modifica della risorsa', 0, 0, '', 0, '', '', '', 0, -6, 'AR', '', '', NULL),
		('046', 'k', 'Data iniziale di creazione o data semplice', 'Data iniziale di creazione o data semplice', 0, 0, '', 0, '', '', '', 0, -6, 'AR', '', '', NULL),
		('046', 'l', 'Data finale di creazione', 'Data finale di creazione', 0, 0, '', 0, '', '', '', 0, -6, 'AR', '', '', NULL),
		('046', 'm', 'Data iniziale di validità', 'Data iniziale di validità', 0, 0, '', 0, '', '', '', 0, -6, 'AR', '', '', NULL),
		('046', 'n', 'Data finale di validità', 'Data finale di validità', 0, 0, '', 0, '', '', '', 0, -6, 'AR', '', '', NULL),
		('047', '2', 'Fonte del codice', 'Fonte del codice', 0, 0, '', 0, '', '', '', 0, -6, 'AR', '', '', NULL),
		('047', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 0, '', '', '', 0, -6, 'AR', '', '', NULL),
		('047', 'a', 'Codice di forma della composizione musicale', 'Codice di forma della composizione musicale', 1, 0, '', 0, '', '', '', 0, -6, 'AR', '', '', NULL),
		('048', '2', 'Fonte del codice', 'Fonte del codice', 0, 0, '', 0, '', '', '', 0, -6, 'AR', '', '', NULL),
		('048', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 0, '', '', '', 0, -6, 'AR', '', '', NULL),
		('048', 'a', 'Esecutore o complesso', 'Esecutore o complesso', 1, 0, '', 0, '', '', '', 0, -6, 'AR', '', '', NULL),
		('048', 'b', 'Solista', 'Solista', 1, 0, '', 0, '', '', '', 0, -6, 'AR', '', '', NULL),
		('049', 'a', 'Holding library', 'Holding library', 1, 0, '', 0, '', '', '', 0, -6, 'AR', '', '', NULL),
		('049', 'c', 'Copy statement', 'Copy statement', 1, 0, '', 0, '', '', '', 0, -6, 'AR', '', '', NULL),
		('049', 'd', 'Definition of bibliographic subdivisions', 'Definition of bibliographic subdivisions', 1, 0, '', 0, '', '', '', 0, -6, 'AR', '', '', NULL),
		('049', 'l', 'Local processing data', 'Local processing data', 1, 0, '', 0, '', '', '', 0, -6, 'AR', '', '', NULL),
		('049', 'm', 'Missing elements', 'Missing elements', 1, 0, '', 0, '', '', '', 0, -6, 'AR', '', '', NULL),
		('049', 'n', 'Notes about holdings', 'Notes about holdings', 0, 0, '', 0, '', '', '', 0, -6, 'AR', '', '', NULL),
		('049', 'o', 'Local processing data', 'Local processing data', 1, 0, '', 0, '', '', '', 0, -6, 'AR', '', '', NULL),
		('049', 'p', 'Secondary bibliographic subdivision', 'Secondary bibliographic subdivision', 1, 0, '', 0, '', '', '', 0, -6, 'AR', '', '', NULL),
		('049', 'q', 'Third bibliographic subdivision', 'Third bibliographic subdivision', 1, 0, '', 0, '', '', '', 0, -6, 'AR', '', '', NULL),
		('049', 'r', 'Fourth bibliographic subdivision', 'Fourth bibliographic subdivision', 1, 0, '', 0, '', '', '', 0, -6, 'AR', '', '', NULL),
		('049', 's', 'Fifth bibliographic subdivision', 'Fifth bibliographic subdivision', 0, 0, '', 0, '', '', '', 0, -6, 'AR', '', '', NULL),
		('049', 't', 'Sixth bibliographic subdivision', 'Sixth bibliographic subdivision', 1, 0, '', 0, '', '', '', 0, -6, 'AR', '', '', NULL),
		('049', 'u', 'Seventh bibliographic subdivision', 'Seventh bibliographic subdivision', 1, 0, '', 0, '', '', '', 0, -6, 'AR', '', '', NULL),
		('049', 'v', 'Seventh bibliographic subdivision', 'Seventh bibliographic subdivision', 1, 0, '', 0, '', '', '', 0, -6, 'AR', '', '', NULL),
		('049', 'y', 'Inclusive dates of publication or coverage', 'Inclusive dates of publication or coverage', 0, 0, '', 0, '', '', '', 0, -6, 'AR', '', '', NULL),
		('050', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, '', 0, '', '', '', 0, -6, 'AR', '', '', NULL),
		('050', '6', 'Collegamento', 'Collegamento', 0, 0, '', 0, '', '', '', 0, -6, 'AR', '', '', NULL),
		('050', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 0, '', '', '', 0, -6, 'AR', '', '', NULL),
		('050', 'a', 'Numero di classificazione', 'Numero di classificazione', 1, 0, '', 0, '', '', '', 0, 0, 'AR', '', '', NULL),
		('050', 'b', 'Numero d\'item', 'Numero d\'item', 0, 0, '', 0, '', '', '', 0, 0, 'AR', '', '', NULL),
		('050', 'd', 'Supplementary class number (MU) [OBSOLETE]', 'Supplementary class number (MU) [OBSOLETE]', 0, 0, '', 0, '', '', '', 0, -6, 'AR', '', '', NULL),
		('051', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 0, '', '', '', 0, -6, 'AR', '', '', NULL),
		('051', 'a', 'Numero di classificazione', 'Numero di classificazione', 0, 0, '', 0, '', '', '', 0, -6, 'AR', '', '', NULL),
		('051', 'b', 'Numero d\'item', 'Numero d\'item', 0, 0, '', 0, '', '', '', 0, -6, 'AR', '', '', NULL),
		('051', 'c', 'Informazione dell\'esemplare', 'Informazione dell\'esemplare', 0, 0, '', 0, '', '', '', 0, -6, 'AR', '', '', NULL),
		('052', '2', 'Fonte del codice', 'Fonte del codice', 0, 0, '', 0, '', '', '', 0, -6, 'AR', '', '', NULL),
		('052', '6', 'Collegamento', 'Collegamento', 0, 0, '', 0, '', '', '', 0, -6, 'AR', '', '', NULL),
		('052', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 0, '', '', '', 0, -6, 'AR', '', '', NULL),
		('052', 'a', 'Codice di classificazione dell\'area geografica', 'Codice di classificazione dell\'area geografica', 0, 0, '', 0, '', '', '', 0, -6, 'AR', '', '', NULL),
		('052', 'b', 'Codice di classificazione della sottoarea geografica', 'Codice di classificazione della sottoarea geografica', 1, 0, '', 0, '', '', '', 0, -6, 'AR', '', '', NULL),
		('052', 'c', 'Subject (MP) [OBSOLETE]', 'Subject (MP) [OBSOLETE]', 0, 0, '', 0, '', '', '', 0, -6, 'AR', '', '', NULL),
		('052', 'd', 'Nome di luogo abitato', 'Nome di luogo abitato', 1, 0, '', 0, '', '', '', 0, -6, 'AR', '', '', NULL),
		('055', '2', 'Fonte del numero di chiamata/classe', 'Fonte del numero di chiamata/classe', 0, 0, '', 0, '', '', '', 0, -6, 'AR', '', '', NULL),
		('055', '6', 'Collegamento', 'Collegamento', 0, 0, '', 0, '', '', '', 0, -6, 'AR', '', '', NULL),
		('055', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 0, '', '', '', 0, -6, 'AR', '', '', NULL),
		('055', 'a', 'Numero di classificazione', 'Numero di classificazione', 0, 0, '', 0, '', '', '', 0, -6, 'AR', '', '', NULL),
		('055', 'b', 'Numero d\'item', 'Numero d\'item', 0, 0, '', 0, '', '', '', 0, -6, 'AR', '', '', NULL),
		('060', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 0, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('060', 'a', 'Numero di classificazione', 'Numero di classificazione', 1, 0, NULL, 0, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('060', 'b', 'Numero d\'item', 'Numero d\'item', 0, 0, NULL, 0, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('061', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 0, '', '', '', 0, -6, 'AR', '', '', NULL),
		('061', 'a', 'Numero di classificazione', 'Numero di classificazione', 1, 0, '', 0, '', '', '', 0, -6, 'AR', '', '', NULL),
		('061', 'b', 'Numero d\'item', 'Numero d\'item', 0, 0, '', 0, '', '', '', 0, -6, 'AR', '', '', NULL),
		('061', 'c', 'Informazione dell\'esemplare', 'Informazione dell\'esemplare', 0, 0, '', 0, '', '', '', 0, -6, 'AR', '', '', NULL),
		('066', 'a', 'Set di caratteri primario G0', 'Set di caratteri primario G0', 0, 0, NULL, 0, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('066', 'b', 'Set di caratteri primario G1', 'Set di caratteri primario G1', 0, 0, NULL, 0, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('066', 'c', 'Set di caratteri alternativo G0 o G1', 'Set di caratteri alternativo G0 o G1', 1, 0, NULL, 0, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('070', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 0, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('070', 'a', 'Numero di classificazione', 'Numero di classificazione', 1, 0, NULL, 0, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('070', 'b', 'Numero d\'item', 'Numero d\'item', 0, 0, NULL, 0, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('071', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 0, '', '', '', 0, -6, 'AR', '', '', NULL),
		('071', 'a', 'Numero di classificazione', 'Numero di classificazione', 1, 0, '', 0, '', '', '', 0, -6, 'AR', '', '', NULL),
		('071', 'b', 'Numero d\'item', 'Numero d\'item', 0, 0, '', 0, '', '', '', 0, -6, 'AR', '', '', NULL),
		('071', 'c', 'Informazione dell\'esemplare', 'Informazione dell\'esemplare', 0, 0, '', 0, '', '', '', 0, -6, 'AR', '', '', NULL),
		('072', '2', 'Fonte', 'Fonte', 0, 0, NULL, 0, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('072', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 0, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('072', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 0, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('072', 'a', 'Codice di categoria di soggetto', 'Codice di categoria di soggetto', 0, 0, NULL, 0, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('072', 'x', 'Suddivisione del codice di categoria di soggetto', 'Suddivisione del codice di categoria di soggetto', 1, 0, NULL, 0, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('074', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 0, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('074', 'a', 'Numero GPO dell\'item', 'Numero GPO dell\'item', 0, 0, NULL, 0, NULL, NULL, '', NULL, -1, 'AR', '', '', NULL),
		('074', 'z', 'Numero GPO dell\'item cancellato/errato', 'Numero GPO dell\'item cancellato/errato', 1, 0, NULL, 0, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('080', '2', 'Numero dell\'edizione', 'Numero dell\'edizione', 0, 0, NULL, 0, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('080', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 0, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('080', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 0, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('080', 'a', 'Numero di Classificazione decimale universale', 'Numero di Classificazione decimale universale', 0, 0, NULL, 0, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('080', 'b', 'Numero d\'item', 'Numero d\'item', 0, 0, NULL, 0, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('080', 'x', 'Suddivisione ausiliare comune', 'Suddivisione ausiliare comune', 1, 0, NULL, 0, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('082', '2', 'Numero dell\'edizione', 'Numero dell\'edizione', 0, 0, '', 0, '', '', '', NULL, 0, 'AR', '', '', NULL),
		('082', '6', 'Collegamento', 'Collegamento', 0, 0, '', 0, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('082', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 0, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('082', 'a', 'Numero di classificazione', 'Numero di classificazione', 1, 0, '', 0, '', '', '', NULL, 0, 'AR', '', '', NULL),
		('082', 'b', 'Numero d\'item', 'Numero d\'item', 0, 0, '', 0, '', '', '', NULL, 0, 'AR', '', '', NULL),
		('084', '2', 'Fonte del numero', 'Fonte del numero', 0, 0, NULL, 0, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('084', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 0, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('084', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 0, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('084', 'a', 'Numero di classificazione', 'Numero di classificazione', 1, 0, NULL, 0, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('084', 'b', 'Numero d\'item', 'Numero d\'item', 0, 0, NULL, 0, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('086', '2', 'Fonte del numero', 'Fonte del numero', 0, 0, NULL, 0, NULL, NULL, '', NULL, -1, 'AR', '', '', NULL),
		('086', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 0, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('086', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 0, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('086', 'a', 'Numero di classificazione', 'Numero di classificazione', 0, 0, NULL, 0, NULL, NULL, '', NULL, -1, 'AR', '', '', NULL),
		('086', 'z', 'Numero di classificazione cancellato/errato', 'Numero di classificazione cancellato/errato', 1, 0, NULL, 0, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('087', 'a', 'Report number [OBSOLETE, CAN/MARC]', 'Report number [OBSOLETE, CAN/MARC]', 0, 0, '', 0, '', '', '', 0, -6, 'AR', '', '', NULL),
		('087', 'z', 'Canceled/invalid report number [OBSOLETE, CAN/MARC]', 'Canceled/invalid report number [OBSOLETE, CAN/MARC]', 1, 0, '', 0, '', '', '', 0, -6, 'AR', '', '', NULL),
		('088', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 0, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('088', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 0, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('088', 'a', 'Numero di rapporto', 'Numero di rapporto', 0, 0, NULL, 0, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('088', 'z', 'Numero di rapporto cancellato/errato', 'Numero di rapporto cancellato/errato', 1, 0, NULL, 0, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('090', 'a', 'Classification number (OCLC) (R) ; Classification number, CALL (RLIN) (NR)', 'Classification number (OCLC) (R) ; Classification number, CALL (RLIN) (NR)', 1, 0, '', 0, '', '', '', 0, -6, 'AR', '', '', NULL),
		('090', 'b', 'Local cutter number (OCLC) ; Book number/undivided call number, CALL (RLIN)', 'Local cutter number (OCLC) ; Book number/undivided call number, CALL (RLIN)', 0, 0, '', 0, '', '', '', 0, -6, 'AR', '', '', NULL),
		('090', 'e', 'Feature heading (OCLC)', 'Feature heading (OCLC)', 0, 0, '', 0, '', '', '', 0, 5, 'AR', '', '', NULL),
		('090', 'f', 'Filing suffix (OCLC); Footnote, FNT (RLIN)', 'Filing suffix (OCLC); Footnote, FNT (RLIN)', 0, 0, '', 0, '', '', '', 0, 5, 'AR', '', '', NULL),
		('090', 'h', 'Output transaction history, HST (RLIN)', 'Output transaction history, HST (RLIN)', 0, 0, '', 0, '', '', '', 0, 5, 'AR', '', '', NULL),
		('090', 'i', 'Output transaction instruction, INS (RLIN)', 'Output transaction instruction, INS (RLIN)', 0, 0, '', 0, '', '', '', 0, 5, 'AR', '', '', NULL),
		('090', 'l', 'Extra card control statement, EXT (RLIN)', 'Extra card control statement, EXT (RLIN)', 0, 0, '', 0, '', '', '', 0, 5, 'AR', '', '', NULL),
		('090', 'n', 'Additional local notes, ANT (RLIN)', 'Additional local notes, ANT (RLIN)', 0, 0, '', 0, '', '', '', 0, 5, 'AR', '', '', NULL),
		('090', 'p', 'Pathfinder code, PTH (RLIN)', 'Pathfinder code, PTH (RLIN)', 0, 0, '', 0, '', '', '', 0, 5, 'AR', '', '', NULL),
		('090', 't', 'Field suppresion, FSP (RLIN)', 'Field suppresion, FSP (RLIN)', 0, 0, '', 0, '', '', '', 0, 5, 'AR', '', '', NULL),
		('090', 'v', 'Volumes, VOL (RLIN)', 'Volumes, VOL (RLIN)', 0, 0, '', 0, '', '', '', 0, 5, 'AR', '', '', NULL),
		('090', 'y', 'Date, VOL (RLIN)', 'Date, VOL (RLIN)', 0, 0, '', 0, '', '', '', 0, 5, 'AR', '', '', NULL),
		('090', 'z', 'Retention, VOL (RLIN)', 'Retention, VOL (RLIN)', 0, 0, '', 0, '', '', '', 0, 5, 'AR', '', '', NULL),
		('091', 'a', 'Microfilm shelf location', 'Microfilm shelf location', 0, 0, '', 0, '', '', '', 0, -6, 'AR', '', '', NULL),
		('092', '2', 'Numero dell\'edizione', 'Numero dell\'edizione', 0, 0, '', 0, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('092', 'a', 'Numero di classificazione', 'Numero di classificazione', 0, 0, '', 0, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('092', 'b', 'Numero d\'item', 'Numero d\'item', 0, 0, '', 0, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('092', 'e', 'Feature heading', 'Feature heading', 0, 0, '', 0, '', '', '', 0, -6, 'AR', '', '', NULL),
		('092', 'f', 'Filing suffix', 'Filing suffix', 0, 0, '', 0, '', '', '', 0, -6, 'AR', '', '', NULL),
		('096', 'a', 'Numero di classificazione', 'Numero di classificazione', 0, 0, '', 0, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('096', 'b', 'Numero d\'item', 'Numero d\'item', 0, 0, '', 0, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('096', 'e', 'Feature heading', 'Feature heading', 0, 0, '', 0, '', '', '', 0, -6, 'AR', '', '', NULL),
		('096', 'f', 'Filing suffix', 'Filing suffix', 0, 0, '', 0, '', '', '', 0, -6, 'AR', '', '', NULL),
		('098', 'a', 'Call number based on other classification scheme', 'Call number based on other classification scheme', 0, 0, '', 0, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('098', 'e', 'Feature heading', 'Feature heading', 0, 0, '', 0, '', '', '', 0, -6, 'AR', '', '', NULL),
		('098', 'f', 'Filing suffix', 'Filing suffix', 0, 0, '', 0, '', '', '', 0, -6, 'AR', '', '', NULL),
		('099', 'a', 'Numero di classificazione', 'Numero di classificazione', 1, 0, '', 0, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('099', 'e', 'Feature heading', 'Feature heading', 0, 0, '', 0, '', '', '', 0, -6, 'AR', '', '', NULL),
		('099', 'f', 'Filing suffix', 'Filing suffix', 0, 0, '', 0, '', '', '', 0, -6, 'AR', '', '', NULL),
		('100', '4', 'Codice di ruolo', 'Codice di ruolo', 1, 0, '', 1, '', '', '', 0, -6, 'AR', '', '', NULL),
		('100', '6', 'Collegamento', 'Collegamento', 0, 0, '', 1, '', '', '', 0, -6, 'AR', '', '', NULL),
		('100', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 1, '', '', '', 0, -6, 'AR', '', '', NULL),
		('100', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 1, '', '', '', 0, 0, 'AR', '', '', NULL),
		('100', 'a', 'Nome di persona', 'Nome di persona', 0, 0, 'biblio.author', 1, '', 'PERSO_NAME', '', 0, 0, 'AR', '''100b'',''100c'',''100q'',''100d'',''100e'',''110a'',''110b'',''110c'',''110d'',''110e'',''111a'',''111e'',''111c'',''111d'',''130a'',''700a'',''700b'',''700c'',''700q'',''700d'',''700e'',''710a'',''710b'',''710c'',''710d'',''710e'',''711a'',''711e'',''711c'',''711d'',''720a'',''720e'',''796a'',''796b'',''796c'',''796q'',''796d'',''796e'',''797a'',''797b'',''797c'',''797d'',''797e'',''798a'',''798e'',''798c'',''798d'',''800a'',''800b'',''800c'',''800q'',''800d'',''800e'',''810a'',''810b'',''810c'',''810d'',''810e'',''811a'',''811e'',''811c'',''811d'',''896a'',''896b'',''896c'',''896q'',''896d'',''896e'',''897a'',''897b'',''897c'',''897d'',''897e'',''898a'',''898e'',''898c'',''898d'',''505r''', '', NULL),
		('100', 'b', 'Numerazione', 'Numerazione', 0, 0, '', 1, '', '', '', 0, -1, 'AR', '', '', NULL),
		('100', 'c', 'Titoli e altre parole associate al nome', 'Titoli e altre parole associate al nome', 1, 0, '', 1, '', '', '', 0, -1, 'AR', '', '', NULL),
		('100', 'd', 'Date associate al nome', 'Date associate al nome', 0, 0, '', 1, '', '', '', 0, 0, 'AR', '', '', NULL),
		('100', 'e', 'Termine di ruolo', 'Termine di ruolo', 1, 0, '', 1, '', '', '', 0, -1, 'AR', '', '', NULL),
		('100', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, '', 1, '', '', '', 0, -6, 'AR', '', '', NULL),
		('100', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, '', 1, '', '', '', 0, -6, 'AR', '', '', NULL),
		('100', 'j', 'Qualificazione d\'attribuzione', 'Qualificazione d\'attribuzione', 1, 0, '', 1, '', '', '', 0, -6, 'AR', '', '', NULL),
		('100', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, '', 1, '', '', '', 0, -6, 'AR', '', '', NULL),
		('100', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, '', 1, '', '', '', 0, -6, 'AR', '', '', NULL),
		('100', 'n', 'Numero di parte/sezione dell\'opera', 'Numero di parte/sezione dell\'opera', 1, 0, '', 1, '', '', '', 0, -6, 'AR', '', '', NULL),
		('100', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, '', 1, '', '', '', 0, -6, 'AR', '', '', NULL),
		('100', 'q', 'Forma completa del nome', 'Forma completa del nome', 0, 0, '', 1, '', '', '', 0, -1, 'AR', '', '', NULL),
		('100', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, '', 1, '', '', '', 0, -6, 'AR', '', '', NULL),
		('100', 'u', 'Affiliazione', 'Affiliazione', 0, 0, '', 1, '', '', '', 0, -6, 'AR', '', '', NULL),
		('110', '4', 'Codice di ruolo', 'Codice di ruolo', 1, 0, '', 1, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('110', '6', 'Collegamento', 'Collegamento', 0, 0, '', 1, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('110', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 1, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('110', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 1, '', '', '', 0, -5, 'AR', '', '', NULL),
		('110', 'a', 'Nome dell\'ente o nome della giurisdizione come accesso', 'Nome dell\'ente o nome della giurisdizione come accesso', 0, 0, '', 1, '', 'CORPO_NAME', '', NULL, -1, 'AR', '', '', NULL),
		('110', 'b', 'Unità subordinata', 'Unità subordinata', 1, 0, '', 1, '', '', '', NULL, -1, 'AR', '', '', NULL),
		('110', 'c', 'Luogo del convegno', 'Luogo del convegno', 0, 0, '', 1, '', '', '', NULL, -1, 'AR', '', '', NULL),
		('110', 'd', 'Data del convegno o di firma del trattato', 'Data del convegno o di firma del trattato', 1, 0, '', 1, '', '', '', NULL, -1, 'AR', '', '', NULL),
		('110', 'e', 'Termine di ruolo', 'Termine di ruolo', 1, 0, '', 1, '', '', '', NULL, -1, 'AR', '', '', NULL),
		('110', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, '', 1, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('110', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, '', 1, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('110', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, '', 1, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('110', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, '', 1, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('110', 'n', 'Numero di parte/sezione/convegno', 'Numero di parte/sezione/convegno', 1, 0, '', 1, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('110', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, '', 1, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('110', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, '', 1, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('110', 'u', 'Affiliazione', 'Affiliazione', 0, 0, '', 1, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('111', '4', 'Codice di ruolo', 'Codice di ruolo', 1, 0, NULL, 1, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('111', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 1, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('111', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 1, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('111', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 1, '', '', '', 0, -5, 'AR', '', '', NULL),
		('111', 'a', 'Nome del convegno o nome della giurisdizione come accesso', 'Nome del convegno o nome della giurisdizione come accesso', 0, 0, NULL, 1, NULL, 'MEETI_NAME', '', NULL, -1, 'AR', '', '', NULL),
		('111', 'b', 'Number [OBSOLETE]', 'Number [OBSOLETE]', 0, 0, NULL, 1, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('111', 'c', 'Luogo del convegno', 'Luogo del convegno', 0, 0, NULL, 1, NULL, NULL, '', NULL, -1, 'AR', '', '', NULL),
		('111', 'd', 'Data del convegno', 'Data del convegno', 0, 0, NULL, 1, NULL, NULL, '', NULL, -1, 'AR', '', '', NULL),
		('111', 'e', 'Unità subordinata', 'Unità subordinata', 1, 0, NULL, 1, NULL, NULL, '', NULL, -1, 'AR', '', '', NULL),
		('111', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, NULL, 1, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('111', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, NULL, 1, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('111', 'j', 'Termine di ruolo', 'Termine di ruolo', 1, 0, NULL, 1, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('111', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, NULL, 1, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('111', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, NULL, 1, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('111', 'n', 'Numero di parte/sezione/convegno', 'Numero di parte/sezione/convegno', 1, 0, NULL, 1, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('111', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, NULL, 1, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('111', 'q', 'Nome del convegno dopo accesso di nome della giurisdizione', 'Nome del convegno dopo accesso di nome della giurisdizione', 0, 0, NULL, 1, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('111', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, NULL, 1, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('111', 'u', 'Affiliazione', 'Affiliazione', 0, 0, NULL, 1, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('130', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 1, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('130', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 1, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('130', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 1, '', '', '', 0, -5, 'AR', '', '', NULL),
		('130', 'a', 'Titolo uniforme', 'Titolo uniforme', 0, 0, NULL, 1, NULL, 'UNIF_TITLE', '', NULL, -6, 'AR', '', '', NULL),
		('130', 'd', 'Data di firma del trattato', 'Data di firma del trattato', 1, 0, NULL, 1, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('130', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, NULL, 1, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('130', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, NULL, 1, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('130', 'h', 'Supporto', 'Supporto', 0, 0, NULL, 1, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('130', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, NULL, 1, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('130', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, NULL, 1, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('130', 'm', 'Mezzo di esecuzione per la musica', 'Mezzo di esecuzione per la musica', 1, 0, NULL, 1, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('130', 'n', 'Numero di parte/sezione dell\'opera', 'Numero di parte/sezione dell\'opera', 1, 0, NULL, 1, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('130', 'o', 'Formulazione d\'arrangiamento per la musica', 'Formulazione d\'arrangiamento per la musica', 0, 0, NULL, 1, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('130', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, NULL, 1, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('130', 'r', 'Tonalità (musica)', 'Tonalità (musica)', 0, 0, NULL, 1, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('130', 's', 'Versione', 'Versione', 0, 0, NULL, 1, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('130', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, NULL, 1, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('210', '2', 'Fonte', 'Fonte', 1, 0, NULL, 2, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('210', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 2, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('210', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 2, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('210', 'a', 'Titolo abbreviato', 'Titolo abbreviato', 0, 0, NULL, 2, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('210', 'b', 'Qualificazione', 'Qualificazione', 0, 0, NULL, 2, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('211', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 2, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('211', 'a', 'Acronym or shortened title', 'Acronym or shortened title', 0, 0, NULL, 2, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('212', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 2, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('212', 'a', 'Acronym or shortened title', 'Acronym or shortened title', 0, 0, NULL, 2, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('214', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 2, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('214', 'a', 'Augmented title', 'Augmented title', 0, 0, NULL, 2, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('222', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 2, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('222', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 2, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('222', 'a', 'Titolo chiave', 'Titolo chiave', 0, 0, NULL, 2, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('222', 'b', 'Qualificazione', 'Qualificazione', 0, 0, NULL, 2, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('240', '6', 'Collegamento', 'Collegamento', 0, 0, '', 2, '', '', '', 0, -6, 'AR', '', '', NULL),
		('240', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 2, '', '', '', 0, -6, 'AR', '', '', NULL),
		('240', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 2, '', '', '', 0, -5, 'AR', '', '', NULL),
		('240', 'a', 'Titolo uniforme', 'Titolo uniforme', 0, 0, 'biblio.unititle', 2, '', '', '', 0, -1, 'AR', '', '', NULL),
		('240', 'd', 'Data di firma del trattato', 'Data di firma del trattato', 1, 0, '', 2, '', '', '', 0, -6, 'AR', '', '', NULL),
		('240', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, '', 2, '', '', '', 0, -6, 'AR', '', '', NULL),
		('240', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, '', 2, '', '', '', 0, -6, 'AR', '', '', NULL),
		('240', 'h', 'Supporto', 'Supporto', 0, 0, '', 2, '', '', '', 0, -1, 'AR', '', '', NULL),
		('240', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, '', 2, '', '', '', 0, -6, 'AR', '', '', NULL),
		('240', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, '', 2, '', '', '', 0, -1, 'AR', '', '', NULL),
		('240', 'm', 'Mezzo di esecuzione per la musica', 'Mezzo di esecuzione per la musica', 1, 0, '', 2, '', '', '', 0, -6, 'AR', '', '', NULL),
		('240', 'n', 'Numero di parte/sezione dell\'opera', 'Numero di parte/sezione dell\'opera', 1, 0, '', 2, '', '', '', 0, -6, 'AR', '', '', NULL),
		('240', 'o', 'Formulazione d\'arrangiamento per la musica', 'Formulazione d\'arrangiamento per la musica', 0, 0, '', 2, '', '', '', 0, -6, 'AR', '', '', NULL),
		('240', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, '', 2, '', '', '', 0, -6, 'AR', '', '', NULL),
		('240', 'r', 'Tonalità (musica)', 'Tonalità (musica)', 0, 0, '', 2, '', '', '', 0, -6, 'AR', '', '', NULL),
		('240', 's', 'Versione', 'Versione', 0, 0, '', 2, '', '', '', 0, -1, 'AR', '', '', NULL),
		('241', 'a', 'Romanized title', 'Romanized title', 0, 0, NULL, 2, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('241', 'h', 'Supporto', 'Supporto', 0, 0, NULL, 2, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('242', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 2, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('242', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 2, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('242', 'a', 'Titolo', 'Titolo', 0, 0, NULL, 2, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('242', 'b', 'Complemento del titolo', 'Complemento del titolo', 0, 0, NULL, 2, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('242', 'c', 'Formulazione di responsabilità, ecc.', 'Formulazione di responsabilità, ecc.', 0, 0, NULL, 2, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('242', 'd', 'Designation of section (BK AM MP MU VM SE) [OBSOLETE]', 'Designation of section (BK AM MP MU VM SE) [OBSOLETE]', 0, 0, '', 2, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('242', 'e', 'Name of part/section (BK AM MP MU VM SE) [OBSOLETE]', 'Name of part/section (BK AM MP MU VM SE) [OBSOLETE]', 0, 0, '', 2, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('242', 'h', 'Supporto', 'Supporto', 0, 0, NULL, 2, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('242', 'n', 'Numero di parte/sezione dell\'opera', 'Numero di parte/sezione dell\'opera', 1, 0, NULL, 2, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('242', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, NULL, 2, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('242', 'y', 'Codice di lingua del titolo tradotto', 'Codice di lingua del titolo tradotto', 0, 0, NULL, 2, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('243', '6', 'Collegamento', 'Collegamento', 0, 0, '', 2, '', '', '', 0, -6, 'AR', '', '', NULL),
		('243', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 2, '', '', '', 0, -6, 'AR', '', '', NULL),
		('243', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 2, '', '', '', 0, -5, 'AR', '', '', NULL),
		('243', 'a', 'Titolo uniforme', 'Titolo uniforme', 0, 0, '', 2, '', '', '', 1, -1, 'AR', '', '', NULL),
		('243', 'd', 'Data di firma del trattato', 'Data di firma del trattato', 1, 0, '', 2, '', '', '', 0, -6, 'AR', '', '', NULL),
		('243', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, '', 2, '', '', '', 0, -6, 'AR', '', '', NULL),
		('243', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, '', 2, '', '', '', 0, -6, 'AR', '', '', NULL),
		('243', 'h', 'Supporto', 'Supporto', 0, 0, '', 2, '', '', '', 0, -1, 'AR', '', '', NULL),
		('243', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, '', 2, '', '', '', 0, -6, 'AR', '', '', NULL),
		('243', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, '', 2, '', '', '', 0, -1, 'AR', '', '', NULL),
		('243', 'm', 'Mezzo di esecuzione per la musica', 'Mezzo di esecuzione per la musica', 1, 0, '', 2, '', '', '', 0, -6, 'AR', '', '', NULL),
		('243', 'n', 'Numero di parte/sezione dell\'opera', 'Numero di parte/sezione dell\'opera', 1, 0, '', 2, '', '', '', 0, -6, 'AR', '', '', NULL),
		('243', 'o', 'Formulazione d\'arrangiamento per la musica', 'Formulazione d\'arrangiamento per la musica', 0, 0, '', 2, '', '', '', 0, -6, 'AR', '', '', NULL),
		('243', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, '', 2, '', '', '', 0, -6, 'AR', '', '', NULL),
		('243', 'r', 'Tonalità (musica)', 'Tonalità (musica)', 0, 0, '', 2, '', '', '', 0, -6, 'AR', '', '', NULL),
		('243', 's', 'Versione', 'Versione', 0, 0, '', 2, '', '', '', 0, -1, 'AR', '', '', NULL),
		('245', '6', 'Collegamento', 'Collegamento', 0, 0, '', 2, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('245', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 2, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('245', 'a', 'Titolo', 'Titolo', 0, 1, 'biblio.title', 2, '', '', '', NULL, 0, 'AR', '''245b'',''245f'',''245g'',''245k'',''245n'',''245p'',''245s'',''245h'',''246i'',''246a'',''246b'',''246f'',''246g'',''246n'',''246p'',''246h'',''242a'',''242b'',''242n'',''242p'',''242h''', '', NULL),
		('245', 'b', 'Complemento del titolo', 'Complemento del titolo', 0, 0, 'bibliosubtitle.subtitle', 2, '', '', '', NULL, 0, 'AR', '', '', NULL),
		('245', 'c', 'Formulazione di responsabilità, ecc.', 'Formulazione di responsabilità, ecc.', 0, 0, '', 2, '', '', '', NULL, 0, 'AR', '', '', NULL),
		('245', 'd', 'Designation of section/part/series (SE) [OBSOLETE]', 'Designation of section/part/series (SE) [OBSOLETE]', 0, 0, '', 2, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('245', 'e', 'Name of part/section/series (SE) [OBSOLETE]', 'Name of part/section/series (SE) [OBSOLETE]', 0, 0, '', 2, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('245', 'f', 'Date inclusive', 'Date inclusive', 0, 0, '', 2, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('245', 'g', 'Date preponderanti', 'Date preponderanti', 0, 0, '', 2, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('245', 'h', 'Supporto', 'Supporto', 0, 0, '', 2, '', '', '', NULL, 0, 'AR', '', '', NULL),
		('245', 'k', 'Forma', 'Forma', 1, 0, '', 2, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('245', 'n', 'Numero di parte/sezione dell\'opera', 'Numero di parte/sezione dell\'opera', 1, 0, '', 2, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('245', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, '', 2, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('245', 's', 'Versione', 'Versione', 0, 0, '', 2, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('246', '5', 'Istituzione a cui si applica il campo', 'Istituzione a cui si applica il campo', 0, 0, '', 2, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('246', '6', 'Collegamento', 'Collegamento', 0, 0, '', 2, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('246', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 2, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('246', 'a', 'Titolo proprio/titolo breve', 'Titolo proprio/titolo breve', 0, 0, '', 2, '', '', '', NULL, -1, 'AR', '', '', NULL),
		('246', 'b', 'Complemento del titolo', 'Complemento del titolo', 0, 0, '', 2, '', '', '', NULL, -1, 'AR', '', '', NULL),
		('246', 'd', 'Designation of section/part/series (SE) [OBSOLETE]', 'Designation of section/part/series (SE) [OBSOLETE]', 0, 0, '', 2, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('246', 'e', 'Name of part/section/series (SE) [OBSOLETE]', 'Name of part/section/series (SE) [OBSOLETE]', 0, 0, '', 2, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('246', 'f', 'Data o designazione sequenziale', 'Data o designazione sequenziale', 0, 0, '', 2, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('246', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, '', 2, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('246', 'h', 'Supporto', 'Supporto', 0, 0, '', 2, '', '', '', NULL, -1, 'AR', '', '', NULL),
		('246', 'i', 'Testo da visualizzare', 'Testo da visualizzare', 0, 0, '', 2, '', '', '', NULL, -1, 'AR', '', '', NULL),
		('246', 'n', 'Numero di parte/sezione dell\'opera', 'Numero di parte/sezione dell\'opera', 1, 0, '', 2, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('246', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, '', 2, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('247', '6', 'Collegamento', 'Collegamento', 0, 0, '', 2, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('247', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 2, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('247', 'a', 'Titolo', 'Titolo', 0, 0, '', 2, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('247', 'b', 'Complemento del titolo', 'Complemento del titolo', 0, 0, '', 2, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('247', 'd', 'Designation of section (SE) [OBSOLETE]', 'Designation of section (SE) [OBSOLETE]', 0, 0, '', 2, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('247', 'e', 'Name of part/section (SE) [OBSOLETE]', 'Name of part/section (SE) [OBSOLETE]', 0, 0, '', 2, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('247', 'f', 'Data o designazione sequenziale', 'Data o designazione sequenziale', 0, 0, '', 2, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('247', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, '', 2, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('247', 'h', 'Supporto', 'Supporto', 0, 0, '', 2, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('247', 'n', 'Numero di parte/sezione dell\'opera', 'Numero di parte/sezione dell\'opera', 1, 0, '', 2, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('247', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, '', 2, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('247', 'x', 'ISSN (International Standard Serial Number)', 'ISSN (International Standard Serial Number)', 0, 0, '', 2, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('250', '6', 'Collegamento', 'Collegamento', 0, 0, '', 2, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('250', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 2, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('250', 'a', 'Formulazione di edizione', 'Formulazione di edizione', 0, 0, 'biblioitems.editionstatement', 2, '', '', '', NULL, -1, 'AR', '', '', NULL),
		('250', 'b', 'Restante parte della formulazione di edizione', 'Restante parte della formulazione di edizione', 0, 0, '', 2, '', '', '', NULL, -1, 'AR', '', '', NULL),
		('254', '6', 'Collegamento', 'Collegamento', 0, 0, '', 2, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('254', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 2, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('254', 'a', 'Formulazione della presentazione musicale', 'Formulazione della presentazione musicale', 0, 0, '', 2, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('255', '6', 'Collegamento', 'Collegamento', 0, 0, '', 2, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('255', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 2, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('255', 'a', 'Formulazione di scala', 'Formulazione di scala', 1, 0, '', 2, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('255', 'b', 'Formulazione di proiezione', 'Formulazione di proiezione', 1, 0, '', 2, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('255', 'c', 'Formulazione di coordinate', 'Formulazione di coordinate', 1, 0, '', 2, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('255', 'd', 'Formulazione di zona', 'Formulazione di zona', 0, 0, '', 2, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('255', 'e', 'Formulazione di equinozio', 'Formulazione di equinozio', 0, 0, '', 2, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('255', 'f', 'Coppie di coordinate d\'inclusione del perimetro', 'Coppie di coordinate d\'inclusione del perimetro', 0, 0, '', 2, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('255', 'g', 'Coppie di coordinate di esclusione del perimetro', 'Coppie di coordinate di esclusione del perimetro', 0, 0, '', 2, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('256', '6', 'Collegamento', 'Collegamento', 0, 0, '', 2, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('256', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 2, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('256', 'a', 'Caratteristiche del computer file', 'Caratteristiche del computer file', 0, 0, '', 2, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('257', '6', 'Collegamento', 'Collegamento', 0, 0, '', 2, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('257', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 2, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('257', 'a', 'Paese dell\'ente produttore', 'Paese dell\'ente produttore', 0, 0, '', 2, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('258', '6', 'Collegamento', 'Collegamento', 0, 0, '', 2, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('258', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 2, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('258', 'a', 'Giurisdizione dell\'emissione', 'Giurisdizione dell\'emissione', 0, 0, '', 2, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('258', 'b', 'Valore facciale', 'Valore facciale', 0, 0, '', 2, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('260', '6', 'Collegamento', 'Collegamento', 0, 0, '', 2, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('260', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 2, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('260', 'a', 'Luogo di pubblicazione, distribuzione, ecc.', 'Luogo di pubblicazione, distribuzione, ecc.', 1, 0, 'biblioitems.place', 2, '', '', '', NULL, 0, 'AR', '', '', NULL),
		('260', 'b', 'Nome dell\'editore, distributore, ecc.', 'Nome dell\'editore, distributore, ecc.', 1, 0, 'biblioitems.publishercode', 2, '', '', '', NULL, 0, 'AR', '', '', NULL),
		('260', 'c', 'Data di pubblicazione, distribuzione, ecc.', 'Data di pubblicazione, distribuzione, ecc.', 1, 0, 'biblio.copyrightdate', 2, '', '', '', NULL, 0, 'AR', '', '', NULL),
		('260', 'd', 'Plate or publisher\'s number for music (Pre-AACR 2) [OBSOLETE, CAN/MARC], [LOCAL, USA]', 'Plate or publisher\'s number for music (Pre-AACR 2) [OBSOLETE, CAN/MARC], [LOCAL, USA]', 0, 0, '', 2, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('260', 'e', 'Luogo di stampa', 'Luogo di stampa', 1, 0, '', 2, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('260', 'f', 'Stampatore', 'Stampatore', 1, 0, '', 2, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('260', 'g', 'Data di stampa', 'Data di stampa', 0, 0, '', 2, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('260', 'k', 'Identification/manufacturer number [OBSOLETE, CAN/MARC]', 'Identification/manufacturer number [OBSOLETE, CAN/MARC]', 0, 0, '', 2, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('260', 'l', 'Matrix and/or take number [OBSOLETE, CAN/MARC]', 'Matrix and/or take number [OBSOLETE, CAN/MARC]', 0, 0, '', 2, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('261', '6', 'Collegamento', 'Collegamento', 0, 0, '', 2, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('261', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 2, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('261', 'a', 'Producing company', 'Producing company', 1, 0, '', 2, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('261', 'b', 'Releasing company (primary distributor)', 'Releasing company (primary distributor)', 1, 0, '', 2, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('261', 'c', 'Date of production, release, etc.', 'Date of production, release, etc.', 1, 0, '', 2, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('261', 'd', 'Date of production, release, etc.', 'Date of production, release, etc.', 1, 0, '', 2, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('261', 'e', 'Contractual producer', 'Contractual producer', 1, 0, '', 2, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('261', 'f', 'Place of production, release, etc.', 'Place of production, release, etc.', 1, 0, '', 2, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('262', '6', 'Collegamento', 'Collegamento', 0, 0, '', 2, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('262', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 2, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('262', 'a', 'Place of production, release, etc.', 'Place of production, release, etc.', 0, 0, '', 2, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('262', 'b', 'Publisher or trade name', 'Publisher or trade name', 0, 0, '', 2, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('262', 'c', 'Date of production, release, etc.', 'Date of production, release, etc.', 0, 0, '', 2, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('262', 'k', 'Serial identification', 'Serial identification', 0, 0, '', 2, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('262', 'l', 'Matrix and/or take number', 'Matrix and/or take number', 0, 0, '', 2, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('263', '6', 'Collegamento', 'Collegamento', 0, 0, '', 2, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('263', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 2, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('263', 'a', 'Data di pubblicazione prevista', 'Data di pubblicazione prevista', 0, 0, '', 2, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('265', '6', 'Linkage [OBSOLETE]', 'Linkage [OBSOLETE]', 0, 0, '', 2, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('265', 'a', 'Source for acquisition/subscription address [OBSOLETE]', 'Source for acquisition/subscription address [OBSOLETE]', 1, 0, '', 2, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('270', '4', 'Codice di ruolo', 'Codice di ruolo', 1, 0, NULL, 9, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('270', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 9, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('270', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 9, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('270', 'a', 'Indirizzo', 'Indirizzo', 1, 0, NULL, 9, NULL, NULL, '', NULL, -1, 'AR', '', '', NULL),
		('270', 'b', 'Città', 'Città', 0, 0, NULL, 9, NULL, NULL, '', NULL, -1, 'AR', '', '', NULL),
		('270', 'c', 'Stato o provincia', 'Stato o provincia', 0, 0, NULL, 9, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('270', 'd', 'Paese', 'Paese', 0, 0, NULL, 9, NULL, NULL, '', NULL, -1, 'AR', '', '', NULL),
		('270', 'e', 'Codice postale', 'Codice postale', 0, 0, NULL, 9, NULL, NULL, '', NULL, -1, 'AR', '', '', NULL),
		('270', 'f', 'Parole che precedono il nome del destinatario', 'Parole che precedono il nome del destinatario', 0, 0, NULL, 9, NULL, NULL, '', NULL, -1, 'AR', '', '', NULL),
		('270', 'g', 'Nome del destinatario', 'Nome del destinatario', 0, 0, NULL, 9, NULL, NULL, '', NULL, -1, 'AR', '', '', NULL),
		('270', 'h', 'Posizione del destinatario', 'Posizione del destinatario', 0, 0, NULL, 9, NULL, NULL, '', NULL, -1, 'AR', '', '', NULL),
		('270', 'i', 'Persona di contatto', 'Persona di contatto', 0, 0, NULL, 9, NULL, NULL, '', NULL, -1, 'AR', '', '', NULL),
		('270', 'j', 'Numero di telefono specializzato', 'Numero di telefono specializzato', 1, 0, NULL, 9, NULL, NULL, '', NULL, -1, 'AR', '', '', NULL),
		('270', 'k', 'Numero di telefono', 'Numero di telefono', 1, 0, NULL, 9, NULL, NULL, '', NULL, -1, 'AR', '', '', NULL),
		('270', 'l', 'Numero di fax', 'Numero di fax', 1, 0, NULL, 9, NULL, NULL, '', NULL, -1, 'AR', '', '', NULL),
		('270', 'm', 'Indirizzo e-mail', 'Indirizzo e-mail', 1, 0, NULL, 9, NULL, NULL, '', NULL, -1, 'AR', '', '', NULL),
		('270', 'n', 'Numero di TDD o TTY', 'Numero di TDD o TTY', 1, 0, NULL, 9, NULL, NULL, '', NULL, -1, 'AR', '', '', NULL),
		('270', 'p', 'Persona di contatto', 'Persona di contatto', 1, 0, NULL, 9, NULL, NULL, '', NULL, -1, 'AR', '', '', NULL),
		('270', 'q', 'Titolo della persona di contatto', 'Titolo della persona di contatto', 1, 0, NULL, 9, NULL, NULL, '', NULL, -1, 'AR', '', '', NULL),
		('270', 'r', 'Ore', 'Ore', 1, 0, NULL, 9, NULL, NULL, '', NULL, -1, 'AR', '', '', NULL),
		('270', 'z', 'Nota pubblica', 'Nota pubblica', 1, 0, NULL, 9, NULL, NULL, '', NULL, -1, 'AR', '', '', NULL),
		('300', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, '', 3, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('300', '6', 'Collegamento', 'Collegamento', 0, 0, '', 3, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('300', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 3, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('300', 'a', 'Estensione', 'Estensione', 1, 1, 'biblioitems.pages', 3, '', '', '', NULL, 0, 'AR', '', '', NULL),
		('300', 'b', 'Altre particolarità fisiche', 'Altre particolarità fisiche', 0, 0, 'biblioitems.illus', 3, '', '', '', 0, 0, 'AR', '', '', NULL),
		('300', 'c', 'Dimensioni', 'Dimensioni', 1, 0, 'biblioitems.size', 3, '', '', '', NULL, 0, 'AR', '', '', NULL),
		('300', 'd', 'Accompanying material [OBSOLETE, CAN/MARC]', 'Accompanying material [OBSOLETE, CAN/MARC]', 0, 0, '', 3, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('300', 'e', 'Materiale allegato', 'Materiale allegato', 0, 0, '', 3, '', '', '', NULL, 0, 'AR', '', '', NULL),
		('300', 'f', 'Tipo di materiale', 'Tipo di materiale', 1, 0, '', 3, '', '', '', NULL, -1, 'AR', '', '', NULL),
		('300', 'g', 'Dimensioni del materiale', 'Dimensioni del materiale', 1, 0, '', 3, '', '', '', NULL, -1, 'AR', '', '', NULL),
		('300', 'k', 'Speed [Videodiscs, pre-AACR2 records only] [OBSOLETE, CAN/MARC]', 'Speed [Videodiscs, pre-AACR2 records only] [OBSOLETE, CAN/MARC]', 0, 0, '', 3, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('300', 'm', 'Identification/manufacturer number [pre-AACR2 records only] [OBSOLETE, CAN/MARC]', 'Identification/manufacturer number [pre-AACR2 records only] [OBSOLETE, CAN/MARC]', 0, 0, '', 3, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('300', 'n', 'Matrix and/or take number [Sound recordings, pre-AACR2 records only] [OBSOLETE, CAN/MARC]', 'Matrix and/or take number [Sound recordings, pre-AACR2 records only] [OBSOLETE, CAN/MARC]', 0, 0, '', 3, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('301', 'a', 'Estensione della copia', 'Estensione della copia', 0, 0, '', 3, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('301', 'b', 'Caratteristiche del suono', 'Caratteristiche del suono', 0, 0, '', 3, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('301', 'c', 'Caratteristiche del colore', 'Caratteristiche del colore', 0, 0, '', 3, '', '', NULL, NULL, -6, 'AR', '', '', NULL),
		('301', 'd', 'Dimensioni', 'Dimensioni', 0, 0, '', 3, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('301', 'e', 'Caratteristiche del suono', 'Caratteristiche del suono', 0, 0, '', 3, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('301', 'f', 'Velocità', 'Velocità', 0, 0, '', 3, '', '', NULL, NULL, -6, 'AR', '', '', NULL),
		('302', 'a', 'Page count', 'Page count', 0, 0, '', 3, '', '', NULL, NULL, -6, 'AR', '', '', NULL),
		('303', 'a', 'Unit count', 'Unit count', 0, 0, '', 3, '', '', NULL, NULL, -6, 'AR', '', '', NULL),
		('304', 'a', 'Linear footage', 'Linear footage', 0, 0, '', 3, '', '', NULL, NULL, -6, 'AR', '', '', NULL),
		('305', '6', 'Collegamento', 'Collegamento', 0, 0, '', 3, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('305', 'a', 'Estensione', 'Estensione', 0, 0, '', 3, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('305', 'b', 'Altre particolarità fisiche', 'Altre particolarità fisiche', 0, 0, '', 3, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('305', 'c', 'Dimensioni', 'Dimensioni', 0, 0, '', 3, '', '', NULL, NULL, -6, 'AR', '', '', NULL),
		('305', 'd', 'Microgroove or standard', 'Microgroove or standard', 0, 0, '', 3, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('305', 'e', 'Stereofonico, monoaurale', 'Stereofonico, monoaurale', 0, 0, '', 3, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('305', 'f', 'Numero dei tracciati', 'Numero dei tracciati', 0, 0, '', 3, '', '', NULL, NULL, -6, 'AR', '', '', NULL),
		('305', 'm', 'Serial identification', 'Serial identification', 0, 0, '', 3, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('305', 'n', 'Matrix and/or take number', 'Matrix and/or take number', 0, 0, '', 3, '', '', NULL, NULL, -6, 'AR', '', '', NULL),
		('306', '6', 'Collegamento', 'Collegamento', 0, 0, '', 3, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('306', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 3, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('306', 'a', 'Durata di riproduzione', 'Durata di riproduzione', 0, 0, '', 3, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('307', '6', 'Collegamento', 'Collegamento', 0, 0, '', 3, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('307', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 3, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('307', 'a', 'Ore', 'Ore', 0, 0, '', 3, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('307', 'b', 'Informazione addizionale', 'Informazione addizionale', 0, 0, '', 3, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('308', '6', 'Collegamento', 'Collegamento', 0, 0, '', 3, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('308', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 3, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('308', 'a', 'Numero di bobine', 'Numero di bobine', 0, 0, '', 3, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('308', 'b', 'Footage', 'Footage', 0, 0, '', 3, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('308', 'c', 'Caratteristiche del suono', 'Caratteristiche del suono', 0, 0, '', 3, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('308', 'd', 'Caratteristiche del colore', 'Caratteristiche del colore', 0, 0, '', 3, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('308', 'e', 'Larghezza', 'Larghezza', 0, 0, '', 3, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('308', 'f', 'Formato di presentazione', 'Formato di presentazione', 0, 0, '', 3, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('310', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('310', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('310', 'a', 'Periodicità corrente della pubblicazione', 'Periodicità corrente della pubblicazione', 0, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('310', 'b', 'Data di periodicità corrente della pubblicazione', 'Data di periodicità corrente della pubblicazione', 0, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('315', '6', 'Collegamento', 'Collegamento', 0, 0, '', 3, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('315', 'a', 'Frequenza', 'Frequenza', 1, 0, '', 3, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('315', 'b', 'Date della frequenza', 'Date della frequenza', 1, 0, '', 3, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('321', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('321', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('321', 'a', 'Periodicità precedente della pubblicazione', 'Periodicità precedente della pubblicazione', 0, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('321', 'b', 'Date di periodicità precedente della pubblicazione', 'Date di periodicità precedente della pubblicazione', 0, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('340', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, '', 3, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('340', '6', 'Collegamento', 'Collegamento', 0, 0, '', 3, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('340', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 3, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('340', 'a', 'Base e composizione del materiale', 'Base e composizione del materiale', 1, 0, '', 3, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('340', 'b', 'Dimensioni', 'Dimensioni', 1, 0, '', 3, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('340', 'c', 'Materiali applicati alla superficie', 'Materiali applicati alla superficie', 1, 0, '', 3, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('340', 'd', 'Tecnica della registrazione della informazione', 'Tecnica della registrazione della informazione', 1, 0, '', 3, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('340', 'e', 'Supporto', 'Supporto', 1, 0, '', 3, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('340', 'f', 'Fattore/proporzione di produzione comprensibile (ad es., giri al minuto per le registrazioni)', 'Fattore/proporzione di produzione comprensibile (ad es., giri al minuto per le registrazioni)', 1, 0, '', 3, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('340', 'h', 'Localizzazione nel supporto', 'Localizzazione nel supporto', 1, 0, '', 3, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('340', 'i', 'Specificazioni tecniche del supporto', 'Specificazioni tecniche del supporto', 1, 0, '', 3, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('342', '2', 'Metodo di riferimento usato', 'Metodo di riferimento usato', 0, 0, '', 3, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('342', '6', 'Collegamento', 'Collegamento', 0, 0, '', 3, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('342', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 3, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('342', 'a', 'Nome', 'Nome', 1, 0, '', 3, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('342', 'b', 'Unità di distanza o di coordinate', 'Unità di distanza o di coordinate', 0, 0, '', 3, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('342', 'c', 'Risoluzione di latitudine', 'Risoluzione di latitudine', 0, 0, '', 3, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('342', 'd', 'Risoluzione di longitudine', 'Risoluzione di longitudine', 0, 0, '', 3, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('342', 'e', 'Parallela standard o latitudine di lineare obliqua', 'Parallela standard o latitudine di lineare obliqua', 1, 0, '', 3, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('342', 'f', 'Longitudine di lineare obliqua', 'Longitudine di lineare obliqua', 1, 0, '', 3, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('342', 'g', 'Longitudine del meridiano centrale o del centro della proiezione', 'Longitudine del meridiano centrale o del centro della proiezione', 0, 0, '', 3, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('342', 'h', 'Latitudine dell\'origine della proiezione o del centro della proiezione', 'Latitudine dell\'origine della proiezione o del centro della proiezione', 0, 0, '', 3, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('342', 'i', 'Ascissa falsa', 'Ascissa falsa', 0, 0, '', 3, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('342', 'j', 'Ordinata falsa', 'Ordinata falsa', 0, 0, '', 3, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('342', 'k', 'Fattore di scala', 'Fattore di scala', 0, 0, '', 3, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('342', 'l', 'Altezza del punto di vista sulla superficie', 'Altezza del punto di vista sulla superficie', 0, 0, '', 3, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('342', 'm', 'Angolo d\'azimut', 'Angolo d\'azimut', 0, 0, '', 3, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('342', 'n', 'Longitudine del punto di misura d\'azimut o longitudine verticale retta dal polo', 'Longitudine del punto di misura d\'azimut o longitudine verticale retta dal polo', 0, 0, '', 3, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('342', 'o', 'Numero del Landsat e numero di traiettoria', 'Numero del Landsat e numero di traiettoria', 0, 0, '', 3, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('342', 'p', 'Identificatore di zona', 'Identificatore di zona', 0, 0, '', 3, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('342', 'q', 'Nome dell\'ellissoide', 'Nome dell\'ellissoide', 0, 0, '', 3, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('342', 'r', 'Semiasse maggiore', 'Semiasse maggiore', 0, 0, '', 3, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('342', 's', 'Denominatore del rapporto di spianatura', 'Denominatore del rapporto di spianatura', 0, 0, '', 3, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('342', 't', 'Risoluzione verticale', 'Risoluzione verticale', 0, 0, '', 3, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('342', 'u', 'Metodo di codifica verticale', 'Metodo di codifica verticale', 0, 0, '', 3, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('342', 'v', 'Proiezione locale piana, locale o diversa o descrizione del reticolato', 'Proiezione locale piana, locale o diversa o descrizione del reticolato', 0, 0, '', 3, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('342', 'w', 'Informazione di riferimento geospaziale locale piano o locale', 'Informazione di riferimento geospaziale locale piano o locale', 0, 0, '', 3, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('343', '6', 'Collegamento', 'Collegamento', 0, 0, '', 3, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('343', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 3, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('343', 'a', 'Metodo di codifica di coordinate piane', 'Metodo di codifica di coordinate piane', 1, 0, '', 3, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('343', 'b', 'Unità di distanza piana', 'Unità di distanza piana', 0, 0, '', 3, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('343', 'c', 'Risoluzione dell\'ascissa', 'Risoluzione dell\'ascissa', 0, 0, '', 3, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('343', 'd', 'Risoluzione dell\'ordinata', 'Risoluzione dell\'ordinata', 0, 0, '', 3, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('343', 'e', 'Risoluzione di distanza', 'Risoluzione di distanza', 0, 0, '', 3, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('343', 'f', 'Risoluzione di orientamento', 'Risoluzione di orientamento', 0, 0, '', 3, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('343', 'g', 'Unità di orientamento', 'Unità di orientamento', 0, 0, '', 3, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('343', 'h', 'Direzione di riferimento dell\'orientamento', 'Direzione di riferimento dell\'orientamento', 0, 0, '', 3, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('343', 'i', 'Meridiano di riferimento dell\'orientamento', 'Meridiano di riferimento dell\'orientamento', 0, 0, '', 3, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('350', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('350', 'a', 'Prezzo', 'Prezzo', 1, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('350', 'b', 'Forma dell\'emissione', 'Forma dell\'emissione', 1, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('351', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('351', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('351', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('351', 'a', 'Organizzazione', 'Organizzazione', 1, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('351', 'b', 'Ordinamento', 'Ordinamento', 1, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('351', 'c', 'Livello gerarchico', 'Livello gerarchico', 0, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('352', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('352', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('352', 'a', 'Metodo di riferimento diretto', 'Metodo di riferimento diretto', 0, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('352', 'b', 'Tipo di oggetto', 'Tipo di oggetto', 1, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('352', 'c', 'Contatore di oggetti', 'Contatore di oggetti', 1, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('352', 'd', 'Contatore di linee', 'Contatore di linee', 0, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('352', 'e', 'Contattore di colonne', 'Contattore di colonne', 0, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('352', 'f', 'Contattore verticale', 'Contattore verticale', 0, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('352', 'g', 'Livello di topologia VPF', 'Livello di topologia VPF', 0, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('352', 'i', 'Descrizione di riferimento indiretto', 'Descrizione di riferimento indiretto', 0, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('355', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('355', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('355', 'a', 'Classificazione di sicurezza', 'Classificazione di sicurezza', 0, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('355', 'b', 'Istruzioni per l\'uso', 'Istruzioni per l\'uso', 1, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('355', 'c', 'Informazione di diffusione esterna', 'Informazione di diffusione esterna', 1, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('355', 'd', 'Informazione di riduzione del livello di sicurezza o di declassificazione', 'Informazione di riduzione del livello di sicurezza o di declassificazione', 0, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('355', 'e', 'Sistema di classificazione', 'Sistema di classificazione', 0, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('355', 'f', 'Codice del paese di origine', 'Codice del paese di origine', 0, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('355', 'g', 'Data di riduzione del livello di sicurezza', 'Data di riduzione del livello di sicurezza', 0, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('355', 'h', 'Data di declassificazione', 'Data di declassificazione', 0, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('355', 'j', 'Autorizzazione', 'Autorizzazione', 1, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('357', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('357', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('357', 'a', 'Termine di controllo del creatore', 'Termine di controllo del creatore', 0, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('357', 'b', 'Agenzia di diffusione', 'Agenzia di diffusione', 1, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('357', 'c', 'Destinatari autorizzati del materiale', 'Destinatari autorizzati del materiale', 1, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('357', 'g', 'Altre restrizioni', 'Altre restrizioni', 1, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('359', 'a', 'Prezzo del prestito', 'Prezzo del prestito', 0, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('362', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('362', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('362', 'a', 'Date della pubblicazione e/o designazione sequenziale', 'Date della pubblicazione e/o designazione sequenziale', 0, 0, 'biblioitems.volumedesc', 3, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('362', 'z', 'Fonte dell\'informazione', 'Fonte dell\'informazione', 0, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('365', '2', 'Fonte del codice del tipo di prezzo', 'Fonte del codice del tipo di prezzo', 0, 0, '', 9, '', '', '', NULL, -1, 'AR', '', '', NULL),
		('365', '6', 'Collegamento', 'Collegamento', 0, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('365', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('365', 'a', 'Codice del tipo di prezzo', 'Codice del tipo di prezzo', 0, 0, '', 9, '', '', '', NULL, -1, 'AR', '', '', NULL),
		('365', 'b', 'Prezzo totale', 'Prezzo totale', 0, 0, '', 9, '', '', '', NULL, -1, 'AR', '', '', NULL),
		('365', 'c', 'Codice della valuta', 'Codice della valuta', 0, 0, '', 9, '', '', '', NULL, -1, 'AR', '', '', NULL),
		('365', 'd', 'Unità de fissazione del prezzo', 'Unità de fissazione del prezzo', 0, 0, '', 9, '', '', '', NULL, -1, 'AR', '', '', NULL),
		('365', 'e', 'Nota sul prezzo', 'Nota sul prezzo', 0, 0, '', 9, '', '', '', NULL, -1, 'AR', '', '', NULL),
		('365', 'f', 'Prezzo in vigore dal', 'Prezzo in vigore dal', 0, 0, '', 9, '', '', '', NULL, -1, 'AR', '', '', NULL),
		('365', 'g', 'Prezzo in vigore fino al', 'Prezzo in vigore fino al', 0, 0, '', 9, '', '', '', NULL, -1, 'AR', '', '', NULL),
		('365', 'h', 'Aliquota 1', 'Aliquota 1', 0, 0, '', 9, '', '', '', NULL, -1, 'AR', '', '', NULL),
		('365', 'i', 'Aliquota 2', 'Aliquota 2', 0, 0, '', 9, '', '', '', NULL, -1, 'AR', '', '', NULL),
		('365', 'j', 'Codice ISO del paese', 'Codice ISO del paese', 0, 0, '', 9, '', '', '', NULL, -1, 'AR', '', '', NULL),
		('365', 'k', 'Codice MARC del paese', 'Codice MARC del paese', 0, 0, '', 9, '', '', '', NULL, -1, 'AR', '', '', NULL),
		('365', 'm', 'Identificazione dell\'ente di fissazione del prezzo', 'Identificazione dell\'ente di fissazione del prezzo', 0, 0, '', 9, '', '', '', NULL, -1, 'AR', '', '', NULL),
		('366', '2', 'Fonte dello stato di disponibilità', 'Fonte dello stato di disponibilità', 0, 0, '', 9, '', '', '', NULL, -1, 'AR', '', '', NULL),
		('366', '6', 'Collegamento', 'Collegamento', 0, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('366', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('366', 'a', 'Identificazione editoriale abbreviata di titolo', 'Identificazione editoriale abbreviata di titolo', 0, 0, '', 9, '', '', '', NULL, -1, 'AR', '', '', NULL),
		('366', 'b', 'Data dettagliata di pubblicazione', 'Data dettagliata di pubblicazione', 0, 0, '', 9, '', '', '', NULL, -1, 'AR', '', '', NULL),
		('366', 'c', 'Codice dello stato di disponibilità', 'Codice dello stato di disponibilità', 0, 0, '', 9, '', '', '', NULL, -1, 'AR', '', '', NULL),
		('366', 'd', 'Data prevedibile della prossima disponibilità', 'Data prevedibile della prossima disponibilità', 0, 0, '', 9, '', '', '', NULL, -1, 'AR', '', '', NULL),
		('366', 'e', 'Nota', 'Nota', 0, 0, '', 9, '', '', '', NULL, -1, 'AR', '', '', NULL),
		('366', 'f', 'Tipo di sconto dell\'editore', 'Tipo di sconto dell\'editore', 0, 0, '', 9, '', '', '', NULL, -1, 'AR', '', '', NULL),
		('366', 'g', 'Data di esaurimento', 'Data di esaurimento', 0, 0, '', 9, '', '', '', NULL, -1, 'AR', '', '', NULL),
		('366', 'j', 'Codice ISO del paese', 'Codice ISO del paese', 0, 0, '', 9, '', '', '', NULL, -1, 'AR', '', '', NULL),
		('366', 'k', 'Codice MARC del paese', 'Codice MARC del paese', 0, 0, '', 9, '', '', '', NULL, -1, 'AR', '', '', NULL),
		('366', 'm', 'Identificazione dell\'agenzia', 'Identificazione dell\'agenzia', 0, 0, '', 9, '', '', '', NULL, -1, 'AR', '', '', NULL),
		('400', '4', 'Codice di ruolo', 'Codice di ruolo', 1, 0, '', 4, '', '', '', 0, -6, 'AR', '', '', NULL),
		('400', '6', 'Collegamento', 'Collegamento', 0, 0, '', 4, '', '', '', 0, -6, 'AR', '', '', NULL),
		('400', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 4, '', '', '', 0, -6, 'AR', '', '', NULL),
		('400', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 4, '', '', '', 0, -5, 'AR', '', '', NULL),
		('400', 'a', 'Nome di persona', 'Nome di persona', 0, 0, '', 4, '', '', '', 0, -6, 'AR', '', '', NULL),
		('400', 'b', 'Numerazione', 'Numerazione', 0, 0, '', 4, '', '', '', 0, -6, 'AR', '', '', NULL),
		('400', 'c', 'Titoli e altre parole associate al nome', 'Titoli e altre parole associate al nome', 1, 0, '', 4, '', '', '', 0, -6, 'AR', '', '', NULL),
		('400', 'd', 'Date associate al nome', 'Date associate al nome', 0, 0, '', 4, '', '', '', 0, -6, 'AR', '', '', NULL),
		('400', 'e', 'Termine di ruolo', 'Termine di ruolo', 1, 0, '', 4, '', '', '', 0, -6, 'AR', '', '', NULL),
		('400', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, '', 4, '', '', '', 0, -6, 'AR', '', '', NULL),
		('400', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, '', 4, '', '', '', 0, -6, 'AR', '', '', NULL),
		('400', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, '', 4, '', '', '', 0, -6, 'AR', '', '', NULL),
		('400', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, '', 4, '', '', '', 0, -6, 'AR', '', '', NULL),
		('400', 'n', 'Numero di parte/sezione dell\'opera', 'Numero di parte/sezione dell\'opera', 1, 0, '', 4, '', '', '', 0, -6, 'AR', '', '', NULL),
		('400', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, '', 4, '', '', '', 0, -6, 'AR', '', '', NULL),
		('400', 'q', 'Forma completa del nome', 'Forma completa del nome', 0, 0, '', 4, '', '', '', 0, -6, 'AR', '', '', NULL),
		('400', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, '', 4, '', '', '', 0, -6, 'AR', '', '', NULL),
		('400', 'u', 'Affiliazione', 'Affiliazione', 0, 0, '', 4, '', '', '', 0, -6, 'AR', '', '', NULL),
		('400', 'v', 'Numero del volume/designazione di sequenza', 'Numero del volume/designazione di sequenza', 0, 0, '', 4, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('400', 'x', 'ISSN (International Standard Serial Number)', 'ISSN (International Standard Serial Number)', 0, 0, '', 4, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('410', '4', 'Codice di ruolo', 'Codice di ruolo', 1, 0, '', 4, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('410', '6', 'Collegamento', 'Collegamento', 0, 0, '', 4, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('410', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 4, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('410', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 4, '', '', '', 0, -6, 'AR', '', '', NULL),
		('410', 'a', 'Nome dell\'ente o nome della giurisdizione come accesso', 'Nome dell\'ente o nome della giurisdizione come accesso', 0, 0, '', 4, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('410', 'b', 'Unità subordinata', 'Unità subordinata', 1, 0, '', 4, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('410', 'c', 'Luogo del convegno', 'Luogo del convegno', 0, 0, '', 4, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('410', 'd', 'Data del convegno o di firma del trattato', 'Data del convegno o di firma del trattato', 1, 0, '', 4, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('410', 'e', 'Termine di ruolo', 'Termine di ruolo', 1, 0, '', 4, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('410', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, '', 4, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('410', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, '', 4, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('410', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, '', 4, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('410', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, '', 4, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('410', 'n', 'Numero di parte/sezione/convegno', 'Numero di parte/sezione/convegno', 1, 0, '', 4, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('410', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, '', 4, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('410', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, '', 4, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('410', 'u', 'Affiliazione', 'Affiliazione', 0, 0, '', 4, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('410', 'v', 'Numero del volume/designazione di sequenza', 'Numero del volume/designazione di sequenza', 0, 0, '', 4, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('410', 'x', 'ISSN (International Standard Serial Number)', 'ISSN (International Standard Serial Number)', 0, 0, '', 4, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('411', '4', 'Codice di ruolo', 'Codice di ruolo', 1, 0, NULL, 4, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('411', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 4, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('411', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 4, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('411', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 4, '', '', '', 0, -5, 'AR', '', '', NULL),
		('411', 'a', 'Nome del convegno o nome della giurisdizione come accesso', 'Nome del convegno o nome della giurisdizione come accesso', 0, 0, NULL, 4, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('411', 'b', 'Number [OBSOLETE]', 'Number [OBSOLETE]', 0, 0, NULL, 4, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('411', 'c', 'Luogo del convegno', 'Luogo del convegno', 0, 0, NULL, 4, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('411', 'd', 'Data del convegno', 'Data del convegno', 0, 0, NULL, 4, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('411', 'e', 'Unità subordinata', 'Unità subordinata', 1, 0, NULL, 4, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('411', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, NULL, 4, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('411', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, NULL, 4, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('411', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, NULL, 4, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('411', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, NULL, 4, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('411', 'n', 'Numero di parte/sezione/convegno', 'Numero di parte/sezione/convegno', 1, 0, NULL, 4, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('411', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, NULL, 4, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('411', 'q', 'Nome del convegno dopo accesso di nome della giurisdizione', 'Nome del convegno dopo accesso di nome della giurisdizione', 0, 0, NULL, 4, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('411', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, NULL, 4, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('411', 'u', 'Affiliazione', 'Affiliazione', 0, 0, NULL, 4, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('411', 'v', 'Numero del volume/designazione di sequenza', 'Numero del volume/designazione di sequenza', 0, 0, '', 4, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('411', 'x', 'ISSN (International Standard Serial Number)', 'ISSN (International Standard Serial Number)', 0, 0, '', 4, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('440', '6', 'Collegamento', 'Collegamento', 0, 0, '', 4, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('440', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 4, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('440', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 4, '', '', '', 0, -5, 'AR', '', '', NULL),
		('440', 'a', 'Titolo', 'Titolo', 0, 0, 'biblio.seriestitle', 4, '', 'UNIF_TITLE', '', NULL, 0, 'AR', '''440n'',''440p'',''490a'',''830a'',''830n'',''830p'',''899a''', '', NULL),
		('440', 'n', 'Numero di parte/sezione dell\'opera', 'Numero di parte/sezione dell\'opera', 1, 0, 'biblioitems.number', 4, '', '', '', NULL, 0, 'AR', '', '', NULL),
		('440', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, '', 4, '', '', '', NULL, 0, 'AR', '', '', NULL),
		('440', 'v', 'Numero del volume/designazione di sequenza', 'Numero del volume/designazione di sequenza', 0, 0, 'biblioitems.volume', 4, '', '', '', NULL, 0, 'AR', '', '', NULL),
		('440', 'x', 'ISSN (International Standard Serial Number)', 'ISSN (International Standard Serial Number)', 0, 0, '', 4, '', '', '', NULL, 0, 'AR', '', '', NULL),
		('490', '6', 'Collegamento', 'Collegamento', 0, 0, '', 4, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('490', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 4, '', '', NULL, NULL, -6, 'AR', '', '', NULL),
		('490', 'a', 'Formulazione della serie', 'Formulazione della serie', 1, 0, '', 4, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('490', 'l', 'Numero di chiamata (collocazione) della Library of Congress', 'Numero di chiamata (collocazione) della Library of Congress', 0, 0, '', 4, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('490', 'v', 'Numero del volume/designazione di sequenza', 'Numero del volume/designazione di sequenza', 1, 0, '', 4, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('490', 'x', 'ISSN (International Standard Serial Number)', 'ISSN (International Standard Serial Number)', 0, 0, '', 4, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('500', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, '', 5, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('500', '5', 'Istituzione a cui si applica il campo', 'Istituzione a cui si applica il campo', 0, 0, '', 5, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('500', '6', 'Collegamento', 'Collegamento', 0, 0, '', 5, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('500', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 5, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('500', 'a', 'Nota generale', 'Nota generale', 0, 0, 'biblio.notes', 5, '', '', '', NULL, -1, 'AR', '', '', NULL),
		('500', 'l', 'Library of Congress call number (SE) [OBSOLETE]', 'Library of Congress call number (SE) [OBSOLETE]', 0, 0, '', 5, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('500', 'n', 'n (RLIN) [OBSOLETE]', 'n (RLIN) [OBSOLETE]', 0, 0, '', 5, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('500', 'x', 'International Standard Serial Number (SE) [OBSOLETE]', 'International Standard Serial Number (SE) [OBSOLETE]', 0, 0, '', 5, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('500', 'z', 'Source of note information (AM SE) [OBSOLETE]', 'Source of note information (AM SE) [OBSOLETE]', 0, 0, '', 5, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('501', '5', 'Istituzione a cui si applica il campo', 'Istituzione a cui si applica il campo', 0, 0, '', 5, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('501', '6', 'Collegamento', 'Collegamento', 0, 0, '', 5, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('501', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 5, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('501', 'a', 'Nota  Pubblicato con', 'Nota  Pubblicato con', 0, 0, '', 5, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('502', '6', 'Collegamento', 'Collegamento', 0, 0, '', 5, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('502', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 5, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('502', 'a', 'Nota di dissertazione', 'Nota di dissertazione', 0, 0, '', 5, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('503', '8', 'Collegamento', 'Collegamento', 0, 0, '', 5, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('503', 'a', 'Bibliographic history note', 'Bibliographic history note', 0, 0, '', 5, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('504', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('504', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('504', 'a', 'Nota di bibliografia, ecc.', 'Nota di bibliografia, ecc.', 0, 0, '', 5, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('504', 'b', 'Numero dei riferimenti', 'Numero dei riferimenti', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('505', '6', 'Collegamento', 'Collegamento', 0, 0, '', 5, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('505', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 5, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('505', 'a', 'Nota formattata di contenuto', 'Nota formattata di contenuto', 0, 0, '', 5, '', '', '', NULL, -1, 'AR', '', '', NULL),
		('505', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 1, 0, '', 5, '', '', '', NULL, -1, 'AR', '', '', NULL),
		('505', 'r', 'Formulazione di responsabilità', 'Formulazione di responsabilità', 1, 0, '', 5, '', '', '', NULL, -1, 'AR', '', '', NULL),
		('505', 't', 'Titolo', 'Titolo', 1, 0, '', 5, '', '', '', NULL, -1, 'AR', '', '', NULL),
		('505', 'u', 'URI (Uniform Resource Identifier)', 'URI (Uniform Resource Identifier)', 1, 0, '', 5, '', '', '', 1, -1, 'AR', '', '', NULL),
		('506', '2', 'Fonte', 'Fonte', 0, 0, '', 5, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('506', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, '', 5, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('506', '5', 'Istituzione a cui si applica il campo', 'Istituzione a cui si applica il campo', 0, 0, '', 5, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('506', '6', 'Collegamento', 'Collegamento', 0, 0, '', 5, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('506', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 5, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('506', 'a', 'Condizioni che regolano l\'accesso', 'Condizioni che regolano l\'accesso', 0, 0, '', 5, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('506', 'b', 'Competenza legale', 'Competenza legale', 1, 0, '', 5, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('506', 'c', 'Disposizioni per l\'accesso fisico', 'Disposizioni per l\'accesso fisico', 1, 0, '', 5, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('506', 'd', 'Utenti autorizzati', 'Utenti autorizzati', 1, 0, '', 5, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('506', 'e', 'Autorizzazione', 'Autorizzazione', 1, 0, '', 5, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('506', 'f', 'Terminologia normalizzata della restrizione all’accesso', 'Terminologia normalizzata della restrizione all’accesso', 1, 0, '', 5, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('506', 'u', 'URI (Uniform Resource Identifier)', 'URI (Uniform Resource Identifier)', 1, 0, '', 5, '', '', '', 1, -6, 'AR', '', '', NULL),
		('507', '6', 'Collegamento', 'Collegamento', 0, 0, '', 5, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('507', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 5, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('507', 'a', 'Nota di frazione rappresentativa di scala', 'Nota di frazione rappresentativa di scala', 0, 0, '', 5, '', '', '', NULL, -1, 'AR', '', '', NULL),
		('507', 'b', 'Restante parte della nota di scala', 'Restante parte della nota di scala', 0, 0, '', 5, '', '', '', NULL, -1, 'AR', '', '', NULL),
		('508', '6', 'Collegamento', 'Collegamento', 0, 0, '', 5, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('508', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('508', 'a', 'Nota sui crediti di creazione/produzione', 'Nota sui crediti di creazione/produzione', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('509', 'a', 'Note informali', 'Note informali', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('510', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, '', 5, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('510', '6', 'Collegamento', 'Collegamento', 0, 0, '', 5, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('510', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 5, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('510', 'a', 'Nome della fonte', 'Nome della fonte', 0, 0, '', 5, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('510', 'b', 'Copertura della fonte', 'Copertura della fonte', 0, 0, '', 5, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('510', 'c', 'Localizzazione nella fonte', 'Localizzazione nella fonte', 0, 0, '', 5, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('510', 'x', 'ISSN (International Standard Serial Number)', 'ISSN (International Standard Serial Number)', 0, 0, '', 5, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('511', '6', 'Collegamento', 'Collegamento', 0, 0, '', 5, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('511', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 5, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('511', 'a', 'Nota sui partecipanti o interpreti', 'Nota sui partecipanti o interpreti', 0, 0, '', 5, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('512', '6', 'Collegamento', 'Collegamento', 0, 0, '', -1, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('512', 'a', 'Earlier or later volumes separately cataloged note', 'Earlier or later volumes separately cataloged note', 0, 0, '', -1, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('513', '6', 'Collegamento', 'Collegamento', 0, 0, '', 5, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('513', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 5, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('513', 'a', 'Tipo di rapporto', 'Tipo di rapporto', 0, 0, '', 5, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('513', 'b', 'Periodo coperto', 'Periodo coperto', 0, 0, '', 5, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('514', '6', 'Collegamento', 'Collegamento', 0, 0, '', 5, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('514', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 5, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('514', 'a', 'Rapporto di esattezza degli attributi', 'Rapporto di esattezza degli attributi', 0, 0, '', 5, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('514', 'b', 'Valore di esattezza degli attributi', 'Valore di esattezza degli attributi', 1, 0, '', 5, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('514', 'c', 'Spiegazione della esattezza degli attributi', 'Spiegazione della esattezza degli attributi', 1, 0, '', 5, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('514', 'd', 'Rapporto di coerenza logica', 'Rapporto di coerenza logica', 0, 0, '', 5, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('514', 'e', 'Rapporto di completezza', 'Rapporto di completezza', 0, 0, '', 5, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('514', 'f', 'Rapporto di esattezza di posizione orizzontale', 'Rapporto di esattezza di posizione orizzontale', 0, 0, '', 5, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('514', 'g', 'Valore di esattezza di posizione orizzontale', 'Valore di esattezza di posizione orizzontale', 1, 0, '', 5, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('514', 'h', 'Spiegazione della esattezza di posizione orizzontale', 'Spiegazione della esattezza di posizione orizzontale', 1, 0, '', 5, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('514', 'i', 'Rapporto di esattezza di posizione verticale', 'Rapporto di esattezza di posizione verticale', 0, 0, '', 5, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('514', 'j', 'Valore di esattezza di posizione verticale', 'Valore di esattezza di posizione verticale', 1, 0, '', 5, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('514', 'k', 'Spiegazione della esattezza di posizione verticale', 'Spiegazione della esattezza di posizione verticale', 1, 0, '', 5, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('514', 'm', 'Nuvolosità', 'Nuvolosità', 0, 0, '', 5, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('514', 'u', 'URI (Uniform Resource Identifier)', 'URI (Uniform Resource Identifier)', 1, 0, '', 5, '', '', '', 1, -6, 'AR', '', '', NULL),
		('514', 'z', 'Nota di visualizzazione', 'Nota di visualizzazione', 1, 0, '', 5, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('515', '6', 'Collegamento', 'Collegamento', 0, 0, '', 5, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('515', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 5, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('515', 'a', 'Nota su particolarità della numerazione', 'Nota su particolarità della numerazione', 0, 0, '', 5, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('515', 'z', 'Source of note information (SE) [OBSOLETE]', 'Source of note information (SE) [OBSOLETE]', 0, 0, '', -1, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('516', '6', 'Collegamento', 'Collegamento', 0, 0, '', 5, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('516', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 5, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('516', 'a', 'Nota sul tipo di computer file o di file di dati', 'Nota sul tipo di computer file o di file di dati', 0, 0, '', 5, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('517', 'a', 'Formati multipli', 'Formati multipli', 0, 0, '', 5, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('517', 'b', 'Descrittori del contenuto', 'Descrittori del contenuto', 1, 0, '', 5, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('517', 'c', 'Tecniche d\'animazione addizionali', 'Tecniche d\'animazione addizionali', 1, 0, '', 5, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('518', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, '', 5, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('518', '6', 'Collegamento', 'Collegamento', 0, 0, '', 5, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('518', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 5, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('518', 'a', 'Nota sulla data/ora e luogo dell\'evento', 'Nota sulla data/ora e luogo dell\'evento', 0, 0, '', 5, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('520', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, '', 5, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('520', '6', 'Collegamento', 'Collegamento', 0, 0, '', 5, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('520', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 5, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('520', 'a', 'Nota di riassunto, ecc.', 'Nota di riassunto, ecc.', 0, 0, 'biblio.abstract', 5, '', '', '', NULL, -1, 'AR', '', '', NULL),
		('520', 'b', 'Nota di estensione del riassunto', 'Nota di estensione del riassunto', 0, 0, '', 5, '', '', '', NULL, -1, 'AR', '', '', NULL),
		('520', 'u', 'URI (Uniform Resource Identifier)', 'URI (Uniform Resource Identifier)', 1, 0, '', 5, '', '', '', 1, -1, 'AR', '', '', NULL),
		('520', 'z', 'Source of note information [OBSOLETE]', 'Source of note information [OBSOLETE]', 0, 0, '', 5, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('521', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('521', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('521', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('521', 'a', 'Nota sui destinatari', 'Nota sui destinatari', 1, 0, NULL, 5, NULL, NULL, '', NULL, 0, 'AR', '', '', NULL),
		('521', 'b', 'Fonte', 'Fonte', 0, 0, NULL, 5, NULL, NULL, '', NULL, 0, 'AR', '', '', NULL),
		('522', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('522', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('522', 'a', 'Nota di copertura geografica', 'Nota di copertura geografica', 0, 0, NULL, 5, NULL, NULL, '', NULL, -1, 'AR', '', '', NULL),
		('523', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('523', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('523', 'a', 'Time period of content note', 'Time period of content note', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('524', '2', 'Fonte dello schema usato', 'Fonte dello schema usato', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('524', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('524', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('524', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('524', 'a', 'Nota sulla citazione preferita dei materiali descritti', 'Nota sulla citazione preferita dei materiali descritti', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('525', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('525', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('525', 'a', 'Nota di supplemento', 'Nota di supplemento', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('525', 'z', 'Source of note information (SE) [OBSOLETE]', 'Source of note information (SE) [OBSOLETE]', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('526', '5', 'Istituzione a cui si applica il campo', 'Istituzione a cui si applica il campo', 0, 0, '', 5, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('526', '6', 'Collegamento', 'Collegamento', 0, 0, '', 5, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('526', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 5, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('526', 'a', 'Nome del programma', 'Nome del programma', 0, 0, '', 5, '', '', '', NULL, -1, 'AR', '', '', NULL),
		('526', 'b', 'Livello d\'interesse', 'Livello d\'interesse', 0, 0, '', 5, '', '', '', NULL, -1, 'AR', '', '', NULL),
		('526', 'c', 'Livello di lettura', 'Livello di lettura', 0, 0, '', 5, '', '', '', NULL, -1, 'AR', '', '', NULL),
		('526', 'd', 'Valore numerico del titolo', 'Valore numerico del titolo', 0, 0, '', 5, '', '', '', NULL, -1, 'AR', '', '', NULL),
		('526', 'i', 'Testo da visualizzare', 'Testo da visualizzare', 0, 0, '', 5, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('526', 'x', 'Nota non pubblic', 'Nota non pubblic', 1, 0, '', 5, '', '', '', NULL, 6, 'AR', '', '', NULL),
		('526', 'z', 'Nota pubblica', 'Nota pubblica', 1, 0, '', 5, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('527', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('527', 'a', 'Censorship note', 'Censorship note', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('530', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('530', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('530', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('530', 'a', 'Nota sulla disponibilità su altro supporto fisico', 'Nota sulla disponibilità su altro supporto fisico', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('530', 'b', 'Fonte di disponibilità', 'Fonte di disponibilità', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('530', 'c', 'Condizioni di disponibilità', 'Condizioni di disponibilità', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('530', 'd', 'Numero di ordine', 'Numero di ordine', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('530', 'u', 'URI (Uniform Resource Identifier)', 'URI (Uniform Resource Identifier)', 1, 0, NULL, 5, NULL, NULL, '', 1, -6, 'AR', '', '', NULL),
		('530', 'z', 'Source of note information (AM CF VM SE) [OBSOLETE]', 'Source of note information (AM CF VM SE) [OBSOLETE]', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('533', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('533', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('533', '7', 'Elementi di lunghezza fissa della riproduzione', 'Elementi di lunghezza fissa della riproduzione', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('533', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('533', 'a', 'Tipo di riproduzione', 'Tipo di riproduzione', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('533', 'b', 'Luogo di riproduzione', 'Luogo di riproduzione', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('533', 'c', 'Agenzia responsabile della riproduzione', 'Agenzia responsabile della riproduzione', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('533', 'd', 'Data di riproduzione', 'Data di riproduzione', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('533', 'e', 'Descrizione fisica della riproduzione', 'Descrizione fisica della riproduzione', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('533', 'f', 'Formulazione della serie della riproduzione', 'Formulazione della serie della riproduzione', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('533', 'm', 'Date e/o designazione sequenziale dei documenti riprodotti', 'Date e/o designazione sequenziale dei documenti riprodotti', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('533', 'n', 'Nota sulla riproduzione', 'Nota sulla riproduzione', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('534', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('534', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('534', 'a', 'Accesso principale dell\'originale', 'Accesso principale dell\'originale', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('534', 'b', 'Formulazione di edizione dell\'originale', 'Formulazione di edizione dell\'originale', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('534', 'c', 'Pubblicazione, distribuzione, ecc., dell\'originale', 'Pubblicazione, distribuzione, ecc., dell\'originale', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('534', 'e', 'Descrizione fisica, ecc., dell\'originale', 'Descrizione fisica, ecc., dell\'originale', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('534', 'f', 'Formulazione della serie dell\'originale', 'Formulazione della serie dell\'originale', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('534', 'k', 'Titolo chiave dell\'originale', 'Titolo chiave dell\'originale', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('534', 'l', 'Localizzazione dell\'originale', 'Localizzazione dell\'originale', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('534', 'm', 'Dettagli specifici del materiale', 'Dettagli specifici del materiale', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('534', 'n', 'Nota sull\'originale', 'Nota sull\'originale', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('534', 'p', 'Frase introduttiva', 'Frase introduttiva', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('534', 't', 'Formulazione del titolo dell\'originale', 'Formulazione del titolo dell\'originale', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('534', 'x', 'ISSN (International Standard Serial Number)', 'ISSN (International Standard Serial Number)', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('534', 'z', 'ISBN (International Standard Book Number)', 'ISBN (International Standard Book Number)', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('535', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('535', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('535', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('535', 'a', 'Conservatore', 'Conservatore', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('535', 'b', 'Indirizzo postale', 'Indirizzo postale', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('535', 'c', 'Paese', 'Paese', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('535', 'd', 'Indirizzo di telecomunicazione', 'Indirizzo di telecomunicazione', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('535', 'g', 'Codice di localizzazione del deposito', 'Codice di localizzazione del deposito', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('536', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('536', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('536', 'a', 'Testo della nota', 'Testo della nota', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('536', 'b', 'Numero di contratto', 'Numero di contratto', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('536', 'c', 'Numero di sovvenzione', 'Numero di sovvenzione', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('536', 'd', 'Numero indifferenziato', 'Numero indifferenziato', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('536', 'e', 'Numero di elemento di un programma', 'Numero di elemento di un programma', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('536', 'f', 'Numero di progetto', 'Numero di progetto', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('536', 'g', 'Numero di unità di lavoro', 'Numero di unità di lavoro', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('536', 'h', 'Numero di unità di lavoro', 'Numero di unità di lavoro', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('537', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('537', 'a', 'Source of data note', 'Source of data note', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('538', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('538', '6', 'Collegamento', 'Collegamento', 0, 0, '', 5, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('538', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 5, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('538', 'a', 'Nota sui requisiti del sistema', 'Nota sui requisiti del sistema', 0, 0, '', 5, '', '', '', NULL, -1, 'AR', '', '', NULL),
		('538', 'i', 'Testo da visualizzare', 'Testo da visualizzare', 0, 0, '', 5, '', '', '', NULL, -1, 'AR', '', '', NULL),
		('538', 'u', 'URI (Uniform Resource Identifier)', 'URI (Uniform Resource Identifier)', 1, 0, '', 5, '', '', '', 1, -1, 'AR', '', '', NULL),
		('540', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('540', '5', 'Istituzione a cui si applica il campo', 'Istituzione a cui si applica il campo', 0, 0, '', 5, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('540', '6', 'Collegamento', 'Collegamento', 0, 0, '', 5, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('540', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 5, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('540', 'a', 'Condizioni che regolano l\'utilizzo e la riproduzione', 'Condizioni che regolano l\'utilizzo e la riproduzione', 0, 0, '', 5, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('540', 'b', 'Competenza legale', 'Competenza legale', 0, 0, '', 5, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('540', 'c', 'Autorizzazione', 'Autorizzazione', 0, 0, '', 5, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('540', 'd', 'Utenti autorizzati', 'Utenti autorizzati', 0, 0, '', 5, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('540', 'u', 'URI (Uniform Resource Identifier)', 'URI (Uniform Resource Identifier)', 1, 0, '', 5, '', '', '', 1, -6, 'AR', '', '', NULL),
		('541', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, NULL, 9, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('541', '5', 'Istituzione a cui si applica il campo', 'Istituzione a cui si applica il campo', 0, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('541', '6', 'Collegamento', 'Collegamento', 0, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('541', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('541', 'a', 'Fonte d\'acquisto', 'Fonte d\'acquisto', 0, 0, '', 9, '', '', '', NULL, 1, 'AR', '', '', NULL),
		('541', 'b', 'Indirizzo', 'Indirizzo', 0, 0, '', 9, '', '', '', NULL, 1, 'AR', '', '', NULL),
		('541', 'c', 'Metodo d\'acquisto', 'Metodo d\'acquisto', 0, 0, '', 9, '', '', '', NULL, 1, 'AR', '', '', NULL),
		('541', 'd', 'Data d\'acquisto', 'Data d\'acquisto', 0, 0, '', 9, '', '', '', NULL, 1, 'AR', '', '', NULL),
		('541', 'e', 'Numero d\'accessione', 'Numero d\'accessione', 0, 0, '', 9, '', '', '', NULL, 1, 'AR', '', '', NULL),
		('541', 'f', 'Proprietario', 'Proprietario', 0, 0, '', 9, '', '', '', NULL, 1, 'AR', '', '', NULL),
		('541', 'h', 'Prezzo d\'acquisto', 'Prezzo d\'acquisto', 0, 0, '', 9, '', '', '', NULL, 1, 'AR', '', '', NULL),
		('541', 'n', 'Estensione', 'Estensione', 0, 0, '', 9, '', '', '', NULL, 1, 'AR', '', '', NULL),
		('541', 'o', 'Tipo di materiale', 'Tipo di materiale', 1, 0, '', 9, '', '', '', NULL, 1, 'AR', '', '', NULL),
		('543', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('543', 'a', 'Solicitation information note', 'Solicitation information note', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('544', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('544', '6', 'Collegamento', 'Collegamento', 0, 0, '', 5, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('544', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 5, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('544', 'a', 'Conservatore', 'Conservatore', 1, 0, '', 5, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('544', 'b', 'Indirizzo', 'Indirizzo', 1, 0, '', 5, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('544', 'c', 'Paese', 'Paese', 1, 0, '', 5, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('544', 'd', 'Titolo', 'Titolo', 1, 0, '', 5, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('544', 'e', 'Provenienza', 'Provenienza', 1, 0, '', 5, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('544', 'n', 'Nota', 'Nota', 1, 0, '', 5, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('545', '6', 'Collegamento', 'Collegamento', 0, 0, '', 5, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('545', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 5, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('545', 'a', 'Nota biografica o storica', 'Nota biografica o storica', 0, 0, '', 5, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('545', 'b', 'Ampliamento', 'Ampliamento', 0, 0, '', 5, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('545', 'u', 'URI (Uniform Resource Identifier)', 'URI (Uniform Resource Identifier)', 1, 0, '', 5, '', '', '', 1, -6, 'AR', '', '', NULL),
		('546', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('546', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('546', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('546', 'a', 'Nota sulla lingua', 'Nota sulla lingua', 0, 0, NULL, 5, NULL, NULL, '', NULL, -1, 'AR', '', '', NULL),
		('546', 'b', 'Codice d\'informazione o alfabeto', 'Codice d\'informazione o alfabeto', 1, 0, NULL, 5, NULL, NULL, '', NULL, -1, 'AR', '', '', NULL),
		('546', 'z', 'Source of note information (SE) [OBSOLETE]', 'Source of note information (SE) [OBSOLETE]', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('547', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('547', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('547', 'a', 'Nota sulla complessità del titolo precedente', 'Nota sulla complessità del titolo precedente', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('547', 'z', 'Source of note information (SE) [OBSOLETE]', 'Source of note information (SE) [OBSOLETE]', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('550', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('550', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('550', 'a', 'Nota sull\'ente responsabile', 'Nota sull\'ente responsabile', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('550', 'z', 'Source of note information (SE) [OBSOLETE]', 'Source of note information (SE) [OBSOLETE]', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('552', '6', 'Collegamento', 'Collegamento', 0, 0, '', 5, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('552', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 5, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('552', 'a', 'Etichetta del tipo di ente', 'Etichetta del tipo di ente', 0, 0, '', 5, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('552', 'b', 'Definizione e fonte del tipo di ente', 'Definizione e fonte del tipo di ente', 0, 0, '', 5, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('552', 'c', 'Etichetta dell\'attributo', 'Etichetta dell\'attributo', 0, 0, '', 5, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('552', 'd', 'Definizione e fonte dell\'attributo', 'Definizione e fonte dell\'attributo', 0, 0, '', 5, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('552', 'e', 'Valore del dominio enumerato', 'Valore del dominio enumerato', 1, 0, '', 5, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('552', 'f', 'Definizione e fonte del valore del dominio enumerato', 'Definizione e fonte del valore del dominio enumerato', 1, 0, '', 5, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('552', 'g', 'Minimo e massimo del range del dominio', 'Minimo e massimo del range del dominio', 0, 0, '', 5, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('552', 'h', 'Nome e fonte del set dei codici', 'Nome e fonte del set dei codici', 0, 0, '', 5, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('552', 'i', 'Dominio non rappresentabile', 'Dominio non rappresentabile', 0, 0, '', 5, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('552', 'j', 'Unità di misura e risoluzione degli attributi', 'Unità di misura e risoluzione degli attributi', 0, 0, '', 5, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('552', 'k', 'Data d\'inizio e data di fine dei valori dell\'attributo', 'Data d\'inizio e data di fine dei valori dell\'attributo', 0, 0, '', 5, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('552', 'l', 'Esattezza del valore dell\'attributo', 'Esattezza del valore dell\'attributo', 0, 0, '', 5, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('552', 'm', 'Spiegazione dell\'esattezza del valore dell\'attributo', 'Spiegazione dell\'esattezza del valore dell\'attributo', 0, 0, '', 5, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('552', 'n', 'Frequenza della misura d\'attributo', 'Frequenza della misura d\'attributo', 0, 0, '', 5, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('552', 'o', 'Riassunto di ente e d\'attributo', 'Riassunto di ente e d\'attributo', 1, 0, '', 5, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('552', 'p', 'Citazione dei dettagli di ente e d\'attributo', 'Citazione dei dettagli di ente e d\'attributo', 1, 0, '', 5, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('552', 'u', 'URI (Uniform Resource Identifier)', 'URI (Uniform Resource Identifier)', 1, 0, '', 5, '', '', '', 1, -6, 'AR', '', '', NULL),
		('552', 'z', 'Nota di visualizzazione', 'Nota di visualizzazione', 1, 0, '', 5, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('555', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('555', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('555', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('555', 'a', 'Nota sull\'indice cumulativo/strumenti di ricerca', 'Nota sull\'indice cumulativo/strumenti di ricerca', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('555', 'b', 'Fonte di disponibilità', 'Fonte di disponibilità', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('555', 'c', 'Grado di controllo', 'Grado di controllo', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('555', 'd', 'Riferimento bibliografico', 'Riferimento bibliografico', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('555', 'u', 'URI (Uniform Resource Identifier)', 'URI (Uniform Resource Identifier)', 1, 0, NULL, 5, NULL, NULL, '', 1, -6, 'AR', '', '', NULL),
		('556', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('556', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('556', 'a', 'Nota d\'informazione sulla documentazione', 'Nota d\'informazione sulla documentazione', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('556', 'z', 'ISBN (International Standard Book Number)', 'ISBN (International Standard Book Number)', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('561', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('561', '5', 'Istituzione a cui si applica il campo', 'Istituzione a cui si applica il campo', 0, 0, '', 5, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('561', '6', 'Collegamento', 'Collegamento', 0, 0, '', 5, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('561', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 5, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('561', 'a', 'Storia', 'Storia', 0, 0, '', 5, '', '', '', NULL, 6, 'AR', '', '', NULL),
		('561', 'b', 'Time of collation [OBSOLETE]', 'Time of collation [OBSOLETE]', 0, 0, '', 5, '', '', '', NULL, 6, 'AR', '', '', NULL),
		('562', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('562', '5', 'Istituzione a cui si applica il campo', 'Istituzione a cui si applica il campo', 0, 0, NULL, -1, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('562', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('562', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('562', 'a', 'Marche d\'identificazione', 'Marche d\'identificazione', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('562', 'b', 'Identificazione della copia', 'Identificazione della copia', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('562', 'c', 'Identificazione della versione', 'Identificazione della versione', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('562', 'd', 'Formato di presentazione', 'Formato di presentazione', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('562', 'e', 'Numero di copie', 'Numero di copie', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('563', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('563', '5', 'Istituzione a cui si applica il campo', 'Istituzione a cui si applica il campo', 0, 0, NULL, -1, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('563', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('563', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('563', 'a', 'Nota sulla rilegatura', 'Nota sulla rilegatura', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('563', 'u', 'URI (Uniform Resource Identifier)', 'URI (Uniform Resource Identifier)', 1, 0, NULL, 5, NULL, NULL, '', 1, -6, 'AR', '', '', NULL),
		('565', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('565', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('565', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('565', 'a', 'Numero di pratiche/variabili', 'Numero di pratiche/variabili', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('565', 'b', 'Nome della variabile', 'Nome della variabile', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('565', 'c', 'Unità d\'analisi', 'Unità d\'analisi', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('565', 'd', 'Universo dei dati', 'Universo dei dati', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('565', 'e', 'Sistema o codice d’archiviazione', 'Sistema o codice d’archiviazione', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('567', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('567', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('567', 'a', 'Nota sulla metodologia', 'Nota sulla metodologia', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('570', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('570', 'a', 'Editor note', 'Editor note', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('570', 'z', 'Source of note information', 'Source of note information', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('580', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('580', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('580', 'a', 'Nota di collegamento complesso', 'Nota di collegamento complesso', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('580', 'z', 'Source of note information [OBSOLETE]', 'Source of note information [OBSOLETE]', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('581', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('581', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('581', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('581', 'a', 'Nota di pubblicazioni sui materiali descritti', 'Nota di pubblicazioni sui materiali descritti', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('581', 'z', 'ISBN (International Standard Book Number)', 'ISBN (International Standard Book Number)', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('582', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('582', 'a', 'Related computer files note', 'Related computer files note', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('583', '2', 'Fonte', 'Fonte', 0, 0, NULL, 9, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('583', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, NULL, 9, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('583', '5', 'Istituzione a cui si applica il campo', 'Istituzione a cui si applica il campo', 0, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('583', '6', 'Collegamento', 'Collegamento', 0, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('583', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('583', 'a', 'Azione', 'Azione', 0, 0, '', 9, '', '', '', NULL, -1, 'AR', '', '', NULL),
		('583', 'b', 'Identificazione dell\'azione', 'Identificazione dell\'azione', 1, 0, '', 9, '', '', '', NULL, -1, 'AR', '', '', NULL),
		('583', 'c', 'Momento/data dell\'azione', 'Momento/data dell\'azione', 1, 0, '', 9, '', '', '', NULL, -1, 'AR', '', '', NULL),
		('583', 'd', 'Intervallo dell\'azione', 'Intervallo dell\'azione', 1, 0, '', 9, '', '', '', NULL, -1, 'AR', '', '', NULL),
		('583', 'e', 'Contingenza per l\'azione', 'Contingenza per l\'azione', 1, 0, '', 9, '', '', '', NULL, -1, 'AR', '', '', NULL),
		('583', 'f', 'Autorizzazione', 'Autorizzazione', 1, 0, '', 9, '', '', '', NULL, -1, 'AR', '', '', NULL),
		('583', 'h', 'Competenza legale', 'Competenza legale', 0, 0, '', 9, '', '', '', NULL, -1, 'AR', '', '', NULL),
		('583', 'i', 'Metodo dell\'azione', 'Metodo dell\'azione', 1, 0, '', 9, '', '', '', NULL, -1, 'AR', '', '', NULL),
		('583', 'j', 'Luogo dell\'azione', 'Luogo dell\'azione', 1, 0, '', 9, '', '', '', NULL, -1, 'AR', '', '', NULL),
		('583', 'k', 'Agente dell\'azione', 'Agente dell\'azione', 1, 0, '', 9, '', '', '', NULL, -1, 'AR', '', '', NULL),
		('583', 'l', 'Stato', 'Stato', 1, 0, '', 9, '', '', '', NULL, -1, 'AR', '', '', NULL),
		('583', 'n', 'Estensione', 'Estensione', 1, 0, '', 9, '', '', '', NULL, -1, 'AR', '', '', NULL),
		('583', 'o', 'Tipo di materiale', 'Tipo di materiale', 1, 0, '', 9, '', '', '', NULL, -1, 'AR', '', '', NULL),
		('583', 'u', 'URI (Uniform Resource Identifier)', 'URI (Uniform Resource Identifier)', 1, 0, '', 9, '', '', '', 1, -1, 'AR', '', '', NULL),
		('583', 'x', 'Nota non pubblic', 'Nota non pubblic', 1, 0, '', 9, '', '', '', NULL, 4, 'AR', '', '', NULL),
		('583', 'z', 'Nota pubblica', 'Nota pubblica', 1, 0, '', 9, '', '', '', NULL, -1, 'AR', '', '', NULL),
		('584', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('584', '5', 'Istituzione a cui si applica il campo', 'Istituzione a cui si applica il campo', 0, 0, '', 5, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('584', '6', 'Collegamento', 'Collegamento', 0, 0, '', 5, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('584', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 5, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('584', 'a', 'Accumulo', 'Accumulo', 1, 0, '', 5, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('584', 'b', 'Frequenza d\'uso', 'Frequenza d\'uso', 1, 0, '', 5, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('585', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('585', '5', 'Istituzione a cui si applica il campo', 'Istituzione a cui si applica il campo', 0, -6, '', 5, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('585', '6', 'Collegamento', 'Collegamento', 0, 0, '', 5, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('585', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 5, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('585', 'a', 'Nota di mostre', 'Nota di mostre', 0, 0, '', 5, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('586', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('586', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('586', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('586', 'a', 'Nota di premi', 'Nota di premi', 0, 0, NULL, 5, NULL, NULL, '', NULL, -1, 'AR', '', '', NULL),
		('590', '6', 'Linkage (RLIN)', 'Linkage (RLIN)', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('590', '8', 'Field link and sequence number (RLIN)', 'Field link and sequence number (RLIN)', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('590', 'a', 'Local note', 'Local note', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('590', 'b', 'Provenance (VM) [OBSOLETE]', 'Provenance (VM) [OBSOLETE]', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('590', 'c', 'Condition of individual reels (VM) [OBSOLETE]', 'Condition of individual reels (VM) [OBSOLETE]', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('590', 'd', 'Origin of safety copy (VM) [OBSOLETE]', 'Origin of safety copy (VM) [OBSOLETE]', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('600', '2', 'Fonte dell\'intestazione o del termine', 'Fonte dell\'intestazione o del termine', 0, 0, '', 6, '', '', '', NULL, -1, 'AR', '', '', NULL),
		('600', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, '', 6, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('600', '4', 'Codice di ruolo', 'Codice di ruolo', 1, 0, '', 6, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('600', '6', 'Collegamento', 'Collegamento', 0, 0, '', 6, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('600', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 6, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('600', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 6, '', '', '', 0, -5, 'AR', '', '', NULL),
		('600', 'a', 'Nome di persona', 'Nome di persona', 0, 0, '', 6, '', 'PERSO_NAME', '', NULL, -1, 'AR', '', '', NULL),
		('600', 'b', 'Numerazione', 'Numerazione', 0, 0, '', 6, '', '', '', NULL, -1, 'AR', '', '', NULL),
		('600', 'c', 'Titoli e altre parole associate al nome', 'Titoli e altre parole associate al nome', 1, 0, '', 6, '', '', '', NULL, -1, 'AR', '', '', NULL),
		('600', 'd', 'Date associate al nome', 'Date associate al nome', 0, 0, '', 6, '', '', '', NULL, -1, 'AR', '', '', NULL),
		('600', 'e', 'Termine di ruolo', 'Termine di ruolo', 1, 0, '', 6, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('600', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, '', 6, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('600', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, '', 6, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('600', 'h', 'Supporto', 'Supporto', 0, 0, '', 6, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('600', 'j', 'Qualificazione d\'attribuzione', 'Qualificazione d\'attribuzione', 1, 0, '', 6, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('600', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, '', 6, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('600', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, '', 6, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('600', 'm', 'Mezzo di esecuzione per la musica', 'Mezzo di esecuzione per la musica', 1, 0, '', 6, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('600', 'n', 'Numero di parte/sezione dell\'opera', 'Numero di parte/sezione dell\'opera', 1, 0, '', 6, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('600', 'o', 'Formulazione d\'arrangiamento per la musica', 'Formulazione d\'arrangiamento per la musica', 0, 0, '', 6, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('600', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, '', 6, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('600', 'q', 'Forma completa del nome', 'Forma completa del nome', 0, 0, '', 6, '', '', '', NULL, -1, 'AR', '', '', NULL),
		('600', 'r', 'Tonalità (musica)', 'Tonalità (musica)', 0, 0, '', 6, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('600', 's', 'Versione', 'Versione', 0, 0, '', 6, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('600', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, '', 6, '', '', '', NULL, -1, 'AR', '', '', NULL),
		('600', 'u', 'Affiliazione', 'Affiliazione', 0, 0, '', 6, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('600', 'v', 'Suddivisione geografica', 'Suddivisione geografica', 1, 0, '', 6, '', '', '', NULL, -1, 'AR', '', '', NULL),
		('600', 'x', 'Suddivisione generale', 'Suddivisione generale', 1, 0, '', 6, '', '', '', NULL, -1, 'AR', '', '', NULL),
		('600', 'y', 'Suddivisione cronologica', 'Suddivisione cronologica', 1, 0, '', 6, '', '', '', NULL, -1, 'AR', '', '', NULL),
		('600', 'z', 'Suddivisione geografica', 'Suddivisione geografica', 1, 0, '', 6, '', '', '', NULL, -1, 'AR', '', '', NULL),
		('610', '2', 'Fonte dell\'intestazione o del termine', 'Fonte dell\'intestazione o del termine', 0, 0, '', 6, '', '', '', NULL, -1, 'AR', '', '', NULL),
		('610', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, '', 6, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('610', '4', 'Codice di ruolo', 'Codice di ruolo', 1, 0, '', 6, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('610', '6', 'Collegamento', 'Collegamento', 0, 0, '', 6, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('610', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 6, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('610', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 6, '', '', '', 0, -5, 'AR', '', '', NULL),
		('610', 'a', 'Nome dell\'ente o nome della giurisdizione come accesso', 'Nome dell\'ente o nome della giurisdizione come accesso', 0, 0, '', 6, '', 'CORPO_NAME', '', NULL, -1, 'AR', '', '', NULL),
		('610', 'b', 'Unità subordinata', 'Unità subordinata', 1, 0, '', 6, '', '', '', NULL, -1, 'AR', '', '', NULL),
		('610', 'c', 'Luogo del convegno', 'Luogo del convegno', 0, 0, '', 6, '', '', '', NULL, -1, 'AR', '', '', NULL),
		('610', 'd', 'Data del convegno o di firma del trattato', 'Data del convegno o di firma del trattato', 1, 0, '', 6, '', '', '', NULL, -1, 'AR', '', '', NULL),
		('610', 'e', 'Termine di ruolo', 'Termine di ruolo', 1, 0, '', 6, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('610', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, '', 6, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('610', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, '', 6, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('610', 'h', 'Supporto', 'Supporto', 0, 0, '', 6, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('610', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, '', 6, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('610', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, '', 6, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('610', 'm', 'Mezzo di esecuzione per la musica', 'Mezzo di esecuzione per la musica', 1, 0, '', 6, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('610', 'n', 'Numero di parte/sezione/convegno', 'Numero di parte/sezione/convegno', 1, 0, '', 6, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('610', 'o', 'Formulazione d\'arrangiamento per la musica', 'Formulazione d\'arrangiamento per la musica', 0, 0, '', 6, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('610', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, '', 6, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('610', 'r', 'Tonalità (musica)', 'Tonalità (musica)', 0, 0, '', 6, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('610', 's', 'Versione', 'Versione', 0, 0, '', 6, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('610', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, '', 6, '', '', '', NULL, -1, 'AR', '', '', NULL),
		('610', 'u', 'Affiliazione', 'Affiliazione', 0, 0, '', 6, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('610', 'v', 'Suddivisione geografica', 'Suddivisione geografica', 1, 0, '', 6, '', '', '', NULL, -1, 'AR', '', '', NULL),
		('610', 'x', 'Suddivisione generale', 'Suddivisione generale', 1, 0, '', 6, '', '', '', NULL, -1, 'AR', '', '', NULL),
		('610', 'y', 'Suddivisione cronologica', 'Suddivisione cronologica', 1, 0, '', 6, '', '', '', NULL, -1, 'AR', '', '', NULL),
		('610', 'z', 'Suddivisione geografica', 'Suddivisione geografica', 1, 0, '', 6, '', '', '', NULL, -1, 'AR', '', '', NULL),
		('611', '2', 'Fonte dell\'intestazione o del termine', 'Fonte dell\'intestazione o del termine', 0, 0, NULL, 6, NULL, NULL, '', NULL, -1, 'AR', '', '', NULL),
		('611', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('611', '4', 'Codice di ruolo', 'Codice di ruolo', 1, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('611', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('611', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('611', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 6, '', '', '', 0, -5, 'AR', '', '', NULL),
		('611', 'a', 'Nome del convegno o nome della giurisdizione come accesso', 'Nome del convegno o nome della giurisdizione come accesso', 0, 0, NULL, 6, NULL, 'MEETI_NAME', '', NULL, -1, 'AR', '', '', NULL),
		('611', 'b', 'Number  (BK CF MP MU SE VM MX)  [OBSOLETE]', 'Number  (BK CF MP MU SE VM MX)  [OBSOLETE]', 1, 0, NULL, -1, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('611', 'c', 'Luogo del convegno', 'Luogo del convegno', 0, 0, NULL, 6, NULL, NULL, '', NULL, -1, 'AR', '', '', NULL),
		('611', 'd', 'Data del convegno', 'Data del convegno', 0, 0, NULL, 6, NULL, NULL, '', NULL, -1, 'AR', '', '', NULL),
		('611', 'e', 'Unità subordinata', 'Unità subordinata', 1, 0, NULL, 6, NULL, NULL, '', NULL, -1, 'AR', '', '', NULL),
		('611', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('611', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('611', 'h', 'Supporto', 'Supporto', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('611', 'j', 'Termine di ruolo', 'Termine di ruolo', 1, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('611', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('611', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('611', 'n', 'Numero di parte/sezione/convegno', 'Numero di parte/sezione/convegno', 1, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('611', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('611', 'q', 'Nome del convegno dopo accesso di nome della giurisdizione', 'Nome del convegno dopo accesso di nome della giurisdizione', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('611', 's', 'Versione', 'Versione', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('611', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, NULL, 6, NULL, NULL, '', NULL, -1, 'AR', '', '', NULL),
		('611', 'u', 'Affiliazione', 'Affiliazione', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('611', 'v', 'Suddivisione geografica', 'Suddivisione geografica', 1, 0, NULL, 6, NULL, NULL, '', NULL, -1, 'AR', '', '', NULL),
		('611', 'x', 'Suddivisione generale', 'Suddivisione generale', 1, 0, NULL, 6, NULL, NULL, '', NULL, -1, 'AR', '', '', NULL),
		('611', 'y', 'Suddivisione cronologica', 'Suddivisione cronologica', 1, 0, NULL, 6, NULL, NULL, '', NULL, -1, 'AR', '', '', NULL),
		('611', 'z', 'Suddivisione geografica', 'Suddivisione geografica', 1, 0, NULL, 6, NULL, NULL, '', NULL, -1, 'AR', '', '', NULL),
		('630', '2', 'Fonte dell\'intestazione o del termine', 'Fonte dell\'intestazione o del termine', 0, 0, NULL, 6, NULL, NULL, '', NULL, -1, 'AR', '', '', NULL),
		('630', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('630', '4', 'Codice di ruolo', 'Codice di ruolo', 1, 0, '', 6, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('630', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('630', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('630', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 6, '', '', '', 0, -5, 'AR', '', '', NULL),
		('630', 'a', 'Titolo uniforme', 'Titolo uniforme', 0, 0, NULL, 6, NULL, 'UNIF_TITLE', '', NULL, -1, 'AR', '', '', NULL),
		('630', 'd', 'Data di firma del trattato', 'Data di firma del trattato', 1, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('630', 'e', 'Termine di ruolo', 'Termine di ruolo', 1, 0, '', 6, '', '', '', NULL, -1, 'AR', '', '', NULL),
		('630', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('630', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('630', 'h', 'Supporto', 'Supporto', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('630', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('630', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, NULL, 6, NULL, NULL, '', NULL, -1, 'AR', '', '', NULL),
		('630', 'm', 'Mezzo di esecuzione per la musica', 'Mezzo di esecuzione per la musica', 1, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('630', 'n', 'Numero di parte/sezione dell\'opera', 'Numero di parte/sezione dell\'opera', 1, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('630', 'o', 'Formulazione d\'arrangiamento per la musica', 'Formulazione d\'arrangiamento per la musica', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('630', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('630', 'r', 'Tonalità (musica)', 'Tonalità (musica)', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('630', 's', 'Versione', 'Versione', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('630', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, NULL, 6, NULL, NULL, '', NULL, -1, 'AR', '', '', NULL),
		('630', 'v', 'Suddivisione geografica', 'Suddivisione geografica', 1, 0, NULL, 6, NULL, NULL, '', NULL, -1, 'AR', '', '', NULL),
		('630', 'x', 'Suddivisione generale', 'Suddivisione generale', 1, 0, NULL, 6, NULL, NULL, '', NULL, -1, 'AR', '', '', NULL),
		('630', 'y', 'Suddivisione cronologica', 'Suddivisione cronologica', 1, 0, NULL, 6, NULL, NULL, '', NULL, -1, 'AR', '', '', NULL),
		('630', 'z', 'Suddivisione geografica', 'Suddivisione geografica', 1, 0, NULL, 6, NULL, NULL, '', NULL, -1, 'AR', '', '', NULL),
		('648', '2', 'Fonte dell\'intestazione o del termine', 'Fonte dell\'intestazione o del termine', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('648', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('648', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('648', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('648', 'a', 'Termine cronologico', 'Termine cronologico', 0, 0, NULL, 6, NULL, 'CHRON_TERM', '', NULL, -6, 'AR', '', '', NULL),
		('648', 'v', 'Suddivisione geografica', 'Suddivisione geografica', 1, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('648', 'x', 'Suddivisione generale', 'Suddivisione generale', 1, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('648', 'y', 'Suddivisione cronologica', 'Suddivisione cronologica', 1, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('648', 'z', 'Suddivisione geografica', 'Suddivisione geografica', 1, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('650', '2', 'Fonte dell\'intestazione o del termine', 'Fonte dell\'intestazione o del termine', 0, 0, '', 6, '', '', '', 0, 0, 'AR', '', '', NULL),
		('650', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, '', 6, '', '', '', 0, -6, 'AR', '', '', NULL),
		('650', '4', 'Codice di ruolo', 'Codice di ruolo', 1, 0, '', 6, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('650', '6', 'Collegamento', 'Collegamento', 0, 0, '', 6, '', '', '', 0, -6, 'AR', '', '', NULL),
		('650', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 6, '', '', '', 0, -6, 'AR', '', '', NULL),
		('650', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 6, '', '', '', 0, -5, 'AR', '', '', NULL),
		('650', 'a', 'Termine topico o nome geografico come accesso', 'Termine topico o nome geografico come accesso', 0, 0, 'bibliosubject.subject', 6, '', 'TOPIC_TERM', '', 0, 0, 'AR', '''6003'',''600a'',''600b'',''600c'',''600d'',''600e'',''600f'',''600g'',''600h'',''600k'',''600l'',''600m'',''600n'',''600o'',''600p'',''600r'',''600s'',''600t'',''600u'',''600x'',''600z'',''600y'',''600v'',''6103'',''610a'',''610b'',''610c'',''610d'',''610e'',''610f'',''610g'',''610h'',''610k'',''610l'',''610m'',''610n'',''610o'',''610p'',''610r'',''610s'',''610t'',''610u'',''610x'',''610z'',''610y'',''610v'',''6113'',''611a'',''611b'',''611c'',''611d'',''611e'',''611f'',''611g'',''611h'',''611k'',''611l'',''611m'',''611n'',''611o'',''611p'',''611r'',''611s'',''611t'',''611u'',''611x'',''611z'',''611y'',''611v'',''630a'',''630b'',''630c'',''630d'',''630e'',''630f'',''630g'',''630h'',''630k'',''630l'',''630m'',''630n'',''630o'',''630p'',''630r'',''630s'',''630t'',''630x'',''630z'',''630y'',''630v'',''6483'',''648a'',''648x'',''648z'',''648y'',''648v'',''6503'',''650b'',''650c'',''650d'',''650e'',''650x'',''650z'',''650y'',''650v'',''6513'',''651a'',''651b'',''651c'',''651d'',''651e'',''651x'',''651z'',''651y'',''651v'',''653a'',''6543'',''654a'',''654b'',''654x'',''654z'',''654y'',''654v'',''6553'',''655a'',''655b'',''655x'',''655z'',''655y'',''655v'',''6563'',''656a'',''656k'',''656x'',''656z'',''656y'',''656v'',''6573'',''657a'',''657x'',''657z'',''657y'',''657v'',''658a'',''658b'',''658c'',''658d'',''658v''', '', NULL),
		('650', 'b', 'Nome geografico che precede un termine topico come accesso', 'Nome geografico che precede un termine topico come accesso', 0, 0, '', 6, '', '', '', 0, -1, 'AR', '', '', NULL),
		('650', 'c', 'Luogo dell\'evento', 'Luogo dell\'evento', 0, 0, '', 6, '', '', '', 0, -1, 'AR', '', '', NULL),
		('650', 'd', 'Date d\'attività', 'Date d\'attività', 0, 0, '', 6, '', '', '', 0, -1, 'AR', '', '', NULL),
		('650', 'e', 'Termine di ruolo', 'Termine di ruolo', 0, 0, '', 6, '', '', '', 0, -1, 'AR', '', '', NULL),
		('650', 'v', 'Suddivisione geografica', 'Suddivisione geografica', 1, 0, '', 6, '', '', '', 0, 0, 'AR', '', '', NULL),
		('650', 'x', 'Suddivisione generale', 'Suddivisione generale', 1, 0, '', 6, '', '', '', 0, 0, 'AR', '', '', NULL),
		('650', 'y', 'Suddivisione cronologica', 'Suddivisione cronologica', 1, 0, '', 6, '', '', '', 0, 0, 'AR', '', '', NULL),
		('650', 'z', 'Suddivisione geografica', 'Suddivisione geografica', 1, 0, '', 6, '', '', '', 0, 0, 'AR', '', '', NULL),
		('651', '2', 'Fonte dell\'intestazione o del termine', 'Fonte dell\'intestazione o del termine', 0, 0, '', 6, '', '', '', NULL, -1, 'AR', '', '', NULL),
		('651', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, '', 6, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('651', '4', 'Codice di ruolo', 'Codice di ruolo', 1, 0, '', 6, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('651', '6', 'Collegamento', 'Collegamento', 0, 0, '', 6, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('651', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 6, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('651', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 6, '', '', '', 0, -5, 'AR', '', '', NULL),
		('651', 'a', 'Nome geografico', 'Nome geografico', 0, 0, '', 6, '', 'GEOGR_NAME', '', NULL, -1, 'AR', '', '', NULL),
		('651', 'b', 'Geographic name following place entry element [OBSOLETE]', 'Geographic name following place entry element [OBSOLETE]', 1, 0, '', 6, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('651', 'e', 'Termine di ruolo', 'Termine di ruolo', 1, 0, '', 6, '', '', '', NULL, -1, 'AR', '', '', NULL),
		('651', 'v', 'Suddivisione geografica', 'Suddivisione geografica', 1, 0, '', 6, '', '', '', NULL, -1, 'AR', '', '', NULL),
		('651', 'x', 'Suddivisione generale', 'Suddivisione generale', 1, 0, '', 6, '', '', '', NULL, -1, 'AR', '', '', NULL),
		('651', 'y', 'Suddivisione cronologica', 'Suddivisione cronologica', 1, 0, '', 6, '', '', '', NULL, -1, 'AR', '', '', NULL),
		('651', 'z', 'Suddivisione geografica', 'Suddivisione geografica', 1, 0, '', 6, '', '', '', NULL, -1, 'AR', '', '', NULL),
		('652', 'a', 'Nome geografico del luogo', 'Nome geografico del luogo', 0, 0, '', 6, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('652', 'x', 'Suddivisione generale', 'Suddivisione generale', 1, 0, '', 6, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('652', 'y', 'Suddivisione cronologica', 'Suddivisione cronologica', 1, 0, '', 6, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('652', 'z', 'Suddivisione geografica', 'Suddivisione geografica', 1, 0, '', 6, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('653', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('653', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('653', 'a', 'Termine non controllato', 'Termine non controllato', 1, 0, NULL, 6, NULL, NULL, '', NULL, -1, 'AR', '', '', NULL),
		('654', '2', 'Fonte', 'Fonte', 0, 0, '', 6, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('654', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, '', 6, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('654', '4', 'Codice di ruolo', 'Codice di ruolo', 1, 0, '', 6, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('654', '6', 'Collegamento', 'Collegamento', 0, 0, '', 6, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('654', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 6, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('654', 'a', 'Termine principale', 'Termine principale', 1, 0, '', 6, '', 'TOPIC_TERM', '', NULL, -6, 'AR', '', '', NULL),
		('654', 'b', 'Termine non principale', 'Termine non principale', 1, 0, '', 6, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('654', 'c', 'Designazione di faccetta/gerarchia', 'Designazione di faccetta/gerarchia', 1, 0, '', 6, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('654', 'e', 'Termine di ruolo', 'Termine di ruolo', 1, 0, '', 6, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('654', 'v', 'Suddivisione geografica', 'Suddivisione geografica', 1, 0, '', 6, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('654', 'x', 'Suddivisione generale', 'Suddivisione generale', 1, 0, '', 6, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('654', 'y', 'Suddivisione cronologica', 'Suddivisione cronologica', 1, 0, '', 6, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('654', 'z', 'Suddivisione geografica', 'Suddivisione geografica', 1, 0, '', 6, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('655', '2', 'Fonte', 'Fonte', 0, 0, '', 6, '', '', '', NULL, -1, 'AR', '', '', NULL),
		('655', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, '', 6, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('655', '5', 'Istituzione a cui si applica il campo', 'Istituzione a cui si applica il campo', 0, 0, '', 6, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('655', '6', 'Collegamento', 'Collegamento', 0, 0, '', 6, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('655', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 6, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('655', 'a', 'Termine principale di genere/forma', 'Termine principale di genere/forma', 0, 0, '', 6, '', 'GENRE/FORM', '', NULL, -1, 'AR', '', '', NULL),
		('655', 'b', 'Termine non principale', 'Termine non principale', 1, 0, '', 6, '', '', '', NULL, -1, 'AR', '', '', NULL),
		('655', 'c', 'Designazione di faccetta/gerarchia', 'Designazione di faccetta/gerarchia', 1, 0, '', 6, '', '', '', NULL, -1, 'AR', '', '', NULL),
		('655', 'v', 'Suddivisione geografica', 'Suddivisione geografica', 1, 0, '', 6, '', '', '', NULL, -1, 'AR', '', '', NULL),
		('655', 'x', 'Suddivisione generale', 'Suddivisione generale', 1, 0, '', 6, '', '', '', NULL, -1, 'AR', '', '', NULL),
		('655', 'y', 'Suddivisione cronologica', 'Suddivisione cronologica', 1, 0, '', 6, '', '', '', NULL, -1, 'AR', '', '', NULL),
		('655', 'z', 'Suddivisione geografica', 'Suddivisione geografica', 1, 0, '', 6, '', '', '', NULL, -1, 'AR', '', '', NULL),
		('656', '2', 'Fonte', 'Fonte', 0, 0, '', 6, '', '', '', NULL, -1, 'AR', '', '', NULL),
		('656', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, '', 6, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('656', '6', 'Collegamento', 'Collegamento', 0, 0, '', 6, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('656', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 6, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('656', 'a', 'Occupazione', 'Occupazione', 0, 0, '', 6, '', 'TOPIC_TERM', '', NULL, -1, 'AR', '', '', NULL),
		('656', 'k', 'Forma', 'Forma', 0, 0, '', 6, '', '', '', NULL, -1, 'AR', '', '', NULL),
		('656', 'v', 'Suddivisione geografica', 'Suddivisione geografica', 1, 0, '', 6, '', '', '', NULL, -1, 'AR', '', '', NULL),
		('656', 'x', 'Suddivisione generale', 'Suddivisione generale', 1, 0, '', 6, '', '', '', NULL, -1, 'AR', '', '', NULL),
		('656', 'y', 'Suddivisione cronologica', 'Suddivisione cronologica', 1, 0, '', 6, '', '', '', NULL, -1, 'AR', '', '', NULL),
		('656', 'z', 'Suddivisione geografica', 'Suddivisione geografica', 1, 0, '', 6, '', '', '', NULL, -1, 'AR', '', '', NULL),
		('657', '2', 'Fonte', 'Fonte', 0, 0, '', 6, '', '', '', NULL, -1, 'AR', '', '', NULL),
		('657', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, '', 6, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('657', '6', 'Collegamento', 'Collegamento', 0, 0, '', 6, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('657', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 6, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('657', 'a', 'Funzione', 'Funzione', 0, 0, '', 6, '', 'TOPIC_TERM', '', NULL, -1, 'AR', '', '', NULL),
		('657', 'v', 'Suddivisione geografica', 'Suddivisione geografica', 1, 0, '', 6, '', '', '', NULL, -1, 'AR', '', '', NULL),
		('657', 'x', 'Suddivisione generale', 'Suddivisione generale', 1, 0, '', 6, '', '', '', NULL, -1, 'AR', '', '', NULL),
		('657', 'y', 'Suddivisione cronologica', 'Suddivisione cronologica', 1, 0, '', 6, '', '', '', NULL, -1, 'AR', '', '', NULL),
		('657', 'z', 'Suddivisione geografica', 'Suddivisione geografica', 1, 0, '', 6, '', '', '', NULL, -1, 'AR', '', '', NULL),
		('658', '2', 'Fonte', 'Fonte', 0, 0, '', 6, '', '', '', NULL, -1, 'AR', '', '', NULL),
		('658', '6', 'Collegamento', 'Collegamento', 0, 0, '', 6, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('658', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 6, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('658', 'a', 'Obiettivo principale del curriculum scolastico', 'Obiettivo principale del curriculum scolastico', 0, 0, '', 6, '', 'TOPIC_TERM', '', NULL, 0, 'AR', '', '', NULL),
		('658', 'b', 'Obiettivo secondario del curriculum scolastico', 'Obiettivo secondario del curriculum scolastico', 1, 0, '', 6, '', '', '', NULL, 0, 'AR', '', '', NULL),
		('658', 'c', 'Codice di curriculum scolastico', 'Codice di curriculum scolastico', 0, 0, '', 6, '', '', '', NULL, 0, 'AR', '', '', NULL),
		('658', 'd', 'Fattore di correlazione', 'Fattore di correlazione', 0, 0, '', 6, '', '', '', NULL, -1, 'AR', '', '', NULL),
		('662', '2', 'Fonte', 'Fonte', 0, 0, '', 6, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('662', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, '', 6, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('662', '4', 'Codice di ruolo', 'Codice di ruolo', 1, 0, '', 6, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('662', '6', 'Collegamento', 'Collegamento', 0, 0, '', 6, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('662', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 6, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('662', 'a', 'Paese o ente maggiore', 'Paese o ente maggiore', 1, 0, '', 6, '', 'GEOGR_NAME', '', NULL, -6, 'AR', '', '', NULL),
		('662', 'b', 'Giurisdizione politica principale', 'Giurisdizione politica principale', 0, 0, '', 6, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('662', 'c', 'Giurisdizione politica intermedia', 'Giurisdizione politica intermedia', 1, 0, '', 6, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('662', 'd', 'Città', 'Città', 0, 0, '', 6, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('662', 'e', 'Termine di ruolo', 'Termine di ruolo', 1, 0, '', 6, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('662', 'f', 'Suddivisione comunale', 'Suddivisione comunale', 1, 0, '', 6, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('662', 'g', 'Altra regione e caratteristica geografica non giurisdizionale', 'Altra regione e caratteristica geografica non giurisdizionale', 1, 0, '', 6, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('662', 'h', 'Paese o ente maggiore', 'Paese o ente maggiore', 1, 0, '', 6, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('690', '%', '% (RLIN)', '% (RLIN)', 0, 0, '', 6, '', '', '', 0, -6, 'AR', '', '', NULL),
		('690', '2', 'Fonte dell\'intestazione o del termine', 'Fonte dell\'intestazione o del termine', 0, 0, '', 6, '', '', '', 0, -6, 'AR', '', '', NULL),
		('690', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, '', 6, '', '', '', 0, -6, 'AR', '', '', NULL),
		('690', '6', 'Collegamento', 'Collegamento', 0, 0, '', 6, '', '', '', 0, -6, 'AR', '', '', NULL),
		('690', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 6, '', '', '', 0, -6, 'AR', '', '', NULL),
		('690', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 6, '', '', '', 0, -5, 'AR', '', '', NULL),
		('690', 'a', 'Termine topico o nome geografico come accesso', 'Termine topico o nome geografico come accesso', 0, 0, '', 6, '', 'TOPIC_TERM', '', 0, -1, 'AR', '', '', NULL),
		('690', 'b', 'Nome geografico che precede un termine topico come accesso', 'Nome geografico che precede un termine topico come accesso', 0, 0, '', 6, '', '', '', 0, -1, 'AR', '', '', NULL),
		('690', 'c', 'Luogo dell\'evento', 'Luogo dell\'evento', 0, 0, '', 6, '', '', '', 0, -1, 'AR', '', '', NULL),
		('690', 'd', 'Date d\'attività', 'Date d\'attività', 0, 0, '', 6, '', '', '', 0, -6, 'AR', '', '', NULL),
		('690', 'e', 'Termine di ruolo', 'Termine di ruolo', 0, 0, '', 6, '', '', '', 0, -6, 'AR', '', '', NULL),
		('690', 'v', 'Suddivisione geografica', 'Suddivisione geografica', 1, 0, '', 6, '', '', '', 0, -1, 'AR', '', '', NULL),
		('690', 'x', 'Suddivisione generale', 'Suddivisione generale', 1, 0, '', 6, '', '', '', 0, -1, 'AR', '', '', NULL),
		('690', 'y', 'Suddivisione cronologica', 'Suddivisione cronologica', 1, 0, '', 6, '', '', '', 0, -1, 'AR', '', '', NULL),
		('690', 'z', 'Suddivisione geografica', 'Suddivisione geografica', 1, 0, '', 6, '', '', '', 0, -1, 'AR', '', '', NULL),
		('691', '%', '% (RLIN)', '% (RLIN)', 0, 0, '', 6, '', '', '', 0, -6, 'AR', '', '', NULL),
		('691', '2', 'Fonte dell\'intestazione o del termine', 'Fonte dell\'intestazione o del termine', 0, 0, '', 6, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('691', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, '', 6, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('691', '6', 'Collegamento', 'Collegamento', 0, 0, '', 6, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('691', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 6, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('691', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 6, '', '', '', 0, -5, 'AR', '', '', NULL),
		('691', 'a', 'Nome geografico', 'Nome geografico', 0, 0, '', 6, '', 'GEOGR_NAME', '', NULL, -6, 'AR', '', '', NULL),
		('691', 'b', 'Geographic name following place entry element [OBSOLETE]', 'Geographic name following place entry element [OBSOLETE]', 1, 0, '', 6, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('691', 'v', 'Suddivisione geografica', 'Suddivisione geografica', 1, 0, '', 6, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('691', 'x', 'Suddivisione generale', 'Suddivisione generale', 1, 0, '', 6, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('691', 'y', 'Suddivisione cronologica', 'Suddivisione cronologica', 1, 0, '', 6, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('691', 'z', 'Suddivisione geografica', 'Suddivisione geografica', 1, 0, '', 6, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('696', '%', '% (RLIN)', '% (RLIN)', 0, 0, '', 6, '', '', '', 0, -6, 'AR', '', '', NULL),
		('696', '2', 'Fonte dell\'intestazione o del termine', 'Fonte dell\'intestazione o del termine', 0, 0, '', 6, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('696', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, '', 6, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('696', '4', 'Codice di ruolo', 'Codice di ruolo', 1, 0, '', 6, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('696', '6', 'Collegamento', 'Collegamento', 0, 0, '', 6, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('696', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 6, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('696', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 6, '', '', '', 0, -5, 'AR', '', '', NULL),
		('696', 'a', 'Nome di persona', 'Nome di persona', 0, 0, '', 6, '', 'PERSO_NAME', '', NULL, -6, 'AR', '', '', NULL),
		('696', 'b', 'Numerazione', 'Numerazione', 0, 0, '', 6, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('696', 'c', 'Titoli e altre parole associate al nome', 'Titoli e altre parole associate al nome', 1, 0, '', 6, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('696', 'd', 'Date associate al nome', 'Date associate al nome', 0, 0, '', 6, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('696', 'e', 'Termine di ruolo', 'Termine di ruolo', 1, 0, '', 6, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('696', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, '', 6, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('696', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, '', 6, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('696', 'h', 'Supporto', 'Supporto', 0, 0, '', 6, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('696', 'j', 'Qualificazione d\'attribuzione', 'Qualificazione d\'attribuzione', 1, 0, '', 6, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('696', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, '', 6, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('696', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, '', 6, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('696', 'm', 'Mezzo di esecuzione per la musica', 'Mezzo di esecuzione per la musica', 1, 0, '', 6, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('696', 'n', 'Numero di parte/sezione dell\'opera', 'Numero di parte/sezione dell\'opera', 1, 0, '', 6, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('696', 'o', 'Formulazione d\'arrangiamento per la musica', 'Formulazione d\'arrangiamento per la musica', 0, 0, '', 6, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('696', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, '', 6, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('696', 'q', 'Forma completa del nome', 'Forma completa del nome', 0, 0, '', 6, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('696', 'r', 'Tonalità (musica)', 'Tonalità (musica)', 0, 0, '', 6, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('696', 's', 'Versione', 'Versione', 0, 0, '', 6, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('696', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, '', 6, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('696', 'u', 'Affiliazione', 'Affiliazione', 0, 0, '', 6, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('696', 'v', 'Suddivisione geografica', 'Suddivisione geografica', 1, 0, '', 6, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('696', 'x', 'Suddivisione generale', 'Suddivisione generale', 1, 0, '', 6, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('696', 'y', 'Suddivisione cronologica', 'Suddivisione cronologica', 1, 0, '', 6, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('696', 'z', 'Suddivisione geografica', 'Suddivisione geografica', 1, 0, '', 6, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('697', '%', '% (RLIN)', '% (RLIN)', 0, 0, '', 6, '', '', '', 0, -6, 'AR', '', '', NULL),
		('697', '2', 'Fonte dell\'intestazione o del termine', 'Fonte dell\'intestazione o del termine', 0, 0, '', 6, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('697', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, '', 6, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('697', '4', 'Codice di ruolo', 'Codice di ruolo', 1, 0, '', 6, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('697', '6', 'Collegamento', 'Collegamento', 0, 0, '', 6, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('697', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 6, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('697', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 6, '', '', '', 0, -5, 'AR', '', '', NULL),
		('697', 'a', 'Nome dell\'ente o nome della giurisdizione come accesso', 'Nome dell\'ente o nome della giurisdizione come accesso', 0, 0, '', 6, '', 'CORPO_NAME', '', NULL, -6, 'AR', '', '', NULL),
		('697', 'b', 'Unità subordinata', 'Unità subordinata', 1, 0, '', 6, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('697', 'c', 'Luogo del convegno', 'Luogo del convegno', 0, 0, '', 6, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('697', 'd', 'Data del convegno o di firma del trattato', 'Data del convegno o di firma del trattato', 1, 0, '', 6, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('697', 'e', 'Termine di ruolo', 'Termine di ruolo', 1, 0, '', 6, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('697', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, '', 6, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('697', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, '', 6, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('697', 'h', 'Supporto', 'Supporto', 0, 0, '', 6, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('697', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, '', 6, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('697', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, '', 6, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('697', 'm', 'Mezzo di esecuzione per la musica', 'Mezzo di esecuzione per la musica', 1, 0, '', 6, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('697', 'n', 'Numero di parte/sezione/convegno', 'Numero di parte/sezione/convegno', 1, 0, '', 6, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('697', 'o', 'Formulazione d\'arrangiamento per la musica', 'Formulazione d\'arrangiamento per la musica', 0, 0, '', 6, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('697', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, '', 6, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('697', 'r', 'Tonalità (musica)', 'Tonalità (musica)', 0, 0, '', 6, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('697', 's', 'Versione', 'Versione', 0, 0, '', 6, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('697', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, '', 6, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('697', 'u', 'Affiliazione', 'Affiliazione', 0, 0, '', 6, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('697', 'v', 'Suddivisione geografica', 'Suddivisione geografica', 1, 0, '', 6, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('697', 'x', 'Suddivisione generale', 'Suddivisione generale', 1, 0, '', 6, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('697', 'y', 'Suddivisione cronologica', 'Suddivisione cronologica', 1, 0, '', 6, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('697', 'z', 'Suddivisione geografica', 'Suddivisione geografica', 1, 0, '', 6, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('698', '%', '% (RLIN)', '% (RLIN)', 0, 0, '', 6, '', '', '', 0, -6, 'AR', '', '', NULL),
		('698', '2', 'Fonte dell\'intestazione o del termine', 'Fonte dell\'intestazione o del termine', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('698', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('698', '4', 'Codice di ruolo', 'Codice di ruolo', 1, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('698', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('698', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('698', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 6, '', '', '', 0, -5, 'AR', '', '', NULL),
		('698', 'a', 'Nome del convegno o nome della giurisdizione come accesso', 'Nome del convegno o nome della giurisdizione come accesso', 0, 0, NULL, 6, NULL, 'MEETI_NAME', '', NULL, -6, 'AR', '', '', NULL),
		('698', 'b', 'Number  (BK CF MP MU SE VM MX)  [OBSOLETE]', 'Number  (BK CF MP MU SE VM MX)  [OBSOLETE]', 1, 0, NULL, -1, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('698', 'c', 'Luogo del convegno', 'Luogo del convegno', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('698', 'd', 'Data del convegno', 'Data del convegno', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('698', 'e', 'Unità subordinata', 'Unità subordinata', 1, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('698', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('698', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('698', 'h', 'Supporto', 'Supporto', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('698', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('698', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('698', 'n', 'Numero di parte/sezione/convegno', 'Numero di parte/sezione/convegno', 1, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('698', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('698', 'q', 'Nome del convegno dopo accesso di nome della giurisdizione', 'Nome del convegno dopo accesso di nome della giurisdizione', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('698', 's', 'Versione', 'Versione', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('698', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('698', 'u', 'Affiliazione', 'Affiliazione', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('698', 'v', 'Suddivisione geografica', 'Suddivisione geografica', 1, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('698', 'x', 'Suddivisione generale', 'Suddivisione generale', 1, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('698', 'y', 'Suddivisione cronologica', 'Suddivisione cronologica', 1, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('698', 'z', 'Suddivisione geografica', 'Suddivisione geografica', 1, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('699', '%', '% (RLIN)', '% (RLIN)', 0, 0, '', 6, '', '', '', 0, -6, 'AR', '', '', NULL),
		('699', '2', 'Fonte dell\'intestazione o del termine', 'Fonte dell\'intestazione o del termine', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('699', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('699', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('699', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('699', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 6, '', '', '', 0, -5, 'AR', '', '', NULL),
		('699', 'a', 'Titolo uniforme', 'Titolo uniforme', 0, 0, NULL, 6, NULL, 'UNIF_TITLE', '', NULL, -6, 'AR', '', '', NULL),
		('699', 'd', 'Data di firma del trattato', 'Data di firma del trattato', 1, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('699', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('699', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('699', 'h', 'Supporto', 'Supporto', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('699', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('699', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('699', 'm', 'Mezzo di esecuzione per la musica', 'Mezzo di esecuzione per la musica', 1, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('699', 'n', 'Numero di parte/sezione dell\'opera', 'Numero di parte/sezione dell\'opera', 1, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('699', 'o', 'Formulazione d\'arrangiamento per la musica', 'Formulazione d\'arrangiamento per la musica', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('699', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('699', 'r', 'Tonalità (musica)', 'Tonalità (musica)', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('699', 's', 'Versione', 'Versione', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('699', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('699', 'v', 'Suddivisione geografica', 'Suddivisione geografica', 1, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('699', 'x', 'Suddivisione generale', 'Suddivisione generale', 1, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('699', 'y', 'Suddivisione cronologica', 'Suddivisione cronologica', 1, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('700', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, '', 7, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('700', '4', 'Codice di ruolo', 'Codice di ruolo', 1, 0, '', 7, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('700', '5', 'Istituzione a cui si applica il campo', 'Istituzione a cui si applica il campo', 0, 0, '', 7, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('700', '6', 'Collegamento', 'Collegamento', 0, 0, '', 7, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('700', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 7, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('700', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 7, '', '', '', 0, -5, 'AR', '', '', NULL),
		('700', 'a', 'Nome di persona', 'Nome di persona', 0, 0, 'additionalauthors.author', 7, '', 'PERSO_NAME', '', NULL, -1, 'AR', '', '', NULL),
		('700', 'b', 'Numerazione', 'Numerazione', 0, 0, '', 7, '', '', '', NULL, -1, 'AR', '', '', NULL),
		('700', 'c', 'Titoli e altre parole associate al nome', 'Titoli e altre parole associate al nome', 1, 0, '', 7, '', '', '', NULL, -1, 'AR', '', '', NULL),
		('700', 'd', 'Date associate al nome', 'Date associate al nome', 0, 0, '', 7, '', '', '', NULL, -1, 'AR', '', '', NULL),
		('700', 'e', 'Termine di ruolo', 'Termine di ruolo', 1, 0, '', 7, '', '', '', NULL, -1, 'AR', '', '', NULL),
		('700', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, '', 7, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('700', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, '', 7, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('700', 'h', 'Supporto', 'Supporto', 0, 0, '', 7, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('700', 'j', 'Qualificazione d\'attribuzione', 'Qualificazione d\'attribuzione', 1, 0, '', 7, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('700', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, '', 7, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('700', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, '', 7, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('700', 'm', 'Mezzo di esecuzione per la musica', 'Mezzo di esecuzione per la musica', 1, 0, '', 7, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('700', 'n', 'Numero di parte/sezione dell\'opera', 'Numero di parte/sezione dell\'opera', 1, 0, '', 7, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('700', 'o', 'Formulazione d\'arrangiamento per la musica', 'Formulazione d\'arrangiamento per la musica', 0, 0, '', 7, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('700', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, '', 7, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('700', 'q', 'Forma completa del nome', 'Forma completa del nome', 0, 0, '', 7, '', '', '', NULL, -1, 'AR', '', '', NULL),
		('700', 'r', 'Tonalità (musica)', 'Tonalità (musica)', 0, 0, '', 7, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('700', 's', 'Versione', 'Versione', 0, 0, '', 7, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('700', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, '', 7, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('700', 'u', 'Affiliazione', 'Affiliazione', 0, 0, '', 7, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('700', 'x', 'ISSN (International Standard Serial Number)', 'ISSN (International Standard Serial Number)', 0, 0, '', 7, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('705', 'a', 'Nome di persona', 'Nome di persona', 0, 0, '', 7, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('705', 'b', 'Numerazione', 'Numerazione', 0, 0, '', 7, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('705', 'c', 'Titoli e altre parole associate al nome', 'Titoli e altre parole associate al nome', 1, 0, '', 7, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('705', 'd', 'Date associate al nome', 'Date associate al nome', 0, 0, '', 7, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('705', 'e', 'Termine di ruolo', 'Termine di ruolo', 1, 0, '', 7, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('705', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, '', 7, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('705', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, '', 7, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('705', 'h', 'Supporto', 'Supporto', 0, 0, '', 7, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('705', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, '', 7, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('705', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, '', 7, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('705', 'm', 'Mezzo di esecuzione per la musica', 'Mezzo di esecuzione per la musica', 1, 0, '', 7, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('705', 'n', 'Numero di parte/sezione dell\'opera', 'Numero di parte/sezione dell\'opera', 1, 0, '', 7, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('705', 'o', 'Formulazione d\'arrangiamento per la musica', 'Formulazione d\'arrangiamento per la musica', 0, 0, '', 7, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('705', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, '', 7, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('705', 'r', 'Tonalità (musica)', 'Tonalità (musica)', 0, 0, '', 7, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('705', 's', 'Versione', 'Versione', 0, 0, '', 7, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('705', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, '', 7, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('710', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, '', 7, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('710', '4', 'Codice di ruolo', 'Codice di ruolo', 1, 0, '', 7, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('710', '5', 'Istituzione a cui si applica il campo', 'Istituzione a cui si applica il campo', 0, 0, '', 7, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('710', '6', 'Collegamento', 'Collegamento', 0, 0, '', 7, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('710', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 7, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('710', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 7, '', '', '', 0, -5, 'AR', '', '', NULL),
		('710', 'a', 'Nome dell\'ente o nome della giurisdizione come accesso', 'Nome dell\'ente o nome della giurisdizione come accesso', 0, 0, '', 7, '', 'CORPO_NAME', '', NULL, -1, 'AR', '', '', NULL),
		('710', 'b', 'Unità subordinata', 'Unità subordinata', 1, 0, '', 7, '', '', '', NULL, -1, 'AR', '', '', NULL),
		('710', 'c', 'Luogo del convegno', 'Luogo del convegno', 0, 0, '', 7, '', '', '', NULL, -1, 'AR', '', '', NULL),
		('710', 'd', 'Data del convegno o di firma del trattato', 'Data del convegno o di firma del trattato', 1, 0, '', 7, '', '', '', NULL, -1, 'AR', '', '', NULL),
		('710', 'e', 'Termine di ruolo', 'Termine di ruolo', 1, 0, '', 7, '', '', '', NULL, -1, 'AR', '', '', NULL),
		('710', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, '', 7, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('710', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, '', 7, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('710', 'h', 'Supporto', 'Supporto', 0, 0, '', 7, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('710', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, '', 7, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('710', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, '', 7, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('710', 'm', 'Mezzo di esecuzione per la musica', 'Mezzo di esecuzione per la musica', 1, 0, '', 7, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('710', 'n', 'Numero di parte/sezione/convegno', 'Numero di parte/sezione/convegno', 1, 0, '', 7, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('710', 'o', 'Formulazione d\'arrangiamento per la musica', 'Formulazione d\'arrangiamento per la musica', 0, 0, '', 7, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('710', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, '', 7, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('710', 'r', 'Tonalità (musica)', 'Tonalità (musica)', 0, 0, '', 7, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('710', 's', 'Versione', 'Versione', 0, 0, '', 7, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('710', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, '', 7, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('710', 'u', 'Affiliazione', 'Affiliazione', 0, 0, '', 7, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('710', 'x', 'ISSN (International Standard Serial Number)', 'ISSN (International Standard Serial Number)', 0, 0, '', 7, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('711', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('711', '4', 'Codice di ruolo', 'Codice di ruolo', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('711', '5', 'Istituzione a cui si applica il campo', 'Istituzione a cui si applica il campo', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('711', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('711', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('711', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 7, '', '', '', 0, -5, 'AR', '', '', NULL),
		('711', 'a', 'Nome del convegno o nome della giurisdizione come accesso', 'Nome del convegno o nome della giurisdizione come accesso', 0, 0, NULL, 7, NULL, 'MEETI_NAME', '', NULL, -1, 'AR', '', '', NULL),
		('711', 'b', 'Number (BK CF MP MU SE VM MX) [OBSOLETE]', 'Number (BK CF MP MU SE VM MX) [OBSOLETE]', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('711', 'c', 'Luogo del convegno', 'Luogo del convegno', 0, 0, NULL, 7, NULL, NULL, '', NULL, -1, 'AR', '', '', NULL),
		('711', 'd', 'Data del convegno', 'Data del convegno', 0, 0, NULL, 7, NULL, NULL, '', NULL, -1, 'AR', '', '', NULL),
		('711', 'e', 'Unità subordinata', 'Unità subordinata', 1, 0, NULL, 7, NULL, NULL, '', NULL, -1, 'AR', '', '', NULL),
		('711', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('711', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('711', 'h', 'Supporto', 'Supporto', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('711', 'j', 'Termine di ruolo', 'Termine di ruolo', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('711', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('711', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('711', 'n', 'Numero di parte/sezione/convegno', 'Numero di parte/sezione/convegno', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('711', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('711', 'q', 'Nome del convegno dopo accesso di nome della giurisdizione', 'Nome del convegno dopo accesso di nome della giurisdizione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('711', 's', 'Versione', 'Versione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('711', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('711', 'u', 'Affiliazione', 'Affiliazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('711', 'x', 'ISSN (International Standard Serial Number)', 'ISSN (International Standard Serial Number)', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('715', '%', '% (RLIN)', '% (RLIN)', 0, 0, '', 7, '', '', '', 0, -6, 'AR', '', '', NULL),
		('715', 'a', 'Ragione sociale o nome giuridico', 'Ragione sociale o nome giuridico', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('715', 'b', 'Unità subordinata', 'Unità subordinata', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('715', 'e', 'Termine di ruolo', 'Termine di ruolo', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('715', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('715', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('715', 'h', 'Supporto', 'Supporto', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('715', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('715', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('715', 'n', 'Numero di parte/sezione/convegno', 'Numero di parte/sezione/convegno', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('715', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('715', 'r', 'Tonalità (musica)', 'Tonalità (musica)', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('715', 's', 'Versione', 'Versione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('715', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('715', 'u', 'Nonprinting information', 'Nonprinting information', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('720', '4', 'Codice di ruolo', 'Codice di ruolo', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('720', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('720', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('720', 'a', 'Nome', 'Nome', 0, 0, '', 7, NULL, NULL, '', NULL, -1, 'AR', '', '', NULL),
		('720', 'e', 'Termine di ruolo', 'Termine di ruolo', 1, 0, NULL, 7, NULL, NULL, '', NULL, -1, 'AR', '', '', NULL),
		('730', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, '', 7, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('730', '5', 'Istituzione a cui si applica il campo', 'Istituzione a cui si applica il campo', 0, 0, '', 7, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('730', '6', 'Collegamento', 'Collegamento', 0, 0, '', 7, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('730', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 7, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('730', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 7, '', '', '', 0, -5, 'AR', '', '', NULL),
		('730', 'a', 'Titolo uniforme', 'Titolo uniforme', 0, 0, '', 7, '', 'UNIF_TITLE', '', NULL, -6, 'AR', '', '', NULL),
		('730', 'd', 'Data di firma del trattato', 'Data di firma del trattato', 1, 0, '', 7, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('730', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, '', 7, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('730', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, '', 7, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('730', 'h', 'Supporto', 'Supporto', 0, 0, '', 7, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('730', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, '', 7, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('730', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, '', 7, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('730', 'm', 'Mezzo di esecuzione per la musica', 'Mezzo di esecuzione per la musica', 1, 0, '', 7, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('730', 'n', 'Numero di parte/sezione dell\'opera', 'Numero di parte/sezione dell\'opera', 1, 0, '', 7, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('730', 'o', 'Formulazione d\'arrangiamento per la musica', 'Formulazione d\'arrangiamento per la musica', 0, 0, '', 7, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('730', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, '', 7, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('730', 'r', 'Tonalità (musica)', 'Tonalità (musica)', 0, 0, '', 7, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('730', 's', 'Versione', 'Versione', 0, 0, '', 7, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('730', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, '', 7, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('730', 'x', 'ISSN (International Standard Serial Number)', 'ISSN (International Standard Serial Number)', 0, 0, '', 7, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('740', '5', 'Istituzione a cui si applica il campo', 'Istituzione a cui si applica il campo', 0, 0, '', 7, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('740', '6', 'Collegamento', 'Collegamento', 0, 0, '', 7, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('740', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 7, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('740', 'a', 'Titolo analitico/correlato non controllato', 'Titolo analitico/correlato non controllato', 0, 0, '', 7, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('740', 'h', 'Supporto', 'Supporto', 0, 0, '', 7, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('740', 'n', 'Numero di parte/sezione dell\'opera', 'Numero di parte/sezione dell\'opera', 1, 0, '', 7, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('740', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, '', 7, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('752', '2', 'Fonte dell\'intestazione o del termine', 'Fonte dell\'intestazione o del termine', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('752', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('752', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('752', 'a', 'Paese o ente maggiore', 'Paese o ente maggiore', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('752', 'b', 'Giurisdizione politica principale', 'Giurisdizione politica principale', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('752', 'c', 'Giurisdizione politica intermedia', 'Giurisdizione politica intermedia', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('752', 'd', 'Città', 'Città', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('752', 'f', 'Suddivisione comunale', 'Suddivisione comunale', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('752', 'g', 'Altra regione e caratteristica geografica non giurisdizionale', 'Altra regione e caratteristica geografica non giurisdizionale', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('752', 'h', 'Paese o ente maggiore', 'Paese o ente maggiore', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('753', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('753', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('753', 'a', 'Marca e modello della macchina', 'Marca e modello della macchina', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('753', 'b', 'Linguaggio di programmazione', 'Linguaggio di programmazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('753', 'c', 'Sistema operativo', 'Sistema operativo', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('754', '2', 'Fonte dell\'identificazione tassonomica', 'Fonte dell\'identificazione tassonomica', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('754', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('754', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('754', 'a', 'Nome tassonomico', 'Nome tassonomico', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('754', 'c', 'Categoria tassonomica', 'Categoria tassonomica', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('754', 'd', 'Nome comune o alternativo', 'Nome comune o alternativo', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('754', 'x', 'Nota non pubblica', 'Nota non pubblica', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('754', 'z', 'Nota pubblica', 'Nota pubblica', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('755', '2', 'Fonte dell\'identificazione tassonomica', 'Fonte dell\'identificazione tassonomica', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('755', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, '', 7, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('755', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('755', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('755', 'a', 'Termine d\'accesso', 'Termine d\'accesso', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('755', 'x', 'Suddivisione generale', 'Suddivisione generale', 1, 0, '', 7, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('755', 'y', 'Suddivisione cronologica', 'Suddivisione cronologica', 1, 0, '', 7, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('755', 'z', 'Suddivisione geografica', 'Suddivisione geografica', 1, 0, '', 7, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('760', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('760', '7', 'Sottocampo di controllo', 'Sottocampo di controllo', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('760', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('760', 'a', 'Intestazione principale', 'Intestazione principale', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('760', 'b', 'Edizione', 'Edizione', 0, 0, NULL, 7, NULL, NULL, '', NULL, 0, 'AR', '', '', NULL),
		('760', 'c', 'Qualificazione', 'Qualificazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('760', 'd', 'Luogo, editore e data di pubblicazione', 'Luogo, editore e data di pubblicazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('760', 'g', 'Informazione sulla relazione', 'Informazione sulla relazione', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('760', 'h', 'Descrizione fisica', 'Descrizione fisica', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('760', 'i', 'Informazione sulla relazione', 'Informazione sulla relazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('760', 'm', 'Dettagli specifici del materiale', 'Dettagli specifici del materiale', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('760', 'n', 'Nota', 'Nota', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('760', 'o', 'Altro identificatore dell\'item', 'Altro identificatore dell\'item', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('760', 'q', 'Parallel title (BK SE) [OBSOLETE]', 'Parallel title (BK SE) [OBSOLETE]', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('760', 's', 'Titolo uniforme', 'Titolo uniforme', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('760', 't', 'Titolo', 'Titolo', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('760', 'w', 'Numero di controllo della registrazione', 'Numero di controllo della registrazione', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('760', 'x', 'ISSN (International Standard Serial Number)', 'ISSN (International Standard Serial Number)', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('760', 'y', 'Designazione CODEN', 'Designazione CODEN', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('762', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('762', '7', 'Sottocampo di controllo', 'Sottocampo di controllo', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('762', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('762', 'a', 'Intestazione principale', 'Intestazione principale', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('762', 'b', 'Edizione', 'Edizione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('762', 'c', 'Qualificazione', 'Qualificazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('762', 'd', 'Luogo, editore e data di pubblicazione', 'Luogo, editore e data di pubblicazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('762', 'g', 'Informazione sulla relazione', 'Informazione sulla relazione', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('762', 'h', 'Descrizione fisica', 'Descrizione fisica', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('762', 'i', 'Informazione sulla relazione', 'Informazione sulla relazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('762', 'm', 'Dettagli specifici del materiale', 'Dettagli specifici del materiale', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('762', 'n', 'Nota', 'Nota', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('762', 'o', 'Altro identificatore dell\'item', 'Altro identificatore dell\'item', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('762', 'q', 'Parallel title (BK SE) [OBSOLETE]', 'Parallel title (BK SE) [OBSOLETE]', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('762', 's', 'Titolo uniforme', 'Titolo uniforme', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('762', 't', 'Titolo', 'Titolo', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('762', 'w', 'Numero di controllo della registrazione', 'Numero di controllo della registrazione', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('762', 'x', 'ISSN (International Standard Serial Number)', 'ISSN (International Standard Serial Number)', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('762', 'y', 'Designazione CODEN', 'Designazione CODEN', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('765', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('765', '7', 'Sottocampo di controllo', 'Sottocampo di controllo', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('765', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('765', 'a', 'Intestazione principale', 'Intestazione principale', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('765', 'b', 'Edizione', 'Edizione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('765', 'c', 'Qualificazione', 'Qualificazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('765', 'd', 'Luogo, editore e data di pubblicazione', 'Luogo, editore e data di pubblicazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('765', 'g', 'Informazione sulla relazione', 'Informazione sulla relazione', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('765', 'h', 'Descrizione fisica', 'Descrizione fisica', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('765', 'i', 'Informazione sulla relazione', 'Informazione sulla relazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('765', 'k', 'Dati della serie dell\'item correlato', 'Dati della serie dell\'item correlato', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('765', 'm', 'Dettagli specifici del materiale', 'Dettagli specifici del materiale', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('765', 'n', 'Nota', 'Nota', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('765', 'o', 'Altro identificatore dell\'item', 'Altro identificatore dell\'item', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('765', 'q', 'Parallel title (BK SE)  [OBSOLETE]', 'Parallel title (BK SE)  [OBSOLETE]', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('765', 'r', 'Numero di rapporto', 'Numero di rapporto', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('765', 's', 'Titolo uniforme', 'Titolo uniforme', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('765', 't', 'Titolo', 'Titolo', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('765', 'u', 'Standard Technical Report Number', 'Standard Technical Report Number', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('765', 'w', 'Numero di controllo della registrazione', 'Numero di controllo della registrazione', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('765', 'x', 'ISSN (International Standard Serial Number)', 'ISSN (International Standard Serial Number)', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('765', 'y', 'Designazione CODEN', 'Designazione CODEN', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('765', 'z', 'ISBN (International Standard Book Number)', 'ISBN (International Standard Book Number)', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('767', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('767', '7', 'Sottocampo di controllo', 'Sottocampo di controllo', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('767', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('767', 'a', 'Intestazione principale', 'Intestazione principale', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('767', 'b', 'Edizione', 'Edizione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('767', 'c', 'Qualificazione', 'Qualificazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('767', 'd', 'Luogo, editore e data di pubblicazione', 'Luogo, editore e data di pubblicazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('767', 'g', 'Informazione sulla relazione', 'Informazione sulla relazione', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('767', 'h', 'Descrizione fisica', 'Descrizione fisica', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('767', 'i', 'Informazione sulla relazione', 'Informazione sulla relazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('767', 'k', 'Dati della serie dell\'item correlato', 'Dati della serie dell\'item correlato', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('767', 'm', 'Dettagli specifici del materiale', 'Dettagli specifici del materiale', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('767', 'n', 'Nota', 'Nota', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('767', 'o', 'Altro identificatore dell\'item', 'Altro identificatore dell\'item', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('767', 'q', 'Parallel title (BK SE) [OBSOLETE]', 'Parallel title (BK SE) [OBSOLETE]', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('767', 'r', 'Numero di rapporto', 'Numero di rapporto', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('767', 's', 'Titolo uniforme', 'Titolo uniforme', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('767', 't', 'Titolo', 'Titolo', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('767', 'u', 'Standard Technical Report Number', 'Standard Technical Report Number', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('767', 'w', 'Numero di controllo della registrazione', 'Numero di controllo della registrazione', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('767', 'x', 'ISSN (International Standard Serial Number)', 'ISSN (International Standard Serial Number)', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('767', 'y', 'Designazione CODEN', 'Designazione CODEN', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('767', 'z', 'ISBN (International Standard Book Number)', 'ISBN (International Standard Book Number)', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('770', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('770', '7', 'Sottocampo di controllo', 'Sottocampo di controllo', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('770', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('770', 'a', 'Intestazione principale', 'Intestazione principale', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('770', 'b', 'Edizione', 'Edizione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('770', 'c', 'Qualificazione', 'Qualificazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('770', 'd', 'Luogo, editore e data di pubblicazione', 'Luogo, editore e data di pubblicazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('770', 'g', 'Informazione sulla relazione', 'Informazione sulla relazione', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('770', 'h', 'Descrizione fisica', 'Descrizione fisica', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('770', 'i', 'Informazione sulla relazione', 'Informazione sulla relazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('770', 'k', 'Dati della serie dell\'item correlato', 'Dati della serie dell\'item correlato', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('770', 'm', 'Dettagli specifici del materiale', 'Dettagli specifici del materiale', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('770', 'n', 'Nota', 'Nota', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('770', 'o', 'Altro identificatore dell\'item', 'Altro identificatore dell\'item', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('770', 'q', 'Parallel title (BK SE) [OBSOLETE]', 'Parallel title (BK SE) [OBSOLETE]', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('770', 'r', 'Numero di rapporto', 'Numero di rapporto', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('770', 's', 'Titolo uniforme', 'Titolo uniforme', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('770', 't', 'Titolo', 'Titolo', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('770', 'u', 'Standard Technical Report Number', 'Standard Technical Report Number', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('770', 'w', 'Numero di controllo della registrazione', 'Numero di controllo della registrazione', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('770', 'x', 'ISSN (International Standard Serial Number)', 'ISSN (International Standard Serial Number)', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('770', 'y', 'Designazione CODEN', 'Designazione CODEN', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('770', 'z', 'ISBN (International Standard Book Number)', 'ISBN (International Standard Book Number)', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('772', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('772', '7', 'Sottocampo di controllo', 'Sottocampo di controllo', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('772', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('772', 'a', 'Intestazione principale', 'Intestazione principale', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('772', 'b', 'Edizione', 'Edizione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('772', 'c', 'Qualificazione', 'Qualificazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('772', 'd', 'Luogo, editore e data di pubblicazione', 'Luogo, editore e data di pubblicazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('772', 'g', 'Informazione sulla relazione', 'Informazione sulla relazione', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('772', 'h', 'Descrizione fisica', 'Descrizione fisica', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('772', 'i', 'Informazione sulla relazione', 'Informazione sulla relazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('772', 'k', 'Dati della serie dell\'item correlato', 'Dati della serie dell\'item correlato', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('772', 'm', 'Dettagli specifici del materiale', 'Dettagli specifici del materiale', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('772', 'n', 'Nota', 'Nota', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('772', 'o', 'Altro identificatore dell\'item', 'Altro identificatore dell\'item', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('772', 'q', 'Parallel title (BK SE) [OBSOLETE]', 'Parallel title (BK SE) [OBSOLETE]', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('772', 'r', 'Numero di rapporto', 'Numero di rapporto', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('772', 's', 'Titolo uniforme', 'Titolo uniforme', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('772', 't', 'Titolo', 'Titolo', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('772', 'u', 'Standard Technical Report Number', 'Standard Technical Report Number', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('772', 'w', 'Numero di controllo della registrazione', 'Numero di controllo della registrazione', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('772', 'x', 'ISSN (International Standard Serial Number)', 'ISSN (International Standard Serial Number)', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('772', 'y', 'Designazione CODEN', 'Designazione CODEN', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('772', 'z', 'ISBN (International Standard Book Number)', 'ISBN (International Standard Book Number)', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('773', '0', 'Codice record bibliografico contenente lo spoglio', 'Codice record bibliografico contenente lo spoglio', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('773', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('773', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('773', '7', 'Sottocampo di controllo', 'Sottocampo di controllo', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('773', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('773', '9', 'Codice copia contenete lo spoglio', 'Codice copia contenete lo spoglio', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('773', 'a', 'Intestazione principale', 'Intestazione principale', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('773', 'b', 'Edizione', 'Edizione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('773', 'd', 'Luogo, editore e data di pubblicazione', 'Luogo, editore e data di pubblicazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('773', 'g', 'Informazione sulla relazione', 'Informazione sulla relazione', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('773', 'h', 'Descrizione fisica', 'Descrizione fisica', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('773', 'i', 'Informazione sulla relazione', 'Informazione sulla relazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('773', 'k', 'Dati della serie dell\'item correlato', 'Dati della serie dell\'item correlato', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('773', 'm', 'Dettagli specifici del materiale', 'Dettagli specifici del materiale', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('773', 'n', 'Nota', 'Nota', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('773', 'o', 'Altro identificatore dell\'item', 'Altro identificatore dell\'item', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('773', 'p', 'Titolo abbreviato', 'Titolo abbreviato', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('773', 'r', 'Numero di rapporto', 'Numero di rapporto', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('773', 's', 'Titolo uniforme', 'Titolo uniforme', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('773', 't', 'Titolo', 'Titolo', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('773', 'u', 'Standard Technical Report Number', 'Standard Technical Report Number', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('773', 'w', 'Numero di controllo della registrazione', 'Numero di controllo della registrazione', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('773', 'x', 'ISSN (International Standard Serial Number)', 'ISSN (International Standard Serial Number)', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('773', 'y', 'Designazione CODEN', 'Designazione CODEN', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('773', 'z', 'ISBN (International Standard Book Number)', 'ISBN (International Standard Book Number)', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('774', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('774', '7', 'Sottocampo di controllo', 'Sottocampo di controllo', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('774', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('774', 'a', 'Intestazione principale', 'Intestazione principale', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('774', 'b', 'Edizione', 'Edizione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('774', 'c', 'Qualificazione', 'Qualificazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('774', 'd', 'Luogo, editore e data di pubblicazione', 'Luogo, editore e data di pubblicazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('774', 'g', 'Informazione sulla relazione', 'Informazione sulla relazione', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('774', 'h', 'Descrizione fisica', 'Descrizione fisica', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('774', 'i', 'Informazione sulla relazione', 'Informazione sulla relazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('774', 'k', 'Dati della serie dell\'item correlato', 'Dati della serie dell\'item correlato', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('774', 'm', 'Dettagli specifici del materiale', 'Dettagli specifici del materiale', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('774', 'n', 'Nota', 'Nota', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('774', 'o', 'Altro identificatore dell\'item', 'Altro identificatore dell\'item', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('774', 'r', 'Numero di rapporto', 'Numero di rapporto', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('774', 's', 'Titolo uniforme', 'Titolo uniforme', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('774', 't', 'Titolo', 'Titolo', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('774', 'u', 'Standard Technical Report Number', 'Standard Technical Report Number', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('774', 'w', 'Numero di controllo della registrazione', 'Numero di controllo della registrazione', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('774', 'x', 'ISSN (International Standard Serial Number)', 'ISSN (International Standard Serial Number)', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('774', 'y', 'Designazione CODEN', 'Designazione CODEN', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('774', 'z', 'ISBN (International Standard Book Number)', 'ISBN (International Standard Book Number)', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('775', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('775', '7', 'Sottocampo di controllo', 'Sottocampo di controllo', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('775', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('775', 'a', 'Intestazione principale', 'Intestazione principale', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('775', 'b', 'Edizione', 'Edizione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('775', 'c', 'Qualificazione', 'Qualificazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('775', 'd', 'Luogo, editore e data di pubblicazione', 'Luogo, editore e data di pubblicazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('775', 'e', 'Codice lingua', 'Codice lingua', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('775', 'f', 'Codice di paese', 'Codice di paese', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('775', 'g', 'Informazione sulla relazione', 'Informazione sulla relazione', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('775', 'h', 'Descrizione fisica', 'Descrizione fisica', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('775', 'i', 'Informazione sulla relazione', 'Informazione sulla relazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('775', 'k', 'Dati della serie dell\'item correlato', 'Dati della serie dell\'item correlato', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('775', 'm', 'Dettagli specifici del materiale', 'Dettagli specifici del materiale', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('775', 'n', 'Nota', 'Nota', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('775', 'o', 'Altro identificatore dell\'item', 'Altro identificatore dell\'item', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('775', 'q', 'Parallel title (BK SE) [OBSOLETE]', 'Parallel title (BK SE) [OBSOLETE]', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('775', 'r', 'Numero di rapporto', 'Numero di rapporto', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('775', 's', 'Titolo uniforme', 'Titolo uniforme', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('775', 't', 'Titolo', 'Titolo', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('775', 'u', 'Standard Technical Report Number', 'Standard Technical Report Number', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('775', 'w', 'Numero di controllo della registrazione', 'Numero di controllo della registrazione', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('775', 'x', 'ISSN (International Standard Serial Number)', 'ISSN (International Standard Serial Number)', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('775', 'y', 'Designazione CODEN', 'Designazione CODEN', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('775', 'z', 'ISBN (International Standard Book Number)', 'ISBN (International Standard Book Number)', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('776', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('776', '7', 'Sottocampo di controllo', 'Sottocampo di controllo', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('776', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('776', 'a', 'Intestazione principale', 'Intestazione principale', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('776', 'b', 'Edizione', 'Edizione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('776', 'c', 'Qualificazione', 'Qualificazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('776', 'd', 'Luogo, editore e data di pubblicazione', 'Luogo, editore e data di pubblicazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('776', 'g', 'Informazione sulla relazione', 'Informazione sulla relazione', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('776', 'h', 'Descrizione fisica', 'Descrizione fisica', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('776', 'i', 'Informazione sulla relazione', 'Informazione sulla relazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('776', 'k', 'Dati della serie dell\'item correlato', 'Dati della serie dell\'item correlato', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('776', 'm', 'Dettagli specifici del materiale', 'Dettagli specifici del materiale', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('776', 'n', 'Nota', 'Nota', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('776', 'o', 'Altro identificatore dell\'item', 'Altro identificatore dell\'item', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('776', 'q', 'Parallel title (BK SE) [OBSOLETE]', 'Parallel title (BK SE) [OBSOLETE]', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('776', 'r', 'Numero di rapporto', 'Numero di rapporto', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('776', 's', 'Titolo uniforme', 'Titolo uniforme', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('776', 't', 'Titolo', 'Titolo', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('776', 'u', 'Standard Technical Report Number', 'Standard Technical Report Number', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('776', 'w', 'Numero di controllo della registrazione', 'Numero di controllo della registrazione', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('776', 'x', 'ISSN (International Standard Serial Number)', 'ISSN (International Standard Serial Number)', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('776', 'y', 'Designazione CODEN', 'Designazione CODEN', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('776', 'z', 'ISBN (International Standard Book Number)', 'ISBN (International Standard Book Number)', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('777', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('777', '7', 'Sottocampo di controllo', 'Sottocampo di controllo', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('777', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('777', 'a', 'Intestazione principale', 'Intestazione principale', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('777', 'b', 'Edizione', 'Edizione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('777', 'c', 'Qualificazione', 'Qualificazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('777', 'd', 'Luogo, editore e data di pubblicazione', 'Luogo, editore e data di pubblicazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('777', 'g', 'Informazione sulla relazione', 'Informazione sulla relazione', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('777', 'h', 'Descrizione fisica', 'Descrizione fisica', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('777', 'i', 'Informazione sulla relazione', 'Informazione sulla relazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('777', 'k', 'Dati della serie dell\'item correlato', 'Dati della serie dell\'item correlato', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('777', 'm', 'Dettagli specifici del materiale', 'Dettagli specifici del materiale', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('777', 'n', 'Nota', 'Nota', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('777', 'o', 'Altro identificatore dell\'item', 'Altro identificatore dell\'item', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('777', 'q', 'Parallel title (BK SE) [OBSOLETE]', 'Parallel title (BK SE) [OBSOLETE]', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('777', 's', 'Titolo uniforme', 'Titolo uniforme', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('777', 't', 'Titolo', 'Titolo', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('777', 'w', 'Numero di controllo della registrazione', 'Numero di controllo della registrazione', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('777', 'x', 'ISSN (International Standard Serial Number)', 'ISSN (International Standard Serial Number)', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('777', 'y', 'Designazione CODEN', 'Designazione CODEN', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('780', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('780', '7', 'Sottocampo di controllo', 'Sottocampo di controllo', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('780', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('780', 'a', 'Intestazione principale', 'Intestazione principale', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('780', 'b', 'Edizione', 'Edizione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('780', 'c', 'Qualificazione', 'Qualificazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('780', 'd', 'Luogo, editore e data di pubblicazione', 'Luogo, editore e data di pubblicazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('780', 'g', 'Informazione sulla relazione', 'Informazione sulla relazione', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('780', 'h', 'Descrizione fisica', 'Descrizione fisica', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('780', 'i', 'Informazione sulla relazione', 'Informazione sulla relazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('780', 'k', 'Dati della serie dell\'item correlato', 'Dati della serie dell\'item correlato', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('780', 'm', 'Dettagli specifici del materiale', 'Dettagli specifici del materiale', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('780', 'n', 'Nota', 'Nota', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('780', 'o', 'Altro identificatore dell\'item', 'Altro identificatore dell\'item', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('780', 'q', 'Parallel title (BK SE) [OBSOLETE]', 'Parallel title (BK SE) [OBSOLETE]', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('780', 'r', 'Numero di rapporto', 'Numero di rapporto', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('780', 's', 'Titolo uniforme', 'Titolo uniforme', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('780', 't', 'Titolo', 'Titolo', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('780', 'u', 'Standard Technical Report Number', 'Standard Technical Report Number', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('780', 'w', 'Numero di controllo della registrazione', 'Numero di controllo della registrazione', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('780', 'x', 'ISSN (International Standard Serial Number)', 'ISSN (International Standard Serial Number)', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('780', 'y', 'Designazione CODEN', 'Designazione CODEN', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('780', 'z', 'ISBN (International Standard Book Number)', 'ISBN (International Standard Book Number)', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('785', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('785', '7', 'Sottocampo di controllo', 'Sottocampo di controllo', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('785', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('785', 'a', 'Intestazione principale', 'Intestazione principale', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('785', 'b', 'Edizione', 'Edizione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('785', 'c', 'Qualificazione', 'Qualificazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('785', 'd', 'Luogo, editore e data di pubblicazione', 'Luogo, editore e data di pubblicazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('785', 'g', 'Informazione sulla relazione', 'Informazione sulla relazione', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('785', 'h', 'Descrizione fisica', 'Descrizione fisica', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('785', 'i', 'Informazione sulla relazione', 'Informazione sulla relazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('785', 'k', 'Dati della serie dell\'item correlato', 'Dati della serie dell\'item correlato', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('785', 'm', 'Dettagli specifici del materiale', 'Dettagli specifici del materiale', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('785', 'n', 'Nota', 'Nota', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('785', 'o', 'Altro identificatore dell\'item', 'Altro identificatore dell\'item', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('785', 'q', 'Parallel title (BK SE) [OBSOLETE]', 'Parallel title (BK SE) [OBSOLETE]', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('785', 'r', 'Numero di rapporto', 'Numero di rapporto', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('785', 's', 'Titolo uniforme', 'Titolo uniforme', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('785', 't', 'Titolo', 'Titolo', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('785', 'u', 'Standard Technical Report Number', 'Standard Technical Report Number', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('785', 'w', 'Numero di controllo della registrazione', 'Numero di controllo della registrazione', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('785', 'x', 'ISSN (International Standard Serial Number)', 'ISSN (International Standard Serial Number)', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('785', 'y', 'Designazione CODEN', 'Designazione CODEN', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('785', 'z', 'ISBN (International Standard Book Number)', 'ISBN (International Standard Book Number)', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('786', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('786', '7', 'Sottocampo di controllo', 'Sottocampo di controllo', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('786', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('786', 'a', 'Intestazione principale', 'Intestazione principale', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('786', 'b', 'Edizione', 'Edizione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('786', 'c', 'Qualificazione', 'Qualificazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('786', 'd', 'Luogo, editore e data di pubblicazione', 'Luogo, editore e data di pubblicazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('786', 'g', 'Informazione sulla relazione', 'Informazione sulla relazione', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('786', 'h', 'Descrizione fisica', 'Descrizione fisica', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('786', 'i', 'Informazione sulla relazione', 'Informazione sulla relazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('786', 'j', 'Periodo del contenuto', 'Periodo del contenuto', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('786', 'k', 'Dati della serie dell\'item correlato', 'Dati della serie dell\'item correlato', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('786', 'm', 'Dettagli specifici del materiale', 'Dettagli specifici del materiale', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('786', 'n', 'Nota', 'Nota', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('786', 'o', 'Altro identificatore dell\'item', 'Altro identificatore dell\'item', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('786', 'p', 'Titolo abbreviato', 'Titolo abbreviato', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('786', 'r', 'Numero di rapporto', 'Numero di rapporto', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('786', 's', 'Titolo uniforme', 'Titolo uniforme', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('786', 't', 'Titolo', 'Titolo', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('786', 'u', 'Standard Technical Report Number', 'Standard Technical Report Number', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('786', 'w', 'Numero di controllo della registrazione', 'Numero di controllo della registrazione', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('786', 'x', 'ISSN (International Standard Serial Number)', 'ISSN (International Standard Serial Number)', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('786', 'y', 'Designazione CODEN', 'Designazione CODEN', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('786', 'z', 'ISBN (International Standard Book Number)', 'ISBN (International Standard Book Number)', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('787', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('787', '7', 'Sottocampo di controllo', 'Sottocampo di controllo', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('787', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('787', 'a', 'Intestazione principale', 'Intestazione principale', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('787', 'b', 'Edizione', 'Edizione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('787', 'c', 'Qualificazione', 'Qualificazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('787', 'd', 'Luogo, editore e data di pubblicazione', 'Luogo, editore e data di pubblicazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('787', 'g', 'Informazione sulla relazione', 'Informazione sulla relazione', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('787', 'h', 'Descrizione fisica', 'Descrizione fisica', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('787', 'i', 'Informazione sulla relazione', 'Informazione sulla relazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('787', 'k', 'Dati della serie dell\'item correlato', 'Dati della serie dell\'item correlato', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('787', 'm', 'Dettagli specifici del materiale', 'Dettagli specifici del materiale', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('787', 'n', 'Nota', 'Nota', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('787', 'o', 'Altro identificatore dell\'item', 'Altro identificatore dell\'item', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('787', 'q', 'Parallel title (BK SE) [OBSOLETE]', 'Parallel title (BK SE) [OBSOLETE]', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('787', 'r', 'Numero di rapporto', 'Numero di rapporto', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('787', 's', 'Titolo uniforme', 'Titolo uniforme', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('787', 't', 'Titolo', 'Titolo', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('787', 'u', 'Standard Technical Report Number', 'Standard Technical Report Number', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('787', 'w', 'Numero di controllo della registrazione', 'Numero di controllo della registrazione', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('787', 'x', 'ISSN (International Standard Serial Number)', 'ISSN (International Standard Serial Number)', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('787', 'y', 'Designazione CODEN', 'Designazione CODEN', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('787', 'z', 'ISBN (International Standard Book Number)', 'ISBN (International Standard Book Number)', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('789', '%', '%', '%', 0, 0, '', 7, '', '', '', 0, -6, 'AR', '', '', NULL),
		('789', '2', '2', '2', 1, 0, '', 7, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('789', '3', '3', '3', 1, 0, '', 7, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('789', '4', '4', '4', 1, 0, '', 7, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('789', '5', '5', '5', 1, 0, '', 7, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('789', '6', '6', '6', 0, 0, '', 7, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('789', '7', '7', '7', 1, 0, '', 7, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('789', '8', '8', '8', 1, 0, '', 7, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('789', '9', '9', '9', 0, 0, '', 7, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('789', 'a', 'a', 'a', 1, 0, '', 7, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('789', 'b', 'b', 'b', 1, 0, '', 7, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('789', 'c', 'c', 'c', 1, 0, '', 7, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('789', 'd', 'd', 'd', 1, 0, '', 7, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('789', 'e', 'e', 'e', 1, 0, '', 7, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('789', 'f', 'f', 'f', 1, 0, '', 7, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('789', 'g', 'g', 'g', 1, 0, '', 7, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('789', 'h', 'h', 'h', 1, 0, '', 7, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('789', 'i', 'i', 'i', 1, 0, '', 7, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('789', 'j', 'j', 'j', 1, 0, '', 7, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('789', 'k', 'k', 'k', 1, 0, '', 7, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('789', 'l', 'l', 'l', 1, 0, '', 7, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('789', 'm', 'm', 'm', 1, 0, '', 7, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('789', 'n', 'n', 'n', 1, 0, '', 7, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('789', 'o', 'o', 'o', 1, 0, '', 7, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('789', 'p', 'p', 'p', 1, 0, '', 7, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('789', 'q', 'q', 'q', 1, 0, '', 7, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('789', 'r', 'r', 'r', 1, 0, '', 7, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('789', 's', 's', 's', 1, 0, '', 7, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('789', 't', 't', 't', 1, 0, '', 7, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('789', 'u', 'u', 'u', 1, 0, '', 7, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('789', 'v', 'v', 'v', 1, 0, '', 7, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('789', 'w', 'w', 'w', 1, 0, '', 7, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('789', 'x', 'x', 'x', 1, 0, '', 7, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('789', 'y', 'y', 'y', 1, 0, '', 7, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('789', 'z', 'z', 'z', 1, 0, '', 7, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('796', '%', '% (RLIN)', '% (RLIN)', 0, 0, '', 7, '', '', '', 0, -6, 'AR', '', '', NULL),
		('796', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, '', 7, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('796', '4', 'Codice di ruolo', 'Codice di ruolo', 1, 0, '', 7, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('796', '5', 'Istituzione a cui si applica il campo', 'Istituzione a cui si applica il campo', 0, 0, '', 7, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('796', '6', 'Collegamento', 'Collegamento', 0, 0, '', 7, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('796', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 7, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('796', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 7, '', '', '', 0, -5, 'AR', '', '', NULL),
		('796', 'a', 'Nome di persona', 'Nome di persona', 0, 0, '', 7, '', 'PERSO_NAME', '', NULL, -6, 'AR', '', '', NULL),
		('796', 'b', 'Numerazione', 'Numerazione', 0, 0, '', 7, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('796', 'c', 'Titoli e altre parole associate al nome', 'Titoli e altre parole associate al nome', 1, 0, '', 7, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('796', 'd', 'Date associate al nome', 'Date associate al nome', 0, 0, '', 7, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('796', 'e', 'Termine di ruolo', 'Termine di ruolo', 1, 0, '', 7, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('796', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, '', 7, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('796', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, '', 7, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('796', 'h', 'Supporto', 'Supporto', 0, 0, '', 7, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('796', 'j', 'Qualificazione d\'attribuzione', 'Qualificazione d\'attribuzione', 1, 0, '', 7, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('796', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, '', 7, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('796', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, '', 7, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('796', 'm', 'Mezzo di esecuzione per la musica', 'Mezzo di esecuzione per la musica', 1, 0, '', 7, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('796', 'n', 'Numero di parte/sezione dell\'opera', 'Numero di parte/sezione dell\'opera', 1, 0, '', 7, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('796', 'o', 'Formulazione d\'arrangiamento per la musica', 'Formulazione d\'arrangiamento per la musica', 0, 0, '', 7, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('796', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, '', 7, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('796', 'q', 'Forma completa del nome', 'Forma completa del nome', 0, 0, '', 7, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('796', 'r', 'Tonalità (musica)', 'Tonalità (musica)', 0, 0, '', 7, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('796', 's', 'Versione', 'Versione', 0, 0, '', 7, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('796', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, '', 7, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('796', 'u', 'Affiliazione', 'Affiliazione', 0, 0, '', 7, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('796', 'x', 'ISSN (International Standard Serial Number)', 'ISSN (International Standard Serial Number)', 0, 0, '', 7, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('797', '%', '% (RLIN)', '% (RLIN)', 0, 0, '', 7, '', '', '', 0, -6, 'AR', '', '', NULL),
		('797', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, '', 7, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('797', '4', 'Codice di ruolo', 'Codice di ruolo', 1, 0, '', 7, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('797', '5', 'Istituzione a cui si applica il campo', 'Istituzione a cui si applica il campo', 0, 0, '', 7, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('797', '6', 'Collegamento', 'Collegamento', 0, 0, '', 7, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('797', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 7, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('797', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 7, '', '', '', 0, -5, 'AR', '', '', NULL),
		('797', 'a', 'Nome dell\'ente o nome della giurisdizione come accesso', 'Nome dell\'ente o nome della giurisdizione come accesso', 0, 0, '', 7, '', 'CORPO_NAME', '', NULL, -6, 'AR', '', '', NULL),
		('797', 'b', 'Unità subordinata', 'Unità subordinata', 1, 0, '', 7, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('797', 'c', 'Luogo del convegno', 'Luogo del convegno', 0, 0, '', 7, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('797', 'd', 'Data del convegno o di firma del trattato', 'Data del convegno o di firma del trattato', 1, 0, '', 7, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('797', 'e', 'Termine di ruolo', 'Termine di ruolo', 1, 0, '', 7, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('797', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, '', 7, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('797', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, '', 7, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('797', 'h', 'Supporto', 'Supporto', 0, 0, '', 7, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('797', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, '', 7, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('797', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, '', 7, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('797', 'm', 'Mezzo di esecuzione per la musica', 'Mezzo di esecuzione per la musica', 1, 0, '', 7, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('797', 'n', 'Numero di parte/sezione/convegno', 'Numero di parte/sezione/convegno', 1, 0, '', 7, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('797', 'o', 'Formulazione d\'arrangiamento per la musica', 'Formulazione d\'arrangiamento per la musica', 0, 0, '', 7, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('797', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, '', 7, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('797', 'r', 'Tonalità (musica)', 'Tonalità (musica)', 0, 0, '', 7, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('797', 's', 'Versione', 'Versione', 0, 0, '', 7, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('797', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, '', 7, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('797', 'u', 'Affiliazione', 'Affiliazione', 0, 0, '', 7, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('797', 'x', 'ISSN (International Standard Serial Number)', 'ISSN (International Standard Serial Number)', 0, 0, '', 7, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('798', '%', '% (RLIN)', '% (RLIN)', 0, 0, '', 7, '', '', '', 0, -5, 'AR', '', '', NULL),
		('798', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('798', '4', 'Codice di ruolo', 'Codice di ruolo', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('798', '5', 'Istituzione a cui si applica il campo', 'Istituzione a cui si applica il campo', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('798', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('798', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('798', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 7, '', '', '', 0, -5, 'AR', '', '', NULL),
		('798', 'a', 'Nome del convegno o nome della giurisdizione come accesso', 'Nome del convegno o nome della giurisdizione come accesso', 0, 0, NULL, 7, NULL, 'MEETI_NAME', '', NULL, -6, 'AR', '', '', NULL),
		('798', 'b', 'Number (BK CF MP MU SE VM MX) [OBSOLETE]', 'Number (BK CF MP MU SE VM MX) [OBSOLETE]', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('798', 'c', 'Luogo del convegno', 'Luogo del convegno', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('798', 'd', 'Data del convegno', 'Data del convegno', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('798', 'e', 'Unità subordinata', 'Unità subordinata', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('798', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('798', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('798', 'h', 'Supporto', 'Supporto', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('798', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('798', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('798', 'n', 'Numero di parte/sezione/convegno', 'Numero di parte/sezione/convegno', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('798', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('798', 'q', 'Nome del convegno dopo accesso di nome della giurisdizione', 'Nome del convegno dopo accesso di nome della giurisdizione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('798', 's', 'Versione', 'Versione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('798', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('798', 'u', 'Affiliazione', 'Affiliazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('798', 'x', 'ISSN (International Standard Serial Number)', 'ISSN (International Standard Serial Number)', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('799', '%', '% (RLIN)', '% (RLIN)', 0, 0, '', 7, '', '', '', 0, -6, 'AR', '', '', NULL),
		('799', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, '', 7, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('799', '5', 'Istituzione a cui si applica il campo', 'Istituzione a cui si applica il campo', 0, 0, '', 7, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('799', '6', 'Collegamento', 'Collegamento', 0, 0, '', 7, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('799', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 7, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('799', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 7, '', '', '', 0, -5, 'AR', '', '', NULL),
		('799', 'a', 'Titolo uniforme', 'Titolo uniforme', 0, 0, '', 7, '', 'UNIF_TITLE', '', NULL, -6, 'AR', '', '', NULL),
		('799', 'd', 'Data di firma del trattato', 'Data di firma del trattato', 1, 0, '', 7, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('799', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, '', 7, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('799', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, '', 7, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('799', 'h', 'Supporto', 'Supporto', 0, 0, '', 7, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('799', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, '', 7, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('799', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, '', 7, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('799', 'm', 'Mezzo di esecuzione per la musica', 'Mezzo di esecuzione per la musica', 1, 0, '', 7, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('799', 'n', 'Numero di parte/sezione dell\'opera', 'Numero di parte/sezione dell\'opera', 1, 0, '', 7, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('799', 'o', 'Formulazione d\'arrangiamento per la musica', 'Formulazione d\'arrangiamento per la musica', 0, 0, '', 7, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('799', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, '', 7, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('799', 'r', 'Tonalità (musica)', 'Tonalità (musica)', 0, 0, '', 7, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('799', 's', 'Versione', 'Versione', 0, 0, '', 7, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('799', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, '', 7, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('799', 'x', 'ISSN (International Standard Serial Number)', 'ISSN (International Standard Serial Number)', 0, 0, '', 7, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('800', '4', 'Codice di ruolo', 'Codice di ruolo', 1, 0, '', 8, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('800', '6', 'Collegamento', 'Collegamento', 0, 0, '', 8, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('800', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 8, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('800', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 8, '', '', '', 0, -5, 'AR', '', '', NULL),
		('800', 'a', 'Nome di persona', 'Nome di persona', 0, 0, '', 8, '', 'PERSO_NAME', '', NULL, -6, 'AR', '', '', NULL),
		('800', 'b', 'Numerazione', 'Numerazione', 0, 0, '', 8, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('800', 'c', 'Titoli e altre parole associate al nome', 'Titoli e altre parole associate al nome', 1, 0, '', 8, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('800', 'd', 'Date associate al nome', 'Date associate al nome', 0, 0, '', 8, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('800', 'e', 'Termine di ruolo', 'Termine di ruolo', 1, 0, '', 8, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('800', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, '', 8, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('800', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, '', 8, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('800', 'h', 'Supporto', 'Supporto', 0, 0, '', 8, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('800', 'j', 'Qualificazione d\'attribuzione', 'Qualificazione d\'attribuzione', 1, 0, '', 8, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('800', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, '', 8, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('800', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, '', 8, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('800', 'm', 'Mezzo di esecuzione per la musica', 'Mezzo di esecuzione per la musica', 1, 0, '', 8, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('800', 'n', 'Numero di parte/sezione dell\'opera', 'Numero di parte/sezione dell\'opera', 1, 0, '', 8, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('800', 'o', 'Formulazione d\'arrangiamento per la musica', 'Formulazione d\'arrangiamento per la musica', 0, 0, '', 8, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('800', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, '', 8, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('800', 'q', 'Forma completa del nome', 'Forma completa del nome', 0, 0, '', 8, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('800', 'r', 'Tonalità (musica)', 'Tonalità (musica)', 0, 0, '', 8, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('800', 's', 'Versione', 'Versione', 0, 0, '', 8, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('800', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, '', 8, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('800', 'u', 'Affiliazione', 'Affiliazione', 0, 0, '', 8, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('800', 'v', 'Numero del volume/designazione di sequenza', 'Numero del volume/designazione di sequenza', 0, 0, '', 8, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('800', 'w', 'Numero di controllo bibliografico', 'Numero di controllo bibliografico', 1, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('810', '4', 'Codice di ruolo', 'Codice di ruolo', 1, 0, '', 8, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('810', '6', 'Collegamento', 'Collegamento', 0, 0, '', 8, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('810', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 8, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('810', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 8, '', '', '', 0, -5, 'AR', '', '', NULL),
		('810', 'a', 'Nome dell\'ente o nome della giurisdizione come accesso', 'Nome dell\'ente o nome della giurisdizione come accesso', 0, 0, '', 8, '', 'CORPO_NAME', '', NULL, -6, 'AR', '', '', NULL),
		('810', 'b', 'Unità subordinata', 'Unità subordinata', 1, 0, '', 8, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('810', 'c', 'Luogo del convegno', 'Luogo del convegno', 0, 0, '', 8, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('810', 'd', 'Data del convegno o di firma del trattato', 'Data del convegno o di firma del trattato', 1, 0, '', 8, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('810', 'e', 'Termine di ruolo', 'Termine di ruolo', 1, 0, '', 8, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('810', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, '', 8, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('810', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, '', 8, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('810', 'h', 'Supporto', 'Supporto', 0, 0, '', 8, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('810', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, '', 8, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('810', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, '', 8, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('810', 'm', 'Mezzo di esecuzione per la musica', 'Mezzo di esecuzione per la musica', 1, 0, '', 8, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('810', 'n', 'Numero di parte/sezione/convegno', 'Numero di parte/sezione/convegno', 1, 0, '', 8, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('810', 'o', 'Formulazione d\'arrangiamento per la musica', 'Formulazione d\'arrangiamento per la musica', 0, 0, '', 8, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('810', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, '', 8, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('810', 'r', 'Tonalità (musica)', 'Tonalità (musica)', 0, 0, '', 8, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('810', 's', 'Versione', 'Versione', 0, 0, '', 8, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('810', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, '', 8, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('810', 'u', 'Affiliazione', 'Affiliazione', 0, 0, '', 8, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('810', 'v', 'Numero del volume/designazione di sequenza', 'Numero del volume/designazione di sequenza', 0, 0, '', 8, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('810', 'w', 'Numero di controllo bibliografico', 'Numero di controllo bibliografico', 1, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('811', '4', 'Codice di ruolo', 'Codice di ruolo', 1, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('811', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('811', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('811', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 8, '', '', '', 0, -5, 'AR', '', '', NULL),
		('811', 'a', 'Nome del convegno o nome della giurisdizione come accesso', 'Nome del convegno o nome della giurisdizione come accesso', 0, 0, NULL, 8, NULL, 'MEETI_NAME', '', NULL, -6, 'AR', '', '', NULL),
		('811', 'b', 'Number (BK CF MP MU SE VM MX) [OBSOLETE]', 'Number (BK CF MP MU SE VM MX) [OBSOLETE]', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('811', 'c', 'Luogo del convegno', 'Luogo del convegno', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('811', 'd', 'Data del convegno', 'Data del convegno', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('811', 'e', 'Unità subordinata', 'Unità subordinata', 1, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('811', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('811', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('811', 'h', 'Supporto', 'Supporto', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('811', 'j', 'Termine di ruolo', 'Termine di ruolo', 1, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('811', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('811', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('811', 'n', 'Numero di parte/sezione/convegno', 'Numero di parte/sezione/convegno', 1, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('811', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('811', 'q', 'Nome del convegno dopo accesso di nome della giurisdizione', 'Nome del convegno dopo accesso di nome della giurisdizione', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('811', 's', 'Versione', 'Versione', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('811', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('811', 'u', 'Affiliazione', 'Affiliazione', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('811', 'v', 'Numero del volume/designazione di sequenza', 'Numero del volume/designazione di sequenza', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('811', 'w', 'Numero di controllo bibliografico', 'Numero di controllo bibliografico', 1, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('830', '6', 'Collegamento', 'Collegamento', 0, 0, '', 8, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('830', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 8, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('830', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 8, '', '', '', 0, -5, 'AR', '', '', NULL),
		('830', 'a', 'Titolo uniforme', 'Titolo uniforme', 0, 0, '', 8, '', 'UNIF_TITLE', '', NULL, -6, 'AR', '', '', NULL),
		('830', 'd', 'Data di firma del trattato', 'Data di firma del trattato', 1, 0, '', 8, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('830', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, '', 8, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('830', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, '', 8, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('830', 'h', 'Supporto', 'Supporto', 0, 0, '', 8, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('830', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, '', 8, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('830', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, '', 8, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('830', 'm', 'Mezzo di esecuzione per la musica', 'Mezzo di esecuzione per la musica', 1, 0, '', 8, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('830', 'n', 'Numero di parte/sezione dell\'opera', 'Numero di parte/sezione dell\'opera', 1, 0, '', 8, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('830', 'o', 'Formulazione d\'arrangiamento per la musica', 'Formulazione d\'arrangiamento per la musica', 0, 0, '', 8, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('830', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, '', 8, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('830', 'r', 'Tonalità (musica)', 'Tonalità (musica)', 0, 0, '', 8, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('830', 's', 'Versione', 'Versione', 0, 0, '', 8, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('830', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, '', 8, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('830', 'v', 'Numero del volume/designazione di sequenza', 'Numero del volume/designazione di sequenza', 0, 0, '', 8, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('830', 'w', 'Numero di controllo bibliografico', 'Numero di controllo bibliografico', 1, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('840', 'a', 'Titolo', 'Titolo', 0, 0, '', 8, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('840', 'h', 'Supporto', 'Supporto', 1, 0, '', 8, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('840', 'v', 'Numero del volume/designazione di sequenza', 'Numero del volume/designazione di sequenza', 0, 0, '', 8, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('841', 'a', 'Tipo di record', 'Tipo di record', 0, 0, NULL, 8, NULL, NULL, '', NULL, 5, 'AR', '', '', NULL),
		('841', 'b', 'Elementi a lunghezza fiss', 'Elementi a lunghezza fiss', 0, 0, NULL, 8, NULL, NULL, '', NULL, 5, 'AR', '', '', NULL),
		('841', 'e', 'Livello di codifica', 'Livello di codifica', 0, 0, NULL, 8, NULL, NULL, '', NULL, 5, 'AR', '', '', NULL),
		('842', '6', 'Collegamento', 'Collegamento', 0, 0, '', 8, '', '', '', NULL, 5, 'AR', '', '', NULL),
		('842', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 8, '', '', '', NULL, 5, 'AR', '', '', NULL),
		('842', 'a', 'Designatore testuale di forma fisica', 'Designatore testuale di forma fisica', 0, 0, '', 8, '', '', '', NULL, 5, 'AR', '', '', NULL),
		('843', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, NULL, 8, NULL, NULL, '', NULL, 5, 'AR', '', '', NULL),
		('843', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 8, NULL, NULL, '', NULL, 5, 'AR', '', '', NULL),
		('843', '7', 'Elementi di lunghezza fissa della riproduzione', 'Elementi di lunghezza fissa della riproduzione', 0, 0, NULL, 8, NULL, NULL, '', NULL, 5, 'AR', '', '', NULL),
		('843', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 8, NULL, NULL, '', NULL, 5, 'AR', '', '', NULL),
		('843', 'a', 'Tipo di riproduzione', 'Tipo di riproduzione', 0, 0, NULL, 8, NULL, NULL, '', NULL, 5, 'AR', '', '', NULL),
		('843', 'b', 'Luogo di riproduzione', 'Luogo di riproduzione', 1, 0, NULL, 8, NULL, NULL, '', NULL, 5, 'AR', '', '', NULL),
		('843', 'c', 'Agenzia responsabile della riproduzione', 'Agenzia responsabile della riproduzione', 1, 0, NULL, 8, NULL, NULL, '', NULL, 5, 'AR', '', '', NULL),
		('843', 'd', 'Data di riproduzione', 'Data di riproduzione', 0, 0, NULL, 8, NULL, NULL, '', NULL, 5, 'AR', '', '', NULL),
		('843', 'e', 'Descrizione fisica della riproduzione', 'Descrizione fisica della riproduzione', 1, 0, NULL, 8, NULL, NULL, '', NULL, 5, 'AR', '', '', NULL),
		('843', 'f', 'Formulazione della serie della riproduzione', 'Formulazione della serie della riproduzione', 1, 0, NULL, 8, NULL, NULL, '', NULL, 5, 'AR', '', '', NULL),
		('843', 'm', 'Date di pubblicazione e/o designazione sequenziale dei fascicoli riprodotti', 'Date di pubblicazione e/o designazione sequenziale dei fascicoli riprodotti', 1, 0, NULL, 8, NULL, NULL, '', NULL, 5, 'AR', '', '', NULL),
		('843', 'n', 'Nota sulla riproduzione', 'Nota sulla riproduzione', 1, 0, NULL, 8, NULL, NULL, '', NULL, 5, 'AR', '', '', NULL),
		('844', '6', 'Collegamento', 'Collegamento', 0, 0, '', 8, '', '', '', NULL, 5, 'AR', '', '', NULL),
		('844', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 8, '', '', '', NULL, 5, 'AR', '', '', NULL),
		('844', 'a', 'Nome dell\'unità', 'Nome dell\'unità', 0, 0, '', 8, '', '', '', NULL, 5, 'AR', '', '', NULL),
		('845', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, NULL, 8, NULL, NULL, '', NULL, 5, 'AR', '', '', NULL),
		('845', '5', 'Istituzione a cui si applica il campo', 'Istituzione a cui si applica il campo', 0, 0, NULL, 8, NULL, NULL, '', NULL, 5, 'AR', '', '', NULL),
		('845', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 8, NULL, NULL, '', NULL, 5, 'AR', '', '', NULL),
		('845', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 8, NULL, NULL, '', NULL, 5, 'AR', '', '', NULL),
		('845', 'a', 'Condizioni che regolano l\'utilizzo e la riproduzione', 'Condizioni che regolano l\'utilizzo e la riproduzione', 0, 0, NULL, 8, NULL, NULL, '', NULL, 5, 'AR', '', '', NULL),
		('845', 'b', 'Competenza legale', 'Competenza legale', 0, 0, NULL, 8, NULL, NULL, '', NULL, 5, 'AR', '', '', NULL),
		('845', 'c', 'Autorizzazione', 'Autorizzazione', 0, 0, NULL, 8, NULL, NULL, '', NULL, 5, 'AR', '', '', NULL),
		('845', 'd', 'Utenti autorizzati', 'Utenti autorizzati', 0, 0, NULL, 8, NULL, NULL, '', NULL, 5, 'AR', '', '', NULL),
		('850', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 8, NULL, NULL, '', NULL, 5, 'AR', '', '', NULL),
		('850', 'a', 'Istituzione possedente', 'Istituzione possedente', 1, 0, NULL, 8, NULL, NULL, '', NULL, 5, 'AR', '', '', NULL),
		('850', 'b', 'Holdings (NR) (MU VM SE) [OBSOLETE]', 'Holdings (NR) (MU VM SE) [OBSOLETE]', 0, 0, NULL, 8, NULL, NULL, '', NULL, 5, 'AR', '', '', NULL),
		('850', 'd', 'Inclusive dates (NR) (MU VM SE) [OBSOLETE]', 'Inclusive dates (NR) (MU VM SE) [OBSOLETE]', 0, 0, NULL, 8, NULL, NULL, '', NULL, 5, 'AR', '', '', NULL),
		('850', 'e', 'Retention statement (NR) (CF MU VM SE) [OBSOLETE]', 'Retention statement (NR) (CF MU VM SE) [OBSOLETE]', 0, 0, NULL, 8, NULL, NULL, '', NULL, 5, 'AR', '', '', NULL),
		('851', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, NULL, 8, NULL, NULL, '', NULL, 5, 'AR', '', '', NULL),
		('851', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 8, NULL, NULL, '', NULL, 5, 'AR', '', '', NULL),
		('851', 'a', 'Nome (custode o proprietario)', 'Nome (custode o proprietario)', 0, 0, NULL, 8, NULL, NULL, '', NULL, 5, 'AR', '', '', NULL),
		('851', 'b', 'Suddivisione istituzionale', 'Suddivisione istituzionale', 0, 0, NULL, 8, NULL, NULL, '', NULL, 5, 'AR', '', '', NULL),
		('851', 'c', 'Indirizzo', 'Indirizzo', 0, 0, NULL, 8, NULL, NULL, '', NULL, 5, 'AR', '', '', NULL),
		('851', 'd', 'Paese', 'Paese', 0, 0, NULL, 8, NULL, NULL, '', NULL, 5, 'AR', '', '', NULL),
		('851', 'e', 'Localizzazione dell\'unità', 'Localizzazione dell\'unità', 0, 0, NULL, 8, NULL, NULL, '', NULL, 5, 'AR', '', '', NULL),
		('851', 'f', 'Numero d\'item', 'Numero d\'item', 0, 0, NULL, 8, NULL, NULL, '', NULL, 5, 'AR', '', '', NULL),
		('851', 'g', 'Codice di localizzazione del deposito', 'Codice di localizzazione del deposito', 0, 0, NULL, 8, NULL, NULL, '', NULL, 5, 'AR', '', '', NULL),
		('852', '2', 'Fonte della classificazione o dello schema di collocazione (segnatura)', 'Fonte della classificazione o dello schema di collocazione (segnatura)', 0, 0, '', 8, '', '', '', NULL, 5, 'AR', '', '', NULL),
		('852', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, '', 8, '', '', '', NULL, 5, 'AR', '', '', NULL),
		('852', '6', 'Collegamento', 'Collegamento', 0, 0, '', 8, '', '', '', NULL, 5, 'AR', '', '', NULL),
		('852', '8', 'Numero di sequenza', 'Numero di sequenza', 1, 0, '', 8, '', '', '', NULL, 5, 'AR', '', '', NULL),
		('852', 'a', 'Localizzazione', 'Localizzazione', 0, 0, '', 8, '', '', '', NULL, 5, 'AR', '', '', NULL),
		('852', 'b', 'Sottolocalizzazione o collezione', 'Sottolocalizzazione o collezione', 1, 0, '', 8, '', '', '', NULL, 5, 'AR', '', '', NULL),
		('852', 'c', 'Localizzazione a scaffale', 'Localizzazione a scaffale', 1, 0, '', 8, '', '', '', NULL, 5, 'AR', '', '', NULL),
		('852', 'e', 'Indirizzo', 'Indirizzo', 1, 0, '', 8, '', '', '', NULL, 5, 'AR', '', '', NULL),
		('852', 'f', 'Qualificatore di localizzazione codificato', 'Qualificatore di localizzazione codificato', 1, 0, '', 8, '', '', '', NULL, 5, 'AR', '', '', NULL),
		('852', 'g', 'Qualificatore di localizzazione non codificato', 'Qualificatore di localizzazione non codificato', 1, 0, '', 8, '', '', '', NULL, 5, 'AR', '', '', NULL),
		('852', 'h', 'Parte della classificazione', 'Parte della classificazione', 0, 0, '', 8, '', '', '', NULL, 5, 'AR', '', '', NULL),
		('852', 'i', 'Parte dell\'item', 'Parte dell\'item', 1, 0, '', 8, '', '', '', NULL, 5, 'AR', '', '', NULL),
		('852', 'j', 'Collocazione (segnatura)', 'Collocazione (segnatura)', 0, 0, '', 8, '', '', '', NULL, 5, 'AR', '', '', NULL),
		('852', 'k', 'Prefisso del numero di chiamata (collocazione)', 'Prefisso del numero di chiamata (collocazione)', 0, 0, '', 8, '', '', '', NULL, 5, 'AR', '', '', NULL),
		('852', 'l', 'Forma di collocazione (segnatura) di titolo', 'Forma di collocazione (segnatura) di titolo', 0, 0, '', 8, '', '', '', NULL, 5, 'AR', '', '', NULL),
		('852', 'm', 'Suffisso del numero di chiamata (collocazione)', 'Suffisso del numero di chiamata (collocazione)', 0, 0, '', 8, '', '', '', NULL, 5, 'AR', '', '', NULL),
		('852', 'n', 'Codice di paese', 'Codice di paese', 0, 0, '', 8, '', '', '', NULL, 5, 'AR', '', '', NULL),
		('852', 'p', 'Designazione di parte', 'Designazione di parte', 0, 0, '', 8, '', '', '', NULL, 5, 'AR', '', '', NULL),
		('852', 'q', 'Condizione fisica della parte', 'Condizione fisica della parte', 0, 0, '', 8, '', '', '', NULL, 5, 'AR', '', '', NULL),
		('852', 's', 'Codice di tassa sul copyright dell\'articolo', 'Codice di tassa sul copyright dell\'articolo', 1, 0, '', 8, '', '', '', NULL, 5, 'AR', '', '', NULL),
		('852', 't', 'Numero di copia', 'Numero di copia', 0, 0, '', 8, '', '', '', NULL, 5, 'AR', '', '', NULL),
		('852', 'u', 'URI (Uniform Resource Identifier)', 'URI (Uniform Resource Identifier)', 1, 0, '', 8, '', '', '', 1, 5, 'AR', '', '', NULL),
		('852', 'x', 'Nota non pubblic', 'Nota non pubblic', 1, 0, '', 8, '', '', '', NULL, 5, 'AR', '', '', NULL),
		('852', 'z', 'Nota pubblica', 'Nota pubblica', 1, 0, '', 8, '', '', '', NULL, 5, 'AR', '', '', NULL),
		('853', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, '', 8, '', '', '', NULL, 5, 'AR', '', '', NULL),
		('853', '6', 'Collegamento', 'Collegamento', 0, 0, '', 8, '', '', '', NULL, 5, 'AR', '', '', NULL),
		('853', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 8, '', '', '', NULL, 5, 'AR', '', '', NULL),
		('853', 'a', 'Primo livello di enumerazione', 'Primo livello di enumerazione', 0, 0, '', 8, '', '', '', NULL, 5, 'AR', '', '', NULL),
		('853', 'b', 'Secondo livello di enumerazione', 'Secondo livello di enumerazione', 0, 0, '', 8, '', '', '', NULL, 5, 'AR', '', '', NULL),
		('853', 'c', 'Terzo livello di enumerazione', 'Terzo livello di enumerazione', 0, 0, '', 8, '', '', '', NULL, 5, 'AR', '', '', NULL),
		('853', 'd', 'Quarto livello di enumerazione', 'Quarto livello di enumerazione', 0, 0, '', 8, '', '', '', NULL, 5, 'AR', '', '', NULL),
		('853', 'e', 'Quinto livello di enumerazione', 'Quinto livello di enumerazione', 0, 0, '', 8, '', '', '', NULL, 5, 'AR', '', '', NULL),
		('853', 'f', 'Sesto livello di enumerazione', 'Sesto livello di enumerazione', 0, 0, '', 8, '', '', '', NULL, 5, 'AR', '', '', NULL),
		('853', 'g', 'Schema di numerazione alternativo, primo livello di enumerazione', 'Schema di numerazione alternativo, primo livello di enumerazione', 0, 0, '', 8, '', '', '', NULL, 5, 'AR', '', '', NULL),
		('853', 'h', 'Schema di numerazione alternativo, secondo livello di enumerazione', 'Schema di numerazione alternativo, secondo livello di enumerazione', 0, 0, '', 8, '', '', '', NULL, 5, 'AR', '', '', NULL),
		('853', 'i', 'Primo livello di cronologia', 'Primo livello di cronologia', 0, 0, '', 8, '', '', '', NULL, 5, 'AR', '', '', NULL),
		('853', 'j', 'Secondo livello di cronologia', 'Secondo livello di cronologia', 0, 0, '', 8, '', '', '', NULL, 5, 'AR', '', '', NULL),
		('853', 'k', 'Terzo livello di cronologia', 'Terzo livello di cronologia', 0, 0, '', 8, '', '', '', NULL, 5, 'AR', '', '', NULL),
		('853', 'l', 'Quarto livello di cronologia', 'Quarto livello di cronologia', 0, 0, '', 8, '', '', '', NULL, 5, 'AR', '', '', NULL),
		('853', 'm', 'Schema di numerazione alternativo, cronologia', 'Schema di numerazione alternativo, cronologia', 0, 0, '', 8, '', '', '', NULL, 5, 'AR', '', '', NULL),
		('853', 'n', 'Nota allo schema', 'Nota allo schema', 0, 0, '', 8, '', '', '', NULL, 5, 'AR', '', '', NULL),
		('853', 'p', 'Numero di pezzi per emissione', 'Numero di pezzi per emissione', 0, 0, '', 8, '', '', '', NULL, 5, 'AR', '', '', NULL),
		('853', 't', 'Copia', 'Copia', 0, 0, '', 8, '', '', '', NULL, 5, 'AR', '', '', NULL),
		('853', 'u', 'Unità bibliografiche per il livello superiore', 'Unità bibliografiche per il livello superiore', 1, 0, '', 8, '', '', '', NULL, 5, 'AR', '', '', NULL),
		('853', 'v', 'Continuità di numerazione', 'Continuità di numerazione', 1, 0, '', 8, '', '', '', NULL, 5, 'AR', '', '', NULL),
		('853', 'w', 'Frequenza', 'Frequenza', 0, 0, '', 8, '', '', '', NULL, 5, 'AR', '', '', NULL),
		('853', 'x', 'Cambio di calendario', 'Cambio di calendario', 0, 0, '', 8, '', '', '', NULL, 5, 'AR', '', '', NULL),
		('853', 'y', 'scham di regolarità', 'scham di regolarità', 1, 0, '', 8, '', '', '', NULL, 5, 'AR', '', '', NULL),
		('853', 'z', 'Schema di numerazione', 'Schema di numerazione', 1, 0, '', 8, '', '', '', NULL, 5, 'AR', '', '', NULL),
		('854', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, '', 8, '', '', '', NULL, 5, 'AR', '', '', NULL),
		('854', '6', 'Collegamento', 'Collegamento', 0, 0, '', 8, '', '', '', NULL, 5, 'AR', '', '', NULL),
		('854', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 8, '', '', '', NULL, 5, 'AR', '', '', NULL),
		('854', 'a', 'Primo livello di enumerazione', 'Primo livello di enumerazione', 0, 0, '', 8, '', '', '', NULL, 5, 'AR', '', '', NULL),
		('854', 'b', 'Secondo livello di enumerazione', 'Secondo livello di enumerazione', 0, 0, '', 8, '', '', '', NULL, 5, 'AR', '', '', NULL),
		('854', 'c', 'Terzo livello di enumerazione', 'Terzo livello di enumerazione', 0, 0, '', 8, '', '', '', NULL, 5, 'AR', '', '', NULL),
		('854', 'd', 'Quarto livello di enumerazione', 'Quarto livello di enumerazione', 0, 0, '', 8, '', '', '', NULL, 5, 'AR', '', '', NULL),
		('854', 'e', 'Quinto livello di enumerazione', 'Quinto livello di enumerazione', 0, 0, '', 8, '', '', '', NULL, 5, 'AR', '', '', NULL),
		('854', 'f', 'Sesto livello di enumerazione', 'Sesto livello di enumerazione', 0, 0, '', 8, '', '', '', NULL, 5, 'AR', '', '', NULL),
		('854', 'g', 'Schema di numerazione alternativo, primo livello di enumerazione', 'Schema di numerazione alternativo, primo livello di enumerazione', 0, 0, '', 8, '', '', '', NULL, 5, 'AR', '', '', NULL),
		('854', 'h', 'Schema di numerazione alternativo, secondo livello di enumerazione', 'Schema di numerazione alternativo, secondo livello di enumerazione', 0, 0, '', 8, '', '', '', NULL, 5, 'AR', '', '', NULL),
		('854', 'i', 'Primo livello di cronologia', 'Primo livello di cronologia', 0, 0, '', 8, '', '', '', NULL, 5, 'AR', '', '', NULL),
		('854', 'j', 'Secondo livello di cronologia', 'Secondo livello di cronologia', 0, 0, '', 8, '', '', '', NULL, 5, 'AR', '', '', NULL),
		('854', 'k', 'Terzo livello di cronologia', 'Terzo livello di cronologia', 0, 0, '', 8, '', '', '', NULL, 5, 'AR', '', '', NULL),
		('854', 'l', 'Quarto livello di cronologia', 'Quarto livello di cronologia', 0, 0, '', 8, '', '', '', NULL, 5, 'AR', '', '', NULL),
		('854', 'm', 'Schema di numerazione alternativo, cronologia', 'Schema di numerazione alternativo, cronologia', 0, 0, '', 8, '', '', '', NULL, 5, 'AR', '', '', NULL),
		('854', 'n', 'Nota allo schema', 'Nota allo schema', 0, 0, '', 8, '', '', '', NULL, 5, 'AR', '', '', NULL),
		('854', 'p', 'Numero di pezzi per emissione', 'Numero di pezzi per emissione', 0, 0, '', 8, '', '', '', NULL, 5, 'AR', '', '', NULL),
		('854', 't', 'Copia', 'Copia', 0, 0, '', 8, '', '', '', NULL, 5, 'AR', '', '', NULL),
		('854', 'u', 'Unità bibliografiche per il livello superiore', 'Unità bibliografiche per il livello superiore', 1, 0, '', 8, '', '', '', NULL, 5, 'AR', '', '', NULL),
		('854', 'v', 'Continuità di numerazione', 'Continuità di numerazione', 1, 0, '', 8, '', '', '', NULL, 5, 'AR', '', '', NULL),
		('854', 'w', 'Frequenza', 'Frequenza', 0, 0, '', 8, '', '', '', NULL, 5, 'AR', '', '', NULL),
		('854', 'x', 'Cambio di calendario', 'Cambio di calendario', 0, 0, '', 8, '', '', '', NULL, 5, 'AR', '', '', NULL),
		('854', 'y', 'scham di regolarità', 'scham di regolarità', 1, 0, '', 8, '', '', '', NULL, 5, 'AR', '', '', NULL),
		('854', 'z', 'Schema di numerazione', 'Schema di numerazione', 1, 0, '', 8, '', '', '', NULL, 5, 'AR', '', '', NULL),
		('855', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, '', 8, '', '', '', NULL, 5, 'AR', '', '', NULL),
		('855', '6', 'Collegamento', 'Collegamento', 0, 0, '', 8, '', '', '', NULL, 5, 'AR', '', '', NULL),
		('855', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 8, '', '', '', NULL, 5, 'AR', '', '', NULL),
		('855', 'a', 'Primo livello di enumerazione', 'Primo livello di enumerazione', 0, 0, '', 8, '', '', '', NULL, 5, 'AR', '', '', NULL),
		('855', 'b', 'Secondo livello di enumerazione', 'Secondo livello di enumerazione', 0, 0, '', 8, '', '', '', NULL, 5, 'AR', '', '', NULL),
		('855', 'c', 'Terzo livello di enumerazione', 'Terzo livello di enumerazione', 0, 0, '', 8, '', '', '', NULL, 5, 'AR', '', '', NULL),
		('855', 'd', 'Quarto livello di enumerazione', 'Quarto livello di enumerazione', 0, 0, '', 8, '', '', '', NULL, 5, 'AR', '', '', NULL),
		('855', 'e', 'Quinto livello di enumerazione', 'Quinto livello di enumerazione', 0, 0, '', 8, '', '', '', NULL, 5, 'AR', '', '', NULL),
		('855', 'f', 'Sesto livello di enumerazione', 'Sesto livello di enumerazione', 0, 0, '', 8, '', '', '', NULL, 5, 'AR', '', '', NULL),
		('855', 'g', 'Schema di numerazione alternativo, primo livello di enumerazione', 'Schema di numerazione alternativo, primo livello di enumerazione', 0, 0, '', 8, '', '', '', NULL, 5, 'AR', '', '', NULL),
		('855', 'h', 'Schema di numerazione alternativo, secondo livello di enumerazione', 'Schema di numerazione alternativo, secondo livello di enumerazione', 0, 0, '', 8, '', '', '', NULL, 5, 'AR', '', '', NULL),
		('855', 'i', 'Primo livello di cronologia', 'Primo livello di cronologia', 0, 0, '', 8, '', '', '', NULL, 5, 'AR', '', '', NULL),
		('855', 'j', 'Secondo livello di cronologia', 'Secondo livello di cronologia', 0, 0, '', 8, '', '', '', NULL, 5, 'AR', '', '', NULL),
		('855', 'k', 'Terzo livello di cronologia', 'Terzo livello di cronologia', 0, 0, '', 8, '', '', '', NULL, 5, 'AR', '', '', NULL),
		('855', 'l', 'Quarto livello di cronologia', 'Quarto livello di cronologia', 0, 0, '', 8, '', '', '', NULL, 5, 'AR', '', '', NULL),
		('855', 'm', 'Schema di numerazione alternativo, cronologia', 'Schema di numerazione alternativo, cronologia', 0, 0, '', 8, '', '', '', NULL, 5, 'AR', '', '', NULL),
		('855', 'n', 'Nota allo schema', 'Nota allo schema', 0, 0, '', 8, '', '', '', NULL, 5, 'AR', '', '', NULL),
		('855', 'p', 'Numero di pezzi per emissione', 'Numero di pezzi per emissione', 0, 0, '', 8, '', '', '', NULL, 5, 'AR', '', '', NULL),
		('855', 't', 'Copia', 'Copia', 0, 0, '', 8, '', '', '', NULL, 5, 'AR', '', '', NULL),
		('855', 'u', 'Unità bibliografiche per il livello superiore', 'Unità bibliografiche per il livello superiore', 1, 0, '', 8, '', '', '', NULL, 5, 'AR', '', '', NULL),
		('855', 'v', 'Continuità di numerazione', 'Continuità di numerazione', 1, 0, '', 8, '', '', '', NULL, 5, 'AR', '', '', NULL),
		('855', 'w', 'Frequenza', 'Frequenza', 0, 0, '', 8, '', '', '', NULL, 5, 'AR', '', '', NULL),
		('855', 'x', 'Cambio di calendario', 'Cambio di calendario', 0, 0, '', 8, '', '', '', NULL, 5, 'AR', '', '', NULL),
		('855', 'y', 'scham di regolarità', 'scham di regolarità', 1, 0, '', 8, '', '', '', NULL, 5, 'AR', '', '', NULL),
		('855', 'z', 'Schema di numerazione', 'Schema di numerazione', 1, 0, '', 8, '', '', '', NULL, 5, 'AR', '', '', NULL),
		('856', '2', 'Metodo di accesso', 'Metodo di accesso', 0, 0, '', 8, '', '', '', 0, -6, 'AR', '', '', NULL),
		('856', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, '', 8, '', '', '', 0, -6, 'AR', '', '', NULL),
		('856', '6', 'Collegamento', 'Collegamento', 0, 0, '', 8, '', '', '', 0, -6, 'AR', '', '', NULL),
		('856', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 8, '', '', '', 0, -6, 'AR', '', '', NULL),
		('856', 'a', 'Nome dell\'host', 'Nome dell\'host', 1, 0, '', 8, '', '', '', 0, -1, 'AR', '', '', NULL),
		('856', 'b', 'Numero di accesso', 'Numero di accesso', 1, 0, '', 8, '', '', '', 0, -1, 'AR', '', '', NULL),
		('856', 'c', 'Informazione sulla compressione', 'Informazione sulla compressione', 1, 0, '', 8, '', '', '', 0, -1, 'AR', '', '', NULL),
		('856', 'd', 'Percorso della risorsa', 'Percorso della risorsa', 1, 0, '', 8, '', '', '', 0, -1, 'AR', '', '', NULL),
		('856', 'f', 'Nome elettronico', 'Nome elettronico', 1, 0, '', 8, '', '', '', 0, -1, 'AR', '', '', NULL),
		('856', 'h', 'Processore della richiesta (Username)', 'Processore della richiesta (Username)', 0, 0, '', 8, '', '', '', 0, -1, 'AR', '', '', NULL),
		('856', 'i', 'Istruzioni', 'Istruzioni', 1, 0, '', 8, '', '', '', 0, -1, 'AR', '', '', NULL),
		('856', 'j', 'Bit per secondo', 'Bit per secondo', 0, 0, '', 8, '', '', '', 0, -1, 'AR', '', '', NULL),
		('856', 'k', 'Password', 'Password', 0, 0, '', 8, '', '', '', 0, -1, 'AR', '', '', NULL),
		('856', 'l', 'Logon', 'Logon', 0, 0, '', 8, '', '', '', 0, -1, 'AR', '', '', NULL),
		('856', 'm', 'Contatto per assistenza all\'accesso', 'Contatto per assistenza all\'accesso', 1, 0, '', 8, '', '', '', 0, -1, 'AR', '', '', NULL),
		('856', 'n', 'Nome della localizzazione dell\'host', 'Nome della localizzazione dell\'host', 0, 0, '', 8, '', '', '', 0, -1, 'AR', '', '', NULL),
		('856', 'o', 'Sistema operativo', 'Sistema operativo', 0, 0, '', 8, '', '', '', 0, -1, 'AR', '', '', NULL),
		('856', 'p', 'Porta', 'Porta', 0, 0, '', 8, '', '', '', 0, -1, 'AR', '', '', NULL),
		('856', 'q', 'Tipo di formato elettronico', 'Tipo di formato elettronico', 0, 0, '', 8, '', '', '', 0, -1, 'AR', '', '', NULL),
		('856', 'r', 'Parametri', 'Parametri', 0, 0, '', 8, '', '', '', 0, -1, 'AR', '', '', NULL),
		('856', 's', 'Dimensione file', 'Dimensione file', 1, 0, '', 8, '', '', '', 0, -1, 'AR', '', '', NULL),
		('856', 't', 'Emulazione del terminale', 'Emulazione del terminale', 1, 0, '', 8, '', '', '', 0, -1, 'AR', '', '', NULL),
		('856', 'u', 'URI (Uniform Resource Identifier)', 'URI (Uniform Resource Identifier)', 1, 0, 'biblioitems.url', 8, '', '', '', 1, -1, 'AR', '', '', NULL),
		('856', 'v', 'Orario di accesso', 'Orario di accesso', 1, 0, '', 8, '', '', '', 0, -1, 'AR', '', '', NULL),
		('856', 'w', 'Numero di controllo della registrazione', 'Numero di controllo della registrazione', 1, 0, '', 8, '', '', '', 0, -1, 'AR', '', '', NULL),
		('856', 'x', 'Nota non pubblic', 'Nota non pubblic', 1, 0, '', 8, '', '', '', 0, 1, 'AR', '', '', NULL),
		('856', 'y', 'Testo di collegamento', 'Testo di collegamento', 1, 0, '', 8, '', '', '', 0, -1, 'AR', '', '', NULL),
		('856', 'z', 'Nota pubblica', 'Nota pubblica', 1, 0, '', 8, '', '', '', 0, -1, 'AR', '', '', NULL),
		('859', 'b', 'Operator\'s initials, OID (RLIN)', 'Operator\'s initials, OID (RLIN)', 0, 0, '', 8, '', '', '', 0, 5, 'AR', '', '', NULL),
		('859', 'c', 'Cataloger\'s initials, CIN (RLIN)', 'Cataloger\'s initials, CIN (RLIN)', 0, 0, '', 8, '', '', '', 0, 5, 'AR', '', '', NULL),
		('859', 'd', 'TDC (RLIN)', 'TDC (RLIN)', 0, 0, '', 8, '', '', '', 0, 5, 'AR', '', '', NULL),
		('859', 'l', 'LIB (RLIN)', 'LIB (RLIN)', 0, 0, '', 8, '', '', '', 0, 5, 'AR', '', '', NULL),
		('859', 'p', 'PRI (RLIN)', 'PRI (RLIN)', 0, 0, '', 8, '', '', '', 0, 5, 'AR', '', '', NULL),
		('859', 'r', 'REG (RLIN)', 'REG (RLIN)', 0, 0, '', 8, '', '', '', 0, 5, 'AR', '', '', NULL),
		('859', 'v', 'VER (RLIN)', 'VER (RLIN)', 0, 0, '', 8, '', '', '', 0, 5, 'AR', '', '', NULL),
		('859', 'x', 'LDEL (RLIN)', 'LDEL (RLIN)', 0, 0, '', 8, '', '', '', 0, 5, 'AR', '', '', NULL),
		('863', '6', 'Collegamento', 'Collegamento', 0, 0, '', 8, '', '', '', NULL, 5, 'AR', '', '', NULL),
		('863', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 0, 0, '', 8, '', '', '', NULL, 5, 'AR', '', '', NULL),
		('863', 'a', 'Primo livello di enumerazione', 'Primo livello di enumerazione', 0, 0, '', 8, '', '', '', 0, 5, 'AR', '', '', NULL),
		('863', 'b', 'Secondo livello di enumerazione', 'Secondo livello di enumerazione', 0, 0, '', 8, '', '', '', 0, 5, 'AR', '', '', NULL),
		('863', 'c', 'Terzo livello di enumerazione', 'Terzo livello di enumerazione', 0, 0, '', 8, '', '', '', 0, 5, 'AR', '', '', NULL),
		('863', 'd', 'Quarto livello di enumerazione', 'Quarto livello di enumerazione', 0, 0, '', 8, '', '', '', 0, 5, 'AR', '', '', NULL),
		('863', 'e', 'Quinto livello di enumerazione', 'Quinto livello di enumerazione', 0, 0, '', 8, '', '', '', 0, 5, 'AR', '', '', NULL),
		('863', 'f', 'Sesto livello di enumerazione', 'Sesto livello di enumerazione', 0, 0, '', 8, '', '', '', 0, 5, 'AR', '', '', NULL),
		('863', 'g', 'Schema di numerazione alternativo, primo livello di enumerazione', 'Schema di numerazione alternativo, primo livello di enumerazione', 0, 0, '', 8, '', '', '', 0, 5, 'AR', '', '', NULL),
		('863', 'h', 'Schema di numerazione alternativo, secondo livello di enumerazione', 'Schema di numerazione alternativo, secondo livello di enumerazione', 0, 0, '', 8, '', '', '', 0, 5, 'AR', '', '', NULL),
		('863', 'i', 'Primo livello di cronologia', 'Primo livello di cronologia', 0, 0, '', 8, '', '', '', 0, 5, 'AR', '', '', NULL),
		('863', 'j', 'Secondo livello di cronologia', 'Secondo livello di cronologia', 0, 0, '', 8, '', '', '', 0, 5, 'AR', '', '', NULL),
		('863', 'k', 'Terzo livello di cronologia', 'Terzo livello di cronologia', 0, 0, '', 8, '', '', '', 0, 5, 'AR', '', '', NULL),
		('863', 'l', 'Quarto livello di cronologia', 'Quarto livello di cronologia', 0, 0, '', 8, '', '', '', 0, 5, 'AR', '', '', NULL),
		('863', 'm', 'Schema di numerazione alternativo, cronologia', 'Schema di numerazione alternativo, cronologia', 0, 0, '', 8, '', '', '', 0, 5, 'AR', '', '', NULL),
		('863', 'n', 'Convertito in anno Gregoriano', 'Convertito in anno Gregoriano', 0, 0, '', 8, '', '', '', 0, 5, 'AR', '', '', NULL),
		('863', 'o', 'Tipo di materiale', 'Tipo di materiale', 1, 0, '', 8, '', '', '', 0, 5, 'AR', '', '', NULL),
		('863', 'p', 'Designazione di parte', 'Designazione di parte', 0, 0, '', 8, '', '', '', 0, 5, 'AR', '', '', NULL),
		('863', 'q', 'Condizione fisica della parte', 'Condizione fisica della parte', 0, 0, '', 8, '', '', '', 0, 5, 'AR', '', '', NULL),
		('863', 's', 'Codice di tassa sul copyright dell\'articolo', 'Codice di tassa sul copyright dell\'articolo', 1, 0, '', 8, '', '', '', 0, 5, 'AR', '', '', NULL),
		('863', 't', 'Numero di copia', 'Numero di copia', 0, 0, '', 8, '', '', '', 0, 5, 'AR', '', '', NULL),
		('863', 'v', 'Data di emissione', 'Data di emissione', 1, 0, '', 8, '', '', '', 0, 5, 'AR', '', '', NULL),
		('863', 'w', 'indicatore di stacco', 'indicatore di stacco', 0, 0, '', 8, '', '', '', 0, 5, 'AR', '', '', NULL),
		('863', 'x', 'Nota non pubblic', 'Nota non pubblic', 1, 0, '', 8, '', '', '', 0, 5, 'AR', '', '', NULL),
		('863', 'z', 'Nota pubblica', 'Nota pubblica', 1, 0, '', 8, '', '', '', 0, 5, 'AR', '', '', NULL),
		('864', '6', 'Collegamento', 'Collegamento', 0, 0, '', 8, '', '', '', NULL, 5, 'AR', '', '', NULL),
		('864', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 0, 0, '', 8, '', '', '', NULL, 5, 'AR', '', '', NULL),
		('864', 'a', 'Primo livello di enumerazione', 'Primo livello di enumerazione', 0, 0, '', 8, '', '', '', 0, 5, 'AR', '', '', NULL),
		('864', 'b', 'Secondo livello di enumerazione', 'Secondo livello di enumerazione', 0, 0, '', 8, '', '', '', 0, 5, 'AR', '', '', NULL),
		('864', 'c', 'Terzo livello di enumerazione', 'Terzo livello di enumerazione', 0, 0, '', 8, '', '', '', 0, 5, 'AR', '', '', NULL),
		('864', 'd', 'Quarto livello di enumerazione', 'Quarto livello di enumerazione', 0, 0, '', 8, '', '', '', 0, 5, 'AR', '', '', NULL),
		('864', 'e', 'Quinto livello di enumerazione', 'Quinto livello di enumerazione', 0, 0, '', 8, '', '', '', 0, 5, 'AR', '', '', NULL),
		('864', 'f', 'Sesto livello di enumerazione', 'Sesto livello di enumerazione', 0, 0, '', 8, '', '', '', 0, 5, 'AR', '', '', NULL),
		('864', 'g', 'Schema di numerazione alternativo, primo livello di enumerazione', 'Schema di numerazione alternativo, primo livello di enumerazione', 0, 0, '', 8, '', '', '', 0, 5, 'AR', '', '', NULL),
		('864', 'h', 'Schema di numerazione alternativo, secondo livello di enumerazione', 'Schema di numerazione alternativo, secondo livello di enumerazione', 0, 0, '', 8, '', '', '', 0, 5, 'AR', '', '', NULL),
		('864', 'i', 'Primo livello di cronologia', 'Primo livello di cronologia', 0, 0, '', 8, '', '', '', 0, 5, 'AR', '', '', NULL),
		('864', 'j', 'Secondo livello di cronologia', 'Secondo livello di cronologia', 0, 0, '', 8, '', '', '', 0, 5, 'AR', '', '', NULL),
		('864', 'k', 'Terzo livello di cronologia', 'Terzo livello di cronologia', 0, 0, '', 8, '', '', '', 0, 5, 'AR', '', '', NULL),
		('864', 'l', 'Quarto livello di cronologia', 'Quarto livello di cronologia', 0, 0, '', 8, '', '', '', 0, 5, 'AR', '', '', NULL),
		('864', 'm', 'Schema di numerazione alternativo, cronologia', 'Schema di numerazione alternativo, cronologia', 0, 0, '', 8, '', '', '', 0, 5, 'AR', '', '', NULL),
		('864', 'n', 'Convertito in anno Gregoriano', 'Convertito in anno Gregoriano', 0, 0, '', 8, '', '', '', 0, 5, 'AR', '', '', NULL),
		('864', 'o', 'Tipo di materiale', 'Tipo di materiale', 1, 0, '', 8, '', '', '', 0, 5, 'AR', '', '', NULL),
		('864', 'p', 'Designazione di parte', 'Designazione di parte', 0, 0, '', 8, '', '', '', 0, 5, 'AR', '', '', NULL),
		('864', 'q', 'Condizione fisica della parte', 'Condizione fisica della parte', 0, 0, '', 8, '', '', '', 0, 5, 'AR', '', '', NULL),
		('864', 's', 'Codice di tassa sul copyright dell\'articolo', 'Codice di tassa sul copyright dell\'articolo', 1, 0, '', 8, '', '', '', 0, 5, 'AR', '', '', NULL),
		('864', 't', 'Numero di copia', 'Numero di copia', 0, 0, '', 8, '', '', '', 0, 5, 'AR', '', '', NULL),
		('864', 'v', 'Data di emissione', 'Data di emissione', 1, 0, '', 8, '', '', '', 0, 5, 'AR', '', '', NULL),
		('864', 'w', 'indicatore di stacco', 'indicatore di stacco', 0, 0, '', 8, '', '', '', 0, 5, 'AR', '', '', NULL),
		('864', 'x', 'Nota non pubblic', 'Nota non pubblic', 1, 0, '', 8, '', '', '', 0, 5, 'AR', '', '', NULL),
		('864', 'z', 'Nota pubblica', 'Nota pubblica', 1, 0, '', 8, '', '', '', 0, 5, 'AR', '', '', NULL),
		('865', '6', 'Collegamento', 'Collegamento', 0, 0, '', 8, '', '', '', NULL, 5, 'AR', '', '', NULL),
		('865', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 0, 0, '', 8, '', '', '', NULL, 5, 'AR', '', '', NULL),
		('865', 'a', 'Primo livello di enumerazione', 'Primo livello di enumerazione', 0, 0, '', 8, '', '', '', 0, 5, 'AR', '', '', NULL),
		('865', 'b', 'Secondo livello di enumerazione', 'Secondo livello di enumerazione', 0, 0, '', 8, '', '', '', 0, 5, 'AR', '', '', NULL),
		('865', 'c', 'Terzo livello di enumerazione', 'Terzo livello di enumerazione', 0, 0, '', 8, '', '', '', 0, 5, 'AR', '', '', NULL),
		('865', 'd', 'Quarto livello di enumerazione', 'Quarto livello di enumerazione', 0, 0, '', 8, '', '', '', 0, 5, 'AR', '', '', NULL),
		('865', 'e', 'Quinto livello di enumerazione', 'Quinto livello di enumerazione', 0, 0, '', 8, '', '', '', 0, 5, 'AR', '', '', NULL),
		('865', 'f', 'Sesto livello di enumerazione', 'Sesto livello di enumerazione', 0, 0, '', 8, '', '', '', 0, 5, 'AR', '', '', NULL),
		('865', 'g', 'Schema di numerazione alternativo, primo livello di enumerazione', 'Schema di numerazione alternativo, primo livello di enumerazione', 0, 0, '', 8, '', '', '', 0, 5, 'AR', '', '', NULL),
		('865', 'h', 'Schema di numerazione alternativo, secondo livello di enumerazione', 'Schema di numerazione alternativo, secondo livello di enumerazione', 0, 0, '', 8, '', '', '', 0, 5, 'AR', '', '', NULL),
		('865', 'i', 'Primo livello di cronologia', 'Primo livello di cronologia', 0, 0, '', 8, '', '', '', 0, 5, 'AR', '', '', NULL),
		('865', 'j', 'Secondo livello di cronologia', 'Secondo livello di cronologia', 0, 0, '', 8, '', '', '', 0, 5, 'AR', '', '', NULL),
		('865', 'k', 'Terzo livello di cronologia', 'Terzo livello di cronologia', 0, 0, '', 8, '', '', '', 0, 5, 'AR', '', '', NULL),
		('865', 'l', 'Quarto livello di cronologia', 'Quarto livello di cronologia', 0, 0, '', 8, '', '', '', 0, 5, 'AR', '', '', NULL),
		('865', 'm', 'Schema di numerazione alternativo, cronologia', 'Schema di numerazione alternativo, cronologia', 0, 0, '', 8, '', '', '', 0, 5, 'AR', '', '', NULL),
		('865', 'n', 'Convertito in anno Gregoriano', 'Convertito in anno Gregoriano', 0, 0, '', 8, '', '', '', 0, 5, 'AR', '', '', NULL),
		('865', 'o', 'Tipo di materiale', 'Tipo di materiale', 1, 0, '', 8, '', '', '', 0, 5, 'AR', '', '', NULL),
		('865', 'p', 'Designazione di parte', 'Designazione di parte', 0, 0, '', 8, '', '', '', 0, 5, 'AR', '', '', NULL),
		('865', 'q', 'Condizione fisica della parte', 'Condizione fisica della parte', 0, 0, '', 8, '', '', '', 0, 5, 'AR', '', '', NULL),
		('865', 's', 'Codice di tassa sul copyright dell\'articolo', 'Codice di tassa sul copyright dell\'articolo', 1, 0, '', 8, '', '', '', 0, 5, 'AR', '', '', NULL),
		('865', 't', 'Numero di copia', 'Numero di copia', 0, 0, '', 8, '', '', '', 0, 5, 'AR', '', '', NULL),
		('865', 'v', 'Data di emissione', 'Data di emissione', 1, 0, '', 8, '', '', '', 0, 5, 'AR', '', '', NULL),
		('865', 'w', 'indicatore di stacco', 'indicatore di stacco', 0, 0, '', 8, '', '', '', 0, 5, 'AR', '', '', NULL),
		('865', 'x', 'Nota non pubblic', 'Nota non pubblic', 1, 0, '', 8, '', '', '', 0, 5, 'AR', '', '', NULL),
		('865', 'z', 'Nota pubblica', 'Nota pubblica', 1, 0, '', 8, '', '', '', 0, 5, 'AR', '', '', NULL),
		('866', '6', 'Collegamento', 'Collegamento', 0, 0, '', 8, '', '', '', NULL, 5, 'AR', '', '', NULL),
		('866', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 8, '', '', '', NULL, 5, 'AR', '', '', NULL),
		('866', 'a', 'Stringa testuale', 'Stringa testuale', 0, 0, '', 8, '', '', '', 0, 5, 'AR', '', '', NULL),
		('866', 'x', 'Nota non pubblic', 'Nota non pubblic', 1, 0, '', 8, '', '', '', 0, 5, 'AR', '', '', NULL),
		('866', 'z', 'Nota pubblica', 'Nota pubblica', 1, 0, '', 8, '', '', '', 0, 5, 'AR', '', '', NULL),
		('867', '6', 'Collegamento', 'Collegamento', 0, 0, '', 8, '', '', '', NULL, 5, 'AR', '', '', NULL),
		('867', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 8, '', '', '', NULL, 5, 'AR', '', '', NULL),
		('867', 'a', 'Stringa testuale', 'Stringa testuale', 0, 0, '', 8, '', '', '', 0, 5, 'AR', '', '', NULL),
		('867', 'x', 'Nota non pubblic', 'Nota non pubblic', 1, 0, '', 8, '', '', '', 0, 5, 'AR', '', '', NULL),
		('867', 'z', 'Nota pubblica', 'Nota pubblica', 1, 0, '', 8, '', '', '', 0, 5, 'AR', '', '', NULL),
		('868', '6', 'Collegamento', 'Collegamento', 0, 0, '', 8, '', '', '', NULL, 5, 'AR', '', '', NULL),
		('868', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 8, '', '', '', NULL, 5, 'AR', '', '', NULL),
		('868', 'a', 'Stringa testuale', 'Stringa testuale', 0, 0, '', 8, '', '', '', 0, 5, 'AR', '', '', NULL),
		('868', 'x', 'Nota non pubblic', 'Nota non pubblic', 1, 0, '', 8, '', '', '', 0, 5, 'AR', '', '', NULL),
		('868', 'z', 'Nota pubblica', 'Nota pubblica', 1, 0, '', 8, '', '', '', 0, 5, 'AR', '', '', NULL),
		('870', '4', 'Codice di ruolo', 'Codice di ruolo', 1, 0, '', 8, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('870', '6', 'Collegamento', 'Collegamento', 0, 0, '', 8, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('870', 'a', 'Nome di persona', 'Nome di persona', 0, 0, '', 8, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('870', 'b', 'Numerazione', 'Numerazione', 0, 0, '', 8, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('870', 'c', 'Titoli e altre parole associate al nome', 'Titoli e altre parole associate al nome', 1, 0, '', 8, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('870', 'd', 'Date associate al nome', 'Date associate al nome', 0, 0, '', 8, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('870', 'e', 'Termine di ruolo', 'Termine di ruolo', 1, 0, '', 8, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('870', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, '', 8, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('870', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, '', 8, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('870', 'j', 'Tag e numero di sequenza', 'Tag e numero di sequenza', 0, 0, '', 8, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('870', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, '', 8, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('870', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, '', 8, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('870', 'n', 'Numero di parte/sezione dell\'opera', 'Numero di parte/sezione dell\'opera', 1, 0, '', 8, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('870', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, '', 8, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('870', 'q', 'Forma completa del nome', 'Forma completa del nome', 0, 0, '', 8, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('870', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, '', 8, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('870', 'u', 'Affiliazione', 'Affiliazione', 0, 0, '', 8, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('871', '4', 'Codice di ruolo', 'Codice di ruolo', 1, 0, '', 8, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('871', '6', 'Collegamento', 'Collegamento', 0, 0, '', 8, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('871', 'a', 'Nome dell\'ente o nome della giurisdizione come accesso', 'Nome dell\'ente o nome della giurisdizione come accesso', 0, 0, '', 8, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('871', 'b', 'Unità subordinata', 'Unità subordinata', 1, 0, '', 8, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('871', 'c', 'Luogo del convegno', 'Luogo del convegno', 0, 0, '', 8, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('871', 'd', 'Data del convegno o di firma del trattato', 'Data del convegno o di firma del trattato', 1, 0, '', 8, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('871', 'e', 'Termine di ruolo', 'Termine di ruolo', 1, 0, '', 8, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('871', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, '', 8, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('871', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, '', 8, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('871', 'j', 'Tag e numero di sequenza', 'Tag e numero di sequenza', 0, 0, '', 8, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('871', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, '', 8, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('871', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, '', 8, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('871', 'n', 'Numero di parte/sezione/convegno', 'Numero di parte/sezione/convegno', 1, 0, '', 8, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('871', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, '', 8, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('871', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, '', 8, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('871', 'u', 'Affiliazione', 'Affiliazione', 0, 0, '', 8, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('872', '4', 'Codice di ruolo', 'Codice di ruolo', 1, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('872', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('872', 'a', 'Nome del convegno o nome della giurisdizione come accesso', 'Nome del convegno o nome della giurisdizione come accesso', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('872', 'b', 'Number [OBSOLETE]', 'Number [OBSOLETE]', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('872', 'c', 'Luogo del convegno', 'Luogo del convegno', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('872', 'd', 'Data del convegno', 'Data del convegno', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('872', 'e', 'Unità subordinata', 'Unità subordinata', 1, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('872', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('872', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('872', 'j', 'Tag e numero di sequenza', 'Tag e numero di sequenza', 0, 0, '', 8, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('872', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('872', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('872', 'n', 'Numero di parte/sezione/convegno', 'Numero di parte/sezione/convegno', 1, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('872', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('872', 'q', 'Nome del convegno dopo accesso di nome della giurisdizione', 'Nome del convegno dopo accesso di nome della giurisdizione', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('872', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('872', 'u', 'Affiliazione', 'Affiliazione', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('873', '6', 'Collegamento', 'Collegamento', 0, 0, '', 8, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('873', 'a', 'Titolo uniforme', 'Titolo uniforme', 0, 0, '', 8, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('873', 'd', 'Data di firma del trattato', 'Data di firma del trattato', 1, 0, '', 8, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('873', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, '', 8, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('873', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, '', 8, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('873', 'h', 'Supporto', 'Supporto', 0, 0, '', 8, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('873', 'j', 'Tag e numero di sequenza', 'Tag e numero di sequenza', 0, 0, '', 8, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('873', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, '', 8, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('873', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, '', 8, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('873', 'm', 'Mezzo di esecuzione per la musica', 'Mezzo di esecuzione per la musica', 1, 0, '', 8, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('873', 'n', 'Numero di parte/sezione dell\'opera', 'Numero di parte/sezione dell\'opera', 1, 0, '', 8, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('873', 'o', 'Formulazione d\'arrangiamento per la musica', 'Formulazione d\'arrangiamento per la musica', 0, 0, '', 8, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('873', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, '', 8, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('873', 'r', 'Tonalità (musica)', 'Tonalità (musica)', 0, 0, '', 8, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('873', 's', 'Versione', 'Versione', 0, 0, '', 8, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('873', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, '', 8, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('876', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, '', 8, '', '', '', NULL, 5, 'AR', '', '', NULL),
		('876', '6', 'Collegamento', 'Collegamento', 0, 0, '', 8, '', '', '', NULL, 5, 'AR', '', '', NULL),
		('876', '8', 'Numero di sequenza', 'Numero di sequenza', 1, 0, '', 8, '', '', '', NULL, 5, 'AR', '', '', NULL),
		('876', 'a', 'Internal item number', 'Internal item number', 0, 0, '', 8, '', '', '', NULL, 5, 'AR', '', '', NULL),
		('876', 'b', 'Invalid or canceled internal item number', 'Invalid or canceled internal item number', 1, 0, '', 8, '', '', '', NULL, 5, 'AR', '', '', NULL),
		('876', 'c', 'Cost', 'Cost', 1, 0, '', 8, '', '', '', NULL, 5, 'AR', '', '', NULL),
		('876', 'd', 'Data d\'acquisizione', 'Data d\'acquisizione', 1, 0, '', 8, '', '', '', NULL, 5, 'AR', '', '', NULL),
		('876', 'e', 'Fonte d\'acquisto', 'Fonte d\'acquisto', 1, 0, '', 8, '', '', '', NULL, 5, 'AR', '', '', NULL),
		('876', 'h', 'Use restrictions', 'Use restrictions', 1, 0, '', 8, '', '', '', NULL, 5, 'AR', '', '', NULL),
		('876', 'j', 'Status della copia', 'Status della copia', 1, 0, '', 8, '', '', '', NULL, 5, 'AR', '', '', NULL),
		('876', 'l', 'Collocazione temporanea', 'Collocazione temporanea', 1, 0, '', 8, '', '', '', NULL, 5, 'AR', '', '', NULL),
		('876', 'p', 'Designazione di parte', 'Designazione di parte', 1, 0, '', 8, '', '', '', NULL, 5, 'AR', '', '', NULL),
		('876', 'r', 'Invalid or canceled piece designation', 'Invalid or canceled piece designation', 1, 0, '', 8, '', '', '', NULL, 5, 'AR', '', '', NULL),
		('876', 't', 'Numero di copia', 'Numero di copia', 0, 0, '', 8, '', '', '', NULL, 5, 'AR', '', '', NULL),
		('876', 'x', 'Nota non pubblic', 'Nota non pubblic', 1, 0, '', 8, '', '', '', NULL, 5, 'AR', '', '', NULL),
		('876', 'z', 'Nota pubblica', 'Nota pubblica', 1, 0, '', 8, '', '', '', NULL, 5, 'AR', '', '', NULL),
		('877', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, '', 8, '', '', '', NULL, 5, 'AR', '', '', NULL),
		('877', '6', 'Collegamento', 'Collegamento', 0, 0, '', 8, '', '', '', NULL, 5, 'AR', '', '', NULL),
		('877', '8', 'Numero di sequenza', 'Numero di sequenza', 1, 0, '', 8, '', '', '', NULL, 5, 'AR', '', '', NULL),
		('877', 'a', 'Internal item number', 'Internal item number', 0, 0, '', 8, '', '', '', NULL, 5, 'AR', '', '', NULL),
		('877', 'b', 'Invalid or canceled internal item number', 'Invalid or canceled internal item number', 1, 0, '', 8, '', '', '', NULL, 5, 'AR', '', '', NULL),
		('877', 'c', 'Cost', 'Cost', 1, 0, '', 8, '', '', '', NULL, 5, 'AR', '', '', NULL),
		('877', 'd', 'Data d\'acquisizione', 'Data d\'acquisizione', 1, 0, '', 8, '', '', '', NULL, 5, 'AR', '', '', NULL),
		('877', 'e', 'Fonte d\'acquisto', 'Fonte d\'acquisto', 1, 0, '', 8, '', '', '', NULL, 5, 'AR', '', '', NULL),
		('877', 'h', 'Use restrictions', 'Use restrictions', 1, 0, '', 8, '', '', '', NULL, 5, 'AR', '', '', NULL),
		('877', 'j', 'Status della copia', 'Status della copia', 1, 0, '', 8, '', '', '', NULL, 5, 'AR', '', '', NULL),
		('877', 'l', 'Collocazione temporanea', 'Collocazione temporanea', 1, 0, '', 8, '', '', '', NULL, 5, 'AR', '', '', NULL),
		('877', 'p', 'Designazione di parte', 'Designazione di parte', 1, 0, '', 8, '', '', '', NULL, 5, 'AR', '', '', NULL),
		('877', 'r', 'Invalid or canceled piece designation', 'Invalid or canceled piece designation', 1, 0, '', 8, '', '', '', NULL, 5, 'AR', '', '', NULL),
		('877', 't', 'Numero di copia', 'Numero di copia', 0, 0, '', 8, '', '', '', NULL, 5, 'AR', '', '', NULL),
		('877', 'x', 'Nota non pubblic', 'Nota non pubblic', 1, 0, '', 8, '', '', '', NULL, 5, 'AR', '', '', NULL),
		('877', 'z', 'Nota pubblica', 'Nota pubblica', 1, 0, '', 8, '', '', '', NULL, 5, 'AR', '', '', NULL),
		('878', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, '', 8, '', '', '', NULL, 5, 'AR', '', '', NULL),
		('878', '6', 'Collegamento', 'Collegamento', 0, 0, '', 8, '', '', '', NULL, 5, 'AR', '', '', NULL),
		('878', '8', 'Numero di sequenza', 'Numero di sequenza', 1, 0, '', 8, '', '', '', NULL, 5, 'AR', '', '', NULL),
		('878', 'a', 'Internal item number', 'Internal item number', 0, 0, '', 8, '', '', '', NULL, 5, 'AR', '', '', NULL),
		('878', 'b', 'Invalid or canceled internal item number', 'Invalid or canceled internal item number', 1, 0, '', 8, '', '', '', NULL, 5, 'AR', '', '', NULL),
		('878', 'c', 'Cost', 'Cost', 1, 0, '', 8, '', '', '', NULL, 5, 'AR', '', '', NULL),
		('878', 'd', 'Data d\'acquisizione', 'Data d\'acquisizione', 1, 0, '', 8, '', '', '', NULL, 5, 'AR', '', '', NULL),
		('878', 'e', 'Fonte d\'acquisto', 'Fonte d\'acquisto', 1, 0, '', 8, '', '', '', NULL, 5, 'AR', '', '', NULL),
		('878', 'h', 'Use restrictions', 'Use restrictions', 1, 0, '', 8, '', '', '', NULL, 5, 'AR', '', '', NULL),
		('878', 'j', 'Status della copia', 'Status della copia', 1, 0, '', 8, '', '', '', NULL, 5, 'AR', '', '', NULL),
		('878', 'l', 'Collocazione temporanea', 'Collocazione temporanea', 1, 0, '', 8, '', '', '', NULL, 5, 'AR', '', '', NULL),
		('878', 'p', 'Designazione di parte', 'Designazione di parte', 1, 0, '', 8, '', '', '', NULL, 5, 'AR', '', '', NULL),
		('878', 'r', 'Invalid or canceled piece designation', 'Invalid or canceled piece designation', 1, 0, '', 8, '', '', '', NULL, 5, 'AR', '', '', NULL),
		('878', 't', 'Numero di copia', 'Numero di copia', 0, 0, '', 8, '', '', '', NULL, 5, 'AR', '', '', NULL),
		('878', 'x', 'Nota non pubblic', 'Nota non pubblic', 1, 0, '', 8, '', '', '', NULL, 5, 'AR', '', '', NULL),
		('878', 'z', 'Nota pubblica', 'Nota pubblica', 1, 0, '', 8, '', '', '', NULL, 5, 'AR', '', '', NULL),
		('880', '2', '2', '2', 1, 0, '', 8, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('880', '3', '3', '3', 1, 0, '', 8, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('880', '4', '4', '4', 1, 0, '', 8, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('880', '5', '5', '5', 1, 0, '', 8, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('880', '6', 'Collegamento', 'Collegamento', 0, 0, '', 8, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('880', '7', '7', '7', 1, 0, '', 8, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('880', '8', '8', '8', 1, 0, '', 8, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('880', '9', '9', '9', 1, 0, '', 8, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('880', 'a', 'a', 'a', 1, 0, '', 8, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('880', 'b', 'b', 'b', 1, 0, '', 8, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('880', 'c', 'c', 'c', 1, 0, '', 8, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('880', 'd', 'd', 'd', 1, 0, '', 8, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('880', 'e', 'e', 'e', 1, 0, '', 8, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('880', 'f', 'f', 'f', 1, 0, '', 8, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('880', 'g', 'g', 'g', 1, 0, '', 8, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('880', 'h', 'h', 'h', 1, 0, '', 8, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('880', 'i', 'i', 'i', 1, 0, '', 8, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('880', 'j', 'j', 'j', 1, 0, '', 8, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('880', 'k', 'k', 'k', 1, 0, '', 8, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('880', 'l', 'l', 'l', 1, 0, '', 8, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('880', 'm', 'm', 'm', 1, 0, '', 8, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('880', 'n', 'n', 'n', 1, 0, '', 8, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('880', 'o', 'o', 'o', 1, 0, '', 8, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('880', 'p', 'p', 'p', 1, 0, '', 8, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('880', 'q', 'q', 'q', 1, 0, '', 8, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('880', 'r', 'r', 'r', 1, 0, '', 8, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('880', 's', 's', 's', 1, 0, '', 8, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('880', 't', 't', 't', 1, 0, '', 8, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('880', 'u', 'u', 'u', 1, 0, '', 8, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('880', 'v', 'v', 'v', 1, 0, '', 8, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('880', 'w', 'w', 'w', 1, 0, '', 8, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('880', 'x', 'x', 'x', 1, 0, '', 8, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('880', 'y', 'y', 'y', 1, 0, '', 8, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('880', 'z', 'z', 'z', 1, 0, '', 8, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('886', '0', '0', '0', 1, 0, '', 8, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('886', '1', '1', '1', 1, 0, '', 8, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('886', '2', '2', '2', 1, 0, '', 8, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('886', '3', '3', '3', 1, 0, '', 8, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('886', '4', '4', '4', 1, 0, '', 8, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('886', '5', '5', '5', 1, 0, '', 8, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('886', '6', '6', '6', 1, 0, '', 8, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('886', '7', '7', '7', 1, 0, '', 8, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('886', '8', '8', '8', 1, 0, '', 8, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('886', '9', '9', '9', 1, 0, '', 8, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('886', 'a', 'a', 'a', 1, 0, '', 8, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('886', 'b', 'b', 'b', 1, 0, '', 8, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('886', 'c', 'c', 'c', 1, 0, '', 8, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('886', 'd', 'd', 'd', 1, 0, '', 8, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('886', 'e', 'e', 'e', 1, 0, '', 8, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('886', 'f', 'f', 'f', 1, 0, '', 8, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('886', 'g', 'g', 'g', 1, 0, '', 8, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('886', 'h', 'h', 'h', 1, 0, '', 8, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('886', 'i', 'i', 'i', 1, 0, '', 8, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('886', 'j', 'j', 'j', 1, 0, '', 8, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('886', 'k', 'k', 'k', 1, 0, '', 8, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('886', 'l', 'l', 'l', 1, 0, '', 8, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('886', 'm', 'm', 'm', 1, 0, '', 8, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('886', 'n', 'n', 'n', 1, 0, '', 8, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('886', 'o', 'o', 'o', 1, 0, '', 8, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('886', 'p', 'p', 'p', 1, 0, '', 8, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('886', 'q', 'q', 'q', 1, 0, '', 8, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('886', 'r', 'r', 'r', 1, 0, '', 8, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('886', 's', 's', 's', 1, 0, '', 8, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('886', 't', 't', 't', 1, 0, '', 8, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('886', 'u', 'u', 'u', 1, 0, '', 8, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('886', 'v', 'v', 'v', 1, 0, '', 8, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('886', 'w', 'w', 'w', 1, 0, '', 8, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('886', 'x', 'x', 'x', 1, 0, '', 8, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('886', 'y', 'y', 'y', 1, 0, '', 8, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('886', 'z', 'z', 'z', 1, 0, '', 8, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('887', '2', 'Fonte dei dati', 'Fonte dei dati', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('887', 'a', 'Contenuto del campo non-MARC', 'Contenuto del campo non-MARC', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('896', '%', '% (RLIN)', '% (RLIN)', 0, 0, '', 8, '', '', '', 0, -6, 'AR', '', '', NULL),
		('896', '4', 'Codice di ruolo', 'Codice di ruolo', 1, 0, '', 8, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('896', '6', 'Collegamento', 'Collegamento', 0, 0, '', 8, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('896', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 8, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('896', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 8, '', '', '', 0, -5, 'AR', '', '', NULL),
		('896', 'a', 'Nome di persona', 'Nome di persona', 0, 0, '', 8, '', 'PERSO_NAME', '', NULL, -6, 'AR', '', '', NULL),
		('896', 'b', 'Numerazione', 'Numerazione', 0, 0, '', 8, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('896', 'c', 'Titoli e altre parole associate al nome', 'Titoli e altre parole associate al nome', 1, 0, '', 8, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('896', 'd', 'Date associate al nome', 'Date associate al nome', 0, 0, '', 8, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('896', 'e', 'Termine di ruolo', 'Termine di ruolo', 1, 0, '', 8, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('896', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, '', 8, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('896', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, '', 8, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('896', 'h', 'Supporto', 'Supporto', 0, 0, '', 8, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('896', 'j', 'Qualificazione d\'attribuzione', 'Qualificazione d\'attribuzione', 1, 0, '', 8, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('896', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, '', 8, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('896', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, '', 8, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('896', 'm', 'Mezzo di esecuzione per la musica', 'Mezzo di esecuzione per la musica', 1, 0, '', 8, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('896', 'n', 'Numero di parte/sezione dell\'opera', 'Numero di parte/sezione dell\'opera', 1, 0, '', 8, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('896', 'o', 'Formulazione d\'arrangiamento per la musica', 'Formulazione d\'arrangiamento per la musica', 0, 0, '', 8, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('896', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, '', 8, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('896', 'q', 'Forma completa del nome', 'Forma completa del nome', 0, 0, '', 8, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('896', 'r', 'Tonalità (musica)', 'Tonalità (musica)', 0, 0, '', 8, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('896', 's', 'Versione', 'Versione', 0, 0, '', 8, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('896', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, '', 8, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('896', 'u', 'Affiliazione', 'Affiliazione', 0, 0, '', 8, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('896', 'v', 'Numero del volume/designazione di sequenza', 'Numero del volume/designazione di sequenza', 0, 0, '', 8, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('897', '%', '% (RLIN)', '% (RLIN)', 0, 0, '', 8, '', '', '', 0, -6, 'AR', '', '', NULL),
		('897', '4', 'Codice di ruolo', 'Codice di ruolo', 1, 0, '', 8, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('897', '6', 'Collegamento', 'Collegamento', 0, 0, '', 8, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('897', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 8, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('897', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 8, '', '', '', 0, -5, 'AR', '', '', NULL),
		('897', 'a', 'Nome dell\'ente o nome della giurisdizione come accesso', 'Nome dell\'ente o nome della giurisdizione come accesso', 0, 0, '', 8, '', 'CORPO_NAME', '', NULL, -6, 'AR', '', '', NULL),
		('897', 'b', 'Unità subordinata', 'Unità subordinata', 1, 0, '', 8, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('897', 'c', 'Luogo del convegno', 'Luogo del convegno', 0, 0, '', 8, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('897', 'd', 'Data del convegno o di firma del trattato', 'Data del convegno o di firma del trattato', 1, 0, '', 8, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('897', 'e', 'Termine di ruolo', 'Termine di ruolo', 1, 0, '', 8, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('897', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, '', 8, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('897', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, '', 8, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('897', 'h', 'Supporto', 'Supporto', 0, 0, '', 8, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('897', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, '', 8, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('897', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, '', 8, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('897', 'm', 'Mezzo di esecuzione per la musica', 'Mezzo di esecuzione per la musica', 1, 0, '', 8, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('897', 'n', 'Numero di parte/sezione/convegno', 'Numero di parte/sezione/convegno', 1, 0, '', 8, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('897', 'o', 'Formulazione d\'arrangiamento per la musica', 'Formulazione d\'arrangiamento per la musica', 0, 0, '', 8, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('897', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, '', 8, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('897', 'r', 'Tonalità (musica)', 'Tonalità (musica)', 0, 0, '', 8, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('897', 's', 'Versione', 'Versione', 0, 0, '', 8, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('897', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, '', 8, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('897', 'u', 'Affiliazione', 'Affiliazione', 0, 0, '', 8, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('897', 'v', 'Numero del volume/designazione di sequenza', 'Numero del volume/designazione di sequenza', 0, 0, '', 8, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('898', '%', '% (RLIN)', '% (RLIN)', 0, 0, '', 8, '', '', '', 0, -6, 'AR', '', '', NULL),
		('898', '4', 'Codice di ruolo', 'Codice di ruolo', 1, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('898', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('898', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('898', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 8, '', '', '', 0, -5, 'AR', '', '', NULL),
		('898', 'a', 'Nome del convegno o nome della giurisdizione come accesso', 'Nome del convegno o nome della giurisdizione come accesso', 0, 0, NULL, 8, NULL, 'MEETI_NAME', '', NULL, -6, 'AR', '', '', NULL),
		('898', 'b', 'Number (BK CF MP MU SE VM MX) [OBSOLETE]', 'Number (BK CF MP MU SE VM MX) [OBSOLETE]', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('898', 'c', 'Luogo del convegno', 'Luogo del convegno', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('898', 'd', 'Data del convegno', 'Data del convegno', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('898', 'e', 'Unità subordinata', 'Unità subordinata', 1, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('898', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('898', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('898', 'h', 'Supporto', 'Supporto', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('898', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('898', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('898', 'n', 'Numero di parte/sezione/convegno', 'Numero di parte/sezione/convegno', 1, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('898', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('898', 'q', 'Nome del convegno dopo accesso di nome della giurisdizione', 'Nome del convegno dopo accesso di nome della giurisdizione', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('898', 's', 'Versione', 'Versione', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('898', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('898', 'u', 'Affiliazione', 'Affiliazione', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('898', 'v', 'Numero del volume/designazione di sequenza', 'Numero del volume/designazione di sequenza', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('899', '%', '% (RLIN)', '% (RLIN)', 0, 0, '', 8, '', '', '', 0, -6, 'AR', '', '', NULL),
		('899', '6', 'Collegamento', 'Collegamento', 0, 0, '', 8, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('899', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 8, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('899', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 8, '', '', '', 0, -5, 'AR', '', '', NULL),
		('899', 'a', 'Titolo uniforme', 'Titolo uniforme', 0, 0, '', 8, '', 'UNIF_TITLE', '', NULL, -6, 'AR', '', '', NULL),
		('899', 'd', 'Data di firma del trattato', 'Data di firma del trattato', 1, 0, '', 8, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('899', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, '', 8, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('899', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, '', 8, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('899', 'h', 'Supporto', 'Supporto', 0, 0, '', 8, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('899', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, '', 8, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('899', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, '', 8, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('899', 'm', 'Mezzo di esecuzione per la musica', 'Mezzo di esecuzione per la musica', 1, 0, '', 8, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('899', 'n', 'Numero di parte/sezione dell\'opera', 'Numero di parte/sezione dell\'opera', 1, 0, '', 8, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('899', 'o', 'Formulazione d\'arrangiamento per la musica', 'Formulazione d\'arrangiamento per la musica', 0, 0, '', 8, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('899', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, '', 8, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('899', 'r', 'Tonalità (musica)', 'Tonalità (musica)', 0, 0, '', 8, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('899', 's', 'Versione', 'Versione', 0, 0, '', 8, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('899', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, '', 8, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('899', 'v', 'Numero del volume/designazione di sequenza', 'Numero del volume/designazione di sequenza', 0, 0, '', 8, '', '', '', NULL, 5, 'AR', '', '', NULL),
		('900', '4', 'Codice di ruolo', 'Codice di ruolo', 1, 0, '', 9, '', '', '', 0, -6, 'AR', '', '', NULL),
		('900', '6', 'Collegamento', 'Collegamento', 0, 0, '', 9, '', '', '', 0, -6, 'AR', '', '', NULL),
		('900', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 9, '', '', '', 0, -6, 'AR', '', '', NULL),
		('900', 'a', 'Nome di persona', 'Nome di persona', 0, 0, '', 9, '', '', '', 0, 5, 'AR', '', '', NULL),
		('900', 'b', 'Numerazione', 'Numerazione', 0, 0, '', 9, '', '', '', 0, -6, 'AR', '', '', NULL),
		('900', 'c', 'Titoli e altre parole associate al nome', 'Titoli e altre parole associate al nome', 1, 0, '', 9, '', '', '', 0, -6, 'AR', '', '', NULL),
		('900', 'd', 'Date associate al nome', 'Date associate al nome', 0, 0, '', 9, '', '', '', 0, -6, 'AR', '', '', NULL),
		('900', 'e', 'Termine di ruolo', 'Termine di ruolo', 1, 0, '', 9, '', '', '', 0, -6, 'AR', '', '', NULL),
		('900', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, '', 9, '', '', '', 0, -6, 'AR', '', '', NULL),
		('900', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, '', 9, '', '', '', 0, -6, 'AR', '', '', NULL),
		('900', 'j', 'Qualificazione d\'attribuzione', 'Qualificazione d\'attribuzione', 1, 0, '', 9, '', '', '', 0, -6, 'AR', '', '', NULL),
		('900', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, '', 9, '', '', '', 0, -6, 'AR', '', '', NULL),
		('900', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, '', 9, '', '', '', 0, -6, 'AR', '', '', NULL),
		('900', 'n', 'Numero di parte/sezione dell\'opera', 'Numero di parte/sezione dell\'opera', 1, 0, '', 9, '', '', '', 0, -6, 'AR', '', '', NULL),
		('900', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, '', 9, '', '', '', 0, -6, 'AR', '', '', NULL),
		('900', 'q', 'Forma completa del nome', 'Forma completa del nome', 0, 0, '', 9, '', '', '', 0, -6, 'AR', '', '', NULL),
		('900', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, '', 9, '', '', '', 0, -6, 'AR', '', '', NULL),
		('900', 'u', 'Affiliazione', 'Affiliazione', 0, 0, '', 9, '', '', '', 0, -6, 'AR', '', '', NULL),
		('901', '0', '0', '0', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('901', '1', '1', '1', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('901', '2', '2', '2', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('901', '3', '3', '3', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('901', '4', '4', '4', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('901', '5', '5', '5', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('901', '6', '6', '6', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('901', '7', '7', '7', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('901', '8', '8', '8', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('901', '9', '9', '9', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('901', 'a', 'a', 'a', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('901', 'b', 'b', 'b', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('901', 'c', 'c', 'c', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('901', 'd', 'd', 'd', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('901', 'e', 'e', 'e', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('901', 'f', 'f', 'f', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('901', 'g', 'g', 'g', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('901', 'h', 'h', 'h', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('901', 'i', 'i', 'i', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('901', 'j', 'j', 'j', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('901', 'k', 'k', 'k', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('901', 'l', 'l', 'l', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('901', 'm', 'm', 'm', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('901', 'n', 'n', 'n', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('901', 'o', 'o', 'o', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('901', 'p', 'p', 'p', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('901', 'q', 'q', 'q', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('901', 'r', 'r', 'r', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('901', 's', 's', 's', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('901', 't', 't', 't', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('901', 'u', 'u', 'u', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('901', 'v', 'v', 'v', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('901', 'w', 'w', 'w', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('901', 'x', 'x', 'x', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('901', 'y', 'y', 'y', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('901', 'z', 'z', 'z', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('902', '0', '0', '0', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('902', '1', '1', '1', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('902', '2', '2', '2', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('902', '3', '3', '3', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('902', '4', '4', '4', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('902', '5', '5', '5', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('902', '6', '6', '6', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('902', '7', '7', '7', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('902', '8', '8', '8', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('902', '9', '9', '9', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('902', 'a', 'a', 'a', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('902', 'b', 'b', 'b', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('902', 'c', 'c', 'c', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('902', 'd', 'd', 'd', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('902', 'e', 'e', 'e', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('902', 'f', 'f', 'f', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('902', 'g', 'g', 'g', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('902', 'h', 'h', 'h', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('902', 'i', 'i', 'i', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('902', 'j', 'j', 'j', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('902', 'k', 'k', 'k', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('902', 'l', 'l', 'l', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('902', 'm', 'm', 'm', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('902', 'n', 'n', 'n', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('902', 'o', 'o', 'o', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('902', 'p', 'p', 'p', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('902', 'q', 'q', 'q', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('902', 'r', 'r', 'r', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('902', 's', 's', 's', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('902', 't', 't', 't', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('902', 'u', 'u', 'u', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('902', 'v', 'v', 'v', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('902', 'w', 'w', 'w', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('902', 'x', 'x', 'x', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('902', 'y', 'y', 'y', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('902', 'z', 'z', 'z', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('903', '0', '0', '0', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('903', '1', '1', '1', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('903', '2', '2', '2', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('903', '3', '3', '3', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('903', '4', '4', '4', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('903', '5', '5', '5', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('903', '6', '6', '6', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('903', '7', '7', '7', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('903', '8', '8', '8', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('903', '9', '9', '9', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('903', 'a', 'a', 'a', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('903', 'b', 'b', 'b', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('903', 'c', 'c', 'c', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('903', 'd', 'd', 'd', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('903', 'e', 'e', 'e', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('903', 'f', 'f', 'f', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('903', 'g', 'g', 'g', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('903', 'h', 'h', 'h', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('903', 'i', 'i', 'i', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('903', 'j', 'j', 'j', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('903', 'k', 'k', 'k', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('903', 'l', 'l', 'l', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('903', 'm', 'm', 'm', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('903', 'n', 'n', 'n', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('903', 'o', 'o', 'o', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('903', 'p', 'p', 'p', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('903', 'q', 'q', 'q', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('903', 'r', 'r', 'r', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('903', 's', 's', 's', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('903', 't', 't', 't', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('903', 'u', 'u', 'u', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('903', 'v', 'v', 'v', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('903', 'w', 'w', 'w', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('903', 'x', 'x', 'x', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('903', 'y', 'y', 'y', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('903', 'z', 'z', 'z', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('904', '0', '0', '0', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('904', '1', '1', '1', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('904', '2', '2', '2', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('904', '3', '3', '3', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('904', '4', '4', '4', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('904', '5', '5', '5', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('904', '6', '6', '6', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('904', '7', '7', '7', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('904', '8', '8', '8', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('904', '9', '9', '9', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('904', 'a', 'a', 'a', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('904', 'b', 'b', 'b', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('904', 'c', 'c', 'c', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('904', 'd', 'd', 'd', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('904', 'e', 'e', 'e', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('904', 'f', 'f', 'f', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('904', 'g', 'g', 'g', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('904', 'h', 'h', 'h', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('904', 'i', 'i', 'i', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('904', 'j', 'j', 'j', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('904', 'k', 'k', 'k', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('904', 'l', 'l', 'l', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('904', 'm', 'm', 'm', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('904', 'n', 'n', 'n', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('904', 'o', 'o', 'o', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('904', 'p', 'p', 'p', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('904', 'q', 'q', 'q', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('904', 'r', 'r', 'r', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('904', 's', 's', 's', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('904', 't', 't', 't', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('904', 'u', 'u', 'u', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('904', 'v', 'v', 'v', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('904', 'w', 'w', 'w', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('904', 'x', 'x', 'x', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('904', 'y', 'y', 'y', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('904', 'z', 'z', 'z', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('905', '0', '0', '0', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('905', '1', '1', '1', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('905', '2', '2', '2', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('905', '3', '3', '3', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('905', '4', '4', '4', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('905', '5', '5', '5', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('905', '6', '6', '6', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('905', '7', '7', '7', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('905', '8', '8', '8', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('905', '9', '9', '9', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('905', 'a', 'a', 'a', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('905', 'b', 'b', 'b', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('905', 'c', 'c', 'c', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('905', 'd', 'd', 'd', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('905', 'e', 'e', 'e', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('905', 'f', 'f', 'f', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('905', 'g', 'g', 'g', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('905', 'h', 'h', 'h', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('905', 'i', 'i', 'i', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('905', 'j', 'j', 'j', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('905', 'k', 'k', 'k', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('905', 'l', 'l', 'l', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('905', 'm', 'm', 'm', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('905', 'n', 'n', 'n', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('905', 'o', 'o', 'o', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('905', 'p', 'p', 'p', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('905', 'q', 'q', 'q', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('905', 'r', 'r', 'r', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('905', 's', 's', 's', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('905', 't', 't', 't', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('905', 'u', 'u', 'u', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('905', 'v', 'v', 'v', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('905', 'w', 'w', 'w', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('905', 'x', 'x', 'x', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('905', 'y', 'y', 'y', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('905', 'z', 'z', 'z', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('906', '0', '0', '0', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('906', '1', '1', '1', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('906', '2', '2', '2', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('906', '3', '3', '3', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('906', '4', '4', '4', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('906', '5', '5', '5', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('906', '6', '6', '6', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('906', '7', '7', '7', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('906', '8', '8', '8', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('906', '9', '9', '9', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('906', 'a', 'a', 'a', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('906', 'b', 'b', 'b', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('906', 'c', 'c', 'c', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('906', 'd', 'd', 'd', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('906', 'e', 'e', 'e', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('906', 'f', 'f', 'f', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('906', 'g', 'g', 'g', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('906', 'h', 'h', 'h', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('906', 'i', 'i', 'i', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('906', 'j', 'j', 'j', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('906', 'k', 'k', 'k', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('906', 'l', 'l', 'l', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('906', 'm', 'm', 'm', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('906', 'n', 'n', 'n', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('906', 'o', 'o', 'o', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('906', 'p', 'p', 'p', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('906', 'q', 'q', 'q', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('906', 'r', 'r', 'r', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('906', 's', 's', 's', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('906', 't', 't', 't', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('906', 'u', 'u', 'u', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('906', 'v', 'v', 'v', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('906', 'w', 'w', 'w', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('906', 'x', 'x', 'x', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('906', 'y', 'y', 'y', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('906', 'z', 'z', 'z', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('907', '0', '0', '0', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('907', '1', '1', '1', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('907', '2', '2', '2', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('907', '3', '3', '3', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('907', '4', '4', '4', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('907', '5', '5', '5', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('907', '6', '6', '6', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('907', '7', '7', '7', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('907', '8', '8', '8', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('907', '9', '9', '9', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('907', 'a', 'a', 'a', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('907', 'b', 'b', 'b', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('907', 'c', 'c', 'c', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('907', 'd', 'd', 'd', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('907', 'e', 'e', 'e', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('907', 'f', 'f', 'f', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('907', 'g', 'g', 'g', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('907', 'h', 'h', 'h', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('907', 'i', 'i', 'i', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('907', 'j', 'j', 'j', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('907', 'k', 'k', 'k', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('907', 'l', 'l', 'l', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('907', 'm', 'm', 'm', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('907', 'n', 'n', 'n', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('907', 'o', 'o', 'o', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('907', 'p', 'p', 'p', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('907', 'q', 'q', 'q', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('907', 'r', 'r', 'r', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('907', 's', 's', 's', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('907', 't', 't', 't', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('907', 'u', 'u', 'u', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('907', 'v', 'v', 'v', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('907', 'w', 'w', 'w', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('907', 'x', 'x', 'x', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('907', 'y', 'y', 'y', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('907', 'z', 'z', 'z', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('908', 'a', 'Put command parameter', 'Put command parameter', 0, 0, '', 9, '', '', '', 0, -6, 'AR', '', '', NULL),
		('910', 'a', 'User-option data', 'User-option data', 0, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('911', '4', 'Codice di ruolo', 'Codice di ruolo', 1, 0, NULL, 9, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('911', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 9, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('911', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 9, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('911', 'a', 'Nome del convegno o nome della giurisdizione come accesso', 'Nome del convegno o nome della giurisdizione come accesso', 0, 0, NULL, 9, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('911', 'b', 'Number [OBSOLETE]', 'Number [OBSOLETE]', 0, 0, NULL, 9, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('911', 'c', 'Luogo del convegno', 'Luogo del convegno', 0, 0, NULL, 9, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('911', 'd', 'Data del convegno', 'Data del convegno', 0, 0, NULL, 9, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('911', 'e', 'Unità subordinata', 'Unità subordinata', 1, 0, NULL, 9, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('911', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, NULL, 9, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('911', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, NULL, 9, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('911', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, NULL, 9, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('911', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, NULL, 9, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('911', 'n', 'Numero di parte/sezione/convegno', 'Numero di parte/sezione/convegno', 1, 0, NULL, 9, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('911', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, NULL, 9, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('911', 'q', 'Nome del convegno dopo accesso di nome della giurisdizione', 'Nome del convegno dopo accesso di nome della giurisdizione', 0, 0, NULL, 9, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('911', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, NULL, 9, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('911', 'u', 'Affiliazione', 'Affiliazione', 0, 0, NULL, 9, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('930', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 9, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('930', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 9, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('930', 'a', 'Titolo uniforme', 'Titolo uniforme', 0, 0, NULL, 9, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('930', 'd', 'Data di firma del trattato', 'Data di firma del trattato', 1, 0, NULL, 9, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('930', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, NULL, 9, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('930', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, NULL, 9, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('930', 'h', 'Supporto', 'Supporto', 0, 0, NULL, 9, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('930', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, NULL, 9, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('930', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, NULL, 9, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('930', 'm', 'Mezzo di esecuzione per la musica', 'Mezzo di esecuzione per la musica', 1, 0, NULL, 9, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('930', 'n', 'Numero di parte/sezione dell\'opera', 'Numero di parte/sezione dell\'opera', 1, 0, NULL, 9, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('930', 'o', 'Formulazione d\'arrangiamento per la musica', 'Formulazione d\'arrangiamento per la musica', 0, 0, NULL, 9, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('930', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, NULL, 9, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('930', 'r', 'Tonalità (musica)', 'Tonalità (musica)', 0, 0, NULL, 9, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('930', 's', 'Versione', 'Versione', 0, 0, NULL, 9, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('930', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, NULL, 9, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('936', 'a', 'OCLC control number(s) of parallel record(s) (OCLC); Piece used for cataloging, PUC (RLIN)', 'OCLC control number(s) of parallel record(s) (OCLC); Piece used for cataloging, PUC (RLIN)', 1, 0, '', 9, '', '', '', 0, -6, 'AR', '', '', NULL),
		('940', '6', 'Collegamento', 'Collegamento', 0, 0, '', 9, '', '', '', 0, -6, 'AR', '', '', NULL),
		('940', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 9, '', '', '', 0, -6, 'AR', '', '', NULL),
		('940', 'a', 'Titolo uniforme', 'Titolo uniforme', 0, 0, '', 9, '', '', '', 1, -6, 'AR', '', '', NULL),
		('940', 'd', 'Data di firma del trattato', 'Data di firma del trattato', 1, 0, '', 9, '', '', '', 0, -6, 'AR', '', '', NULL),
		('940', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, '', 9, '', '', '', 0, -6, 'AR', '', '', NULL),
		('940', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, '', 9, '', '', '', 0, -6, 'AR', '', '', NULL),
		('940', 'h', 'Supporto', 'Supporto', 0, 0, '', 9, '', '', '', 0, -6, 'AR', '', '', NULL),
		('940', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, '', 9, '', '', '', 0, -6, 'AR', '', '', NULL),
		('940', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, '', 9, '', '', '', 0, -6, 'AR', '', '', NULL),
		('940', 'm', 'Mezzo di esecuzione per la musica', 'Mezzo di esecuzione per la musica', 1, 0, '', 9, '', '', '', 0, -6, 'AR', '', '', NULL),
		('940', 'n', 'Numero di parte/sezione dell\'opera', 'Numero di parte/sezione dell\'opera', 1, 0, '', 9, '', '', '', 0, -6, 'AR', '', '', NULL),
		('940', 'o', 'Formulazione d\'arrangiamento per la musica', 'Formulazione d\'arrangiamento per la musica', 0, 0, '', 9, '', '', '', 0, -6, 'AR', '', '', NULL),
		('940', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, '', 9, '', '', '', 0, -6, 'AR', '', '', NULL),
		('940', 'r', 'Tonalità (musica)', 'Tonalità (musica)', 0, 0, '', 9, '', '', '', 0, -6, 'AR', '', '', NULL),
		('940', 's', 'Versione', 'Versione', 0, 0, '', 9, '', '', '', 0, -6, 'AR', '', '', NULL),
		('941', 'a', 'Romanized title', 'Romanized title', 0, 0, NULL, 9, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('941', 'h', 'Supporto', 'Supporto', 0, 0, NULL, 9, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('943', '6', 'Collegamento', 'Collegamento', 0, 0, '', 9, '', '', '', 0, -6, 'AR', '', '', NULL),
		('943', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 9, '', '', '', 0, -6, 'AR', '', '', NULL),
		('943', 'a', 'Titolo uniforme', 'Titolo uniforme', 0, 0, '', 9, '', '', '', 1, 5, 'AR', '', '130', NULL),
		('943', 'd', 'Data di firma del trattato', 'Data di firma del trattato', 1, 0, '', 9, '', '', '', 0, -6, 'AR', '', '', NULL),
		('943', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, '', 9, '', '', '', 0, -6, 'AR', '', '', NULL),
		('943', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, '', 9, '', '', '', 0, -6, 'AR', '', '', NULL),
		('943', 'h', 'Supporto', 'Supporto', 0, 0, '', 9, '', '', '', 0, -6, 'AR', '', '', NULL),
		('943', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, '', 9, '', '', '', 0, -6, 'AR', '', '', NULL),
		('943', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, '', 9, '', '', '', 0, -6, 'AR', '', '', NULL),
		('943', 'm', 'Mezzo di esecuzione per la musica', 'Mezzo di esecuzione per la musica', 1, 0, '', 9, '', '', '', 0, -6, 'AR', '', '', NULL),
		('943', 'n', 'Numero di parte/sezione dell\'opera', 'Numero di parte/sezione dell\'opera', 1, 0, '', 9, '', '', '', 0, -6, 'AR', '', '', NULL),
		('943', 'o', 'Formulazione d\'arrangiamento per la musica', 'Formulazione d\'arrangiamento per la musica', 0, 0, '', 9, '', '', '', 0, -6, 'AR', '', '', NULL),
		('943', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, '', 9, '', '', '', 0, -6, 'AR', '', '', NULL),
		('943', 'r', 'Tonalità (musica)', 'Tonalità (musica)', 0, 0, '', 9, '', '', '', 0, -6, 'AR', '', '', NULL),
		('943', 's', 'Versione', 'Versione', 0, 0, '', 9, '', '', '', 0, -6, 'AR', '', '', NULL),
		('945', '0', '0', '0', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('945', '1', '1', '1', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('945', '2', '2', '2', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('945', '3', '3', '3', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('945', '4', '4', '4', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('945', '5', '5', '5', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('945', '6', '6', '6', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('945', '7', '7', '7', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('945', '8', '8', '8', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('945', '9', '9', '9', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('945', 'a', 'a', 'a', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('945', 'b', 'b', 'b', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('945', 'c', 'c', 'c', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('945', 'd', 'd', 'd', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('945', 'e', 'e', 'e', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('945', 'f', 'f', 'f', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('945', 'g', 'g', 'g', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('945', 'h', 'h', 'h', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('945', 'i', 'i', 'i', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('945', 'j', 'j', 'j', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('945', 'k', 'k', 'k', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('945', 'l', 'l', 'l', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('945', 'm', 'm', 'm', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('945', 'n', 'n', 'n', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('945', 'o', 'o', 'o', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('945', 'p', 'p', 'p', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('945', 'q', 'q', 'q', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('945', 'r', 'r', 'r', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('945', 's', 's', 's', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('945', 't', 't', 't', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('945', 'u', 'u', 'u', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('945', 'v', 'v', 'v', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('945', 'w', 'w', 'w', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('945', 'x', 'x', 'x', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('945', 'y', 'y', 'y', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('945', 'z', 'z', 'z', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('946', '0', '0', '0', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('946', '1', '1', '1', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('946', '2', '2', '2', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('946', '3', '3', '3', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('946', '4', '4', '4', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('946', '5', '5', '5', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('946', '6', '6', '6', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('946', '7', '7', '7', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('946', '8', '8', '8', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('946', '9', '9', '9', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('946', 'a', 'a', 'a', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('946', 'b', 'b', 'b', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('946', 'c', 'c', 'c', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('946', 'd', 'd', 'd', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('946', 'e', 'e', 'e', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('946', 'f', 'f', 'f', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('946', 'g', 'g', 'g', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('946', 'h', 'h', 'h', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('946', 'i', 'i', 'i', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('946', 'j', 'j', 'j', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('946', 'k', 'k', 'k', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('946', 'l', 'l', 'l', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('946', 'm', 'm', 'm', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('946', 'n', 'n', 'n', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('946', 'o', 'o', 'o', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('946', 'p', 'p', 'p', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('946', 'q', 'q', 'q', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('946', 'r', 'r', 'r', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('946', 's', 's', 's', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('946', 't', 't', 't', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('946', 'u', 'u', 'u', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('946', 'v', 'v', 'v', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('946', 'w', 'w', 'w', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('946', 'x', 'x', 'x', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('946', 'y', 'y', 'y', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('946', 'z', 'z', 'z', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('947', '0', '0', '0', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('947', '1', '1', '1', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('947', '2', '2', '2', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('947', '3', '3', '3', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('947', '4', '4', '4', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('947', '5', '5', '5', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('947', '6', '6', '6', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('947', '7', '7', '7', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('947', '8', '8', '8', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('947', '9', '9', '9', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('947', 'a', 'a', 'a', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('947', 'b', 'b', 'b', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('947', 'c', 'c', 'c', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('947', 'd', 'd', 'd', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('947', 'e', 'e', 'e', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('947', 'f', 'f', 'f', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('947', 'g', 'g', 'g', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('947', 'h', 'h', 'h', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('947', 'i', 'i', 'i', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('947', 'j', 'j', 'j', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('947', 'k', 'k', 'k', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('947', 'l', 'l', 'l', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('947', 'm', 'm', 'm', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('947', 'n', 'n', 'n', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('947', 'o', 'o', 'o', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('947', 'p', 'p', 'p', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('947', 'q', 'q', 'q', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('947', 'r', 'r', 'r', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('947', 's', 's', 's', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('947', 't', 't', 't', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('947', 'u', 'u', 'u', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('947', 'v', 'v', 'v', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('947', 'w', 'w', 'w', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('947', 'x', 'x', 'x', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('947', 'y', 'y', 'y', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('947', 'z', 'z', 'z', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('948', '0', '0 (OCLC)', '0 (OCLC)', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('948', '1', '1 (OCLC)', '1 (OCLC)', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('948', '2', '2 (OCLC)', '2 (OCLC)', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('948', '3', '3 (OCLC)', '3 (OCLC)', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('948', '4', '4 (OCLC)', '4 (OCLC)', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('948', '5', '5 (OCLC)', '5 (OCLC)', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('948', '6', '6 (OCLC)', '6 (OCLC)', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('948', '7', '7 (OCLC)', '7 (OCLC)', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('948', '8', '8 (OCLC)', '8 (OCLC)', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('948', '9', '9 (OCLC)', '9 (OCLC)', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('948', 'a', 'Series part designator, SPT (RLIN)', 'Series part designator, SPT (RLIN)', 0, 0, '', 9, '', '', '', 0, -6, 'AR', '', '', NULL),
		('948', 'b', 'b (OCLC)', 'b (OCLC)', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('948', 'c', 'c (OCLC)', 'c (OCLC)', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('948', 'd', 'd (OCLC)', 'd (OCLC)', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('948', 'e', 'e (OCLC)', 'e (OCLC)', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('948', 'f', 'f (OCLC)', 'f (OCLC)', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('948', 'g', 'g (OCLC)', 'g (OCLC)', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('948', 'h', 'h (OCLC)', 'h (OCLC)', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('948', 'i', 'i (OCLC)', 'i (OCLC)', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('948', 'j', 'j (OCLC)', 'j (OCLC)', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('948', 'k', 'k (OCLC)', 'k (OCLC)', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('948', 'l', 'l (OCLC)', 'l (OCLC)', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('948', 'm', 'm (OCLC)', 'm (OCLC)', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('948', 'n', 'n (OCLC)', 'n (OCLC)', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('948', 'o', 'o (OCLC)', 'o (OCLC)', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('948', 'p', 'p (OCLC)', 'p (OCLC)', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('948', 'q', 'q (OCLC)', 'q (OCLC)', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('948', 'r', 'r (OCLC)', 'r (OCLC)', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('948', 's', 's (OCLC)', 's (OCLC)', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('948', 't', 't (OCLC)', 't (OCLC)', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('948', 'u', 'u (OCLC)', 'u (OCLC)', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('948', 'v', 'v (OCLC)', 'v (OCLC)', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('948', 'w', 'w (OCLC)', 'w (OCLC)', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('948', 'x', 'x (OCLC)', 'x (OCLC)', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('948', 'y', 'y (OCLC)', 'y (OCLC)', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('948', 'z', 'z (OCLC)', 'z (OCLC)', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('949', '0', '0', '0', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('949', '1', '1', '1', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('949', '2', '2', '2', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('949', '3', '3', '3', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('949', '4', '4', '4', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('949', '5', '5', '5', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('949', '6', '6', '6', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('949', '7', '7', '7', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('949', '8', '8', '8', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('949', '9', '9', '9', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('949', 'a', 'a', 'a', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('949', 'b', 'b', 'b', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('949', 'c', 'c', 'c', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('949', 'd', 'd', 'd', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('949', 'e', 'e', 'e', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('949', 'f', 'f', 'f', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('949', 'g', 'g', 'g', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('949', 'h', 'h', 'h', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('949', 'i', 'i', 'i', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('949', 'j', 'j', 'j', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('949', 'k', 'k', 'k', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('949', 'l', 'l', 'l', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('949', 'm', 'm', 'm', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('949', 'n', 'n', 'n', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('949', 'o', 'o', 'o', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('949', 'p', 'p', 'p', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('949', 'q', 'q', 'q', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('949', 'r', 'r', 'r', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('949', 's', 's', 's', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('949', 't', 't', 't', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('949', 'u', 'u', 'u', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('949', 'v', 'v', 'v', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('949', 'w', 'w', 'w', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('949', 'x', 'x', 'x', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('949', 'y', 'y', 'y', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('949', 'z', 'z', 'z', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('950', 'a', 'Classification number, LCAL (RLIN)', 'Classification number, LCAL (RLIN)', 0, 0, '', 9, '', '', '', 0, 5, 'AR', '', '', NULL),
		('950', 'b', 'Book number/undivided call number, LCAL (RLIN)', 'Book number/undivided call number, LCAL (RLIN)', 0, 0, '', 9, '', '', '', 0, 5, 'AR', '', '', NULL),
		('950', 'd', 'Additional free-text stamp above the call number, LCAL (RLIN)', 'Additional free-text stamp above the call number, LCAL (RLIN)', 1, 0, '', 9, '', '', '', 0, 5, 'AR', '', '', NULL),
		('950', 'e', 'Additional free-text or profiled stamp below the call number, LCAL (RLIN)', 'Additional free-text or profiled stamp below the call number, LCAL (RLIN)', 1, 0, '', 9, '', '', '', 0, 5, 'AR', '', '', NULL),
		('950', 'f', 'Location-level footnote, LFNT (RLIN)', 'Location-level footnote, LFNT (RLIN)', 0, 0, '', 9, '', '', '', 0, 5, 'AR', '', '', NULL),
		('950', 'h', 'Location-level output transaction history, LHST (RLIN)', 'Location-level output transaction history, LHST (RLIN)', 0, 0, '', 9, '', '', '', 0, 5, 'AR', '', '', NULL),
		('950', 'i', 'Location-level extra card request, LEXT (RLIN)', 'Location-level extra card request, LEXT (RLIN)', 0, 0, '', 9, '', '', '', 0, 5, 'AR', '', '', NULL),
		('950', 'l', 'Permanent shelving location, LOC (RLIN)', 'Permanent shelving location, LOC (RLIN)', 0, 0, '', 9, '', '', '', 0, 5, 'AR', '', '', NULL),
		('950', 'n', 'Location-level additional note, LANT (RLIN)', 'Location-level additional note, LANT (RLIN)', 1, 0, '', 9, '', '', '', 0, 5, 'AR', '', '', NULL),
		('950', 'p', 'Location-level pathfinder, LPTH (RLIN)', 'Location-level pathfinder, LPTH (RLIN)', 0, 0, '', 9, '', '', '', 0, 5, 'AR', '', '', NULL),
		('950', 't', 'Location-level field suppression, LFSP (RLIN)', 'Location-level field suppression, LFSP (RLIN)', 0, 0, '', 9, '', '', '', 0, 5, 'AR', '', '', NULL),
		('950', 'u', 'Non-printing notes, LANT (RLIN)', 'Non-printing notes, LANT (RLIN)', 1, 0, '', 9, '', '', '', 0, 5, 'AR', '', '', NULL),
		('950', 'v', 'Volumes, LVOL (RLIN)', 'Volumes, LVOL (RLIN)', 0, 0, '', 9, '', '', '', 0, 5, 'AR', '', '', NULL),
		('950', 'w', 'Subscription status code, LANT (RLIN)', 'Subscription status code, LANT (RLIN)', 0, 0, '', 9, '', '', '', 0, 5, 'AR', '', '', NULL),
		('950', 'y', 'Date, LVOL (RLIN)', 'Date, LVOL (RLIN)', 0, 0, '', 9, '', '', '', 0, 5, 'AR', '', '', NULL),
		('950', 'z', 'Retention, LVOL (RLIN)', 'Retention, LVOL (RLIN)', 0, 0, '', 9, '', '', '', 0, 5, 'AR', '', '', NULL),
		('951', '2', 'Fonte dell\'intestazione o del termine', 'Fonte dell\'intestazione o del termine', 0, 0, '', 6, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('951', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, '', 6, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('951', '6', 'Collegamento', 'Collegamento', 0, 0, '', 6, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('951', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 6, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('951', 'a', 'Nome geografico', 'Nome geografico', 0, 0, '', 6, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('951', 'b', 'Geographic name following place entry element [OBSOLETE]', 'Geographic name following place entry element [OBSOLETE]', 1, 0, '', 6, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('951', 'v', 'Suddivisione geografica', 'Suddivisione geografica', 1, 0, '', 6, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('951', 'x', 'Suddivisione generale', 'Suddivisione generale', 1, 0, '', 6, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('951', 'y', 'Suddivisione cronologica', 'Suddivisione cronologica', 1, 0, '', 6, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('951', 'z', 'Suddivisione geografica', 'Suddivisione geografica', 1, 0, '', 6, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('955', 'a', 'Classification number, CCAL (RLIN)', 'Classification number, CCAL (RLIN)', 0, 0, '', 9, '', '', '', 0, 5, 'AR', '', '', NULL),
		('955', 'b', 'Book number/undivided call number, CCAL (RLIN)', 'Book number/undivided call number, CCAL (RLIN)', 0, 0, '', 9, '', '', '', 0, 5, 'AR', '', '', NULL),
		('955', 'c', 'Copy information and material description, CCAL + MDES (RLIN)', 'Copy information and material description, CCAL + MDES (RLIN)', 0, 0, '', 9, '', '', '', 0, 5, 'AR', '', '', NULL),
		('955', 'h', 'Copy status--for earlier dates, CST (RLIN)', 'Copy status--for earlier dates, CST (RLIN)', 0, 0, '', 9, '', '', '', 0, 5, 'AR', '', '', NULL),
		('955', 'i', 'Copy status, CST (RLIN)', 'Copy status, CST (RLIN)', 0, 0, '', 9, '', '', '', 0, 5, 'AR', '', '', NULL),
		('955', 'l', 'Permanent shelving location, LOC (RLIN)', 'Permanent shelving location, LOC (RLIN)', 0, 0, '', 9, '', '', '', 0, 5, 'AR', '', '', NULL),
		('955', 'q', 'Aquisitions control number, HNT (RLIN)', 'Aquisitions control number, HNT (RLIN)', 1, 0, '', 9, '', '', '', 0, 5, 'AR', '', '', NULL),
		('955', 'r', 'Circulation control number, HNT (RLIN)', 'Circulation control number, HNT (RLIN)', 0, 0, '', 9, '', '', '', 0, 5, 'AR', '', '', NULL),
		('955', 's', 'Shelflist note, HNT (RLIN)', 'Shelflist note, HNT (RLIN)', 1, 0, '', 9, '', '', '', 1, 5, 'AR', '', '', NULL),
		('955', 'u', 'Non-printing notes, HNT (RLIN)', 'Non-printing notes, HNT (RLIN)', 1, 0, '', 9, '', '', '', 0, 5, 'AR', '', '', NULL),
		('956', '2', 'Metodo di accesso', 'Metodo di accesso', 0, 0, '', 9, '', '', '', 0, -6, 'AR', '', '', NULL),
		('956', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, '', 9, '', '', '', 0, -6, 'AR', '', '', NULL),
		('956', '6', 'Collegamento', 'Collegamento', 0, 0, '', 9, '', '', '', 0, -6, 'AR', '', '', NULL),
		('956', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 9, '', '', '', 0, -6, 'AR', '', '', NULL),
		('956', 'a', 'Nome dell\'host', 'Nome dell\'host', 1, 0, '', 9, '', '', '', 0, -6, 'AR', '', '', NULL),
		('956', 'b', 'Numero di accesso', 'Numero di accesso', 1, 0, '', 9, '', '', '', 0, -6, 'AR', '', '', NULL),
		('956', 'c', 'Informazione sulla compressione', 'Informazione sulla compressione', 1, 0, '', 9, '', '', '', 0, -6, 'AR', '', '', NULL),
		('956', 'd', 'Percorso della risorsa', 'Percorso della risorsa', 1, 0, '', 9, '', '', '', 0, -6, 'AR', '', '', NULL),
		('956', 'f', 'Nome elettronico', 'Nome elettronico', 1, 0, '', 9, '', '', '', 0, -6, 'AR', '', '', NULL),
		('956', 'h', 'Processore della richiesta (Username)', 'Processore della richiesta (Username)', 0, 0, '', 9, '', '', '', 0, -6, 'AR', '', '', NULL),
		('956', 'i', 'Istruzioni', 'Istruzioni', 1, 0, '', 9, '', '', '', 0, -6, 'AR', '', '', NULL),
		('956', 'j', 'Bit per secondo', 'Bit per secondo', 0, 0, '', 9, '', '', '', 0, -6, 'AR', '', '', NULL),
		('956', 'k', 'Password', 'Password', 0, 0, '', 9, '', '', '', 0, -6, 'AR', '', '', NULL),
		('956', 'l', 'Logon', 'Logon', 0, 0, '', 9, '', '', '', 0, -6, 'AR', '', '', NULL),
		('956', 'm', 'Contatto per assistenza all\'accesso', 'Contatto per assistenza all\'accesso', 1, 0, '', 9, '', '', '', 0, -6, 'AR', '', '', NULL),
		('956', 'n', 'Name of location of host in subfield', 'Name of location of host in subfield', 0, 0, '', 9, '', '', '', 0, -6, 'AR', '', '', NULL),
		('956', 'o', 'Sistema operativo', 'Sistema operativo', 0, 0, '', 9, '', '', '', 0, -6, 'AR', '', '', NULL),
		('956', 'p', 'Porta', 'Porta', 0, 0, '', 9, '', '', '', 0, -6, 'AR', '', '', NULL),
		('956', 'q', 'Tipo di formato elettronico', 'Tipo di formato elettronico', 0, 0, '', 9, '', '', '', 0, -6, 'AR', '', '', NULL),
		('956', 'r', 'Parametri', 'Parametri', 0, 0, '', 9, '', '', '', 0, -6, 'AR', '', '', NULL),
		('956', 's', 'Dimensione file', 'Dimensione file', 1, 0, '', 9, '', '', '', 0, -6, 'AR', '', '', NULL),
		('956', 't', 'Emulazione del terminale', 'Emulazione del terminale', 1, 0, '', 9, '', '', '', 0, -6, 'AR', '', '', NULL),
		('956', 'u', 'URI (Uniform Resource Identifier)', 'URI (Uniform Resource Identifier)', 1, 0, '', 9, '', '', '', 1, -6, 'AR', '', '', NULL),
		('956', 'v', 'Orario di accesso', 'Orario di accesso', 1, 0, '', 9, '', '', '', 0, -6, 'AR', '', '', NULL),
		('956', 'w', 'Numero di controllo della registrazione', 'Numero di controllo della registrazione', 1, 0, '', 9, '', '', '', 0, -6, 'AR', '', '', NULL),
		('956', 'x', 'Nota non pubblic', 'Nota non pubblic', 1, 0, '', 9, '', '', '', 0, 6, 'AR', '', '', NULL),
		('956', 'y', 'Testo di collegamento', 'Testo di collegamento', 1, 0, '', 9, '', '', '', 0, -6, 'AR', '', '', NULL),
		('956', 'z', 'Nota pubblica', 'Nota pubblica', 1, 0, '', 9, '', '', '', 0, -6, 'AR', '', '', NULL),
		('960', '3', 'Materials specified, MATL', 'Materials specified, MATL', 0, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('960', 'a', 'Physical location, PLOC (RLIN)', 'Physical location, PLOC (RLIN)', 0, 0, '', 9, '', '', '', 0, -6, 'AR', '', '', NULL),
		('967', 'a', 'GNR (RLIN)', 'GNR (RLIN)', 0, 0, '', 9, '', '', '', 0, -6, 'AR', '', '', NULL),
		('967', 'c', 'PSI (RLIN)', 'PSI (RLIN)', 0, 0, '', 9, '', '', '', 0, -6, 'AR', '', '', NULL),
		('980', '4', 'Codice di ruolo', 'Codice di ruolo', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('980', '6', 'Collegamento', 'Collegamento', 0, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('980', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('980', 'a', 'Nome di persona', 'Nome di persona', 0, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('980', 'b', 'Numerazione', 'Numerazione', 0, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('980', 'c', 'Titoli e altre parole associate al nome', 'Titoli e altre parole associate al nome', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('980', 'd', 'Date associate al nome', 'Date associate al nome', 0, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('980', 'e', 'Termine di ruolo', 'Termine di ruolo', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('980', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('980', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('980', 'h', 'Supporto', 'Supporto', 0, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('980', 'j', 'Qualificazione d\'attribuzione', 'Qualificazione d\'attribuzione', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('980', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('980', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('980', 'm', 'Mezzo di esecuzione per la musica', 'Mezzo di esecuzione per la musica', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('980', 'n', 'Numero di parte/sezione dell\'opera', 'Numero di parte/sezione dell\'opera', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('980', 'o', 'Formulazione d\'arrangiamento per la musica', 'Formulazione d\'arrangiamento per la musica', 0, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('980', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('980', 'q', 'Forma completa del nome', 'Forma completa del nome', 0, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('980', 'r', 'Tonalità (musica)', 'Tonalità (musica)', 0, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('980', 's', 'Versione', 'Versione', 0, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('980', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('980', 'u', 'Affiliazione', 'Affiliazione', 0, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('980', 'v', 'Numero del volume/designazione di sequenza', 'Numero del volume/designazione di sequenza', 0, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('981', '4', 'Codice di ruolo', 'Codice di ruolo', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('981', '6', 'Collegamento', 'Collegamento', 0, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('981', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('981', 'a', 'Nome dell\'ente o nome della giurisdizione come accesso', 'Nome dell\'ente o nome della giurisdizione come accesso', 0, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('981', 'b', 'Unità subordinata', 'Unità subordinata', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('981', 'c', 'Luogo del convegno', 'Luogo del convegno', 0, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('981', 'd', 'Data del convegno o di firma del trattato', 'Data del convegno o di firma del trattato', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('981', 'e', 'Termine di ruolo', 'Termine di ruolo', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('981', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('981', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('981', 'h', 'Supporto', 'Supporto', 0, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('981', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('981', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('981', 'm', 'Mezzo di esecuzione per la musica', 'Mezzo di esecuzione per la musica', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('981', 'n', 'Numero di parte/sezione/convegno', 'Numero di parte/sezione/convegno', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('981', 'o', 'Formulazione d\'arrangiamento per la musica', 'Formulazione d\'arrangiamento per la musica', 0, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('981', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('981', 'r', 'Tonalità (musica)', 'Tonalità (musica)', 0, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('981', 's', 'Versione', 'Versione', 0, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('981', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('981', 'u', 'Affiliazione', 'Affiliazione', 0, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('981', 'v', 'Numero del volume/designazione di sequenza', 'Numero del volume/designazione di sequenza', 0, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('982', '4', 'Codice di ruolo', 'Codice di ruolo', 1, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('982', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('982', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('982', 'a', 'Nome del convegno o nome della giurisdizione come accesso', 'Nome del convegno o nome della giurisdizione come accesso', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('982', 'b', 'Number (BK CF MP MU SE VM MX) [OBSOLETE]', 'Number (BK CF MP MU SE VM MX) [OBSOLETE]', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('982', 'c', 'Luogo del convegno', 'Luogo del convegno', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('982', 'd', 'Data del convegno', 'Data del convegno', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('982', 'e', 'Unità subordinata', 'Unità subordinata', 1, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('982', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('982', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('982', 'h', 'Supporto', 'Supporto', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('982', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('982', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('982', 'n', 'Numero di parte/sezione/convegno', 'Numero di parte/sezione/convegno', 1, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('982', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('982', 'q', 'Nome del convegno dopo accesso di nome della giurisdizione', 'Nome del convegno dopo accesso di nome della giurisdizione', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('982', 's', 'Versione', 'Versione', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('982', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('982', 'u', 'Affiliazione', 'Affiliazione', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('982', 'v', 'Numero del volume/designazione di sequenza', 'Numero del volume/designazione di sequenza', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'AR', '', '', NULL),
		('983', '6', 'Collegamento', 'Collegamento', 0, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('983', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('983', 'a', 'Titolo uniforme', 'Titolo uniforme', 0, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('983', 'd', 'Data di firma del trattato', 'Data di firma del trattato', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('983', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('983', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('983', 'h', 'Supporto', 'Supporto', 0, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('983', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('983', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('983', 'm', 'Mezzo di esecuzione per la musica', 'Mezzo di esecuzione per la musica', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('983', 'n', 'Numero di parte/sezione dell\'opera', 'Numero di parte/sezione dell\'opera', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('983', 'o', 'Formulazione d\'arrangiamento per la musica', 'Formulazione d\'arrangiamento per la musica', 0, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('983', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('983', 'r', 'Tonalità (musica)', 'Tonalità (musica)', 0, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('983', 's', 'Versione', 'Versione', 0, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('983', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('983', 'v', 'Numero del volume/designazione di sequenza', 'Numero del volume/designazione di sequenza', 0, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('984', 'a', 'Numero idenficativo biblioteca proprietaria', 'Numero idenficativo biblioteca proprietaria', 0, 0, '', 9, '', '', '', NULL, 5, 'AR', '', '', NULL),
		('984', 'b', 'Codici descrizione fisica', 'Codici descrizione fisica', 1, 0, '', 9, '', '', '', 0, 5, 'AR', '', '', NULL),
		('984', 'c', 'Numero di chiamata', 'Numero di chiamata', 0, 0, '', 9, '', '', '', 0, 5, 'AR', '', '', NULL),
		('984', 'd', 'Volume o altra numerazione', 'Volume o altra numerazione', 0, 0, '', 9, '', '', '', 0, 5, 'AR', '', '', NULL),
		('984', 'e', 'Date', 'Date', 0, 0, '', 9, '', '', '', 0, 5, 'AR', '', '', NULL),
		('984', 'f', 'Completeness note', 'Completeness note', 0, 0, '', 9, '', '', '', 0, 5, 'AR', '', '', NULL),
		('984', 'g', 'Referral note', 'Referral note', 0, 0, '', 9, '', '', '', 0, 5, 'AR', '', '', NULL),
		('984', 'h', 'Retention note', 'Retention note', 0, 0, '', 9, '', '', '', 0, 5, 'AR', '', '', NULL),
		('987', 'a', 'Romanization/conversion identifier', 'Romanization/conversion identifier', 0, 0, '', 9, '', '', '', NULL, -6, 'AR', '', '', NULL),
		('987', 'b', 'Agenzia che ha convertito, creato o rivisto', 'Agenzia che ha convertito, creato o rivisto', 1, 0, '', 9, '', '', '', 0, -6, 'AR', '', '', NULL),
		('987', 'c', 'Data della conversione o della revisione', 'Data della conversione o della revisione', 0, 0, '', 9, '', '', '', 0, -6, 'AR', '', '', NULL),
		('987', 'd', 'Codice dello status', 'Codice dello status', 0, 0, '', 9, '', '', '', 0, -6, 'AR', '', '', NULL),
		('987', 'e', 'Versione del programma usato per la conversione', 'Versione del programma usato per la conversione', 0, 0, '', 9, '', '', '', 0, -6, 'AR', '', '', NULL),
		('987', 'f', 'Nota', 'Nota', 0, 0, '', 9, '', '', '', 0, -6, 'AR', '', '', NULL),
		('990', 'a', 'Link information for 9XX fields', 'Link information for 9XX fields', 1, 0, '', 9, '', '', '', 0, -6, 'AR', '', '', NULL),
		('990', 'b', 'Link information for field corresponding to 9XX field', 'Link information for field corresponding to 9XX field', 1, 0, '', 9, '', '', '', 0, -6, 'AR', '', '', NULL),
		('995', '0', 'Ritiro della copia', 'Ritiro della copia', 0, 0, '', 9, '', '', '', 0, 5, 'AR', '', '', NULL),
		('995', '1', 'Copia smarrita', 'Copia smarrita', 0, 0, '', 9, '', '', '', 0, 5, 'AR', '', '', NULL),
		('995', '2', 'Codice di sistema (classificazione specifica o altro schema e edizione)', 'Codice di sistema (classificazione specifica o altro schema e edizione)', 0, 0, '', 9, '', '', '', NULL, 5, 'AR', '', '', NULL),
		('995', '3', 'Restrizioni d\'uso', 'Restrizioni d\'uso', 0, 0, '', 9, '', '', '', 0, 5, 'AR', '', '', NULL),
		('995', '4', 'Classificazione normalizzata Koha per l\'ordinamento', 'Classificazione normalizzata Koha per l\'ordinamento', 0, 0, '', 9, '', '', '', 0, 5, 'AR', '', '', NULL),
		('995', '5', 'Qualificatore dell\'ubicazione', 'Qualificatore dell\'ubicazione', 1, 0, '', 9, '', '', '', NULL, 5, 'AR', '', '', NULL),
		('995', '6', 'Numero della copia', 'Numero della copia', 0, 0, '', 9, '', '', '', NULL, 5, 'AR', '', '', NULL),
		('995', '7', 'Uniform Resource Identifier', 'Uniform Resource Identifier', 1, 0, '', 9, '', '', '', 1, 5, 'AR', '', '', NULL),
		('995', '8', 'Collezione Koha', 'Collezione Koha', 0, 0, '', 9, '', '', '', 0, 5, 'AR', '', '', NULL),
		('995', '9', 'Numero interno di copia (Koha itemnumber, autogenerato)', 'Numero interno di copia (Koha itemnumber, autogenerato)', 0, 0, '', 9, '', '', '', 0, 5, 'AR', '', '', NULL),
		('995', 'a', 'Bib. proprietaria della copia (testo libero)', 'Bib. proprietaria della copia (testo libero)', 0, 0, '', 9, '', '', '', 0, 5, 'AR', '', '', NULL),
		('995', 'b', 'Bib. proprietaria della copia', 'Bib. proprietaria della copia', 0, 0, '', 9, '', '', '', 0, 5, 'AR', '', '', NULL),
		('995', 'c', 'Bib. che possiede o presta (holding branch)', 'Bib. che possiede o presta (holding branch)', 0, 0, '', 9, '', '', '', 0, 5, 'AR', '', '', NULL),
		('995', 'd', 'Bib. che possiede o presta (codice)', 'Bib. che possiede o presta (codice)', 0, 0, '', 9, '', '', '', 0, 5, 'AR', '', '', NULL),
		('995', 'e', 'Dettaglio del genere', 'Dettaglio del genere', 0, 0, '', 9, '', '', '', 0, 5, 'AR', '', '', NULL),
		('995', 'f', 'Codice a barre', 'Codice a barre', 0, 0, '', 9, '', '', '', 0, 5, 'AR', '', '', NULL),
		('995', 'g', 'Prefisso del codice a barre', 'Prefisso del codice a barre', 0, 0, '', 9, '', '', '', 0, 5, 'AR', '', '', NULL),
		('995', 'h', 'Incremento del codice a barre', 'Incremento del codice a barre', 0, 0, '', 9, '', '', '', 0, 5, 'AR', '', '', NULL),
		('995', 'i', 'Suffisso del codice a barre', 'Suffisso del codice a barre', 0, 0, '', 9, '', '', '', 0, 5, 'AR', '', '', NULL),
		('995', 'j', 'Sezione', 'Sezione', 0, 0, '', 9, '', '', '', 0, 5, 'AR', '', '', NULL),
		('995', 'k', 'Collocazione', 'Collocazione', 0, 0, '', 9, '', '', '', 0, 5, 'AR', '', '', NULL),
		('995', 'l', 'Numerazione (volume o altre parti)', 'Numerazione (volume o altre parti)', 0, 0, '', 9, '', '', '', 0, 5, 'AR', '', '', NULL),
		('995', 'm', 'Data del prestito o deposito', 'Data del prestito o deposito', 0, 0, '', 9, '', '', '', 0, 5, 'AR', '', '', NULL),
		('995', 'n', 'Data scadenza del prestito', 'Data scadenza del prestito', 0, 0, '', 9, '', '', '', 0, 5, 'AR', '', '', NULL),
		('995', 'o', 'Tipo di circolazione (non a prestito)', 'Tipo di circolazione (non a prestito)', 1, 0, '', 9, '', '', '', 0, 5, 'AR', '', '', NULL),
		('995', 'p', 'Periodico', 'Periodico', 0, 0, '', 9, '', '', '', 0, 5, 'AR', '', '', NULL),
		('995', 'q', 'Pubblico destinato (età)', 'Pubblico destinato (età)', 0, 0, '', 9, '', '', '', 0, 5, 'AR', '', '', NULL),
		('995', 'r', 'Tipologia della copia e del materiale', 'Tipologia della copia e del materiale', 0, 0, '', 9, '', '', '', 0, 5, 'AR', '', '', NULL),
		('995', 's', 'Modalità d\'acquisto', 'Modalità d\'acquisto', 0, 0, '', 9, '', '', '', 0, 5, 'AR', '', '', NULL),
		('995', 't', 'Genere', 'Genere', 0, 0, '', 9, '', '', '', 0, 5, 'AR', '', '', NULL),
		('995', 'u', 'Nota della copia', 'Nota della copia', 0, 0, '', 9, '', '', '', 0, 5, 'AR', '', '', NULL),
		('995', 'v', 'Numero periodico', 'Numero periodico', 0, 0, '', 9, '', '', '', 0, 5, 'AR', '', '', NULL),
		('995', 'w', 'Codice dell\'ente destinatario', 'Codice dell\'ente destinatario', 0, 0, '', 9, '', '', '', 0, 5, 'AR', '', '', NULL),
		('995', 'x', 'Ente destinatario, testo libero', 'Ente destinatario, testo libero', 0, 0, '', 9, '', '', '', 0, 5, 'AR', '', '', NULL),
		('995', 'y', 'Codice dell\'ente destinatario superiore', 'Codice dell\'ente destinatario superiore', 0, 0, '', 9, '', '', '', 0, 5, 'AR', '', '', NULL),
		('995', 'z', 'Ente destinatario superiore, testo libero', 'Ente destinatario superiore, testo libero', 0, 0, '', 9, '', '', '', 0, 5, 'AR', '', '', NULL),
		('998', 'b', 'Operator\'s initials, OID (RLIN)', 'Operator\'s initials, OID (RLIN)', 0, 0, '', 9, '', '', '', 0, -6, 'AR', '', '', NULL),
		('998', 'c', 'Cataloger\'s initials, CIN (RLIN)', 'Cataloger\'s initials, CIN (RLIN)', 0, 0, '', 9, '', '', '', 0, -6, 'AR', '', '', NULL),
		('998', 'd', 'First date, FD (RLIN)', 'First date, FD (RLIN)', 0, 0, '', 9, '', '', '', 0, -6, 'AR', '', '', NULL),
		('998', 'i', 'RINS (RLIN)', 'RINS (RLIN)', 0, 0, '', 9, '', '', '', 0, 5, 'AR', '', '', NULL),
		('998', 'l', 'LI (RLIN)', 'LI (RLIN)', 0, 0, '', 9, '', '', '', 0, 5, 'AR', '', '', NULL),
		('998', 'n', 'NUC (RLIN)', 'NUC (RLIN)', 0, 0, '', 9, '', '', '', 0, 5, 'AR', '', '', NULL),
		('998', 'p', 'PROC (RLIN)', 'PROC (RLIN)', 0, 0, '', 9, '', '', '', 0, 5, 'AR', '', '', NULL),
		('998', 's', 'CC (RLIN)', 'CC (RLIN)', 0, 0, '', 9, '', '', '', 0, 5, 'AR', '', '', NULL),
		('998', 't', 'RTYP (RLIN)', 'RTYP (RLIN)', 0, 0, '', 9, '', '', '', 0, 5, 'AR', '', '', NULL),
		('998', 'w', 'PLINK (RLIN)', 'PLINK (RLIN)', 0, 0, '', 9, '', '', '', 0, 5, 'AR', '', '', NULL);



-- *******************************************************


-- ******************************************************************
-- SIMPLE KITS KOHA RECORD AND HOLDINGS MANAGEMENT FIELDS/SUBFIELDS.
-- ******************************************************************


-- Current Record ID Field/Subfields


INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES
		('999', 'Sys Number locale (Koha)', 'Sys Number locale (Koha)', 1, 0, '', 'KT');

INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES
		('999', 'a', 'Item type [OBSOLETE]', 'Item type [OBSOLETE]', 0, 0, NULL, -1, NULL, NULL, '', NULL, -5, 'KT', '', '', NULL),
		('999', 'b', 'Koha Dewey Subclass [OBSOLETE]', 'Koha Dewey Subclass [OBSOLETE]', 0, 0, NULL, 0, NULL, NULL, '', NULL, -5, 'KT', '', '', NULL),
		('999', 'c', 'Koha biblionumber', 'Koha biblionumber', 0, 0, 'biblio.biblionumber', -1, NULL, NULL, '', NULL, -5, 'KT', '', '', NULL),
		('999', 'd', 'Koha biblioitemnumber', 'Koha biblioitemnumber', 0, 0, 'biblioitems.biblioitemnumber', -1, NULL, NULL, '', NULL, -5, 'KT', '', '', NULL);


-- ******************************************************


-- Plugins which need to be written for primary biblioitems Field/Subfields.


--      ('942', '2', 'Source of classification or shelving scheme', 'Source of classification or shelving scheme', 0, 0, 'biblioitems.cn_source', 9, '', '', 'marc21_classcodes.pl', NULL, 0, 'KT', '', '', NULL),
--      ('942', 'h', 'Classification part', 'Classification part', 0, 0, 'biblioitems.cn_class', 9, '', '', 'marc21_callnumber.pl', NULL, 0, 'KT', '', '', NULL),



-- Current primary biblioitems Field/Subfields


INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES
		('942', 'Dati aggiuntivi (Koha)', 'Dati aggiuntivi (Koha)', 0, 0, '', 'KT');

INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES
		('942', '0', 'Numero prestiti (tutte le copie)', 'Numero prestiti (tutte le copie)', 0, 0, 'biblioitems.totalissues', 9, '', '', '', NULL, -5, 'KT', '', '', NULL),
		('942', '2', 'Fonte della classificazione o dello schema di collocazione (segnatura)', 'Fonte della classificazione o dello schema di collocazione (segnatura)', 0, 0, 'biblioitems.cn_source', 9, 'cn_source', '', '', NULL, 0, 'KT', '', '', NULL),
		('942', '6', 'Class. Normalizzata per ordinamento', 'Class. Normalizzata per ordinamento', 0, 0, 'biblioitems.cn_sort', -1, '', '', '', 0, 7, 'KT', '', '', NULL),
		('942', 'a', 'Institution code [OBSOLETE]', 'Institution code [OBSOLETE]', 0, 0, '', 9, '', '', '', NULL, -5, 'KT', '', '', NULL),
		('942', 'c', 'Tipo copia default (Koha)', 'Tipo copia default (Koha)', 0, 1, 'biblioitems.itemtype', 9, 'itemtypes', '', '', NULL, 0, 'KT', '', '', NULL),
		('942', 'e', 'Edizione', 'Edizione', 0, 0, NULL, 9, '', '', '', NULL, 0, 'KT', '', '', NULL),
		('942', 'h', 'Parte della classificazione', 'Parte della classificazione', 0, 0, 'biblioitems.cn_class', 9, '', '', '', NULL, 0, 'KT', '', '', NULL),
		('942', 'i', 'Parte dell\'item', 'Parte dell\'item', 1, 0, 'biblioitems.cn_item', 9, '', '', '', NULL, 9, 'KT', '', '', NULL),
		('942', 'k', 'Prefisso del numero di chiamata (collocazione)', 'Prefisso del numero di chiamata (collocazione)', 0, 0, 'biblioitems.cn_prefix', 9, '', '', '', NULL, 0, 'KT', '', '', NULL),
		('942', 'm', 'Suffisso del numero di chiamata (collocazione)', 'Suffisso del numero di chiamata (collocazione)', 0, 0, 'biblioitems.cn_suffix', 9, '', '', '', 0, 0, 'KT', '', '', NULL),
		('942', 'n', 'Nasconto in Opac', 'Nasconto in Opac', 0, 0, NULL, 9, '', '', '', 0, 0, 'KT', '', '', NULL),
		('942', 's', 'Flag seriale', 'Flag seriale', 0, 0, 'biblio.serial', 9, '', '', '', 0, -5, 'KT', '', '', NULL);


-- ******************************************************


-- Plugins which need to be written for items Field/Subfields


--      ('952', '2', 'Source of classification or shelving scheme', 'Source of classification or shelving scheme', 0, 0, 'items.cn_source', 10, '', '', 'marc21_classcodes.pl', NULL, 0, 'KT', '', '', NULL),
--      ('952', 'o', 'Full call number', 'Full call number', 0, 0, 'items.itemcallnumber', 10, '', 'marc21_itemcallnumber.pl', NULL, 0, 0, 'KT', '', '', NULL),



-- Current items Field/Subfields


INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES
		('952', 'Dati di copia (Koha)', 'Dati di copia (Koha)', 1, 0, '', 'KT');

INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES
		('952', '0', 'Ritirato (status)', 'Ritirato (status)', 0, 0, 'items.withdrawn', 10, 'WITHDRAWN', '', '', 0, 0, 'KT', '', '', NULL),
		('952', '1', 'Perso (status)', 'Perso (status)', 0, 0, 'items.itemlost', 10, 'LOST', '', '', 0, 0, 'KT', '', '', NULL),
		('952', '2', 'Fonte della classificazione o dello schema di collocazione (segnatura)', 'Fonte della classificazione o dello schema di collocazione (segnatura)', 0, 0, 'items.cn_source', 10, 'cn_source', '', '', NULL, 0, 'KT', '', '', NULL),
		('952', '3', 'Materiali specifici (rilegati o simili)', 'Materiali specifici (rilegati o simili)', 0, 0, 'items.materials', 10, '', '', '', NULL, -1, 'KT', '', '', NULL),
		('952', '4', 'Danneggiato (status)', 'Danneggiato (status)', 0, 0, 'items.damaged', 10, 'DAMAGED', '', '', NULL, 0, 'KT', '', '', NULL),
		('952', '5', 'Use restrictions', 'Use restrictions', 0, 0, 'items.restricted', 10, 'RESTRICTED', '', '', 0, 0, 'KT', '', '', NULL),
		('952', '6', 'Class. Normalizzata per ordinamento', 'Class. Normalizzata per ordinamento', 0, 0, 'items.cn_sort', -1, '', '', '', 0, 7, 'KT', '', '', NULL),
		('952', '7', 'Non per il presito', 'Non per il presito', 0, 0, 'items.notforloan', 10, 'NOT_LOAN', '', '', 0, 0, 'KT', '', '', NULL),
		('952', '8', 'Codice collezione', 'Codice collezione', 0, 0, 'items.ccode', 10, 'CCODE', '', '', 0, 0, 'KT', '', '', NULL),
		('952', '9', 'Numero di copia (ID autogenerato)', 'Numero di copia (ID autogenerato)', 0, 0, 'items.itemnumber', -1, '', '', '', 0, 7, 'KT', '', '', NULL),
		('952', 'a', 'Biblioteca proprietaria', 'Biblioteca proprietaria', 0, 0, 'items.homebranch', 10, 'branches', '', '', 0, 0, 'KT', '', '', NULL),
		('952', 'b', 'Biblioteca in cui si trova', 'Biblioteca in cui si trova', 0, 0, 'items.holdingbranch', 10, 'branches', '', '', 0, 0, 'KT', '', '', NULL),
		('952', 'c', 'Localizzazione a scaffale', 'Localizzazione a scaffale', 0, 0, 'items.location', 10, 'LOC', '', '', 0, 0, 'KT', '', '', NULL),
		('952', 'd', 'Data d\'acquisizione', 'Data d\'acquisizione', 0, 0, 'items.dateaccessioned', 10, '', '', 'dateaccessioned.pl', 0, 0, 'KT', '', '', NULL),
		('952', 'e', 'Fonte d\'acquisto', 'Fonte d\'acquisto', 0, 0, 'items.booksellerid', 10, '', '', '', 0, 0, 'KT', '', '', NULL),
		('952', 'f', 'Qualificatore di localizzazione codificato', 'Qualificatore di localizzazione codificato', 0, 0, 'items.coded_location_qualifier', 10, '', '', '', NULL, 0, 'KT', '', '', NULL),
		('952', 'g', 'Costo, prezzo di acquisto', 'Costo, prezzo di acquisto', 0, 0, 'items.price', 10, '', '', '', 0, 0, 'KT', '', '', NULL),
		('952', 'h', 'Enumerazione seriale / cronologia', 'Enumerazione seriale / cronologia', 0, 0, 'items.enumchron', 10, '', '', '', 0, 0, 'KT', '', '', NULL),
		('952', 'i', 'Numero di inventario', 'Numero di inventario', 0, 0, 'items.stocknumber', 10, '', '', '', 0, 0, 'KT', '', '', NULL),
		('952', 'j', 'Collocazione (segnatura)', 'Collocazione (segnatura)', 0, 0, 'items.stack', 10, 'STACK', '', '', NULL, -1, 'KT', '', '', NULL),
		('952', 'l', 'Totale prestiti', 'Totale prestiti', 0, 0, 'items.issues', 10, '', '', '', NULL, -5, 'KT', '', '', NULL),
		('952', 'm', 'Totale rinnovi', 'Totale rinnovi', 0, 0, 'items.renewals', 10, '', '', '', NULL, -5, 'KT', '', '', NULL),
		('952', 'n', 'Totale prenotazioni', 'Totale prenotazioni', 0, 0, 'items.reserves', 10, '', '', '', NULL, -5, 'KT', '', '', NULL),
		('952', 'o', 'Collocazione', 'Collocazione', 0, 0, 'items.itemcallnumber', 10, '', '', NULL, 0, 0, 'KT', '', '', NULL),
		('952', 'p', 'Codice a barre', 'Codice a barre', 0, 0, 'items.barcode', 10, '', '', 'barcode.pl', 0, 0, 'KT', '', '', NULL),
		('952', 'q', 'Prestito', 'Prestito', 0, 0, 'items.onloan', 10, '', '', '', NULL, -5, 'KT', '', '', NULL),
		('952', 'r', 'Data ultima operazione', 'Data ultima operazione', 0, 0, 'items.datelastseen', 10, '', '', '', NULL, -5, 'KT', '', '', NULL),
		('952', 's', 'Data ultimo prestito', 'Data ultimo prestito', 0, 0, 'items.datelastborrowed', 10, '', '', '', NULL, -5, 'KT', '', '', NULL),
		('952', 't', 'Numero di copia', 'Numero di copia', 0, 0, 'items.copynumber', 10, '', '', '', NULL, 0, 'KT', '', '', NULL),
		('952', 'u', 'URI (Uniform Resource Identifier)', 'URI (Uniform Resource Identifier)', 0, 0, 'items.uri', 10, '', '', '', 1, 0, 'KT', '', '', NULL),
		('952', 'v', 'Costo, costo di riacquisto', 'Costo, costo di riacquisto', 0, 0, 'items.replacementprice', 10, '', '', '', 0, 0, 'KT', '', '', NULL),
		('952', 'w', 'Prezzo in vigore dal', 'Prezzo in vigore dal', 0, 0, 'items.replacementpricedate', 10, '', '', '', 0, 0, 'KT', '', '', NULL),
		('952', 'x', 'Nota non pubblica', 'Nota non pubblica', 0, 0, '', 10, '', '', '', NULL, 1, 'KT', '', '', NULL),
		('952', 'y', 'Tipo copia default (Koha)', 'Tipo copia default (Koha)', 0, 0, 'items.itype', 10, 'itemtypes', '', '', NULL, 0, 'KT', '', '', NULL),
		('952', 'z', 'Nota pubblica', 'Nota pubblica', 0, 0, 'items.itemnotes', 10, '', '', '', NULL, 0, 'KT', '', '', NULL);



-- *******************************************************



-- ********************************************************************
-- SIMPLE KITS MARC 21 FIELDS/SUBFIELDS AND COMMMONLY USED EXTENSIONS.
-- ********************************************************************


INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES
		('000', 'LEADER', 'LEADER', 0, 1, '', 'KT'),
		('001', 'Numero di controllo', 'Numero di controllo', 0, 0, '', 'KT'),
		('003', 'Identificatore del numero di controllo', 'Identificatore del numero di controllo', 0, 0, '', 'KT'),
		('005', 'Data e orario dell\'ultima transazione', 'Data e orario dell\'ultima transazione', 0, 0, '', 'KT'),
		('006', 'Elementi di lunghezza fissa--Caratteristiche del materiale allegato--Informazione generale', 'Elementi di lunghezza fissa--Caratteristiche del materiale allegato--Informazione generale', 1, 0, '', 'KT'),
		('007', 'Campo fisso per la descrizione fisica--informazione generale', 'Campo fisso per la descrizione fisica--informazione generale', 1, 0, '', 'KT'),
		('008', 'Elementi di lunghezza fissa--Informazione generale', 'Elementi di lunghezza fissa--Informazione generale', 0, 1, '', 'KT'),
		('009', 'PHYSICAL DESCRIPTION FIXED-FIELD FOR ARCHIVAL COLLECTION (VM) [OBSOLETE]', 'PHYSICAL DESCRIPTION FIXED-FIELD FOR ARCHIVAL COLLECTION (VM) [OBSOLETE]', 1, 0, '', 'KT'),
		('010', 'Numero di controllo della Library of Congress', 'Numero di controllo della Library of Congress', 0, 0, '', 'KT'),
		('011', 'LINKING LIBRARY OF CONGRESS CONTROL NUMBER [OBSOLETE]', 'LINKING LIBRARY OF CONGRESS CONTROL NUMBER [OBSOLETE]', 0, 0, '', 'KT'),
		('013', 'Informazioni impiegate per il controllo di brevetti', 'Informazioni impiegate per il controllo di brevetti', 1, 0, '', 'KT'),
		('015', 'Numero della bibliografia nazionale', 'Numero della bibliografia nazionale', 1, 0, '', 'KT'),
		('016', 'Numero di controllo dell\'agenzia bibliografica nazionale', 'Numero di controllo dell\'agenzia bibliografica nazionale', 1, 0, '', 'KT'),
		('017', 'Numero di copyright o di deposito legale', 'Numero di copyright o di deposito legale', 1, 0, '', 'KT'),
		('018', 'Codice di tassa sul copyright dell’articolo', 'Codice di tassa sul copyright dell’articolo', 0, 0, '', 'KT'),
		('020', 'ISBN (International Standard Book Number)', 'ISBN (International Standard Book Number)', 1, 0, NULL, 'KT'),
		('022', 'ISSN (International Standard Serial Number)', 'ISSN (International Standard Serial Number)', 1, 0, NULL, 'KT'),
		('023', 'STANDARD FILM NUMBER (VM) [DELETED]', 'STANDARD FILM NUMBER (VM) [DELETED]', 1, 0, NULL, 'KT'),
		('024', 'Altri identificatori standard', 'Altri identificatori standard', 1, 0, NULL, 'KT'),
		('025', 'Numero di acquisito estero', 'Numero di acquisito estero', 1, 0, '', 'KT'),
		('026', 'Identificatore dell’impronta', 'Identificatore dell’impronta', 1, 0, '', 'KT'),
		('027', 'Standard Technical Report Number', 'Standard Technical Report Number', 1, 0, '', 'KT'),
		('028', 'Numero dell’editore', 'Numero dell’editore', 1, 0, NULL, 'KT'),
		('029', 'OTHER SYSTEM CONTROL NUMBER (OCLC)', 'OTHER SYSTEM CONTROL NUMBER (OCLC)', 1, 0, '', 'KT'),
		('030', 'Designazione CODEN', 'Designazione CODEN', 1, 0, '', 'KT'),
		('031', 'Informazione sugli incipit musicali', 'Informazione sugli incipit musicali', 1, 0, '', 'KT'),
		('032', 'Numero di registrazione di posta', 'Numero di registrazione di posta', 1, 0, '', 'KT'),
		('033', 'Data/ora e luogo di un evento', 'Data/ora e luogo di un evento', 1, 0, '', 'KT'),
		('034', 'Dati matematici codificati per il materiale cartografico', 'Dati matematici codificati per il materiale cartografico', 1, 0, '', 'KT'),
		('035', 'Numero di controllo del sistema', 'Numero di controllo del sistema', 1, 0, NULL, 'KT'),
		('036', 'Numero dello studio originale del computer data file', 'Numero dello studio originale del computer data file', 0, 0, '', 'KT'),
		('037', 'Fonte d’acquisto', 'Fonte d’acquisto', 1, 0, NULL, 'KT'),
		('038', 'Licenza d’uso del contenuto della registrazione', 'Licenza d’uso del contenuto della registrazione', 0, 0, '', 'KT'),
		('039', 'LEVEL OF BIBLIOGRAPHIC CONTROL AND CODING DETAIL [OBSOLETE]', 'LEVEL OF BIBLIOGRAPHIC CONTROL AND CODING DETAIL [OBSOLETE]', 0, 0, '', 'KT'),
		('040', 'Fonte della catalogazione', 'Fonte della catalogazione', 0, 0, NULL, 'KT'),
		('041', 'Codice di lingua', 'Codice di lingua', 1, 0, '', 'KT'),
		('042', 'Codice d\'autenticazione', 'Codice d\'autenticazione', 0, 0, '', 'KT'),
		('043', 'Codice dell\'area geografica', 'Codice dell\'area geografica', 0, 0, NULL, 'KT'),
		('044', 'Codice del paese dell’ente che pubblica/produce l’item', 'Codice del paese dell’ente che pubblica/produce l’item', 0, 0, '', 'KT'),
		('045', 'Periodo di tempo del contenuto', 'Periodo di tempo del contenuto', 0, 0, '', 'KT'),
		('046', 'Codice delle date speciali', 'Codice delle date speciali', 1, 0, '', 'KT'),
		('047', 'Codice di forma della composizione musicale', 'Codice di forma della composizione musicale', 1, 0, '', 'KT'),
		('048', 'Codice del numero degli strumenti musicali o delle voci', 'Codice del numero degli strumenti musicali o delle voci', 1, 0, '', 'KT'),
		('049', 'LOCAL HOLDINGS (OCLC)', 'LOCAL HOLDINGS (OCLC)', 0, 0, '', 'KT'),
		('050', 'Numero di chiamata (collocazione) della Library of Congress', 'Numero di chiamata (collocazione) della Library of Congress', 1, 0, NULL, 'KT'),
		('051', 'Formulazione dell’esemplare, emissione, estratto, della Library of Congress', 'Formulazione dell’esemplare, emissione, estratto, della Library of Congress', 1, 0, NULL, 'KT'),
		('052', 'Classificazione geografica', 'Classificazione geografica', 1, 0, NULL, 'KT'),
		('055', 'Numero di classificazione assegnati in Canada', 'Numero di classificazione assegnati in Canada', 1, 0, NULL, 'KT'),
		('060', 'Numero di chiamata (collocazione) della National Library of Medicine', 'Numero di chiamata (collocazione) della National Library of Medicine', 1, 0, NULL, 'KT'),
		('061', 'Formulazione dell’esemplare della National Library of Medicine', 'Formulazione dell’esemplare della National Library of Medicine', 1, 0, NULL, 'KT'),
		('066', 'Set di caratteri presenti', 'Set di caratteri presenti', 0, 0, NULL, 'KT'),
		('070', 'Numero di chiamata (collocazione) della National Agricultural Library', 'Numero di chiamata (collocazione) della National Agricultural Library', 1, 0, NULL, 'KT'),
		('071', 'Formulazione dell’esemplare della National Agricultural Library', 'Formulazione dell’esemplare della National Agricultural Library', 1, 0, NULL, 'KT'),
		('072', 'Codice di categoria di soggetto', 'Codice di categoria di soggetto', 1, 0, NULL, 'KT'),
		('074', 'Numero GPO dell’item', 'Numero GPO dell’item', 1, 0, NULL, 'KT'),
		('080', 'Numero di classificazione decimale universale', 'Numero di classificazione decimale universale', 1, 0, NULL, 'KT'),
		('082', 'Numero di classificazione Decimale Dewey', 'Numero di classificazione Decimale Dewey', 1, 0, NULL, 'KT'),
		('084', 'Numero d’altra classificazione', 'Numero d’altra classificazione', 1, 0, NULL, 'KT'),
		('086', 'Numero di classificazione di documento governativo', 'Numero di classificazione di documento governativo', 1, 0, NULL, 'KT'),
		('087', 'REPORT NUMBER [OBSOLETE, CAN/MARC]', 'REPORT NUMBER [OBSOLETE, CAN/MARC]', 1, 0, NULL, 'KT'),
		('088', 'Numero di rapporto', 'Numero di rapporto', 1, 0, NULL, 'KT'),
		('090', 'LOCALLY ASSIGNED LC-TYPE CALL NUMBER (OCLC); LOCAL CALL NUMBER (RLIN)', 'LOCALLY ASSIGNED LC-TYPE CALL NUMBER (OCLC); LOCAL CALL NUMBER (RLIN)', 1, 0, '', 'KT'),
		('091', 'MICROFILM SHELF LOCATION (AM) [OBSOLETE]', 'MICROFILM SHELF LOCATION (AM) [OBSOLETE]', 0, 0, '', 'KT'),
		('092', 'LOCALLY ASSIGNED DEWEY CALL NUMBER (OCLC)', 'LOCALLY ASSIGNED DEWEY CALL NUMBER (OCLC)', 1, 0, '', 'KT'),
		('096', 'LOCALLY ASSIGNED NLM-TYPE CALL NUMBER (OCLC)', 'LOCALLY ASSIGNED NLM-TYPE CALL NUMBER (OCLC)', 1, 0, '', 'KT'),
		('098', 'OTHER CLASSIFICATION SCHEMES (OCLC)', 'OTHER CLASSIFICATION SCHEMES (OCLC)', 1, 0, '', 'KT'),
		('099', 'LOCAL FREE-TEXT CALL NUMBER (OCLC)', 'LOCAL FREE-TEXT CALL NUMBER (OCLC)', 1, 0, '', 'KT'),
		('100', 'Accesso principale -- nome di persona', 'Accesso principale -- nome di persona', 0, 0, NULL, 'KT'),
		('110', 'Accesso principale--nome di ente', 'Accesso principale--nome di ente', 0, 0, NULL, 'KT'),
		('111', 'Accesso principale--nome di convegno', 'Accesso principale--nome di convegno', 0, 0, NULL, 'KT'),
		('130', 'Accesso principale--titolo uniforme', 'Accesso principale--titolo uniforme', 0, 0, NULL, 'KT'),
		('210', 'Titolo abbreviato', 'Titolo abbreviato', 1, 0, NULL, 'KT'),
		('211', 'ACRONYM OR SHORTENED TITLE [OBSOLETE]', 'ACRONYM OR SHORTENED TITLE [OBSOLETE]', 1, 0, NULL, 'KT'),
		('212', 'VARIANT ACCESS TITLE [OBSOLETE]', 'VARIANT ACCESS TITLE [OBSOLETE]', 1, 0, NULL, 'KT'),
		('214', 'AUGMENTED TITLE [OBSOLETE]', 'AUGMENTED TITLE [OBSOLETE]', 1, 0, NULL, 'KT'),
		('222', 'Titolo chiave', 'Titolo chiave', 1, 0, NULL, 'KT'),
		('240', 'Titolo uniforme', 'Titolo uniforme', 0, 0, 'Unititle', 'KT'),
		('241', 'ROMANIZED TITLE (BK AM CF MP MU VM) [OBSOLETE]', 'ROMANIZED TITLE (BK AM CF MP MU VM) [OBSOLETE]', 0, 0, '', 'KT'),
		('242', 'Traduzione del titolo dell’agenzia di catalogazione', 'Traduzione del titolo dell’agenzia di catalogazione', 1, 0, NULL, 'KT'),
		('243', 'Titolo uniforme collettivo', 'Titolo uniforme collettivo', 0, 0, '', 'KT'),
		('245', 'Formulazione del titolo', 'Formulazione del titolo', 0, 1, '', 'KT'),
		('246', 'Varianti del titolo', 'Varianti del titolo', 1, 0, NULL, 'KT'),
		('247', 'Titolo precedente', 'Titolo precedente', 1, 0, NULL, 'KT'),
		('250', 'Formulazione di edizione', 'Formulazione di edizione', 0, 0, NULL, 'KT'),
		('254', 'Formulazione della presentazione musicale', 'Formulazione della presentazione musicale', 0, 0, NULL, 'KT'),
		('255', 'Dati matematici del materiale cartografico', 'Dati matematici del materiale cartografico', 1, 0, NULL, 'KT'),
		('256', 'Caratteristiche del computer file', 'Caratteristiche del computer file', 0, 0, NULL, 'KT'),
		('257', 'Paese dell’ente produttore dei film d’archivio', 'Paese dell’ente produttore dei film d’archivio', 0, 0, NULL, 'KT'),
		('258', 'Dati dell’emissione filatelica', 'Dati dell’emissione filatelica', 1, 0, NULL, 'KT'),
		('260', 'Pubblicazione, distribuzione, ecc. (stampa)', 'Pubblicazione, distribuzione, ecc. (stampa)', 1, 0, NULL, 'KT'),
		('261', 'IMPRINT STATEMENT FOR FILMS (Pre-AACR 1 Revised) [OBSOLETE, CAN/MARC], [LOCAL, USA]', 'IMPRINT STATEMENT FOR FILMS (Pre-AACR 1 Revised) [OBSOLETE, CAN/MARC], [LOCAL, USA]', 0, 0, NULL, 'KT'),
		('262', 'IMPRINT STATEMENT FOR SOUND RECORDINGS (Pre-AACR 2) [LOCAL, USA]', 'IMPRINT STATEMENT FOR SOUND RECORDINGS (Pre-AACR 2) [LOCAL, USA]', 0, 0, NULL, 'KT'),
		('263', 'Data di pubblicazione prevista', 'Data di pubblicazione prevista', 0, 0, NULL, 'KT'),
		('265', 'SOURCE FOR ACQUISITION/SUBSCRIPTION ADDRESS [OBSOLETE]', 'SOURCE FOR ACQUISITION/SUBSCRIPTION ADDRESS [OBSOLETE]', 0, 0, NULL, 'KT'),
		('270', 'Indirizzo', 'Indirizzo', 1, 0, NULL, 'KT'),
		('300', 'Descrizione fisica', 'Descrizione fisica', 1, 1, NULL, 'KT'),
		('301', 'PHYSICAL DESCRIPTION FOR FILMS (PRE-AACR 2) (VM) [OBSOLETE, USMARC]', 'PHYSICAL DESCRIPTION FOR FILMS (PRE-AACR 2) (VM) [OBSOLETE, USMARC]', 0, 0, NULL, 'KT'),
		('302', 'PAGE OR ITEM COUNT (BK AM) [OBSOLETE]', 'PAGE OR ITEM COUNT (BK AM) [OBSOLETE]', 0, 0, NULL, 'KT'),
		('303', 'UNIT COUNT (AM) [OBSOLETE, USMARC]', 'UNIT COUNT (AM) [OBSOLETE, USMARC]', 0, 0, NULL, 'KT'),
		('304', 'LINEAR FOOTAGE (AM) [OBSOLETE, USMARC]', 'LINEAR FOOTAGE (AM) [OBSOLETE, USMARC]', 0, 0, NULL, 'KT'),
		('305', 'PHYSICAL DESCRIPTION FOR SOUND RECORDINGS (Pre-AACR 2) (MU) [OBSOLETE]', 'PHYSICAL DESCRIPTION FOR SOUND RECORDINGS (Pre-AACR 2) (MU) [OBSOLETE]', 0, 0, NULL, 'KT'),
		('306', 'Durata di riproduzione', 'Durata di riproduzione', 0, 0, NULL, 'KT'),
		('307', 'Disponibilità oraria, ecc.', 'Disponibilità oraria, ecc.', 1, 0, NULL, 'KT'),
		('308', 'PHYSICAL DESCRIPTION FOR FILMS (ARCHIVAL) (VM) [OBSOLETE]', 'PHYSICAL DESCRIPTION FOR FILMS (ARCHIVAL) (VM) [OBSOLETE]', 1, 0, NULL, 'KT'),
		('310', 'Periodicità corrente della pubblicazione', 'Periodicità corrente della pubblicazione', 0, 0, NULL, 'KT'),
		('315', 'FREQUENCY (CF MP) [OBSOLETE]', 'FREQUENCY (CF MP) [OBSOLETE]', 0, 0, NULL, 'KT'),
		('321', 'Periodicità precedente della pubblicazione', 'Periodicità precedente della pubblicazione', 1, 0, NULL, 'KT'),
		('340', 'Supporto fisico', 'Supporto fisico', 1, 0, NULL, 'KT'),
		('342', 'Dati di riferimento geospaziale', 'Dati di riferimento geospaziale', 1, 0, NULL, 'KT'),
		('343', 'Dati di coordinate piane', 'Dati di coordinate piane', 1, 0, NULL, 'KT'),
		('350', 'PRICE (NR) (BK AM CF MU VM SE) [OBSOLETE]', 'PRICE (NR) (BK AM CF MU VM SE) [OBSOLETE]', 1, 0, NULL, 'KT'),
		('351', 'Organizzazione e l’ordinamento dei materiali', 'Organizzazione e l’ordinamento dei materiali', 1, 0, NULL, 'KT'),
		('352', 'Rappresentazione grafica digitale', 'Rappresentazione grafica digitale', 1, 0, NULL, 'KT'),
		('355', 'Controllo della classificazione di sicurezza', 'Controllo della classificazione di sicurezza', 1, 0, NULL, 'KT'),
		('357', 'Controllo del creatore sulla diffusione', 'Controllo del creatore sulla diffusione', 0, 0, NULL, 'KT'),
		('359', 'RENTAL PRICE (VM) [OBSOLETE]', 'RENTAL PRICE (VM) [OBSOLETE]', 0, 0, NULL, 'KT'),
		('362', 'Date della pubblicazione e/o designazione sequenziale', 'Date della pubblicazione e/o designazione sequenziale', 1, 0, NULL, 'KT'),
		('365', 'Prezzo commerciale', 'Prezzo commerciale', 1, 0, NULL, 'KT'),
		('366', 'Informazione sulla disponibilità editoriale', 'Informazione sulla disponibilità editoriale', 1, 0, NULL, 'KT'),
		('400', 'SERIES STATEMENT/ADDED ENTRY--PERSONAL NAME [OBSOLETE, CAN/MARC], [LOCAL, USA]', 'SERIES STATEMENT/ADDED ENTRY--PERSONAL NAME [OBSOLETE, CAN/MARC], [LOCAL, USA]', 1, 0, NULL, 'KT'),
		('410', 'SERIES STATEMENT/ADDED ENTRY--CORPORATE NAME [OBSOLETE, CAN/MARC], [LOCAL, USA]', 'SERIES STATEMENT/ADDED ENTRY--CORPORATE NAME [OBSOLETE, CAN/MARC], [LOCAL, USA]', 1, 0, NULL, 'KT'),
		('411', 'SERIES STATEMENT/ADDED ENTRY--MEETING NAME [OBSOLETE, CAN/MARC], [LOCAL, USA]', 'SERIES STATEMENT/ADDED ENTRY--MEETING NAME [OBSOLETE, CAN/MARC], [LOCAL, USA]', 1, 0, NULL, 'KT'),
		('440', 'Formulazione della serie/accesso aggiunto--titolo', 'Formulazione della serie/accesso aggiunto--titolo', 1, 0, NULL, 'KT'),
		('490', 'Formulazione della serie', 'Formulazione della serie', 1, 0, '', 'KT'),
		('500', 'Nota generale', 'Nota generale', 1, 0, NULL, 'KT'),
		('501', 'Nota  Pubblicato con', 'Nota  Pubblicato con', 1, 0, NULL, 'KT'),
		('502', 'Nota di dissertazione', 'Nota di dissertazione', 1, 0, NULL, 'KT'),
		('503', 'BIBLIOGRAPHIC HISTORY NOTE (BK CF MU) [OBSOLETE]', 'BIBLIOGRAPHIC HISTORY NOTE (BK CF MU) [OBSOLETE]', 1, 0, NULL, 'KT'),
		('504', 'Nota di bibliografia', 'Nota di bibliografia', 1, 0, NULL, 'KT'),
		('505', 'Nota formattata di contenuto', 'Nota formattata di contenuto', 1, 0, NULL, 'KT'),
		('506', 'Nota sulle restrizioni all\'accesso', 'Nota sulle restrizioni all\'accesso', 1, 0, NULL, 'KT'),
		('507', 'Nota di scala per materiale grafico', 'Nota di scala per materiale grafico', 0, 0, NULL, 'KT'),
		('508', 'Nota sui crediti di creazione/produzione', 'Nota sui crediti di creazione/produzione', 1, 0, NULL, 'KT'),
		('509', 'INFORMAL NOTES (RLIN)', 'INFORMAL NOTES (RLIN)', 0, 0, NULL, 'KT'),
		('510', 'Nota di citazione/riferimenti esterni', 'Nota di citazione/riferimenti esterni', 1, 0, NULL, 'KT'),
		('511', 'Nota sui partecipanti o interpreti', 'Nota sui partecipanti o interpreti', 1, 0, NULL, 'KT'),
		('512', 'EARLIER OR LATER VOLUMES SEPARATELY CATALOGED NOTE (SE) [OBSOLETE]', 'EARLIER OR LATER VOLUMES SEPARATELY CATALOGED NOTE (SE) [OBSOLETE]', 1, 0, NULL, 'KT'),
		('513', 'Nota di tipo di rapporto e periodo coperto', 'Nota di tipo di rapporto e periodo coperto', 1, 0, NULL, 'KT'),
		('514', 'Nota sulla qualità dei dati', 'Nota sulla qualità dei dati', 0, 0, NULL, 'KT'),
		('515', 'Nota su particolarità della numerazione', 'Nota su particolarità della numerazione', 1, 0, NULL, 'KT'),
		('516', 'Nota sul tipo di computer file o di file di dati', 'Nota sul tipo di computer file o di file di dati', 1, 0, NULL, 'KT'),
		('517', 'CATEGORIES OF FILMS NOTE (ARCHIVAL) (VM) [OBSOLETE]', 'CATEGORIES OF FILMS NOTE (ARCHIVAL) (VM) [OBSOLETE]', 0, 0, NULL, 'KT'),
		('518', 'Nota sulla data/ora e luogo di un evento', 'Nota sulla data/ora e luogo di un evento', 1, 0, NULL, 'KT'),
		('520', 'Riassunto, ecc.', 'Riassunto, ecc.', 1, 0, NULL, 'KT'),
		('521', 'Nota sui destinatari', 'Nota sui destinatari', 1, 0, NULL, 'KT'),
		('522', 'Nota di copertura geografica', 'Nota di copertura geografica', 1, 0, NULL, 'KT'),
		('523', 'TIME PERIOD OF CONTENT NOTE (CF) [OBSOLETE]', 'TIME PERIOD OF CONTENT NOTE (CF) [OBSOLETE]', 0, 0, NULL, 'KT'),
		('524', 'Nota sulla citazione preferita dei materiali descritti', 'Nota sulla citazione preferita dei materiali descritti', 1, 0, NULL, 'KT'),
		('525', 'Nota di supplemento', 'Nota di supplemento', 0, 0, NULL, 'KT'),
		('526', 'Nota d’informazione sul programma di studi', 'Nota d’informazione sul programma di studi', 0, 0, NULL, 'KT'),
		('527', 'CENSORSHIP NOTE (VM) [OBSOLETE]', 'CENSORSHIP NOTE (VM) [OBSOLETE]', 1, 0, NULL, 'KT'),
		('530', 'Nota sulla disponibilità su altro supporto fisico', 'Nota sulla disponibilità su altro supporto fisico', 1, 0, NULL, 'KT'),
		('533', 'Nota di riproduzione', 'Nota di riproduzione', 1, 0, NULL, 'KT'),
		('534', 'Nota sulla versione originale', 'Nota sulla versione originale', 1, 0, NULL, 'KT'),
		('535', 'Nota sulla localizzazione degli originali/duplicati', 'Nota sulla localizzazione degli originali/duplicati', 1, 0, NULL, 'KT'),
		('536', 'Nota d’informazione sul finanziamento', 'Nota d’informazione sul finanziamento', 1, 0, NULL, 'KT'),
		('537', 'SOURCE OF DATA NOTE (CF) [OBSOLETE]', 'SOURCE OF DATA NOTE (CF) [OBSOLETE]', 0, 0, NULL, 'KT'),
		('538', 'Nota sui requisiti del sistema', 'Nota sui requisiti del sistema', 1, 0, NULL, 'KT'),
		('540', 'Nota sulle condizioni che regolano l\'utilizzo e la riproduzione', 'Nota sulle condizioni che regolano l\'utilizzo e la riproduzione', 1, 0, NULL, 'KT'),
		('541', 'Nota sulla fonte immediata d\'acquisto', 'Nota sulla fonte immediata d\'acquisto', 1, 0, NULL, 'KT'),
		('543', 'SOLICITATION INFORMATION NOTE (AM) [OBSOLETE]', 'SOLICITATION INFORMATION NOTE (AM) [OBSOLETE]', 1, 0, NULL, 'KT'),
		('544', 'Nota sulla localizzazione d’altri materiali d’archivio', 'Nota sulla localizzazione d’altri materiali d’archivio', 1, 0, NULL, 'KT'),
		('545', 'Dati biografici o storici', 'Dati biografici o storici', 1, 0, NULL, 'KT'),
		('546', 'Nota sulla lingua', 'Nota sulla lingua', 1, 0, NULL, 'KT'),
		('547', 'Nota sulla complessità del titolo precedente', 'Nota sulla complessità del titolo precedente', 1, 0, NULL, 'KT'),
		('550', 'Nota sull\'ente responsabile', 'Nota sull\'ente responsabile', 1, 0, NULL, 'KT'),
		('552', 'Nota d’informazione sull’ente e l’attributo', 'Nota d’informazione sull’ente e l’attributo', 1, 0, NULL, 'KT'),
		('555', 'Nota sull\'indice cumulativo/strumenti di ricerca', 'Nota sull\'indice cumulativo/strumenti di ricerca', 1, 0, NULL, 'KT'),
		('556', 'Nota d\'informazione sulla documentazione', 'Nota d\'informazione sulla documentazione', 1, 0, NULL, 'KT'),
		('561', 'Storia della proprietà e custodia', 'Storia della proprietà e custodia', 1, 0, NULL, 'KT'),
		('562', 'Nota d\'identificazione della copia e della versione', 'Nota d\'identificazione della copia e della versione', 1, 0, NULL, 'KT'),
		('563', 'Informazione sulla rilegatura', 'Informazione sulla rilegatura', 1, 0, NULL, 'KT'),
		('565', 'Nota sulle caratteristiche della singola pratica', 'Nota sulle caratteristiche della singola pratica', 1, 0, NULL, 'KT'),
		('567', 'Nota sulla metodologia', 'Nota sulla metodologia', 1, 0, NULL, 'KT'),
		('570', 'EDITOR NOTE (SE) [OBSOLETE]', 'EDITOR NOTE (SE) [OBSOLETE]', 1, 0, NULL, 'KT'),
		('580', 'Nota di collegamento complesso', 'Nota di collegamento complesso', 1, 0, NULL, 'KT'),
		('581', 'Nota di pubblicazioni sui materiali descritti', 'Nota di pubblicazioni sui materiali descritti', 1, 0, NULL, 'KT'),
		('582', 'RELATED COMPUTER FILES NOTE (CF) [OBSOLETE]', 'RELATED COMPUTER FILES NOTE (CF) [OBSOLETE]', 1, 0, NULL, 'KT'),
		('583', 'Nota d’azione', 'Nota d’azione', 1, 0, NULL, 'KT'),
		('584', 'Nota di accumulo e di frequenza d’uso', 'Nota di accumulo e di frequenza d’uso', 1, 0, NULL, 'KT'),
		('585', 'Nota di mostre', 'Nota di mostre', 1, 0, NULL, 'KT'),
		('586', 'Nota di premi', 'Nota di premi', 1, 0, NULL, 'KT'),
		('590', 'LOCAL NOTE (RLIN)', 'LOCAL NOTE (RLIN)', 1, 0, NULL, 'KT'),
		('600', 'Accesso aggiunto di soggetto-–Nome di persona', 'Accesso aggiunto di soggetto-–Nome di persona', 1, 0, NULL, 'KT'),
		('610', 'Accesso aggiunto di soggetto--nome di ente', 'Accesso aggiunto di soggetto--nome di ente', 1, 0, NULL, 'KT'),
		('611', 'Accesso aggiunto di soggetto--nome di convegno', 'Accesso aggiunto di soggetto--nome di convegno', 1, 0, NULL, 'KT'),
		('630', 'Accesso aggiunto di soggetto--titolo uniforme', 'Accesso aggiunto di soggetto--titolo uniforme', 1, 0, NULL, 'KT'),
		('648', 'Accesso aggiunto di soggetto--termine cronologico', 'Accesso aggiunto di soggetto--termine cronologico', 1, 0, NULL, 'KT'),
		('650', 'Accesso aggiunto di soggetto--termine topico', 'Accesso aggiunto di soggetto--termine topico', 1, 0, NULL, 'KT'),
		('651', 'Accesso aggiunto di soggetto--nome geografico', 'Accesso aggiunto di soggetto--nome geografico', 1, 0, NULL, 'KT'),
		('652', 'SUBJECT ADDED ENTRY--REVERSE GEOGRAPHIC (BK MP SE) [OBSOLETE]', 'SUBJECT ADDED ENTRY--REVERSE GEOGRAPHIC (BK MP SE) [OBSOLETE]', 1, 0, NULL, 'KT'),
		('653', 'Termine d’indicizzazione--non controllato', 'Termine d’indicizzazione--non controllato', 1, 0, NULL, 'KT'),
		('654', 'Accesso aggiunto di soggetto--termini topici faccettati', 'Accesso aggiunto di soggetto--termini topici faccettati', 1, 0, NULL, 'KT'),
		('655', 'Termine d’indicizzazione--genere/forma', 'Termine d’indicizzazione--genere/forma', 1, 0, NULL, 'KT'),
		('656', 'Termine d’indicizzazione--occupazione', 'Termine d’indicizzazione--occupazione', 1, 0, NULL, 'KT'),
		('657', 'Termine d’indicizzazione--funzione', 'Termine d’indicizzazione--funzione', 1, 0, NULL, 'KT'),
		('658', 'Termine d’indicizzazione--obiettivi del curriculum scolastico', 'Termine d’indicizzazione--obiettivi del curriculum scolastico', 1, 0, NULL, 'KT'),
		('662', 'Accesso aggiunto di soggetto --nome gerarchico di luogo', 'Accesso aggiunto di soggetto --nome gerarchico di luogo', 1, 0, NULL, 'KT'),
		('690', 'LOCAL SUBJECT ADDED ENTRY--TOPICAL TERM (OCLC, RLIN)', 'LOCAL SUBJECT ADDED ENTRY--TOPICAL TERM (OCLC, RLIN)', 1, 0, '', 'KT'),
		('691', 'LOCAL SUBJECT ADDED ENTRY--GEOGRAPHIC NAME (RLIN)', 'LOCAL SUBJECT ADDED ENTRY--GEOGRAPHIC NAME (RLIN)', 1, 0, '', 'KT'),
		('696', 'LOCAL SUBJECT ADDED ENTRY--PERSONAL NAME (RLIN)', 'LOCAL SUBJECT ADDED ENTRY--PERSONAL NAME (RLIN)', 1, 0, '', 'KT'),
		('697', 'LOCAL SUBJECT ADDED ENTRY--CORPORATE NAME (RLIN)', 'LOCAL SUBJECT ADDED ENTRY--CORPORATE NAME (RLIN)', 1, 0, '', 'KT'),
		('698', 'LOCAL SUBJECT ADDED ENTRY--MEETING NAME (RLIN)', 'LOCAL SUBJECT ADDED ENTRY--MEETING NAME (RLIN)', 1, 0, '', 'KT'),
		('699', 'LOCAL SUBJECT ADDED ENTRY--UNIFORM TITLE (RLIN)', 'LOCAL SUBJECT ADDED ENTRY--UNIFORM TITLE (RLIN)', 1, 0, '', 'KT'),
		('700', 'Accesso aggiunto--nome di persona', 'Accesso aggiunto--nome di persona', 1, 0, NULL, 'KT'),
		('705', 'ADDED ENTRY--PERSONAL NAME (PERFORMER) (MU) [OBSOLETE]', 'ADDED ENTRY--PERSONAL NAME (PERFORMER) (MU) [OBSOLETE]', 1, 0, NULL, 'KT'),
		('710', 'Accesso aggiunto--nome di ente', 'Accesso aggiunto--nome di ente', 1, 0, NULL, 'KT'),
		('711', 'Accesso aggiunto--nome di convegno', 'Accesso aggiunto--nome di convegno', 1, 0, NULL, 'KT'),
		('715', 'ADDED ENTRY--CORPORATE NAME (PERFORMER) (MU) [OBSOLETE]', 'ADDED ENTRY--CORPORATE NAME (PERFORMER) (MU) [OBSOLETE]', 1, 0, NULL, 'KT'),
		('720', 'Accesso aggiunto--nome non controllato', 'Accesso aggiunto--nome non controllato', 1, 0, NULL, 'KT'),
		('730', 'Accesso aggiunto--titolo uniforme', 'Accesso aggiunto--titolo uniforme', 1, 0, NULL, 'KT'),
		('740', 'Accesso aggiunto--titolo analitico/correlato non controllato', 'Accesso aggiunto--titolo analitico/correlato non controllato', 1, 0, NULL, 'KT'),
		('752', 'Accesso aggiunto – nome gerarchico di luogo', 'Accesso aggiunto – nome gerarchico di luogo', 1, 0, NULL, 'KT'),
		('753', 'Dettagli sul sistema per accedere ai computer file', 'Dettagli sul sistema per accedere ai computer file', 1, 0, NULL, 'KT'),
		('754', 'Accesso aggiunto--identificazione tassonomica', 'Accesso aggiunto--identificazione tassonomica', 1, 0, NULL, 'KT'),
		('755', 'ADDED ENTRY--PHYSICAL CHARACTERISTICS [OBSOLETE]', 'ADDED ENTRY--PHYSICAL CHARACTERISTICS [OBSOLETE]', 1, 0, NULL, 'KT'),
		('760', 'Accesso di serie principale', 'Accesso di serie principale', 1, 0, NULL, 'KT'),
		('762', 'Accesso di sottoserie', 'Accesso di sottoserie', 1, 0, NULL, 'KT'),
		('765', 'Accesso di lingua originale', 'Accesso di lingua originale', 1, 0, NULL, 'KT'),
		('767', 'Accesso di supplemento/numero speciale', 'Accesso di supplemento/numero speciale', 1, 0, NULL, 'KT'),
		('770', 'Accesso di supplemento/numero speciale', 'Accesso di supplemento/numero speciale', 1, 0, NULL, 'KT'),
		('772', 'Accesso di pubblicazione principale', 'Accesso di pubblicazione principale', 1, 0, NULL, 'KT'),
		('773', 'Accesso d’item ospite', 'Accesso d’item ospite', 1, 0, NULL, 'KT'),
		('774', 'Accesso d’unità costituente', 'Accesso d’unità costituente', 1, 0, NULL, 'KT'),
		('775', 'Acceso di un’altra edizione', 'Acceso di un’altra edizione', 1, 0, NULL, 'KT'),
		('776', 'Accesso di forma fisica aggiunta', 'Accesso di forma fisica aggiunta', 1, 0, NULL, 'KT'),
		('777', 'Accesso di ', 'Accesso di ', 1, 0, NULL, 'KT'),
		('780', 'Accesso precedente', 'Accesso precedente', 1, 0, NULL, 'KT'),
		('785', 'Accesso successivo', 'Accesso successivo', 1, 0, NULL, 'KT'),
		('786', 'Accesso di fonte dei dati', 'Accesso di fonte dei dati', 1, 0, NULL, 'KT'),
		('787', 'Accesso di relazione non specificata', 'Accesso di relazione non specificata', 1, 0, NULL, 'KT'),
		('789', 'COMPONENT ITEM ENTRY (RLIN)', 'COMPONENT ITEM ENTRY (RLIN)', 1, 0, '', 'KT'),
		('796', 'LOCAL ADDED ENTRY--PERSONAL NAME (RLIN)', 'LOCAL ADDED ENTRY--PERSONAL NAME (RLIN)', 1, 0, '', 'KT'),
		('797', 'LOCAL ADDED ENTRY--CORPORATE NAME (RLIN)', 'LOCAL ADDED ENTRY--CORPORATE NAME (RLIN)', 1, 0, '', 'KT'),
		('798', 'LOCAL ADDED ENTRY--MEETING NAME (RLIN)', 'LOCAL ADDED ENTRY--MEETING NAME (RLIN)', 1, 0, '', 'KT'),
		('799', 'LOCAL ADDED ENTRY--UNIFORM TITLE (RLIN)', 'LOCAL ADDED ENTRY--UNIFORM TITLE (RLIN)', 1, 0, '', 'KT'),
		('800', 'Accesso aggiunto di serie--nome di persona', 'Accesso aggiunto di serie--nome di persona', 1, 0, NULL, 'KT'),
		('810', 'Accesso aggiunto di serie--nome di ente', 'Accesso aggiunto di serie--nome di ente', 1, 0, NULL, 'KT'),
		('811', 'Accesso aggiunto di serie--nome di convegno', 'Accesso aggiunto di serie--nome di convegno', 1, 0, NULL, 'KT'),
		('830', 'Accesso aggiunto di serie--titolo uniforme', 'Accesso aggiunto di serie--titolo uniforme', 1, 0, NULL, 'KT'),
		('840', 'SERIES ADDED ENTRY--TITLE [OBSOLETE]', 'SERIES ADDED ENTRY--TITLE [OBSOLETE]', 1, 0, NULL, 'KT'),
		('841', 'Valori dei dati codificati di posseduti', 'Valori dei dati codificati di posseduti', 0, 0, NULL, 'KT'),
		('842', 'Designatore testuale di forma fisica', 'Designatore testuale di forma fisica', 0, 0, NULL, 'KT'),
		('843', 'Nota di riproduzione', 'Nota di riproduzione', 1, 0, NULL, 'KT'),
		('844', 'Nome dell’unità', 'Nome dell’unità', 0, 0, NULL, 'KT'),
		('845', 'Nota sulle condizioni che regolano l\'utilizzo e la riproduzione', 'Nota sulle condizioni che regolano l\'utilizzo e la riproduzione', 1, 0, NULL, 'KT'),
		('850', 'Istituzione possedente', 'Istituzione possedente', 1, 0, NULL, 'KT'),
		('851', 'LOCATION [OBSOLETE]', 'LOCATION [OBSOLETE]', 1, 0, NULL, 'KT'),
		('852', 'Localizzazione', 'Localizzazione', 1, 0, NULL, 'KT'),
		('853', 'Legende e modello--unità bibliografica basilare', 'Legende e modello--unità bibliografica basilare', 1, 0, NULL, 'KT'),
		('854', 'Legende e modello--supplementi', 'Legende e modello--supplementi', 1, 0, NULL, 'KT'),
		('855', 'Legende e modello--indici', 'Legende e modello--indici', 1, 0, NULL, 'KT'),
		('856', 'Localizzazione e accesso elettronico', 'Localizzazione e accesso elettronico', 1, 0, NULL, 'KT'),
		('859', 'LOCAL CONTROL INFORMATION (RLIN)', 'LOCAL CONTROL INFORMATION (RLIN)', 1, 0, '', 'KT'),
		('863', 'Numerazione e cronologia--unità bibliografica basilare', 'Numerazione e cronologia--unità bibliografica basilare', 1, 0, NULL, 'KT'),
		('864', 'Numerazione e cronologia--supplementi', 'Numerazione e cronologia--supplementi', 1, 0, NULL, 'KT'),
		('865', 'Numerazione e cronologia--indici', 'Numerazione e cronologia--indici', 1, 0, NULL, 'KT'),
		('866', 'Formulazione testuale di posseduti--unità bibliografica basilare', 'Formulazione testuale di posseduti--unità bibliografica basilare', 1, 0, NULL, 'KT'),
		('867', 'Formulazione testuale di posseduti--supplementi', 'Formulazione testuale di posseduti--supplementi', 1, 0, NULL, 'KT'),
		('868', 'Formulazione testuale di posseduti--indici', 'Formulazione testuale di posseduti--indici', 1, 0, NULL, 'KT'),
		('870', 'VARIANT PERSONAL NAME (SE) [OBSOLETE]', 'VARIANT PERSONAL NAME (SE) [OBSOLETE]', 1, 0, NULL, 'KT'),
		('871', 'VARIANT CORPORATE NAME (SE)[OBSOLETE]', 'VARIANT CORPORATE NAME (SE)[OBSOLETE]', 1, 0, NULL, 'KT'),
		('872', 'VARIANT CONFERENCE OR MEETING NAME (SE) [OBSOLETE]', 'VARIANT CONFERENCE OR MEETING NAME (SE) [OBSOLETE]', 1, 0, NULL, 'KT'),
		('873', 'VARIANT UNIFORM TITLE HEADING (SE) [OBSOLETE]', 'VARIANT UNIFORM TITLE HEADING (SE) [OBSOLETE]', 1, 0, NULL, 'KT'),
		('876', 'Informazione sull’item--unità bibliografica basilare', 'Informazione sull’item--unità bibliografica basilare', 1, 0, NULL, 'KT'),
		('877', 'Informazione sull’item--supplementi', 'Informazione sull’item--supplementi', 1, 0, NULL, 'KT'),
		('878', 'Informazione sull’item--indici', 'Informazione sull’item--indici', 1, 0, NULL, 'KT'),
		('880', 'Rappresentazione grafica alternativa', 'Rappresentazione grafica alternativa', 1, 0, NULL, 'KT'),
		('886', 'Campo dell’informazione per MARC differenti', 'Campo dell’informazione per MARC differenti', 1, 0, NULL, 'KT'),
		('887', 'Campo dell’informazione per non-MARC', 'Campo dell’informazione per non-MARC', 1, 0, NULL, 'KT'),
		('896', 'LOCAL SERIES ADDED ENTRY--PERSONAL NAME (RLIN)', 'LOCAL SERIES ADDED ENTRY--PERSONAL NAME (RLIN)', 1, 0, '', 'KT'),
		('897', 'LOCAL SERIES ADDED ENTRY--CORPORATE NAME (RLIN)', 'LOCAL SERIES ADDED ENTRY--CORPORATE NAME (RLIN)', 1, 0, '', 'KT'),
		('898', 'LOCAL SERIES ADDED ENTRY--MEETING NAME (RLIN)', 'LOCAL SERIES ADDED ENTRY--MEETING NAME (RLIN)', 1, 0, '', 'KT'),
		('899', 'LOCAL SERIES ADDED ENTRY--UNIFORM TITLE (RLIN)', 'LOCAL SERIES ADDED ENTRY--UNIFORM TITLE (RLIN)', 1, 0, '', 'KT'),
		('900', 'EQUIVALENCE OR CROSS-REFERENCE-PERSONAL NAME [LOCAL, CANADA]', 'EQUIVALENCE OR CROSS-REFERENCE-PERSONAL NAME [LOCAL, CANADA]', 1, 0, '', 'KT'),
		('901', 'LOCAL DATA ELEMENT A, LDA (RLIN)', 'LOCAL DATA ELEMENT A, LDA (RLIN)', 1, 0, '', 'KT'),
		('902', 'LOCAL DATA ELEMENT B, LDB (RLIN)', 'LOCAL DATA ELEMENT B, LDB (RLIN)', 1, 0, '', 'KT'),
		('903', 'LOCAL DATA ELEMENT C, LDC (RLIN)', 'LOCAL DATA ELEMENT C, LDC (RLIN)', 1, 0, '', 'KT'),
		('904', 'LOCAL DATA ELEMENT D, LDD (RLIN)', 'LOCAL DATA ELEMENT D, LDD (RLIN)', 1, 0, '', 'KT'),
		('905', 'LOCAL DATA ELEMENT E, LDE (RLIN)', 'LOCAL DATA ELEMENT E, LDE (RLIN)', 1, 0, '', 'KT'),
		('906', 'LOCAL DATA ELEMENT F, LDF (RLIN)', 'LOCAL DATA ELEMENT F, LDF (RLIN)', 1, 0, '', 'KT'),
		('907', 'LOCAL DATA ELEMENT G, LDG (RLIN)', 'LOCAL DATA ELEMENT G, LDG (RLIN)', 1, 0, '', 'KT'),
		('908', 'PUT COMMAND PARAMETER (RLIN)', 'PUT COMMAND PARAMETER (RLIN)', 0, 0, '', 'KT'),
		('910', 'USER-OPTION DATA (OCLC)', 'USER-OPTION DATA (OCLC)', 0, 0, '', 'KT'),
		('911', 'EQUIVALENCE OR CROSS-REFERENCE-CONFERENCE OR MEETING NAME [LOCAL, CANADA]', 'EQUIVALENCE OR CROSS-REFERENCE-CONFERENCE OR MEETING NAME [LOCAL, CANADA]', 1, 0, '', 'KT'),
		('930', 'EQUIVALENCE OR CROSS-REFERENCE-UNIFORM TITLE HEADING [LOCAL, CANADA]', 'EQUIVALENCE OR CROSS-REFERENCE-UNIFORM TITLE HEADING [LOCAL, CANADA]', 1, 0, '', 'KT'),
		('936', 'OCLC/CONSER MISCELLANEOUS DATA (OCLC); PIECE USED FOR CATALOGING (pre-AACR2) (RLIN)', 'OCLC/CONSER MISCELLANEOUS DATA (OCLC); PIECE USED FOR CATALOGING (pre-AACR2) (RLIN)', 0, 0, '', 'KT'),
		('940', 'EQUIVALENCE OR CROSS-REFERENCE--UNIFORM TITLE [OBSOLETE] [CAN/MARC only]', 'EQUIVALENCE OR CROSS-REFERENCE--UNIFORM TITLE [OBSOLETE] [CAN/MARC only]', 1, 0, '', 'KT'),
		('941', 'EQUIVALENCE OR CROSS-REFERENCE--ROMANIZED TITLE [OBSOLETE] [CAN/MARC only]', 'EQUIVALENCE OR CROSS-REFERENCE--ROMANIZED TITLE [OBSOLETE] [CAN/MARC only]', 1, 0, '', 'KT'),
		('943', 'EQUIVALENCE OR CROSS-REFERENCE--COLLECTIVE TITLE [OBSOLETE] [CAN/MARC only]', 'EQUIVALENCE OR CROSS-REFERENCE--COLLECTIVE TITLE [OBSOLETE] [CAN/MARC only]', 1, 0, '', 'KT'),
		('945', 'LOCAL PROCESSING INFORMATION (OCLC)', 'LOCAL PROCESSING INFORMATION (OCLC)', 1, 0, '', 'KT'),
		('946', 'LOCAL PROCESSING INFORMATION (OCLC)', 'LOCAL PROCESSING INFORMATION (OCLC)', 1, 0, '', 'KT'),
		('947', 'LOCAL PROCESSING INFORMATION (OCLC)', 'LOCAL PROCESSING INFORMATION (OCLC)', 1, 0, '', 'KT'),
		('948', 'LOCAL PROCESSING INFORMATION (OCLC); SERIES PART DESIGNATOR (RLIN)', 'LOCAL PROCESSING INFORMATION (OCLC); SERIES PART DESIGNATOR (RLIN)', 1, 0, '', 'KT'),
		('949', 'LOCAL PROCESSING INFORMATION (OCLC)', 'LOCAL PROCESSING INFORMATION (OCLC)', 1, 0, '', 'KT'),
		('950', 'LOCAL HOLDINGS (RLIN)', 'LOCAL HOLDINGS (RLIN)', 1, 0, '', 'KT'),
		('951', 'EQUIVALENCE OR CROSS-REFERENCE--GEOGRAPHIC NAME/AREA NAME [OBSOLETE] [CAN/MARC only]', 'EQUIVALENCE OR CROSS-REFERENCE--GEOGRAPHIC NAME/AREA NAME [OBSOLETE] [CAN/MARC only]', 1, 0, '', 'KT'),
		('955', 'COPY-LEVEL INFORMATION (RLIN)', 'COPY-LEVEL INFORMATION (RLIN)', 1, 0, '', 'KT'),
		('956', 'LOCAL ELECTRONIC LOCATION AND ACCESS (OCLC)', 'LOCAL ELECTRONIC LOCATION AND ACCESS (OCLC)', 1, 0, '', 'KT'),
		('960', 'PHYSICAL LOCATION (RLIN)', 'PHYSICAL LOCATION (RLIN)', 1, 0, '', 'KT'),
		('967', 'ADDITIONAL ESTC CODES (RLIN)', 'ADDITIONAL ESTC CODES (RLIN)', 1, 0, '', 'KT'),
		('980', 'EQUIVALENCE OR CROSS-REFERENCE-SERIES STATEMENT--PERSONAL NAME/TITLE [LOCAL, CANADA]', 'EQUIVALENCE OR CROSS-REFERENCE-SERIES STATEMENT--PERSONAL NAME/TITLE [LOCAL, CANADA]', 1, 0, '', 'KT'),
		('981', 'EQUIVALENCE OR CROSS-REFERENCE-SERIES STATEMENT--CORPORATE NAME/TITLE [LOCAL, CANADA]', 'EQUIVALENCE OR CROSS-REFERENCE-SERIES STATEMENT--CORPORATE NAME/TITLE [LOCAL, CANADA]', 1, 0, '', 'KT'),
		('982', 'EQUIVALENCE OR CROSS-REFERENCE-SERIES STATEMENT--CONFERENCE OR MEETING NAME/TITLE [LOCAL, CANADA]', 'EQUIVALENCE OR CROSS-REFERENCE-SERIES STATEMENT--CONFERENCE OR MEETING NAME/TITLE [LOCAL, CANADA]', 1, 0, '', 'KT'),
		('983', 'EQUIVALENCE OR CROSS-REFERENCE-SERIES STATEMENT--TITLE/UNIFORM TITLE [LOCAL, CANADA]', 'EQUIVALENCE OR CROSS-REFERENCE-SERIES STATEMENT--TITLE/UNIFORM TITLE [LOCAL, CANADA]', 1, 0, '', 'KT'),
		('984', 'WLN AUTOMATIC HOLDINGS STATEMENT (OCLC)', 'WLN AUTOMATIC HOLDINGS STATEMENT (OCLC)', 1, 0, '', 'KT'),
		('987', 'LOCAL ROMANIZATION/CONVERSION HISTORY (OCLC)', 'LOCAL ROMANIZATION/CONVERSION HISTORY (OCLC)', 1, 0, '', 'KT'),
		('990', 'EQUIVALENCES OR CROSS-REFERENCES [LOCAL, CANADA]', 'EQUIVALENCES OR CROSS-REFERENCES [LOCAL, CANADA]', 1, 0, '', 'KT'),
		('995', 'RECOMMENDATION 995 [LOCAL, UNIMARC FRANCE]', 'RECOMMENDATION 995 [LOCAL, UNIMARC FRANCE]', 1, 0, '', 'KT'),
		('998', 'LOCAL CONTROL INFORMATION (RLIN)', 'LOCAL CONTROL INFORMATION (RLIN)', 1, 0, '', 'KT');



INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES
		('000', '@', 'campo di controllo lung. fissa', 'campo di controllo lung. fissa', 0, 1, '', 0, '', '', 'marc21_leader.pl', 0, 0, 'KT', '', '', NULL),
		('001', '@', 'campo di controllo', 'campo di controllo', 0, 0, '', 0, '', '', '', 0, -6, 'KT', '', '', NULL),
		('003', '@', 'campo di controllo', 'campo di controllo', 0, 0, '', 0, '', '', 'marc21_field_003.pl', 0, -6, 'KT', '', '', NULL),
		('005', '@', 'campo di controllo', 'campo di controllo', 0, 0, '', 0, '', '', 'marc21_field_005.pl', 0, -1, 'KT', '', '', NULL),
		('006', '@', 'campo di controllo lung. fissa', 'campo di controllo lung. fissa', 0, 0, '', 0, '', '', 'marc21_field_006.pl', 0, -1, 'KT', '', '', NULL),
		('007', '@', 'campo di controllo lung. fissa', 'campo di controllo lung. fissa', 0, 0, '', 0, '', '', 'marc21_field_007.pl', 0, 0, 'KT', '', '', NULL),
		('008', '@', 'campo di controllo lung. fissa', 'campo di controllo lung. fissa', 0, 1, '', 0, '', '', 'marc21_field_008.pl', 0, 0, 'KT', '', '', NULL),
		('009', '@', 'campo di controllo lung. fissa', 'campo di controllo lung. fissa', 0, 0, '', 0, '', '', '', 0, -6, 'KT', '', '', NULL),
		('010', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 0, '', '', NULL, 0, -6, 'KT', '', '', NULL),
		('010', 'a', 'Numero di controllo della LC', 'Numero di controllo della LC', 0, 0, 'biblioitems.lccn', 0, '', '', '', 0, -6, 'KT', '', '', NULL),
		('010', 'b', 'Numero di controllo del NUCMC', 'Numero di controllo del NUCMC', 1, 0, '', 0, '', '', '', 0, -6, 'KT', '', '', NULL),
		('010', 'z', 'Numero di controllo della LC cancellato o errato', 'Numero di controllo della LC cancellato o errato', 1, 0, '', 0, '', '', '', 0, -6, 'KT', '', '', NULL),
		('011', 'a', 'Numero di controllo della LC', 'Numero di controllo della LC', 1, 0, '', 0, '', '', '', 0, -6, 'KT', '', '', NULL),
		('013', '6', 'Collegamento', 'Collegamento', 0, 0, '', 0, '', '', NULL, 0, -6, 'KT', '', '', NULL),
		('013', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 0, '', '', '', 0, -6, 'KT', '', '', NULL),
		('013', 'a', 'Numero', 'Numero', 0, 0, '', 0, '', '', '', 0, -6, 'KT', '', '', NULL),
		('013', 'b', 'Paese', 'Paese', 0, 0, '', 0, '', '', '', 0, -6, 'KT', '', '', NULL),
		('013', 'c', 'Tipo di numero', 'Tipo di numero', 0, 0, '', 0, '', '', '', 0, -6, 'KT', '', '', NULL),
		('013', 'd', 'Data', 'Data', 1, 0, '', 0, '', '', '', 0, -6, 'KT', '', '', NULL),
		('013', 'e', 'Stato', 'Stato', 1, 0, '', 0, '', '', '', 0, -6, 'KT', '', '', NULL),
		('013', 'f', 'Parte responsabile del documento', 'Parte responsabile del documento', 1, 0, '', 0, '', '', '', 0, -6, 'KT', '', '', NULL),
		('015', '2', 'Fonte', 'Fonte', 0, 0, '', 0, '', '', NULL, 0, -6, 'KT', '', '', NULL),
		('015', '6', 'Collegamento', 'Collegamento', 0, 0, '', 0, '', '', '', 0, -6, 'KT', '', '', NULL),
		('015', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 0, '', '', '', 0, -6, 'KT', '', '', NULL),
		('015', 'a', 'Numero della bibliografia nazionale', 'Numero della bibliografia nazionale', 1, 0, '', 0, '', '', '', 0, -6, 'KT', '', '', NULL),
		('016', '2', 'Fonte', 'Fonte', 0, 0, '', 0, '', '', '', 0, -6, 'KT', '', '', NULL),
		('016', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 0, '', '', '', 0, -6, 'KT', '', '', NULL),
		('016', 'a', 'Numero di controllo della registrazione', 'Numero di controllo della registrazione', 0, 0, '', 0, '', '', '', 0, -6, 'KT', '', '', NULL),
		('016', 'z', 'Numero di controllo della registrazione cancellato o errato', 'Numero di controllo della registrazione cancellato o errato', 1, 0, '', 0, '', '', '', 0, -6, 'KT', '', '', NULL),
		('017', '2', 'Fonte', 'Fonte', 0, 0, '', 0, '', '', '', 0, -6, 'KT', '', '', NULL),
		('017', '6', 'Collegamento', 'Collegamento', 0, 0, '', 0, '', '', '', 0, -6, 'KT', '', '', NULL),
		('017', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 0, '', '', '', 0, -6, 'KT', '', '', NULL),
		('017', 'a', 'Numero di copyright o di deposito legale', 'Numero di copyright o di deposito legale', 1, 0, '', 0, '', '', '', 0, -6, 'KT', '', '', NULL),
		('017', 'b', 'Agenzia che assegna il numero', 'Agenzia che assegna il numero', 0, 0, '', 0, '', '', '', 0, -6, 'KT', '', '', NULL),
		('017', 'd', 'Data', 'Data', 0, 0, '', 0, '', '', NULL, 0, -6, 'KT', '', '', NULL),
		('017', 'i', 'Testo da visualizzare', 'Testo da visualizzare', 0, 0, '', 0, '', '', '', 0, -6, 'KT', '', '', NULL),
		('018', '6', 'Collegamento', 'Collegamento', 0, 0, '', 0, '', '', '', 0, -6, 'KT', '', '', NULL),
		('018', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 0, '', '', '', 0, -6, 'KT', '', '', NULL),
		('018', 'a', 'Codice di tassa sul copyright dell\'articolo', 'Codice di tassa sul copyright dell\'articolo', 0, 0, '', 0, '', '', '', 0, -6, 'KT', '', '', NULL),
		('020', '6', 'Collegamento', 'Collegamento', 0, 0, '', 0, '', '', '', 0, -6, 'KT', '', '', NULL),
		('020', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 0, '', '', '', 0, -6, 'KT', '', '', NULL),
		('020', 'a', 'ISBN (International Standard Book Number)', 'ISBN (International Standard Book Number)', 0, 0, 'biblioitems.isbn', 0, '', '', '', 0, -1, 'KT', '', '', NULL),
		('020', 'c', 'Termini di disponibilità', 'Termini di disponibilità', 0, 0, '', 0, '', '', '', 0, -6, 'KT', '', '', NULL),
		('020', 'z', 'ISBN cancellato o errato', 'ISBN cancellato o errato', 1, 0, '', 0, '', '', '', 0, -6, 'KT', '', '', NULL),
		('022', '2', 'Fonte', 'Fonte', 0, 0, '', 0, '', '', '', 0, -6, 'KT', '', '', NULL),
		('022', '6', 'Collegamento', 'Collegamento', 0, 0, '', 0, '', '', '', 0, -6, 'KT', '', '', NULL),
		('022', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 0, '', '', '', 0, -6, 'KT', '', '', NULL),
		('022', 'a', 'ISSN (International Standard Serial Number)', 'ISSN (International Standard Serial Number)', 0, 0, 'biblioitems.issn', 0, '', '', '', 0, -6, 'KT', '', '', NULL),
		('022', 'y', 'ISSN errato', 'ISSN errato', 1, 0, '', 0, '', '', '', 0, -6, 'KT', '', '', NULL),
		('022', 'z', 'ISSN cancellato', 'ISSN cancellato', 1, 0, '', 0, '', '', '', 0, -6, 'KT', '', '', NULL),
		('023', 'a', 'Standard film number', 'Standard film number', 0, 0, '', 0, '', '', '', 0, -6, 'KT', '', '', NULL),
		('024', '2', 'Fonte del numero o codice', 'Fonte del numero o codice', 0, 0, '', 0, '', '', '', 0, -1, 'KT', '', '', NULL),
		('024', '6', 'Collegamento', 'Collegamento', 0, 0, '', 0, '', '', '', 0, -6, 'KT', '', '', NULL),
		('024', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 0, '', '', '', 0, -6, 'KT', '', '', NULL),
		('024', 'a', 'Numero standard o codice', 'Numero standard o codice', 0, 0, '', 0, '', '', '', 0, -1, 'KT', '', '', NULL),
		('024', 'b', 'Additional codes following the standard number [OBSOLETE]', 'Additional codes following the standard number [OBSOLETE]', 0, 0, '', 0, '', '', '', 0, -6, 'KT', '', '', NULL),
		('024', 'c', 'Termini di disponibilità', 'Termini di disponibilità', 0, 0, '', 0, '', '', '', 0, -1, 'KT', '', '', NULL),
		('024', 'd', 'Codici addizionali che seguono il numero standard o codice', 'Codici addizionali che seguono il numero standard o codice', 0, 0, '', 0, '', '', '', 0, -1, 'KT', '', '', NULL),
		('024', 'z', 'Numero standard o codice, cancellato o errato', 'Numero standard o codice, cancellato o errato', 1, 0, '', 0, '', '', '', 0, -6, 'KT', '', '', NULL),
		('025', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 0, '', '', '', 0, -6, 'KT', '', '', NULL),
		('025', 'a', 'Numero d\'acquisto estero', 'Numero d\'acquisto estero', 1, 0, '', 0, '', '', '', 0, -6, 'KT', '', '', NULL),
		('026', '2', 'Fonte', 'Fonte', 0, 0, '', 0, '', '', '', 0, -6, 'KT', '', '', NULL),
		('026', '5', 'Istituzione a cui si applica il campo', 'Istituzione a cui si applica il campo', 1, 0, '', 0, '', '', '', 0, -6, 'KT', '', '', NULL),
		('026', '6', 'Collegamento', 'Collegamento', 0, 0, '', 0, '', '', '', 0, -6, 'KT', '', '', NULL),
		('026', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 0, '', '', '', 0, -6, 'KT', '', '', NULL),
		('026', 'a', 'Primo e secondo gruppo di caratteri', 'Primo e secondo gruppo di caratteri', 0, 0, '', 0, '', '', '', 0, -6, 'KT', '', '', NULL),
		('026', 'b', 'Terzo e quarto gruppo di caratteri', 'Terzo e quarto gruppo di caratteri', 0, 0, '', 0, '', '', '', 0, -6, 'KT', '', '', NULL),
		('026', 'c', 'Data', 'Data', 0, 0, '', 0, '', '', '', 0, -6, 'KT', '', '', NULL),
		('026', 'd', 'Numero del volume o parte', 'Numero del volume o parte', 0, 0, '', 0, '', '', '', 0, -6, 'KT', '', '', NULL),
		('026', 'e', 'Impronta non analizzata', 'Impronta non analizzata', 0, 0, '', 0, '', '', '', 0, -6, 'KT', '', '', NULL),
		('027', '6', 'Collegamento', 'Collegamento', 0, 0, '', 0, '', '', '', 0, -6, 'KT', '', '', NULL),
		('027', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 0, '', '', '', 0, -6, 'KT', '', '', NULL),
		('027', 'a', 'Standard Technical Report Number', 'Standard Technical Report Number', 0, 0, '', 0, '', '', '', 0, -6, 'KT', '', '', NULL),
		('027', 'z', 'Numero cancellato o errato', 'Numero cancellato o errato', 1, 0, '', 0, '', '', '', 0, -6, 'KT', '', '', NULL),
		('028', '6', 'Collegamento', 'Collegamento', 0, 0, '', 0, '', '', '', 0, -6, 'KT', '', '', NULL),
		('028', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 0, '', '', '', 0, -6, 'KT', '', '', NULL),
		('028', 'a', 'Numero dell\'editore', 'Numero dell\'editore', 0, 0, '', 0, '', '', '', 0, 0, 'KT', '', '', NULL),
		('028', 'b', 'Fonte', 'Fonte', 0, 0, '', 0, '', '', '', 0, 0, 'KT', '', '', NULL),
		('029', 'a', 'OCLC library identifier', 'OCLC library identifier', 0, 0, '', 0, '', '', '', 0, -6, 'KT', '', '', NULL),
		('029', 'b', 'System control number', 'System control number', 0, 0, '', 0, '', '', '', 0, -6, 'KT', '', '', NULL),
		('029', 'c', 'OAI set name', 'OAI set name', 0, 0, '', 0, '', '', '', 0, -6, 'KT', '', '', NULL),
		('029', 't', 'Content type identifier', 'Content type identifier', 0, 0, '', 0, '', '', '', 0, -6, 'KT', '', '', NULL),
		('030', '6', 'Collegamento', 'Collegamento', 0, 0, '', 0, '', '', '', 0, -6, 'KT', '', '', NULL),
		('030', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 0, '', '', '', 0, -6, 'KT', '', '', NULL),
		('030', 'a', 'CODEN', 'CODEN', 0, 0, '', 0, '', '', '', 0, -6, 'KT', '', '', NULL),
		('030', 'z', 'CODEN cancellato o errato', 'CODEN cancellato o errato', 1, 0, '', 0, '', '', '', 0, -6, 'KT', '', '', NULL),
		('031', '2', 'Codice di sistema', 'Codice di sistema', 0, 0, '', 0, '', '', '', 0, -6, 'KT', '', '', NULL),
		('031', '6', 'Collegamento', 'Collegamento', 0, 0, '', 0, '', '', '', 0, -6, 'KT', '', '', NULL),
		('031', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 0, '', '', '', 0, -6, 'KT', '', '', NULL),
		('031', 'a', 'Numero di composizione', 'Numero di composizione', 0, 0, '', 0, '', '', '', 0, -6, 'KT', '', '', NULL),
		('031', 'b', 'Numero di movimento', 'Numero di movimento', 0, 0, '', 0, '', '', '', 0, -6, 'KT', '', '', NULL),
		('031', 'c', 'Numero progressivo nel movimento', 'Numero progressivo nel movimento', 0, 0, '', 0, '', '', '', 0, -6, 'KT', '', '', NULL),
		('031', 'd', 'Titolo o intitolazione', 'Titolo o intitolazione', 1, 0, '', 0, '', '', '', 0, -6, 'KT', '', '', NULL),
		('031', 'e', 'Personaggio', 'Personaggio', 0, 0, '', 0, '', '', '', 0, -6, 'KT', '', '', NULL),
		('031', 'g', 'Chiave', 'Chiave', 0, 0, '', 0, '', '', '', 0, -6, 'KT', '', '', NULL),
		('031', 'm', 'Voce/strumento', 'Voce/strumento', 0, 0, '', 0, '', '', '', 0, -6, 'KT', '', '', NULL),
		('031', 'n', 'Alterazioni', 'Alterazioni', 0, 0, '', 0, '', '', '', 0, -6, 'KT', '', '', NULL),
		('031', 'o', 'Misura', 'Misura', 0, 0, '', 0, '', '', '', 0, -6, 'KT', '', '', NULL),
		('031', 'p', 'Contesto musicale', 'Contesto musicale', 0, 0, '', 0, '', '', '', 0, -6, 'KT', '', '', NULL),
		('031', 'q', 'Nota generale', 'Nota generale', 1, 0, '', 0, '', '', '', 0, -6, 'KT', '', '', NULL),
		('031', 'r', 'Tonalità o modo', 'Tonalità o modo', 0, 0, '', 0, '', '', '', 0, -6, 'KT', '', '', NULL),
		('031', 's', 'Nota codificata di validità', 'Nota codificata di validità', 1, 0, '', 0, '', '', '', 0, -6, 'KT', '', '', NULL),
		('031', 't', 'Incipit testuale', 'Incipit testuale', 1, 0, '', 0, '', '', '', 0, -6, 'KT', '', '', NULL),
		('031', 'u', 'URI (Uniform Resource Identifier)', 'URI (Uniform Resource Identifier)', 1, 0, '', 0, '', '', '', 1, -6, 'KT', '', '', NULL),
		('031', 'y', 'Testo di collegamento', 'Testo di collegamento', 1, 0, '', 0, '', '', '', 0, -6, 'KT', '', '', NULL),
		('031', 'z', 'Nota pubblica', 'Nota pubblica', 1, 0, '', 0, '', '', '', 0, -6, 'KT', '', '', NULL),
		('032', '6', 'Collegamento', 'Collegamento', 0, 0, '', 0, '', '', NULL, 0, -6, 'KT', '', '', NULL),
		('032', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 0, '', '', '', 0, -6, 'KT', '', '', NULL),
		('032', 'a', 'Numero di registrazione di posta', 'Numero di registrazione di posta', 0, 0, '', 0, '', '', '', 0, -6, 'KT', '', '', NULL),
		('032', 'b', 'Fonte (agenzia che assegna il numero)', 'Fonte (agenzia che assegna il numero)', 0, 0, '', 0, '', '', '', 0, -6, 'KT', '', '', NULL),
		('033', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, '', 0, '', '', '', 0, -6, 'KT', '', '', NULL),
		('033', '6', 'Collegamento', 'Collegamento', 0, 0, '', 0, '', '', '', 0, -6, 'KT', '', '', NULL),
		('033', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 0, '', '', '', 0, -6, 'KT', '', '', NULL),
		('033', 'a', 'Data/ora formattate', 'Data/ora formattate', 1, 0, '', 0, '', '', '', 0, -6, 'KT', '', '', NULL),
		('033', 'b', 'Codice di classificazione dell\'area geografica', 'Codice di classificazione dell\'area geografica', 1, 0, '', 0, '', '', '', 0, -6, 'KT', '', '', NULL),
		('033', 'c', 'Codice di classificazione della sottoarea geografica', 'Codice di classificazione della sottoarea geografica', 1, 0, '', 0, '', '', '', 0, -6, 'KT', '', '', NULL),
		('034', '2', 'Fonte', 'Fonte', 0, 0, '', 0, '', '', '', 0, -6, 'KT', '', '', NULL),
		('034', '6', 'Collegamento', 'Collegamento', 0, 0, '', 0, '', '', '', 0, -6, 'KT', '', '', NULL),
		('034', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 0, '', '', '', 0, -6, 'KT', '', '', NULL),
		('034', 'a', 'Categoria della scala', 'Categoria della scala', 0, 0, '', 0, '', '', '', 0, -6, 'KT', '', '', NULL),
		('034', 'b', 'Rapporto costante (scala orizzontale)', 'Rapporto costante (scala orizzontale)', 1, 0, '', 0, '', '', '', 0, -6, 'KT', '', '', NULL),
		('034', 'c', 'Rapporto costante (scala verticale)', 'Rapporto costante (scala verticale)', 1, 0, '', 0, '', '', '', 0, -6, 'KT', '', '', NULL),
		('034', 'd', 'Coordinate--longitudine limite Ovest', 'Coordinate--longitudine limite Ovest', 0, 0, '', 0, '', '', '', 0, -6, 'KT', '', '', NULL),
		('034', 'e', 'Coordinate--longitudine limite Est', 'Coordinate--longitudine limite Est', 0, 0, '', 0, '', '', '', 0, -6, 'KT', '', '', NULL),
		('034', 'f', 'Coordinate--latitudine limite Nord', 'Coordinate--latitudine limite Nord', 0, 0, '', 0, '', '', '', 0, -6, 'KT', '', '', NULL),
		('034', 'g', 'Coordinate--latitudine limite Sud', 'Coordinate--latitudine limite Sud', 0, 0, '', 0, '', '', '', 0, -6, 'KT', '', '', NULL),
		('034', 'h', 'Scala angolare', 'Scala angolare', 1, 0, '', 0, '', '', '', 0, -6, 'KT', '', '', NULL),
		('034', 'j', 'Declinazione--limite Nord', 'Declinazione--limite Nord', 0, 0, '', 0, '', '', '', 0, -6, 'KT', '', '', NULL),
		('034', 'k', 'Declinazione--limite Sud', 'Declinazione--limite Sud', 0, 0, '', 0, '', '', '', 0, -6, 'KT', '', '', NULL),
		('034', 'm', 'Ascensione retta--limite Est', 'Ascensione retta--limite Est', 0, 0, '', 0, '', '', '', 0, -6, 'KT', '', '', NULL),
		('034', 'n', 'Ascensione retta--limite Ovest', 'Ascensione retta--limite Ovest', 0, 0, '', 0, '', '', '', 0, -6, 'KT', '', '', NULL),
		('034', 'p', 'Equinozio', 'Equinozio', 0, 0, '', 0, '', '', '', 0, -6, 'KT', '', '', NULL),
		('034', 'r', 'Coordinate--latitudine limite Sud', 'Coordinate--latitudine limite Sud', 0, 0, '', 0, '', '', '', 0, -6, 'KT', '', '', NULL),
		('034', 's', 'Latitudine del perimetro', 'Latitudine del perimetro', 1, 0, '', 0, '', '', '', 0, -6, 'KT', '', '', NULL),
		('034', 't', 'Longitudine del perimetro', 'Longitudine del perimetro', 1, 0, '', 0, '', '', '', 0, -6, 'KT', '', '', NULL),
		('034', 'x', 'Data d\'inizio', 'Data d\'inizio', 0, 0, '', 0, '', '', '', 0, -6, 'KT', '', '', NULL),
		('034', 'y', 'Data di fine', 'Data di fine', 0, 0, '', 0, '', '', '', 0, -6, 'KT', '', '', NULL),
		('034', 'z', 'Nome dell\'oggetto extraterrestre', 'Nome dell\'oggetto extraterrestre', 0, 0, '', 0, '', '', '', 0, -6, 'KT', '', '', NULL),
		('035', '6', 'Collegamento', 'Collegamento', 0, 0, '', 0, '', '', '', 0, -6, 'KT', '', '', NULL),
		('035', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 0, '', '', '', 0, -6, 'KT', '', '', NULL),
		('035', 'a', 'System control number', 'System control number', 0, 0, '', 0, '', '', '', 0, -6, 'KT', '', '', NULL),
		('035', 'z', 'Numero di controllo del sistema cancellato o errato', 'Numero di controllo del sistema cancellato o errato', 1, 0, '', 0, '', '', '', 0, -6, 'KT', '', '', NULL),
		('036', '6', 'Collegamento', 'Collegamento', 0, 0, '', 0, '', '', '', 0, -6, 'KT', '', '', NULL),
		('036', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 0, '', '', '', 0, -6, 'KT', '', '', NULL),
		('036', 'a', 'Numero dello studio originale', 'Numero dello studio originale', 0, 0, '', 0, '', '', '', 0, -6, 'KT', '', '', NULL),
		('036', 'b', 'Fonte (agenzia che assegna il numero)', 'Fonte (agenzia che assegna il numero)', 0, 0, '', 0, '', '', '', 0, -6, 'KT', '', '', NULL),
		('037', '6', 'Collegamento', 'Collegamento', 0, 0, '', 0, '', '', '', 0, -6, 'KT', '', '', NULL),
		('037', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 0, '', '', '', 0, -6, 'KT', '', '', NULL),
		('037', 'a', 'Numero di magazzino', 'Numero di magazzino', 0, 0, '', 0, '', '', '', 0, -1, 'KT', '', '', NULL),
		('037', 'b', 'Fonte del numero di magazzino/d\'acquisto', 'Fonte del numero di magazzino/d\'acquisto', 0, 0, '', 0, '', '', '', 0, -1, 'KT', '', '', NULL),
		('037', 'c', 'Termini di disponibilità', 'Termini di disponibilità', 1, 0, '', 0, '', '', '', 0, -1, 'KT', '', '', NULL),
		('037', 'f', 'Forma dell\'emissione', 'Forma dell\'emissione', 1, 0, '', 0, '', '', '', 0, -1, 'KT', '', '', NULL),
		('037', 'g', 'Caratteristiche addizionali di formato', 'Caratteristiche addizionali di formato', 1, 0, '', 0, '', '', '', 0, -1, 'KT', '', '', NULL),
		('037', 'n', 'Nota', 'Nota', 1, 0, '', 0, '', '', '', 0, -1, 'KT', '', '', NULL),
		('038', '6', 'Collegamento', 'Collegamento', 0, 0, '', 0, '', '', '', 0, -6, 'KT', '', '', NULL),
		('038', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 0, '', '', '', 0, -6, 'KT', '', '', NULL),
		('038', 'a', 'Organizzazione che dà licenza d’uso del contenuto della registrazione', 'Organizzazione che dà licenza d’uso del contenuto della registrazione', 0, 0, '', 0, '', '', '', 0, -6, 'KT', '', '', NULL),
		('039', 'a', 'Level of rules in bibliographic description', 'Level of rules in bibliographic description', 0, 0, '', 0, '', '', '', 0, -6, 'KT', '', '', NULL),
		('039', 'b', 'Level of effort used to assign nonsubject heading access points', 'Level of effort used to assign nonsubject heading access points', 0, 0, '', 0, '', '', '', 0, -6, 'KT', '', '', NULL),
		('039', 'c', 'Level of effort used to assign subject headings', 'Level of effort used to assign subject headings', 0, 0, '', 0, '', '', '', 0, -6, 'KT', '', '', NULL),
		('039', 'd', 'Level of effort used to assign classification', 'Level of effort used to assign classification', 0, 0, '', 0, '', '', '', 0, -6, 'KT', '', '', NULL),
		('039', 'e', 'Number of fixed field character positions coded', 'Number of fixed field character positions coded', 0, 0, '', 0, '', '', '', 0, -6, 'KT', '', '', NULL),
		('040', '6', 'Collegamento', 'Collegamento', 0, 0, '', 0, '', '', '', 0, -6, 'KT', '', '', NULL),
		('040', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 0, '', '', '', 0, -6, 'KT', '', '', NULL),
		('040', 'a', 'Agenzia catalografica originale', 'Agenzia catalografica originale', 0, 0, '', 0, '', '', '', 0, -1, 'KT', '', '', NULL),
		('040', 'b', 'Lingua della catalogazione', 'Lingua della catalogazione', 0, 0, '', 0, '', '', '', 0, -6, 'KT', '', '', NULL),
		('040', 'c', 'Agenzia che fa la trascrizione', 'Agenzia che fa la trascrizione', 0, 0, '', 0, '', '', '', 0, -1, 'KT', '', '', NULL),
		('040', 'd', 'Agenzia che fa la modifica', 'Agenzia che fa la modifica', 1, 0, '', 0, '', '', '', 0, -1, 'KT', '', '', NULL),
		('040', 'e', 'Regole di descrizione', 'Regole di descrizione', 0, 0, '', 0, '', '', '', 0, -1, 'KT', '', '', NULL),
		('041', '2', 'Fonte del codice', 'Fonte del codice', 0, 0, '', 0, '', '', '', 0, -6, 'KT', '', '', NULL),
		('041', '6', 'Collegamento', 'Collegamento', 0, 0, '', 0, '', '', '', 0, -6, 'KT', '', '', NULL),
		('041', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 0, '', '', '', 0, -6, 'KT', '', '', NULL),
		('041', 'a', 'Codice di lingua del testo/traccia sonora o titolo separato', 'Codice di lingua del testo/traccia sonora o titolo separato', 1, 0, '', 0, '', '', '', 0, -1, 'KT', '', '', NULL),
		('041', 'b', 'Codice di lingua del riassunto, estratto o sottotitoli', 'Codice di lingua del riassunto, estratto o sottotitoli', 1, 0, '', 0, '', '', '', 0, -6, 'KT', '', '', NULL),
		('041', 'c', 'Languages of separate titles (VM) [OBSOLETE] ; Languages of available translation  (SE) [OBSOLETE]', 'Languages of separate titles (VM) [OBSOLETE] ; Languages of available translation  (SE) [OBSOLETE]', 1, 0, '', 0, '', '', '', 0, -6, 'KT', '', '', NULL),
		('041', 'd', 'Codice della lingua del testo cantato o parlato', 'Codice della lingua del testo cantato o parlato', 1, 0, '', 0, '', '', '', 0, -1, 'KT', '', '', NULL),
		('041', 'e', 'Codice della lingua dei libretti', 'Codice della lingua dei libretti', 1, 0, '', 0, '', '', '', 0, -1, 'KT', '', '', NULL),
		('041', 'f', 'Codice della lingua del sommario', 'Codice della lingua del sommario', 1, 0, '', 0, '', '', '', 0, -6, 'KT', '', '', NULL),
		('041', 'g', 'Codice della lingua del materiale allegato diverso dai libretti', 'Codice della lingua del materiale allegato diverso dai libretti', 1, 0, '', 0, '', '', '', 0, -1, 'KT', '', '', NULL),
		('041', 'h', 'Codice della lingua originale e/o delle traduzioni intermedie del testo', 'Codice della lingua originale e/o delle traduzioni intermedie del testo', 1, 0, '', 0, '', '', '', 0, -1, 'KT', '', '', NULL),
		('042', 'a', 'Codice d\'autenticazione', 'Codice d\'autenticazione', 0, 0, '', 0, '', '', '', 0, -6, 'KT', '', '', NULL),
		('043', '2', 'Fonte del codice di sottoente locale', 'Fonte del codice di sottoente locale', 1, 0, '', 0, '', '', '', 0, -6, 'KT', '', '', NULL),
		('043', '6', 'Collegamento', 'Collegamento', 0, 0, '', 0, '', '', '', 0, -6, 'KT', '', '', NULL),
		('043', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 0, '', '', '', 0, -6, 'KT', '', '', NULL),
		('043', 'a', 'Codice dell\'area geografica', 'Codice dell\'area geografica', 1, 0, '', 0, '', '', '', 0, -6, 'KT', '', '', NULL),
		('043', 'b', 'Codice locale GAC (codice dell\'area geografica)', 'Codice locale GAC (codice dell\'area geografica)', 1, 0, '', 0, '', '', '', 0, -6, 'KT', '', '', NULL),
		('043', 'c', 'Codice ISO', 'Codice ISO', 1, 0, '', 0, '', '', '', 0, -6, 'KT', '', '', NULL),
		('044', '2', 'Fonte del codice di sottoente locale', 'Fonte del codice di sottoente locale', 1, 0, '', 0, '', '', '', 0, -6, 'KT', '', '', NULL),
		('044', '6', 'Collegamento', 'Collegamento', 0, 0, '', 0, '', '', '', 0, -6, 'KT', '', '', NULL),
		('044', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 0, '', '', '', 0, -6, 'KT', '', '', NULL),
		('044', 'a', 'Codice MARC del paese', 'Codice MARC del paese', 1, 0, '', 0, '', '', '', 0, -6, 'KT', '', '', NULL),
		('044', 'b', 'Codice di sottoente locale', 'Codice di sottoente locale', 1, 0, '', 0, '', '', '', 0, -6, 'KT', '', '', NULL),
		('044', 'c', 'Codice ISO del paese', 'Codice ISO del paese', 1, 0, '', 0, '', '', '', 0, -6, 'KT', '', '', NULL),
		('045', '6', 'Collegamento', 'Collegamento', 0, 0, '', 0, '', '', '', 0, -6, 'KT', '', '', NULL),
		('045', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 0, '', '', '', 0, -6, 'KT', '', '', NULL),
		('045', 'a', 'Codice di periodo di tempo', 'Codice di periodo di tempo', 1, 0, '', 0, '', '', '', 0, -6, 'KT', '', '', NULL),
		('045', 'b', 'Periodo di tempo formattato dal 9999 a.C. fino al 9999 d.C.', 'Periodo di tempo formattato dal 9999 a.C. fino al 9999 d.C.', 1, 0, '', 0, '', '', '', 0, -6, 'KT', '', '', NULL),
		('045', 'c', 'Periodo di tempo formattato anteriore al 9999 a.C.', 'Periodo di tempo formattato anteriore al 9999 a.C.', 1, 0, '', 0, '', '', '', 0, -6, 'KT', '', '', NULL),
		('046', '2', 'Fonte della data', 'Fonte della data', 0, 0, '', 0, '', '', '', 0, -6, 'KT', '', '', NULL),
		('046', '6', 'Collegamento', 'Collegamento', 0, 0, '', 0, '', '', '', 0, -6, 'KT', '', '', NULL),
		('046', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 0, '', '', '', 0, -6, 'KT', '', '', NULL),
		('046', 'a', 'Codice di tipo di data', 'Codice di tipo di data', 0, 0, '', 0, '', '', '', 0, -6, 'KT', '', '', NULL),
		('046', 'b', 'Data 1 (data a.C.)', 'Data 1 (data a.C.)', 0, 0, '', 0, '', '', '', 0, -6, 'KT', '', '', NULL),
		('046', 'c', 'Data 1 (data d.C.)', 'Data 1 (data d.C.)', 0, 0, '', 0, '', '', '', 0, -6, 'KT', '', '', NULL),
		('046', 'd', 'Data 2 (data a.C.)\',\'Data 2 (data a.C.)', 'Data 2 (data a.C.)\',\'Data 2 (data a.C.)', 0, 0, '', 0, '', '', '', 0, -6, 'KT', '', '', NULL),
		('046', 'e', 'Data 2 (data d.C.)', 'Data 2 (data d.C.)', 0, 0, '', 0, '', '', '', 0, -6, 'KT', '', '', NULL),
		('046', 'j', 'Data della modifica della risorsa', 'Data della modifica della risorsa', 0, 0, '', 0, '', '', '', 0, -6, 'KT', '', '', NULL),
		('046', 'k', 'Data iniziale di creazione o data semplice', 'Data iniziale di creazione o data semplice', 0, 0, '', 0, '', '', '', 0, -6, 'KT', '', '', NULL),
		('046', 'l', 'Data finale di creazione', 'Data finale di creazione', 0, 0, '', 0, '', '', '', 0, -6, 'KT', '', '', NULL),
		('046', 'm', 'Data iniziale di validità', 'Data iniziale di validità', 0, 0, '', 0, '', '', '', 0, -6, 'KT', '', '', NULL),
		('046', 'n', 'Data finale di validità', 'Data finale di validità', 0, 0, '', 0, '', '', '', 0, -6, 'KT', '', '', NULL),
		('047', '2', 'Fonte del codice', 'Fonte del codice', 0, 0, '', 0, '', '', '', 0, -6, 'KT', '', '', NULL),
		('047', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 0, '', '', '', 0, -6, 'KT', '', '', NULL),
		('047', 'a', 'Codice di forma della composizione musicale', 'Codice di forma della composizione musicale', 1, 0, '', 0, '', '', '', 0, -6, 'KT', '', '', NULL),
		('048', '2', 'Fonte del codice', 'Fonte del codice', 0, 0, '', 0, '', '', '', 0, -6, 'KT', '', '', NULL),
		('048', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 0, '', '', '', 0, -6, 'KT', '', '', NULL),
		('048', 'a', 'Esecutore o complesso', 'Esecutore o complesso', 1, 0, '', 0, '', '', '', 0, -6, 'KT', '', '', NULL),
		('048', 'b', 'Solista', 'Solista', 1, 0, '', 0, '', '', '', 0, -6, 'KT', '', '', NULL),
		('049', 'a', 'Holding library', 'Holding library', 1, 0, '', 0, '', '', '', 0, -6, 'KT', '', '', NULL),
		('049', 'c', 'Copy statement', 'Copy statement', 1, 0, '', 0, '', '', '', 0, -6, 'KT', '', '', NULL),
		('049', 'd', 'Definition of bibliographic subdivisions', 'Definition of bibliographic subdivisions', 1, 0, '', 0, '', '', '', 0, -6, 'KT', '', '', NULL),
		('049', 'l', 'Local processing data', 'Local processing data', 1, 0, '', 0, '', '', '', 0, -6, 'KT', '', '', NULL),
		('049', 'm', 'Missing elements', 'Missing elements', 1, 0, '', 0, '', '', '', 0, -6, 'KT', '', '', NULL),
		('049', 'n', 'Notes about holdings', 'Notes about holdings', 0, 0, '', 0, '', '', '', 0, -6, 'KT', '', '', NULL),
		('049', 'o', 'Local processing data', 'Local processing data', 1, 0, '', 0, '', '', '', 0, -6, 'KT', '', '', NULL),
		('049', 'p', 'Secondary bibliographic subdivision', 'Secondary bibliographic subdivision', 1, 0, '', 0, '', '', '', 0, -6, 'KT', '', '', NULL),
		('049', 'q', 'Third bibliographic subdivision', 'Third bibliographic subdivision', 1, 0, '', 0, '', '', '', 0, -6, 'KT', '', '', NULL),
		('049', 'r', 'Fourth bibliographic subdivision', 'Fourth bibliographic subdivision', 1, 0, '', 0, '', '', '', 0, -6, 'KT', '', '', NULL),
		('049', 's', 'Fifth bibliographic subdivision', 'Fifth bibliographic subdivision', 0, 0, '', 0, '', '', '', 0, -6, 'KT', '', '', NULL),
		('049', 't', 'Sixth bibliographic subdivision', 'Sixth bibliographic subdivision', 1, 0, '', 0, '', '', '', 0, -6, 'KT', '', '', NULL),
		('049', 'u', 'Seventh bibliographic subdivision', 'Seventh bibliographic subdivision', 1, 0, '', 0, '', '', '', 0, -6, 'KT', '', '', NULL),
		('049', 'v', 'Seventh bibliographic subdivision', 'Seventh bibliographic subdivision', 1, 0, '', 0, '', '', '', 0, -6, 'KT', '', '', NULL),
		('049', 'y', 'Inclusive dates of publication or coverage', 'Inclusive dates of publication or coverage', 0, 0, '', 0, '', '', '', 0, -6, 'KT', '', '', NULL),
		('050', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, '', 0, '', '', '', 0, -6, 'KT', '', '', NULL),
		('050', '6', 'Collegamento', 'Collegamento', 0, 0, '', 0, '', '', '', 0, -6, 'KT', '', '', NULL),
		('050', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 0, '', '', '', 0, -6, 'KT', '', '', NULL),
		('050', 'a', 'Numero di classificazione', 'Numero di classificazione', 1, 0, '', 0, '', '', '', 0, 0, 'KT', '', '', NULL),
		('050', 'b', 'Numero d\'item', 'Numero d\'item', 0, 0, '', 0, '', '', '', 0, 0, 'KT', '', '', NULL),
		('050', 'd', 'Supplementary class number (MU) [OBSOLETE]', 'Supplementary class number (MU) [OBSOLETE]', 0, 0, '', 0, '', '', '', 0, -6, 'KT', '', '', NULL),
		('051', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 0, '', '', '', 0, -6, 'KT', '', '', NULL),
		('051', 'a', 'Numero di classificazione', 'Numero di classificazione', 0, 0, '', 0, '', '', '', 0, -6, 'KT', '', '', NULL),
		('051', 'b', 'Numero d\'item', 'Numero d\'item', 0, 0, '', 0, '', '', '', 0, -6, 'KT', '', '', NULL),
		('051', 'c', 'Informazione dell\'esemplare', 'Informazione dell\'esemplare', 0, 0, '', 0, '', '', '', 0, -6, 'KT', '', '', NULL),
		('052', '2', 'Fonte del codice', 'Fonte del codice', 0, 0, '', 0, '', '', '', 0, -6, 'KT', '', '', NULL),
		('052', '6', 'Collegamento', 'Collegamento', 0, 0, '', 0, '', '', '', 0, -6, 'KT', '', '', NULL),
		('052', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 0, '', '', '', 0, -6, 'KT', '', '', NULL),
		('052', 'a', 'Codice di classificazione dell\'area geografica', 'Codice di classificazione dell\'area geografica', 0, 0, '', 0, '', '', '', 0, -6, 'KT', '', '', NULL),
		('052', 'b', 'Codice di classificazione della sottoarea geografica', 'Codice di classificazione della sottoarea geografica', 1, 0, '', 0, '', '', '', 0, -6, 'KT', '', '', NULL),
		('052', 'c', 'Subject (MP) [OBSOLETE]', 'Subject (MP) [OBSOLETE]', 0, 0, '', 0, '', '', '', 0, -6, 'KT', '', '', NULL),
		('052', 'd', 'Nome di luogo abitato', 'Nome di luogo abitato', 1, 0, '', 0, '', '', '', 0, -6, 'KT', '', '', NULL),
		('055', '2', 'Fonte del numero di chiamata/classe', 'Fonte del numero di chiamata/classe', 0, 0, '', 0, '', '', '', 0, -6, 'KT', '', '', NULL),
		('055', '6', 'Collegamento', 'Collegamento', 0, 0, '', 0, '', '', '', 0, -6, 'KT', '', '', NULL),
		('055', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 0, '', '', '', 0, -6, 'KT', '', '', NULL),
		('055', 'a', 'Numero di classificazione', 'Numero di classificazione', 0, 0, '', 0, '', '', '', 0, -6, 'KT', '', '', NULL),
		('055', 'b', 'Numero d\'item', 'Numero d\'item', 0, 0, '', 0, '', '', '', 0, -6, 'KT', '', '', NULL),
		('060', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 0, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('060', 'a', 'Numero di classificazione', 'Numero di classificazione', 1, 0, NULL, 0, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('060', 'b', 'Numero d\'item', 'Numero d\'item', 0, 0, NULL, 0, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('061', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 0, '', '', '', 0, -6, 'KT', '', '', NULL),
		('061', 'a', 'Numero di classificazione', 'Numero di classificazione', 1, 0, '', 0, '', '', '', 0, -6, 'KT', '', '', NULL),
		('061', 'b', 'Numero d\'item', 'Numero d\'item', 0, 0, '', 0, '', '', '', 0, -6, 'KT', '', '', NULL),
		('061', 'c', 'Informazione dell\'esemplare', 'Informazione dell\'esemplare', 0, 0, '', 0, '', '', '', 0, -6, 'KT', '', '', NULL),
		('066', 'a', 'Set di caratteri primario G0', 'Set di caratteri primario G0', 0, 0, NULL, 0, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('066', 'b', 'Set di caratteri primario G1', 'Set di caratteri primario G1', 0, 0, NULL, 0, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('066', 'c', 'Set di caratteri alternativo G0 o G1', 'Set di caratteri alternativo G0 o G1', 1, 0, NULL, 0, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('070', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 0, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('070', 'a', 'Numero di classificazione', 'Numero di classificazione', 1, 0, NULL, 0, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('070', 'b', 'Numero d\'item', 'Numero d\'item', 0, 0, NULL, 0, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('071', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 0, '', '', '', 0, -6, 'KT', '', '', NULL),
		('071', 'a', 'Numero di classificazione', 'Numero di classificazione', 1, 0, '', 0, '', '', '', 0, -6, 'KT', '', '', NULL),
		('071', 'b', 'Numero d\'item', 'Numero d\'item', 0, 0, '', 0, '', '', '', 0, -6, 'KT', '', '', NULL),
		('071', 'c', 'Informazione dell\'esemplare', 'Informazione dell\'esemplare', 0, 0, '', 0, '', '', '', 0, -6, 'KT', '', '', NULL),
		('072', '2', 'Fonte', 'Fonte', 0, 0, NULL, 0, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('072', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 0, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('072', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 0, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('072', 'a', 'Codice di categoria di soggetto', 'Codice di categoria di soggetto', 0, 0, NULL, 0, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('072', 'x', 'Suddivisione del codice di categoria di soggetto', 'Suddivisione del codice di categoria di soggetto', 1, 0, NULL, 0, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('074', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 0, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('074', 'a', 'Numero GPO dell\'item', 'Numero GPO dell\'item', 0, 0, NULL, 0, NULL, NULL, '', NULL, -1, 'KT', '', '', NULL),
		('074', 'z', 'Numero GPO dell\'item cancellato/errato', 'Numero GPO dell\'item cancellato/errato', 1, 0, NULL, 0, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('080', '2', 'Numero dell\'edizione', 'Numero dell\'edizione', 0, 0, NULL, 0, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('080', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 0, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('080', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 0, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('080', 'a', 'Numero di Classificazione decimale universale', 'Numero di Classificazione decimale universale', 0, 0, NULL, 0, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('080', 'b', 'Numero d\'item', 'Numero d\'item', 0, 0, NULL, 0, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('080', 'x', 'Suddivisione ausiliare comune', 'Suddivisione ausiliare comune', 1, 0, NULL, 0, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('082', '2', 'Numero dell\'edizione', 'Numero dell\'edizione', 0, 0, '', 0, '', '', '', NULL, 0, 'KT', '', '', NULL),
		('082', '6', 'Collegamento', 'Collegamento', 0, 0, '', 0, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('082', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 0, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('082', 'a', 'Numero di classificazione', 'Numero di classificazione', 1, 0, '', 0, '', '', '', NULL, 0, 'KT', '', '', NULL),
		('082', 'b', 'Numero d\'item', 'Numero d\'item', 0, 0, '', 0, '', '', '', NULL, 0, 'KT', '', '', NULL),
		('084', '2', 'Fonte del numero', 'Fonte del numero', 0, 0, NULL, 0, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('084', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 0, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('084', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 0, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('084', 'a', 'Numero di classificazione', 'Numero di classificazione', 1, 0, NULL, 0, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('084', 'b', 'Numero d\'item', 'Numero d\'item', 0, 0, NULL, 0, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('086', '2', 'Fonte del numero', 'Fonte del numero', 0, 0, NULL, 0, NULL, NULL, '', NULL, -1, 'KT', '', '', NULL),
		('086', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 0, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('086', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 0, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('086', 'a', 'Numero di classificazione', 'Numero di classificazione', 0, 0, NULL, 0, NULL, NULL, '', NULL, -1, 'KT', '', '', NULL),
		('086', 'z', 'Numero di classificazione cancellato/errato', 'Numero di classificazione cancellato/errato', 1, 0, NULL, 0, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('087', 'a', 'Report number [OBSOLETE, CAN/MARC]', 'Report number [OBSOLETE, CAN/MARC]', 0, 0, '', 0, '', '', '', 0, -6, 'KT', '', '', NULL),
		('087', 'z', 'Canceled/invalid report number [OBSOLETE, CAN/MARC]', 'Canceled/invalid report number [OBSOLETE, CAN/MARC]', 1, 0, '', 0, '', '', '', 0, -6, 'KT', '', '', NULL),
		('088', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 0, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('088', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 0, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('088', 'a', 'Numero di rapporto', 'Numero di rapporto', 0, 0, NULL, 0, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('088', 'z', 'Numero di rapporto cancellato/errato', 'Numero di rapporto cancellato/errato', 1, 0, NULL, 0, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('090', 'a', 'Classification number (OCLC) (R) ; Classification number, CALL (RLIN) (NR)', 'Classification number (OCLC) (R) ; Classification number, CALL (RLIN) (NR)', 1, 0, '', 0, '', '', '', 0, -6, 'KT', '', '', NULL),
		('090', 'b', 'Local cutter number (OCLC) ; Book number/undivided call number, CALL (RLIN)', 'Local cutter number (OCLC) ; Book number/undivided call number, CALL (RLIN)', 0, 0, '', 0, '', '', '', 0, -6, 'KT', '', '', NULL),
		('090', 'e', 'Feature heading (OCLC)', 'Feature heading (OCLC)', 0, 0, '', 0, '', '', '', 0, 5, 'KT', '', '', NULL),
		('090', 'f', 'Filing suffix (OCLC); Footnote, FNT (RLIN)', 'Filing suffix (OCLC); Footnote, FNT (RLIN)', 0, 0, '', 0, '', '', '', 0, 5, 'KT', '', '', NULL),
		('090', 'h', 'Output transaction history, HST (RLIN)', 'Output transaction history, HST (RLIN)', 0, 0, '', 0, '', '', '', 0, 5, 'KT', '', '', NULL),
		('090', 'i', 'Output transaction instruction, INS (RLIN)', 'Output transaction instruction, INS (RLIN)', 0, 0, '', 0, '', '', '', 0, 5, 'KT', '', '', NULL),
		('090', 'l', 'Extra card control statement, EXT (RLIN)', 'Extra card control statement, EXT (RLIN)', 0, 0, '', 0, '', '', '', 0, 5, 'KT', '', '', NULL),
		('090', 'n', 'Additional local notes, ANT (RLIN)', 'Additional local notes, ANT (RLIN)', 0, 0, '', 0, '', '', '', 0, 5, 'KT', '', '', NULL),
		('090', 'p', 'Pathfinder code, PTH (RLIN)', 'Pathfinder code, PTH (RLIN)', 0, 0, '', 0, '', '', '', 0, 5, 'KT', '', '', NULL),
		('090', 't', 'Field suppresion, FSP (RLIN)', 'Field suppresion, FSP (RLIN)', 0, 0, '', 0, '', '', '', 0, 5, 'KT', '', '', NULL),
		('090', 'v', 'Volumes, VOL (RLIN)', 'Volumes, VOL (RLIN)', 0, 0, '', 0, '', '', '', 0, 5, 'KT', '', '', NULL),
		('090', 'y', 'Date, VOL (RLIN)', 'Date, VOL (RLIN)', 0, 0, '', 0, '', '', '', 0, 5, 'KT', '', '', NULL),
		('090', 'z', 'Retention, VOL (RLIN)', 'Retention, VOL (RLIN)', 0, 0, '', 0, '', '', '', 0, 5, 'KT', '', '', NULL),
		('091', 'a', 'Microfilm shelf location', 'Microfilm shelf location', 0, 0, '', 0, '', '', '', 0, -6, 'KT', '', '', NULL),
		('092', '2', 'Numero dell\'edizione', 'Numero dell\'edizione', 0, 0, '', 0, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('092', 'a', 'Numero di classificazione', 'Numero di classificazione', 0, 0, '', 0, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('092', 'b', 'Numero d\'item', 'Numero d\'item', 0, 0, '', 0, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('092', 'e', 'Feature heading', 'Feature heading', 0, 0, '', 0, '', '', '', 0, -6, 'KT', '', '', NULL),
		('092', 'f', 'Filing suffix', 'Filing suffix', 0, 0, '', 0, '', '', '', 0, -6, 'KT', '', '', NULL),
		('096', 'a', 'Numero di classificazione', 'Numero di classificazione', 0, 0, '', 0, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('096', 'b', 'Numero d\'item', 'Numero d\'item', 0, 0, '', 0, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('096', 'e', 'Feature heading', 'Feature heading', 0, 0, '', 0, '', '', '', 0, -6, 'KT', '', '', NULL),
		('096', 'f', 'Filing suffix', 'Filing suffix', 0, 0, '', 0, '', '', '', 0, -6, 'KT', '', '', NULL),
		('098', 'a', 'Call number based on other classification scheme', 'Call number based on other classification scheme', 0, 0, '', 0, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('098', 'e', 'Feature heading', 'Feature heading', 0, 0, '', 0, '', '', '', 0, -6, 'KT', '', '', NULL),
		('098', 'f', 'Filing suffix', 'Filing suffix', 0, 0, '', 0, '', '', '', 0, -6, 'KT', '', '', NULL),
		('099', 'a', 'Numero di classificazione', 'Numero di classificazione', 1, 0, '', 0, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('099', 'e', 'Feature heading', 'Feature heading', 0, 0, '', 0, '', '', '', 0, -6, 'KT', '', '', NULL),
		('099', 'f', 'Filing suffix', 'Filing suffix', 0, 0, '', 0, '', '', '', 0, -6, 'KT', '', '', NULL),
		('100', '4', 'Codice di ruolo', 'Codice di ruolo', 1, 0, '', 1, '', '', '', 0, -6, 'KT', '', '', NULL),
		('100', '6', 'Collegamento', 'Collegamento', 0, 0, '', 1, '', '', '', 0, -6, 'KT', '', '', NULL),
		('100', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 1, '', '', '', 0, -6, 'KT', '', '', NULL),
		('100', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 1, '', '', '', 0, 0, 'KT', '', '', NULL),
		('100', 'a', 'Nome di persona', 'Nome di persona', 0, 0, 'biblio.author', 1, '', 'PERSO_NAME', '', 0, 0, 'KT', '''100b'',''100c'',''100q'',''100d'',''100e'',''110a'',''110b'',''110c'',''110d'',''110e'',''111a'',''111e'',''111c'',''111d'',''130a'',''700a'',''700b'',''700c'',''700q'',''700d'',''700e'',''710a'',''710b'',''710c'',''710d'',''710e'',''711a'',''711e'',''711c'',''711d'',''720a'',''720e'',''796a'',''796b'',''796c'',''796q'',''796d'',''796e'',''797a'',''797b'',''797c'',''797d'',''797e'',''798a'',''798e'',''798c'',''798d'',''800a'',''800b'',''800c'',''800q'',''800d'',''800e'',''810a'',''810b'',''810c'',''810d'',''810e'',''811a'',''811e'',''811c'',''811d'',''896a'',''896b'',''896c'',''896q'',''896d'',''896e'',''897a'',''897b'',''897c'',''897d'',''897e'',''898a'',''898e'',''898c'',''898d'',''505r''', '', NULL),
		('100', 'b', 'Numerazione', 'Numerazione', 0, 0, '', 1, '', '', '', 0, -1, 'KT', '', '', NULL),
		('100', 'c', 'Titoli e altre parole associate al nome', 'Titoli e altre parole associate al nome', 1, 0, '', 1, '', '', '', 0, -1, 'KT', '', '', NULL),
		('100', 'd', 'Date associate al nome', 'Date associate al nome', 0, 0, '', 1, '', '', '', 0, 0, 'KT', '', '', NULL),
		('100', 'e', 'Termine di ruolo', 'Termine di ruolo', 1, 0, '', 1, '', '', '', 0, -1, 'KT', '', '', NULL),
		('100', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, '', 1, '', '', '', 0, -6, 'KT', '', '', NULL),
		('100', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, '', 1, '', '', '', 0, -6, 'KT', '', '', NULL),
		('100', 'j', 'Qualificazione d\'attribuzione', 'Qualificazione d\'attribuzione', 1, 0, '', 1, '', '', '', 0, -6, 'KT', '', '', NULL),
		('100', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, '', 1, '', '', '', 0, -6, 'KT', '', '', NULL),
		('100', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, '', 1, '', '', '', 0, -6, 'KT', '', '', NULL),
		('100', 'n', 'Numero di parte/sezione dell\'opera', 'Numero di parte/sezione dell\'opera', 1, 0, '', 1, '', '', '', 0, -6, 'KT', '', '', NULL),
		('100', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, '', 1, '', '', '', 0, -6, 'KT', '', '', NULL),
		('100', 'q', 'Forma completa del nome', 'Forma completa del nome', 0, 0, '', 1, '', '', '', 0, -1, 'KT', '', '', NULL),
		('100', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, '', 1, '', '', '', 0, -6, 'KT', '', '', NULL),
		('100', 'u', 'Affiliazione', 'Affiliazione', 0, 0, '', 1, '', '', '', 0, -6, 'KT', '', '', NULL),
		('110', '4', 'Codice di ruolo', 'Codice di ruolo', 1, 0, '', 1, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('110', '6', 'Collegamento', 'Collegamento', 0, 0, '', 1, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('110', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 1, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('110', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 1, '', '', '', 0, -5, 'KT', '', '', NULL),
		('110', 'a', 'Nome dell\'ente o nome della giurisdizione come accesso', 'Nome dell\'ente o nome della giurisdizione come accesso', 0, 0, '', 1, '', 'CORPO_NAME', '', NULL, -1, 'KT', '', '', NULL),
		('110', 'b', 'Unità subordinata', 'Unità subordinata', 1, 0, '', 1, '', '', '', NULL, -1, 'KT', '', '', NULL),
		('110', 'c', 'Luogo del convegno', 'Luogo del convegno', 0, 0, '', 1, '', '', '', NULL, -1, 'KT', '', '', NULL),
		('110', 'd', 'Data del convegno o di firma del trattato', 'Data del convegno o di firma del trattato', 1, 0, '', 1, '', '', '', NULL, -1, 'KT', '', '', NULL),
		('110', 'e', 'Termine di ruolo', 'Termine di ruolo', 1, 0, '', 1, '', '', '', NULL, -1, 'KT', '', '', NULL),
		('110', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, '', 1, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('110', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, '', 1, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('110', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, '', 1, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('110', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, '', 1, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('110', 'n', 'Numero di parte/sezione/convegno', 'Numero di parte/sezione/convegno', 1, 0, '', 1, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('110', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, '', 1, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('110', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, '', 1, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('110', 'u', 'Affiliazione', 'Affiliazione', 0, 0, '', 1, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('111', '4', 'Codice di ruolo', 'Codice di ruolo', 1, 0, NULL, 1, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('111', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 1, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('111', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 1, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('111', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 1, '', '', '', 0, -5, 'KT', '', '', NULL),
		('111', 'a', 'Nome del convegno o nome della giurisdizione come accesso', 'Nome del convegno o nome della giurisdizione come accesso', 0, 0, NULL, 1, NULL, 'MEETI_NAME', '', NULL, -1, 'KT', '', '', NULL),
		('111', 'b', 'Number [OBSOLETE]', 'Number [OBSOLETE]', 0, 0, NULL, 1, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('111', 'c', 'Luogo del convegno', 'Luogo del convegno', 0, 0, NULL, 1, NULL, NULL, '', NULL, -1, 'KT', '', '', NULL),
		('111', 'd', 'Data del convegno', 'Data del convegno', 0, 0, NULL, 1, NULL, NULL, '', NULL, -1, 'KT', '', '', NULL),
		('111', 'e', 'Unità subordinata', 'Unità subordinata', 1, 0, NULL, 1, NULL, NULL, '', NULL, -1, 'KT', '', '', NULL),
		('111', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, NULL, 1, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('111', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, NULL, 1, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('111', 'j', 'Termine di ruolo', 'Termine di ruolo', 1, 0, NULL, 1, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('111', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, NULL, 1, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('111', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, NULL, 1, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('111', 'n', 'Numero di parte/sezione/convegno', 'Numero di parte/sezione/convegno', 1, 0, NULL, 1, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('111', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, NULL, 1, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('111', 'q', 'Nome del convegno dopo accesso di nome della giurisdizione', 'Nome del convegno dopo accesso di nome della giurisdizione', 0, 0, NULL, 1, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('111', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, NULL, 1, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('111', 'u', 'Affiliazione', 'Affiliazione', 0, 0, NULL, 1, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('130', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 1, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('130', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 1, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('130', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 1, '', '', '', 0, -5, 'KT', '', '', NULL),
		('130', 'a', 'Titolo uniforme', 'Titolo uniforme', 0, 0, NULL, 1, NULL, 'UNIF_TITLE', '', NULL, -6, 'KT', '', '', NULL),
		('130', 'd', 'Data di firma del trattato', 'Data di firma del trattato', 1, 0, NULL, 1, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('130', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, NULL, 1, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('130', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, NULL, 1, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('130', 'h', 'Supporto', 'Supporto', 0, 0, NULL, 1, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('130', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, NULL, 1, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('130', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, NULL, 1, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('130', 'm', 'Mezzo di esecuzione per la musica', 'Mezzo di esecuzione per la musica', 1, 0, NULL, 1, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('130', 'n', 'Numero di parte/sezione dell\'opera', 'Numero di parte/sezione dell\'opera', 1, 0, NULL, 1, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('130', 'o', 'Formulazione d\'arrangiamento per la musica', 'Formulazione d\'arrangiamento per la musica', 0, 0, NULL, 1, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('130', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, NULL, 1, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('130', 'r', 'Tonalità (musica)', 'Tonalità (musica)', 0, 0, NULL, 1, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('130', 's', 'Versione', 'Versione', 0, 0, NULL, 1, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('130', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, NULL, 1, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('210', '2', 'Fonte', 'Fonte', 1, 0, NULL, 2, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('210', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 2, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('210', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 2, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('210', 'a', 'Titolo abbreviato', 'Titolo abbreviato', 0, 0, NULL, 2, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('210', 'b', 'Qualificazione', 'Qualificazione', 0, 0, NULL, 2, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('211', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 2, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('211', 'a', 'Acronym or shortened title', 'Acronym or shortened title', 0, 0, NULL, 2, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('212', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 2, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('212', 'a', 'Acronym or shortened title', 'Acronym or shortened title', 0, 0, NULL, 2, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('214', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 2, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('214', 'a', 'Augmented title', 'Augmented title', 0, 0, NULL, 2, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('222', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 2, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('222', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 2, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('222', 'a', 'Titolo chiave', 'Titolo chiave', 0, 0, NULL, 2, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('222', 'b', 'Qualificazione', 'Qualificazione', 0, 0, NULL, 2, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('240', '6', 'Collegamento', 'Collegamento', 0, 0, '', 2, '', '', '', 0, -6, 'KT', '', '', NULL),
		('240', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 2, '', '', '', 0, -6, 'KT', '', '', NULL),
		('240', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 2, '', '', '', 0, -5, 'KT', '', '', NULL),
		('240', 'a', 'Titolo uniforme', 'Titolo uniforme', 0, 0, 'biblio.unititle', 2, '', '', '', 0, -1, 'KT', '', '', NULL),
		('240', 'd', 'Data di firma del trattato', 'Data di firma del trattato', 1, 0, '', 2, '', '', '', 0, -6, 'KT', '', '', NULL),
		('240', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, '', 2, '', '', '', 0, -6, 'KT', '', '', NULL),
		('240', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, '', 2, '', '', '', 0, -6, 'KT', '', '', NULL),
		('240', 'h', 'Supporto', 'Supporto', 0, 0, '', 2, '', '', '', 0, -1, 'KT', '', '', NULL),
		('240', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, '', 2, '', '', '', 0, -6, 'KT', '', '', NULL),
		('240', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, '', 2, '', '', '', 0, -1, 'KT', '', '', NULL),
		('240', 'm', 'Mezzo di esecuzione per la musica', 'Mezzo di esecuzione per la musica', 1, 0, '', 2, '', '', '', 0, -6, 'KT', '', '', NULL),
		('240', 'n', 'Numero di parte/sezione dell\'opera', 'Numero di parte/sezione dell\'opera', 1, 0, '', 2, '', '', '', 0, -6, 'KT', '', '', NULL),
		('240', 'o', 'Formulazione d\'arrangiamento per la musica', 'Formulazione d\'arrangiamento per la musica', 0, 0, '', 2, '', '', '', 0, -6, 'KT', '', '', NULL),
		('240', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, '', 2, '', '', '', 0, -6, 'KT', '', '', NULL),
		('240', 'r', 'Tonalità (musica)', 'Tonalità (musica)', 0, 0, '', 2, '', '', '', 0, -6, 'KT', '', '', NULL),
		('240', 's', 'Versione', 'Versione', 0, 0, '', 2, '', '', '', 0, -1, 'KT', '', '', NULL),
		('241', 'a', 'Romanized title', 'Romanized title', 0, 0, NULL, 2, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('241', 'h', 'Supporto', 'Supporto', 0, 0, NULL, 2, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('242', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 2, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('242', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 2, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('242', 'a', 'Titolo', 'Titolo', 0, 0, NULL, 2, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('242', 'b', 'Complemento del titolo', 'Complemento del titolo', 0, 0, NULL, 2, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('242', 'c', 'Formulazione di responsabilità, ecc.', 'Formulazione di responsabilità, ecc.', 0, 0, NULL, 2, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('242', 'd', 'Designation of section (BK AM MP MU VM SE) [OBSOLETE]', 'Designation of section (BK AM MP MU VM SE) [OBSOLETE]', 0, 0, '', 2, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('242', 'e', 'Name of part/section (BK AM MP MU VM SE) [OBSOLETE]', 'Name of part/section (BK AM MP MU VM SE) [OBSOLETE]', 0, 0, '', 2, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('242', 'h', 'Supporto', 'Supporto', 0, 0, NULL, 2, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('242', 'n', 'Numero di parte/sezione dell\'opera', 'Numero di parte/sezione dell\'opera', 1, 0, NULL, 2, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('242', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, NULL, 2, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('242', 'y', 'Codice di lingua del titolo tradotto', 'Codice di lingua del titolo tradotto', 0, 0, NULL, 2, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('243', '6', 'Collegamento', 'Collegamento', 0, 0, '', 2, '', '', '', 0, -6, 'KT', '', '', NULL),
		('243', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 2, '', '', '', 0, -6, 'KT', '', '', NULL),
		('243', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 2, '', '', '', 0, -5, 'KT', '', '', NULL),
		('243', 'a', 'Titolo uniforme', 'Titolo uniforme', 0, 0, '', 2, '', '', '', 1, -1, 'KT', '', '', NULL),
		('243', 'd', 'Data di firma del trattato', 'Data di firma del trattato', 1, 0, '', 2, '', '', '', 0, -6, 'KT', '', '', NULL),
		('243', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, '', 2, '', '', '', 0, -6, 'KT', '', '', NULL),
		('243', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, '', 2, '', '', '', 0, -6, 'KT', '', '', NULL),
		('243', 'h', 'Supporto', 'Supporto', 0, 0, '', 2, '', '', '', 0, -1, 'KT', '', '', NULL),
		('243', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, '', 2, '', '', '', 0, -6, 'KT', '', '', NULL),
		('243', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, '', 2, '', '', '', 0, -1, 'KT', '', '', NULL),
		('243', 'm', 'Mezzo di esecuzione per la musica', 'Mezzo di esecuzione per la musica', 1, 0, '', 2, '', '', '', 0, -6, 'KT', '', '', NULL),
		('243', 'n', 'Numero di parte/sezione dell\'opera', 'Numero di parte/sezione dell\'opera', 1, 0, '', 2, '', '', '', 0, -6, 'KT', '', '', NULL),
		('243', 'o', 'Formulazione d\'arrangiamento per la musica', 'Formulazione d\'arrangiamento per la musica', 0, 0, '', 2, '', '', '', 0, -6, 'KT', '', '', NULL),
		('243', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, '', 2, '', '', '', 0, -6, 'KT', '', '', NULL),
		('243', 'r', 'Tonalità (musica)', 'Tonalità (musica)', 0, 0, '', 2, '', '', '', 0, -6, 'KT', '', '', NULL),
		('243', 's', 'Versione', 'Versione', 0, 0, '', 2, '', '', '', 0, -1, 'KT', '', '', NULL),
		('245', '6', 'Collegamento', 'Collegamento', 0, 0, '', 2, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('245', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 2, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('245', 'a', 'Titolo', 'Titolo', 0, 1, 'biblio.title', 2, '', '', '', NULL, 0, 'KT', '''245b'',''245f'',''245g'',''245k'',''245n'',''245p'',''245s'',''245h'',''246i'',''246a'',''246b'',''246f'',''246g'',''246n'',''246p'',''246h'',''242a'',''242b'',''242n'',''242p'',''242h''', '', NULL),
		('245', 'b', 'Complemento del titolo', 'Complemento del titolo', 0, 0, 'bibliosubtitle.subtitle', 2, '', '', '', NULL, 0, 'KT', '', '', NULL),
		('245', 'c', 'Formulazione di responsabilità, ecc.', 'Formulazione di responsabilità, ecc.', 0, 0, '', 2, '', '', '', NULL, 0, 'KT', '', '', NULL),
		('245', 'd', 'Designation of section/part/series (SE) [OBSOLETE]', 'Designation of section/part/series (SE) [OBSOLETE]', 0, 0, '', 2, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('245', 'e', 'Name of part/section/series (SE) [OBSOLETE]', 'Name of part/section/series (SE) [OBSOLETE]', 0, 0, '', 2, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('245', 'f', 'Date inclusive', 'Date inclusive', 0, 0, '', 2, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('245', 'g', 'Date preponderanti', 'Date preponderanti', 0, 0, '', 2, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('245', 'h', 'Supporto', 'Supporto', 0, 0, '', 2, '', '', '', NULL, 0, 'KT', '', '', NULL),
		('245', 'k', 'Forma', 'Forma', 1, 0, '', 2, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('245', 'n', 'Numero di parte/sezione dell\'opera', 'Numero di parte/sezione dell\'opera', 1, 0, '', 2, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('245', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, '', 2, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('245', 's', 'Versione', 'Versione', 0, 0, '', 2, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('246', '5', 'Istituzione a cui si applica il campo', 'Istituzione a cui si applica il campo', 0, 0, '', 2, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('246', '6', 'Collegamento', 'Collegamento', 0, 0, '', 2, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('246', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 2, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('246', 'a', 'Titolo proprio/titolo breve', 'Titolo proprio/titolo breve', 0, 0, '', 2, '', '', '', NULL, -1, 'KT', '', '', NULL),
		('246', 'b', 'Complemento del titolo', 'Complemento del titolo', 0, 0, '', 2, '', '', '', NULL, -1, 'KT', '', '', NULL),
		('246', 'd', 'Designation of section/part/series (SE) [OBSOLETE]', 'Designation of section/part/series (SE) [OBSOLETE]', 0, 0, '', 2, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('246', 'e', 'Name of part/section/series (SE) [OBSOLETE]', 'Name of part/section/series (SE) [OBSOLETE]', 0, 0, '', 2, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('246', 'f', 'Data o designazione sequenziale', 'Data o designazione sequenziale', 0, 0, '', 2, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('246', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, '', 2, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('246', 'h', 'Supporto', 'Supporto', 0, 0, '', 2, '', '', '', NULL, -1, 'KT', '', '', NULL),
		('246', 'i', 'Testo da visualizzare', 'Testo da visualizzare', 0, 0, '', 2, '', '', '', NULL, -1, 'KT', '', '', NULL),
		('246', 'n', 'Numero di parte/sezione dell\'opera', 'Numero di parte/sezione dell\'opera', 1, 0, '', 2, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('246', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, '', 2, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('247', '6', 'Collegamento', 'Collegamento', 0, 0, '', 2, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('247', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 2, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('247', 'a', 'Titolo', 'Titolo', 0, 0, '', 2, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('247', 'b', 'Complemento del titolo', 'Complemento del titolo', 0, 0, '', 2, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('247', 'd', 'Designation of section (SE) [OBSOLETE]', 'Designation of section (SE) [OBSOLETE]', 0, 0, '', 2, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('247', 'e', 'Name of part/section (SE) [OBSOLETE]', 'Name of part/section (SE) [OBSOLETE]', 0, 0, '', 2, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('247', 'f', 'Data o designazione sequenziale', 'Data o designazione sequenziale', 0, 0, '', 2, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('247', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, '', 2, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('247', 'h', 'Supporto', 'Supporto', 0, 0, '', 2, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('247', 'n', 'Numero di parte/sezione dell\'opera', 'Numero di parte/sezione dell\'opera', 1, 0, '', 2, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('247', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, '', 2, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('247', 'x', 'ISSN (International Standard Serial Number)', 'ISSN (International Standard Serial Number)', 0, 0, '', 2, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('250', '6', 'Collegamento', 'Collegamento', 0, 0, '', 2, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('250', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 2, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('250', 'a', 'Formulazione di edizione', 'Formulazione di edizione', 0, 0, 'biblioitems.editionstatement', 2, '', '', '', NULL, -1, 'KT', '', '', NULL),
		('250', 'b', 'Restante parte della formulazione di edizione', 'Restante parte della formulazione di edizione', 0, 0, '', 2, '', '', '', NULL, -1, 'KT', '', '', NULL),
		('254', '6', 'Collegamento', 'Collegamento', 0, 0, '', 2, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('254', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 2, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('254', 'a', 'Formulazione della presentazione musicale', 'Formulazione della presentazione musicale', 0, 0, '', 2, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('255', '6', 'Collegamento', 'Collegamento', 0, 0, '', 2, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('255', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 2, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('255', 'a', 'Formulazione di scala', 'Formulazione di scala', 1, 0, '', 2, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('255', 'b', 'Formulazione di proiezione', 'Formulazione di proiezione', 1, 0, '', 2, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('255', 'c', 'Formulazione di coordinate', 'Formulazione di coordinate', 1, 0, '', 2, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('255', 'd', 'Formulazione di zona', 'Formulazione di zona', 0, 0, '', 2, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('255', 'e', 'Formulazione di equinozio', 'Formulazione di equinozio', 0, 0, '', 2, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('255', 'f', 'Coppie di coordinate d\'inclusione del perimetro', 'Coppie di coordinate d\'inclusione del perimetro', 0, 0, '', 2, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('255', 'g', 'Coppie di coordinate di esclusione del perimetro', 'Coppie di coordinate di esclusione del perimetro', 0, 0, '', 2, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('256', '6', 'Collegamento', 'Collegamento', 0, 0, '', 2, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('256', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 2, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('256', 'a', 'Caratteristiche del computer file', 'Caratteristiche del computer file', 0, 0, '', 2, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('257', '6', 'Collegamento', 'Collegamento', 0, 0, '', 2, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('257', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 2, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('257', 'a', 'Paese dell\'ente produttore', 'Paese dell\'ente produttore', 0, 0, '', 2, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('258', '6', 'Collegamento', 'Collegamento', 0, 0, '', 2, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('258', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 2, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('258', 'a', 'Giurisdizione dell\'emissione', 'Giurisdizione dell\'emissione', 0, 0, '', 2, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('258', 'b', 'Valore facciale', 'Valore facciale', 0, 0, '', 2, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('260', '6', 'Collegamento', 'Collegamento', 0, 0, '', 2, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('260', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 2, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('260', 'a', 'Luogo di pubblicazione, distribuzione, ecc.', 'Luogo di pubblicazione, distribuzione, ecc.', 1, 0, 'biblioitems.place', 2, '', '', '', NULL, 0, 'KT', '', '', NULL),
		('260', 'b', 'Nome dell\'editore, distributore, ecc.', 'Nome dell\'editore, distributore, ecc.', 1, 0, 'biblioitems.publishercode', 2, '', '', '', NULL, 0, 'KT', '', '', NULL),
		('260', 'c', 'Data di pubblicazione, distribuzione, ecc.', 'Data di pubblicazione, distribuzione, ecc.', 1, 0, 'biblio.copyrightdate', 2, '', '', '', NULL, 0, 'KT', '', '', NULL),
		('260', 'd', 'Plate or publisher\'s number for music (Pre-AACR 2) [OBSOLETE, CAN/MARC], [LOCAL, USA]', 'Plate or publisher\'s number for music (Pre-AACR 2) [OBSOLETE, CAN/MARC], [LOCAL, USA]', 0, 0, '', 2, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('260', 'e', 'Luogo di stampa', 'Luogo di stampa', 1, 0, '', 2, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('260', 'f', 'Stampatore', 'Stampatore', 1, 0, '', 2, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('260', 'g', 'Data di stampa', 'Data di stampa', 0, 0, '', 2, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('260', 'k', 'Identification/manufacturer number [OBSOLETE, CAN/MARC]', 'Identification/manufacturer number [OBSOLETE, CAN/MARC]', 0, 0, '', 2, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('260', 'l', 'Matrix and/or take number [OBSOLETE, CAN/MARC]', 'Matrix and/or take number [OBSOLETE, CAN/MARC]', 0, 0, '', 2, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('261', '6', 'Collegamento', 'Collegamento', 0, 0, '', 2, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('261', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 2, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('261', 'a', 'Producing company', 'Producing company', 1, 0, '', 2, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('261', 'b', 'Releasing company (primary distributor)', 'Releasing company (primary distributor)', 1, 0, '', 2, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('261', 'c', 'Date of production, release, etc.', 'Date of production, release, etc.', 1, 0, '', 2, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('261', 'd', 'Date of production, release, etc.', 'Date of production, release, etc.', 1, 0, '', 2, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('261', 'e', 'Contractual producer', 'Contractual producer', 1, 0, '', 2, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('261', 'f', 'Place of production, release, etc.', 'Place of production, release, etc.', 1, 0, '', 2, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('262', '6', 'Collegamento', 'Collegamento', 0, 0, '', 2, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('262', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 2, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('262', 'a', 'Place of production, release, etc.', 'Place of production, release, etc.', 0, 0, '', 2, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('262', 'b', 'Publisher or trade name', 'Publisher or trade name', 0, 0, '', 2, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('262', 'c', 'Date of production, release, etc.', 'Date of production, release, etc.', 0, 0, '', 2, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('262', 'k', 'Serial identification', 'Serial identification', 0, 0, '', 2, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('262', 'l', 'Matrix and/or take number', 'Matrix and/or take number', 0, 0, '', 2, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('263', '6', 'Collegamento', 'Collegamento', 0, 0, '', 2, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('263', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 2, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('263', 'a', 'Data di pubblicazione prevista', 'Data di pubblicazione prevista', 0, 0, '', 2, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('265', '6', 'Linkage [OBSOLETE]', 'Linkage [OBSOLETE]', 0, 0, '', 2, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('265', 'a', 'Source for acquisition/subscription address [OBSOLETE]', 'Source for acquisition/subscription address [OBSOLETE]', 1, 0, '', 2, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('270', '4', 'Codice di ruolo', 'Codice di ruolo', 1, 0, NULL, 9, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('270', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 9, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('270', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 9, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('270', 'a', 'Indirizzo', 'Indirizzo', 1, 0, NULL, 9, NULL, NULL, '', NULL, -1, 'KT', '', '', NULL),
		('270', 'b', 'Città', 'Città', 0, 0, NULL, 9, NULL, NULL, '', NULL, -1, 'KT', '', '', NULL),
		('270', 'c', 'Stato o provincia', 'Stato o provincia', 0, 0, NULL, 9, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('270', 'd', 'Paese', 'Paese', 0, 0, NULL, 9, NULL, NULL, '', NULL, -1, 'KT', '', '', NULL),
		('270', 'e', 'Codice postale', 'Codice postale', 0, 0, NULL, 9, NULL, NULL, '', NULL, -1, 'KT', '', '', NULL),
		('270', 'f', 'Parole che precedono il nome del destinatario', 'Parole che precedono il nome del destinatario', 0, 0, NULL, 9, NULL, NULL, '', NULL, -1, 'KT', '', '', NULL),
		('270', 'g', 'Nome del destinatario', 'Nome del destinatario', 0, 0, NULL, 9, NULL, NULL, '', NULL, -1, 'KT', '', '', NULL),
		('270', 'h', 'Posizione del destinatario', 'Posizione del destinatario', 0, 0, NULL, 9, NULL, NULL, '', NULL, -1, 'KT', '', '', NULL),
		('270', 'i', 'Persona di contatto', 'Persona di contatto', 0, 0, NULL, 9, NULL, NULL, '', NULL, -1, 'KT', '', '', NULL),
		('270', 'j', 'Numero di telefono specializzato', 'Numero di telefono specializzato', 1, 0, NULL, 9, NULL, NULL, '', NULL, -1, 'KT', '', '', NULL),
		('270', 'k', 'Numero di telefono', 'Numero di telefono', 1, 0, NULL, 9, NULL, NULL, '', NULL, -1, 'KT', '', '', NULL),
		('270', 'l', 'Numero di fax', 'Numero di fax', 1, 0, NULL, 9, NULL, NULL, '', NULL, -1, 'KT', '', '', NULL),
		('270', 'm', 'Indirizzo e-mail', 'Indirizzo e-mail', 1, 0, NULL, 9, NULL, NULL, '', NULL, -1, 'KT', '', '', NULL),
		('270', 'n', 'Numero di TDD o TTY', 'Numero di TDD o TTY', 1, 0, NULL, 9, NULL, NULL, '', NULL, -1, 'KT', '', '', NULL),
		('270', 'p', 'Persona di contatto', 'Persona di contatto', 1, 0, NULL, 9, NULL, NULL, '', NULL, -1, 'KT', '', '', NULL),
		('270', 'q', 'Titolo della persona di contatto', 'Titolo della persona di contatto', 1, 0, NULL, 9, NULL, NULL, '', NULL, -1, 'KT', '', '', NULL),
		('270', 'r', 'Ore', 'Ore', 1, 0, NULL, 9, NULL, NULL, '', NULL, -1, 'KT', '', '', NULL),
		('270', 'z', 'Nota pubblica', 'Nota pubblica', 1, 0, NULL, 9, NULL, NULL, '', NULL, -1, 'KT', '', '', NULL),
		('300', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, '', 3, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('300', '6', 'Collegamento', 'Collegamento', 0, 0, '', 3, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('300', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 3, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('300', 'a', 'Estensione', 'Estensione', 1, 1, 'biblioitems.pages', 3, '', '', '', NULL, 0, 'KT', '', '', NULL),
		('300', 'b', 'Altre particolarità fisiche', 'Altre particolarità fisiche', 0, 0, 'biblioitems.illus', 3, '', '', '', 0, 0, 'KT', '', '', NULL),
		('300', 'c', 'Dimensioni', 'Dimensioni', 1, 0, 'biblioitems.size', 3, '', '', '', NULL, 0, 'KT', '', '', NULL),
		('300', 'd', 'Accompanying material [OBSOLETE, CAN/MARC]', 'Accompanying material [OBSOLETE, CAN/MARC]', 0, 0, '', 3, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('300', 'e', 'Materiale allegato', 'Materiale allegato', 0, 0, '', 3, '', '', '', NULL, 0, 'KT', '', '', NULL),
		('300', 'f', 'Tipo di materiale', 'Tipo di materiale', 1, 0, '', 3, '', '', '', NULL, -1, 'KT', '', '', NULL),
		('300', 'g', 'Dimensioni del materiale', 'Dimensioni del materiale', 1, 0, '', 3, '', '', '', NULL, -1, 'KT', '', '', NULL),
		('300', 'k', 'Speed [Videodiscs, pre-AACR2 records only] [OBSOLETE, CAN/MARC]', 'Speed [Videodiscs, pre-AACR2 records only] [OBSOLETE, CAN/MARC]', 0, 0, '', 3, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('300', 'm', 'Identification/manufacturer number [pre-AACR2 records only] [OBSOLETE, CAN/MARC]', 'Identification/manufacturer number [pre-AACR2 records only] [OBSOLETE, CAN/MARC]', 0, 0, '', 3, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('300', 'n', 'Matrix and/or take number [Sound recordings, pre-AACR2 records only] [OBSOLETE, CAN/MARC]', 'Matrix and/or take number [Sound recordings, pre-AACR2 records only] [OBSOLETE, CAN/MARC]', 0, 0, '', 3, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('301', 'a', 'Estensione della copia', 'Estensione della copia', 0, 0, '', 3, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('301', 'b', 'Caratteristiche del suono', 'Caratteristiche del suono', 0, 0, '', 3, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('301', 'c', 'Caratteristiche del colore', 'Caratteristiche del colore', 0, 0, '', 3, '', '', NULL, NULL, -6, 'KT', '', '', NULL),
		('301', 'd', 'Dimensioni', 'Dimensioni', 0, 0, '', 3, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('301', 'e', 'Caratteristiche del suono', 'Caratteristiche del suono', 0, 0, '', 3, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('301', 'f', 'Velocità', 'Velocità', 0, 0, '', 3, '', '', NULL, NULL, -6, 'KT', '', '', NULL),
		('302', 'a', 'Page count', 'Page count', 0, 0, '', 3, '', '', NULL, NULL, -6, 'KT', '', '', NULL),
		('303', 'a', 'Unit count', 'Unit count', 0, 0, '', 3, '', '', NULL, NULL, -6, 'KT', '', '', NULL),
		('304', 'a', 'Linear footage', 'Linear footage', 0, 0, '', 3, '', '', NULL, NULL, -6, 'KT', '', '', NULL),
		('305', '6', 'Collegamento', 'Collegamento', 0, 0, '', 3, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('305', 'a', 'Estensione', 'Estensione', 0, 0, '', 3, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('305', 'b', 'Altre particolarità fisiche', 'Altre particolarità fisiche', 0, 0, '', 3, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('305', 'c', 'Dimensioni', 'Dimensioni', 0, 0, '', 3, '', '', NULL, NULL, -6, 'KT', '', '', NULL),
		('305', 'd', 'Microgroove or standard', 'Microgroove or standard', 0, 0, '', 3, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('305', 'e', 'Stereofonico, monoaurale', 'Stereofonico, monoaurale', 0, 0, '', 3, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('305', 'f', 'Numero dei tracciati', 'Numero dei tracciati', 0, 0, '', 3, '', '', NULL, NULL, -6, 'KT', '', '', NULL),
		('305', 'm', 'Serial identification', 'Serial identification', 0, 0, '', 3, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('305', 'n', 'Matrix and/or take number', 'Matrix and/or take number', 0, 0, '', 3, '', '', NULL, NULL, -6, 'KT', '', '', NULL),
		('306', '6', 'Collegamento', 'Collegamento', 0, 0, '', 3, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('306', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 3, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('306', 'a', 'Durata di riproduzione', 'Durata di riproduzione', 0, 0, '', 3, '', '', '', NULL, -1, 'KT', '', '', NULL),
		('307', '6', 'Collegamento', 'Collegamento', 0, 0, '', 3, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('307', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 3, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('307', 'a', 'Ore', 'Ore', 0, 0, '', 3, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('307', 'b', 'Informazione addizionale', 'Informazione addizionale', 0, 0, '', 3, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('308', '6', 'Collegamento', 'Collegamento', 0, 0, '', 3, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('308', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 3, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('308', 'a', 'Numero di bobine', 'Numero di bobine', 0, 0, '', 3, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('308', 'b', 'Footage', 'Footage', 0, 0, '', 3, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('308', 'c', 'Caratteristiche del suono', 'Caratteristiche del suono', 0, 0, '', 3, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('308', 'd', 'Caratteristiche del colore', 'Caratteristiche del colore', 0, 0, '', 3, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('308', 'e', 'Larghezza', 'Larghezza', 0, 0, '', 3, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('308', 'f', 'Formato di presentazione', 'Formato di presentazione', 0, 0, '', 3, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('310', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('310', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('310', 'a', 'Periodicità corrente della pubblicazione', 'Periodicità corrente della pubblicazione', 0, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('310', 'b', 'Data di periodicità corrente della pubblicazione', 'Data di periodicità corrente della pubblicazione', 0, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('315', '6', 'Collegamento', 'Collegamento', 0, 0, '', 3, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('315', 'a', 'Frequenza', 'Frequenza', 1, 0, '', 3, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('315', 'b', 'Date della frequenza', 'Date della frequenza', 1, 0, '', 3, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('321', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('321', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('321', 'a', 'Periodicità precedente della pubblicazione', 'Periodicità precedente della pubblicazione', 0, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('321', 'b', 'Date di periodicità precedente della pubblicazione', 'Date di periodicità precedente della pubblicazione', 0, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('340', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, '', 3, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('340', '6', 'Collegamento', 'Collegamento', 0, 0, '', 3, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('340', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 3, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('340', 'a', 'Base e composizione del materiale', 'Base e composizione del materiale', 1, 0, '', 3, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('340', 'b', 'Dimensioni', 'Dimensioni', 1, 0, '', 3, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('340', 'c', 'Materiali applicati alla superficie', 'Materiali applicati alla superficie', 1, 0, '', 3, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('340', 'd', 'Tecnica della registrazione della informazione', 'Tecnica della registrazione della informazione', 1, 0, '', 3, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('340', 'e', 'Supporto', 'Supporto', 1, 0, '', 3, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('340', 'f', 'Fattore/proporzione di produzione comprensibile (ad es., giri al minuto per le registrazioni)', 'Fattore/proporzione di produzione comprensibile (ad es., giri al minuto per le registrazioni)', 1, 0, '', 3, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('340', 'h', 'Localizzazione nel supporto', 'Localizzazione nel supporto', 1, 0, '', 3, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('340', 'i', 'Specificazioni tecniche del supporto', 'Specificazioni tecniche del supporto', 1, 0, '', 3, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('342', '2', 'Metodo di riferimento usato', 'Metodo di riferimento usato', 0, 0, '', 3, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('342', '6', 'Collegamento', 'Collegamento', 0, 0, '', 3, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('342', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 3, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('342', 'a', 'Nome', 'Nome', 1, 0, '', 3, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('342', 'b', 'Unità di distanza o di coordinate', 'Unità di distanza o di coordinate', 0, 0, '', 3, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('342', 'c', 'Risoluzione di latitudine', 'Risoluzione di latitudine', 0, 0, '', 3, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('342', 'd', 'Risoluzione di longitudine', 'Risoluzione di longitudine', 0, 0, '', 3, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('342', 'e', 'Parallela standard o latitudine di lineare obliqua', 'Parallela standard o latitudine di lineare obliqua', 1, 0, '', 3, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('342', 'f', 'Longitudine di lineare obliqua', 'Longitudine di lineare obliqua', 1, 0, '', 3, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('342', 'g', 'Longitudine del meridiano centrale o del centro della proiezione', 'Longitudine del meridiano centrale o del centro della proiezione', 0, 0, '', 3, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('342', 'h', 'Latitudine dell\'origine della proiezione o del centro della proiezione', 'Latitudine dell\'origine della proiezione o del centro della proiezione', 0, 0, '', 3, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('342', 'i', 'Ascissa falsa', 'Ascissa falsa', 0, 0, '', 3, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('342', 'j', 'Ordinata falsa', 'Ordinata falsa', 0, 0, '', 3, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('342', 'k', 'Fattore di scala', 'Fattore di scala', 0, 0, '', 3, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('342', 'l', 'Altezza del punto di vista sulla superficie', 'Altezza del punto di vista sulla superficie', 0, 0, '', 3, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('342', 'm', 'Angolo d\'azimut', 'Angolo d\'azimut', 0, 0, '', 3, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('342', 'n', 'Longitudine del punto di misura d\'azimut o longitudine verticale retta dal polo', 'Longitudine del punto di misura d\'azimut o longitudine verticale retta dal polo', 0, 0, '', 3, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('342', 'o', 'Numero del Landsat e numero di traiettoria', 'Numero del Landsat e numero di traiettoria', 0, 0, '', 3, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('342', 'p', 'Identificatore di zona', 'Identificatore di zona', 0, 0, '', 3, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('342', 'q', 'Nome dell\'ellissoide', 'Nome dell\'ellissoide', 0, 0, '', 3, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('342', 'r', 'Semiasse maggiore', 'Semiasse maggiore', 0, 0, '', 3, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('342', 's', 'Denominatore del rapporto di spianatura', 'Denominatore del rapporto di spianatura', 0, 0, '', 3, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('342', 't', 'Risoluzione verticale', 'Risoluzione verticale', 0, 0, '', 3, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('342', 'u', 'Metodo di codifica verticale', 'Metodo di codifica verticale', 0, 0, '', 3, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('342', 'v', 'Proiezione locale piana, locale o diversa o descrizione del reticolato', 'Proiezione locale piana, locale o diversa o descrizione del reticolato', 0, 0, '', 3, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('342', 'w', 'Informazione di riferimento geospaziale locale piano o locale', 'Informazione di riferimento geospaziale locale piano o locale', 0, 0, '', 3, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('343', '6', 'Collegamento', 'Collegamento', 0, 0, '', 3, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('343', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 3, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('343', 'a', 'Metodo di codifica di coordinate piane', 'Metodo di codifica di coordinate piane', 1, 0, '', 3, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('343', 'b', 'Unità di distanza piana', 'Unità di distanza piana', 0, 0, '', 3, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('343', 'c', 'Risoluzione dell\'ascissa', 'Risoluzione dell\'ascissa', 0, 0, '', 3, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('343', 'd', 'Risoluzione dell\'ordinata', 'Risoluzione dell\'ordinata', 0, 0, '', 3, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('343', 'e', 'Risoluzione di distanza', 'Risoluzione di distanza', 0, 0, '', 3, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('343', 'f', 'Risoluzione di orientamento', 'Risoluzione di orientamento', 0, 0, '', 3, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('343', 'g', 'Unità di orientamento', 'Unità di orientamento', 0, 0, '', 3, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('343', 'h', 'Direzione di riferimento dell\'orientamento', 'Direzione di riferimento dell\'orientamento', 0, 0, '', 3, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('343', 'i', 'Meridiano di riferimento dell\'orientamento', 'Meridiano di riferimento dell\'orientamento', 0, 0, '', 3, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('350', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('350', 'a', 'Prezzo', 'Prezzo', 1, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('350', 'b', 'Forma dell\'emissione', 'Forma dell\'emissione', 1, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('351', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('351', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('351', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('351', 'a', 'Organizzazione', 'Organizzazione', 1, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('351', 'b', 'Ordinamento', 'Ordinamento', 1, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('351', 'c', 'Livello gerarchico', 'Livello gerarchico', 0, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('352', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('352', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('352', 'a', 'Metodo di riferimento diretto', 'Metodo di riferimento diretto', 0, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('352', 'b', 'Tipo di oggetto', 'Tipo di oggetto', 1, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('352', 'c', 'Contatore di oggetti', 'Contatore di oggetti', 1, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('352', 'd', 'Contatore di linee', 'Contatore di linee', 0, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('352', 'e', 'Contattore di colonne', 'Contattore di colonne', 0, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('352', 'f', 'Contattore verticale', 'Contattore verticale', 0, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('352', 'g', 'Livello di topologia VPF', 'Livello di topologia VPF', 0, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('352', 'i', 'Descrizione di riferimento indiretto', 'Descrizione di riferimento indiretto', 0, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('355', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('355', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('355', 'a', 'Classificazione di sicurezza', 'Classificazione di sicurezza', 0, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('355', 'b', 'Istruzioni per l\'uso', 'Istruzioni per l\'uso', 1, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('355', 'c', 'Informazione di diffusione esterna', 'Informazione di diffusione esterna', 1, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('355', 'd', 'Informazione di riduzione del livello di sicurezza o di declassificazione', 'Informazione di riduzione del livello di sicurezza o di declassificazione', 0, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('355', 'e', 'Sistema di classificazione', 'Sistema di classificazione', 0, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('355', 'f', 'Codice del paese di origine', 'Codice del paese di origine', 0, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('355', 'g', 'Data di riduzione del livello di sicurezza', 'Data di riduzione del livello di sicurezza', 0, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('355', 'h', 'Data di declassificazione', 'Data di declassificazione', 0, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('355', 'j', 'Autorizzazione', 'Autorizzazione', 1, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('357', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('357', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('357', 'a', 'Termine di controllo del creatore', 'Termine di controllo del creatore', 0, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('357', 'b', 'Agenzia di diffusione', 'Agenzia di diffusione', 1, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('357', 'c', 'Destinatari autorizzati del materiale', 'Destinatari autorizzati del materiale', 1, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('357', 'g', 'Altre restrizioni', 'Altre restrizioni', 1, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('359', 'a', 'Prezzo del prestito', 'Prezzo del prestito', 0, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('362', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('362', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('362', 'a', 'Date della pubblicazione e/o designazione sequenziale', 'Date della pubblicazione e/o designazione sequenziale', 0, 0, 'biblioitems.volumedesc', 3, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('362', 'z', 'Fonte dell\'informazione', 'Fonte dell\'informazione', 0, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('365', '2', 'Fonte del codice del tipo di prezzo', 'Fonte del codice del tipo di prezzo', 0, 0, '', 9, '', '', '', NULL, -1, 'KT', '', '', NULL),
		('365', '6', 'Collegamento', 'Collegamento', 0, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('365', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('365', 'a', 'Codice del tipo di prezzo', 'Codice del tipo di prezzo', 0, 0, '', 9, '', '', '', NULL, -1, 'KT', '', '', NULL),
		('365', 'b', 'Prezzo totale', 'Prezzo totale', 0, 0, '', 9, '', '', '', NULL, -1, 'KT', '', '', NULL),
		('365', 'c', 'Codice della valuta', 'Codice della valuta', 0, 0, '', 9, '', '', '', NULL, -1, 'KT', '', '', NULL),
		('365', 'd', 'Unità de fissazione del prezzo', 'Unità de fissazione del prezzo', 0, 0, '', 9, '', '', '', NULL, -1, 'KT', '', '', NULL),
		('365', 'e', 'Nota sul prezzo', 'Nota sul prezzo', 0, 0, '', 9, '', '', '', NULL, -1, 'KT', '', '', NULL),
		('365', 'f', 'Prezzo in vigore dal', 'Prezzo in vigore dal', 0, 0, '', 9, '', '', '', NULL, -1, 'KT', '', '', NULL),
		('365', 'g', 'Prezzo in vigore fino al', 'Prezzo in vigore fino al', 0, 0, '', 9, '', '', '', NULL, -1, 'KT', '', '', NULL),
		('365', 'h', 'Aliquota 1', 'Aliquota 1', 0, 0, '', 9, '', '', '', NULL, -1, 'KT', '', '', NULL),
		('365', 'i', 'Aliquota 2', 'Aliquota 2', 0, 0, '', 9, '', '', '', NULL, -1, 'KT', '', '', NULL),
		('365', 'j', 'Codice ISO del paese', 'Codice ISO del paese', 0, 0, '', 9, '', '', '', NULL, -1, 'KT', '', '', NULL),
		('365', 'k', 'Codice MARC del paese', 'Codice MARC del paese', 0, 0, '', 9, '', '', '', NULL, -1, 'KT', '', '', NULL),
		('365', 'm', 'Identificazione dell\'ente di fissazione del prezzo', 'Identificazione dell\'ente di fissazione del prezzo', 0, 0, '', 9, '', '', '', NULL, -1, 'KT', '', '', NULL),
		('366', '2', 'Fonte dello stato di disponibilità', 'Fonte dello stato di disponibilità', 0, 0, '', 9, '', '', '', NULL, -1, 'KT', '', '', NULL),
		('366', '6', 'Collegamento', 'Collegamento', 0, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('366', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('366', 'a', 'Identificazione editoriale abbreviata di titolo', 'Identificazione editoriale abbreviata di titolo', 0, 0, '', 9, '', '', '', NULL, -1, 'KT', '', '', NULL),
		('366', 'b', 'Data dettagliata di pubblicazione', 'Data dettagliata di pubblicazione', 0, 0, '', 9, '', '', '', NULL, -1, 'KT', '', '', NULL),
		('366', 'c', 'Codice dello stato di disponibilità', 'Codice dello stato di disponibilità', 0, 0, '', 9, '', '', '', NULL, -1, 'KT', '', '', NULL),
		('366', 'd', 'Data prevedibile della prossima disponibilità', 'Data prevedibile della prossima disponibilità', 0, 0, '', 9, '', '', '', NULL, -1, 'KT', '', '', NULL),
		('366', 'e', 'Nota', 'Nota', 0, 0, '', 9, '', '', '', NULL, -1, 'KT', '', '', NULL),
		('366', 'f', 'Tipo di sconto dell\'editore', 'Tipo di sconto dell\'editore', 0, 0, '', 9, '', '', '', NULL, -1, 'KT', '', '', NULL),
		('366', 'g', 'Data di esaurimento', 'Data di esaurimento', 0, 0, '', 9, '', '', '', NULL, -1, 'KT', '', '', NULL),
		('366', 'j', 'Codice ISO del paese', 'Codice ISO del paese', 0, 0, '', 9, '', '', '', NULL, -1, 'KT', '', '', NULL),
		('366', 'k', 'Codice MARC del paese', 'Codice MARC del paese', 0, 0, '', 9, '', '', '', NULL, -1, 'KT', '', '', NULL),
		('366', 'm', 'Identificazione dell\'agenzia', 'Identificazione dell\'agenzia', 0, 0, '', 9, '', '', '', NULL, -1, 'KT', '', '', NULL),
		('400', '4', 'Codice di ruolo', 'Codice di ruolo', 1, 0, '', 4, '', '', '', 0, -6, 'KT', '', '', NULL),
		('400', '6', 'Collegamento', 'Collegamento', 0, 0, '', 4, '', '', '', 0, -6, 'KT', '', '', NULL),
		('400', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 4, '', '', '', 0, -6, 'KT', '', '', NULL),
		('400', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 4, '', '', '', 0, -5, 'KT', '', '', NULL),
		('400', 'a', 'Nome di persona', 'Nome di persona', 0, 0, '', 4, '', '', '', 0, -6, 'KT', '', '', NULL),
		('400', 'b', 'Numerazione', 'Numerazione', 0, 0, '', 4, '', '', '', 0, -6, 'KT', '', '', NULL),
		('400', 'c', 'Titoli e altre parole associate al nome', 'Titoli e altre parole associate al nome', 1, 0, '', 4, '', '', '', 0, -6, 'KT', '', '', NULL),
		('400', 'd', 'Date associate al nome', 'Date associate al nome', 0, 0, '', 4, '', '', '', 0, -6, 'KT', '', '', NULL),
		('400', 'e', 'Termine di ruolo', 'Termine di ruolo', 1, 0, '', 4, '', '', '', 0, -6, 'KT', '', '', NULL),
		('400', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, '', 4, '', '', '', 0, -6, 'KT', '', '', NULL),
		('400', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, '', 4, '', '', '', 0, -6, 'KT', '', '', NULL),
		('400', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, '', 4, '', '', '', 0, -6, 'KT', '', '', NULL),
		('400', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, '', 4, '', '', '', 0, -6, 'KT', '', '', NULL),
		('400', 'n', 'Numero di parte/sezione dell\'opera', 'Numero di parte/sezione dell\'opera', 1, 0, '', 4, '', '', '', 0, -6, 'KT', '', '', NULL),
		('400', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, '', 4, '', '', '', 0, -6, 'KT', '', '', NULL),
		('400', 'q', 'Forma completa del nome', 'Forma completa del nome', 0, 0, '', 4, '', '', '', 0, -6, 'KT', '', '', NULL),
		('400', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, '', 4, '', '', '', 0, -6, 'KT', '', '', NULL),
		('400', 'u', 'Affiliazione', 'Affiliazione', 0, 0, '', 4, '', '', '', 0, -6, 'KT', '', '', NULL),
		('400', 'v', 'Numero del volume/designazione di sequenza', 'Numero del volume/designazione di sequenza', 0, 0, '', 4, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('400', 'x', 'ISSN (International Standard Serial Number)', 'ISSN (International Standard Serial Number)', 0, 0, '', 4, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('410', '4', 'Codice di ruolo', 'Codice di ruolo', 1, 0, '', 4, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('410', '6', 'Collegamento', 'Collegamento', 0, 0, '', 4, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('410', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 4, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('410', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 4, '', '', '', 0, -6, 'KT', '', '', NULL),
		('410', 'a', 'Nome dell\'ente o nome della giurisdizione come accesso', 'Nome dell\'ente o nome della giurisdizione come accesso', 0, 0, '', 4, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('410', 'b', 'Unità subordinata', 'Unità subordinata', 1, 0, '', 4, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('410', 'c', 'Luogo del convegno', 'Luogo del convegno', 0, 0, '', 4, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('410', 'd', 'Data del convegno o di firma del trattato', 'Data del convegno o di firma del trattato', 1, 0, '', 4, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('410', 'e', 'Termine di ruolo', 'Termine di ruolo', 1, 0, '', 4, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('410', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, '', 4, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('410', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, '', 4, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('410', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, '', 4, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('410', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, '', 4, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('410', 'n', 'Numero di parte/sezione/convegno', 'Numero di parte/sezione/convegno', 1, 0, '', 4, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('410', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, '', 4, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('410', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, '', 4, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('410', 'u', 'Affiliazione', 'Affiliazione', 0, 0, '', 4, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('410', 'v', 'Numero del volume/designazione di sequenza', 'Numero del volume/designazione di sequenza', 0, 0, '', 4, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('410', 'x', 'ISSN (International Standard Serial Number)', 'ISSN (International Standard Serial Number)', 0, 0, '', 4, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('411', '4', 'Codice di ruolo', 'Codice di ruolo', 1, 0, NULL, 4, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('411', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 4, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('411', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 4, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('411', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 4, '', '', '', 0, -5, 'KT', '', '', NULL),
		('411', 'a', 'Nome del convegno o nome della giurisdizione come accesso', 'Nome del convegno o nome della giurisdizione come accesso', 0, 0, NULL, 4, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('411', 'b', 'Number [OBSOLETE]', 'Number [OBSOLETE]', 0, 0, NULL, 4, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('411', 'c', 'Luogo del convegno', 'Luogo del convegno', 0, 0, NULL, 4, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('411', 'd', 'Data del convegno', 'Data del convegno', 0, 0, NULL, 4, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('411', 'e', 'Unità subordinata', 'Unità subordinata', 1, 0, NULL, 4, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('411', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, NULL, 4, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('411', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, NULL, 4, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('411', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, NULL, 4, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('411', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, NULL, 4, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('411', 'n', 'Numero di parte/sezione/convegno', 'Numero di parte/sezione/convegno', 1, 0, NULL, 4, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('411', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, NULL, 4, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('411', 'q', 'Nome del convegno dopo accesso di nome della giurisdizione', 'Nome del convegno dopo accesso di nome della giurisdizione', 0, 0, NULL, 4, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('411', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, NULL, 4, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('411', 'u', 'Affiliazione', 'Affiliazione', 0, 0, NULL, 4, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('411', 'v', 'Numero del volume/designazione di sequenza', 'Numero del volume/designazione di sequenza', 0, 0, '', 4, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('411', 'x', 'ISSN (International Standard Serial Number)', 'ISSN (International Standard Serial Number)', 0, 0, '', 4, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('440', '6', 'Collegamento', 'Collegamento', 0, 0, '', 4, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('440', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 4, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('440', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 4, '', '', '', 0, -5, 'KT', '', '', NULL),
		('440', 'a', 'Titolo', 'Titolo', 0, 0, 'biblio.seriestitle', 4, '', 'UNIF_TITLE', '', NULL, 0, 'KT', '''440n'',''440p'',''490a'',''830a'',''830n'',''830p'',''899a''', '', NULL),
		('440', 'n', 'Numero di parte/sezione dell\'opera', 'Numero di parte/sezione dell\'opera', 1, 0, 'biblioitems.number', 4, '', '', '', NULL, 0, 'KT', '', '', NULL),
		('440', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, '', 4, '', '', '', NULL, 0, 'KT', '', '', NULL),
		('440', 'v', 'Numero del volume/designazione di sequenza', 'Numero del volume/designazione di sequenza', 0, 0, 'biblioitems.volume', 4, '', '', '', NULL, 0, 'KT', '', '', NULL),
		('440', 'x', 'ISSN (International Standard Serial Number)', 'ISSN (International Standard Serial Number)', 0, 0, '', 4, '', '', '', NULL, 0, 'KT', '', '', NULL),
		('490', '6', 'Collegamento', 'Collegamento', 0, 0, '', 4, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('490', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 4, '', '', NULL, NULL, -6, 'KT', '', '', NULL),
		('490', 'a', 'Formulazione della serie', 'Formulazione della serie', 1, 0, '', 4, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('490', 'l', 'Numero di chiamata (collocazione) della Library of Congress', 'Numero di chiamata (collocazione) della Library of Congress', 0, 0, '', 4, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('490', 'v', 'Numero del volume/designazione di sequenza', 'Numero del volume/designazione di sequenza', 1, 0, '', 4, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('490', 'x', 'ISSN (International Standard Serial Number)', 'ISSN (International Standard Serial Number)', 0, 0, '', 4, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('500', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, '', 5, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('500', '5', 'Istituzione a cui si applica il campo', 'Istituzione a cui si applica il campo', 0, 0, '', 5, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('500', '6', 'Collegamento', 'Collegamento', 0, 0, '', 5, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('500', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 5, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('500', 'a', 'Nota generale', 'Nota generale', 0, 0, 'biblio.notes', 5, '', '', '', NULL, -1, 'KT', '', '', NULL),
		('500', 'l', 'Library of Congress call number (SE) [OBSOLETE]', 'Library of Congress call number (SE) [OBSOLETE]', 0, 0, '', 5, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('500', 'n', 'n (RLIN) [OBSOLETE]', 'n (RLIN) [OBSOLETE]', 0, 0, '', 5, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('500', 'x', 'International Standard Serial Number (SE) [OBSOLETE]', 'International Standard Serial Number (SE) [OBSOLETE]', 0, 0, '', 5, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('500', 'z', 'Source of note information (AM SE) [OBSOLETE]', 'Source of note information (AM SE) [OBSOLETE]', 0, 0, '', 5, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('501', '5', 'Istituzione a cui si applica il campo', 'Istituzione a cui si applica il campo', 0, 0, '', 5, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('501', '6', 'Collegamento', 'Collegamento', 0, 0, '', 5, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('501', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 5, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('501', 'a', 'Nota  Pubblicato con', 'Nota  Pubblicato con', 0, 0, '', 5, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('502', '6', 'Collegamento', 'Collegamento', 0, 0, '', 5, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('502', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 5, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('502', 'a', 'Nota di dissertazione', 'Nota di dissertazione', 0, 0, '', 5, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('503', '8', 'Collegamento', 'Collegamento', 0, 0, '', 5, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('503', 'a', 'Bibliographic history note', 'Bibliographic history note', 0, 0, '', 5, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('504', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('504', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('504', 'a', 'Nota di bibliografia, ecc.', 'Nota di bibliografia, ecc.', 0, 0, '', 5, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('504', 'b', 'Numero dei riferimenti', 'Numero dei riferimenti', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('505', '6', 'Collegamento', 'Collegamento', 0, 0, '', 5, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('505', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 5, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('505', 'a', 'Nota formattata di contenuto', 'Nota formattata di contenuto', 0, 0, '', 5, '', '', '', NULL, -1, 'KT', '', '', NULL),
		('505', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 1, 0, '', 5, '', '', '', NULL, -1, 'KT', '', '', NULL),
		('505', 'r', 'Formulazione di responsabilità', 'Formulazione di responsabilità', 1, 0, '', 5, '', '', '', NULL, -1, 'KT', '', '', NULL),
		('505', 't', 'Titolo', 'Titolo', 1, 0, '', 5, '', '', '', NULL, -1, 'KT', '', '', NULL),
		('505', 'u', 'URI (Uniform Resource Identifier)', 'URI (Uniform Resource Identifier)', 1, 0, '', 5, '', '', '', 1, -1, 'KT', '', '', NULL),
		('506', '2', 'Fonte', 'Fonte', 0, 0, '', 5, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('506', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, '', 5, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('506', '5', 'Istituzione a cui si applica il campo', 'Istituzione a cui si applica il campo', 0, 0, '', 5, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('506', '6', 'Collegamento', 'Collegamento', 0, 0, '', 5, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('506', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 5, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('506', 'a', 'Condizioni che regolano l\'accesso', 'Condizioni che regolano l\'accesso', 0, 0, '', 5, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('506', 'b', 'Competenza legale', 'Competenza legale', 1, 0, '', 5, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('506', 'c', 'Disposizioni per l\'accesso fisico', 'Disposizioni per l\'accesso fisico', 1, 0, '', 5, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('506', 'd', 'Utenti autorizzati', 'Utenti autorizzati', 1, 0, '', 5, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('506', 'e', 'Autorizzazione', 'Autorizzazione', 1, 0, '', 5, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('506', 'f', 'Terminologia normalizzata della restrizione all’accesso', 'Terminologia normalizzata della restrizione all’accesso', 1, 0, '', 5, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('506', 'u', 'URI (Uniform Resource Identifier)', 'URI (Uniform Resource Identifier)', 1, 0, '', 5, '', '', '', 1, -6, 'KT', '', '', NULL),
		('507', '6', 'Collegamento', 'Collegamento', 0, 0, '', 5, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('507', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 5, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('507', 'a', 'Nota di frazione rappresentativa di scala', 'Nota di frazione rappresentativa di scala', 0, 0, '', 5, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('507', 'b', 'Restante parte della nota di scala', 'Restante parte della nota di scala', 0, 0, '', 5, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('508', '6', 'Collegamento', 'Collegamento', 0, 0, '', 5, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('508', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('508', 'a', 'Nota sui crediti di creazione/produzione', 'Nota sui crediti di creazione/produzione', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('509', 'a', 'Note informali', 'Note informali', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('510', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, '', 5, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('510', '6', 'Collegamento', 'Collegamento', 0, 0, '', 5, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('510', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 5, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('510', 'a', 'Nome della fonte', 'Nome della fonte', 0, 0, '', 5, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('510', 'b', 'Copertura della fonte', 'Copertura della fonte', 0, 0, '', 5, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('510', 'c', 'Localizzazione nella fonte', 'Localizzazione nella fonte', 0, 0, '', 5, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('510', 'x', 'ISSN (International Standard Serial Number)', 'ISSN (International Standard Serial Number)', 0, 0, '', 5, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('511', '6', 'Collegamento', 'Collegamento', 0, 0, '', 5, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('511', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 5, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('511', 'a', 'Nota sui partecipanti o interpreti', 'Nota sui partecipanti o interpreti', 0, 0, '', 5, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('512', '6', 'Collegamento', 'Collegamento', 0, 0, '', -1, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('512', 'a', 'Earlier or later volumes separately cataloged note', 'Earlier or later volumes separately cataloged note', 0, 0, '', -1, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('513', '6', 'Collegamento', 'Collegamento', 0, 0, '', 5, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('513', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 5, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('513', 'a', 'Tipo di rapporto', 'Tipo di rapporto', 0, 0, '', 5, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('513', 'b', 'Periodo coperto', 'Periodo coperto', 0, 0, '', 5, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('514', '6', 'Collegamento', 'Collegamento', 0, 0, '', 5, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('514', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 5, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('514', 'a', 'Rapporto di esattezza degli attributi', 'Rapporto di esattezza degli attributi', 0, 0, '', 5, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('514', 'b', 'Valore di esattezza degli attributi', 'Valore di esattezza degli attributi', 1, 0, '', 5, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('514', 'c', 'Spiegazione della esattezza degli attributi', 'Spiegazione della esattezza degli attributi', 1, 0, '', 5, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('514', 'd', 'Rapporto di coerenza logica', 'Rapporto di coerenza logica', 0, 0, '', 5, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('514', 'e', 'Rapporto di completezza', 'Rapporto di completezza', 0, 0, '', 5, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('514', 'f', 'Rapporto di esattezza di posizione orizzontale', 'Rapporto di esattezza di posizione orizzontale', 0, 0, '', 5, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('514', 'g', 'Valore di esattezza di posizione orizzontale', 'Valore di esattezza di posizione orizzontale', 1, 0, '', 5, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('514', 'h', 'Spiegazione della esattezza di posizione orizzontale', 'Spiegazione della esattezza di posizione orizzontale', 1, 0, '', 5, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('514', 'i', 'Rapporto di esattezza di posizione verticale', 'Rapporto di esattezza di posizione verticale', 0, 0, '', 5, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('514', 'j', 'Valore di esattezza di posizione verticale', 'Valore di esattezza di posizione verticale', 1, 0, '', 5, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('514', 'k', 'Spiegazione della esattezza di posizione verticale', 'Spiegazione della esattezza di posizione verticale', 1, 0, '', 5, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('514', 'm', 'Nuvolosità', 'Nuvolosità', 0, 0, '', 5, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('514', 'u', 'URI (Uniform Resource Identifier)', 'URI (Uniform Resource Identifier)', 1, 0, '', 5, '', '', '', 1, -6, 'KT', '', '', NULL),
		('514', 'z', 'Nota di visualizzazione', 'Nota di visualizzazione', 1, 0, '', 5, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('515', '6', 'Collegamento', 'Collegamento', 0, 0, '', 5, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('515', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 5, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('515', 'a', 'Nota su particolarità della numerazione', 'Nota su particolarità della numerazione', 0, 0, '', 5, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('515', 'z', 'Source of note information (SE) [OBSOLETE]', 'Source of note information (SE) [OBSOLETE]', 0, 0, '', -1, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('516', '6', 'Collegamento', 'Collegamento', 0, 0, '', 5, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('516', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 5, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('516', 'a', 'Nota sul tipo di computer file o di file di dati', 'Nota sul tipo di computer file o di file di dati', 0, 0, '', 5, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('517', 'a', 'Formati multipli', 'Formati multipli', 0, 0, '', 5, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('517', 'b', 'Descrittori del contenuto', 'Descrittori del contenuto', 1, 0, '', 5, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('517', 'c', 'Tecniche d\'animazione addizionali', 'Tecniche d\'animazione addizionali', 1, 0, '', 5, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('518', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, '', 5, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('518', '6', 'Collegamento', 'Collegamento', 0, 0, '', 5, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('518', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 5, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('518', 'a', 'Nota sulla data/ora e luogo dell\'evento', 'Nota sulla data/ora e luogo dell\'evento', 0, 0, '', 5, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('520', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, '', 5, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('520', '6', 'Collegamento', 'Collegamento', 0, 0, '', 5, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('520', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 5, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('520', 'a', 'Nota di riassunto, ecc.', 'Nota di riassunto, ecc.', 0, 0, 'biblio.abstract', 5, '', '', '', NULL, -1, 'KT', '', '', NULL),
		('520', 'b', 'Nota di estensione del riassunto', 'Nota di estensione del riassunto', 0, 0, '', 5, '', '', '', NULL, -1, 'KT', '', '', NULL),
		('520', 'u', 'URI (Uniform Resource Identifier)', 'URI (Uniform Resource Identifier)', 1, 0, '', 5, '', '', '', 1, -1, 'KT', '', '', NULL),
		('520', 'z', 'Source of note information [OBSOLETE]', 'Source of note information [OBSOLETE]', 0, 0, '', 5, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('521', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('521', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('521', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('521', 'a', 'Nota sui destinatari', 'Nota sui destinatari', 1, 0, NULL, 5, NULL, NULL, '', NULL, 0, 'KT', '', '', NULL),
		('521', 'b', 'Fonte', 'Fonte', 0, 0, NULL, 5, NULL, NULL, '', NULL, 0, 'KT', '', '', NULL),
		('522', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('522', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('522', 'a', 'Nota di copertura geografica', 'Nota di copertura geografica', 0, 0, NULL, 5, NULL, NULL, '', NULL, -1, 'KT', '', '', NULL),
		('523', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('523', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('523', 'a', 'Time period of content note', 'Time period of content note', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('524', '2', 'Fonte dello schema usato', 'Fonte dello schema usato', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('524', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('524', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('524', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('524', 'a', 'Nota sulla citazione preferita dei materiali descritti', 'Nota sulla citazione preferita dei materiali descritti', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('525', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('525', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('525', 'a', 'Nota di supplemento', 'Nota di supplemento', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('525', 'z', 'Source of note information (SE) [OBSOLETE]', 'Source of note information (SE) [OBSOLETE]', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('526', '5', 'Istituzione a cui si applica il campo', 'Istituzione a cui si applica il campo', 0, 0, '', 5, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('526', '6', 'Collegamento', 'Collegamento', 0, 0, '', 5, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('526', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 5, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('526', 'a', 'Nome del programma', 'Nome del programma', 0, 0, '', 5, '', '', '', NULL, -1, 'KT', '', '', NULL),
		('526', 'b', 'Livello d\'interesse', 'Livello d\'interesse', 0, 0, '', 5, '', '', '', NULL, -1, 'KT', '', '', NULL),
		('526', 'c', 'Livello di lettura', 'Livello di lettura', 0, 0, '', 5, '', '', '', NULL, -1, 'KT', '', '', NULL),
		('526', 'd', 'Valore numerico del titolo', 'Valore numerico del titolo', 0, 0, '', 5, '', '', '', NULL, -1, 'KT', '', '', NULL),
		('526', 'i', 'Testo da visualizzare', 'Testo da visualizzare', 0, 0, '', 5, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('526', 'x', 'Nota non pubblic', 'Nota non pubblic', 1, 0, '', 5, '', '', '', NULL, 6, 'KT', '', '', NULL),
		('526', 'z', 'Nota pubblica', 'Nota pubblica', 1, 0, '', 5, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('527', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('527', 'a', 'Censorship note', 'Censorship note', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('530', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('530', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('530', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('530', 'a', 'Nota sulla disponibilità su altro supporto fisico', 'Nota sulla disponibilità su altro supporto fisico', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('530', 'b', 'Fonte di disponibilità', 'Fonte di disponibilità', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('530', 'c', 'Condizioni di disponibilità', 'Condizioni di disponibilità', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('530', 'd', 'Numero di ordine', 'Numero di ordine', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('530', 'u', 'URI (Uniform Resource Identifier)', 'URI (Uniform Resource Identifier)', 1, 0, NULL, 5, NULL, NULL, '', 1, -6, 'KT', '', '', NULL),
		('530', 'z', 'Source of note information (AM CF VM SE) [OBSOLETE]', 'Source of note information (AM CF VM SE) [OBSOLETE]', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('533', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('533', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('533', '7', 'Elementi di lunghezza fissa della riproduzione', 'Elementi di lunghezza fissa della riproduzione', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('533', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('533', 'a', 'Tipo di riproduzione', 'Tipo di riproduzione', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('533', 'b', 'Luogo di riproduzione', 'Luogo di riproduzione', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('533', 'c', 'Agenzia responsabile della riproduzione', 'Agenzia responsabile della riproduzione', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('533', 'd', 'Data di riproduzione', 'Data di riproduzione', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('533', 'e', 'Descrizione fisica della riproduzione', 'Descrizione fisica della riproduzione', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('533', 'f', 'Formulazione della serie della riproduzione', 'Formulazione della serie della riproduzione', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('533', 'm', 'Date e/o designazione sequenziale dei documenti riprodotti', 'Date e/o designazione sequenziale dei documenti riprodotti', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('533', 'n', 'Nota sulla riproduzione', 'Nota sulla riproduzione', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('534', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('534', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('534', 'a', 'Accesso principale dell\'originale', 'Accesso principale dell\'originale', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('534', 'b', 'Formulazione di edizione dell\'originale', 'Formulazione di edizione dell\'originale', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('534', 'c', 'Pubblicazione, distribuzione, ecc., dell\'originale', 'Pubblicazione, distribuzione, ecc., dell\'originale', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('534', 'e', 'Descrizione fisica, ecc., dell\'originale', 'Descrizione fisica, ecc., dell\'originale', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('534', 'f', 'Formulazione della serie dell\'originale', 'Formulazione della serie dell\'originale', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('534', 'k', 'Titolo chiave dell\'originale', 'Titolo chiave dell\'originale', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('534', 'l', 'Localizzazione dell\'originale', 'Localizzazione dell\'originale', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('534', 'm', 'Dettagli specifici del materiale', 'Dettagli specifici del materiale', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('534', 'n', 'Nota sull\'originale', 'Nota sull\'originale', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('534', 'p', 'Frase introduttiva', 'Frase introduttiva', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('534', 't', 'Formulazione del titolo dell\'originale', 'Formulazione del titolo dell\'originale', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('534', 'x', 'ISSN (International Standard Serial Number)', 'ISSN (International Standard Serial Number)', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('534', 'z', 'ISBN (International Standard Book Number)', 'ISBN (International Standard Book Number)', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('535', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('535', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('535', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('535', 'a', 'Conservatore', 'Conservatore', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('535', 'b', 'Indirizzo postale', 'Indirizzo postale', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('535', 'c', 'Paese', 'Paese', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('535', 'd', 'Indirizzo di telecomunicazione', 'Indirizzo di telecomunicazione', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('535', 'g', 'Codice di localizzazione del deposito', 'Codice di localizzazione del deposito', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('536', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('536', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('536', 'a', 'Testo della nota', 'Testo della nota', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('536', 'b', 'Numero di contratto', 'Numero di contratto', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('536', 'c', 'Numero di sovvenzione', 'Numero di sovvenzione', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('536', 'd', 'Numero indifferenziato', 'Numero indifferenziato', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('536', 'e', 'Numero di elemento di un programma', 'Numero di elemento di un programma', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('536', 'f', 'Numero di progetto', 'Numero di progetto', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('536', 'g', 'Numero di unità di lavoro', 'Numero di unità di lavoro', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('536', 'h', 'Numero di unità di lavoro', 'Numero di unità di lavoro', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('537', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('537', 'a', 'Source of data note', 'Source of data note', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('538', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('538', '6', 'Collegamento', 'Collegamento', 0, 0, '', 5, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('538', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 5, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('538', 'a', 'Nota sui requisiti del sistema', 'Nota sui requisiti del sistema', 0, 0, '', 5, '', '', '', NULL, -1, 'KT', '', '', NULL),
		('538', 'i', 'Testo da visualizzare', 'Testo da visualizzare', 0, 0, '', 5, '', '', '', NULL, -1, 'KT', '', '', NULL),
		('538', 'u', 'URI (Uniform Resource Identifier)', 'URI (Uniform Resource Identifier)', 1, 0, '', 5, '', '', '', 1, -1, 'KT', '', '', NULL),
		('540', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('540', '5', 'Istituzione a cui si applica il campo', 'Istituzione a cui si applica il campo', 0, 0, '', 5, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('540', '6', 'Collegamento', 'Collegamento', 0, 0, '', 5, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('540', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 5, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('540', 'a', 'Condizioni che regolano l\'utilizzo e la riproduzione', 'Condizioni che regolano l\'utilizzo e la riproduzione', 0, 0, '', 5, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('540', 'b', 'Competenza legale', 'Competenza legale', 0, 0, '', 5, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('540', 'c', 'Autorizzazione', 'Autorizzazione', 0, 0, '', 5, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('540', 'd', 'Utenti autorizzati', 'Utenti autorizzati', 0, 0, '', 5, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('540', 'u', 'URI (Uniform Resource Identifier)', 'URI (Uniform Resource Identifier)', 1, 0, '', 5, '', '', '', 1, -6, 'KT', '', '', NULL),
		('541', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, NULL, 9, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('541', '5', 'Istituzione a cui si applica il campo', 'Istituzione a cui si applica il campo', 0, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('541', '6', 'Collegamento', 'Collegamento', 0, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('541', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('541', 'a', 'Fonte d\'acquisto', 'Fonte d\'acquisto', 0, 0, '', 9, '', '', '', NULL, 1, 'KT', '', '', NULL),
		('541', 'b', 'Indirizzo', 'Indirizzo', 0, 0, '', 9, '', '', '', NULL, 1, 'KT', '', '', NULL),
		('541', 'c', 'Metodo d\'acquisto', 'Metodo d\'acquisto', 0, 0, '', 9, '', '', '', NULL, 1, 'KT', '', '', NULL),
		('541', 'd', 'Data d\'acquisto', 'Data d\'acquisto', 0, 0, '', 9, '', '', '', NULL, 1, 'KT', '', '', NULL),
		('541', 'e', 'Numero d\'accessione', 'Numero d\'accessione', 0, 0, '', 9, '', '', '', NULL, 1, 'KT', '', '', NULL),
		('541', 'f', 'Proprietario', 'Proprietario', 0, 0, '', 9, '', '', '', NULL, 1, 'KT', '', '', NULL),
		('541', 'h', 'Prezzo d\'acquisto', 'Prezzo d\'acquisto', 0, 0, '', 9, '', '', '', NULL, 1, 'KT', '', '', NULL),
		('541', 'n', 'Estensione', 'Estensione', 0, 0, '', 9, '', '', '', NULL, 1, 'KT', '', '', NULL),
		('541', 'o', 'Tipo di materiale', 'Tipo di materiale', 1, 0, '', 9, '', '', '', NULL, 1, 'KT', '', '', NULL),
		('543', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('543', 'a', 'Solicitation information note', 'Solicitation information note', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('544', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('544', '6', 'Collegamento', 'Collegamento', 0, 0, '', 5, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('544', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 5, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('544', 'a', 'Conservatore', 'Conservatore', 1, 0, '', 5, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('544', 'b', 'Indirizzo', 'Indirizzo', 1, 0, '', 5, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('544', 'c', 'Paese', 'Paese', 1, 0, '', 5, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('544', 'd', 'Titolo', 'Titolo', 1, 0, '', 5, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('544', 'e', 'Provenienza', 'Provenienza', 1, 0, '', 5, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('544', 'n', 'Nota', 'Nota', 1, 0, '', 5, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('545', '6', 'Collegamento', 'Collegamento', 0, 0, '', 5, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('545', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 5, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('545', 'a', 'Nota biografica o storica', 'Nota biografica o storica', 0, 0, '', 5, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('545', 'b', 'Ampliamento', 'Ampliamento', 0, 0, '', 5, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('545', 'u', 'URI (Uniform Resource Identifier)', 'URI (Uniform Resource Identifier)', 1, 0, '', 5, '', '', '', 1, -6, 'KT', '', '', NULL),
		('546', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('546', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('546', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('546', 'a', 'Nota sulla lingua', 'Nota sulla lingua', 0, 0, NULL, 5, NULL, NULL, '', NULL, -1, 'KT', '', '', NULL),
		('546', 'b', 'Codice d\'informazione o alfabeto', 'Codice d\'informazione o alfabeto', 1, 0, NULL, 5, NULL, NULL, '', NULL, -1, 'KT', '', '', NULL),
		('546', 'z', 'Source of note information (SE) [OBSOLETE]', 'Source of note information (SE) [OBSOLETE]', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('547', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('547', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('547', 'a', 'Nota sulla complessità del titolo precedente', 'Nota sulla complessità del titolo precedente', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('547', 'z', 'Source of note information (SE) [OBSOLETE]', 'Source of note information (SE) [OBSOLETE]', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('550', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('550', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('550', 'a', 'Nota sull\'ente responsabile', 'Nota sull\'ente responsabile', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('550', 'z', 'Source of note information (SE) [OBSOLETE]', 'Source of note information (SE) [OBSOLETE]', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('552', '6', 'Collegamento', 'Collegamento', 0, 0, '', 5, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('552', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 5, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('552', 'a', 'Etichetta del tipo di ente', 'Etichetta del tipo di ente', 0, 0, '', 5, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('552', 'b', 'Definizione e fonte del tipo di ente', 'Definizione e fonte del tipo di ente', 0, 0, '', 5, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('552', 'c', 'Etichetta dell\'attributo', 'Etichetta dell\'attributo', 0, 0, '', 5, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('552', 'd', 'Definizione e fonte dell\'attributo', 'Definizione e fonte dell\'attributo', 0, 0, '', 5, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('552', 'e', 'Valore del dominio enumerato', 'Valore del dominio enumerato', 1, 0, '', 5, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('552', 'f', 'Definizione e fonte del valore del dominio enumerato', 'Definizione e fonte del valore del dominio enumerato', 1, 0, '', 5, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('552', 'g', 'Minimo e massimo del range del dominio', 'Minimo e massimo del range del dominio', 0, 0, '', 5, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('552', 'h', 'Nome e fonte del set dei codici', 'Nome e fonte del set dei codici', 0, 0, '', 5, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('552', 'i', 'Dominio non rappresentabile', 'Dominio non rappresentabile', 0, 0, '', 5, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('552', 'j', 'Unità di misura e risoluzione degli attributi', 'Unità di misura e risoluzione degli attributi', 0, 0, '', 5, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('552', 'k', 'Data d\'inizio e data di fine dei valori dell\'attributo', 'Data d\'inizio e data di fine dei valori dell\'attributo', 0, 0, '', 5, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('552', 'l', 'Esattezza del valore dell\'attributo', 'Esattezza del valore dell\'attributo', 0, 0, '', 5, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('552', 'm', 'Spiegazione dell\'esattezza del valore dell\'attributo', 'Spiegazione dell\'esattezza del valore dell\'attributo', 0, 0, '', 5, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('552', 'n', 'Frequenza della misura d\'attributo', 'Frequenza della misura d\'attributo', 0, 0, '', 5, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('552', 'o', 'Riassunto di ente e d\'attributo', 'Riassunto di ente e d\'attributo', 1, 0, '', 5, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('552', 'p', 'Citazione dei dettagli di ente e d\'attributo', 'Citazione dei dettagli di ente e d\'attributo', 1, 0, '', 5, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('552', 'u', 'URI (Uniform Resource Identifier)', 'URI (Uniform Resource Identifier)', 1, 0, '', 5, '', '', '', 1, -6, 'KT', '', '', NULL),
		('552', 'z', 'Nota di visualizzazione', 'Nota di visualizzazione', 1, 0, '', 5, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('555', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('555', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('555', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('555', 'a', 'Nota sull\'indice cumulativo/strumenti di ricerca', 'Nota sull\'indice cumulativo/strumenti di ricerca', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('555', 'b', 'Fonte di disponibilità', 'Fonte di disponibilità', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('555', 'c', 'Grado di controllo', 'Grado di controllo', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('555', 'd', 'Riferimento bibliografico', 'Riferimento bibliografico', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('555', 'u', 'URI (Uniform Resource Identifier)', 'URI (Uniform Resource Identifier)', 1, 0, NULL, 5, NULL, NULL, '', 1, -6, 'KT', '', '', NULL),
		('556', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('556', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('556', 'a', 'Nota d\'informazione sulla documentazione', 'Nota d\'informazione sulla documentazione', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('556', 'z', 'ISBN (International Standard Book Number)', 'ISBN (International Standard Book Number)', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('561', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('561', '5', 'Istituzione a cui si applica il campo', 'Istituzione a cui si applica il campo', 0, 0, '', 5, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('561', '6', 'Collegamento', 'Collegamento', 0, 0, '', 5, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('561', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 5, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('561', 'a', 'Storia', 'Storia', 0, 0, '', 5, '', '', '', NULL, 6, 'KT', '', '', NULL),
		('561', 'b', 'Time of collation [OBSOLETE]', 'Time of collation [OBSOLETE]', 0, 0, '', 5, '', '', '', NULL, 6, 'KT', '', '', NULL),
		('562', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('562', '5', 'Istituzione a cui si applica il campo', 'Istituzione a cui si applica il campo', 0, 0, NULL, -1, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('562', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('562', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('562', 'a', 'Marche d\'identificazione', 'Marche d\'identificazione', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('562', 'b', 'Identificazione della copia', 'Identificazione della copia', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('562', 'c', 'Identificazione della versione', 'Identificazione della versione', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('562', 'd', 'Formato di presentazione', 'Formato di presentazione', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('562', 'e', 'Numero di copie', 'Numero di copie', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('563', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('563', '5', 'Istituzione a cui si applica il campo', 'Istituzione a cui si applica il campo', 0, 0, NULL, -1, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('563', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('563', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('563', 'a', 'Nota sulla rilegatura', 'Nota sulla rilegatura', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('563', 'u', 'URI (Uniform Resource Identifier)', 'URI (Uniform Resource Identifier)', 1, 0, NULL, 5, NULL, NULL, '', 1, -6, 'KT', '', '', NULL),
		('565', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('565', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('565', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('565', 'a', 'Numero di pratiche/variabili', 'Numero di pratiche/variabili', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('565', 'b', 'Nome della variabile', 'Nome della variabile', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('565', 'c', 'Unità d\'analisi', 'Unità d\'analisi', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('565', 'd', 'Universo dei dati', 'Universo dei dati', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('565', 'e', 'Sistema o codice d’archiviazione', 'Sistema o codice d’archiviazione', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('567', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('567', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('567', 'a', 'Nota sulla metodologia', 'Nota sulla metodologia', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('570', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('570', 'a', 'Editor note', 'Editor note', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('570', 'z', 'Source of note information', 'Source of note information', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('580', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('580', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('580', 'a', 'Nota di collegamento complesso', 'Nota di collegamento complesso', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('580', 'z', 'Source of note information [OBSOLETE]', 'Source of note information [OBSOLETE]', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('581', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('581', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('581', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('581', 'a', 'Nota di pubblicazioni sui materiali descritti', 'Nota di pubblicazioni sui materiali descritti', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('581', 'z', 'ISBN (International Standard Book Number)', 'ISBN (International Standard Book Number)', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('582', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('582', 'a', 'Related computer files note', 'Related computer files note', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('583', '2', 'Fonte', 'Fonte', 0, 0, NULL, 9, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('583', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, NULL, 9, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('583', '5', 'Istituzione a cui si applica il campo', 'Istituzione a cui si applica il campo', 0, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('583', '6', 'Collegamento', 'Collegamento', 0, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('583', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('583', 'a', 'Azione', 'Azione', 0, 0, '', 9, '', '', '', NULL, -1, 'KT', '', '', NULL),
		('583', 'b', 'Identificazione dell\'azione', 'Identificazione dell\'azione', 1, 0, '', 9, '', '', '', NULL, -1, 'KT', '', '', NULL),
		('583', 'c', 'Momento/data dell\'azione', 'Momento/data dell\'azione', 1, 0, '', 9, '', '', '', NULL, -1, 'KT', '', '', NULL),
		('583', 'd', 'Intervallo dell\'azione', 'Intervallo dell\'azione', 1, 0, '', 9, '', '', '', NULL, -1, 'KT', '', '', NULL),
		('583', 'e', 'Contingenza per l\'azione', 'Contingenza per l\'azione', 1, 0, '', 9, '', '', '', NULL, -1, 'KT', '', '', NULL),
		('583', 'f', 'Autorizzazione', 'Autorizzazione', 1, 0, '', 9, '', '', '', NULL, -1, 'KT', '', '', NULL),
		('583', 'h', 'Competenza legale', 'Competenza legale', 0, 0, '', 9, '', '', '', NULL, -1, 'KT', '', '', NULL),
		('583', 'i', 'Metodo dell\'azione', 'Metodo dell\'azione', 1, 0, '', 9, '', '', '', NULL, -1, 'KT', '', '', NULL),
		('583', 'j', 'Luogo dell\'azione', 'Luogo dell\'azione', 1, 0, '', 9, '', '', '', NULL, -1, 'KT', '', '', NULL),
		('583', 'k', 'Agente dell\'azione', 'Agente dell\'azione', 1, 0, '', 9, '', '', '', NULL, -1, 'KT', '', '', NULL),
		('583', 'l', 'Stato', 'Stato', 1, 0, '', 9, '', '', '', NULL, -1, 'KT', '', '', NULL),
		('583', 'n', 'Estensione', 'Estensione', 1, 0, '', 9, '', '', '', NULL, -1, 'KT', '', '', NULL),
		('583', 'o', 'Tipo di materiale', 'Tipo di materiale', 1, 0, '', 9, '', '', '', NULL, -1, 'KT', '', '', NULL),
		('583', 'u', 'URI (Uniform Resource Identifier)', 'URI (Uniform Resource Identifier)', 1, 0, '', 9, '', '', '', 1, -1, 'KT', '', '', NULL),
		('583', 'x', 'Nota non pubblic', 'Nota non pubblic', 1, 0, '', 9, '', '', '', NULL, 4, 'KT', '', '', NULL),
		('583', 'z', 'Nota pubblica', 'Nota pubblica', 1, 0, '', 9, '', '', '', NULL, -1, 'KT', '', '', NULL),
		('584', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('584', '5', 'Istituzione a cui si applica il campo', 'Istituzione a cui si applica il campo', 0, 0, '', 5, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('584', '6', 'Collegamento', 'Collegamento', 0, 0, '', 5, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('584', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 5, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('584', 'a', 'Accumulo', 'Accumulo', 1, 0, '', 5, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('584', 'b', 'Frequenza d\'uso', 'Frequenza d\'uso', 1, 0, '', 5, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('585', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('585', '5', 'Istituzione a cui si applica il campo', 'Istituzione a cui si applica il campo', 0, -6, '', 5, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('585', '6', 'Collegamento', 'Collegamento', 0, 0, '', 5, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('585', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 5, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('585', 'a', 'Nota di mostre', 'Nota di mostre', 0, 0, '', 5, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('586', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('586', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('586', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('586', 'a', 'Nota di premi', 'Nota di premi', 0, 0, NULL, 5, NULL, NULL, '', NULL, -1, 'KT', '', '', NULL),
		('590', '6', 'Linkage (RLIN)', 'Linkage (RLIN)', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('590', '8', 'Field link and sequence number (RLIN)', 'Field link and sequence number (RLIN)', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('590', 'a', 'Local note', 'Local note', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('590', 'b', 'Provenance (VM) [OBSOLETE]', 'Provenance (VM) [OBSOLETE]', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('590', 'c', 'Condition of individual reels (VM) [OBSOLETE]', 'Condition of individual reels (VM) [OBSOLETE]', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('590', 'd', 'Origin of safety copy (VM) [OBSOLETE]', 'Origin of safety copy (VM) [OBSOLETE]', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('600', '2', 'Fonte dell\'intestazione o del termine', 'Fonte dell\'intestazione o del termine', 0, 0, '', 6, '', '', '', NULL, -1, 'KT', '', '', NULL),
		('600', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, '', 6, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('600', '4', 'Codice di ruolo', 'Codice di ruolo', 1, 0, '', 6, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('600', '6', 'Collegamento', 'Collegamento', 0, 0, '', 6, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('600', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 6, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('600', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 6, '', '', '', 0, -5, 'KT', '', '', NULL),
		('600', 'a', 'Nome di persona', 'Nome di persona', 0, 0, '', 6, '', 'PERSO_NAME', '', NULL, -1, 'KT', '', '', NULL),
		('600', 'b', 'Numerazione', 'Numerazione', 0, 0, '', 6, '', '', '', NULL, -1, 'KT', '', '', NULL),
		('600', 'c', 'Titoli e altre parole associate al nome', 'Titoli e altre parole associate al nome', 1, 0, '', 6, '', '', '', NULL, -1, 'KT', '', '', NULL),
		('600', 'd', 'Date associate al nome', 'Date associate al nome', 0, 0, '', 6, '', '', '', NULL, -1, 'KT', '', '', NULL),
		('600', 'e', 'Termine di ruolo', 'Termine di ruolo', 1, 0, '', 6, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('600', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, '', 6, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('600', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, '', 6, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('600', 'h', 'Supporto', 'Supporto', 0, 0, '', 6, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('600', 'j', 'Qualificazione d\'attribuzione', 'Qualificazione d\'attribuzione', 1, 0, '', 6, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('600', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, '', 6, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('600', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, '', 6, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('600', 'm', 'Mezzo di esecuzione per la musica', 'Mezzo di esecuzione per la musica', 1, 0, '', 6, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('600', 'n', 'Numero di parte/sezione dell\'opera', 'Numero di parte/sezione dell\'opera', 1, 0, '', 6, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('600', 'o', 'Formulazione d\'arrangiamento per la musica', 'Formulazione d\'arrangiamento per la musica', 0, 0, '', 6, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('600', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, '', 6, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('600', 'q', 'Forma completa del nome', 'Forma completa del nome', 0, 0, '', 6, '', '', '', NULL, -1, 'KT', '', '', NULL),
		('600', 'r', 'Tonalità (musica)', 'Tonalità (musica)', 0, 0, '', 6, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('600', 's', 'Versione', 'Versione', 0, 0, '', 6, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('600', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, '', 6, '', '', '', NULL, -1, 'KT', '', '', NULL),
		('600', 'u', 'Affiliazione', 'Affiliazione', 0, 0, '', 6, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('600', 'v', 'Suddivisione geografica', 'Suddivisione geografica', 1, 0, '', 6, '', '', '', NULL, -1, 'KT', '', '', NULL),
		('600', 'x', 'Suddivisione generale', 'Suddivisione generale', 1, 0, '', 6, '', '', '', NULL, -1, 'KT', '', '', NULL),
		('600', 'y', 'Suddivisione cronologica', 'Suddivisione cronologica', 1, 0, '', 6, '', '', '', NULL, -1, 'KT', '', '', NULL),
		('600', 'z', 'Suddivisione geografica', 'Suddivisione geografica', 1, 0, '', 6, '', '', '', NULL, -1, 'KT', '', '', NULL),
		('610', '2', 'Fonte dell\'intestazione o del termine', 'Fonte dell\'intestazione o del termine', 0, 0, '', 6, '', '', '', NULL, -1, 'KT', '', '', NULL),
		('610', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, '', 6, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('610', '4', 'Codice di ruolo', 'Codice di ruolo', 1, 0, '', 6, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('610', '6', 'Collegamento', 'Collegamento', 0, 0, '', 6, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('610', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 6, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('610', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 6, '', '', '', 0, -5, 'KT', '', '', NULL),
		('610', 'a', 'Nome dell\'ente o nome della giurisdizione come accesso', 'Nome dell\'ente o nome della giurisdizione come accesso', 0, 0, '', 6, '', 'CORPO_NAME', '', NULL, -1, 'KT', '', '', NULL),
		('610', 'b', 'Unità subordinata', 'Unità subordinata', 1, 0, '', 6, '', '', '', NULL, -1, 'KT', '', '', NULL),
		('610', 'c', 'Luogo del convegno', 'Luogo del convegno', 0, 0, '', 6, '', '', '', NULL, -1, 'KT', '', '', NULL),
		('610', 'd', 'Data del convegno o di firma del trattato', 'Data del convegno o di firma del trattato', 1, 0, '', 6, '', '', '', NULL, -1, 'KT', '', '', NULL),
		('610', 'e', 'Termine di ruolo', 'Termine di ruolo', 1, 0, '', 6, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('610', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, '', 6, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('610', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, '', 6, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('610', 'h', 'Supporto', 'Supporto', 0, 0, '', 6, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('610', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, '', 6, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('610', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, '', 6, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('610', 'm', 'Mezzo di esecuzione per la musica', 'Mezzo di esecuzione per la musica', 1, 0, '', 6, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('610', 'n', 'Numero di parte/sezione/convegno', 'Numero di parte/sezione/convegno', 1, 0, '', 6, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('610', 'o', 'Formulazione d\'arrangiamento per la musica', 'Formulazione d\'arrangiamento per la musica', 0, 0, '', 6, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('610', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, '', 6, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('610', 'r', 'Tonalità (musica)', 'Tonalità (musica)', 0, 0, '', 6, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('610', 's', 'Versione', 'Versione', 0, 0, '', 6, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('610', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, '', 6, '', '', '', NULL, -1, 'KT', '', '', NULL),
		('610', 'u', 'Affiliazione', 'Affiliazione', 0, 0, '', 6, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('610', 'v', 'Suddivisione geografica', 'Suddivisione geografica', 1, 0, '', 6, '', '', '', NULL, -1, 'KT', '', '', NULL),
		('610', 'x', 'Suddivisione generale', 'Suddivisione generale', 1, 0, '', 6, '', '', '', NULL, -1, 'KT', '', '', NULL),
		('610', 'y', 'Suddivisione cronologica', 'Suddivisione cronologica', 1, 0, '', 6, '', '', '', NULL, -1, 'KT', '', '', NULL),
		('610', 'z', 'Suddivisione geografica', 'Suddivisione geografica', 1, 0, '', 6, '', '', '', NULL, -1, 'KT', '', '', NULL),
		('611', '2', 'Fonte dell\'intestazione o del termine', 'Fonte dell\'intestazione o del termine', 0, 0, NULL, 6, NULL, NULL, '', NULL, -1, 'KT', '', '', NULL),
		('611', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('611', '4', 'Codice di ruolo', 'Codice di ruolo', 1, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('611', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('611', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('611', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 6, '', '', '', 0, -5, 'KT', '', '', NULL),
		('611', 'a', 'Nome del convegno o nome della giurisdizione come accesso', 'Nome del convegno o nome della giurisdizione come accesso', 0, 0, NULL, 6, NULL, 'MEETI_NAME', '', NULL, -1, 'KT', '', '', NULL),
		('611', 'b', 'Number  (BK CF MP MU SE VM MX)  [OBSOLETE]', 'Number  (BK CF MP MU SE VM MX)  [OBSOLETE]', 1, 0, NULL, -1, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('611', 'c', 'Luogo del convegno', 'Luogo del convegno', 0, 0, NULL, 6, NULL, NULL, '', NULL, -1, 'KT', '', '', NULL),
		('611', 'd', 'Data del convegno', 'Data del convegno', 0, 0, NULL, 6, NULL, NULL, '', NULL, -1, 'KT', '', '', NULL),
		('611', 'e', 'Unità subordinata', 'Unità subordinata', 1, 0, NULL, 6, NULL, NULL, '', NULL, -1, 'KT', '', '', NULL),
		('611', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('611', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('611', 'h', 'Supporto', 'Supporto', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('611', 'j', 'Termine di ruolo', 'Termine di ruolo', 1, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('611', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('611', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('611', 'n', 'Numero di parte/sezione/convegno', 'Numero di parte/sezione/convegno', 1, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('611', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('611', 'q', 'Nome del convegno dopo accesso di nome della giurisdizione', 'Nome del convegno dopo accesso di nome della giurisdizione', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('611', 's', 'Versione', 'Versione', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('611', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, NULL, 6, NULL, NULL, '', NULL, -1, 'KT', '', '', NULL),
		('611', 'u', 'Affiliazione', 'Affiliazione', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('611', 'v', 'Suddivisione geografica', 'Suddivisione geografica', 1, 0, NULL, 6, NULL, NULL, '', NULL, -1, 'KT', '', '', NULL),
		('611', 'x', 'Suddivisione generale', 'Suddivisione generale', 1, 0, NULL, 6, NULL, NULL, '', NULL, -1, 'KT', '', '', NULL),
		('611', 'y', 'Suddivisione cronologica', 'Suddivisione cronologica', 1, 0, NULL, 6, NULL, NULL, '', NULL, -1, 'KT', '', '', NULL),
		('611', 'z', 'Suddivisione geografica', 'Suddivisione geografica', 1, 0, NULL, 6, NULL, NULL, '', NULL, -1, 'KT', '', '', NULL),
		('630', '2', 'Fonte dell\'intestazione o del termine', 'Fonte dell\'intestazione o del termine', 0, 0, NULL, 6, NULL, NULL, '', NULL, -1, 'KT', '', '', NULL),
		('630', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('630', '4', 'Codice di ruolo', 'Codice di ruolo', 1, 0, '', 6, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('630', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('630', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('630', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 6, '', '', '', 0, -5, 'KT', '', '', NULL),
		('630', 'a', 'Titolo uniforme', 'Titolo uniforme', 0, 0, NULL, 6, NULL, 'UNIF_TITLE', '', NULL, -1, 'KT', '', '', NULL),
		('630', 'd', 'Data di firma del trattato', 'Data di firma del trattato', 1, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('630', 'e', 'Termine di ruolo', 'Termine di ruolo', 1, 0, '', 6, '', '', '', NULL, -1, 'KT', '', '', NULL),
		('630', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('630', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('630', 'h', 'Supporto', 'Supporto', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('630', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('630', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, NULL, 6, NULL, NULL, '', NULL, -1, 'KT', '', '', NULL),
		('630', 'm', 'Mezzo di esecuzione per la musica', 'Mezzo di esecuzione per la musica', 1, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('630', 'n', 'Numero di parte/sezione dell\'opera', 'Numero di parte/sezione dell\'opera', 1, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('630', 'o', 'Formulazione d\'arrangiamento per la musica', 'Formulazione d\'arrangiamento per la musica', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('630', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('630', 'r', 'Tonalità (musica)', 'Tonalità (musica)', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('630', 's', 'Versione', 'Versione', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('630', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, NULL, 6, NULL, NULL, '', NULL, -1, 'KT', '', '', NULL),
		('630', 'v', 'Suddivisione geografica', 'Suddivisione geografica', 1, 0, NULL, 6, NULL, NULL, '', NULL, -1, 'KT', '', '', NULL),
		('630', 'x', 'Suddivisione generale', 'Suddivisione generale', 1, 0, NULL, 6, NULL, NULL, '', NULL, -1, 'KT', '', '', NULL),
		('630', 'y', 'Suddivisione cronologica', 'Suddivisione cronologica', 1, 0, NULL, 6, NULL, NULL, '', NULL, -1, 'KT', '', '', NULL),
		('630', 'z', 'Suddivisione geografica', 'Suddivisione geografica', 1, 0, NULL, 6, NULL, NULL, '', NULL, -1, 'KT', '', '', NULL),
		('648', '2', 'Fonte dell\'intestazione o del termine', 'Fonte dell\'intestazione o del termine', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('648', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('648', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('648', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('648', 'a', 'Termine cronologico', 'Termine cronologico', 0, 0, NULL, 6, NULL, 'CHRON_TERM', '', NULL, -6, 'KT', '', '', NULL),
		('648', 'v', 'Suddivisione geografica', 'Suddivisione geografica', 1, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('648', 'x', 'Suddivisione generale', 'Suddivisione generale', 1, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('648', 'y', 'Suddivisione cronologica', 'Suddivisione cronologica', 1, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('648', 'z', 'Suddivisione geografica', 'Suddivisione geografica', 1, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('650', '2', 'Fonte dell\'intestazione o del termine', 'Fonte dell\'intestazione o del termine', 0, 0, '', 6, '', '', '', 0, 0, 'KT', '', '', NULL),
		('650', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, '', 6, '', '', '', 0, -6, 'KT', '', '', NULL),
		('650', '4', 'Codice di ruolo', 'Codice di ruolo', 1, 0, '', 6, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('650', '6', 'Collegamento', 'Collegamento', 0, 0, '', 6, '', '', '', 0, -6, 'KT', '', '', NULL),
		('650', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 6, '', '', '', 0, -6, 'KT', '', '', NULL),
		('650', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 6, '', '', '', 0, -5, 'KT', '', '', NULL),
		('650', 'a', 'Termine topico o nome geografico come accesso', 'Termine topico o nome geografico come accesso', 0, 0, 'bibliosubject.subject', 6, '', 'TOPIC_TERM', '', 0, 0, 'KT', '''6003'',''600a'',''600b'',''600c'',''600d'',''600e'',''600f'',''600g'',''600h'',''600k'',''600l'',''600m'',''600n'',''600o'',''600p'',''600r'',''600s'',''600t'',''600u'',''600x'',''600z'',''600y'',''600v'',''6103'',''610a'',''610b'',''610c'',''610d'',''610e'',''610f'',''610g'',''610h'',''610k'',''610l'',''610m'',''610n'',''610o'',''610p'',''610r'',''610s'',''610t'',''610u'',''610x'',''610z'',''610y'',''610v'',''6113'',''611a'',''611b'',''611c'',''611d'',''611e'',''611f'',''611g'',''611h'',''611k'',''611l'',''611m'',''611n'',''611o'',''611p'',''611r'',''611s'',''611t'',''611u'',''611x'',''611z'',''611y'',''611v'',''630a'',''630b'',''630c'',''630d'',''630e'',''630f'',''630g'',''630h'',''630k'',''630l'',''630m'',''630n'',''630o'',''630p'',''630r'',''630s'',''630t'',''630x'',''630z'',''630y'',''630v'',''6483'',''648a'',''648x'',''648z'',''648y'',''648v'',''6503'',''650b'',''650c'',''650d'',''650e'',''650x'',''650z'',''650y'',''650v'',''6513'',''651a'',''651b'',''651c'',''651d'',''651e'',''651x'',''651z'',''651y'',''651v'',''653a'',''6543'',''654a'',''654b'',''654x'',''654z'',''654y'',''654v'',''6553'',''655a'',''655b'',''655x'',''655z'',''655y'',''655v'',''6563'',''656a'',''656k'',''656x'',''656z'',''656y'',''656v'',''6573'',''657a'',''657x'',''657z'',''657y'',''657v'',''658a'',''658b'',''658c'',''658d'',''658v''', '', NULL),
		('650', 'b', 'Nome geografico che precede un termine topico come accesso', 'Nome geografico che precede un termine topico come accesso', 0, 0, '', 6, '', '', '', 0, -1, 'KT', '', '', NULL),
		('650', 'c', 'Luogo dell\'evento', 'Luogo dell\'evento', 0, 0, '', 6, '', '', '', 0, -1, 'KT', '', '', NULL),
		('650', 'd', 'Date d\'attività', 'Date d\'attività', 0, 0, '', 6, '', '', '', 0, -1, 'KT', '', '', NULL),
		('650', 'e', 'Termine di ruolo', 'Termine di ruolo', 0, 0, '', 6, '', '', '', 0, -1, 'KT', '', '', NULL),
		('650', 'v', 'Suddivisione geografica', 'Suddivisione geografica', 1, 0, '', 6, '', '', '', 0, 0, 'KT', '', '', NULL),
		('650', 'x', 'Suddivisione generale', 'Suddivisione generale', 1, 0, '', 6, '', '', '', 0, 0, 'KT', '', '', NULL),
		('650', 'y', 'Suddivisione cronologica', 'Suddivisione cronologica', 1, 0, '', 6, '', '', '', 0, 0, 'KT', '', '', NULL),
		('650', 'z', 'Suddivisione geografica', 'Suddivisione geografica', 1, 0, '', 6, '', '', '', 0, 0, 'KT', '', '', NULL),
		('651', '2', 'Fonte dell\'intestazione o del termine', 'Fonte dell\'intestazione o del termine', 0, 0, '', 6, '', '', '', NULL, -1, 'KT', '', '', NULL),
		('651', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, '', 6, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('651', '4', 'Codice di ruolo', 'Codice di ruolo', 1, 0, '', 6, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('651', '6', 'Collegamento', 'Collegamento', 0, 0, '', 6, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('651', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 6, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('651', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 6, '', '', '', 0, -5, 'KT', '', '', NULL),
		('651', 'a', 'Nome geografico', 'Nome geografico', 0, 0, '', 6, '', 'GEOGR_NAME', '', NULL, -1, 'KT', '', '', NULL),
		('651', 'b', 'Geographic name following place entry element [OBSOLETE]', 'Geographic name following place entry element [OBSOLETE]', 1, 0, '', 6, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('651', 'e', 'Termine di ruolo', 'Termine di ruolo', 1, 0, '', 6, '', '', '', NULL, -1, 'KT', '', '', NULL),
		('651', 'v', 'Suddivisione geografica', 'Suddivisione geografica', 1, 0, '', 6, '', '', '', NULL, -1, 'KT', '', '', NULL),
		('651', 'x', 'Suddivisione generale', 'Suddivisione generale', 1, 0, '', 6, '', '', '', NULL, -1, 'KT', '', '', NULL),
		('651', 'y', 'Suddivisione cronologica', 'Suddivisione cronologica', 1, 0, '', 6, '', '', '', NULL, -1, 'KT', '', '', NULL),
		('651', 'z', 'Suddivisione geografica', 'Suddivisione geografica', 1, 0, '', 6, '', '', '', NULL, -1, 'KT', '', '', NULL),
		('652', 'a', 'Nome geografico del luogo', 'Nome geografico del luogo', 0, 0, '', 6, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('652', 'x', 'Suddivisione generale', 'Suddivisione generale', 1, 0, '', 6, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('652', 'y', 'Suddivisione cronologica', 'Suddivisione cronologica', 1, 0, '', 6, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('652', 'z', 'Suddivisione geografica', 'Suddivisione geografica', 1, 0, '', 6, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('653', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('653', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('653', 'a', 'Termine non controllato', 'Termine non controllato', 1, 0, NULL, 6, NULL, NULL, '', NULL, -1, 'KT', '', '', NULL),
		('654', '2', 'Fonte', 'Fonte', 0, 0, '', 6, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('654', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, '', 6, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('654', '4', 'Codice di ruolo', 'Codice di ruolo', 1, 0, '', 6, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('654', '6', 'Collegamento', 'Collegamento', 0, 0, '', 6, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('654', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 6, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('654', 'a', 'Termine principale', 'Termine principale', 1, 0, '', 6, '', 'TOPIC_TERM', '', NULL, -6, 'KT', '', '', NULL),
		('654', 'b', 'Termine non principale', 'Termine non principale', 1, 0, '', 6, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('654', 'c', 'Designazione di faccetta/gerarchia', 'Designazione di faccetta/gerarchia', 1, 0, '', 6, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('654', 'e', 'Termine di ruolo', 'Termine di ruolo', 1, 0, '', 6, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('654', 'v', 'Suddivisione geografica', 'Suddivisione geografica', 1, 0, '', 6, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('654', 'x', 'Suddivisione generale', 'Suddivisione generale', 1, 0, '', 6, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('654', 'y', 'Suddivisione cronologica', 'Suddivisione cronologica', 1, 0, '', 6, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('654', 'z', 'Suddivisione geografica', 'Suddivisione geografica', 1, 0, '', 6, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('655', '2', 'Fonte', 'Fonte', 0, 0, '', 6, '', '', '', NULL, -1, 'KT', '', '', NULL),
		('655', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, '', 6, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('655', '5', 'Istituzione a cui si applica il campo', 'Istituzione a cui si applica il campo', 0, 0, '', 6, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('655', '6', 'Collegamento', 'Collegamento', 0, 0, '', 6, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('655', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 6, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('655', 'a', 'Termine principale di genere/forma', 'Termine principale di genere/forma', 0, 0, '', 6, '', 'GENRE/FORM', '', NULL, -1, 'KT', '', '', NULL),
		('655', 'b', 'Termine non principale', 'Termine non principale', 1, 0, '', 6, '', '', '', NULL, -1, 'KT', '', '', NULL),
		('655', 'c', 'Designazione di faccetta/gerarchia', 'Designazione di faccetta/gerarchia', 1, 0, '', 6, '', '', '', NULL, -1, 'KT', '', '', NULL),
		('655', 'v', 'Suddivisione geografica', 'Suddivisione geografica', 1, 0, '', 6, '', '', '', NULL, -1, 'KT', '', '', NULL),
		('655', 'x', 'Suddivisione generale', 'Suddivisione generale', 1, 0, '', 6, '', '', '', NULL, -1, 'KT', '', '', NULL),
		('655', 'y', 'Suddivisione cronologica', 'Suddivisione cronologica', 1, 0, '', 6, '', '', '', NULL, -1, 'KT', '', '', NULL),
		('655', 'z', 'Suddivisione geografica', 'Suddivisione geografica', 1, 0, '', 6, '', '', '', NULL, -1, 'KT', '', '', NULL),
		('656', '2', 'Fonte', 'Fonte', 0, 0, '', 6, '', '', '', NULL, -1, 'KT', '', '', NULL),
		('656', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, '', 6, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('656', '6', 'Collegamento', 'Collegamento', 0, 0, '', 6, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('656', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 6, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('656', 'a', 'Occupazione', 'Occupazione', 0, 0, '', 6, '', 'TOPIC_TERM', '', NULL, -1, 'KT', '', '', NULL),
		('656', 'k', 'Forma', 'Forma', 0, 0, '', 6, '', '', '', NULL, -1, 'KT', '', '', NULL),
		('656', 'v', 'Suddivisione geografica', 'Suddivisione geografica', 1, 0, '', 6, '', '', '', NULL, -1, 'KT', '', '', NULL),
		('656', 'x', 'Suddivisione generale', 'Suddivisione generale', 1, 0, '', 6, '', '', '', NULL, -1, 'KT', '', '', NULL),
		('656', 'y', 'Suddivisione cronologica', 'Suddivisione cronologica', 1, 0, '', 6, '', '', '', NULL, -1, 'KT', '', '', NULL),
		('656', 'z', 'Suddivisione geografica', 'Suddivisione geografica', 1, 0, '', 6, '', '', '', NULL, -1, 'KT', '', '', NULL),
		('657', '2', 'Fonte', 'Fonte', 0, 0, '', 6, '', '', '', NULL, -1, 'KT', '', '', NULL),
		('657', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, '', 6, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('657', '6', 'Collegamento', 'Collegamento', 0, 0, '', 6, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('657', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 6, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('657', 'a', 'Funzione', 'Funzione', 0, 0, '', 6, '', 'TOPIC_TERM', '', NULL, -1, 'KT', '', '', NULL),
		('657', 'v', 'Suddivisione geografica', 'Suddivisione geografica', 1, 0, '', 6, '', '', '', NULL, -1, 'KT', '', '', NULL),
		('657', 'x', 'Suddivisione generale', 'Suddivisione generale', 1, 0, '', 6, '', '', '', NULL, -1, 'KT', '', '', NULL),
		('657', 'y', 'Suddivisione cronologica', 'Suddivisione cronologica', 1, 0, '', 6, '', '', '', NULL, -1, 'KT', '', '', NULL),
		('657', 'z', 'Suddivisione geografica', 'Suddivisione geografica', 1, 0, '', 6, '', '', '', NULL, -1, 'KT', '', '', NULL),
		('658', '2', 'Fonte', 'Fonte', 0, 0, '', 6, '', '', '', NULL, -1, 'KT', '', '', NULL),
		('658', '6', 'Collegamento', 'Collegamento', 0, 0, '', 6, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('658', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 6, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('658', 'a', 'Obiettivo principale del curriculum scolastico', 'Obiettivo principale del curriculum scolastico', 0, 0, '', 6, '', 'TOPIC_TERM', '', NULL, 0, 'KT', '', '', NULL),
		('658', 'b', 'Obiettivo secondario del curriculum scolastico', 'Obiettivo secondario del curriculum scolastico', 1, 0, '', 6, '', '', '', NULL, 0, 'KT', '', '', NULL),
		('658', 'c', 'Codice di curriculum scolastico', 'Codice di curriculum scolastico', 0, 0, '', 6, '', '', '', NULL, 0, 'KT', '', '', NULL),
		('658', 'd', 'Fattore di correlazione', 'Fattore di correlazione', 0, 0, '', 6, '', '', '', NULL, -1, 'KT', '', '', NULL),
		('662', '2', 'Fonte', 'Fonte', 0, 0, '', 6, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('662', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, '', 6, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('662', '4', 'Codice di ruolo', 'Codice di ruolo', 1, 0, '', 6, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('662', '6', 'Collegamento', 'Collegamento', 0, 0, '', 6, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('662', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 6, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('662', 'a', 'Paese o ente maggiore', 'Paese o ente maggiore', 1, 0, '', 6, '', 'GEOGR_NAME', '', NULL, -6, 'KT', '', '', NULL),
		('662', 'b', 'Giurisdizione politica principale', 'Giurisdizione politica principale', 0, 0, '', 6, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('662', 'c', 'Giurisdizione politica intermedia', 'Giurisdizione politica intermedia', 1, 0, '', 6, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('662', 'd', 'Città', 'Città', 0, 0, '', 6, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('662', 'e', 'Termine di ruolo', 'Termine di ruolo', 1, 0, '', 6, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('662', 'f', 'Suddivisione comunale', 'Suddivisione comunale', 1, 0, '', 6, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('662', 'g', 'Altra regione e caratteristica geografica non giurisdizionale', 'Altra regione e caratteristica geografica non giurisdizionale', 1, 0, '', 6, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('662', 'h', 'Paese o ente maggiore', 'Paese o ente maggiore', 1, 0, '', 6, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('690', '%', '% (RLIN)', '% (RLIN)', 0, 0, '', 6, '', '', '', 0, -6, 'KT', '', '', NULL),
		('690', '2', 'Fonte dell\'intestazione o del termine', 'Fonte dell\'intestazione o del termine', 0, 0, '', 6, '', '', '', 0, -6, 'KT', '', '', NULL),
		('690', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, '', 6, '', '', '', 0, -6, 'KT', '', '', NULL),
		('690', '6', 'Collegamento', 'Collegamento', 0, 0, '', 6, '', '', '', 0, -6, 'KT', '', '', NULL),
		('690', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 6, '', '', '', 0, -6, 'KT', '', '', NULL),
		('690', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 6, '', '', '', 0, -5, 'KT', '', '', NULL),
		('690', 'a', 'Termine topico o nome geografico come accesso', 'Termine topico o nome geografico come accesso', 0, 0, '', 6, '', 'TOPIC_TERM', '', 0, -1, 'KT', '', '', NULL),
		('690', 'b', 'Nome geografico che precede un termine topico come accesso', 'Nome geografico che precede un termine topico come accesso', 0, 0, '', 6, '', '', '', 0, -1, 'KT', '', '', NULL),
		('690', 'c', 'Luogo dell\'evento', 'Luogo dell\'evento', 0, 0, '', 6, '', '', '', 0, -1, 'KT', '', '', NULL),
		('690', 'd', 'Date d\'attività', 'Date d\'attività', 0, 0, '', 6, '', '', '', 0, -6, 'KT', '', '', NULL),
		('690', 'e', 'Termine di ruolo', 'Termine di ruolo', 0, 0, '', 6, '', '', '', 0, -6, 'KT', '', '', NULL),
		('690', 'v', 'Suddivisione geografica', 'Suddivisione geografica', 1, 0, '', 6, '', '', '', 0, -1, 'KT', '', '', NULL),
		('690', 'x', 'Suddivisione generale', 'Suddivisione generale', 1, 0, '', 6, '', '', '', 0, -1, 'KT', '', '', NULL),
		('690', 'y', 'Suddivisione cronologica', 'Suddivisione cronologica', 1, 0, '', 6, '', '', '', 0, -1, 'KT', '', '', NULL),
		('690', 'z', 'Suddivisione geografica', 'Suddivisione geografica', 1, 0, '', 6, '', '', '', 0, -1, 'KT', '', '', NULL),
		('691', '%', '% (RLIN)', '% (RLIN)', 0, 0, '', 6, '', '', '', 0, -6, 'KT', '', '', NULL),
		('691', '2', 'Fonte dell\'intestazione o del termine', 'Fonte dell\'intestazione o del termine', 0, 0, '', 6, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('691', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, '', 6, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('691', '6', 'Collegamento', 'Collegamento', 0, 0, '', 6, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('691', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 6, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('691', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 6, '', '', '', 0, -5, 'KT', '', '', NULL),
		('691', 'a', 'Nome geografico', 'Nome geografico', 0, 0, '', 6, '', 'GEOGR_NAME', '', NULL, -6, 'KT', '', '', NULL),
		('691', 'b', 'Geographic name following place entry element [OBSOLETE]', 'Geographic name following place entry element [OBSOLETE]', 1, 0, '', 6, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('691', 'v', 'Suddivisione geografica', 'Suddivisione geografica', 1, 0, '', 6, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('691', 'x', 'Suddivisione generale', 'Suddivisione generale', 1, 0, '', 6, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('691', 'y', 'Suddivisione cronologica', 'Suddivisione cronologica', 1, 0, '', 6, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('691', 'z', 'Suddivisione geografica', 'Suddivisione geografica', 1, 0, '', 6, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('696', '%', '% (RLIN)', '% (RLIN)', 0, 0, '', 6, '', '', '', 0, -6, 'KT', '', '', NULL),
		('696', '2', 'Fonte dell\'intestazione o del termine', 'Fonte dell\'intestazione o del termine', 0, 0, '', 6, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('696', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, '', 6, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('696', '4', 'Codice di ruolo', 'Codice di ruolo', 1, 0, '', 6, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('696', '6', 'Collegamento', 'Collegamento', 0, 0, '', 6, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('696', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 6, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('696', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 6, '', '', '', 0, -5, 'KT', '', '', NULL),
		('696', 'a', 'Nome di persona', 'Nome di persona', 0, 0, '', 6, '', 'PERSO_NAME', '', NULL, -6, 'KT', '', '', NULL),
		('696', 'b', 'Numerazione', 'Numerazione', 0, 0, '', 6, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('696', 'c', 'Titoli e altre parole associate al nome', 'Titoli e altre parole associate al nome', 1, 0, '', 6, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('696', 'd', 'Date associate al nome', 'Date associate al nome', 0, 0, '', 6, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('696', 'e', 'Termine di ruolo', 'Termine di ruolo', 1, 0, '', 6, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('696', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, '', 6, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('696', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, '', 6, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('696', 'h', 'Supporto', 'Supporto', 0, 0, '', 6, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('696', 'j', 'Qualificazione d\'attribuzione', 'Qualificazione d\'attribuzione', 1, 0, '', 6, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('696', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, '', 6, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('696', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, '', 6, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('696', 'm', 'Mezzo di esecuzione per la musica', 'Mezzo di esecuzione per la musica', 1, 0, '', 6, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('696', 'n', 'Numero di parte/sezione dell\'opera', 'Numero di parte/sezione dell\'opera', 1, 0, '', 6, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('696', 'o', 'Formulazione d\'arrangiamento per la musica', 'Formulazione d\'arrangiamento per la musica', 0, 0, '', 6, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('696', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, '', 6, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('696', 'q', 'Forma completa del nome', 'Forma completa del nome', 0, 0, '', 6, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('696', 'r', 'Tonalità (musica)', 'Tonalità (musica)', 0, 0, '', 6, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('696', 's', 'Versione', 'Versione', 0, 0, '', 6, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('696', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, '', 6, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('696', 'u', 'Affiliazione', 'Affiliazione', 0, 0, '', 6, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('696', 'v', 'Suddivisione geografica', 'Suddivisione geografica', 1, 0, '', 6, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('696', 'x', 'Suddivisione generale', 'Suddivisione generale', 1, 0, '', 6, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('696', 'y', 'Suddivisione cronologica', 'Suddivisione cronologica', 1, 0, '', 6, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('696', 'z', 'Suddivisione geografica', 'Suddivisione geografica', 1, 0, '', 6, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('697', '%', '% (RLIN)', '% (RLIN)', 0, 0, '', 6, '', '', '', 0, -6, 'KT', '', '', NULL),
		('697', '2', 'Fonte dell\'intestazione o del termine', 'Fonte dell\'intestazione o del termine', 0, 0, '', 6, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('697', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, '', 6, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('697', '4', 'Codice di ruolo', 'Codice di ruolo', 1, 0, '', 6, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('697', '6', 'Collegamento', 'Collegamento', 0, 0, '', 6, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('697', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 6, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('697', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 6, '', '', '', 0, -5, 'KT', '', '', NULL),
		('697', 'a', 'Nome dell\'ente o nome della giurisdizione come accesso', 'Nome dell\'ente o nome della giurisdizione come accesso', 0, 0, '', 6, '', 'CORPO_NAME', '', NULL, -6, 'KT', '', '', NULL),
		('697', 'b', 'Unità subordinata', 'Unità subordinata', 1, 0, '', 6, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('697', 'c', 'Luogo del convegno', 'Luogo del convegno', 0, 0, '', 6, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('697', 'd', 'Data del convegno o di firma del trattato', 'Data del convegno o di firma del trattato', 1, 0, '', 6, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('697', 'e', 'Termine di ruolo', 'Termine di ruolo', 1, 0, '', 6, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('697', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, '', 6, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('697', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, '', 6, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('697', 'h', 'Supporto', 'Supporto', 0, 0, '', 6, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('697', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, '', 6, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('697', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, '', 6, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('697', 'm', 'Mezzo di esecuzione per la musica', 'Mezzo di esecuzione per la musica', 1, 0, '', 6, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('697', 'n', 'Numero di parte/sezione/convegno', 'Numero di parte/sezione/convegno', 1, 0, '', 6, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('697', 'o', 'Formulazione d\'arrangiamento per la musica', 'Formulazione d\'arrangiamento per la musica', 0, 0, '', 6, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('697', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, '', 6, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('697', 'r', 'Tonalità (musica)', 'Tonalità (musica)', 0, 0, '', 6, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('697', 's', 'Versione', 'Versione', 0, 0, '', 6, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('697', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, '', 6, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('697', 'u', 'Affiliazione', 'Affiliazione', 0, 0, '', 6, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('697', 'v', 'Suddivisione geografica', 'Suddivisione geografica', 1, 0, '', 6, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('697', 'x', 'Suddivisione generale', 'Suddivisione generale', 1, 0, '', 6, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('697', 'y', 'Suddivisione cronologica', 'Suddivisione cronologica', 1, 0, '', 6, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('697', 'z', 'Suddivisione geografica', 'Suddivisione geografica', 1, 0, '', 6, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('698', '%', '% (RLIN)', '% (RLIN)', 0, 0, '', 6, '', '', '', 0, -6, 'KT', '', '', NULL),
		('698', '2', 'Fonte dell\'intestazione o del termine', 'Fonte dell\'intestazione o del termine', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('698', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('698', '4', 'Codice di ruolo', 'Codice di ruolo', 1, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('698', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('698', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('698', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 6, '', '', '', 0, -5, 'KT', '', '', NULL),
		('698', 'a', 'Nome del convegno o nome della giurisdizione come accesso', 'Nome del convegno o nome della giurisdizione come accesso', 0, 0, NULL, 6, NULL, 'MEETI_NAME', '', NULL, -6, 'KT', '', '', NULL),
		('698', 'b', 'Number  (BK CF MP MU SE VM MX)  [OBSOLETE]', 'Number  (BK CF MP MU SE VM MX)  [OBSOLETE]', 1, 0, NULL, -1, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('698', 'c', 'Luogo del convegno', 'Luogo del convegno', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('698', 'd', 'Data del convegno', 'Data del convegno', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('698', 'e', 'Unità subordinata', 'Unità subordinata', 1, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('698', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('698', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('698', 'h', 'Supporto', 'Supporto', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('698', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('698', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('698', 'n', 'Numero di parte/sezione/convegno', 'Numero di parte/sezione/convegno', 1, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('698', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('698', 'q', 'Nome del convegno dopo accesso di nome della giurisdizione', 'Nome del convegno dopo accesso di nome della giurisdizione', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('698', 's', 'Versione', 'Versione', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('698', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('698', 'u', 'Affiliazione', 'Affiliazione', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('698', 'v', 'Suddivisione geografica', 'Suddivisione geografica', 1, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('698', 'x', 'Suddivisione generale', 'Suddivisione generale', 1, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('698', 'y', 'Suddivisione cronologica', 'Suddivisione cronologica', 1, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('698', 'z', 'Suddivisione geografica', 'Suddivisione geografica', 1, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('699', '%', '% (RLIN)', '% (RLIN)', 0, 0, '', 6, '', '', '', 0, -6, 'KT', '', '', NULL),
		('699', '2', 'Fonte dell\'intestazione o del termine', 'Fonte dell\'intestazione o del termine', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('699', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('699', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('699', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('699', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 6, '', '', '', 0, -5, 'KT', '', '', NULL),
		('699', 'a', 'Titolo uniforme', 'Titolo uniforme', 0, 0, NULL, 6, NULL, 'UNIF_TITLE', '', NULL, -6, 'KT', '', '', NULL),
		('699', 'd', 'Data di firma del trattato', 'Data di firma del trattato', 1, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('699', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('699', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('699', 'h', 'Supporto', 'Supporto', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('699', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('699', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('699', 'm', 'Mezzo di esecuzione per la musica', 'Mezzo di esecuzione per la musica', 1, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('699', 'n', 'Numero di parte/sezione dell\'opera', 'Numero di parte/sezione dell\'opera', 1, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('699', 'o', 'Formulazione d\'arrangiamento per la musica', 'Formulazione d\'arrangiamento per la musica', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('699', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('699', 'r', 'Tonalità (musica)', 'Tonalità (musica)', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('699', 's', 'Versione', 'Versione', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('699', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('699', 'v', 'Suddivisione geografica', 'Suddivisione geografica', 1, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('699', 'x', 'Suddivisione generale', 'Suddivisione generale', 1, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('699', 'y', 'Suddivisione cronologica', 'Suddivisione cronologica', 1, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('700', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, '', 7, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('700', '4', 'Codice di ruolo', 'Codice di ruolo', 1, 0, '', 7, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('700', '5', 'Istituzione a cui si applica il campo', 'Istituzione a cui si applica il campo', 0, 0, '', 7, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('700', '6', 'Collegamento', 'Collegamento', 0, 0, '', 7, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('700', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 7, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('700', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 7, '', '', '', 0, -5, 'KT', '', '', NULL),
		('700', 'a', 'Nome di persona', 'Nome di persona', 0, 0, 'additionalauthors.author', 7, '', 'PERSO_NAME', '', NULL, -1, 'KT', '', '', NULL),
		('700', 'b', 'Numerazione', 'Numerazione', 0, 0, '', 7, '', '', '', NULL, -1, 'KT', '', '', NULL),
		('700', 'c', 'Titoli e altre parole associate al nome', 'Titoli e altre parole associate al nome', 1, 0, '', 7, '', '', '', NULL, -1, 'KT', '', '', NULL),
		('700', 'd', 'Date associate al nome', 'Date associate al nome', 0, 0, '', 7, '', '', '', NULL, -1, 'KT', '', '', NULL),
		('700', 'e', 'Termine di ruolo', 'Termine di ruolo', 1, 0, '', 7, '', '', '', NULL, -1, 'KT', '', '', NULL),
		('700', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, '', 7, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('700', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, '', 7, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('700', 'h', 'Supporto', 'Supporto', 0, 0, '', 7, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('700', 'j', 'Qualificazione d\'attribuzione', 'Qualificazione d\'attribuzione', 1, 0, '', 7, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('700', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, '', 7, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('700', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, '', 7, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('700', 'm', 'Mezzo di esecuzione per la musica', 'Mezzo di esecuzione per la musica', 1, 0, '', 7, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('700', 'n', 'Numero di parte/sezione dell\'opera', 'Numero di parte/sezione dell\'opera', 1, 0, '', 7, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('700', 'o', 'Formulazione d\'arrangiamento per la musica', 'Formulazione d\'arrangiamento per la musica', 0, 0, '', 7, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('700', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, '', 7, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('700', 'q', 'Forma completa del nome', 'Forma completa del nome', 0, 0, '', 7, '', '', '', NULL, -1, 'KT', '', '', NULL),
		('700', 'r', 'Tonalità (musica)', 'Tonalità (musica)', 0, 0, '', 7, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('700', 's', 'Versione', 'Versione', 0, 0, '', 7, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('700', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, '', 7, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('700', 'u', 'Affiliazione', 'Affiliazione', 0, 0, '', 7, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('700', 'x', 'ISSN (International Standard Serial Number)', 'ISSN (International Standard Serial Number)', 0, 0, '', 7, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('705', 'a', 'Nome di persona', 'Nome di persona', 0, 0, '', 7, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('705', 'b', 'Numerazione', 'Numerazione', 0, 0, '', 7, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('705', 'c', 'Titoli e altre parole associate al nome', 'Titoli e altre parole associate al nome', 1, 0, '', 7, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('705', 'd', 'Date associate al nome', 'Date associate al nome', 0, 0, '', 7, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('705', 'e', 'Termine di ruolo', 'Termine di ruolo', 1, 0, '', 7, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('705', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, '', 7, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('705', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, '', 7, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('705', 'h', 'Supporto', 'Supporto', 0, 0, '', 7, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('705', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, '', 7, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('705', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, '', 7, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('705', 'm', 'Mezzo di esecuzione per la musica', 'Mezzo di esecuzione per la musica', 1, 0, '', 7, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('705', 'n', 'Numero di parte/sezione dell\'opera', 'Numero di parte/sezione dell\'opera', 1, 0, '', 7, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('705', 'o', 'Formulazione d\'arrangiamento per la musica', 'Formulazione d\'arrangiamento per la musica', 0, 0, '', 7, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('705', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, '', 7, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('705', 'r', 'Tonalità (musica)', 'Tonalità (musica)', 0, 0, '', 7, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('705', 's', 'Versione', 'Versione', 0, 0, '', 7, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('705', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, '', 7, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('710', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, '', 7, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('710', '4', 'Codice di ruolo', 'Codice di ruolo', 1, 0, '', 7, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('710', '5', 'Istituzione a cui si applica il campo', 'Istituzione a cui si applica il campo', 0, 0, '', 7, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('710', '6', 'Collegamento', 'Collegamento', 0, 0, '', 7, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('710', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 7, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('710', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 7, '', '', '', 0, -5, 'KT', '', '', NULL),
		('710', 'a', 'Nome dell\'ente o nome della giurisdizione come accesso', 'Nome dell\'ente o nome della giurisdizione come accesso', 0, 0, '', 7, '', 'CORPO_NAME', '', NULL, -1, 'KT', '', '', NULL),
		('710', 'b', 'Unità subordinata', 'Unità subordinata', 1, 0, '', 7, '', '', '', NULL, -1, 'KT', '', '', NULL),
		('710', 'c', 'Luogo del convegno', 'Luogo del convegno', 0, 0, '', 7, '', '', '', NULL, -1, 'KT', '', '', NULL),
		('710', 'd', 'Data del convegno o di firma del trattato', 'Data del convegno o di firma del trattato', 1, 0, '', 7, '', '', '', NULL, -1, 'KT', '', '', NULL),
		('710', 'e', 'Termine di ruolo', 'Termine di ruolo', 1, 0, '', 7, '', '', '', NULL, -1, 'KT', '', '', NULL),
		('710', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, '', 7, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('710', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, '', 7, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('710', 'h', 'Supporto', 'Supporto', 0, 0, '', 7, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('710', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, '', 7, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('710', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, '', 7, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('710', 'm', 'Mezzo di esecuzione per la musica', 'Mezzo di esecuzione per la musica', 1, 0, '', 7, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('710', 'n', 'Numero di parte/sezione/convegno', 'Numero di parte/sezione/convegno', 1, 0, '', 7, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('710', 'o', 'Formulazione d\'arrangiamento per la musica', 'Formulazione d\'arrangiamento per la musica', 0, 0, '', 7, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('710', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, '', 7, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('710', 'r', 'Tonalità (musica)', 'Tonalità (musica)', 0, 0, '', 7, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('710', 's', 'Versione', 'Versione', 0, 0, '', 7, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('710', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, '', 7, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('710', 'u', 'Affiliazione', 'Affiliazione', 0, 0, '', 7, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('710', 'x', 'ISSN (International Standard Serial Number)', 'ISSN (International Standard Serial Number)', 0, 0, '', 7, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('711', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('711', '4', 'Codice di ruolo', 'Codice di ruolo', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('711', '5', 'Istituzione a cui si applica il campo', 'Istituzione a cui si applica il campo', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('711', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('711', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('711', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 7, '', '', '', 0, -5, 'KT', '', '', NULL),
		('711', 'a', 'Nome del convegno o nome della giurisdizione come accesso', 'Nome del convegno o nome della giurisdizione come accesso', 0, 0, NULL, 7, NULL, 'MEETI_NAME', '', NULL, -1, 'KT', '', '', NULL),
		('711', 'b', 'Number (BK CF MP MU SE VM MX) [OBSOLETE]', 'Number (BK CF MP MU SE VM MX) [OBSOLETE]', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('711', 'c', 'Luogo del convegno', 'Luogo del convegno', 0, 0, NULL, 7, NULL, NULL, '', NULL, -1, 'KT', '', '', NULL),
		('711', 'd', 'Data del convegno', 'Data del convegno', 0, 0, NULL, 7, NULL, NULL, '', NULL, -1, 'KT', '', '', NULL),
		('711', 'e', 'Unità subordinata', 'Unità subordinata', 1, 0, NULL, 7, NULL, NULL, '', NULL, -1, 'KT', '', '', NULL),
		('711', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('711', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('711', 'h', 'Supporto', 'Supporto', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('711', 'j', 'Termine di ruolo', 'Termine di ruolo', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('711', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('711', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('711', 'n', 'Numero di parte/sezione/convegno', 'Numero di parte/sezione/convegno', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('711', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('711', 'q', 'Nome del convegno dopo accesso di nome della giurisdizione', 'Nome del convegno dopo accesso di nome della giurisdizione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('711', 's', 'Versione', 'Versione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('711', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('711', 'u', 'Affiliazione', 'Affiliazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('711', 'x', 'ISSN (International Standard Serial Number)', 'ISSN (International Standard Serial Number)', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('715', '%', '% (RLIN)', '% (RLIN)', 0, 0, '', 7, '', '', '', 0, -6, 'KT', '', '', NULL),
		('715', 'a', 'Ragione sociale o nome giuridico', 'Ragione sociale o nome giuridico', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('715', 'b', 'Unità subordinata', 'Unità subordinata', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('715', 'e', 'Termine di ruolo', 'Termine di ruolo', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('715', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('715', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('715', 'h', 'Supporto', 'Supporto', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('715', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('715', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('715', 'n', 'Numero di parte/sezione/convegno', 'Numero di parte/sezione/convegno', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('715', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('715', 'r', 'Tonalità (musica)', 'Tonalità (musica)', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('715', 's', 'Versione', 'Versione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('715', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('715', 'u', 'Nonprinting information', 'Nonprinting information', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('720', '4', 'Codice di ruolo', 'Codice di ruolo', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('720', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('720', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('720', 'a', 'Nome', 'Nome', 0, 0, '', 7, NULL, NULL, '', NULL, -1, 'KT', '', '', NULL),
		('720', 'e', 'Termine di ruolo', 'Termine di ruolo', 1, 0, NULL, 7, NULL, NULL, '', NULL, -1, 'KT', '', '', NULL),
		('730', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, '', 7, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('730', '5', 'Istituzione a cui si applica il campo', 'Istituzione a cui si applica il campo', 0, 0, '', 7, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('730', '6', 'Collegamento', 'Collegamento', 0, 0, '', 7, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('730', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 7, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('730', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 7, '', '', '', 0, -5, 'KT', '', '', NULL),
		('730', 'a', 'Titolo uniforme', 'Titolo uniforme', 0, 0, '', 7, '', 'UNIF_TITLE', '', NULL, -6, 'KT', '', '', NULL),
		('730', 'd', 'Data di firma del trattato', 'Data di firma del trattato', 1, 0, '', 7, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('730', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, '', 7, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('730', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, '', 7, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('730', 'h', 'Supporto', 'Supporto', 0, 0, '', 7, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('730', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, '', 7, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('730', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, '', 7, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('730', 'm', 'Mezzo di esecuzione per la musica', 'Mezzo di esecuzione per la musica', 1, 0, '', 7, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('730', 'n', 'Numero di parte/sezione dell\'opera', 'Numero di parte/sezione dell\'opera', 1, 0, '', 7, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('730', 'o', 'Formulazione d\'arrangiamento per la musica', 'Formulazione d\'arrangiamento per la musica', 0, 0, '', 7, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('730', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, '', 7, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('730', 'r', 'Tonalità (musica)', 'Tonalità (musica)', 0, 0, '', 7, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('730', 's', 'Versione', 'Versione', 0, 0, '', 7, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('730', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, '', 7, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('730', 'x', 'ISSN (International Standard Serial Number)', 'ISSN (International Standard Serial Number)', 0, 0, '', 7, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('740', '5', 'Istituzione a cui si applica il campo', 'Istituzione a cui si applica il campo', 0, 0, '', 7, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('740', '6', 'Collegamento', 'Collegamento', 0, 0, '', 7, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('740', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 7, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('740', 'a', 'Titolo analitico/correlato non controllato', 'Titolo analitico/correlato non controllato', 0, 0, '', 7, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('740', 'h', 'Supporto', 'Supporto', 0, 0, '', 7, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('740', 'n', 'Numero di parte/sezione dell\'opera', 'Numero di parte/sezione dell\'opera', 1, 0, '', 7, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('740', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, '', 7, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('752', '2', 'Fonte dell\'intestazione o del termine', 'Fonte dell\'intestazione o del termine', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('752', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('752', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('752', 'a', 'Paese o ente maggiore', 'Paese o ente maggiore', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('752', 'b', 'Giurisdizione politica principale', 'Giurisdizione politica principale', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('752', 'c', 'Giurisdizione politica intermedia', 'Giurisdizione politica intermedia', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('752', 'd', 'Città', 'Città', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('752', 'f', 'Suddivisione comunale', 'Suddivisione comunale', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('752', 'g', 'Altra regione e caratteristica geografica non giurisdizionale', 'Altra regione e caratteristica geografica non giurisdizionale', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('752', 'h', 'Paese o ente maggiore', 'Paese o ente maggiore', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('753', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('753', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('753', 'a', 'Marca e modello della macchina', 'Marca e modello della macchina', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('753', 'b', 'Linguaggio di programmazione', 'Linguaggio di programmazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('753', 'c', 'Sistema operativo', 'Sistema operativo', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('754', '2', 'Fonte dell\'identificazione tassonomica', 'Fonte dell\'identificazione tassonomica', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('754', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('754', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('754', 'a', 'Nome tassonomico', 'Nome tassonomico', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('754', 'c', 'Categoria tassonomica', 'Categoria tassonomica', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('754', 'd', 'Nome comune o alternativo', 'Nome comune o alternativo', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('754', 'x', 'Nota non pubblica', 'Nota non pubblica', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('754', 'z', 'Nota pubblica', 'Nota pubblica', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('755', '2', 'Fonte dell\'identificazione tassonomica', 'Fonte dell\'identificazione tassonomica', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('755', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, '', 7, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('755', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('755', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('755', 'a', 'Termine d\'accesso', 'Termine d\'accesso', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('755', 'x', 'Suddivisione generale', 'Suddivisione generale', 1, 0, '', 7, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('755', 'y', 'Suddivisione cronologica', 'Suddivisione cronologica', 1, 0, '', 7, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('755', 'z', 'Suddivisione geografica', 'Suddivisione geografica', 1, 0, '', 7, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('760', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('760', '7', 'Sottocampo di controllo', 'Sottocampo di controllo', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('760', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('760', 'a', 'Intestazione principale', 'Intestazione principale', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('760', 'b', 'Edizione', 'Edizione', 0, 0, NULL, 7, NULL, NULL, '', NULL, 0, 'KT', '', '', NULL),
		('760', 'c', 'Qualificazione', 'Qualificazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('760', 'd', 'Luogo, editore e data di pubblicazione', 'Luogo, editore e data di pubblicazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('760', 'g', 'Informazione sulla relazione', 'Informazione sulla relazione', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('760', 'h', 'Descrizione fisica', 'Descrizione fisica', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('760', 'i', 'Informazione sulla relazione', 'Informazione sulla relazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('760', 'm', 'Dettagli specifici del materiale', 'Dettagli specifici del materiale', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('760', 'n', 'Nota', 'Nota', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('760', 'o', 'Altro identificatore dell\'item', 'Altro identificatore dell\'item', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('760', 'q', 'Parallel title (BK SE) [OBSOLETE]', 'Parallel title (BK SE) [OBSOLETE]', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('760', 's', 'Titolo uniforme', 'Titolo uniforme', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('760', 't', 'Titolo', 'Titolo', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('760', 'w', 'Numero di controllo della registrazione', 'Numero di controllo della registrazione', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('760', 'x', 'ISSN (International Standard Serial Number)', 'ISSN (International Standard Serial Number)', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('760', 'y', 'Designazione CODEN', 'Designazione CODEN', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('762', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('762', '7', 'Sottocampo di controllo', 'Sottocampo di controllo', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('762', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('762', 'a', 'Intestazione principale', 'Intestazione principale', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('762', 'b', 'Edizione', 'Edizione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('762', 'c', 'Qualificazione', 'Qualificazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('762', 'd', 'Luogo, editore e data di pubblicazione', 'Luogo, editore e data di pubblicazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('762', 'g', 'Informazione sulla relazione', 'Informazione sulla relazione', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('762', 'h', 'Descrizione fisica', 'Descrizione fisica', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('762', 'i', 'Informazione sulla relazione', 'Informazione sulla relazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('762', 'm', 'Dettagli specifici del materiale', 'Dettagli specifici del materiale', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('762', 'n', 'Nota', 'Nota', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('762', 'o', 'Altro identificatore dell\'item', 'Altro identificatore dell\'item', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('762', 'q', 'Parallel title (BK SE) [OBSOLETE]', 'Parallel title (BK SE) [OBSOLETE]', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('762', 's', 'Titolo uniforme', 'Titolo uniforme', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('762', 't', 'Titolo', 'Titolo', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('762', 'w', 'Numero di controllo della registrazione', 'Numero di controllo della registrazione', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('762', 'x', 'ISSN (International Standard Serial Number)', 'ISSN (International Standard Serial Number)', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('762', 'y', 'Designazione CODEN', 'Designazione CODEN', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('765', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('765', '7', 'Sottocampo di controllo', 'Sottocampo di controllo', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('765', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('765', 'a', 'Intestazione principale', 'Intestazione principale', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('765', 'b', 'Edizione', 'Edizione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('765', 'c', 'Qualificazione', 'Qualificazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('765', 'd', 'Luogo, editore e data di pubblicazione', 'Luogo, editore e data di pubblicazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('765', 'g', 'Informazione sulla relazione', 'Informazione sulla relazione', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('765', 'h', 'Descrizione fisica', 'Descrizione fisica', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('765', 'i', 'Informazione sulla relazione', 'Informazione sulla relazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('765', 'k', 'Dati della serie dell\'item correlato', 'Dati della serie dell\'item correlato', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('765', 'm', 'Dettagli specifici del materiale', 'Dettagli specifici del materiale', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('765', 'n', 'Nota', 'Nota', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('765', 'o', 'Altro identificatore dell\'item', 'Altro identificatore dell\'item', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('765', 'q', 'Parallel title (BK SE)  [OBSOLETE]', 'Parallel title (BK SE)  [OBSOLETE]', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('765', 'r', 'Numero di rapporto', 'Numero di rapporto', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('765', 's', 'Titolo uniforme', 'Titolo uniforme', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('765', 't', 'Titolo', 'Titolo', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('765', 'u', 'Standard Technical Report Number', 'Standard Technical Report Number', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('765', 'w', 'Numero di controllo della registrazione', 'Numero di controllo della registrazione', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('765', 'x', 'ISSN (International Standard Serial Number)', 'ISSN (International Standard Serial Number)', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('765', 'y', 'Designazione CODEN', 'Designazione CODEN', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('765', 'z', 'ISBN (International Standard Book Number)', 'ISBN (International Standard Book Number)', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('767', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('767', '7', 'Sottocampo di controllo', 'Sottocampo di controllo', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('767', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('767', 'a', 'Intestazione principale', 'Intestazione principale', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('767', 'b', 'Edizione', 'Edizione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('767', 'c', 'Qualificazione', 'Qualificazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('767', 'd', 'Luogo, editore e data di pubblicazione', 'Luogo, editore e data di pubblicazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('767', 'g', 'Informazione sulla relazione', 'Informazione sulla relazione', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('767', 'h', 'Descrizione fisica', 'Descrizione fisica', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('767', 'i', 'Informazione sulla relazione', 'Informazione sulla relazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('767', 'k', 'Dati della serie dell\'item correlato', 'Dati della serie dell\'item correlato', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('767', 'm', 'Dettagli specifici del materiale', 'Dettagli specifici del materiale', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('767', 'n', 'Nota', 'Nota', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('767', 'o', 'Altro identificatore dell\'item', 'Altro identificatore dell\'item', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('767', 'q', 'Parallel title (BK SE) [OBSOLETE]', 'Parallel title (BK SE) [OBSOLETE]', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('767', 'r', 'Numero di rapporto', 'Numero di rapporto', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('767', 's', 'Titolo uniforme', 'Titolo uniforme', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('767', 't', 'Titolo', 'Titolo', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('767', 'u', 'Standard Technical Report Number', 'Standard Technical Report Number', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('767', 'w', 'Numero di controllo della registrazione', 'Numero di controllo della registrazione', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('767', 'x', 'ISSN (International Standard Serial Number)', 'ISSN (International Standard Serial Number)', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('767', 'y', 'Designazione CODEN', 'Designazione CODEN', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('767', 'z', 'ISBN (International Standard Book Number)', 'ISBN (International Standard Book Number)', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('770', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('770', '7', 'Sottocampo di controllo', 'Sottocampo di controllo', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('770', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('770', 'a', 'Intestazione principale', 'Intestazione principale', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('770', 'b', 'Edizione', 'Edizione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('770', 'c', 'Qualificazione', 'Qualificazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('770', 'd', 'Luogo, editore e data di pubblicazione', 'Luogo, editore e data di pubblicazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('770', 'g', 'Informazione sulla relazione', 'Informazione sulla relazione', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('770', 'h', 'Descrizione fisica', 'Descrizione fisica', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('770', 'i', 'Informazione sulla relazione', 'Informazione sulla relazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('770', 'k', 'Dati della serie dell\'item correlato', 'Dati della serie dell\'item correlato', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('770', 'm', 'Dettagli specifici del materiale', 'Dettagli specifici del materiale', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('770', 'n', 'Nota', 'Nota', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('770', 'o', 'Altro identificatore dell\'item', 'Altro identificatore dell\'item', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('770', 'q', 'Parallel title (BK SE) [OBSOLETE]', 'Parallel title (BK SE) [OBSOLETE]', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('770', 'r', 'Numero di rapporto', 'Numero di rapporto', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('770', 's', 'Titolo uniforme', 'Titolo uniforme', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('770', 't', 'Titolo', 'Titolo', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('770', 'u', 'Standard Technical Report Number', 'Standard Technical Report Number', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('770', 'w', 'Numero di controllo della registrazione', 'Numero di controllo della registrazione', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('770', 'x', 'ISSN (International Standard Serial Number)', 'ISSN (International Standard Serial Number)', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('770', 'y', 'Designazione CODEN', 'Designazione CODEN', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('770', 'z', 'ISBN (International Standard Book Number)', 'ISBN (International Standard Book Number)', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('772', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('772', '7', 'Sottocampo di controllo', 'Sottocampo di controllo', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('772', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('772', 'a', 'Intestazione principale', 'Intestazione principale', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('772', 'b', 'Edizione', 'Edizione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('772', 'c', 'Qualificazione', 'Qualificazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('772', 'd', 'Luogo, editore e data di pubblicazione', 'Luogo, editore e data di pubblicazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('772', 'g', 'Informazione sulla relazione', 'Informazione sulla relazione', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('772', 'h', 'Descrizione fisica', 'Descrizione fisica', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('772', 'i', 'Informazione sulla relazione', 'Informazione sulla relazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('772', 'k', 'Dati della serie dell\'item correlato', 'Dati della serie dell\'item correlato', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('772', 'm', 'Dettagli specifici del materiale', 'Dettagli specifici del materiale', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('772', 'n', 'Nota', 'Nota', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('772', 'o', 'Altro identificatore dell\'item', 'Altro identificatore dell\'item', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('772', 'q', 'Parallel title (BK SE) [OBSOLETE]', 'Parallel title (BK SE) [OBSOLETE]', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('772', 'r', 'Numero di rapporto', 'Numero di rapporto', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('772', 's', 'Titolo uniforme', 'Titolo uniforme', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('772', 't', 'Titolo', 'Titolo', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('772', 'u', 'Standard Technical Report Number', 'Standard Technical Report Number', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('772', 'w', 'Numero di controllo della registrazione', 'Numero di controllo della registrazione', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('772', 'x', 'ISSN (International Standard Serial Number)', 'ISSN (International Standard Serial Number)', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('772', 'y', 'Designazione CODEN', 'Designazione CODEN', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('772', 'z', 'ISBN (International Standard Book Number)', 'ISBN (International Standard Book Number)', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('773', '0', 'Codice record bibliografico contenente lo spoglio', 'Codice record bibliografico contenente lo spoglio', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('773', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('773', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('773', '7', 'Sottocampo di controllo', 'Sottocampo di controllo', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('773', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('773', '9', 'Codice copia contenete lo spoglio', 'Codice copia contenete lo spoglio', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('773', 'a', 'Intestazione principale', 'Intestazione principale', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('773', 'b', 'Edizione', 'Edizione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('773', 'd', 'Luogo, editore e data di pubblicazione', 'Luogo, editore e data di pubblicazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('773', 'g', 'Informazione sulla relazione', 'Informazione sulla relazione', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('773', 'h', 'Descrizione fisica', 'Descrizione fisica', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('773', 'i', 'Informazione sulla relazione', 'Informazione sulla relazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('773', 'k', 'Dati della serie dell\'item correlato', 'Dati della serie dell\'item correlato', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('773', 'm', 'Dettagli specifici del materiale', 'Dettagli specifici del materiale', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('773', 'n', 'Nota', 'Nota', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('773', 'o', 'Altro identificatore dell\'item', 'Altro identificatore dell\'item', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('773', 'p', 'Titolo abbreviato', 'Titolo abbreviato', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('773', 'r', 'Numero di rapporto', 'Numero di rapporto', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('773', 's', 'Titolo uniforme', 'Titolo uniforme', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('773', 't', 'Titolo', 'Titolo', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('773', 'u', 'Standard Technical Report Number', 'Standard Technical Report Number', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('773', 'w', 'Numero di controllo della registrazione', 'Numero di controllo della registrazione', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('773', 'x', 'ISSN (International Standard Serial Number)', 'ISSN (International Standard Serial Number)', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('773', 'y', 'Designazione CODEN', 'Designazione CODEN', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('773', 'z', 'ISBN (International Standard Book Number)', 'ISBN (International Standard Book Number)', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('774', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('774', '7', 'Sottocampo di controllo', 'Sottocampo di controllo', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('774', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('774', 'a', 'Intestazione principale', 'Intestazione principale', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('774', 'b', 'Edizione', 'Edizione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('774', 'c', 'Qualificazione', 'Qualificazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('774', 'd', 'Luogo, editore e data di pubblicazione', 'Luogo, editore e data di pubblicazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('774', 'g', 'Informazione sulla relazione', 'Informazione sulla relazione', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('774', 'h', 'Descrizione fisica', 'Descrizione fisica', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('774', 'i', 'Informazione sulla relazione', 'Informazione sulla relazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('774', 'k', 'Dati della serie dell\'item correlato', 'Dati della serie dell\'item correlato', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('774', 'm', 'Dettagli specifici del materiale', 'Dettagli specifici del materiale', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('774', 'n', 'Nota', 'Nota', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('774', 'o', 'Altro identificatore dell\'item', 'Altro identificatore dell\'item', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('774', 'r', 'Numero di rapporto', 'Numero di rapporto', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('774', 's', 'Titolo uniforme', 'Titolo uniforme', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('774', 't', 'Titolo', 'Titolo', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('774', 'u', 'Standard Technical Report Number', 'Standard Technical Report Number', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('774', 'w', 'Numero di controllo della registrazione', 'Numero di controllo della registrazione', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('774', 'x', 'ISSN (International Standard Serial Number)', 'ISSN (International Standard Serial Number)', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('774', 'y', 'Designazione CODEN', 'Designazione CODEN', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('774', 'z', 'ISBN (International Standard Book Number)', 'ISBN (International Standard Book Number)', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('775', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('775', '7', 'Sottocampo di controllo', 'Sottocampo di controllo', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('775', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('775', 'a', 'Intestazione principale', 'Intestazione principale', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('775', 'b', 'Edizione', 'Edizione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('775', 'c', 'Qualificazione', 'Qualificazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('775', 'd', 'Luogo, editore e data di pubblicazione', 'Luogo, editore e data di pubblicazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('775', 'e', 'Codice lingua', 'Codice lingua', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('775', 'f', 'Codice di paese', 'Codice di paese', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('775', 'g', 'Informazione sulla relazione', 'Informazione sulla relazione', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('775', 'h', 'Descrizione fisica', 'Descrizione fisica', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('775', 'i', 'Informazione sulla relazione', 'Informazione sulla relazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('775', 'k', 'Dati della serie dell\'item correlato', 'Dati della serie dell\'item correlato', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('775', 'm', 'Dettagli specifici del materiale', 'Dettagli specifici del materiale', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('775', 'n', 'Nota', 'Nota', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('775', 'o', 'Altro identificatore dell\'item', 'Altro identificatore dell\'item', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('775', 'q', 'Parallel title (BK SE) [OBSOLETE]', 'Parallel title (BK SE) [OBSOLETE]', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('775', 'r', 'Numero di rapporto', 'Numero di rapporto', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('775', 's', 'Titolo uniforme', 'Titolo uniforme', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('775', 't', 'Titolo', 'Titolo', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('775', 'u', 'Standard Technical Report Number', 'Standard Technical Report Number', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('775', 'w', 'Numero di controllo della registrazione', 'Numero di controllo della registrazione', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('775', 'x', 'ISSN (International Standard Serial Number)', 'ISSN (International Standard Serial Number)', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('775', 'y', 'Designazione CODEN', 'Designazione CODEN', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('775', 'z', 'ISBN (International Standard Book Number)', 'ISBN (International Standard Book Number)', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('776', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('776', '7', 'Sottocampo di controllo', 'Sottocampo di controllo', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('776', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('776', 'a', 'Intestazione principale', 'Intestazione principale', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('776', 'b', 'Edizione', 'Edizione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('776', 'c', 'Qualificazione', 'Qualificazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('776', 'd', 'Luogo, editore e data di pubblicazione', 'Luogo, editore e data di pubblicazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('776', 'g', 'Informazione sulla relazione', 'Informazione sulla relazione', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('776', 'h', 'Descrizione fisica', 'Descrizione fisica', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('776', 'i', 'Informazione sulla relazione', 'Informazione sulla relazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('776', 'k', 'Dati della serie dell\'item correlato', 'Dati della serie dell\'item correlato', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('776', 'm', 'Dettagli specifici del materiale', 'Dettagli specifici del materiale', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('776', 'n', 'Nota', 'Nota', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('776', 'o', 'Altro identificatore dell\'item', 'Altro identificatore dell\'item', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('776', 'q', 'Parallel title (BK SE) [OBSOLETE]', 'Parallel title (BK SE) [OBSOLETE]', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('776', 'r', 'Numero di rapporto', 'Numero di rapporto', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('776', 's', 'Titolo uniforme', 'Titolo uniforme', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('776', 't', 'Titolo', 'Titolo', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('776', 'u', 'Standard Technical Report Number', 'Standard Technical Report Number', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('776', 'w', 'Numero di controllo della registrazione', 'Numero di controllo della registrazione', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('776', 'x', 'ISSN (International Standard Serial Number)', 'ISSN (International Standard Serial Number)', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('776', 'y', 'Designazione CODEN', 'Designazione CODEN', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('776', 'z', 'ISBN (International Standard Book Number)', 'ISBN (International Standard Book Number)', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('777', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('777', '7', 'Sottocampo di controllo', 'Sottocampo di controllo', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('777', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('777', 'a', 'Intestazione principale', 'Intestazione principale', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('777', 'b', 'Edizione', 'Edizione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('777', 'c', 'Qualificazione', 'Qualificazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('777', 'd', 'Luogo, editore e data di pubblicazione', 'Luogo, editore e data di pubblicazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('777', 'g', 'Informazione sulla relazione', 'Informazione sulla relazione', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('777', 'h', 'Descrizione fisica', 'Descrizione fisica', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('777', 'i', 'Informazione sulla relazione', 'Informazione sulla relazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('777', 'k', 'Dati della serie dell\'item correlato', 'Dati della serie dell\'item correlato', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('777', 'm', 'Dettagli specifici del materiale', 'Dettagli specifici del materiale', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('777', 'n', 'Nota', 'Nota', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('777', 'o', 'Altro identificatore dell\'item', 'Altro identificatore dell\'item', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('777', 'q', 'Parallel title (BK SE) [OBSOLETE]', 'Parallel title (BK SE) [OBSOLETE]', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('777', 's', 'Titolo uniforme', 'Titolo uniforme', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('777', 't', 'Titolo', 'Titolo', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('777', 'w', 'Numero di controllo della registrazione', 'Numero di controllo della registrazione', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('777', 'x', 'ISSN (International Standard Serial Number)', 'ISSN (International Standard Serial Number)', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('777', 'y', 'Designazione CODEN', 'Designazione CODEN', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('780', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('780', '7', 'Sottocampo di controllo', 'Sottocampo di controllo', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('780', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('780', 'a', 'Intestazione principale', 'Intestazione principale', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('780', 'b', 'Edizione', 'Edizione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('780', 'c', 'Qualificazione', 'Qualificazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('780', 'd', 'Luogo, editore e data di pubblicazione', 'Luogo, editore e data di pubblicazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('780', 'g', 'Informazione sulla relazione', 'Informazione sulla relazione', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('780', 'h', 'Descrizione fisica', 'Descrizione fisica', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('780', 'i', 'Informazione sulla relazione', 'Informazione sulla relazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('780', 'k', 'Dati della serie dell\'item correlato', 'Dati della serie dell\'item correlato', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('780', 'm', 'Dettagli specifici del materiale', 'Dettagli specifici del materiale', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('780', 'n', 'Nota', 'Nota', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('780', 'o', 'Altro identificatore dell\'item', 'Altro identificatore dell\'item', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('780', 'q', 'Parallel title (BK SE) [OBSOLETE]', 'Parallel title (BK SE) [OBSOLETE]', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('780', 'r', 'Numero di rapporto', 'Numero di rapporto', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('780', 's', 'Titolo uniforme', 'Titolo uniforme', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('780', 't', 'Titolo', 'Titolo', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('780', 'u', 'Standard Technical Report Number', 'Standard Technical Report Number', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('780', 'w', 'Numero di controllo della registrazione', 'Numero di controllo della registrazione', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('780', 'x', 'ISSN (International Standard Serial Number)', 'ISSN (International Standard Serial Number)', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('780', 'y', 'Designazione CODEN', 'Designazione CODEN', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('780', 'z', 'ISBN (International Standard Book Number)', 'ISBN (International Standard Book Number)', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('785', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('785', '7', 'Sottocampo di controllo', 'Sottocampo di controllo', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('785', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('785', 'a', 'Intestazione principale', 'Intestazione principale', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('785', 'b', 'Edizione', 'Edizione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('785', 'c', 'Qualificazione', 'Qualificazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('785', 'd', 'Luogo, editore e data di pubblicazione', 'Luogo, editore e data di pubblicazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('785', 'g', 'Informazione sulla relazione', 'Informazione sulla relazione', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('785', 'h', 'Descrizione fisica', 'Descrizione fisica', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('785', 'i', 'Informazione sulla relazione', 'Informazione sulla relazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('785', 'k', 'Dati della serie dell\'item correlato', 'Dati della serie dell\'item correlato', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('785', 'm', 'Dettagli specifici del materiale', 'Dettagli specifici del materiale', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('785', 'n', 'Nota', 'Nota', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('785', 'o', 'Altro identificatore dell\'item', 'Altro identificatore dell\'item', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('785', 'q', 'Parallel title (BK SE) [OBSOLETE]', 'Parallel title (BK SE) [OBSOLETE]', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('785', 'r', 'Numero di rapporto', 'Numero di rapporto', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('785', 's', 'Titolo uniforme', 'Titolo uniforme', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('785', 't', 'Titolo', 'Titolo', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('785', 'u', 'Standard Technical Report Number', 'Standard Technical Report Number', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('785', 'w', 'Numero di controllo della registrazione', 'Numero di controllo della registrazione', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('785', 'x', 'ISSN (International Standard Serial Number)', 'ISSN (International Standard Serial Number)', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('785', 'y', 'Designazione CODEN', 'Designazione CODEN', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('785', 'z', 'ISBN (International Standard Book Number)', 'ISBN (International Standard Book Number)', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('786', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('786', '7', 'Sottocampo di controllo', 'Sottocampo di controllo', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('786', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('786', 'a', 'Intestazione principale', 'Intestazione principale', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('786', 'b', 'Edizione', 'Edizione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('786', 'c', 'Qualificazione', 'Qualificazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('786', 'd', 'Luogo, editore e data di pubblicazione', 'Luogo, editore e data di pubblicazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('786', 'g', 'Informazione sulla relazione', 'Informazione sulla relazione', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('786', 'h', 'Descrizione fisica', 'Descrizione fisica', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('786', 'i', 'Informazione sulla relazione', 'Informazione sulla relazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('786', 'j', 'Periodo del contenuto', 'Periodo del contenuto', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('786', 'k', 'Dati della serie dell\'item correlato', 'Dati della serie dell\'item correlato', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('786', 'm', 'Dettagli specifici del materiale', 'Dettagli specifici del materiale', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('786', 'n', 'Nota', 'Nota', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('786', 'o', 'Altro identificatore dell\'item', 'Altro identificatore dell\'item', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('786', 'p', 'Titolo abbreviato', 'Titolo abbreviato', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('786', 'r', 'Numero di rapporto', 'Numero di rapporto', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('786', 's', 'Titolo uniforme', 'Titolo uniforme', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('786', 't', 'Titolo', 'Titolo', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('786', 'u', 'Standard Technical Report Number', 'Standard Technical Report Number', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('786', 'w', 'Numero di controllo della registrazione', 'Numero di controllo della registrazione', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('786', 'x', 'ISSN (International Standard Serial Number)', 'ISSN (International Standard Serial Number)', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('786', 'y', 'Designazione CODEN', 'Designazione CODEN', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('786', 'z', 'ISBN (International Standard Book Number)', 'ISBN (International Standard Book Number)', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('787', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('787', '7', 'Sottocampo di controllo', 'Sottocampo di controllo', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('787', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('787', 'a', 'Intestazione principale', 'Intestazione principale', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('787', 'b', 'Edizione', 'Edizione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('787', 'c', 'Qualificazione', 'Qualificazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('787', 'd', 'Luogo, editore e data di pubblicazione', 'Luogo, editore e data di pubblicazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('787', 'g', 'Informazione sulla relazione', 'Informazione sulla relazione', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('787', 'h', 'Descrizione fisica', 'Descrizione fisica', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('787', 'i', 'Informazione sulla relazione', 'Informazione sulla relazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('787', 'k', 'Dati della serie dell\'item correlato', 'Dati della serie dell\'item correlato', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('787', 'm', 'Dettagli specifici del materiale', 'Dettagli specifici del materiale', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('787', 'n', 'Nota', 'Nota', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('787', 'o', 'Altro identificatore dell\'item', 'Altro identificatore dell\'item', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('787', 'q', 'Parallel title (BK SE) [OBSOLETE]', 'Parallel title (BK SE) [OBSOLETE]', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('787', 'r', 'Numero di rapporto', 'Numero di rapporto', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('787', 's', 'Titolo uniforme', 'Titolo uniforme', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('787', 't', 'Titolo', 'Titolo', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('787', 'u', 'Standard Technical Report Number', 'Standard Technical Report Number', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('787', 'w', 'Numero di controllo della registrazione', 'Numero di controllo della registrazione', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('787', 'x', 'ISSN (International Standard Serial Number)', 'ISSN (International Standard Serial Number)', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('787', 'y', 'Designazione CODEN', 'Designazione CODEN', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('787', 'z', 'ISBN (International Standard Book Number)', 'ISBN (International Standard Book Number)', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('789', '%', '%', '%', 0, 0, '', 7, '', '', '', 0, -6, 'KT', '', '', NULL),
		('789', '2', '2', '2', 1, 0, '', 7, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('789', '3', '3', '3', 1, 0, '', 7, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('789', '4', '4', '4', 1, 0, '', 7, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('789', '5', '5', '5', 1, 0, '', 7, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('789', '6', '6', '6', 0, 0, '', 7, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('789', '7', '7', '7', 1, 0, '', 7, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('789', '8', '8', '8', 1, 0, '', 7, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('789', '9', '9', '9', 0, 0, '', 7, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('789', 'a', 'a', 'a', 1, 0, '', 7, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('789', 'b', 'b', 'b', 1, 0, '', 7, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('789', 'c', 'c', 'c', 1, 0, '', 7, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('789', 'd', 'd', 'd', 1, 0, '', 7, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('789', 'e', 'e', 'e', 1, 0, '', 7, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('789', 'f', 'f', 'f', 1, 0, '', 7, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('789', 'g', 'g', 'g', 1, 0, '', 7, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('789', 'h', 'h', 'h', 1, 0, '', 7, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('789', 'i', 'i', 'i', 1, 0, '', 7, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('789', 'j', 'j', 'j', 1, 0, '', 7, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('789', 'k', 'k', 'k', 1, 0, '', 7, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('789', 'l', 'l', 'l', 1, 0, '', 7, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('789', 'm', 'm', 'm', 1, 0, '', 7, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('789', 'n', 'n', 'n', 1, 0, '', 7, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('789', 'o', 'o', 'o', 1, 0, '', 7, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('789', 'p', 'p', 'p', 1, 0, '', 7, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('789', 'q', 'q', 'q', 1, 0, '', 7, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('789', 'r', 'r', 'r', 1, 0, '', 7, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('789', 's', 's', 's', 1, 0, '', 7, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('789', 't', 't', 't', 1, 0, '', 7, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('789', 'u', 'u', 'u', 1, 0, '', 7, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('789', 'v', 'v', 'v', 1, 0, '', 7, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('789', 'w', 'w', 'w', 1, 0, '', 7, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('789', 'x', 'x', 'x', 1, 0, '', 7, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('789', 'y', 'y', 'y', 1, 0, '', 7, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('789', 'z', 'z', 'z', 1, 0, '', 7, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('796', '%', '% (RLIN)', '% (RLIN)', 0, 0, '', 7, '', '', '', 0, -6, 'KT', '', '', NULL),
		('796', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, '', 7, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('796', '4', 'Codice di ruolo', 'Codice di ruolo', 1, 0, '', 7, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('796', '5', 'Istituzione a cui si applica il campo', 'Istituzione a cui si applica il campo', 0, 0, '', 7, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('796', '6', 'Collegamento', 'Collegamento', 0, 0, '', 7, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('796', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 7, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('796', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 7, '', '', '', 0, -5, 'KT', '', '', NULL),
		('796', 'a', 'Nome di persona', 'Nome di persona', 0, 0, '', 7, '', 'PERSO_NAME', '', NULL, -6, 'KT', '', '', NULL),
		('796', 'b', 'Numerazione', 'Numerazione', 0, 0, '', 7, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('796', 'c', 'Titoli e altre parole associate al nome', 'Titoli e altre parole associate al nome', 1, 0, '', 7, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('796', 'd', 'Date associate al nome', 'Date associate al nome', 0, 0, '', 7, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('796', 'e', 'Termine di ruolo', 'Termine di ruolo', 1, 0, '', 7, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('796', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, '', 7, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('796', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, '', 7, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('796', 'h', 'Supporto', 'Supporto', 0, 0, '', 7, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('796', 'j', 'Qualificazione d\'attribuzione', 'Qualificazione d\'attribuzione', 1, 0, '', 7, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('796', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, '', 7, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('796', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, '', 7, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('796', 'm', 'Mezzo di esecuzione per la musica', 'Mezzo di esecuzione per la musica', 1, 0, '', 7, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('796', 'n', 'Numero di parte/sezione dell\'opera', 'Numero di parte/sezione dell\'opera', 1, 0, '', 7, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('796', 'o', 'Formulazione d\'arrangiamento per la musica', 'Formulazione d\'arrangiamento per la musica', 0, 0, '', 7, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('796', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, '', 7, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('796', 'q', 'Forma completa del nome', 'Forma completa del nome', 0, 0, '', 7, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('796', 'r', 'Tonalità (musica)', 'Tonalità (musica)', 0, 0, '', 7, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('796', 's', 'Versione', 'Versione', 0, 0, '', 7, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('796', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, '', 7, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('796', 'u', 'Affiliazione', 'Affiliazione', 0, 0, '', 7, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('796', 'x', 'ISSN (International Standard Serial Number)', 'ISSN (International Standard Serial Number)', 0, 0, '', 7, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('797', '%', '% (RLIN)', '% (RLIN)', 0, 0, '', 7, '', '', '', 0, -6, 'KT', '', '', NULL),
		('797', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, '', 7, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('797', '4', 'Codice di ruolo', 'Codice di ruolo', 1, 0, '', 7, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('797', '5', 'Istituzione a cui si applica il campo', 'Istituzione a cui si applica il campo', 0, 0, '', 7, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('797', '6', 'Collegamento', 'Collegamento', 0, 0, '', 7, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('797', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 7, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('797', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 7, '', '', '', 0, -5, 'KT', '', '', NULL),
		('797', 'a', 'Nome dell\'ente o nome della giurisdizione come accesso', 'Nome dell\'ente o nome della giurisdizione come accesso', 0, 0, '', 7, '', 'CORPO_NAME', '', NULL, -6, 'KT', '', '', NULL),
		('797', 'b', 'Unità subordinata', 'Unità subordinata', 1, 0, '', 7, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('797', 'c', 'Luogo del convegno', 'Luogo del convegno', 0, 0, '', 7, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('797', 'd', 'Data del convegno o di firma del trattato', 'Data del convegno o di firma del trattato', 1, 0, '', 7, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('797', 'e', 'Termine di ruolo', 'Termine di ruolo', 1, 0, '', 7, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('797', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, '', 7, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('797', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, '', 7, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('797', 'h', 'Supporto', 'Supporto', 0, 0, '', 7, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('797', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, '', 7, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('797', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, '', 7, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('797', 'm', 'Mezzo di esecuzione per la musica', 'Mezzo di esecuzione per la musica', 1, 0, '', 7, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('797', 'n', 'Numero di parte/sezione/convegno', 'Numero di parte/sezione/convegno', 1, 0, '', 7, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('797', 'o', 'Formulazione d\'arrangiamento per la musica', 'Formulazione d\'arrangiamento per la musica', 0, 0, '', 7, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('797', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, '', 7, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('797', 'r', 'Tonalità (musica)', 'Tonalità (musica)', 0, 0, '', 7, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('797', 's', 'Versione', 'Versione', 0, 0, '', 7, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('797', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, '', 7, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('797', 'u', 'Affiliazione', 'Affiliazione', 0, 0, '', 7, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('797', 'x', 'ISSN (International Standard Serial Number)', 'ISSN (International Standard Serial Number)', 0, 0, '', 7, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('798', '%', '% (RLIN)', '% (RLIN)', 0, 0, '', 7, '', '', '', 0, -5, 'KT', '', '', NULL),
		('798', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('798', '4', 'Codice di ruolo', 'Codice di ruolo', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('798', '5', 'Istituzione a cui si applica il campo', 'Istituzione a cui si applica il campo', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('798', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('798', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('798', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 7, '', '', '', 0, -5, 'KT', '', '', NULL),
		('798', 'a', 'Nome del convegno o nome della giurisdizione come accesso', 'Nome del convegno o nome della giurisdizione come accesso', 0, 0, NULL, 7, NULL, 'MEETI_NAME', '', NULL, -6, 'KT', '', '', NULL),
		('798', 'b', 'Number (BK CF MP MU SE VM MX) [OBSOLETE]', 'Number (BK CF MP MU SE VM MX) [OBSOLETE]', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('798', 'c', 'Luogo del convegno', 'Luogo del convegno', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('798', 'd', 'Data del convegno', 'Data del convegno', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('798', 'e', 'Unità subordinata', 'Unità subordinata', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('798', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('798', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('798', 'h', 'Supporto', 'Supporto', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('798', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('798', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('798', 'n', 'Numero di parte/sezione/convegno', 'Numero di parte/sezione/convegno', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('798', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('798', 'q', 'Nome del convegno dopo accesso di nome della giurisdizione', 'Nome del convegno dopo accesso di nome della giurisdizione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('798', 's', 'Versione', 'Versione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('798', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('798', 'u', 'Affiliazione', 'Affiliazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('798', 'x', 'ISSN (International Standard Serial Number)', 'ISSN (International Standard Serial Number)', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('799', '%', '% (RLIN)', '% (RLIN)', 0, 0, '', 7, '', '', '', 0, -6, 'KT', '', '', NULL),
		('799', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, '', 7, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('799', '5', 'Istituzione a cui si applica il campo', 'Istituzione a cui si applica il campo', 0, 0, '', 7, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('799', '6', 'Collegamento', 'Collegamento', 0, 0, '', 7, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('799', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 7, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('799', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 7, '', '', '', 0, -5, 'KT', '', '', NULL),
		('799', 'a', 'Titolo uniforme', 'Titolo uniforme', 0, 0, '', 7, '', 'UNIF_TITLE', '', NULL, -6, 'KT', '', '', NULL),
		('799', 'd', 'Data di firma del trattato', 'Data di firma del trattato', 1, 0, '', 7, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('799', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, '', 7, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('799', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, '', 7, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('799', 'h', 'Supporto', 'Supporto', 0, 0, '', 7, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('799', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, '', 7, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('799', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, '', 7, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('799', 'm', 'Mezzo di esecuzione per la musica', 'Mezzo di esecuzione per la musica', 1, 0, '', 7, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('799', 'n', 'Numero di parte/sezione dell\'opera', 'Numero di parte/sezione dell\'opera', 1, 0, '', 7, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('799', 'o', 'Formulazione d\'arrangiamento per la musica', 'Formulazione d\'arrangiamento per la musica', 0, 0, '', 7, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('799', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, '', 7, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('799', 'r', 'Tonalità (musica)', 'Tonalità (musica)', 0, 0, '', 7, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('799', 's', 'Versione', 'Versione', 0, 0, '', 7, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('799', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, '', 7, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('799', 'x', 'ISSN (International Standard Serial Number)', 'ISSN (International Standard Serial Number)', 0, 0, '', 7, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('800', '4', 'Codice di ruolo', 'Codice di ruolo', 1, 0, '', 8, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('800', '6', 'Collegamento', 'Collegamento', 0, 0, '', 8, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('800', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 8, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('800', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 8, '', '', '', 0, -5, 'KT', '', '', NULL),
		('800', 'a', 'Nome di persona', 'Nome di persona', 0, 0, '', 8, '', 'PERSO_NAME', '', NULL, -6, 'KT', '', '', NULL),
		('800', 'b', 'Numerazione', 'Numerazione', 0, 0, '', 8, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('800', 'c', 'Titoli e altre parole associate al nome', 'Titoli e altre parole associate al nome', 1, 0, '', 8, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('800', 'd', 'Date associate al nome', 'Date associate al nome', 0, 0, '', 8, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('800', 'e', 'Termine di ruolo', 'Termine di ruolo', 1, 0, '', 8, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('800', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, '', 8, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('800', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, '', 8, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('800', 'h', 'Supporto', 'Supporto', 0, 0, '', 8, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('800', 'j', 'Qualificazione d\'attribuzione', 'Qualificazione d\'attribuzione', 1, 0, '', 8, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('800', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, '', 8, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('800', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, '', 8, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('800', 'm', 'Mezzo di esecuzione per la musica', 'Mezzo di esecuzione per la musica', 1, 0, '', 8, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('800', 'n', 'Numero di parte/sezione dell\'opera', 'Numero di parte/sezione dell\'opera', 1, 0, '', 8, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('800', 'o', 'Formulazione d\'arrangiamento per la musica', 'Formulazione d\'arrangiamento per la musica', 0, 0, '', 8, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('800', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, '', 8, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('800', 'q', 'Forma completa del nome', 'Forma completa del nome', 0, 0, '', 8, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('800', 'r', 'Tonalità (musica)', 'Tonalità (musica)', 0, 0, '', 8, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('800', 's', 'Versione', 'Versione', 0, 0, '', 8, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('800', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, '', 8, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('800', 'u', 'Affiliazione', 'Affiliazione', 0, 0, '', 8, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('800', 'v', 'Numero del volume/designazione di sequenza', 'Numero del volume/designazione di sequenza', 0, 0, '', 8, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('800', 'w', 'Numero di controllo bibliografico', 'Numero di controllo bibliografico', 1, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('810', '4', 'Codice di ruolo', 'Codice di ruolo', 1, 0, '', 8, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('810', '6', 'Collegamento', 'Collegamento', 0, 0, '', 8, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('810', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 8, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('810', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 8, '', '', '', 0, -5, 'KT', '', '', NULL),
		('810', 'a', 'Nome dell\'ente o nome della giurisdizione come accesso', 'Nome dell\'ente o nome della giurisdizione come accesso', 0, 0, '', 8, '', 'CORPO_NAME', '', NULL, -6, 'KT', '', '', NULL),
		('810', 'b', 'Unità subordinata', 'Unità subordinata', 1, 0, '', 8, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('810', 'c', 'Luogo del convegno', 'Luogo del convegno', 0, 0, '', 8, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('810', 'd', 'Data del convegno o di firma del trattato', 'Data del convegno o di firma del trattato', 1, 0, '', 8, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('810', 'e', 'Termine di ruolo', 'Termine di ruolo', 1, 0, '', 8, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('810', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, '', 8, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('810', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, '', 8, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('810', 'h', 'Supporto', 'Supporto', 0, 0, '', 8, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('810', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, '', 8, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('810', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, '', 8, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('810', 'm', 'Mezzo di esecuzione per la musica', 'Mezzo di esecuzione per la musica', 1, 0, '', 8, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('810', 'n', 'Numero di parte/sezione/convegno', 'Numero di parte/sezione/convegno', 1, 0, '', 8, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('810', 'o', 'Formulazione d\'arrangiamento per la musica', 'Formulazione d\'arrangiamento per la musica', 0, 0, '', 8, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('810', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, '', 8, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('810', 'r', 'Tonalità (musica)', 'Tonalità (musica)', 0, 0, '', 8, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('810', 's', 'Versione', 'Versione', 0, 0, '', 8, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('810', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, '', 8, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('810', 'u', 'Affiliazione', 'Affiliazione', 0, 0, '', 8, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('810', 'v', 'Numero del volume/designazione di sequenza', 'Numero del volume/designazione di sequenza', 0, 0, '', 8, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('810', 'w', 'Numero di controllo bibliografico', 'Numero di controllo bibliografico', 1, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('811', '4', 'Codice di ruolo', 'Codice di ruolo', 1, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('811', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('811', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('811', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 8, '', '', '', 0, -5, 'KT', '', '', NULL),
		('811', 'a', 'Nome del convegno o nome della giurisdizione come accesso', 'Nome del convegno o nome della giurisdizione come accesso', 0, 0, NULL, 8, NULL, 'MEETI_NAME', '', NULL, -6, 'KT', '', '', NULL),
		('811', 'b', 'Number (BK CF MP MU SE VM MX) [OBSOLETE]', 'Number (BK CF MP MU SE VM MX) [OBSOLETE]', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('811', 'c', 'Luogo del convegno', 'Luogo del convegno', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('811', 'd', 'Data del convegno', 'Data del convegno', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('811', 'e', 'Unità subordinata', 'Unità subordinata', 1, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('811', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('811', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('811', 'h', 'Supporto', 'Supporto', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('811', 'j', 'Termine di ruolo', 'Termine di ruolo', 1, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('811', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('811', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('811', 'n', 'Numero di parte/sezione/convegno', 'Numero di parte/sezione/convegno', 1, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('811', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('811', 'q', 'Nome del convegno dopo accesso di nome della giurisdizione', 'Nome del convegno dopo accesso di nome della giurisdizione', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('811', 's', 'Versione', 'Versione', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('811', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('811', 'u', 'Affiliazione', 'Affiliazione', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('811', 'v', 'Numero del volume/designazione di sequenza', 'Numero del volume/designazione di sequenza', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('811', 'w', 'Numero di controllo bibliografico', 'Numero di controllo bibliografico', 1, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('830', '6', 'Collegamento', 'Collegamento', 0, 0, '', 8, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('830', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 8, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('830', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 8, '', '', '', 0, -5, 'KT', '', '', NULL),
		('830', 'a', 'Titolo uniforme', 'Titolo uniforme', 0, 0, '', 8, '', 'UNIF_TITLE', '', NULL, -6, 'KT', '', '', NULL),
		('830', 'd', 'Data di firma del trattato', 'Data di firma del trattato', 1, 0, '', 8, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('830', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, '', 8, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('830', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, '', 8, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('830', 'h', 'Supporto', 'Supporto', 0, 0, '', 8, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('830', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, '', 8, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('830', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, '', 8, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('830', 'm', 'Mezzo di esecuzione per la musica', 'Mezzo di esecuzione per la musica', 1, 0, '', 8, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('830', 'n', 'Numero di parte/sezione dell\'opera', 'Numero di parte/sezione dell\'opera', 1, 0, '', 8, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('830', 'o', 'Formulazione d\'arrangiamento per la musica', 'Formulazione d\'arrangiamento per la musica', 0, 0, '', 8, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('830', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, '', 8, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('830', 'r', 'Tonalità (musica)', 'Tonalità (musica)', 0, 0, '', 8, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('830', 's', 'Versione', 'Versione', 0, 0, '', 8, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('830', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, '', 8, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('830', 'v', 'Numero del volume/designazione di sequenza', 'Numero del volume/designazione di sequenza', 0, 0, '', 8, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('830', 'w', 'Numero di controllo bibliografico', 'Numero di controllo bibliografico', 1, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('840', 'a', 'Titolo', 'Titolo', 0, 0, '', 8, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('840', 'h', 'Supporto', 'Supporto', 1, 0, '', 8, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('840', 'v', 'Numero del volume/designazione di sequenza', 'Numero del volume/designazione di sequenza', 0, 0, '', 8, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('841', 'a', 'Tipo di record', 'Tipo di record', 0, 0, NULL, 8, NULL, NULL, '', NULL, 5, 'KT', '', '', NULL),
		('841', 'b', 'Elementi a lunghezza fiss', 'Elementi a lunghezza fiss', 0, 0, NULL, 8, NULL, NULL, '', NULL, 5, 'KT', '', '', NULL),
		('841', 'e', 'Livello di codifica', 'Livello di codifica', 0, 0, NULL, 8, NULL, NULL, '', NULL, 5, 'KT', '', '', NULL),
		('842', '6', 'Collegamento', 'Collegamento', 0, 0, '', 8, '', '', '', NULL, 5, 'KT', '', '', NULL),
		('842', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 8, '', '', '', NULL, 5, 'KT', '', '', NULL),
		('842', 'a', 'Designatore testuale di forma fisica', 'Designatore testuale di forma fisica', 0, 0, '', 8, '', '', '', NULL, 5, 'KT', '', '', NULL),
		('843', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, NULL, 8, NULL, NULL, '', NULL, 5, 'KT', '', '', NULL),
		('843', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 8, NULL, NULL, '', NULL, 5, 'KT', '', '', NULL),
		('843', '7', 'Elementi di lunghezza fissa della riproduzione', 'Elementi di lunghezza fissa della riproduzione', 0, 0, NULL, 8, NULL, NULL, '', NULL, 5, 'KT', '', '', NULL),
		('843', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 8, NULL, NULL, '', NULL, 5, 'KT', '', '', NULL),
		('843', 'a', 'Tipo di riproduzione', 'Tipo di riproduzione', 0, 0, NULL, 8, NULL, NULL, '', NULL, 5, 'KT', '', '', NULL),
		('843', 'b', 'Luogo di riproduzione', 'Luogo di riproduzione', 1, 0, NULL, 8, NULL, NULL, '', NULL, 5, 'KT', '', '', NULL),
		('843', 'c', 'Agenzia responsabile della riproduzione', 'Agenzia responsabile della riproduzione', 1, 0, NULL, 8, NULL, NULL, '', NULL, 5, 'KT', '', '', NULL),
		('843', 'd', 'Data di riproduzione', 'Data di riproduzione', 0, 0, NULL, 8, NULL, NULL, '', NULL, 5, 'KT', '', '', NULL),
		('843', 'e', 'Descrizione fisica della riproduzione', 'Descrizione fisica della riproduzione', 1, 0, NULL, 8, NULL, NULL, '', NULL, 5, 'KT', '', '', NULL),
		('843', 'f', 'Formulazione della serie della riproduzione', 'Formulazione della serie della riproduzione', 1, 0, NULL, 8, NULL, NULL, '', NULL, 5, 'KT', '', '', NULL),
		('843', 'm', 'Date di pubblicazione e/o designazione sequenziale dei fascicoli riprodotti', 'Date di pubblicazione e/o designazione sequenziale dei fascicoli riprodotti', 1, 0, NULL, 8, NULL, NULL, '', NULL, 5, 'KT', '', '', NULL),
		('843', 'n', 'Nota sulla riproduzione', 'Nota sulla riproduzione', 1, 0, NULL, 8, NULL, NULL, '', NULL, 5, 'KT', '', '', NULL),
		('844', '6', 'Collegamento', 'Collegamento', 0, 0, '', 8, '', '', '', NULL, 5, 'KT', '', '', NULL),
		('844', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 8, '', '', '', NULL, 5, 'KT', '', '', NULL),
		('844', 'a', 'Nome dell\'unità', 'Nome dell\'unità', 0, 0, '', 8, '', '', '', NULL, 5, 'KT', '', '', NULL),
		('845', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, NULL, 8, NULL, NULL, '', NULL, 5, 'KT', '', '', NULL),
		('845', '5', 'Istituzione a cui si applica il campo', 'Istituzione a cui si applica il campo', 0, 0, NULL, 8, NULL, NULL, '', NULL, 5, 'KT', '', '', NULL),
		('845', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 8, NULL, NULL, '', NULL, 5, 'KT', '', '', NULL),
		('845', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 8, NULL, NULL, '', NULL, 5, 'KT', '', '', NULL),
		('845', 'a', 'Condizioni che regolano l\'utilizzo e la riproduzione', 'Condizioni che regolano l\'utilizzo e la riproduzione', 0, 0, NULL, 8, NULL, NULL, '', NULL, 5, 'KT', '', '', NULL),
		('845', 'b', 'Competenza legale', 'Competenza legale', 0, 0, NULL, 8, NULL, NULL, '', NULL, 5, 'KT', '', '', NULL),
		('845', 'c', 'Autorizzazione', 'Autorizzazione', 0, 0, NULL, 8, NULL, NULL, '', NULL, 5, 'KT', '', '', NULL),
		('845', 'd', 'Utenti autorizzati', 'Utenti autorizzati', 0, 0, NULL, 8, NULL, NULL, '', NULL, 5, 'KT', '', '', NULL),
		('850', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 8, NULL, NULL, '', NULL, 5, 'KT', '', '', NULL),
		('850', 'a', 'Istituzione possedente', 'Istituzione possedente', 1, 0, NULL, 8, NULL, NULL, '', NULL, 5, 'KT', '', '', NULL),
		('850', 'b', 'Holdings (NR) (MU VM SE) [OBSOLETE]', 'Holdings (NR) (MU VM SE) [OBSOLETE]', 0, 0, NULL, 8, NULL, NULL, '', NULL, 5, 'KT', '', '', NULL),
		('850', 'd', 'Inclusive dates (NR) (MU VM SE) [OBSOLETE]', 'Inclusive dates (NR) (MU VM SE) [OBSOLETE]', 0, 0, NULL, 8, NULL, NULL, '', NULL, 5, 'KT', '', '', NULL),
		('850', 'e', 'Retention statement (NR) (CF MU VM SE) [OBSOLETE]', 'Retention statement (NR) (CF MU VM SE) [OBSOLETE]', 0, 0, NULL, 8, NULL, NULL, '', NULL, 5, 'KT', '', '', NULL),
		('851', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, NULL, 8, NULL, NULL, '', NULL, 5, 'KT', '', '', NULL),
		('851', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 8, NULL, NULL, '', NULL, 5, 'KT', '', '', NULL),
		('851', 'a', 'Nome (custode o proprietario)', 'Nome (custode o proprietario)', 0, 0, NULL, 8, NULL, NULL, '', NULL, 5, 'KT', '', '', NULL),
		('851', 'b', 'Suddivisione istituzionale', 'Suddivisione istituzionale', 0, 0, NULL, 8, NULL, NULL, '', NULL, 5, 'KT', '', '', NULL),
		('851', 'c', 'Indirizzo', 'Indirizzo', 0, 0, NULL, 8, NULL, NULL, '', NULL, 5, 'KT', '', '', NULL),
		('851', 'd', 'Paese', 'Paese', 0, 0, NULL, 8, NULL, NULL, '', NULL, 5, 'KT', '', '', NULL),
		('851', 'e', 'Localizzazione dell\'unità', 'Localizzazione dell\'unità', 0, 0, NULL, 8, NULL, NULL, '', NULL, 5, 'KT', '', '', NULL),
		('851', 'f', 'Numero d\'item', 'Numero d\'item', 0, 0, NULL, 8, NULL, NULL, '', NULL, 5, 'KT', '', '', NULL),
		('851', 'g', 'Codice di localizzazione del deposito', 'Codice di localizzazione del deposito', 0, 0, NULL, 8, NULL, NULL, '', NULL, 5, 'KT', '', '', NULL),
		('852', '2', 'Fonte della classificazione o dello schema di collocazione (segnatura)', 'Fonte della classificazione o dello schema di collocazione (segnatura)', 0, 0, '', 8, '', '', '', NULL, 5, 'KT', '', '', NULL),
		('852', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, '', 8, '', '', '', NULL, 5, 'KT', '', '', NULL),
		('852', '6', 'Collegamento', 'Collegamento', 0, 0, '', 8, '', '', '', NULL, 5, 'KT', '', '', NULL),
		('852', '8', 'Numero di sequenza', 'Numero di sequenza', 1, 0, '', 8, '', '', '', NULL, 5, 'KT', '', '', NULL),
		('852', 'a', 'Localizzazione', 'Localizzazione', 0, 0, '', 8, '', '', '', NULL, 5, 'KT', '', '', NULL),
		('852', 'b', 'Sottolocalizzazione o collezione', 'Sottolocalizzazione o collezione', 1, 0, '', 8, '', '', '', NULL, 5, 'KT', '', '', NULL),
		('852', 'c', 'Localizzazione a scaffale', 'Localizzazione a scaffale', 1, 0, '', 8, '', '', '', NULL, 5, 'KT', '', '', NULL),
		('852', 'e', 'Indirizzo', 'Indirizzo', 1, 0, '', 8, '', '', '', NULL, 5, 'KT', '', '', NULL),
		('852', 'f', 'Qualificatore di localizzazione codificato', 'Qualificatore di localizzazione codificato', 1, 0, '', 8, '', '', '', NULL, 5, 'KT', '', '', NULL),
		('852', 'g', 'Qualificatore di localizzazione non codificato', 'Qualificatore di localizzazione non codificato', 1, 0, '', 8, '', '', '', NULL, 5, 'KT', '', '', NULL),
		('852', 'h', 'Parte della classificazione', 'Parte della classificazione', 0, 0, '', 8, '', '', '', NULL, 5, 'KT', '', '', NULL),
		('852', 'i', 'Parte dell\'item', 'Parte dell\'item', 1, 0, '', 8, '', '', '', NULL, 5, 'KT', '', '', NULL),
		('852', 'j', 'Collocazione (segnatura)', 'Collocazione (segnatura)', 0, 0, '', 8, '', '', '', NULL, 5, 'KT', '', '', NULL),
		('852', 'k', 'Prefisso del numero di chiamata (collocazione)', 'Prefisso del numero di chiamata (collocazione)', 0, 0, '', 8, '', '', '', NULL, 5, 'KT', '', '', NULL),
		('852', 'l', 'Forma di collocazione (segnatura) di titolo', 'Forma di collocazione (segnatura) di titolo', 0, 0, '', 8, '', '', '', NULL, 5, 'KT', '', '', NULL),
		('852', 'm', 'Suffisso del numero di chiamata (collocazione)', 'Suffisso del numero di chiamata (collocazione)', 0, 0, '', 8, '', '', '', NULL, 5, 'KT', '', '', NULL),
		('852', 'n', 'Codice di paese', 'Codice di paese', 0, 0, '', 8, '', '', '', NULL, 5, 'KT', '', '', NULL),
		('852', 'p', 'Designazione di parte', 'Designazione di parte', 0, 0, '', 8, '', '', '', NULL, 5, 'KT', '', '', NULL),
		('852', 'q', 'Condizione fisica della parte', 'Condizione fisica della parte', 0, 0, '', 8, '', '', '', NULL, 5, 'KT', '', '', NULL),
		('852', 's', 'Codice di tassa sul copyright dell\'articolo', 'Codice di tassa sul copyright dell\'articolo', 1, 0, '', 8, '', '', '', NULL, 5, 'KT', '', '', NULL),
		('852', 't', 'Numero di copia', 'Numero di copia', 0, 0, '', 8, '', '', '', NULL, 5, 'KT', '', '', NULL),
		('852', 'u', 'URI (Uniform Resource Identifier)', 'URI (Uniform Resource Identifier)', 1, 0, '', 8, '', '', '', 1, 5, 'KT', '', '', NULL),
		('852', 'x', 'Nota non pubblic', 'Nota non pubblic', 1, 0, '', 8, '', '', '', NULL, 5, 'KT', '', '', NULL),
		('852', 'z', 'Nota pubblica', 'Nota pubblica', 1, 0, '', 8, '', '', '', NULL, 5, 'KT', '', '', NULL),
		('853', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, '', 8, '', '', '', NULL, 5, 'KT', '', '', NULL),
		('853', '6', 'Collegamento', 'Collegamento', 0, 0, '', 8, '', '', '', NULL, 5, 'KT', '', '', NULL),
		('853', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 8, '', '', '', NULL, 5, 'KT', '', '', NULL),
		('853', 'a', 'Primo livello di enumerazione', 'Primo livello di enumerazione', 0, 0, '', 8, '', '', '', NULL, 5, 'KT', '', '', NULL),
		('853', 'b', 'Secondo livello di enumerazione', 'Secondo livello di enumerazione', 0, 0, '', 8, '', '', '', NULL, 5, 'KT', '', '', NULL),
		('853', 'c', 'Terzo livello di enumerazione', 'Terzo livello di enumerazione', 0, 0, '', 8, '', '', '', NULL, 5, 'KT', '', '', NULL),
		('853', 'd', 'Quarto livello di enumerazione', 'Quarto livello di enumerazione', 0, 0, '', 8, '', '', '', NULL, 5, 'KT', '', '', NULL),
		('853', 'e', 'Quinto livello di enumerazione', 'Quinto livello di enumerazione', 0, 0, '', 8, '', '', '', NULL, 5, 'KT', '', '', NULL),
		('853', 'f', 'Sesto livello di enumerazione', 'Sesto livello di enumerazione', 0, 0, '', 8, '', '', '', NULL, 5, 'KT', '', '', NULL),
		('853', 'g', 'Schema di numerazione alternativo, primo livello di enumerazione', 'Schema di numerazione alternativo, primo livello di enumerazione', 0, 0, '', 8, '', '', '', NULL, 5, 'KT', '', '', NULL),
		('853', 'h', 'Schema di numerazione alternativo, secondo livello di enumerazione', 'Schema di numerazione alternativo, secondo livello di enumerazione', 0, 0, '', 8, '', '', '', NULL, 5, 'KT', '', '', NULL),
		('853', 'i', 'Primo livello di cronologia', 'Primo livello di cronologia', 0, 0, '', 8, '', '', '', NULL, 5, 'KT', '', '', NULL),
		('853', 'j', 'Secondo livello di cronologia', 'Secondo livello di cronologia', 0, 0, '', 8, '', '', '', NULL, 5, 'KT', '', '', NULL),
		('853', 'k', 'Terzo livello di cronologia', 'Terzo livello di cronologia', 0, 0, '', 8, '', '', '', NULL, 5, 'KT', '', '', NULL),
		('853', 'l', 'Quarto livello di cronologia', 'Quarto livello di cronologia', 0, 0, '', 8, '', '', '', NULL, 5, 'KT', '', '', NULL),
		('853', 'm', 'Schema di numerazione alternativo, cronologia', 'Schema di numerazione alternativo, cronologia', 0, 0, '', 8, '', '', '', NULL, 5, 'KT', '', '', NULL),
		('853', 'n', 'Nota allo schema', 'Nota allo schema', 0, 0, '', 8, '', '', '', NULL, 5, 'KT', '', '', NULL),
		('853', 'p', 'Numero di pezzi per emissione', 'Numero di pezzi per emissione', 0, 0, '', 8, '', '', '', NULL, 5, 'KT', '', '', NULL),
		('853', 't', 'Copia', 'Copia', 0, 0, '', 8, '', '', '', NULL, 5, 'KT', '', '', NULL),
		('853', 'u', 'Unità bibliografiche per il livello superiore', 'Unità bibliografiche per il livello superiore', 1, 0, '', 8, '', '', '', NULL, 5, 'KT', '', '', NULL),
		('853', 'v', 'Continuità di numerazione', 'Continuità di numerazione', 1, 0, '', 8, '', '', '', NULL, 5, 'KT', '', '', NULL),
		('853', 'w', 'Frequenza', 'Frequenza', 0, 0, '', 8, '', '', '', NULL, 5, 'KT', '', '', NULL),
		('853', 'x', 'Cambio di calendario', 'Cambio di calendario', 0, 0, '', 8, '', '', '', NULL, 5, 'KT', '', '', NULL),
		('853', 'y', 'scham di regolarità', 'scham di regolarità', 1, 0, '', 8, '', '', '', NULL, 5, 'KT', '', '', NULL),
		('853', 'z', 'Schema di numerazione', 'Schema di numerazione', 1, 0, '', 8, '', '', '', NULL, 5, 'KT', '', '', NULL),
		('854', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, '', 8, '', '', '', NULL, 5, 'KT', '', '', NULL),
		('854', '6', 'Collegamento', 'Collegamento', 0, 0, '', 8, '', '', '', NULL, 5, 'KT', '', '', NULL),
		('854', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 8, '', '', '', NULL, 5, 'KT', '', '', NULL),
		('854', 'a', 'Primo livello di enumerazione', 'Primo livello di enumerazione', 0, 0, '', 8, '', '', '', NULL, 5, 'KT', '', '', NULL),
		('854', 'b', 'Secondo livello di enumerazione', 'Secondo livello di enumerazione', 0, 0, '', 8, '', '', '', NULL, 5, 'KT', '', '', NULL),
		('854', 'c', 'Terzo livello di enumerazione', 'Terzo livello di enumerazione', 0, 0, '', 8, '', '', '', NULL, 5, 'KT', '', '', NULL),
		('854', 'd', 'Quarto livello di enumerazione', 'Quarto livello di enumerazione', 0, 0, '', 8, '', '', '', NULL, 5, 'KT', '', '', NULL),
		('854', 'e', 'Quinto livello di enumerazione', 'Quinto livello di enumerazione', 0, 0, '', 8, '', '', '', NULL, 5, 'KT', '', '', NULL),
		('854', 'f', 'Sesto livello di enumerazione', 'Sesto livello di enumerazione', 0, 0, '', 8, '', '', '', NULL, 5, 'KT', '', '', NULL),
		('854', 'g', 'Schema di numerazione alternativo, primo livello di enumerazione', 'Schema di numerazione alternativo, primo livello di enumerazione', 0, 0, '', 8, '', '', '', NULL, 5, 'KT', '', '', NULL),
		('854', 'h', 'Schema di numerazione alternativo, secondo livello di enumerazione', 'Schema di numerazione alternativo, secondo livello di enumerazione', 0, 0, '', 8, '', '', '', NULL, 5, 'KT', '', '', NULL),
		('854', 'i', 'Primo livello di cronologia', 'Primo livello di cronologia', 0, 0, '', 8, '', '', '', NULL, 5, 'KT', '', '', NULL),
		('854', 'j', 'Secondo livello di cronologia', 'Secondo livello di cronologia', 0, 0, '', 8, '', '', '', NULL, 5, 'KT', '', '', NULL),
		('854', 'k', 'Terzo livello di cronologia', 'Terzo livello di cronologia', 0, 0, '', 8, '', '', '', NULL, 5, 'KT', '', '', NULL),
		('854', 'l', 'Quarto livello di cronologia', 'Quarto livello di cronologia', 0, 0, '', 8, '', '', '', NULL, 5, 'KT', '', '', NULL),
		('854', 'm', 'Schema di numerazione alternativo, cronologia', 'Schema di numerazione alternativo, cronologia', 0, 0, '', 8, '', '', '', NULL, 5, 'KT', '', '', NULL),
		('854', 'n', 'Nota allo schema', 'Nota allo schema', 0, 0, '', 8, '', '', '', NULL, 5, 'KT', '', '', NULL),
		('854', 'p', 'Numero di pezzi per emissione', 'Numero di pezzi per emissione', 0, 0, '', 8, '', '', '', NULL, 5, 'KT', '', '', NULL),
		('854', 't', 'Copia', 'Copia', 0, 0, '', 8, '', '', '', NULL, 5, 'KT', '', '', NULL),
		('854', 'u', 'Unità bibliografiche per il livello superiore', 'Unità bibliografiche per il livello superiore', 1, 0, '', 8, '', '', '', NULL, 5, 'KT', '', '', NULL),
		('854', 'v', 'Continuità di numerazione', 'Continuità di numerazione', 1, 0, '', 8, '', '', '', NULL, 5, 'KT', '', '', NULL),
		('854', 'w', 'Frequenza', 'Frequenza', 0, 0, '', 8, '', '', '', NULL, 5, 'KT', '', '', NULL),
		('854', 'x', 'Cambio di calendario', 'Cambio di calendario', 0, 0, '', 8, '', '', '', NULL, 5, 'KT', '', '', NULL),
		('854', 'y', 'scham di regolarità', 'scham di regolarità', 1, 0, '', 8, '', '', '', NULL, 5, 'KT', '', '', NULL),
		('854', 'z', 'Schema di numerazione', 'Schema di numerazione', 1, 0, '', 8, '', '', '', NULL, 5, 'KT', '', '', NULL),
		('855', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, '', 8, '', '', '', NULL, 5, 'KT', '', '', NULL),
		('855', '6', 'Collegamento', 'Collegamento', 0, 0, '', 8, '', '', '', NULL, 5, 'KT', '', '', NULL),
		('855', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 8, '', '', '', NULL, 5, 'KT', '', '', NULL),
		('855', 'a', 'Primo livello di enumerazione', 'Primo livello di enumerazione', 0, 0, '', 8, '', '', '', NULL, 5, 'KT', '', '', NULL),
		('855', 'b', 'Secondo livello di enumerazione', 'Secondo livello di enumerazione', 0, 0, '', 8, '', '', '', NULL, 5, 'KT', '', '', NULL),
		('855', 'c', 'Terzo livello di enumerazione', 'Terzo livello di enumerazione', 0, 0, '', 8, '', '', '', NULL, 5, 'KT', '', '', NULL),
		('855', 'd', 'Quarto livello di enumerazione', 'Quarto livello di enumerazione', 0, 0, '', 8, '', '', '', NULL, 5, 'KT', '', '', NULL),
		('855', 'e', 'Quinto livello di enumerazione', 'Quinto livello di enumerazione', 0, 0, '', 8, '', '', '', NULL, 5, 'KT', '', '', NULL),
		('855', 'f', 'Sesto livello di enumerazione', 'Sesto livello di enumerazione', 0, 0, '', 8, '', '', '', NULL, 5, 'KT', '', '', NULL),
		('855', 'g', 'Schema di numerazione alternativo, primo livello di enumerazione', 'Schema di numerazione alternativo, primo livello di enumerazione', 0, 0, '', 8, '', '', '', NULL, 5, 'KT', '', '', NULL),
		('855', 'h', 'Schema di numerazione alternativo, secondo livello di enumerazione', 'Schema di numerazione alternativo, secondo livello di enumerazione', 0, 0, '', 8, '', '', '', NULL, 5, 'KT', '', '', NULL),
		('855', 'i', 'Primo livello di cronologia', 'Primo livello di cronologia', 0, 0, '', 8, '', '', '', NULL, 5, 'KT', '', '', NULL),
		('855', 'j', 'Secondo livello di cronologia', 'Secondo livello di cronologia', 0, 0, '', 8, '', '', '', NULL, 5, 'KT', '', '', NULL),
		('855', 'k', 'Terzo livello di cronologia', 'Terzo livello di cronologia', 0, 0, '', 8, '', '', '', NULL, 5, 'KT', '', '', NULL),
		('855', 'l', 'Quarto livello di cronologia', 'Quarto livello di cronologia', 0, 0, '', 8, '', '', '', NULL, 5, 'KT', '', '', NULL),
		('855', 'm', 'Schema di numerazione alternativo, cronologia', 'Schema di numerazione alternativo, cronologia', 0, 0, '', 8, '', '', '', NULL, 5, 'KT', '', '', NULL),
		('855', 'n', 'Nota allo schema', 'Nota allo schema', 0, 0, '', 8, '', '', '', NULL, 5, 'KT', '', '', NULL),
		('855', 'p', 'Numero di pezzi per emissione', 'Numero di pezzi per emissione', 0, 0, '', 8, '', '', '', NULL, 5, 'KT', '', '', NULL),
		('855', 't', 'Copia', 'Copia', 0, 0, '', 8, '', '', '', NULL, 5, 'KT', '', '', NULL),
		('855', 'u', 'Unità bibliografiche per il livello superiore', 'Unità bibliografiche per il livello superiore', 1, 0, '', 8, '', '', '', NULL, 5, 'KT', '', '', NULL),
		('855', 'v', 'Continuità di numerazione', 'Continuità di numerazione', 1, 0, '', 8, '', '', '', NULL, 5, 'KT', '', '', NULL),
		('855', 'w', 'Frequenza', 'Frequenza', 0, 0, '', 8, '', '', '', NULL, 5, 'KT', '', '', NULL),
		('855', 'x', 'Cambio di calendario', 'Cambio di calendario', 0, 0, '', 8, '', '', '', NULL, 5, 'KT', '', '', NULL),
		('855', 'y', 'scham di regolarità', 'scham di regolarità', 1, 0, '', 8, '', '', '', NULL, 5, 'KT', '', '', NULL),
		('855', 'z', 'Schema di numerazione', 'Schema di numerazione', 1, 0, '', 8, '', '', '', NULL, 5, 'KT', '', '', NULL),
		('856', '2', 'Metodo di accesso', 'Metodo di accesso', 0, 0, '', 8, '', '', '', 0, -6, 'KT', '', '', NULL),
		('856', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, '', 8, '', '', '', 0, -6, 'KT', '', '', NULL),
		('856', '6', 'Collegamento', 'Collegamento', 0, 0, '', 8, '', '', '', 0, -6, 'KT', '', '', NULL),
		('856', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 8, '', '', '', 0, -6, 'KT', '', '', NULL),
		('856', 'a', 'Nome dell\'host', 'Nome dell\'host', 1, 0, '', 8, '', '', '', 0, -1, 'KT', '', '', NULL),
		('856', 'b', 'Numero di accesso', 'Numero di accesso', 1, 0, '', 8, '', '', '', 0, -1, 'KT', '', '', NULL),
		('856', 'c', 'Informazione sulla compressione', 'Informazione sulla compressione', 1, 0, '', 8, '', '', '', 0, -1, 'KT', '', '', NULL),
		('856', 'd', 'Percorso della risorsa', 'Percorso della risorsa', 1, 0, '', 8, '', '', '', 0, -1, 'KT', '', '', NULL),
		('856', 'f', 'Nome elettronico', 'Nome elettronico', 1, 0, '', 8, '', '', '', 0, -1, 'KT', '', '', NULL),
		('856', 'h', 'Processore della richiesta (Username)', 'Processore della richiesta (Username)', 0, 0, '', 8, '', '', '', 0, -1, 'KT', '', '', NULL),
		('856', 'i', 'Istruzioni', 'Istruzioni', 1, 0, '', 8, '', '', '', 0, -1, 'KT', '', '', NULL),
		('856', 'j', 'Bit per secondo', 'Bit per secondo', 0, 0, '', 8, '', '', '', 0, -1, 'KT', '', '', NULL),
		('856', 'k', 'Password', 'Password', 0, 0, '', 8, '', '', '', 0, -1, 'KT', '', '', NULL),
		('856', 'l', 'Logon', 'Logon', 0, 0, '', 8, '', '', '', 0, -1, 'KT', '', '', NULL),
		('856', 'm', 'Contatto per assistenza all\'accesso', 'Contatto per assistenza all\'accesso', 1, 0, '', 8, '', '', '', 0, -1, 'KT', '', '', NULL),
		('856', 'n', 'Nome della localizzazione dell\'host', 'Nome della localizzazione dell\'host', 0, 0, '', 8, '', '', '', 0, -1, 'KT', '', '', NULL),
		('856', 'o', 'Sistema operativo', 'Sistema operativo', 0, 0, '', 8, '', '', '', 0, -1, 'KT', '', '', NULL),
		('856', 'p', 'Porta', 'Porta', 0, 0, '', 8, '', '', '', 0, -1, 'KT', '', '', NULL),
		('856', 'q', 'Tipo di formato elettronico', 'Tipo di formato elettronico', 0, 0, '', 8, '', '', '', 0, -1, 'KT', '', '', NULL),
		('856', 'r', 'Parametri', 'Parametri', 0, 0, '', 8, '', '', '', 0, -1, 'KT', '', '', NULL),
		('856', 's', 'Dimensione file', 'Dimensione file', 1, 0, '', 8, '', '', '', 0, -1, 'KT', '', '', NULL),
		('856', 't', 'Emulazione del terminale', 'Emulazione del terminale', 1, 0, '', 8, '', '', '', 0, -1, 'KT', '', '', NULL),
		('856', 'u', 'URI (Uniform Resource Identifier)', 'URI (Uniform Resource Identifier)', 1, 0, 'biblioitems.url', 8, '', '', '', 1, -1, 'KT', '', '', NULL),
		('856', 'v', 'Orario di accesso', 'Orario di accesso', 1, 0, '', 8, '', '', '', 0, -1, 'KT', '', '', NULL),
		('856', 'w', 'Numero di controllo della registrazione', 'Numero di controllo della registrazione', 1, 0, '', 8, '', '', '', 0, -1, 'KT', '', '', NULL),
		('856', 'x', 'Nota non pubblic', 'Nota non pubblic', 1, 0, '', 8, '', '', '', 0, 1, 'KT', '', '', NULL),
		('856', 'y', 'Testo di collegamento', 'Testo di collegamento', 1, 0, '', 8, '', '', '', 0, -1, 'KT', '', '', NULL),
		('856', 'z', 'Nota pubblica', 'Nota pubblica', 1, 0, '', 8, '', '', '', 0, -1, 'KT', '', '', NULL),
		('859', 'b', 'Operator\'s initials, OID (RLIN)', 'Operator\'s initials, OID (RLIN)', 0, 0, '', 8, '', '', '', 0, 5, 'KT', '', '', NULL),
		('859', 'c', 'Cataloger\'s initials, CIN (RLIN)', 'Cataloger\'s initials, CIN (RLIN)', 0, 0, '', 8, '', '', '', 0, 5, 'KT', '', '', NULL),
		('859', 'd', 'TDC (RLIN)', 'TDC (RLIN)', 0, 0, '', 8, '', '', '', 0, 5, 'KT', '', '', NULL),
		('859', 'l', 'LIB (RLIN)', 'LIB (RLIN)', 0, 0, '', 8, '', '', '', 0, 5, 'KT', '', '', NULL),
		('859', 'p', 'PRI (RLIN)', 'PRI (RLIN)', 0, 0, '', 8, '', '', '', 0, 5, 'KT', '', '', NULL),
		('859', 'r', 'REG (RLIN)', 'REG (RLIN)', 0, 0, '', 8, '', '', '', 0, 5, 'KT', '', '', NULL),
		('859', 'v', 'VER (RLIN)', 'VER (RLIN)', 0, 0, '', 8, '', '', '', 0, 5, 'KT', '', '', NULL),
		('859', 'x', 'LDEL (RLIN)', 'LDEL (RLIN)', 0, 0, '', 8, '', '', '', 0, 5, 'KT', '', '', NULL),
		('863', '6', 'Collegamento', 'Collegamento', 0, 0, '', 8, '', '', '', NULL, 5, 'KT', '', '', NULL),
		('863', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 0, 0, '', 8, '', '', '', NULL, 5, 'KT', '', '', NULL),
		('863', 'a', 'Primo livello di enumerazione', 'Primo livello di enumerazione', 0, 0, '', 8, '', '', '', 0, 5, 'KT', '', '', NULL),
		('863', 'b', 'Secondo livello di enumerazione', 'Secondo livello di enumerazione', 0, 0, '', 8, '', '', '', 0, 5, 'KT', '', '', NULL),
		('863', 'c', 'Terzo livello di enumerazione', 'Terzo livello di enumerazione', 0, 0, '', 8, '', '', '', 0, 5, 'KT', '', '', NULL),
		('863', 'd', 'Quarto livello di enumerazione', 'Quarto livello di enumerazione', 0, 0, '', 8, '', '', '', 0, 5, 'KT', '', '', NULL),
		('863', 'e', 'Quinto livello di enumerazione', 'Quinto livello di enumerazione', 0, 0, '', 8, '', '', '', 0, 5, 'KT', '', '', NULL),
		('863', 'f', 'Sesto livello di enumerazione', 'Sesto livello di enumerazione', 0, 0, '', 8, '', '', '', 0, 5, 'KT', '', '', NULL),
		('863', 'g', 'Schema di numerazione alternativo, primo livello di enumerazione', 'Schema di numerazione alternativo, primo livello di enumerazione', 0, 0, '', 8, '', '', '', 0, 5, 'KT', '', '', NULL),
		('863', 'h', 'Schema di numerazione alternativo, secondo livello di enumerazione', 'Schema di numerazione alternativo, secondo livello di enumerazione', 0, 0, '', 8, '', '', '', 0, 5, 'KT', '', '', NULL),
		('863', 'i', 'Primo livello di cronologia', 'Primo livello di cronologia', 0, 0, '', 8, '', '', '', 0, 5, 'KT', '', '', NULL),
		('863', 'j', 'Secondo livello di cronologia', 'Secondo livello di cronologia', 0, 0, '', 8, '', '', '', 0, 5, 'KT', '', '', NULL),
		('863', 'k', 'Terzo livello di cronologia', 'Terzo livello di cronologia', 0, 0, '', 8, '', '', '', 0, 5, 'KT', '', '', NULL),
		('863', 'l', 'Quarto livello di cronologia', 'Quarto livello di cronologia', 0, 0, '', 8, '', '', '', 0, 5, 'KT', '', '', NULL),
		('863', 'm', 'Schema di numerazione alternativo, cronologia', 'Schema di numerazione alternativo, cronologia', 0, 0, '', 8, '', '', '', 0, 5, 'KT', '', '', NULL),
		('863', 'n', 'Convertito in anno Gregoriano', 'Convertito in anno Gregoriano', 0, 0, '', 8, '', '', '', 0, 5, 'KT', '', '', NULL),
		('863', 'o', 'Tipo di materiale', 'Tipo di materiale', 1, 0, '', 8, '', '', '', 0, 5, 'KT', '', '', NULL),
		('863', 'p', 'Designazione di parte', 'Designazione di parte', 0, 0, '', 8, '', '', '', 0, 5, 'KT', '', '', NULL),
		('863', 'q', 'Condizione fisica della parte', 'Condizione fisica della parte', 0, 0, '', 8, '', '', '', 0, 5, 'KT', '', '', NULL),
		('863', 's', 'Codice di tassa sul copyright dell\'articolo', 'Codice di tassa sul copyright dell\'articolo', 1, 0, '', 8, '', '', '', 0, 5, 'KT', '', '', NULL),
		('863', 't', 'Numero di copia', 'Numero di copia', 0, 0, '', 8, '', '', '', 0, 5, 'KT', '', '', NULL),
		('863', 'v', 'Data di emissione', 'Data di emissione', 1, 0, '', 8, '', '', '', 0, 5, 'KT', '', '', NULL),
		('863', 'w', 'indicatore di stacco', 'indicatore di stacco', 0, 0, '', 8, '', '', '', 0, 5, 'KT', '', '', NULL),
		('863', 'x', 'Nota non pubblic', 'Nota non pubblic', 1, 0, '', 8, '', '', '', 0, 5, 'KT', '', '', NULL),
		('863', 'z', 'Nota pubblica', 'Nota pubblica', 1, 0, '', 8, '', '', '', 0, 5, 'KT', '', '', NULL),
		('864', '6', 'Collegamento', 'Collegamento', 0, 0, '', 8, '', '', '', NULL, 5, 'KT', '', '', NULL),
		('864', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 0, 0, '', 8, '', '', '', NULL, 5, 'KT', '', '', NULL),
		('864', 'a', 'Primo livello di enumerazione', 'Primo livello di enumerazione', 0, 0, '', 8, '', '', '', 0, 5, 'KT', '', '', NULL),
		('864', 'b', 'Secondo livello di enumerazione', 'Secondo livello di enumerazione', 0, 0, '', 8, '', '', '', 0, 5, 'KT', '', '', NULL),
		('864', 'c', 'Terzo livello di enumerazione', 'Terzo livello di enumerazione', 0, 0, '', 8, '', '', '', 0, 5, 'KT', '', '', NULL),
		('864', 'd', 'Quarto livello di enumerazione', 'Quarto livello di enumerazione', 0, 0, '', 8, '', '', '', 0, 5, 'KT', '', '', NULL),
		('864', 'e', 'Quinto livello di enumerazione', 'Quinto livello di enumerazione', 0, 0, '', 8, '', '', '', 0, 5, 'KT', '', '', NULL),
		('864', 'f', 'Sesto livello di enumerazione', 'Sesto livello di enumerazione', 0, 0, '', 8, '', '', '', 0, 5, 'KT', '', '', NULL),
		('864', 'g', 'Schema di numerazione alternativo, primo livello di enumerazione', 'Schema di numerazione alternativo, primo livello di enumerazione', 0, 0, '', 8, '', '', '', 0, 5, 'KT', '', '', NULL),
		('864', 'h', 'Schema di numerazione alternativo, secondo livello di enumerazione', 'Schema di numerazione alternativo, secondo livello di enumerazione', 0, 0, '', 8, '', '', '', 0, 5, 'KT', '', '', NULL),
		('864', 'i', 'Primo livello di cronologia', 'Primo livello di cronologia', 0, 0, '', 8, '', '', '', 0, 5, 'KT', '', '', NULL),
		('864', 'j', 'Secondo livello di cronologia', 'Secondo livello di cronologia', 0, 0, '', 8, '', '', '', 0, 5, 'KT', '', '', NULL),
		('864', 'k', 'Terzo livello di cronologia', 'Terzo livello di cronologia', 0, 0, '', 8, '', '', '', 0, 5, 'KT', '', '', NULL),
		('864', 'l', 'Quarto livello di cronologia', 'Quarto livello di cronologia', 0, 0, '', 8, '', '', '', 0, 5, 'KT', '', '', NULL),
		('864', 'm', 'Schema di numerazione alternativo, cronologia', 'Schema di numerazione alternativo, cronologia', 0, 0, '', 8, '', '', '', 0, 5, 'KT', '', '', NULL),
		('864', 'n', 'Convertito in anno Gregoriano', 'Convertito in anno Gregoriano', 0, 0, '', 8, '', '', '', 0, 5, 'KT', '', '', NULL),
		('864', 'o', 'Tipo di materiale', 'Tipo di materiale', 1, 0, '', 8, '', '', '', 0, 5, 'KT', '', '', NULL),
		('864', 'p', 'Designazione di parte', 'Designazione di parte', 0, 0, '', 8, '', '', '', 0, 5, 'KT', '', '', NULL),
		('864', 'q', 'Condizione fisica della parte', 'Condizione fisica della parte', 0, 0, '', 8, '', '', '', 0, 5, 'KT', '', '', NULL),
		('864', 's', 'Codice di tassa sul copyright dell\'articolo', 'Codice di tassa sul copyright dell\'articolo', 1, 0, '', 8, '', '', '', 0, 5, 'KT', '', '', NULL),
		('864', 't', 'Numero di copia', 'Numero di copia', 0, 0, '', 8, '', '', '', 0, 5, 'KT', '', '', NULL),
		('864', 'v', 'Data di emissione', 'Data di emissione', 1, 0, '', 8, '', '', '', 0, 5, 'KT', '', '', NULL),
		('864', 'w', 'indicatore di stacco', 'indicatore di stacco', 0, 0, '', 8, '', '', '', 0, 5, 'KT', '', '', NULL),
		('864', 'x', 'Nota non pubblic', 'Nota non pubblic', 1, 0, '', 8, '', '', '', 0, 5, 'KT', '', '', NULL),
		('864', 'z', 'Nota pubblica', 'Nota pubblica', 1, 0, '', 8, '', '', '', 0, 5, 'KT', '', '', NULL),
		('865', '6', 'Collegamento', 'Collegamento', 0, 0, '', 8, '', '', '', NULL, 5, 'KT', '', '', NULL),
		('865', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 0, 0, '', 8, '', '', '', NULL, 5, 'KT', '', '', NULL),
		('865', 'a', 'Primo livello di enumerazione', 'Primo livello di enumerazione', 0, 0, '', 8, '', '', '', 0, 5, 'KT', '', '', NULL),
		('865', 'b', 'Secondo livello di enumerazione', 'Secondo livello di enumerazione', 0, 0, '', 8, '', '', '', 0, 5, 'KT', '', '', NULL),
		('865', 'c', 'Terzo livello di enumerazione', 'Terzo livello di enumerazione', 0, 0, '', 8, '', '', '', 0, 5, 'KT', '', '', NULL),
		('865', 'd', 'Quarto livello di enumerazione', 'Quarto livello di enumerazione', 0, 0, '', 8, '', '', '', 0, 5, 'KT', '', '', NULL),
		('865', 'e', 'Quinto livello di enumerazione', 'Quinto livello di enumerazione', 0, 0, '', 8, '', '', '', 0, 5, 'KT', '', '', NULL),
		('865', 'f', 'Sesto livello di enumerazione', 'Sesto livello di enumerazione', 0, 0, '', 8, '', '', '', 0, 5, 'KT', '', '', NULL),
		('865', 'g', 'Schema di numerazione alternativo, primo livello di enumerazione', 'Schema di numerazione alternativo, primo livello di enumerazione', 0, 0, '', 8, '', '', '', 0, 5, 'KT', '', '', NULL),
		('865', 'h', 'Schema di numerazione alternativo, secondo livello di enumerazione', 'Schema di numerazione alternativo, secondo livello di enumerazione', 0, 0, '', 8, '', '', '', 0, 5, 'KT', '', '', NULL),
		('865', 'i', 'Primo livello di cronologia', 'Primo livello di cronologia', 0, 0, '', 8, '', '', '', 0, 5, 'KT', '', '', NULL),
		('865', 'j', 'Secondo livello di cronologia', 'Secondo livello di cronologia', 0, 0, '', 8, '', '', '', 0, 5, 'KT', '', '', NULL),
		('865', 'k', 'Terzo livello di cronologia', 'Terzo livello di cronologia', 0, 0, '', 8, '', '', '', 0, 5, 'KT', '', '', NULL),
		('865', 'l', 'Quarto livello di cronologia', 'Quarto livello di cronologia', 0, 0, '', 8, '', '', '', 0, 5, 'KT', '', '', NULL),
		('865', 'm', 'Schema di numerazione alternativo, cronologia', 'Schema di numerazione alternativo, cronologia', 0, 0, '', 8, '', '', '', 0, 5, 'KT', '', '', NULL),
		('865', 'n', 'Convertito in anno Gregoriano', 'Convertito in anno Gregoriano', 0, 0, '', 8, '', '', '', 0, 5, 'KT', '', '', NULL),
		('865', 'o', 'Tipo di materiale', 'Tipo di materiale', 1, 0, '', 8, '', '', '', 0, 5, 'KT', '', '', NULL),
		('865', 'p', 'Designazione di parte', 'Designazione di parte', 0, 0, '', 8, '', '', '', 0, 5, 'KT', '', '', NULL),
		('865', 'q', 'Condizione fisica della parte', 'Condizione fisica della parte', 0, 0, '', 8, '', '', '', 0, 5, 'KT', '', '', NULL),
		('865', 's', 'Codice di tassa sul copyright dell\'articolo', 'Codice di tassa sul copyright dell\'articolo', 1, 0, '', 8, '', '', '', 0, 5, 'KT', '', '', NULL),
		('865', 't', 'Numero di copia', 'Numero di copia', 0, 0, '', 8, '', '', '', 0, 5, 'KT', '', '', NULL),
		('865', 'v', 'Data di emissione', 'Data di emissione', 1, 0, '', 8, '', '', '', 0, 5, 'KT', '', '', NULL),
		('865', 'w', 'indicatore di stacco', 'indicatore di stacco', 0, 0, '', 8, '', '', '', 0, 5, 'KT', '', '', NULL),
		('865', 'x', 'Nota non pubblic', 'Nota non pubblic', 1, 0, '', 8, '', '', '', 0, 5, 'KT', '', '', NULL),
		('865', 'z', 'Nota pubblica', 'Nota pubblica', 1, 0, '', 8, '', '', '', 0, 5, 'KT', '', '', NULL),
		('866', '6', 'Collegamento', 'Collegamento', 0, 0, '', 8, '', '', '', NULL, 5, 'KT', '', '', NULL),
		('866', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 8, '', '', '', NULL, 5, 'KT', '', '', NULL),
		('866', 'a', 'Stringa testuale', 'Stringa testuale', 0, 0, '', 8, '', '', '', 0, 5, 'KT', '', '', NULL),
		('866', 'x', 'Nota non pubblic', 'Nota non pubblic', 1, 0, '', 8, '', '', '', 0, 5, 'KT', '', '', NULL),
		('866', 'z', 'Nota pubblica', 'Nota pubblica', 1, 0, '', 8, '', '', '', 0, 5, 'KT', '', '', NULL),
		('867', '6', 'Collegamento', 'Collegamento', 0, 0, '', 8, '', '', '', NULL, 5, 'KT', '', '', NULL),
		('867', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 8, '', '', '', NULL, 5, 'KT', '', '', NULL),
		('867', 'a', 'Stringa testuale', 'Stringa testuale', 0, 0, '', 8, '', '', '', 0, 5, 'KT', '', '', NULL),
		('867', 'x', 'Nota non pubblic', 'Nota non pubblic', 1, 0, '', 8, '', '', '', 0, 5, 'KT', '', '', NULL),
		('867', 'z', 'Nota pubblica', 'Nota pubblica', 1, 0, '', 8, '', '', '', 0, 5, 'KT', '', '', NULL),
		('868', '6', 'Collegamento', 'Collegamento', 0, 0, '', 8, '', '', '', NULL, 5, 'KT', '', '', NULL),
		('868', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 8, '', '', '', NULL, 5, 'KT', '', '', NULL),
		('868', 'a', 'Stringa testuale', 'Stringa testuale', 0, 0, '', 8, '', '', '', 0, 5, 'KT', '', '', NULL),
		('868', 'x', 'Nota non pubblic', 'Nota non pubblic', 1, 0, '', 8, '', '', '', 0, 5, 'KT', '', '', NULL),
		('868', 'z', 'Nota pubblica', 'Nota pubblica', 1, 0, '', 8, '', '', '', 0, 5, 'KT', '', '', NULL),
		('870', '4', 'Codice di ruolo', 'Codice di ruolo', 1, 0, '', 8, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('870', '6', 'Collegamento', 'Collegamento', 0, 0, '', 8, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('870', 'a', 'Nome di persona', 'Nome di persona', 0, 0, '', 8, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('870', 'b', 'Numerazione', 'Numerazione', 0, 0, '', 8, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('870', 'c', 'Titoli e altre parole associate al nome', 'Titoli e altre parole associate al nome', 1, 0, '', 8, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('870', 'd', 'Date associate al nome', 'Date associate al nome', 0, 0, '', 8, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('870', 'e', 'Termine di ruolo', 'Termine di ruolo', 1, 0, '', 8, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('870', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, '', 8, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('870', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, '', 8, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('870', 'j', 'Tag e numero di sequenza', 'Tag e numero di sequenza', 0, 0, '', 8, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('870', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, '', 8, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('870', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, '', 8, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('870', 'n', 'Numero di parte/sezione dell\'opera', 'Numero di parte/sezione dell\'opera', 1, 0, '', 8, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('870', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, '', 8, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('870', 'q', 'Forma completa del nome', 'Forma completa del nome', 0, 0, '', 8, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('870', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, '', 8, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('870', 'u', 'Affiliazione', 'Affiliazione', 0, 0, '', 8, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('871', '4', 'Codice di ruolo', 'Codice di ruolo', 1, 0, '', 8, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('871', '6', 'Collegamento', 'Collegamento', 0, 0, '', 8, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('871', 'a', 'Nome dell\'ente o nome della giurisdizione come accesso', 'Nome dell\'ente o nome della giurisdizione come accesso', 0, 0, '', 8, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('871', 'b', 'Unità subordinata', 'Unità subordinata', 1, 0, '', 8, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('871', 'c', 'Luogo del convegno', 'Luogo del convegno', 0, 0, '', 8, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('871', 'd', 'Data del convegno o di firma del trattato', 'Data del convegno o di firma del trattato', 1, 0, '', 8, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('871', 'e', 'Termine di ruolo', 'Termine di ruolo', 1, 0, '', 8, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('871', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, '', 8, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('871', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, '', 8, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('871', 'j', 'Tag e numero di sequenza', 'Tag e numero di sequenza', 0, 0, '', 8, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('871', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, '', 8, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('871', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, '', 8, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('871', 'n', 'Numero di parte/sezione/convegno', 'Numero di parte/sezione/convegno', 1, 0, '', 8, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('871', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, '', 8, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('871', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, '', 8, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('871', 'u', 'Affiliazione', 'Affiliazione', 0, 0, '', 8, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('872', '4', 'Codice di ruolo', 'Codice di ruolo', 1, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('872', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('872', 'a', 'Nome del convegno o nome della giurisdizione come accesso', 'Nome del convegno o nome della giurisdizione come accesso', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('872', 'b', 'Number [OBSOLETE]', 'Number [OBSOLETE]', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('872', 'c', 'Luogo del convegno', 'Luogo del convegno', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('872', 'd', 'Data del convegno', 'Data del convegno', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('872', 'e', 'Unità subordinata', 'Unità subordinata', 1, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('872', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('872', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('872', 'j', 'Tag e numero di sequenza', 'Tag e numero di sequenza', 0, 0, '', 8, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('872', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('872', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('872', 'n', 'Numero di parte/sezione/convegno', 'Numero di parte/sezione/convegno', 1, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('872', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('872', 'q', 'Nome del convegno dopo accesso di nome della giurisdizione', 'Nome del convegno dopo accesso di nome della giurisdizione', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('872', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('872', 'u', 'Affiliazione', 'Affiliazione', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('873', '6', 'Collegamento', 'Collegamento', 0, 0, '', 8, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('873', 'a', 'Titolo uniforme', 'Titolo uniforme', 0, 0, '', 8, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('873', 'd', 'Data di firma del trattato', 'Data di firma del trattato', 1, 0, '', 8, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('873', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, '', 8, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('873', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, '', 8, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('873', 'h', 'Supporto', 'Supporto', 0, 0, '', 8, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('873', 'j', 'Tag e numero di sequenza', 'Tag e numero di sequenza', 0, 0, '', 8, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('873', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, '', 8, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('873', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, '', 8, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('873', 'm', 'Mezzo di esecuzione per la musica', 'Mezzo di esecuzione per la musica', 1, 0, '', 8, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('873', 'n', 'Numero di parte/sezione dell\'opera', 'Numero di parte/sezione dell\'opera', 1, 0, '', 8, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('873', 'o', 'Formulazione d\'arrangiamento per la musica', 'Formulazione d\'arrangiamento per la musica', 0, 0, '', 8, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('873', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, '', 8, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('873', 'r', 'Tonalità (musica)', 'Tonalità (musica)', 0, 0, '', 8, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('873', 's', 'Versione', 'Versione', 0, 0, '', 8, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('873', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, '', 8, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('876', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, '', 8, '', '', '', NULL, 5, 'KT', '', '', NULL),
		('876', '6', 'Collegamento', 'Collegamento', 0, 0, '', 8, '', '', '', NULL, 5, 'KT', '', '', NULL),
		('876', '8', 'Numero di sequenza', 'Numero di sequenza', 1, 0, '', 8, '', '', '', NULL, 5, 'KT', '', '', NULL),
		('876', 'a', 'Internal item number', 'Internal item number', 0, 0, '', 8, '', '', '', NULL, 5, 'KT', '', '', NULL),
		('876', 'b', 'Invalid or canceled internal item number', 'Invalid or canceled internal item number', 1, 0, '', 8, '', '', '', NULL, 5, 'KT', '', '', NULL),
		('876', 'c', 'Cost', 'Cost', 1, 0, '', 8, '', '', '', NULL, 5, 'KT', '', '', NULL),
		('876', 'd', 'Data d\'acquisizione', 'Data d\'acquisizione', 1, 0, '', 8, '', '', '', NULL, 5, 'KT', '', '', NULL),
		('876', 'e', 'Fonte d\'acquisto', 'Fonte d\'acquisto', 1, 0, '', 8, '', '', '', NULL, 5, 'KT', '', '', NULL),
		('876', 'h', 'Use restrictions', 'Use restrictions', 1, 0, '', 8, '', '', '', NULL, 5, 'KT', '', '', NULL),
		('876', 'j', 'Status della copia', 'Status della copia', 1, 0, '', 8, '', '', '', NULL, 5, 'KT', '', '', NULL),
		('876', 'l', 'Collocazione temporanea', 'Collocazione temporanea', 1, 0, '', 8, '', '', '', NULL, 5, 'KT', '', '', NULL),
		('876', 'p', 'Designazione di parte', 'Designazione di parte', 1, 0, '', 8, '', '', '', NULL, 5, 'KT', '', '', NULL),
		('876', 'r', 'Invalid or canceled piece designation', 'Invalid or canceled piece designation', 1, 0, '', 8, '', '', '', NULL, 5, 'KT', '', '', NULL),
		('876', 't', 'Numero di copia', 'Numero di copia', 0, 0, '', 8, '', '', '', NULL, 5, 'KT', '', '', NULL),
		('876', 'x', 'Nota non pubblic', 'Nota non pubblic', 1, 0, '', 8, '', '', '', NULL, 5, 'KT', '', '', NULL),
		('876', 'z', 'Nota pubblica', 'Nota pubblica', 1, 0, '', 8, '', '', '', NULL, 5, 'KT', '', '', NULL),
		('877', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, '', 8, '', '', '', NULL, 5, 'KT', '', '', NULL),
		('877', '6', 'Collegamento', 'Collegamento', 0, 0, '', 8, '', '', '', NULL, 5, 'KT', '', '', NULL),
		('877', '8', 'Numero di sequenza', 'Numero di sequenza', 1, 0, '', 8, '', '', '', NULL, 5, 'KT', '', '', NULL),
		('877', 'a', 'Internal item number', 'Internal item number', 0, 0, '', 8, '', '', '', NULL, 5, 'KT', '', '', NULL),
		('877', 'b', 'Invalid or canceled internal item number', 'Invalid or canceled internal item number', 1, 0, '', 8, '', '', '', NULL, 5, 'KT', '', '', NULL),
		('877', 'c', 'Cost', 'Cost', 1, 0, '', 8, '', '', '', NULL, 5, 'KT', '', '', NULL),
		('877', 'd', 'Data d\'acquisizione', 'Data d\'acquisizione', 1, 0, '', 8, '', '', '', NULL, 5, 'KT', '', '', NULL),
		('877', 'e', 'Fonte d\'acquisto', 'Fonte d\'acquisto', 1, 0, '', 8, '', '', '', NULL, 5, 'KT', '', '', NULL),
		('877', 'h', 'Use restrictions', 'Use restrictions', 1, 0, '', 8, '', '', '', NULL, 5, 'KT', '', '', NULL),
		('877', 'j', 'Status della copia', 'Status della copia', 1, 0, '', 8, '', '', '', NULL, 5, 'KT', '', '', NULL),
		('877', 'l', 'Collocazione temporanea', 'Collocazione temporanea', 1, 0, '', 8, '', '', '', NULL, 5, 'KT', '', '', NULL),
		('877', 'p', 'Designazione di parte', 'Designazione di parte', 1, 0, '', 8, '', '', '', NULL, 5, 'KT', '', '', NULL),
		('877', 'r', 'Invalid or canceled piece designation', 'Invalid or canceled piece designation', 1, 0, '', 8, '', '', '', NULL, 5, 'KT', '', '', NULL),
		('877', 't', 'Numero di copia', 'Numero di copia', 0, 0, '', 8, '', '', '', NULL, 5, 'KT', '', '', NULL),
		('877', 'x', 'Nota non pubblic', 'Nota non pubblic', 1, 0, '', 8, '', '', '', NULL, 5, 'KT', '', '', NULL),
		('877', 'z', 'Nota pubblica', 'Nota pubblica', 1, 0, '', 8, '', '', '', NULL, 5, 'KT', '', '', NULL),
		('878', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, '', 8, '', '', '', NULL, 5, 'KT', '', '', NULL),
		('878', '6', 'Collegamento', 'Collegamento', 0, 0, '', 8, '', '', '', NULL, 5, 'KT', '', '', NULL),
		('878', '8', 'Numero di sequenza', 'Numero di sequenza', 1, 0, '', 8, '', '', '', NULL, 5, 'KT', '', '', NULL),
		('878', 'a', 'Internal item number', 'Internal item number', 0, 0, '', 8, '', '', '', NULL, 5, 'KT', '', '', NULL),
		('878', 'b', 'Invalid or canceled internal item number', 'Invalid or canceled internal item number', 1, 0, '', 8, '', '', '', NULL, 5, 'KT', '', '', NULL),
		('878', 'c', 'Cost', 'Cost', 1, 0, '', 8, '', '', '', NULL, 5, 'KT', '', '', NULL),
		('878', 'd', 'Data d\'acquisizione', 'Data d\'acquisizione', 1, 0, '', 8, '', '', '', NULL, 5, 'KT', '', '', NULL),
		('878', 'e', 'Fonte d\'acquisto', 'Fonte d\'acquisto', 1, 0, '', 8, '', '', '', NULL, 5, 'KT', '', '', NULL),
		('878', 'h', 'Use restrictions', 'Use restrictions', 1, 0, '', 8, '', '', '', NULL, 5, 'KT', '', '', NULL),
		('878', 'j', 'Status della copia', 'Status della copia', 1, 0, '', 8, '', '', '', NULL, 5, 'KT', '', '', NULL),
		('878', 'l', 'Collocazione temporanea', 'Collocazione temporanea', 1, 0, '', 8, '', '', '', NULL, 5, 'KT', '', '', NULL),
		('878', 'p', 'Designazione di parte', 'Designazione di parte', 1, 0, '', 8, '', '', '', NULL, 5, 'KT', '', '', NULL),
		('878', 'r', 'Invalid or canceled piece designation', 'Invalid or canceled piece designation', 1, 0, '', 8, '', '', '', NULL, 5, 'KT', '', '', NULL),
		('878', 't', 'Numero di copia', 'Numero di copia', 0, 0, '', 8, '', '', '', NULL, 5, 'KT', '', '', NULL),
		('878', 'x', 'Nota non pubblic', 'Nota non pubblic', 1, 0, '', 8, '', '', '', NULL, 5, 'KT', '', '', NULL),
		('878', 'z', 'Nota pubblica', 'Nota pubblica', 1, 0, '', 8, '', '', '', NULL, 5, 'KT', '', '', NULL),
		('880', '2', '2', '2', 1, 0, '', 8, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('880', '3', '3', '3', 1, 0, '', 8, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('880', '4', '4', '4', 1, 0, '', 8, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('880', '5', '5', '5', 1, 0, '', 8, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('880', '6', 'Collegamento', 'Collegamento', 0, 0, '', 8, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('880', '7', '7', '7', 1, 0, '', 8, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('880', '8', '8', '8', 1, 0, '', 8, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('880', '9', '9', '9', 1, 0, '', 8, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('880', 'a', 'a', 'a', 1, 0, '', 8, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('880', 'b', 'b', 'b', 1, 0, '', 8, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('880', 'c', 'c', 'c', 1, 0, '', 8, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('880', 'd', 'd', 'd', 1, 0, '', 8, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('880', 'e', 'e', 'e', 1, 0, '', 8, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('880', 'f', 'f', 'f', 1, 0, '', 8, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('880', 'g', 'g', 'g', 1, 0, '', 8, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('880', 'h', 'h', 'h', 1, 0, '', 8, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('880', 'i', 'i', 'i', 1, 0, '', 8, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('880', 'j', 'j', 'j', 1, 0, '', 8, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('880', 'k', 'k', 'k', 1, 0, '', 8, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('880', 'l', 'l', 'l', 1, 0, '', 8, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('880', 'm', 'm', 'm', 1, 0, '', 8, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('880', 'n', 'n', 'n', 1, 0, '', 8, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('880', 'o', 'o', 'o', 1, 0, '', 8, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('880', 'p', 'p', 'p', 1, 0, '', 8, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('880', 'q', 'q', 'q', 1, 0, '', 8, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('880', 'r', 'r', 'r', 1, 0, '', 8, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('880', 's', 's', 's', 1, 0, '', 8, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('880', 't', 't', 't', 1, 0, '', 8, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('880', 'u', 'u', 'u', 1, 0, '', 8, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('880', 'v', 'v', 'v', 1, 0, '', 8, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('880', 'w', 'w', 'w', 1, 0, '', 8, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('880', 'x', 'x', 'x', 1, 0, '', 8, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('880', 'y', 'y', 'y', 1, 0, '', 8, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('880', 'z', 'z', 'z', 1, 0, '', 8, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('886', '0', '0', '0', 1, 0, '', 8, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('886', '1', '1', '1', 1, 0, '', 8, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('886', '2', '2', '2', 1, 0, '', 8, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('886', '3', '3', '3', 1, 0, '', 8, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('886', '4', '4', '4', 1, 0, '', 8, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('886', '5', '5', '5', 1, 0, '', 8, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('886', '6', '6', '6', 1, 0, '', 8, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('886', '7', '7', '7', 1, 0, '', 8, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('886', '8', '8', '8', 1, 0, '', 8, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('886', '9', '9', '9', 1, 0, '', 8, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('886', 'a', 'a', 'a', 1, 0, '', 8, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('886', 'b', 'b', 'b', 1, 0, '', 8, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('886', 'c', 'c', 'c', 1, 0, '', 8, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('886', 'd', 'd', 'd', 1, 0, '', 8, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('886', 'e', 'e', 'e', 1, 0, '', 8, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('886', 'f', 'f', 'f', 1, 0, '', 8, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('886', 'g', 'g', 'g', 1, 0, '', 8, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('886', 'h', 'h', 'h', 1, 0, '', 8, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('886', 'i', 'i', 'i', 1, 0, '', 8, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('886', 'j', 'j', 'j', 1, 0, '', 8, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('886', 'k', 'k', 'k', 1, 0, '', 8, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('886', 'l', 'l', 'l', 1, 0, '', 8, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('886', 'm', 'm', 'm', 1, 0, '', 8, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('886', 'n', 'n', 'n', 1, 0, '', 8, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('886', 'o', 'o', 'o', 1, 0, '', 8, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('886', 'p', 'p', 'p', 1, 0, '', 8, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('886', 'q', 'q', 'q', 1, 0, '', 8, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('886', 'r', 'r', 'r', 1, 0, '', 8, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('886', 's', 's', 's', 1, 0, '', 8, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('886', 't', 't', 't', 1, 0, '', 8, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('886', 'u', 'u', 'u', 1, 0, '', 8, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('886', 'v', 'v', 'v', 1, 0, '', 8, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('886', 'w', 'w', 'w', 1, 0, '', 8, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('886', 'x', 'x', 'x', 1, 0, '', 8, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('886', 'y', 'y', 'y', 1, 0, '', 8, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('886', 'z', 'z', 'z', 1, 0, '', 8, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('887', '2', 'Fonte dei dati', 'Fonte dei dati', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('887', 'a', 'Contenuto del campo non-MARC', 'Contenuto del campo non-MARC', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('896', '%', '% (RLIN)', '% (RLIN)', 0, 0, '', 8, '', '', '', 0, -6, 'KT', '', '', NULL),
		('896', '4', 'Codice di ruolo', 'Codice di ruolo', 1, 0, '', 8, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('896', '6', 'Collegamento', 'Collegamento', 0, 0, '', 8, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('896', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 8, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('896', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 8, '', '', '', 0, -5, 'KT', '', '', NULL),
		('896', 'a', 'Nome di persona', 'Nome di persona', 0, 0, '', 8, '', 'PERSO_NAME', '', NULL, -6, 'KT', '', '', NULL),
		('896', 'b', 'Numerazione', 'Numerazione', 0, 0, '', 8, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('896', 'c', 'Titoli e altre parole associate al nome', 'Titoli e altre parole associate al nome', 1, 0, '', 8, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('896', 'd', 'Date associate al nome', 'Date associate al nome', 0, 0, '', 8, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('896', 'e', 'Termine di ruolo', 'Termine di ruolo', 1, 0, '', 8, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('896', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, '', 8, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('896', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, '', 8, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('896', 'h', 'Supporto', 'Supporto', 0, 0, '', 8, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('896', 'j', 'Qualificazione d\'attribuzione', 'Qualificazione d\'attribuzione', 1, 0, '', 8, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('896', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, '', 8, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('896', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, '', 8, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('896', 'm', 'Mezzo di esecuzione per la musica', 'Mezzo di esecuzione per la musica', 1, 0, '', 8, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('896', 'n', 'Numero di parte/sezione dell\'opera', 'Numero di parte/sezione dell\'opera', 1, 0, '', 8, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('896', 'o', 'Formulazione d\'arrangiamento per la musica', 'Formulazione d\'arrangiamento per la musica', 0, 0, '', 8, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('896', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, '', 8, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('896', 'q', 'Forma completa del nome', 'Forma completa del nome', 0, 0, '', 8, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('896', 'r', 'Tonalità (musica)', 'Tonalità (musica)', 0, 0, '', 8, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('896', 's', 'Versione', 'Versione', 0, 0, '', 8, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('896', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, '', 8, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('896', 'u', 'Affiliazione', 'Affiliazione', 0, 0, '', 8, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('896', 'v', 'Numero del volume/designazione di sequenza', 'Numero del volume/designazione di sequenza', 0, 0, '', 8, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('897', '%', '% (RLIN)', '% (RLIN)', 0, 0, '', 8, '', '', '', 0, -6, 'KT', '', '', NULL),
		('897', '4', 'Codice di ruolo', 'Codice di ruolo', 1, 0, '', 8, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('897', '6', 'Collegamento', 'Collegamento', 0, 0, '', 8, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('897', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 8, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('897', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 8, '', '', '', 0, -5, 'KT', '', '', NULL),
		('897', 'a', 'Nome dell\'ente o nome della giurisdizione come accesso', 'Nome dell\'ente o nome della giurisdizione come accesso', 0, 0, '', 8, '', 'CORPO_NAME', '', NULL, -6, 'KT', '', '', NULL),
		('897', 'b', 'Unità subordinata', 'Unità subordinata', 1, 0, '', 8, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('897', 'c', 'Luogo del convegno', 'Luogo del convegno', 0, 0, '', 8, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('897', 'd', 'Data del convegno o di firma del trattato', 'Data del convegno o di firma del trattato', 1, 0, '', 8, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('897', 'e', 'Termine di ruolo', 'Termine di ruolo', 1, 0, '', 8, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('897', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, '', 8, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('897', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, '', 8, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('897', 'h', 'Supporto', 'Supporto', 0, 0, '', 8, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('897', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, '', 8, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('897', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, '', 8, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('897', 'm', 'Mezzo di esecuzione per la musica', 'Mezzo di esecuzione per la musica', 1, 0, '', 8, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('897', 'n', 'Numero di parte/sezione/convegno', 'Numero di parte/sezione/convegno', 1, 0, '', 8, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('897', 'o', 'Formulazione d\'arrangiamento per la musica', 'Formulazione d\'arrangiamento per la musica', 0, 0, '', 8, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('897', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, '', 8, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('897', 'r', 'Tonalità (musica)', 'Tonalità (musica)', 0, 0, '', 8, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('897', 's', 'Versione', 'Versione', 0, 0, '', 8, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('897', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, '', 8, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('897', 'u', 'Affiliazione', 'Affiliazione', 0, 0, '', 8, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('897', 'v', 'Numero del volume/designazione di sequenza', 'Numero del volume/designazione di sequenza', 0, 0, '', 8, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('898', '%', '% (RLIN)', '% (RLIN)', 0, 0, '', 8, '', '', '', 0, -6, 'KT', '', '', NULL),
		('898', '4', 'Codice di ruolo', 'Codice di ruolo', 1, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('898', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('898', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('898', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 8, '', '', '', 0, -5, 'KT', '', '', NULL),
		('898', 'a', 'Nome del convegno o nome della giurisdizione come accesso', 'Nome del convegno o nome della giurisdizione come accesso', 0, 0, NULL, 8, NULL, 'MEETI_NAME', '', NULL, -6, 'KT', '', '', NULL),
		('898', 'b', 'Number (BK CF MP MU SE VM MX) [OBSOLETE]', 'Number (BK CF MP MU SE VM MX) [OBSOLETE]', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('898', 'c', 'Luogo del convegno', 'Luogo del convegno', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('898', 'd', 'Data del convegno', 'Data del convegno', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('898', 'e', 'Unità subordinata', 'Unità subordinata', 1, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('898', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('898', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('898', 'h', 'Supporto', 'Supporto', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('898', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('898', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('898', 'n', 'Numero di parte/sezione/convegno', 'Numero di parte/sezione/convegno', 1, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('898', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('898', 'q', 'Nome del convegno dopo accesso di nome della giurisdizione', 'Nome del convegno dopo accesso di nome della giurisdizione', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('898', 's', 'Versione', 'Versione', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('898', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('898', 'u', 'Affiliazione', 'Affiliazione', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('898', 'v', 'Numero del volume/designazione di sequenza', 'Numero del volume/designazione di sequenza', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('899', '%', '% (RLIN)', '% (RLIN)', 0, 0, '', 8, '', '', '', 0, -6, 'KT', '', '', NULL),
		('899', '6', 'Collegamento', 'Collegamento', 0, 0, '', 8, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('899', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 8, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('899', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 8, '', '', '', 0, -5, 'KT', '', '', NULL),
		('899', 'a', 'Titolo uniforme', 'Titolo uniforme', 0, 0, '', 8, '', 'UNIF_TITLE', '', NULL, -6, 'KT', '', '', NULL),
		('899', 'd', 'Data di firma del trattato', 'Data di firma del trattato', 1, 0, '', 8, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('899', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, '', 8, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('899', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, '', 8, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('899', 'h', 'Supporto', 'Supporto', 0, 0, '', 8, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('899', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, '', 8, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('899', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, '', 8, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('899', 'm', 'Mezzo di esecuzione per la musica', 'Mezzo di esecuzione per la musica', 1, 0, '', 8, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('899', 'n', 'Numero di parte/sezione dell\'opera', 'Numero di parte/sezione dell\'opera', 1, 0, '', 8, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('899', 'o', 'Formulazione d\'arrangiamento per la musica', 'Formulazione d\'arrangiamento per la musica', 0, 0, '', 8, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('899', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, '', 8, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('899', 'r', 'Tonalità (musica)', 'Tonalità (musica)', 0, 0, '', 8, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('899', 's', 'Versione', 'Versione', 0, 0, '', 8, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('899', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, '', 8, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('899', 'v', 'Numero del volume/designazione di sequenza', 'Numero del volume/designazione di sequenza', 0, 0, '', 8, '', '', '', NULL, 5, 'KT', '', '', NULL),
		('900', '4', 'Codice di ruolo', 'Codice di ruolo', 1, 0, '', 9, '', '', '', 0, -6, 'KT', '', '', NULL),
		('900', '6', 'Collegamento', 'Collegamento', 0, 0, '', 9, '', '', '', 0, -6, 'KT', '', '', NULL),
		('900', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 9, '', '', '', 0, -6, 'KT', '', '', NULL),
		('900', 'a', 'Nome di persona', 'Nome di persona', 0, 0, '', 9, '', '', '', 0, 5, 'KT', '', '', NULL),
		('900', 'b', 'Numerazione', 'Numerazione', 0, 0, '', 9, '', '', '', 0, -6, 'KT', '', '', NULL),
		('900', 'c', 'Titoli e altre parole associate al nome', 'Titoli e altre parole associate al nome', 1, 0, '', 9, '', '', '', 0, -6, 'KT', '', '', NULL),
		('900', 'd', 'Date associate al nome', 'Date associate al nome', 0, 0, '', 9, '', '', '', 0, -6, 'KT', '', '', NULL),
		('900', 'e', 'Termine di ruolo', 'Termine di ruolo', 1, 0, '', 9, '', '', '', 0, -6, 'KT', '', '', NULL),
		('900', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, '', 9, '', '', '', 0, -6, 'KT', '', '', NULL),
		('900', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, '', 9, '', '', '', 0, -6, 'KT', '', '', NULL),
		('900', 'j', 'Qualificazione d\'attribuzione', 'Qualificazione d\'attribuzione', 1, 0, '', 9, '', '', '', 0, -6, 'KT', '', '', NULL),
		('900', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, '', 9, '', '', '', 0, -6, 'KT', '', '', NULL),
		('900', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, '', 9, '', '', '', 0, -6, 'KT', '', '', NULL),
		('900', 'n', 'Numero di parte/sezione dell\'opera', 'Numero di parte/sezione dell\'opera', 1, 0, '', 9, '', '', '', 0, -6, 'KT', '', '', NULL),
		('900', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, '', 9, '', '', '', 0, -6, 'KT', '', '', NULL),
		('900', 'q', 'Forma completa del nome', 'Forma completa del nome', 0, 0, '', 9, '', '', '', 0, -6, 'KT', '', '', NULL),
		('900', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, '', 9, '', '', '', 0, -6, 'KT', '', '', NULL),
		('900', 'u', 'Affiliazione', 'Affiliazione', 0, 0, '', 9, '', '', '', 0, -6, 'KT', '', '', NULL),
		('901', '0', '0', '0', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('901', '1', '1', '1', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('901', '2', '2', '2', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('901', '3', '3', '3', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('901', '4', '4', '4', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('901', '5', '5', '5', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('901', '6', '6', '6', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('901', '7', '7', '7', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('901', '8', '8', '8', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('901', '9', '9', '9', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('901', 'a', 'a', 'a', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('901', 'b', 'b', 'b', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('901', 'c', 'c', 'c', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('901', 'd', 'd', 'd', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('901', 'e', 'e', 'e', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('901', 'f', 'f', 'f', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('901', 'g', 'g', 'g', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('901', 'h', 'h', 'h', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('901', 'i', 'i', 'i', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('901', 'j', 'j', 'j', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('901', 'k', 'k', 'k', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('901', 'l', 'l', 'l', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('901', 'm', 'm', 'm', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('901', 'n', 'n', 'n', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('901', 'o', 'o', 'o', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('901', 'p', 'p', 'p', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('901', 'q', 'q', 'q', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('901', 'r', 'r', 'r', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('901', 's', 's', 's', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('901', 't', 't', 't', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('901', 'u', 'u', 'u', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('901', 'v', 'v', 'v', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('901', 'w', 'w', 'w', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('901', 'x', 'x', 'x', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('901', 'y', 'y', 'y', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('901', 'z', 'z', 'z', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('902', '0', '0', '0', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('902', '1', '1', '1', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('902', '2', '2', '2', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('902', '3', '3', '3', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('902', '4', '4', '4', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('902', '5', '5', '5', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('902', '6', '6', '6', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('902', '7', '7', '7', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('902', '8', '8', '8', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('902', '9', '9', '9', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('902', 'a', 'a', 'a', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('902', 'b', 'b', 'b', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('902', 'c', 'c', 'c', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('902', 'd', 'd', 'd', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('902', 'e', 'e', 'e', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('902', 'f', 'f', 'f', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('902', 'g', 'g', 'g', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('902', 'h', 'h', 'h', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('902', 'i', 'i', 'i', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('902', 'j', 'j', 'j', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('902', 'k', 'k', 'k', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('902', 'l', 'l', 'l', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('902', 'm', 'm', 'm', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('902', 'n', 'n', 'n', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('902', 'o', 'o', 'o', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('902', 'p', 'p', 'p', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('902', 'q', 'q', 'q', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('902', 'r', 'r', 'r', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('902', 's', 's', 's', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('902', 't', 't', 't', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('902', 'u', 'u', 'u', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('902', 'v', 'v', 'v', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('902', 'w', 'w', 'w', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('902', 'x', 'x', 'x', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('902', 'y', 'y', 'y', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('902', 'z', 'z', 'z', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('903', '0', '0', '0', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('903', '1', '1', '1', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('903', '2', '2', '2', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('903', '3', '3', '3', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('903', '4', '4', '4', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('903', '5', '5', '5', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('903', '6', '6', '6', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('903', '7', '7', '7', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('903', '8', '8', '8', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('903', '9', '9', '9', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('903', 'a', 'a', 'a', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('903', 'b', 'b', 'b', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('903', 'c', 'c', 'c', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('903', 'd', 'd', 'd', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('903', 'e', 'e', 'e', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('903', 'f', 'f', 'f', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('903', 'g', 'g', 'g', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('903', 'h', 'h', 'h', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('903', 'i', 'i', 'i', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('903', 'j', 'j', 'j', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('903', 'k', 'k', 'k', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('903', 'l', 'l', 'l', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('903', 'm', 'm', 'm', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('903', 'n', 'n', 'n', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('903', 'o', 'o', 'o', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('903', 'p', 'p', 'p', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('903', 'q', 'q', 'q', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('903', 'r', 'r', 'r', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('903', 's', 's', 's', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('903', 't', 't', 't', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('903', 'u', 'u', 'u', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('903', 'v', 'v', 'v', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('903', 'w', 'w', 'w', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('903', 'x', 'x', 'x', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('903', 'y', 'y', 'y', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('903', 'z', 'z', 'z', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('904', '0', '0', '0', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('904', '1', '1', '1', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('904', '2', '2', '2', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('904', '3', '3', '3', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('904', '4', '4', '4', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('904', '5', '5', '5', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('904', '6', '6', '6', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('904', '7', '7', '7', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('904', '8', '8', '8', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('904', '9', '9', '9', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('904', 'a', 'a', 'a', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('904', 'b', 'b', 'b', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('904', 'c', 'c', 'c', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('904', 'd', 'd', 'd', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('904', 'e', 'e', 'e', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('904', 'f', 'f', 'f', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('904', 'g', 'g', 'g', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('904', 'h', 'h', 'h', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('904', 'i', 'i', 'i', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('904', 'j', 'j', 'j', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('904', 'k', 'k', 'k', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('904', 'l', 'l', 'l', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('904', 'm', 'm', 'm', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('904', 'n', 'n', 'n', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('904', 'o', 'o', 'o', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('904', 'p', 'p', 'p', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('904', 'q', 'q', 'q', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('904', 'r', 'r', 'r', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('904', 's', 's', 's', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('904', 't', 't', 't', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('904', 'u', 'u', 'u', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('904', 'v', 'v', 'v', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('904', 'w', 'w', 'w', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('904', 'x', 'x', 'x', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('904', 'y', 'y', 'y', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('904', 'z', 'z', 'z', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('905', '0', '0', '0', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('905', '1', '1', '1', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('905', '2', '2', '2', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('905', '3', '3', '3', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('905', '4', '4', '4', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('905', '5', '5', '5', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('905', '6', '6', '6', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('905', '7', '7', '7', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('905', '8', '8', '8', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('905', '9', '9', '9', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('905', 'a', 'a', 'a', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('905', 'b', 'b', 'b', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('905', 'c', 'c', 'c', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('905', 'd', 'd', 'd', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('905', 'e', 'e', 'e', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('905', 'f', 'f', 'f', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('905', 'g', 'g', 'g', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('905', 'h', 'h', 'h', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('905', 'i', 'i', 'i', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('905', 'j', 'j', 'j', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('905', 'k', 'k', 'k', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('905', 'l', 'l', 'l', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('905', 'm', 'm', 'm', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('905', 'n', 'n', 'n', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('905', 'o', 'o', 'o', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('905', 'p', 'p', 'p', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('905', 'q', 'q', 'q', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('905', 'r', 'r', 'r', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('905', 's', 's', 's', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('905', 't', 't', 't', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('905', 'u', 'u', 'u', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('905', 'v', 'v', 'v', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('905', 'w', 'w', 'w', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('905', 'x', 'x', 'x', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('905', 'y', 'y', 'y', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('905', 'z', 'z', 'z', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('906', '0', '0', '0', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('906', '1', '1', '1', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('906', '2', '2', '2', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('906', '3', '3', '3', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('906', '4', '4', '4', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('906', '5', '5', '5', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('906', '6', '6', '6', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('906', '7', '7', '7', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('906', '8', '8', '8', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('906', '9', '9', '9', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('906', 'a', 'a', 'a', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('906', 'b', 'b', 'b', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('906', 'c', 'c', 'c', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('906', 'd', 'd', 'd', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('906', 'e', 'e', 'e', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('906', 'f', 'f', 'f', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('906', 'g', 'g', 'g', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('906', 'h', 'h', 'h', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('906', 'i', 'i', 'i', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('906', 'j', 'j', 'j', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('906', 'k', 'k', 'k', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('906', 'l', 'l', 'l', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('906', 'm', 'm', 'm', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('906', 'n', 'n', 'n', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('906', 'o', 'o', 'o', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('906', 'p', 'p', 'p', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('906', 'q', 'q', 'q', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('906', 'r', 'r', 'r', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('906', 's', 's', 's', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('906', 't', 't', 't', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('906', 'u', 'u', 'u', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('906', 'v', 'v', 'v', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('906', 'w', 'w', 'w', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('906', 'x', 'x', 'x', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('906', 'y', 'y', 'y', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('906', 'z', 'z', 'z', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('907', '0', '0', '0', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('907', '1', '1', '1', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('907', '2', '2', '2', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('907', '3', '3', '3', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('907', '4', '4', '4', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('907', '5', '5', '5', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('907', '6', '6', '6', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('907', '7', '7', '7', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('907', '8', '8', '8', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('907', '9', '9', '9', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('907', 'a', 'a', 'a', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('907', 'b', 'b', 'b', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('907', 'c', 'c', 'c', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('907', 'd', 'd', 'd', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('907', 'e', 'e', 'e', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('907', 'f', 'f', 'f', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('907', 'g', 'g', 'g', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('907', 'h', 'h', 'h', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('907', 'i', 'i', 'i', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('907', 'j', 'j', 'j', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('907', 'k', 'k', 'k', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('907', 'l', 'l', 'l', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('907', 'm', 'm', 'm', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('907', 'n', 'n', 'n', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('907', 'o', 'o', 'o', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('907', 'p', 'p', 'p', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('907', 'q', 'q', 'q', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('907', 'r', 'r', 'r', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('907', 's', 's', 's', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('907', 't', 't', 't', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('907', 'u', 'u', 'u', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('907', 'v', 'v', 'v', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('907', 'w', 'w', 'w', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('907', 'x', 'x', 'x', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('907', 'y', 'y', 'y', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('907', 'z', 'z', 'z', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('908', 'a', 'Put command parameter', 'Put command parameter', 0, 0, '', 9, '', '', '', 0, -6, 'KT', '', '', NULL),
		('910', 'a', 'User-option data', 'User-option data', 0, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('911', '4', 'Codice di ruolo', 'Codice di ruolo', 1, 0, NULL, 9, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('911', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 9, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('911', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 9, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('911', 'a', 'Nome del convegno o nome della giurisdizione come accesso', 'Nome del convegno o nome della giurisdizione come accesso', 0, 0, NULL, 9, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('911', 'b', 'Number [OBSOLETE]', 'Number [OBSOLETE]', 0, 0, NULL, 9, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('911', 'c', 'Luogo del convegno', 'Luogo del convegno', 0, 0, NULL, 9, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('911', 'd', 'Data del convegno', 'Data del convegno', 0, 0, NULL, 9, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('911', 'e', 'Unità subordinata', 'Unità subordinata', 1, 0, NULL, 9, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('911', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, NULL, 9, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('911', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, NULL, 9, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('911', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, NULL, 9, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('911', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, NULL, 9, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('911', 'n', 'Numero di parte/sezione/convegno', 'Numero di parte/sezione/convegno', 1, 0, NULL, 9, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('911', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, NULL, 9, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('911', 'q', 'Nome del convegno dopo accesso di nome della giurisdizione', 'Nome del convegno dopo accesso di nome della giurisdizione', 0, 0, NULL, 9, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('911', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, NULL, 9, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('911', 'u', 'Affiliazione', 'Affiliazione', 0, 0, NULL, 9, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('930', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 9, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('930', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 9, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('930', 'a', 'Titolo uniforme', 'Titolo uniforme', 0, 0, NULL, 9, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('930', 'd', 'Data di firma del trattato', 'Data di firma del trattato', 1, 0, NULL, 9, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('930', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, NULL, 9, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('930', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, NULL, 9, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('930', 'h', 'Supporto', 'Supporto', 0, 0, NULL, 9, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('930', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, NULL, 9, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('930', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, NULL, 9, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('930', 'm', 'Mezzo di esecuzione per la musica', 'Mezzo di esecuzione per la musica', 1, 0, NULL, 9, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('930', 'n', 'Numero di parte/sezione dell\'opera', 'Numero di parte/sezione dell\'opera', 1, 0, NULL, 9, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('930', 'o', 'Formulazione d\'arrangiamento per la musica', 'Formulazione d\'arrangiamento per la musica', 0, 0, NULL, 9, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('930', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, NULL, 9, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('930', 'r', 'Tonalità (musica)', 'Tonalità (musica)', 0, 0, NULL, 9, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('930', 's', 'Versione', 'Versione', 0, 0, NULL, 9, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('930', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, NULL, 9, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('936', 'a', 'OCLC control number(s) of parallel record(s) (OCLC); Piece used for cataloging, PUC (RLIN)', 'OCLC control number(s) of parallel record(s) (OCLC); Piece used for cataloging, PUC (RLIN)', 1, 0, '', 9, '', '', '', 0, -6, 'KT', '', '', NULL),
		('940', '6', 'Collegamento', 'Collegamento', 0, 0, '', 9, '', '', '', 0, -6, 'KT', '', '', NULL),
		('940', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 9, '', '', '', 0, -6, 'KT', '', '', NULL),
		('940', 'a', 'Titolo uniforme', 'Titolo uniforme', 0, 0, '', 9, '', '', '', 1, -6, 'KT', '', '', NULL),
		('940', 'd', 'Data di firma del trattato', 'Data di firma del trattato', 1, 0, '', 9, '', '', '', 0, -6, 'KT', '', '', NULL),
		('940', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, '', 9, '', '', '', 0, -6, 'KT', '', '', NULL),
		('940', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, '', 9, '', '', '', 0, -6, 'KT', '', '', NULL),
		('940', 'h', 'Supporto', 'Supporto', 0, 0, '', 9, '', '', '', 0, -6, 'KT', '', '', NULL),
		('940', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, '', 9, '', '', '', 0, -6, 'KT', '', '', NULL),
		('940', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, '', 9, '', '', '', 0, -6, 'KT', '', '', NULL),
		('940', 'm', 'Mezzo di esecuzione per la musica', 'Mezzo di esecuzione per la musica', 1, 0, '', 9, '', '', '', 0, -6, 'KT', '', '', NULL),
		('940', 'n', 'Numero di parte/sezione dell\'opera', 'Numero di parte/sezione dell\'opera', 1, 0, '', 9, '', '', '', 0, -6, 'KT', '', '', NULL),
		('940', 'o', 'Formulazione d\'arrangiamento per la musica', 'Formulazione d\'arrangiamento per la musica', 0, 0, '', 9, '', '', '', 0, -6, 'KT', '', '', NULL),
		('940', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, '', 9, '', '', '', 0, -6, 'KT', '', '', NULL),
		('940', 'r', 'Tonalità (musica)', 'Tonalità (musica)', 0, 0, '', 9, '', '', '', 0, -6, 'KT', '', '', NULL),
		('940', 's', 'Versione', 'Versione', 0, 0, '', 9, '', '', '', 0, -6, 'KT', '', '', NULL),
		('941', 'a', 'Romanized title', 'Romanized title', 0, 0, NULL, 9, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('941', 'h', 'Supporto', 'Supporto', 0, 0, NULL, 9, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('943', '6', 'Collegamento', 'Collegamento', 0, 0, '', 9, '', '', '', 0, -6, 'KT', '', '', NULL),
		('943', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 9, '', '', '', 0, -6, 'KT', '', '', NULL),
		('943', 'a', 'Titolo uniforme', 'Titolo uniforme', 0, 0, '', 9, '', '', '', 1, 5, 'KT', '', '130', NULL),
		('943', 'd', 'Data di firma del trattato', 'Data di firma del trattato', 1, 0, '', 9, '', '', '', 0, -6, 'KT', '', '', NULL),
		('943', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, '', 9, '', '', '', 0, -6, 'KT', '', '', NULL),
		('943', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, '', 9, '', '', '', 0, -6, 'KT', '', '', NULL),
		('943', 'h', 'Supporto', 'Supporto', 0, 0, '', 9, '', '', '', 0, -6, 'KT', '', '', NULL),
		('943', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, '', 9, '', '', '', 0, -6, 'KT', '', '', NULL),
		('943', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, '', 9, '', '', '', 0, -6, 'KT', '', '', NULL),
		('943', 'm', 'Mezzo di esecuzione per la musica', 'Mezzo di esecuzione per la musica', 1, 0, '', 9, '', '', '', 0, -6, 'KT', '', '', NULL),
		('943', 'n', 'Numero di parte/sezione dell\'opera', 'Numero di parte/sezione dell\'opera', 1, 0, '', 9, '', '', '', 0, -6, 'KT', '', '', NULL),
		('943', 'o', 'Formulazione d\'arrangiamento per la musica', 'Formulazione d\'arrangiamento per la musica', 0, 0, '', 9, '', '', '', 0, -6, 'KT', '', '', NULL),
		('943', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, '', 9, '', '', '', 0, -6, 'KT', '', '', NULL),
		('943', 'r', 'Tonalità (musica)', 'Tonalità (musica)', 0, 0, '', 9, '', '', '', 0, -6, 'KT', '', '', NULL),
		('943', 's', 'Versione', 'Versione', 0, 0, '', 9, '', '', '', 0, -6, 'KT', '', '', NULL),
		('945', '0', '0', '0', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('945', '1', '1', '1', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('945', '2', '2', '2', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('945', '3', '3', '3', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('945', '4', '4', '4', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('945', '5', '5', '5', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('945', '6', '6', '6', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('945', '7', '7', '7', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('945', '8', '8', '8', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('945', '9', '9', '9', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('945', 'a', 'a', 'a', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('945', 'b', 'b', 'b', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('945', 'c', 'c', 'c', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('945', 'd', 'd', 'd', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('945', 'e', 'e', 'e', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('945', 'f', 'f', 'f', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('945', 'g', 'g', 'g', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('945', 'h', 'h', 'h', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('945', 'i', 'i', 'i', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('945', 'j', 'j', 'j', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('945', 'k', 'k', 'k', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('945', 'l', 'l', 'l', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('945', 'm', 'm', 'm', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('945', 'n', 'n', 'n', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('945', 'o', 'o', 'o', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('945', 'p', 'p', 'p', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('945', 'q', 'q', 'q', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('945', 'r', 'r', 'r', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('945', 's', 's', 's', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('945', 't', 't', 't', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('945', 'u', 'u', 'u', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('945', 'v', 'v', 'v', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('945', 'w', 'w', 'w', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('945', 'x', 'x', 'x', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('945', 'y', 'y', 'y', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('945', 'z', 'z', 'z', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('946', '0', '0', '0', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('946', '1', '1', '1', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('946', '2', '2', '2', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('946', '3', '3', '3', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('946', '4', '4', '4', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('946', '5', '5', '5', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('946', '6', '6', '6', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('946', '7', '7', '7', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('946', '8', '8', '8', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('946', '9', '9', '9', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('946', 'a', 'a', 'a', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('946', 'b', 'b', 'b', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('946', 'c', 'c', 'c', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('946', 'd', 'd', 'd', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('946', 'e', 'e', 'e', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('946', 'f', 'f', 'f', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('946', 'g', 'g', 'g', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('946', 'h', 'h', 'h', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('946', 'i', 'i', 'i', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('946', 'j', 'j', 'j', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('946', 'k', 'k', 'k', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('946', 'l', 'l', 'l', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('946', 'm', 'm', 'm', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('946', 'n', 'n', 'n', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('946', 'o', 'o', 'o', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('946', 'p', 'p', 'p', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('946', 'q', 'q', 'q', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('946', 'r', 'r', 'r', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('946', 's', 's', 's', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('946', 't', 't', 't', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('946', 'u', 'u', 'u', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('946', 'v', 'v', 'v', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('946', 'w', 'w', 'w', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('946', 'x', 'x', 'x', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('946', 'y', 'y', 'y', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('946', 'z', 'z', 'z', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('947', '0', '0', '0', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('947', '1', '1', '1', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('947', '2', '2', '2', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('947', '3', '3', '3', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('947', '4', '4', '4', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('947', '5', '5', '5', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('947', '6', '6', '6', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('947', '7', '7', '7', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('947', '8', '8', '8', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('947', '9', '9', '9', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('947', 'a', 'a', 'a', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('947', 'b', 'b', 'b', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('947', 'c', 'c', 'c', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('947', 'd', 'd', 'd', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('947', 'e', 'e', 'e', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('947', 'f', 'f', 'f', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('947', 'g', 'g', 'g', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('947', 'h', 'h', 'h', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('947', 'i', 'i', 'i', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('947', 'j', 'j', 'j', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('947', 'k', 'k', 'k', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('947', 'l', 'l', 'l', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('947', 'm', 'm', 'm', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('947', 'n', 'n', 'n', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('947', 'o', 'o', 'o', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('947', 'p', 'p', 'p', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('947', 'q', 'q', 'q', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('947', 'r', 'r', 'r', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('947', 's', 's', 's', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('947', 't', 't', 't', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('947', 'u', 'u', 'u', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('947', 'v', 'v', 'v', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('947', 'w', 'w', 'w', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('947', 'x', 'x', 'x', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('947', 'y', 'y', 'y', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('947', 'z', 'z', 'z', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('948', '0', '0 (OCLC)', '0 (OCLC)', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('948', '1', '1 (OCLC)', '1 (OCLC)', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('948', '2', '2 (OCLC)', '2 (OCLC)', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('948', '3', '3 (OCLC)', '3 (OCLC)', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('948', '4', '4 (OCLC)', '4 (OCLC)', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('948', '5', '5 (OCLC)', '5 (OCLC)', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('948', '6', '6 (OCLC)', '6 (OCLC)', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('948', '7', '7 (OCLC)', '7 (OCLC)', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('948', '8', '8 (OCLC)', '8 (OCLC)', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('948', '9', '9 (OCLC)', '9 (OCLC)', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('948', 'a', 'Series part designator, SPT (RLIN)', 'Series part designator, SPT (RLIN)', 0, 0, '', 9, '', '', '', 0, -6, 'KT', '', '', NULL),
		('948', 'b', 'b (OCLC)', 'b (OCLC)', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('948', 'c', 'c (OCLC)', 'c (OCLC)', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('948', 'd', 'd (OCLC)', 'd (OCLC)', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('948', 'e', 'e (OCLC)', 'e (OCLC)', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('948', 'f', 'f (OCLC)', 'f (OCLC)', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('948', 'g', 'g (OCLC)', 'g (OCLC)', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('948', 'h', 'h (OCLC)', 'h (OCLC)', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('948', 'i', 'i (OCLC)', 'i (OCLC)', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('948', 'j', 'j (OCLC)', 'j (OCLC)', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('948', 'k', 'k (OCLC)', 'k (OCLC)', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('948', 'l', 'l (OCLC)', 'l (OCLC)', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('948', 'm', 'm (OCLC)', 'm (OCLC)', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('948', 'n', 'n (OCLC)', 'n (OCLC)', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('948', 'o', 'o (OCLC)', 'o (OCLC)', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('948', 'p', 'p (OCLC)', 'p (OCLC)', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('948', 'q', 'q (OCLC)', 'q (OCLC)', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('948', 'r', 'r (OCLC)', 'r (OCLC)', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('948', 's', 's (OCLC)', 's (OCLC)', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('948', 't', 't (OCLC)', 't (OCLC)', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('948', 'u', 'u (OCLC)', 'u (OCLC)', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('948', 'v', 'v (OCLC)', 'v (OCLC)', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('948', 'w', 'w (OCLC)', 'w (OCLC)', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('948', 'x', 'x (OCLC)', 'x (OCLC)', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('948', 'y', 'y (OCLC)', 'y (OCLC)', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('948', 'z', 'z (OCLC)', 'z (OCLC)', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('949', '0', '0', '0', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('949', '1', '1', '1', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('949', '2', '2', '2', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('949', '3', '3', '3', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('949', '4', '4', '4', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('949', '5', '5', '5', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('949', '6', '6', '6', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('949', '7', '7', '7', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('949', '8', '8', '8', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('949', '9', '9', '9', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('949', 'a', 'a', 'a', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('949', 'b', 'b', 'b', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('949', 'c', 'c', 'c', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('949', 'd', 'd', 'd', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('949', 'e', 'e', 'e', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('949', 'f', 'f', 'f', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('949', 'g', 'g', 'g', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('949', 'h', 'h', 'h', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('949', 'i', 'i', 'i', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('949', 'j', 'j', 'j', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('949', 'k', 'k', 'k', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('949', 'l', 'l', 'l', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('949', 'm', 'm', 'm', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('949', 'n', 'n', 'n', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('949', 'o', 'o', 'o', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('949', 'p', 'p', 'p', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('949', 'q', 'q', 'q', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('949', 'r', 'r', 'r', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('949', 's', 's', 's', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('949', 't', 't', 't', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('949', 'u', 'u', 'u', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('949', 'v', 'v', 'v', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('949', 'w', 'w', 'w', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('949', 'x', 'x', 'x', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('949', 'y', 'y', 'y', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('949', 'z', 'z', 'z', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('950', 'a', 'Classification number, LCAL (RLIN)', 'Classification number, LCAL (RLIN)', 0, 0, '', 9, '', '', '', 0, 5, 'KT', '', '', NULL),
		('950', 'b', 'Book number/undivided call number, LCAL (RLIN)', 'Book number/undivided call number, LCAL (RLIN)', 0, 0, '', 9, '', '', '', 0, 5, 'KT', '', '', NULL),
		('950', 'd', 'Additional free-text stamp above the call number, LCAL (RLIN)', 'Additional free-text stamp above the call number, LCAL (RLIN)', 1, 0, '', 9, '', '', '', 0, 5, 'KT', '', '', NULL),
		('950', 'e', 'Additional free-text or profiled stamp below the call number, LCAL (RLIN)', 'Additional free-text or profiled stamp below the call number, LCAL (RLIN)', 1, 0, '', 9, '', '', '', 0, 5, 'KT', '', '', NULL),
		('950', 'f', 'Location-level footnote, LFNT (RLIN)', 'Location-level footnote, LFNT (RLIN)', 0, 0, '', 9, '', '', '', 0, 5, 'KT', '', '', NULL),
		('950', 'h', 'Location-level output transaction history, LHST (RLIN)', 'Location-level output transaction history, LHST (RLIN)', 0, 0, '', 9, '', '', '', 0, 5, 'KT', '', '', NULL),
		('950', 'i', 'Location-level extra card request, LEXT (RLIN)', 'Location-level extra card request, LEXT (RLIN)', 0, 0, '', 9, '', '', '', 0, 5, 'KT', '', '', NULL),
		('950', 'l', 'Permanent shelving location, LOC (RLIN)', 'Permanent shelving location, LOC (RLIN)', 0, 0, '', 9, '', '', '', 0, 5, 'KT', '', '', NULL),
		('950', 'n', 'Location-level additional note, LANT (RLIN)', 'Location-level additional note, LANT (RLIN)', 1, 0, '', 9, '', '', '', 0, 5, 'KT', '', '', NULL),
		('950', 'p', 'Location-level pathfinder, LPTH (RLIN)', 'Location-level pathfinder, LPTH (RLIN)', 0, 0, '', 9, '', '', '', 0, 5, 'KT', '', '', NULL),
		('950', 't', 'Location-level field suppression, LFSP (RLIN)', 'Location-level field suppression, LFSP (RLIN)', 0, 0, '', 9, '', '', '', 0, 5, 'KT', '', '', NULL),
		('950', 'u', 'Non-printing notes, LANT (RLIN)', 'Non-printing notes, LANT (RLIN)', 1, 0, '', 9, '', '', '', 0, 5, 'KT', '', '', NULL),
		('950', 'v', 'Volumes, LVOL (RLIN)', 'Volumes, LVOL (RLIN)', 0, 0, '', 9, '', '', '', 0, 5, 'KT', '', '', NULL),
		('950', 'w', 'Subscription status code, LANT (RLIN)', 'Subscription status code, LANT (RLIN)', 0, 0, '', 9, '', '', '', 0, 5, 'KT', '', '', NULL),
		('950', 'y', 'Date, LVOL (RLIN)', 'Date, LVOL (RLIN)', 0, 0, '', 9, '', '', '', 0, 5, 'KT', '', '', NULL),
		('950', 'z', 'Retention, LVOL (RLIN)', 'Retention, LVOL (RLIN)', 0, 0, '', 9, '', '', '', 0, 5, 'KT', '', '', NULL),
		('951', '2', 'Fonte dell\'intestazione o del termine', 'Fonte dell\'intestazione o del termine', 0, 0, '', 6, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('951', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, '', 6, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('951', '6', 'Collegamento', 'Collegamento', 0, 0, '', 6, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('951', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 6, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('951', 'a', 'Nome geografico', 'Nome geografico', 0, 0, '', 6, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('951', 'b', 'Geographic name following place entry element [OBSOLETE]', 'Geographic name following place entry element [OBSOLETE]', 1, 0, '', 6, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('951', 'v', 'Suddivisione geografica', 'Suddivisione geografica', 1, 0, '', 6, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('951', 'x', 'Suddivisione generale', 'Suddivisione generale', 1, 0, '', 6, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('951', 'y', 'Suddivisione cronologica', 'Suddivisione cronologica', 1, 0, '', 6, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('951', 'z', 'Suddivisione geografica', 'Suddivisione geografica', 1, 0, '', 6, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('955', 'a', 'Classification number, CCAL (RLIN)', 'Classification number, CCAL (RLIN)', 0, 0, '', 9, '', '', '', 0, 5, 'KT', '', '', NULL),
		('955', 'b', 'Book number/undivided call number, CCAL (RLIN)', 'Book number/undivided call number, CCAL (RLIN)', 0, 0, '', 9, '', '', '', 0, 5, 'KT', '', '', NULL),
		('955', 'c', 'Copy information and material description, CCAL + MDES (RLIN)', 'Copy information and material description, CCAL + MDES (RLIN)', 0, 0, '', 9, '', '', '', 0, 5, 'KT', '', '', NULL),
		('955', 'h', 'Copy status--for earlier dates, CST (RLIN)', 'Copy status--for earlier dates, CST (RLIN)', 0, 0, '', 9, '', '', '', 0, 5, 'KT', '', '', NULL),
		('955', 'i', 'Copy status, CST (RLIN)', 'Copy status, CST (RLIN)', 0, 0, '', 9, '', '', '', 0, 5, 'KT', '', '', NULL),
		('955', 'l', 'Permanent shelving location, LOC (RLIN)', 'Permanent shelving location, LOC (RLIN)', 0, 0, '', 9, '', '', '', 0, 5, 'KT', '', '', NULL),
		('955', 'q', 'Aquisitions control number, HNT (RLIN)', 'Aquisitions control number, HNT (RLIN)', 1, 0, '', 9, '', '', '', 0, 5, 'KT', '', '', NULL),
		('955', 'r', 'Circulation control number, HNT (RLIN)', 'Circulation control number, HNT (RLIN)', 0, 0, '', 9, '', '', '', 0, 5, 'KT', '', '', NULL),
		('955', 's', 'Shelflist note, HNT (RLIN)', 'Shelflist note, HNT (RLIN)', 1, 0, '', 9, '', '', '', 1, 5, 'KT', '', '', NULL),
		('955', 'u', 'Non-printing notes, HNT (RLIN)', 'Non-printing notes, HNT (RLIN)', 1, 0, '', 9, '', '', '', 0, 5, 'KT', '', '', NULL),
		('956', '2', 'Metodo di accesso', 'Metodo di accesso', 0, 0, '', 9, '', '', '', 0, -6, 'KT', '', '', NULL),
		('956', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, '', 9, '', '', '', 0, -6, 'KT', '', '', NULL),
		('956', '6', 'Collegamento', 'Collegamento', 0, 0, '', 9, '', '', '', 0, -6, 'KT', '', '', NULL),
		('956', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 9, '', '', '', 0, -6, 'KT', '', '', NULL),
		('956', 'a', 'Nome dell\'host', 'Nome dell\'host', 1, 0, '', 9, '', '', '', 0, -6, 'KT', '', '', NULL),
		('956', 'b', 'Numero di accesso', 'Numero di accesso', 1, 0, '', 9, '', '', '', 0, -6, 'KT', '', '', NULL),
		('956', 'c', 'Informazione sulla compressione', 'Informazione sulla compressione', 1, 0, '', 9, '', '', '', 0, -6, 'KT', '', '', NULL),
		('956', 'd', 'Percorso della risorsa', 'Percorso della risorsa', 1, 0, '', 9, '', '', '', 0, -6, 'KT', '', '', NULL),
		('956', 'f', 'Nome elettronico', 'Nome elettronico', 1, 0, '', 9, '', '', '', 0, -6, 'KT', '', '', NULL),
		('956', 'h', 'Processore della richiesta (Username)', 'Processore della richiesta (Username)', 0, 0, '', 9, '', '', '', 0, -6, 'KT', '', '', NULL),
		('956', 'i', 'Istruzioni', 'Istruzioni', 1, 0, '', 9, '', '', '', 0, -6, 'KT', '', '', NULL),
		('956', 'j', 'Bit per secondo', 'Bit per secondo', 0, 0, '', 9, '', '', '', 0, -6, 'KT', '', '', NULL),
		('956', 'k', 'Password', 'Password', 0, 0, '', 9, '', '', '', 0, -6, 'KT', '', '', NULL),
		('956', 'l', 'Logon', 'Logon', 0, 0, '', 9, '', '', '', 0, -6, 'KT', '', '', NULL),
		('956', 'm', 'Contatto per assistenza all\'accesso', 'Contatto per assistenza all\'accesso', 1, 0, '', 9, '', '', '', 0, -6, 'KT', '', '', NULL),
		('956', 'n', 'Name of location of host in subfield', 'Name of location of host in subfield', 0, 0, '', 9, '', '', '', 0, -6, 'KT', '', '', NULL),
		('956', 'o', 'Sistema operativo', 'Sistema operativo', 0, 0, '', 9, '', '', '', 0, -6, 'KT', '', '', NULL),
		('956', 'p', 'Porta', 'Porta', 0, 0, '', 9, '', '', '', 0, -6, 'KT', '', '', NULL),
		('956', 'q', 'Tipo di formato elettronico', 'Tipo di formato elettronico', 0, 0, '', 9, '', '', '', 0, -6, 'KT', '', '', NULL),
		('956', 'r', 'Parametri', 'Parametri', 0, 0, '', 9, '', '', '', 0, -6, 'KT', '', '', NULL),
		('956', 's', 'Dimensione file', 'Dimensione file', 1, 0, '', 9, '', '', '', 0, -6, 'KT', '', '', NULL),
		('956', 't', 'Emulazione del terminale', 'Emulazione del terminale', 1, 0, '', 9, '', '', '', 0, -6, 'KT', '', '', NULL),
		('956', 'u', 'URI (Uniform Resource Identifier)', 'URI (Uniform Resource Identifier)', 1, 0, '', 9, '', '', '', 1, -6, 'KT', '', '', NULL),
		('956', 'v', 'Orario di accesso', 'Orario di accesso', 1, 0, '', 9, '', '', '', 0, -6, 'KT', '', '', NULL),
		('956', 'w', 'Numero di controllo della registrazione', 'Numero di controllo della registrazione', 1, 0, '', 9, '', '', '', 0, -6, 'KT', '', '', NULL),
		('956', 'x', 'Nota non pubblic', 'Nota non pubblic', 1, 0, '', 9, '', '', '', 0, 6, 'KT', '', '', NULL),
		('956', 'y', 'Testo di collegamento', 'Testo di collegamento', 1, 0, '', 9, '', '', '', 0, -6, 'KT', '', '', NULL),
		('956', 'z', 'Nota pubblica', 'Nota pubblica', 1, 0, '', 9, '', '', '', 0, -6, 'KT', '', '', NULL),
		('960', '3', 'Materials specified, MATL', 'Materials specified, MATL', 0, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('960', 'a', 'Physical location, PLOC (RLIN)', 'Physical location, PLOC (RLIN)', 0, 0, '', 9, '', '', '', 0, -6, 'KT', '', '', NULL),
		('967', 'a', 'GNR (RLIN)', 'GNR (RLIN)', 0, 0, '', 9, '', '', '', 0, -6, 'KT', '', '', NULL),
		('967', 'c', 'PSI (RLIN)', 'PSI (RLIN)', 0, 0, '', 9, '', '', '', 0, -6, 'KT', '', '', NULL),
		('980', '4', 'Codice di ruolo', 'Codice di ruolo', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('980', '6', 'Collegamento', 'Collegamento', 0, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('980', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('980', 'a', 'Nome di persona', 'Nome di persona', 0, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('980', 'b', 'Numerazione', 'Numerazione', 0, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('980', 'c', 'Titoli e altre parole associate al nome', 'Titoli e altre parole associate al nome', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('980', 'd', 'Date associate al nome', 'Date associate al nome', 0, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('980', 'e', 'Termine di ruolo', 'Termine di ruolo', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('980', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('980', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('980', 'h', 'Supporto', 'Supporto', 0, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('980', 'j', 'Qualificazione d\'attribuzione', 'Qualificazione d\'attribuzione', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('980', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('980', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('980', 'm', 'Mezzo di esecuzione per la musica', 'Mezzo di esecuzione per la musica', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('980', 'n', 'Numero di parte/sezione dell\'opera', 'Numero di parte/sezione dell\'opera', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('980', 'o', 'Formulazione d\'arrangiamento per la musica', 'Formulazione d\'arrangiamento per la musica', 0, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('980', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('980', 'q', 'Forma completa del nome', 'Forma completa del nome', 0, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('980', 'r', 'Tonalità (musica)', 'Tonalità (musica)', 0, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('980', 's', 'Versione', 'Versione', 0, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('980', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('980', 'u', 'Affiliazione', 'Affiliazione', 0, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('980', 'v', 'Numero del volume/designazione di sequenza', 'Numero del volume/designazione di sequenza', 0, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('981', '4', 'Codice di ruolo', 'Codice di ruolo', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('981', '6', 'Collegamento', 'Collegamento', 0, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('981', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('981', 'a', 'Nome dell\'ente o nome della giurisdizione come accesso', 'Nome dell\'ente o nome della giurisdizione come accesso', 0, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('981', 'b', 'Unità subordinata', 'Unità subordinata', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('981', 'c', 'Luogo del convegno', 'Luogo del convegno', 0, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('981', 'd', 'Data del convegno o di firma del trattato', 'Data del convegno o di firma del trattato', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('981', 'e', 'Termine di ruolo', 'Termine di ruolo', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('981', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('981', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('981', 'h', 'Supporto', 'Supporto', 0, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('981', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('981', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('981', 'm', 'Mezzo di esecuzione per la musica', 'Mezzo di esecuzione per la musica', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('981', 'n', 'Numero di parte/sezione/convegno', 'Numero di parte/sezione/convegno', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('981', 'o', 'Formulazione d\'arrangiamento per la musica', 'Formulazione d\'arrangiamento per la musica', 0, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('981', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('981', 'r', 'Tonalità (musica)', 'Tonalità (musica)', 0, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('981', 's', 'Versione', 'Versione', 0, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('981', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('981', 'u', 'Affiliazione', 'Affiliazione', 0, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('981', 'v', 'Numero del volume/designazione di sequenza', 'Numero del volume/designazione di sequenza', 0, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('982', '4', 'Codice di ruolo', 'Codice di ruolo', 1, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('982', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('982', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('982', 'a', 'Nome del convegno o nome della giurisdizione come accesso', 'Nome del convegno o nome della giurisdizione come accesso', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('982', 'b', 'Number (BK CF MP MU SE VM MX) [OBSOLETE]', 'Number (BK CF MP MU SE VM MX) [OBSOLETE]', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('982', 'c', 'Luogo del convegno', 'Luogo del convegno', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('982', 'd', 'Data del convegno', 'Data del convegno', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('982', 'e', 'Unità subordinata', 'Unità subordinata', 1, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('982', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('982', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('982', 'h', 'Supporto', 'Supporto', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('982', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('982', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('982', 'n', 'Numero di parte/sezione/convegno', 'Numero di parte/sezione/convegno', 1, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('982', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('982', 'q', 'Nome del convegno dopo accesso di nome della giurisdizione', 'Nome del convegno dopo accesso di nome della giurisdizione', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('982', 's', 'Versione', 'Versione', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('982', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('982', 'u', 'Affiliazione', 'Affiliazione', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('982', 'v', 'Numero del volume/designazione di sequenza', 'Numero del volume/designazione di sequenza', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'KT', '', '', NULL),
		('983', '6', 'Collegamento', 'Collegamento', 0, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('983', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('983', 'a', 'Titolo uniforme', 'Titolo uniforme', 0, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('983', 'd', 'Data di firma del trattato', 'Data di firma del trattato', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('983', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('983', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('983', 'h', 'Supporto', 'Supporto', 0, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('983', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('983', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('983', 'm', 'Mezzo di esecuzione per la musica', 'Mezzo di esecuzione per la musica', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('983', 'n', 'Numero di parte/sezione dell\'opera', 'Numero di parte/sezione dell\'opera', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('983', 'o', 'Formulazione d\'arrangiamento per la musica', 'Formulazione d\'arrangiamento per la musica', 0, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('983', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('983', 'r', 'Tonalità (musica)', 'Tonalità (musica)', 0, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('983', 's', 'Versione', 'Versione', 0, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('983', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('983', 'v', 'Numero del volume/designazione di sequenza', 'Numero del volume/designazione di sequenza', 0, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('984', 'a', 'Numero idenficativo biblioteca proprietaria', 'Numero idenficativo biblioteca proprietaria', 0, 0, '', 9, '', '', '', NULL, 5, 'KT', '', '', NULL),
		('984', 'b', 'Codici descrizione fisica', 'Codici descrizione fisica', 1, 0, '', 9, '', '', '', 0, 5, 'KT', '', '', NULL),
		('984', 'c', 'Numero di chiamata', 'Numero di chiamata', 0, 0, '', 9, '', '', '', 0, 5, 'KT', '', '', NULL),
		('984', 'd', 'Volume o altra numerazione', 'Volume o altra numerazione', 0, 0, '', 9, '', '', '', 0, 5, 'KT', '', '', NULL),
		('984', 'e', 'Date', 'Date', 0, 0, '', 9, '', '', '', 0, 5, 'KT', '', '', NULL),
		('984', 'f', 'Completeness note', 'Completeness note', 0, 0, '', 9, '', '', '', 0, 5, 'KT', '', '', NULL),
		('984', 'g', 'Referral note', 'Referral note', 0, 0, '', 9, '', '', '', 0, 5, 'KT', '', '', NULL),
		('984', 'h', 'Retention note', 'Retention note', 0, 0, '', 9, '', '', '', 0, 5, 'KT', '', '', NULL),
		('987', 'a', 'Romanization/conversion identifier', 'Romanization/conversion identifier', 0, 0, '', 9, '', '', '', NULL, -6, 'KT', '', '', NULL),
		('987', 'b', 'Agenzia che ha convertito, creato o rivisto', 'Agenzia che ha convertito, creato o rivisto', 1, 0, '', 9, '', '', '', 0, -6, 'KT', '', '', NULL),
		('987', 'c', 'Data della conversione o della revisione', 'Data della conversione o della revisione', 0, 0, '', 9, '', '', '', 0, -6, 'KT', '', '', NULL),
		('987', 'd', 'Codice dello status', 'Codice dello status', 0, 0, '', 9, '', '', '', 0, -6, 'KT', '', '', NULL),
		('987', 'e', 'Versione del programma usato per la conversione', 'Versione del programma usato per la conversione', 0, 0, '', 9, '', '', '', 0, -6, 'KT', '', '', NULL),
		('987', 'f', 'Nota', 'Nota', 0, 0, '', 9, '', '', '', 0, -6, 'KT', '', '', NULL),
		('990', 'a', 'Link information for 9XX fields', 'Link information for 9XX fields', 1, 0, '', 9, '', '', '', 0, -6, 'KT', '', '', NULL),
		('990', 'b', 'Link information for field corresponding to 9XX field', 'Link information for field corresponding to 9XX field', 1, 0, '', 9, '', '', '', 0, -6, 'KT', '', '', NULL),
		('995', '0', 'Ritiro della copia', 'Ritiro della copia', 0, 0, '', 9, '', '', '', 0, 5, 'KT', '', '', NULL),
		('995', '1', 'Copia smarrita', 'Copia smarrita', 0, 0, '', 9, '', '', '', 0, 5, 'KT', '', '', NULL),
		('995', '2', 'Codice di sistema (classificazione specifica o altro schema e edizione)', 'Codice di sistema (classificazione specifica o altro schema e edizione)', 0, 0, '', 9, '', '', '', NULL, 5, 'KT', '', '', NULL),
		('995', '3', 'Restrizioni d\'uso', 'Restrizioni d\'uso', 0, 0, '', 9, '', '', '', 0, 5, 'KT', '', '', NULL),
		('995', '4', 'Classificazione normalizzata Koha per l\'ordinamento', 'Classificazione normalizzata Koha per l\'ordinamento', 0, 0, '', 9, '', '', '', 0, 5, 'KT', '', '', NULL),
		('995', '5', 'Qualificatore dell\'ubicazione', 'Qualificatore dell\'ubicazione', 1, 0, '', 9, '', '', '', NULL, 5, 'KT', '', '', NULL),
		('995', '6', 'Numero della copia', 'Numero della copia', 0, 0, '', 9, '', '', '', NULL, 5, 'KT', '', '', NULL),
		('995', '7', 'Uniform Resource Identifier', 'Uniform Resource Identifier', 1, 0, '', 9, '', '', '', 1, 5, 'KT', '', '', NULL),
		('995', '8', 'Collezione Koha', 'Collezione Koha', 0, 0, '', 9, '', '', '', 0, 5, 'KT', '', '', NULL),
		('995', '9', 'Numero interno di copia (Koha itemnumber, autogenerato)', 'Numero interno di copia (Koha itemnumber, autogenerato)', 0, 0, '', 9, '', '', '', 0, 5, 'KT', '', '', NULL),
		('995', 'a', 'Bib. proprietaria della copia (testo libero)', 'Bib. proprietaria della copia (testo libero)', 0, 0, '', 9, '', '', '', 0, 5, 'KT', '', '', NULL),
		('995', 'b', 'Bib. proprietaria della copia', 'Bib. proprietaria della copia', 0, 0, '', 9, '', '', '', 0, 5, 'KT', '', '', NULL),
		('995', 'c', 'Bib. che possiede o presta (holding branch)', 'Bib. che possiede o presta (holding branch)', 0, 0, '', 9, '', '', '', 0, 5, 'KT', '', '', NULL),
		('995', 'd', 'Bib. che possiede o presta (codice)', 'Bib. che possiede o presta (codice)', 0, 0, '', 9, '', '', '', 0, 5, 'KT', '', '', NULL),
		('995', 'e', 'Dettaglio del genere', 'Dettaglio del genere', 0, 0, '', 9, '', '', '', 0, 5, 'KT', '', '', NULL),
		('995', 'f', 'Codice a barre', 'Codice a barre', 0, 0, '', 9, '', '', '', 0, 5, 'KT', '', '', NULL),
		('995', 'g', 'Prefisso del codice a barre', 'Prefisso del codice a barre', 0, 0, '', 9, '', '', '', 0, 5, 'KT', '', '', NULL),
		('995', 'h', 'Incremento del codice a barre', 'Incremento del codice a barre', 0, 0, '', 9, '', '', '', 0, 5, 'KT', '', '', NULL),
		('995', 'i', 'Suffisso del codice a barre', 'Suffisso del codice a barre', 0, 0, '', 9, '', '', '', 0, 5, 'KT', '', '', NULL),
		('995', 'j', 'Sezione', 'Sezione', 0, 0, '', 9, '', '', '', 0, 5, 'KT', '', '', NULL),
		('995', 'k', 'Collocazione', 'Collocazione', 0, 0, '', 9, '', '', '', 0, 5, 'KT', '', '', NULL),
		('995', 'l', 'Numerazione (volume o altre parti)', 'Numerazione (volume o altre parti)', 0, 0, '', 9, '', '', '', 0, 5, 'KT', '', '', NULL),
		('995', 'm', 'Data del prestito o deposito', 'Data del prestito o deposito', 0, 0, '', 9, '', '', '', 0, 5, 'KT', '', '', NULL),
		('995', 'n', 'Data scadenza del prestito', 'Data scadenza del prestito', 0, 0, '', 9, '', '', '', 0, 5, 'KT', '', '', NULL),
		('995', 'o', 'Tipo di circolazione (non a prestito)', 'Tipo di circolazione (non a prestito)', 1, 0, '', 9, '', '', '', 0, 5, 'KT', '', '', NULL),
		('995', 'p', 'Periodico', 'Periodico', 0, 0, '', 9, '', '', '', 0, 5, 'KT', '', '', NULL),
		('995', 'q', 'Pubblico destinato (età)', 'Pubblico destinato (età)', 0, 0, '', 9, '', '', '', 0, 5, 'KT', '', '', NULL),
		('995', 'r', 'Tipologia della copia e del materiale', 'Tipologia della copia e del materiale', 0, 0, '', 9, '', '', '', 0, 5, 'KT', '', '', NULL),
		('995', 's', 'Modalità d\'acquisto', 'Modalità d\'acquisto', 0, 0, '', 9, '', '', '', 0, 5, 'KT', '', '', NULL),
		('995', 't', 'Genere', 'Genere', 0, 0, '', 9, '', '', '', 0, 5, 'KT', '', '', NULL),
		('995', 'u', 'Nota della copia', 'Nota della copia', 0, 0, '', 9, '', '', '', 0, 5, 'KT', '', '', NULL),
		('995', 'v', 'Numero periodico', 'Numero periodico', 0, 0, '', 9, '', '', '', 0, 5, 'KT', '', '', NULL),
		('995', 'w', 'Codice dell\'ente destinatario', 'Codice dell\'ente destinatario', 0, 0, '', 9, '', '', '', 0, 5, 'KT', '', '', NULL),
		('995', 'x', 'Ente destinatario, testo libero', 'Ente destinatario, testo libero', 0, 0, '', 9, '', '', '', 0, 5, 'KT', '', '', NULL),
		('995', 'y', 'Codice dell\'ente destinatario superiore', 'Codice dell\'ente destinatario superiore', 0, 0, '', 9, '', '', '', 0, 5, 'KT', '', '', NULL),
		('995', 'z', 'Ente destinatario superiore, testo libero', 'Ente destinatario superiore, testo libero', 0, 0, '', 9, '', '', '', 0, 5, 'KT', '', '', NULL),
		('998', 'b', 'Operator\'s initials, OID (RLIN)', 'Operator\'s initials, OID (RLIN)', 0, 0, '', 9, '', '', '', 0, -6, 'KT', '', '', NULL),
		('998', 'c', 'Cataloger\'s initials, CIN (RLIN)', 'Cataloger\'s initials, CIN (RLIN)', 0, 0, '', 9, '', '', '', 0, -6, 'KT', '', '', NULL),
		('998', 'd', 'First date, FD (RLIN)', 'First date, FD (RLIN)', 0, 0, '', 9, '', '', '', 0, -6, 'KT', '', '', NULL),
		('998', 'i', 'RINS (RLIN)', 'RINS (RLIN)', 0, 0, '', 9, '', '', '', 0, 5, 'KT', '', '', NULL),
		('998', 'l', 'LI (RLIN)', 'LI (RLIN)', 0, 0, '', 9, '', '', '', 0, 5, 'KT', '', '', NULL),
		('998', 'n', 'NUC (RLIN)', 'NUC (RLIN)', 0, 0, '', 9, '', '', '', 0, 5, 'KT', '', '', NULL),
		('998', 'p', 'PROC (RLIN)', 'PROC (RLIN)', 0, 0, '', 9, '', '', '', 0, 5, 'KT', '', '', NULL),
		('998', 's', 'CC (RLIN)', 'CC (RLIN)', 0, 0, '', 9, '', '', '', 0, 5, 'KT', '', '', NULL),
		('998', 't', 'RTYP (RLIN)', 'RTYP (RLIN)', 0, 0, '', 9, '', '', '', 0, 5, 'KT', '', '', NULL),
		('998', 'w', 'PLINK (RLIN)', 'PLINK (RLIN)', 0, 0, '', 9, '', '', '', 0, 5, 'KT', '', '', NULL);



-- ******************************************************


-- *****************************************************************
-- SIMPLE INTEGRATING RESOURCES KOHA RECORD AND HOLDINGS MANAGEMENT
-- FIELDS/SUBFIELDS.
-- *****************************************************************


-- Current Record ID Field/Subfields


INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES
		('999', 'Sys Number locale (Koha)', 'Sys Number locale (Koha)', 1, 0, '', 'IR');

INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES
		('999', 'a', 'Item type [OBSOLETE]', 'Item type [OBSOLETE]', 0, 0, NULL, -1, NULL, NULL, '', NULL, -5, 'IR', '', '', NULL),
		('999', 'b', 'Koha Dewey Subclass [OBSOLETE]', 'Koha Dewey Subclass [OBSOLETE]', 0, 0, NULL, 0, NULL, NULL, '', NULL, -5, 'IR', '', '', NULL),
		('999', 'c', 'Koha biblionumber', 'Koha biblionumber', 0, 0, 'biblio.biblionumber', -1, NULL, NULL, '', NULL, -5, 'IR', '', '', NULL),
		('999', 'd', 'Koha biblioitemnumber', 'Koha biblioitemnumber', 0, 0, 'biblioitems.biblioitemnumber', -1, NULL, NULL, '', NULL, -5, 'IR', '', '', NULL);


-- ******************************************************


-- Plugins which need to be written for primary biblioitems Field/Subfields.


--      ('942', '2', 'Source of classification or shelving scheme', 'Source of classification or shelving scheme', 0, 0, 'biblioitems.cn_source', 9, '', '', 'marc21_classcodes.pl', NULL, 0, 'IR', '', '', NULL),
--      ('942', 'h', 'Classification part', 'Classification part', 0, 0, 'biblioitems.cn_class', 9, '', '', 'marc21_callnumber.pl', NULL, 0, 'IR', '', '', NULL),



-- Current primary biblioitems Field/Subfields


INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES
		('942', 'Dati aggiuntivi (Koha)', 'Dati aggiuntivi (Koha)', 0, 0, '', 'IR');

INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES
		('942', '0', 'Numero prestiti (tutte le copie)', 'Numero prestiti (tutte le copie)', 0, 0, 'biblioitems.totalissues', 9, '', '', '', NULL, -5, 'IR', '', '', NULL),
		('942', '2', 'Fonte della classificazione o dello schema di collocazione (segnatura)', 'Fonte della classificazione o dello schema di collocazione (segnatura)', 0, 0, 'biblioitems.cn_source', 9, 'cn_source', '', '', NULL, 0, 'IR', '', '', NULL),
		('942', '6', 'Class. Normalizzata per ordinamento', 'Class. Normalizzata per ordinamento', 0, 0, 'biblioitems.cn_sort', -1, '', '', '', 0, 7, 'IR', '', '', NULL),
		('942', 'a', 'Institution code [OBSOLETE]', 'Institution code [OBSOLETE]', 0, 0, '', 9, '', '', '', NULL, -5, 'IR', '', '', NULL),
		('942', 'c', 'Tipo copia default (Koha)', 'Tipo copia default (Koha)', 0, 1, 'biblioitems.itemtype', 9, 'itemtypes', '', '', NULL, 0, 'IR', '', '', NULL),
		('942', 'e', 'Edizione', 'Edizione', 0, 0, NULL, 9, '', '', '', NULL, 0, 'IR', '', '', NULL),
		('942', 'h', 'Parte della classificazione', 'Parte della classificazione', 0, 0, 'biblioitems.cn_class', 9, '', '', '', NULL, 0, 'IR', '', '', NULL),
		('942', 'i', 'Parte dell\'item', 'Parte dell\'item', 1, 0, 'biblioitems.cn_item', 9, '', '', '', NULL, 9, 'IR', '', '', NULL),
		('942', 'k', 'Prefisso del numero di chiamata (collocazione)', 'Prefisso del numero di chiamata (collocazione)', 0, 0, 'biblioitems.cn_prefix', 9, '', '', '', NULL, 0, 'IR', '', '', NULL),
		('942', 'm', 'Suffisso del numero di chiamata (collocazione)', 'Suffisso del numero di chiamata (collocazione)', 0, 0, 'biblioitems.cn_suffix', 9, '', '', '', 0, 0, 'IR', '', '', NULL),
		('942', 'n', 'Nasconto in Opac', 'Nasconto in Opac', 0, 0, NULL, 9, '', '', '', 0, 0, 'IR', '', '', NULL),
		('942', 's', 'Flag seriale', 'Flag seriale', 0, 0, 'biblio.serial', 9, '', '', '', 0, -5, 'IR', '', '', NULL);


-- ******************************************************


-- Plugins which need to be written for items Field/Subfields


--      ('952', '2', 'Source of classification or shelving scheme', 'Source of classification or shelving scheme', 0, 0, 'items.cn_source', 10, '', '', 'marc21_classcodes.pl', NULL, 0, 'IR', '', '', NULL),
--      ('952', 'o', 'Full call number', 'Full call number', 0, 0, 'items.itemcallnumber', 10, '', 'marc21_itemcallnumber.pl', NULL, 0, 0, 'IR', '', '', NULL),



-- Current items Field/Subfields


INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES
		('952', 'Dati di copia (Koha)', 'Dati di copia (Koha)', 1, 0, '', 'IR');

INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES
		('952', '0', 'Ritirato (status)', 'Ritirato (status)', 0, 0, 'items.withdrawn', 10, 'WITHDRAWN', '', '', 0, 0, 'IR', '', '', NULL),
		('952', '1', 'Perso (status)', 'Perso (status)', 0, 0, 'items.itemlost', 10, 'LOST', '', '', 0, 0, 'IR', '', '', NULL),
		('952', '2', 'Fonte della classificazione o dello schema di collocazione (segnatura)', 'Fonte della classificazione o dello schema di collocazione (segnatura)', 0, 0, 'items.cn_source', 10, 'cn_source', '', '', NULL, 0, 'IR', '', '', NULL),
		('952', '3', 'Materiali specifici (rilegati o simili)', 'Materiali specifici (rilegati o simili)', 0, 0, 'items.materials', 10, '', '', '', NULL, -1, 'IR', '', '', NULL),
		('952', '4', 'Danneggiato (status)', 'Danneggiato (status)', 0, 0, 'items.damaged', 10, 'DAMAGED', '', '', NULL, 0, 'IR', '', '', NULL),
		('952', '5', 'Use restrictions', 'Use restrictions', 0, 0, 'items.restricted', 10, 'RESTRICTED', '', '', 0, 0, 'IR', '', '', NULL),
		('952', '6', 'Class. Normalizzata per ordinamento', 'Class. Normalizzata per ordinamento', 0, 0, 'items.cn_sort', -1, '', '', '', 0, 7, 'IR', '', '', NULL),
		('952', '7', 'Non per il presito', 'Non per il presito', 0, 0, 'items.notforloan', 10, 'NOT_LOAN', '', '', 0, 0, 'IR', '', '', NULL),
		('952', '8', 'Codice collezione', 'Codice collezione', 0, 0, 'items.ccode', 10, 'CCODE', '', '', 0, 0, 'IR', '', '', NULL),
		('952', '9', 'Numero di copia (ID autogenerato)', 'Numero di copia (ID autogenerato)', 0, 0, 'items.itemnumber', -1, '', '', '', 0, 7, 'IR', '', '', NULL),
		('952', 'a', 'Biblioteca proprietaria', 'Biblioteca proprietaria', 0, 0, 'items.homebranch', 10, 'branches', '', '', 0, 0, 'IR', '', '', NULL),
		('952', 'b', 'Biblioteca in cui si trova', 'Biblioteca in cui si trova', 0, 0, 'items.holdingbranch', 10, 'branches', '', '', 0, 0, 'IR', '', '', NULL),
		('952', 'c', 'Localizzazione a scaffale', 'Localizzazione a scaffale', 0, 0, 'items.location', 10, 'LOC', '', '', 0, 0, 'IR', '', '', NULL),
		('952', 'd', 'Data d\'acquisizione', 'Data d\'acquisizione', 0, 0, 'items.dateaccessioned', 10, '', '', 'dateaccessioned.pl', 0, 0, 'IR', '', '', NULL),
		('952', 'e', 'Fonte d\'acquisto', 'Fonte d\'acquisto', 0, 0, 'items.booksellerid', 10, '', '', '', 0, 0, 'IR', '', '', NULL),
		('952', 'f', 'Qualificatore di localizzazione codificato', 'Qualificatore di localizzazione codificato', 0, 0, 'items.coded_location_qualifier', 10, '', '', '', NULL, 0, 'IR', '', '', NULL),
		('952', 'g', 'Costo, prezzo di acquisto', 'Costo, prezzo di acquisto', 0, 0, 'items.price', 10, '', '', '', 0, 0, 'IR', '', '', NULL),
		('952', 'h', 'Enumerazione seriale / cronologia', 'Enumerazione seriale / cronologia', 0, 0, 'items.enumchron', 10, '', '', '', 0, 0, 'IR', '', '', NULL),
		('952', 'i', 'Numero di inventario', 'Numero di inventario', 0, 0, 'items.stocknumber', 10, '', '', '', 0, 0, 'IR', '', '', NULL),
		('952', 'j', 'Collocazione (segnatura)', 'Collocazione (segnatura)', 0, 0, 'items.stack', 10, 'STACK', '', '', NULL, -1, 'IR', '', '', NULL),
		('952', 'l', 'Totale prestiti', 'Totale prestiti', 0, 0, 'items.issues', 10, '', '', '', NULL, -5, 'IR', '', '', NULL),
		('952', 'm', 'Totale rinnovi', 'Totale rinnovi', 0, 0, 'items.renewals', 10, '', '', '', NULL, -5, 'IR', '', '', NULL),
		('952', 'n', 'Totale prenotazioni', 'Totale prenotazioni', 0, 0, 'items.reserves', 10, '', '', '', NULL, -5, 'IR', '', '', NULL),
		('952', 'o', 'Collocazione', 'Collocazione', 0, 0, 'items.itemcallnumber', 10, '', '', NULL, 0, 0, 'IR', '', '', NULL),
		('952', 'p', 'Codice a barre', 'Codice a barre', 0, 0, 'items.barcode', 10, '', '', 'barcode.pl', 0, 0, 'IR', '', '', NULL),
		('952', 'q', 'Prestito', 'Prestito', 0, 0, 'items.onloan', 10, '', '', '', NULL, -5, 'IR', '', '', NULL),
		('952', 'r', 'Data ultima operazione', 'Data ultima operazione', 0, 0, 'items.datelastseen', 10, '', '', '', NULL, -5, 'IR', '', '', NULL),
		('952', 's', 'Data ultimo prestito', 'Data ultimo prestito', 0, 0, 'items.datelastborrowed', 10, '', '', '', NULL, -5, 'IR', '', '', NULL),
		('952', 't', 'Numero di copia', 'Numero di copia', 0, 0, 'items.copynumber', 10, '', '', '', NULL, 0, 'IR', '', '', NULL),
		('952', 'u', 'URI (Uniform Resource Identifier)', 'URI (Uniform Resource Identifier)', 0, 0, 'items.uri', 10, '', '', '', 1, 0, 'IR', '', '', NULL),
		('952', 'v', 'Costo, costo di riacquisto', 'Costo, costo di riacquisto', 0, 0, 'items.replacementprice', 10, '', '', '', 0, 0, 'IR', '', '', NULL),
		('952', 'w', 'Prezzo in vigore dal', 'Prezzo in vigore dal', 0, 0, 'items.replacementpricedate', 10, '', '', '', 0, 0, 'IR', '', '', NULL),
		('952', 'x', 'Nota non pubblica', 'Nota non pubblica', 0, 0, '', 10, '', '', '', NULL, 1, 'IR', '', '', NULL),
		('952', 'y', 'Tipo copia default (Koha)', 'Tipo copia default (Koha)', 0, 0, 'items.itype', 10, 'itemtypes', '', '', NULL, 0, 'IR', '', '', NULL),
		('952', 'z', 'Nota pubblica', 'Nota pubblica', 0, 0, 'items.itemnotes', 10, '', '', '', NULL, 0, 'IR', '', '', NULL);



-- *******************************************************



-- *************************************************************************
-- SIMPLE INTEGRATING RESOURCES MARC 21 FIELDS/SUBFIELDS AND COMMMONLY USED
-- EXTENSIONS.
-- *************************************************************************


INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES
		('000', 'LEADER', 'LEADER', 0, 1, '', 'IR'),
		('001', 'Numero di controllo', 'Numero di controllo', 0, 0, '', 'IR'),
		('003', 'Identificatore del numero di controllo', 'Identificatore del numero di controllo', 0, 0, '', 'IR'),
		('005', 'Data e orario dell\'ultima transazione', 'Data e orario dell\'ultima transazione', 0, 0, '', 'IR'),
		('006', 'Elementi di lunghezza fissa--Caratteristiche del materiale allegato--Informazione generale', 'Elementi di lunghezza fissa--Caratteristiche del materiale allegato--Informazione generale', 1, 0, '', 'IR'),
		('007', 'Campo fisso per la descrizione fisica--informazione generale', 'Campo fisso per la descrizione fisica--informazione generale', 1, 0, '', 'IR'),
		('008', 'Elementi di lunghezza fissa--Informazione generale', 'Elementi di lunghezza fissa--Informazione generale', 0, 1, '', 'IR'),
		('009', 'PHYSICAL DESCRIPTION FIXED-FIELD FOR ARCHIVAL COLLECTION (VM) [OBSOLETE]', 'PHYSICAL DESCRIPTION FIXED-FIELD FOR ARCHIVAL COLLECTION (VM) [OBSOLETE]', 1, 0, '', 'IR'),
		('010', 'Numero di controllo della Library of Congress', 'Numero di controllo della Library of Congress', 0, 0, '', 'IR'),
		('011', 'LINKING LIBRARY OF CONGRESS CONTROL NUMBER [OBSOLETE]', 'LINKING LIBRARY OF CONGRESS CONTROL NUMBER [OBSOLETE]', 0, 0, '', 'IR'),
		('013', 'Informazioni impiegate per il controllo di brevetti', 'Informazioni impiegate per il controllo di brevetti', 1, 0, '', 'IR'),
		('015', 'Numero della bibliografia nazionale', 'Numero della bibliografia nazionale', 1, 0, '', 'IR'),
		('016', 'Numero di controllo dell\'agenzia bibliografica nazionale', 'Numero di controllo dell\'agenzia bibliografica nazionale', 1, 0, '', 'IR'),
		('017', 'Numero di copyright o di deposito legale', 'Numero di copyright o di deposito legale', 1, 0, '', 'IR'),
		('018', 'Codice di tassa sul copyright dell’articolo', 'Codice di tassa sul copyright dell’articolo', 0, 0, '', 'IR'),
		('020', 'ISBN (International Standard Book Number)', 'ISBN (International Standard Book Number)', 1, 0, NULL, 'IR'),
		('022', 'ISSN (International Standard Serial Number)', 'ISSN (International Standard Serial Number)', 1, 0, NULL, 'IR'),
		('023', 'STANDARD FILM NUMBER (VM) [DELETED]', 'STANDARD FILM NUMBER (VM) [DELETED]', 1, 0, NULL, 'IR'),
		('024', 'Altri identificatori standard', 'Altri identificatori standard', 1, 0, NULL, 'IR'),
		('025', 'Numero di acquisito estero', 'Numero di acquisito estero', 1, 0, '', 'IR'),
		('026', 'Identificatore dell’impronta', 'Identificatore dell’impronta', 1, 0, '', 'IR'),
		('027', 'Standard Technical Report Number', 'Standard Technical Report Number', 1, 0, '', 'IR'),
		('028', 'Numero dell’editore', 'Numero dell’editore', 1, 0, NULL, 'IR'),
		('029', 'OTHER SYSTEM CONTROL NUMBER (OCLC)', 'OTHER SYSTEM CONTROL NUMBER (OCLC)', 1, 0, '', 'IR'),
		('030', 'Designazione CODEN', 'Designazione CODEN', 1, 0, '', 'IR'),
		('031', 'Informazione sugli incipit musicali', 'Informazione sugli incipit musicali', 1, 0, '', 'IR'),
		('032', 'Numero di registrazione di posta', 'Numero di registrazione di posta', 1, 0, '', 'IR'),
		('033', 'Data/ora e luogo di un evento', 'Data/ora e luogo di un evento', 1, 0, '', 'IR'),
		('034', 'Dati matematici codificati per il materiale cartografico', 'Dati matematici codificati per il materiale cartografico', 1, 0, '', 'IR'),
		('035', 'Numero di controllo del sistema', 'Numero di controllo del sistema', 1, 0, NULL, 'IR'),
		('036', 'Numero dello studio originale del computer data file', 'Numero dello studio originale del computer data file', 0, 0, '', 'IR'),
		('037', 'Fonte d’acquisto', 'Fonte d’acquisto', 1, 0, NULL, 'IR'),
		('038', 'Licenza d’uso del contenuto della registrazione', 'Licenza d’uso del contenuto della registrazione', 0, 0, '', 'IR'),
		('039', 'LEVEL OF BIBLIOGRAPHIC CONTROL AND CODING DETAIL [OBSOLETE]', 'LEVEL OF BIBLIOGRAPHIC CONTROL AND CODING DETAIL [OBSOLETE]', 0, 0, '', 'IR'),
		('040', 'Fonte della catalogazione', 'Fonte della catalogazione', 0, 0, NULL, 'IR'),
		('041', 'Codice di lingua', 'Codice di lingua', 1, 0, '', 'IR'),
		('042', 'Codice d\'autenticazione', 'Codice d\'autenticazione', 0, 0, '', 'IR'),
		('043', 'Codice dell\'area geografica', 'Codice dell\'area geografica', 0, 0, NULL, 'IR'),
		('044', 'Codice del paese dell’ente che pubblica/produce l’item', 'Codice del paese dell’ente che pubblica/produce l’item', 0, 0, '', 'IR'),
		('045', 'Periodo di tempo del contenuto', 'Periodo di tempo del contenuto', 0, 0, '', 'IR'),
		('046', 'Codice delle date speciali', 'Codice delle date speciali', 1, 0, '', 'IR'),
		('047', 'Codice di forma della composizione musicale', 'Codice di forma della composizione musicale', 1, 0, '', 'IR'),
		('048', 'Codice del numero degli strumenti musicali o delle voci', 'Codice del numero degli strumenti musicali o delle voci', 1, 0, '', 'IR'),
		('049', 'LOCAL HOLDINGS (OCLC)', 'LOCAL HOLDINGS (OCLC)', 0, 0, '', 'IR'),
		('050', 'Numero di chiamata (collocazione) della Library of Congress', 'Numero di chiamata (collocazione) della Library of Congress', 1, 0, NULL, 'IR'),
		('051', 'Formulazione dell’esemplare, emissione, estratto, della Library of Congress', 'Formulazione dell’esemplare, emissione, estratto, della Library of Congress', 1, 0, NULL, 'IR'),
		('052', 'Classificazione geografica', 'Classificazione geografica', 1, 0, NULL, 'IR'),
		('055', 'Numero di classificazione assegnati in Canada', 'Numero di classificazione assegnati in Canada', 1, 0, NULL, 'IR'),
		('060', 'Numero di chiamata (collocazione) della National Library of Medicine', 'Numero di chiamata (collocazione) della National Library of Medicine', 1, 0, NULL, 'IR'),
		('061', 'Formulazione dell’esemplare della National Library of Medicine', 'Formulazione dell’esemplare della National Library of Medicine', 1, 0, NULL, 'IR'),
		('066', 'Set di caratteri presenti', 'Set di caratteri presenti', 0, 0, NULL, 'IR'),
		('070', 'Numero di chiamata (collocazione) della National Agricultural Library', 'Numero di chiamata (collocazione) della National Agricultural Library', 1, 0, NULL, 'IR'),
		('071', 'Formulazione dell’esemplare della National Agricultural Library', 'Formulazione dell’esemplare della National Agricultural Library', 1, 0, NULL, 'IR'),
		('072', 'Codice di categoria di soggetto', 'Codice di categoria di soggetto', 1, 0, NULL, 'IR'),
		('074', 'Numero GPO dell’item', 'Numero GPO dell’item', 1, 0, NULL, 'IR'),
		('080', 'Numero di classificazione decimale universale', 'Numero di classificazione decimale universale', 1, 0, NULL, 'IR'),
		('082', 'Numero di classificazione Decimale Dewey', 'Numero di classificazione Decimale Dewey', 1, 0, NULL, 'IR'),
		('084', 'Numero d’altra classificazione', 'Numero d’altra classificazione', 1, 0, NULL, 'IR'),
		('086', 'Numero di classificazione di documento governativo', 'Numero di classificazione di documento governativo', 1, 0, NULL, 'IR'),
		('087', 'REPORT NUMBER [OBSOLETE, CAN/MARC]', 'REPORT NUMBER [OBSOLETE, CAN/MARC]', 1, 0, NULL, 'IR'),
		('088', 'Numero di rapporto', 'Numero di rapporto', 1, 0, NULL, 'IR'),
		('090', 'LOCALLY ASSIGNED LC-TYPE CALL NUMBER (OCLC); LOCAL CALL NUMBER (RLIN)', 'LOCALLY ASSIGNED LC-TYPE CALL NUMBER (OCLC); LOCAL CALL NUMBER (RLIN)', 1, 0, '', 'IR'),
		('091', 'MICROFILM SHELF LOCATION (AM) [OBSOLETE]', 'MICROFILM SHELF LOCATION (AM) [OBSOLETE]', 0, 0, '', 'IR'),
		('092', 'LOCALLY ASSIGNED DEWEY CALL NUMBER (OCLC)', 'LOCALLY ASSIGNED DEWEY CALL NUMBER (OCLC)', 1, 0, '', 'IR'),
		('096', 'LOCALLY ASSIGNED NLM-TYPE CALL NUMBER (OCLC)', 'LOCALLY ASSIGNED NLM-TYPE CALL NUMBER (OCLC)', 1, 0, '', 'IR'),
		('098', 'OTHER CLASSIFICATION SCHEMES (OCLC)', 'OTHER CLASSIFICATION SCHEMES (OCLC)', 1, 0, '', 'IR'),
		('099', 'LOCAL FREE-TEXT CALL NUMBER (OCLC)', 'LOCAL FREE-TEXT CALL NUMBER (OCLC)', 1, 0, '', 'IR'),
		('100', 'Accesso principale -- nome di persona', 'Accesso principale -- nome di persona', 0, 0, NULL, 'IR'),
		('110', 'Accesso principale--nome di ente', 'Accesso principale--nome di ente', 0, 0, NULL, 'IR'),
		('111', 'Accesso principale--nome di convegno', 'Accesso principale--nome di convegno', 0, 0, NULL, 'IR'),
		('130', 'Accesso principale--titolo uniforme', 'Accesso principale--titolo uniforme', 0, 0, NULL, 'IR'),
		('210', 'Titolo abbreviato', 'Titolo abbreviato', 1, 0, NULL, 'IR'),
		('211', 'ACRONYM OR SHORTENED TITLE [OBSOLETE]', 'ACRONYM OR SHORTENED TITLE [OBSOLETE]', 1, 0, NULL, 'IR'),
		('212', 'VARIANT ACCESS TITLE [OBSOLETE]', 'VARIANT ACCESS TITLE [OBSOLETE]', 1, 0, NULL, 'IR'),
		('214', 'AUGMENTED TITLE [OBSOLETE]', 'AUGMENTED TITLE [OBSOLETE]', 1, 0, NULL, 'IR'),
		('222', 'Titolo chiave', 'Titolo chiave', 1, 0, NULL, 'IR'),
		('240', 'Titolo uniforme', 'Titolo uniforme', 0, 0, 'Unititle', 'IR'),
		('241', 'ROMANIZED TITLE (BK AM CF MP MU VM) [OBSOLETE]', 'ROMANIZED TITLE (BK AM CF MP MU VM) [OBSOLETE]', 0, 0, '', 'IR'),
		('242', 'Traduzione del titolo dell’agenzia di catalogazione', 'Traduzione del titolo dell’agenzia di catalogazione', 1, 0, NULL, 'IR'),
		('243', 'Titolo uniforme collettivo', 'Titolo uniforme collettivo', 0, 0, '', 'IR'),
		('245', 'Formulazione del titolo', 'Formulazione del titolo', 0, 1, '', 'IR'),
		('246', 'Varianti del titolo', 'Varianti del titolo', 1, 0, NULL, 'IR'),
		('247', 'Titolo precedente', 'Titolo precedente', 1, 0, NULL, 'IR'),
		('250', 'Formulazione di edizione', 'Formulazione di edizione', 0, 0, NULL, 'IR'),
		('254', 'Formulazione della presentazione musicale', 'Formulazione della presentazione musicale', 0, 0, NULL, 'IR'),
		('255', 'Dati matematici del materiale cartografico', 'Dati matematici del materiale cartografico', 1, 0, NULL, 'IR'),
		('256', 'Caratteristiche del computer file', 'Caratteristiche del computer file', 0, 0, NULL, 'IR'),
		('257', 'Paese dell’ente produttore dei film d’archivio', 'Paese dell’ente produttore dei film d’archivio', 0, 0, NULL, 'IR'),
		('258', 'Dati dell’emissione filatelica', 'Dati dell’emissione filatelica', 1, 0, NULL, 'IR'),
		('260', 'Pubblicazione, distribuzione, ecc. (stampa)', 'Pubblicazione, distribuzione, ecc. (stampa)', 1, 0, NULL, 'IR'),
		('261', 'IMPRINT STATEMENT FOR FILMS (Pre-AACR 1 Revised) [OBSOLETE, CAN/MARC], [LOCAL, USA]', 'IMPRINT STATEMENT FOR FILMS (Pre-AACR 1 Revised) [OBSOLETE, CAN/MARC], [LOCAL, USA]', 0, 0, NULL, 'IR'),
		('262', 'IMPRINT STATEMENT FOR SOUND RECORDINGS (Pre-AACR 2) [LOCAL, USA]', 'IMPRINT STATEMENT FOR SOUND RECORDINGS (Pre-AACR 2) [LOCAL, USA]', 0, 0, NULL, 'IR'),
		('263', 'Data di pubblicazione prevista', 'Data di pubblicazione prevista', 0, 0, NULL, 'IR'),
		('265', 'SOURCE FOR ACQUISITION/SUBSCRIPTION ADDRESS [OBSOLETE]', 'SOURCE FOR ACQUISITION/SUBSCRIPTION ADDRESS [OBSOLETE]', 0, 0, NULL, 'IR'),
		('270', 'Indirizzo', 'Indirizzo', 1, 0, NULL, 'IR'),
		('300', 'Descrizione fisica', 'Descrizione fisica', 1, 1, NULL, 'IR'),
		('301', 'PHYSICAL DESCRIPTION FOR FILMS (PRE-AACR 2) (VM) [OBSOLETE, USMARC]', 'PHYSICAL DESCRIPTION FOR FILMS (PRE-AACR 2) (VM) [OBSOLETE, USMARC]', 0, 0, NULL, 'IR'),
		('302', 'PAGE OR ITEM COUNT (BK AM) [OBSOLETE]', 'PAGE OR ITEM COUNT (BK AM) [OBSOLETE]', 0, 0, NULL, 'IR'),
		('303', 'UNIT COUNT (AM) [OBSOLETE, USMARC]', 'UNIT COUNT (AM) [OBSOLETE, USMARC]', 0, 0, NULL, 'IR'),
		('304', 'LINEAR FOOTAGE (AM) [OBSOLETE, USMARC]', 'LINEAR FOOTAGE (AM) [OBSOLETE, USMARC]', 0, 0, NULL, 'IR'),
		('305', 'PHYSICAL DESCRIPTION FOR SOUND RECORDINGS (Pre-AACR 2) (MU) [OBSOLETE]', 'PHYSICAL DESCRIPTION FOR SOUND RECORDINGS (Pre-AACR 2) (MU) [OBSOLETE]', 0, 0, NULL, 'IR'),
		('306', 'Durata di riproduzione', 'Durata di riproduzione', 0, 0, NULL, 'IR'),
		('307', 'Disponibilità oraria, ecc.', 'Disponibilità oraria, ecc.', 1, 0, NULL, 'IR'),
		('308', 'PHYSICAL DESCRIPTION FOR FILMS (ARCHIVAL) (VM) [OBSOLETE]', 'PHYSICAL DESCRIPTION FOR FILMS (ARCHIVAL) (VM) [OBSOLETE]', 1, 0, NULL, 'IR'),
		('310', 'Periodicità corrente della pubblicazione', 'Periodicità corrente della pubblicazione', 0, 0, NULL, 'IR'),
		('315', 'FREQUENCY (CF MP) [OBSOLETE]', 'FREQUENCY (CF MP) [OBSOLETE]', 0, 0, NULL, 'IR'),
		('321', 'Periodicità precedente della pubblicazione', 'Periodicità precedente della pubblicazione', 1, 0, NULL, 'IR'),
		('340', 'Supporto fisico', 'Supporto fisico', 1, 0, NULL, 'IR'),
		('342', 'Dati di riferimento geospaziale', 'Dati di riferimento geospaziale', 1, 0, NULL, 'IR'),
		('343', 'Dati di coordinate piane', 'Dati di coordinate piane', 1, 0, NULL, 'IR'),
		('350', 'PRICE (NR) (BK AM CF MU VM SE) [OBSOLETE]', 'PRICE (NR) (BK AM CF MU VM SE) [OBSOLETE]', 1, 0, NULL, 'IR'),
		('351', 'Organizzazione e l’ordinamento dei materiali', 'Organizzazione e l’ordinamento dei materiali', 1, 0, NULL, 'IR'),
		('352', 'Rappresentazione grafica digitale', 'Rappresentazione grafica digitale', 1, 0, NULL, 'IR'),
		('355', 'Controllo della classificazione di sicurezza', 'Controllo della classificazione di sicurezza', 1, 0, NULL, 'IR'),
		('357', 'Controllo del creatore sulla diffusione', 'Controllo del creatore sulla diffusione', 0, 0, NULL, 'IR'),
		('359', 'RENTAL PRICE (VM) [OBSOLETE]', 'RENTAL PRICE (VM) [OBSOLETE]', 0, 0, NULL, 'IR'),
		('362', 'Date della pubblicazione e/o designazione sequenziale', 'Date della pubblicazione e/o designazione sequenziale', 1, 0, NULL, 'IR'),
		('365', 'Prezzo commerciale', 'Prezzo commerciale', 1, 0, NULL, 'IR'),
		('366', 'Informazione sulla disponibilità editoriale', 'Informazione sulla disponibilità editoriale', 1, 0, NULL, 'IR'),
		('400', 'SERIES STATEMENT/ADDED ENTRY--PERSONAL NAME [OBSOLETE, CAN/MARC], [LOCAL, USA]', 'SERIES STATEMENT/ADDED ENTRY--PERSONAL NAME [OBSOLETE, CAN/MARC], [LOCAL, USA]', 1, 0, NULL, 'IR'),
		('410', 'SERIES STATEMENT/ADDED ENTRY--CORPORATE NAME [OBSOLETE, CAN/MARC], [LOCAL, USA]', 'SERIES STATEMENT/ADDED ENTRY--CORPORATE NAME [OBSOLETE, CAN/MARC], [LOCAL, USA]', 1, 0, NULL, 'IR'),
		('411', 'SERIES STATEMENT/ADDED ENTRY--MEETING NAME [OBSOLETE, CAN/MARC], [LOCAL, USA]', 'SERIES STATEMENT/ADDED ENTRY--MEETING NAME [OBSOLETE, CAN/MARC], [LOCAL, USA]', 1, 0, NULL, 'IR'),
		('440', 'Formulazione della serie/accesso aggiunto--titolo', 'Formulazione della serie/accesso aggiunto--titolo', 1, 0, NULL, 'IR'),
		('490', 'Formulazione della serie', 'Formulazione della serie', 1, 0, '', 'IR'),
		('500', 'Nota generale', 'Nota generale', 1, 0, NULL, 'IR'),
		('501', 'Nota  Pubblicato con', 'Nota  Pubblicato con', 1, 0, NULL, 'IR'),
		('502', 'Nota di dissertazione', 'Nota di dissertazione', 1, 0, NULL, 'IR'),
		('503', 'BIBLIOGRAPHIC HISTORY NOTE (BK CF MU) [OBSOLETE]', 'BIBLIOGRAPHIC HISTORY NOTE (BK CF MU) [OBSOLETE]', 1, 0, NULL, 'IR'),
		('504', 'Nota di bibliografia', 'Nota di bibliografia', 1, 0, NULL, 'IR'),
		('505', 'Nota formattata di contenuto', 'Nota formattata di contenuto', 1, 0, NULL, 'IR'),
		('506', 'Nota sulle restrizioni all\'accesso', 'Nota sulle restrizioni all\'accesso', 1, 0, NULL, 'IR'),
		('507', 'Nota di scala per materiale grafico', 'Nota di scala per materiale grafico', 0, 0, NULL, 'IR'),
		('508', 'Nota sui crediti di creazione/produzione', 'Nota sui crediti di creazione/produzione', 1, 0, NULL, 'IR'),
		('509', 'INFORMAL NOTES (RLIN)', 'INFORMAL NOTES (RLIN)', 0, 0, NULL, 'IR'),
		('510', 'Nota di citazione/riferimenti esterni', 'Nota di citazione/riferimenti esterni', 1, 0, NULL, 'IR'),
		('511', 'Nota sui partecipanti o interpreti', 'Nota sui partecipanti o interpreti', 1, 0, NULL, 'IR'),
		('512', 'EARLIER OR LATER VOLUMES SEPARATELY CATALOGED NOTE (SE) [OBSOLETE]', 'EARLIER OR LATER VOLUMES SEPARATELY CATALOGED NOTE (SE) [OBSOLETE]', 1, 0, NULL, 'IR'),
		('513', 'Nota di tipo di rapporto e periodo coperto', 'Nota di tipo di rapporto e periodo coperto', 1, 0, NULL, 'IR'),
		('514', 'Nota sulla qualità dei dati', 'Nota sulla qualità dei dati', 0, 0, NULL, 'IR'),
		('515', 'Nota su particolarità della numerazione', 'Nota su particolarità della numerazione', 1, 0, NULL, 'IR'),
		('516', 'Nota sul tipo di computer file o di file di dati', 'Nota sul tipo di computer file o di file di dati', 1, 0, NULL, 'IR'),
		('517', 'CATEGORIES OF FILMS NOTE (ARCHIVAL) (VM) [OBSOLETE]', 'CATEGORIES OF FILMS NOTE (ARCHIVAL) (VM) [OBSOLETE]', 0, 0, NULL, 'IR'),
		('518', 'Nota sulla data/ora e luogo di un evento', 'Nota sulla data/ora e luogo di un evento', 1, 0, NULL, 'IR'),
		('520', 'Riassunto, ecc.', 'Riassunto, ecc.', 1, 0, NULL, 'IR'),
		('521', 'Nota sui destinatari', 'Nota sui destinatari', 1, 0, NULL, 'IR'),
		('522', 'Nota di copertura geografica', 'Nota di copertura geografica', 1, 0, NULL, 'IR'),
		('523', 'TIME PERIOD OF CONTENT NOTE (CF) [OBSOLETE]', 'TIME PERIOD OF CONTENT NOTE (CF) [OBSOLETE]', 0, 0, NULL, 'IR'),
		('524', 'Nota sulla citazione preferita dei materiali descritti', 'Nota sulla citazione preferita dei materiali descritti', 1, 0, NULL, 'IR'),
		('525', 'Nota di supplemento', 'Nota di supplemento', 0, 0, NULL, 'IR'),
		('526', 'Nota d’informazione sul programma di studi', 'Nota d’informazione sul programma di studi', 0, 0, NULL, 'IR'),
		('527', 'CENSORSHIP NOTE (VM) [OBSOLETE]', 'CENSORSHIP NOTE (VM) [OBSOLETE]', 1, 0, NULL, 'IR'),
		('530', 'Nota sulla disponibilità su altro supporto fisico', 'Nota sulla disponibilità su altro supporto fisico', 1, 0, NULL, 'IR'),
		('533', 'Nota di riproduzione', 'Nota di riproduzione', 1, 0, NULL, 'IR'),
		('534', 'Nota sulla versione originale', 'Nota sulla versione originale', 1, 0, NULL, 'IR'),
		('535', 'Nota sulla localizzazione degli originali/duplicati', 'Nota sulla localizzazione degli originali/duplicati', 1, 0, NULL, 'IR'),
		('536', 'Nota d’informazione sul finanziamento', 'Nota d’informazione sul finanziamento', 1, 0, NULL, 'IR'),
		('537', 'SOURCE OF DATA NOTE (CF) [OBSOLETE]', 'SOURCE OF DATA NOTE (CF) [OBSOLETE]', 0, 0, NULL, 'IR'),
		('538', 'Nota sui requisiti del sistema', 'Nota sui requisiti del sistema', 1, 0, NULL, 'IR'),
		('540', 'Nota sulle condizioni che regolano l\'utilizzo e la riproduzione', 'Nota sulle condizioni che regolano l\'utilizzo e la riproduzione', 1, 0, NULL, 'IR'),
		('541', 'Nota sulla fonte immediata d\'acquisto', 'Nota sulla fonte immediata d\'acquisto', 1, 0, NULL, 'IR'),
		('543', 'SOLICITATION INFORMATION NOTE (AM) [OBSOLETE]', 'SOLICITATION INFORMATION NOTE (AM) [OBSOLETE]', 1, 0, NULL, 'IR'),
		('544', 'Nota sulla localizzazione d’altri materiali d’archivio', 'Nota sulla localizzazione d’altri materiali d’archivio', 1, 0, NULL, 'IR'),
		('545', 'Dati biografici o storici', 'Dati biografici o storici', 1, 0, NULL, 'IR'),
		('546', 'Nota sulla lingua', 'Nota sulla lingua', 1, 0, NULL, 'IR'),
		('547', 'Nota sulla complessità del titolo precedente', 'Nota sulla complessità del titolo precedente', 1, 0, NULL, 'IR'),
		('550', 'Nota sull\'ente responsabile', 'Nota sull\'ente responsabile', 1, 0, NULL, 'IR'),
		('552', 'Nota d’informazione sull’ente e l’attributo', 'Nota d’informazione sull’ente e l’attributo', 1, 0, NULL, 'IR'),
		('555', 'Nota sull\'indice cumulativo/strumenti di ricerca', 'Nota sull\'indice cumulativo/strumenti di ricerca', 1, 0, NULL, 'IR'),
		('556', 'Nota d\'informazione sulla documentazione', 'Nota d\'informazione sulla documentazione', 1, 0, NULL, 'IR'),
		('561', 'Storia della proprietà e custodia', 'Storia della proprietà e custodia', 1, 0, NULL, 'IR'),
		('562', 'Nota d\'identificazione della copia e della versione', 'Nota d\'identificazione della copia e della versione', 1, 0, NULL, 'IR'),
		('563', 'Informazione sulla rilegatura', 'Informazione sulla rilegatura', 1, 0, NULL, 'IR'),
		('565', 'Nota sulle caratteristiche della singola pratica', 'Nota sulle caratteristiche della singola pratica', 1, 0, NULL, 'IR'),
		('567', 'Nota sulla metodologia', 'Nota sulla metodologia', 1, 0, NULL, 'IR'),
		('570', 'EDITOR NOTE (SE) [OBSOLETE]', 'EDITOR NOTE (SE) [OBSOLETE]', 1, 0, NULL, 'IR'),
		('580', 'Nota di collegamento complesso', 'Nota di collegamento complesso', 1, 0, NULL, 'IR'),
		('581', 'Nota di pubblicazioni sui materiali descritti', 'Nota di pubblicazioni sui materiali descritti', 1, 0, NULL, 'IR'),
		('582', 'RELATED COMPUTER FILES NOTE (CF) [OBSOLETE]', 'RELATED COMPUTER FILES NOTE (CF) [OBSOLETE]', 1, 0, NULL, 'IR'),
		('583', 'Nota d’azione', 'Nota d’azione', 1, 0, NULL, 'IR'),
		('584', 'Nota di accumulo e di frequenza d’uso', 'Nota di accumulo e di frequenza d’uso', 1, 0, NULL, 'IR'),
		('585', 'Nota di mostre', 'Nota di mostre', 1, 0, NULL, 'IR'),
		('586', 'Nota di premi', 'Nota di premi', 1, 0, NULL, 'IR'),
		('590', 'LOCAL NOTE (RLIN)', 'LOCAL NOTE (RLIN)', 1, 0, NULL, 'IR'),
		('600', 'Accesso aggiunto di soggetto-–Nome di persona', 'Accesso aggiunto di soggetto-–Nome di persona', 1, 0, NULL, 'IR'),
		('610', 'Accesso aggiunto di soggetto--nome di ente', 'Accesso aggiunto di soggetto--nome di ente', 1, 0, NULL, 'IR'),
		('611', 'Accesso aggiunto di soggetto--nome di convegno', 'Accesso aggiunto di soggetto--nome di convegno', 1, 0, NULL, 'IR'),
		('630', 'Accesso aggiunto di soggetto--titolo uniforme', 'Accesso aggiunto di soggetto--titolo uniforme', 1, 0, NULL, 'IR'),
		('648', 'Accesso aggiunto di soggetto--termine cronologico', 'Accesso aggiunto di soggetto--termine cronologico', 1, 0, NULL, 'IR'),
		('650', 'Accesso aggiunto di soggetto--termine topico', 'Accesso aggiunto di soggetto--termine topico', 1, 0, NULL, 'IR'),
		('651', 'Accesso aggiunto di soggetto--nome geografico', 'Accesso aggiunto di soggetto--nome geografico', 1, 0, NULL, 'IR'),
		('652', 'SUBJECT ADDED ENTRY--REVERSE GEOGRAPHIC (BK MP SE) [OBSOLETE]', 'SUBJECT ADDED ENTRY--REVERSE GEOGRAPHIC (BK MP SE) [OBSOLETE]', 1, 0, NULL, 'IR'),
		('653', 'Termine d’indicizzazione--non controllato', 'Termine d’indicizzazione--non controllato', 1, 0, NULL, 'IR'),
		('654', 'Accesso aggiunto di soggetto--termini topici faccettati', 'Accesso aggiunto di soggetto--termini topici faccettati', 1, 0, NULL, 'IR'),
		('655', 'Termine d’indicizzazione--genere/forma', 'Termine d’indicizzazione--genere/forma', 1, 0, NULL, 'IR'),
		('656', 'Termine d’indicizzazione--occupazione', 'Termine d’indicizzazione--occupazione', 1, 0, NULL, 'IR'),
		('657', 'Termine d’indicizzazione--funzione', 'Termine d’indicizzazione--funzione', 1, 0, NULL, 'IR'),
		('658', 'Termine d’indicizzazione--obiettivi del curriculum scolastico', 'Termine d’indicizzazione--obiettivi del curriculum scolastico', 1, 0, NULL, 'IR'),
		('662', 'Accesso aggiunto di soggetto --nome gerarchico di luogo', 'Accesso aggiunto di soggetto --nome gerarchico di luogo', 1, 0, NULL, 'IR'),
		('690', 'LOCAL SUBJECT ADDED ENTRY--TOPICAL TERM (OCLC, RLIN)', 'LOCAL SUBJECT ADDED ENTRY--TOPICAL TERM (OCLC, RLIN)', 1, 0, '', 'IR'),
		('691', 'LOCAL SUBJECT ADDED ENTRY--GEOGRAPHIC NAME (RLIN)', 'LOCAL SUBJECT ADDED ENTRY--GEOGRAPHIC NAME (RLIN)', 1, 0, '', 'IR'),
		('696', 'LOCAL SUBJECT ADDED ENTRY--PERSONAL NAME (RLIN)', 'LOCAL SUBJECT ADDED ENTRY--PERSONAL NAME (RLIN)', 1, 0, '', 'IR'),
		('697', 'LOCAL SUBJECT ADDED ENTRY--CORPORATE NAME (RLIN)', 'LOCAL SUBJECT ADDED ENTRY--CORPORATE NAME (RLIN)', 1, 0, '', 'IR'),
		('698', 'LOCAL SUBJECT ADDED ENTRY--MEETING NAME (RLIN)', 'LOCAL SUBJECT ADDED ENTRY--MEETING NAME (RLIN)', 1, 0, '', 'IR'),
		('699', 'LOCAL SUBJECT ADDED ENTRY--UNIFORM TITLE (RLIN)', 'LOCAL SUBJECT ADDED ENTRY--UNIFORM TITLE (RLIN)', 1, 0, '', 'IR'),
		('700', 'Accesso aggiunto--nome di persona', 'Accesso aggiunto--nome di persona', 1, 0, NULL, 'IR'),
		('705', 'ADDED ENTRY--PERSONAL NAME (PERFORMER) (MU) [OBSOLETE]', 'ADDED ENTRY--PERSONAL NAME (PERFORMER) (MU) [OBSOLETE]', 1, 0, NULL, 'IR'),
		('710', 'Accesso aggiunto--nome di ente', 'Accesso aggiunto--nome di ente', 1, 0, NULL, 'IR'),
		('711', 'Accesso aggiunto--nome di convegno', 'Accesso aggiunto--nome di convegno', 1, 0, NULL, 'IR'),
		('715', 'ADDED ENTRY--CORPORATE NAME (PERFORMER) (MU) [OBSOLETE]', 'ADDED ENTRY--CORPORATE NAME (PERFORMER) (MU) [OBSOLETE]', 1, 0, NULL, 'IR'),
		('720', 'Accesso aggiunto--nome non controllato', 'Accesso aggiunto--nome non controllato', 1, 0, NULL, 'IR'),
		('730', 'Accesso aggiunto--titolo uniforme', 'Accesso aggiunto--titolo uniforme', 1, 0, NULL, 'IR'),
		('740', 'Accesso aggiunto--titolo analitico/correlato non controllato', 'Accesso aggiunto--titolo analitico/correlato non controllato', 1, 0, NULL, 'IR'),
		('752', 'Accesso aggiunto – nome gerarchico di luogo', 'Accesso aggiunto – nome gerarchico di luogo', 1, 0, NULL, 'IR'),
		('753', 'Dettagli sul sistema per accedere ai computer file', 'Dettagli sul sistema per accedere ai computer file', 1, 0, NULL, 'IR'),
		('754', 'Accesso aggiunto--identificazione tassonomica', 'Accesso aggiunto--identificazione tassonomica', 1, 0, NULL, 'IR'),
		('755', 'ADDED ENTRY--PHYSICAL CHARACTERISTICS [OBSOLETE]', 'ADDED ENTRY--PHYSICAL CHARACTERISTICS [OBSOLETE]', 1, 0, NULL, 'IR'),
		('760', 'Accesso di serie principale', 'Accesso di serie principale', 1, 0, NULL, 'IR'),
		('762', 'Accesso di sottoserie', 'Accesso di sottoserie', 1, 0, NULL, 'IR'),
		('765', 'Accesso di lingua originale', 'Accesso di lingua originale', 1, 0, NULL, 'IR'),
		('767', 'Accesso di supplemento/numero speciale', 'Accesso di supplemento/numero speciale', 1, 0, NULL, 'IR'),
		('770', 'Accesso di supplemento/numero speciale', 'Accesso di supplemento/numero speciale', 1, 0, NULL, 'IR'),
		('772', 'Accesso di pubblicazione principale', 'Accesso di pubblicazione principale', 1, 0, NULL, 'IR'),
		('773', 'Accesso d’item ospite', 'Accesso d’item ospite', 1, 0, NULL, 'IR'),
		('774', 'Accesso d’unità costituente', 'Accesso d’unità costituente', 1, 0, NULL, 'IR'),
		('775', 'Acceso di un’altra edizione', 'Acceso di un’altra edizione', 1, 0, NULL, 'IR'),
		('776', 'Accesso di forma fisica aggiunta', 'Accesso di forma fisica aggiunta', 1, 0, NULL, 'IR'),
		('777', 'Accesso di ', 'Accesso di ', 1, 0, NULL, 'IR'),
		('780', 'Accesso precedente', 'Accesso precedente', 1, 0, NULL, 'IR'),
		('785', 'Accesso successivo', 'Accesso successivo', 1, 0, NULL, 'IR'),
		('786', 'Accesso di fonte dei dati', 'Accesso di fonte dei dati', 1, 0, NULL, 'IR'),
		('787', 'Accesso di relazione non specificata', 'Accesso di relazione non specificata', 1, 0, NULL, 'IR'),
		('789', 'COMPONENT ITEM ENTRY (RLIN)', 'COMPONENT ITEM ENTRY (RLIN)', 1, 0, '', 'IR'),
		('796', 'LOCAL ADDED ENTRY--PERSONAL NAME (RLIN)', 'LOCAL ADDED ENTRY--PERSONAL NAME (RLIN)', 1, 0, '', 'IR'),
		('797', 'LOCAL ADDED ENTRY--CORPORATE NAME (RLIN)', 'LOCAL ADDED ENTRY--CORPORATE NAME (RLIN)', 1, 0, '', 'IR'),
		('798', 'LOCAL ADDED ENTRY--MEETING NAME (RLIN)', 'LOCAL ADDED ENTRY--MEETING NAME (RLIN)', 1, 0, '', 'IR'),
		('799', 'LOCAL ADDED ENTRY--UNIFORM TITLE (RLIN)', 'LOCAL ADDED ENTRY--UNIFORM TITLE (RLIN)', 1, 0, '', 'IR'),
		('800', 'Accesso aggiunto di serie--nome di persona', 'Accesso aggiunto di serie--nome di persona', 1, 0, NULL, 'IR'),
		('810', 'Accesso aggiunto di serie--nome di ente', 'Accesso aggiunto di serie--nome di ente', 1, 0, NULL, 'IR'),
		('811', 'Accesso aggiunto di serie--nome di convegno', 'Accesso aggiunto di serie--nome di convegno', 1, 0, NULL, 'IR'),
		('830', 'Accesso aggiunto di serie--titolo uniforme', 'Accesso aggiunto di serie--titolo uniforme', 1, 0, NULL, 'IR'),
		('840', 'SERIES ADDED ENTRY--TITLE [OBSOLETE]', 'SERIES ADDED ENTRY--TITLE [OBSOLETE]', 1, 0, NULL, 'IR'),
		('841', 'Valori dei dati codificati di posseduti', 'Valori dei dati codificati di posseduti', 0, 0, NULL, 'IR'),
		('842', 'Designatore testuale di forma fisica', 'Designatore testuale di forma fisica', 0, 0, NULL, 'IR'),
		('843', 'Nota di riproduzione', 'Nota di riproduzione', 1, 0, NULL, 'IR'),
		('844', 'Nome dell’unità', 'Nome dell’unità', 0, 0, NULL, 'IR'),
		('845', 'Nota sulle condizioni che regolano l\'utilizzo e la riproduzione', 'Nota sulle condizioni che regolano l\'utilizzo e la riproduzione', 1, 0, NULL, 'IR'),
		('850', 'Istituzione possedente', 'Istituzione possedente', 1, 0, NULL, 'IR'),
		('851', 'LOCATION [OBSOLETE]', 'LOCATION [OBSOLETE]', 1, 0, NULL, 'IR'),
		('852', 'Localizzazione', 'Localizzazione', 1, 0, NULL, 'IR'),
		('853', 'Legende e modello--unità bibliografica basilare', 'Legende e modello--unità bibliografica basilare', 1, 0, NULL, 'IR'),
		('854', 'Legende e modello--supplementi', 'Legende e modello--supplementi', 1, 0, NULL, 'IR'),
		('855', 'Legende e modello--indici', 'Legende e modello--indici', 1, 0, NULL, 'IR'),
		('856', 'Localizzazione e accesso elettronico', 'Localizzazione e accesso elettronico', 1, 0, NULL, 'IR'),
		('859', 'LOCAL CONTROL INFORMATION (RLIN)', 'LOCAL CONTROL INFORMATION (RLIN)', 1, 0, '', 'IR'),
		('863', 'Numerazione e cronologia--unità bibliografica basilare', 'Numerazione e cronologia--unità bibliografica basilare', 1, 0, NULL, 'IR'),
		('864', 'Numerazione e cronologia--supplementi', 'Numerazione e cronologia--supplementi', 1, 0, NULL, 'IR'),
		('865', 'Numerazione e cronologia--indici', 'Numerazione e cronologia--indici', 1, 0, NULL, 'IR'),
		('866', 'Formulazione testuale di posseduti--unità bibliografica basilare', 'Formulazione testuale di posseduti--unità bibliografica basilare', 1, 0, NULL, 'IR'),
		('867', 'Formulazione testuale di posseduti--supplementi', 'Formulazione testuale di posseduti--supplementi', 1, 0, NULL, 'IR'),
		('868', 'Formulazione testuale di posseduti--indici', 'Formulazione testuale di posseduti--indici', 1, 0, NULL, 'IR'),
		('870', 'VARIANT PERSONAL NAME (SE) [OBSOLETE]', 'VARIANT PERSONAL NAME (SE) [OBSOLETE]', 1, 0, NULL, 'IR'),
		('871', 'VARIANT CORPORATE NAME (SE)[OBSOLETE]', 'VARIANT CORPORATE NAME (SE)[OBSOLETE]', 1, 0, NULL, 'IR'),
		('872', 'VARIANT CONFERENCE OR MEETING NAME (SE) [OBSOLETE]', 'VARIANT CONFERENCE OR MEETING NAME (SE) [OBSOLETE]', 1, 0, NULL, 'IR'),
		('873', 'VARIANT UNIFORM TITLE HEADING (SE) [OBSOLETE]', 'VARIANT UNIFORM TITLE HEADING (SE) [OBSOLETE]', 1, 0, NULL, 'IR'),
		('876', 'Informazione sull’item--unità bibliografica basilare', 'Informazione sull’item--unità bibliografica basilare', 1, 0, NULL, 'IR'),
		('877', 'Informazione sull’item--supplementi', 'Informazione sull’item--supplementi', 1, 0, NULL, 'IR'),
		('878', 'Informazione sull’item--indici', 'Informazione sull’item--indici', 1, 0, NULL, 'IR'),
		('880', 'Rappresentazione grafica alternativa', 'Rappresentazione grafica alternativa', 1, 0, NULL, 'IR'),
		('886', 'Campo dell’informazione per MARC differenti', 'Campo dell’informazione per MARC differenti', 1, 0, NULL, 'IR'),
		('887', 'Campo dell’informazione per non-MARC', 'Campo dell’informazione per non-MARC', 1, 0, NULL, 'IR'),
		('896', 'LOCAL SERIES ADDED ENTRY--PERSONAL NAME (RLIN)', 'LOCAL SERIES ADDED ENTRY--PERSONAL NAME (RLIN)', 1, 0, '', 'IR'),
		('897', 'LOCAL SERIES ADDED ENTRY--CORPORATE NAME (RLIN)', 'LOCAL SERIES ADDED ENTRY--CORPORATE NAME (RLIN)', 1, 0, '', 'IR'),
		('898', 'LOCAL SERIES ADDED ENTRY--MEETING NAME (RLIN)', 'LOCAL SERIES ADDED ENTRY--MEETING NAME (RLIN)', 1, 0, '', 'IR'),
		('899', 'LOCAL SERIES ADDED ENTRY--UNIFORM TITLE (RLIN)', 'LOCAL SERIES ADDED ENTRY--UNIFORM TITLE (RLIN)', 1, 0, '', 'IR'),
		('900', 'EQUIVALENCE OR CROSS-REFERENCE-PERSONAL NAME [LOCAL, CANADA]', 'EQUIVALENCE OR CROSS-REFERENCE-PERSONAL NAME [LOCAL, CANADA]', 1, 0, '', 'IR'),
		('901', 'LOCAL DATA ELEMENT A, LDA (RLIN)', 'LOCAL DATA ELEMENT A, LDA (RLIN)', 1, 0, '', 'IR'),
		('902', 'LOCAL DATA ELEMENT B, LDB (RLIN)', 'LOCAL DATA ELEMENT B, LDB (RLIN)', 1, 0, '', 'IR'),
		('903', 'LOCAL DATA ELEMENT C, LDC (RLIN)', 'LOCAL DATA ELEMENT C, LDC (RLIN)', 1, 0, '', 'IR'),
		('904', 'LOCAL DATA ELEMENT D, LDD (RLIN)', 'LOCAL DATA ELEMENT D, LDD (RLIN)', 1, 0, '', 'IR'),
		('905', 'LOCAL DATA ELEMENT E, LDE (RLIN)', 'LOCAL DATA ELEMENT E, LDE (RLIN)', 1, 0, '', 'IR'),
		('906', 'LOCAL DATA ELEMENT F, LDF (RLIN)', 'LOCAL DATA ELEMENT F, LDF (RLIN)', 1, 0, '', 'IR'),
		('907', 'LOCAL DATA ELEMENT G, LDG (RLIN)', 'LOCAL DATA ELEMENT G, LDG (RLIN)', 1, 0, '', 'IR'),
		('908', 'PUT COMMAND PARAMETER (RLIN)', 'PUT COMMAND PARAMETER (RLIN)', 0, 0, '', 'IR'),
		('910', 'USER-OPTION DATA (OCLC)', 'USER-OPTION DATA (OCLC)', 0, 0, '', 'IR'),
		('911', 'EQUIVALENCE OR CROSS-REFERENCE-CONFERENCE OR MEETING NAME [LOCAL, CANADA]', 'EQUIVALENCE OR CROSS-REFERENCE-CONFERENCE OR MEETING NAME [LOCAL, CANADA]', 1, 0, '', 'IR'),
		('930', 'EQUIVALENCE OR CROSS-REFERENCE-UNIFORM TITLE HEADING [LOCAL, CANADA]', 'EQUIVALENCE OR CROSS-REFERENCE-UNIFORM TITLE HEADING [LOCAL, CANADA]', 1, 0, '', 'IR'),
		('936', 'OCLC/CONSER MISCELLANEOUS DATA (OCLC); PIECE USED FOR CATALOGING (pre-AACR2) (RLIN)', 'OCLC/CONSER MISCELLANEOUS DATA (OCLC); PIECE USED FOR CATALOGING (pre-AACR2) (RLIN)', 0, 0, '', 'IR'),
		('940', 'EQUIVALENCE OR CROSS-REFERENCE--UNIFORM TITLE [OBSOLETE] [CAN/MARC only]', 'EQUIVALENCE OR CROSS-REFERENCE--UNIFORM TITLE [OBSOLETE] [CAN/MARC only]', 1, 0, '', 'IR'),
		('941', 'EQUIVALENCE OR CROSS-REFERENCE--ROMANIZED TITLE [OBSOLETE] [CAN/MARC only]', 'EQUIVALENCE OR CROSS-REFERENCE--ROMANIZED TITLE [OBSOLETE] [CAN/MARC only]', 1, 0, '', 'IR'),
		('943', 'EQUIVALENCE OR CROSS-REFERENCE--COLLECTIVE TITLE [OBSOLETE] [CAN/MARC only]', 'EQUIVALENCE OR CROSS-REFERENCE--COLLECTIVE TITLE [OBSOLETE] [CAN/MARC only]', 1, 0, '', 'IR'),
		('945', 'LOCAL PROCESSING INFORMATION (OCLC)', 'LOCAL PROCESSING INFORMATION (OCLC)', 1, 0, '', 'IR'),
		('946', 'LOCAL PROCESSING INFORMATION (OCLC)', 'LOCAL PROCESSING INFORMATION (OCLC)', 1, 0, '', 'IR'),
		('947', 'LOCAL PROCESSING INFORMATION (OCLC)', 'LOCAL PROCESSING INFORMATION (OCLC)', 1, 0, '', 'IR'),
		('948', 'LOCAL PROCESSING INFORMATION (OCLC); SERIES PART DESIGNATOR (RLIN)', 'LOCAL PROCESSING INFORMATION (OCLC); SERIES PART DESIGNATOR (RLIN)', 1, 0, '', 'IR'),
		('949', 'LOCAL PROCESSING INFORMATION (OCLC)', 'LOCAL PROCESSING INFORMATION (OCLC)', 1, 0, '', 'IR'),
		('950', 'LOCAL HOLDINGS (RLIN)', 'LOCAL HOLDINGS (RLIN)', 1, 0, '', 'IR'),
		('951', 'EQUIVALENCE OR CROSS-REFERENCE--GEOGRAPHIC NAME/AREA NAME [OBSOLETE] [CAN/MARC only]', 'EQUIVALENCE OR CROSS-REFERENCE--GEOGRAPHIC NAME/AREA NAME [OBSOLETE] [CAN/MARC only]', 1, 0, '', 'IR'),
		('955', 'COPY-LEVEL INFORMATION (RLIN)', 'COPY-LEVEL INFORMATION (RLIN)', 1, 0, '', 'IR'),
		('956', 'LOCAL ELECTRONIC LOCATION AND ACCESS (OCLC)', 'LOCAL ELECTRONIC LOCATION AND ACCESS (OCLC)', 1, 0, '', 'IR'),
		('960', 'PHYSICAL LOCATION (RLIN)', 'PHYSICAL LOCATION (RLIN)', 1, 0, '', 'IR'),
		('967', 'ADDITIONAL ESTC CODES (RLIN)', 'ADDITIONAL ESTC CODES (RLIN)', 1, 0, '', 'IR'),
		('980', 'EQUIVALENCE OR CROSS-REFERENCE-SERIES STATEMENT--PERSONAL NAME/TITLE [LOCAL, CANADA]', 'EQUIVALENCE OR CROSS-REFERENCE-SERIES STATEMENT--PERSONAL NAME/TITLE [LOCAL, CANADA]', 1, 0, '', 'IR'),
		('981', 'EQUIVALENCE OR CROSS-REFERENCE-SERIES STATEMENT--CORPORATE NAME/TITLE [LOCAL, CANADA]', 'EQUIVALENCE OR CROSS-REFERENCE-SERIES STATEMENT--CORPORATE NAME/TITLE [LOCAL, CANADA]', 1, 0, '', 'IR'),
		('982', 'EQUIVALENCE OR CROSS-REFERENCE-SERIES STATEMENT--CONFERENCE OR MEETING NAME/TITLE [LOCAL, CANADA]', 'EQUIVALENCE OR CROSS-REFERENCE-SERIES STATEMENT--CONFERENCE OR MEETING NAME/TITLE [LOCAL, CANADA]', 1, 0, '', 'IR'),
		('983', 'EQUIVALENCE OR CROSS-REFERENCE-SERIES STATEMENT--TITLE/UNIFORM TITLE [LOCAL, CANADA]', 'EQUIVALENCE OR CROSS-REFERENCE-SERIES STATEMENT--TITLE/UNIFORM TITLE [LOCAL, CANADA]', 1, 0, '', 'IR'),
		('984', 'WLN AUTOMATIC HOLDINGS STATEMENT (OCLC)', 'WLN AUTOMATIC HOLDINGS STATEMENT (OCLC)', 1, 0, '', 'IR'),
		('987', 'LOCAL ROMANIZATION/CONVERSION HISTORY (OCLC)', 'LOCAL ROMANIZATION/CONVERSION HISTORY (OCLC)', 1, 0, '', 'IR'),
		('990', 'EQUIVALENCES OR CROSS-REFERENCES [LOCAL, CANADA]', 'EQUIVALENCES OR CROSS-REFERENCES [LOCAL, CANADA]', 1, 0, '', 'IR'),
		('995', 'RECOMMENDATION 995 [LOCAL, UNIMARC FRANCE]', 'RECOMMENDATION 995 [LOCAL, UNIMARC FRANCE]', 1, 0, '', 'IR'),
		('998', 'LOCAL CONTROL INFORMATION (RLIN)', 'LOCAL CONTROL INFORMATION (RLIN)', 1, 0, '', 'IR');



INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES
		('000', '@', 'campo di controllo lung. fissa', 'campo di controllo lung. fissa', 0, 1, '', 0, '', '', 'marc21_leader.pl', 0, 0, 'IR', '', '', NULL),
		('001', '@', 'campo di controllo', 'campo di controllo', 0, 0, '', 0, '', '', '', 0, -6, 'IR', '', '', NULL),
		('003', '@', 'campo di controllo', 'campo di controllo', 0, 0, '', 0, '', '', 'marc21_field_003.pl', 0, -6, 'IR', '', '', NULL),
		('005', '@', 'campo di controllo', 'campo di controllo', 0, 0, '', 0, '', '', 'marc21_field_005.pl', 0, -1, 'IR', '', '', NULL),
		('006', '@', 'campo di controllo lung. fissa', 'campo di controllo lung. fissa', 0, 0, '', 0, '', '', 'marc21_field_006.pl', 0, -1, 'IR', '', '', NULL),
		('007', '@', 'campo di controllo lung. fissa', 'campo di controllo lung. fissa', 0, 0, '', 0, '', '', 'marc21_field_007.pl', 0, 0, 'IR', '', '', NULL),
		('008', '@', 'campo di controllo lung. fissa', 'campo di controllo lung. fissa', 0, 1, '', 0, '', '', 'marc21_field_008.pl', 0, 0, 'IR', '', '', NULL),
		('009', '@', 'campo di controllo lung. fissa', 'campo di controllo lung. fissa', 0, 0, '', 0, '', '', '', 0, -6, 'IR', '', '', NULL),
		('010', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 0, '', '', NULL, 0, -6, 'IR', '', '', NULL),
		('010', 'a', 'Numero di controllo della LC', 'Numero di controllo della LC', 0, 0, 'biblioitems.lccn', 0, '', '', '', 0, -6, 'IR', '', '', NULL),
		('010', 'b', 'Numero di controllo del NUCMC', 'Numero di controllo del NUCMC', 1, 0, '', 0, '', '', '', 0, -6, 'IR', '', '', NULL),
		('010', 'z', 'Numero di controllo della LC cancellato o errato', 'Numero di controllo della LC cancellato o errato', 1, 0, '', 0, '', '', '', 0, -6, 'IR', '', '', NULL),
		('011', 'a', 'Numero di controllo della LC', 'Numero di controllo della LC', 1, 0, '', 0, '', '', '', 0, -6, 'IR', '', '', NULL),
		('013', '6', 'Collegamento', 'Collegamento', 0, 0, '', 0, '', '', NULL, 0, -6, 'IR', '', '', NULL),
		('013', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 0, '', '', '', 0, -6, 'IR', '', '', NULL),
		('013', 'a', 'Numero', 'Numero', 0, 0, '', 0, '', '', '', 0, -6, 'IR', '', '', NULL),
		('013', 'b', 'Paese', 'Paese', 0, 0, '', 0, '', '', '', 0, -6, 'IR', '', '', NULL),
		('013', 'c', 'Tipo di numero', 'Tipo di numero', 0, 0, '', 0, '', '', '', 0, -6, 'IR', '', '', NULL),
		('013', 'd', 'Data', 'Data', 1, 0, '', 0, '', '', '', 0, -6, 'IR', '', '', NULL),
		('013', 'e', 'Stato', 'Stato', 1, 0, '', 0, '', '', '', 0, -6, 'IR', '', '', NULL),
		('013', 'f', 'Parte responsabile del documento', 'Parte responsabile del documento', 1, 0, '', 0, '', '', '', 0, -6, 'IR', '', '', NULL),
		('015', '2', 'Fonte', 'Fonte', 0, 0, '', 0, '', '', NULL, 0, -6, 'IR', '', '', NULL),
		('015', '6', 'Collegamento', 'Collegamento', 0, 0, '', 0, '', '', '', 0, -6, 'IR', '', '', NULL),
		('015', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 0, '', '', '', 0, -6, 'IR', '', '', NULL),
		('015', 'a', 'Numero della bibliografia nazionale', 'Numero della bibliografia nazionale', 1, 0, '', 0, '', '', '', 0, -6, 'IR', '', '', NULL),
		('016', '2', 'Fonte', 'Fonte', 0, 0, '', 0, '', '', '', 0, -6, 'IR', '', '', NULL),
		('016', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 0, '', '', '', 0, -6, 'IR', '', '', NULL),
		('016', 'a', 'Numero di controllo della registrazione', 'Numero di controllo della registrazione', 0, 0, '', 0, '', '', '', 0, -6, 'IR', '', '', NULL),
		('016', 'z', 'Numero di controllo della registrazione cancellato o errato', 'Numero di controllo della registrazione cancellato o errato', 1, 0, '', 0, '', '', '', 0, -6, 'IR', '', '', NULL),
		('017', '2', 'Fonte', 'Fonte', 0, 0, '', 0, '', '', '', 0, -6, 'IR', '', '', NULL),
		('017', '6', 'Collegamento', 'Collegamento', 0, 0, '', 0, '', '', '', 0, -6, 'IR', '', '', NULL),
		('017', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 0, '', '', '', 0, -6, 'IR', '', '', NULL),
		('017', 'a', 'Numero di copyright o di deposito legale', 'Numero di copyright o di deposito legale', 1, 0, '', 0, '', '', '', 0, -6, 'IR', '', '', NULL),
		('017', 'b', 'Agenzia che assegna il numero', 'Agenzia che assegna il numero', 0, 0, '', 0, '', '', '', 0, -6, 'IR', '', '', NULL),
		('017', 'd', 'Data', 'Data', 0, 0, '', 0, '', '', NULL, 0, -6, 'IR', '', '', NULL),
		('017', 'i', 'Testo da visualizzare', 'Testo da visualizzare', 0, 0, '', 0, '', '', '', 0, -6, 'IR', '', '', NULL),
		('018', '6', 'Collegamento', 'Collegamento', 0, 0, '', 0, '', '', '', 0, -6, 'IR', '', '', NULL),
		('018', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 0, '', '', '', 0, -6, 'IR', '', '', NULL),
		('018', 'a', 'Codice di tassa sul copyright dell\'articolo', 'Codice di tassa sul copyright dell\'articolo', 0, 0, '', 0, '', '', '', 0, -6, 'IR', '', '', NULL),
		('020', '6', 'Collegamento', 'Collegamento', 0, 0, '', 0, '', '', '', 0, -6, 'IR', '', '', NULL),
		('020', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 0, '', '', '', 0, -6, 'IR', '', '', NULL),
		('020', 'a', 'ISBN (International Standard Book Number)', 'ISBN (International Standard Book Number)', 0, 0, 'biblioitems.isbn', 0, '', '', '', 0, -1, 'IR', '', '', NULL),
		('020', 'c', 'Termini di disponibilità', 'Termini di disponibilità', 0, 0, '', 0, '', '', '', 0, -6, 'IR', '', '', NULL),
		('020', 'z', 'ISBN cancellato o errato', 'ISBN cancellato o errato', 1, 0, '', 0, '', '', '', 0, -6, 'IR', '', '', NULL),
		('022', '2', 'Fonte', 'Fonte', 0, 0, '', 0, '', '', '', 0, -6, 'IR', '', '', NULL),
		('022', '6', 'Collegamento', 'Collegamento', 0, 0, '', 0, '', '', '', 0, -6, 'IR', '', '', NULL),
		('022', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 0, '', '', '', 0, -6, 'IR', '', '', NULL),
		('022', 'a', 'ISSN (International Standard Serial Number)', 'ISSN (International Standard Serial Number)', 0, 0, 'biblioitems.issn', 0, '', '', '', 0, -1, 'IR', '', '', NULL),
		('022', 'y', 'ISSN errato', 'ISSN errato', 1, 0, '', 0, '', '', '', 0, -6, 'IR', '', '', NULL),
		('022', 'z', 'ISSN cancellato', 'ISSN cancellato', 1, 0, '', 0, '', '', '', 0, -6, 'IR', '', '', NULL),
		('023', 'a', 'Standard film number', 'Standard film number', 0, 0, '', 0, '', '', '', 0, -6, 'IR', '', '', NULL),
		('024', '2', 'Fonte del numero o codice', 'Fonte del numero o codice', 0, 0, '', 0, '', '', '', 0, -1, 'IR', '', '', NULL),
		('024', '6', 'Collegamento', 'Collegamento', 0, 0, '', 0, '', '', '', 0, -6, 'IR', '', '', NULL),
		('024', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 0, '', '', '', 0, -6, 'IR', '', '', NULL),
		('024', 'a', 'Numero standard o codice', 'Numero standard o codice', 0, 0, '', 0, '', '', '', 0, -1, 'IR', '', '', NULL),
		('024', 'b', 'Additional codes following the standard number [OBSOLETE]', 'Additional codes following the standard number [OBSOLETE]', 0, 0, '', 0, '', '', '', 0, -6, 'IR', '', '', NULL),
		('024', 'c', 'Termini di disponibilità', 'Termini di disponibilità', 0, 0, '', 0, '', '', '', 0, -1, 'IR', '', '', NULL),
		('024', 'd', 'Codici addizionali che seguono il numero standard o codice', 'Codici addizionali che seguono il numero standard o codice', 0, 0, '', 0, '', '', '', 0, -1, 'IR', '', '', NULL),
		('024', 'z', 'Numero standard o codice, cancellato o errato', 'Numero standard o codice, cancellato o errato', 1, 0, '', 0, '', '', '', 0, -6, 'IR', '', '', NULL),
		('025', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 0, '', '', '', 0, -6, 'IR', '', '', NULL),
		('025', 'a', 'Numero d\'acquisto estero', 'Numero d\'acquisto estero', 1, 0, '', 0, '', '', '', 0, -6, 'IR', '', '', NULL),
		('026', '2', 'Fonte', 'Fonte', 0, 0, '', 0, '', '', '', 0, -6, 'IR', '', '', NULL),
		('026', '5', 'Istituzione a cui si applica il campo', 'Istituzione a cui si applica il campo', 1, 0, '', 0, '', '', '', 0, -6, 'IR', '', '', NULL),
		('026', '6', 'Collegamento', 'Collegamento', 0, 0, '', 0, '', '', '', 0, -6, 'IR', '', '', NULL),
		('026', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 0, '', '', '', 0, -6, 'IR', '', '', NULL),
		('026', 'a', 'Primo e secondo gruppo di caratteri', 'Primo e secondo gruppo di caratteri', 0, 0, '', 0, '', '', '', 0, -6, 'IR', '', '', NULL),
		('026', 'b', 'Terzo e quarto gruppo di caratteri', 'Terzo e quarto gruppo di caratteri', 0, 0, '', 0, '', '', '', 0, -6, 'IR', '', '', NULL),
		('026', 'c', 'Data', 'Data', 0, 0, '', 0, '', '', '', 0, -6, 'IR', '', '', NULL),
		('026', 'd', 'Numero del volume o parte', 'Numero del volume o parte', 0, 0, '', 0, '', '', '', 0, -6, 'IR', '', '', NULL),
		('026', 'e', 'Impronta non analizzata', 'Impronta non analizzata', 0, 0, '', 0, '', '', '', 0, -6, 'IR', '', '', NULL),
		('027', '6', 'Collegamento', 'Collegamento', 0, 0, '', 0, '', '', '', 0, -6, 'IR', '', '', NULL),
		('027', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 0, '', '', '', 0, -6, 'IR', '', '', NULL),
		('027', 'a', 'Standard Technical Report Number', 'Standard Technical Report Number', 0, 0, '', 0, '', '', '', 0, -6, 'IR', '', '', NULL),
		('027', 'z', 'Numero cancellato o errato', 'Numero cancellato o errato', 1, 0, '', 0, '', '', '', 0, -6, 'IR', '', '', NULL),
		('028', '6', 'Collegamento', 'Collegamento', 0, 0, '', 0, '', '', '', 0, -6, 'IR', '', '', NULL),
		('028', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 0, '', '', '', 0, -6, 'IR', '', '', NULL),
		('028', 'a', 'Numero dell\'editore', 'Numero dell\'editore', 0, 0, '', 0, '', '', '', 0, -6, 'IR', '', '', NULL),
		('028', 'b', 'Fonte', 'Fonte', 0, 0, '', 0, '', '', '', 0, -6, 'IR', '', '', NULL),
		('029', 'a', 'OCLC library identifier', 'OCLC library identifier', 0, 0, '', 0, '', '', '', 0, -6, 'IR', '', '', NULL),
		('029', 'b', 'System control number', 'System control number', 0, 0, '', 0, '', '', '', 0, -6, 'IR', '', '', NULL),
		('029', 'c', 'OAI set name', 'OAI set name', 0, 0, '', 0, '', '', '', 0, -6, 'IR', '', '', NULL),
		('029', 't', 'Content type identifier', 'Content type identifier', 0, 0, '', 0, '', '', '', 0, -6, 'IR', '', '', NULL),
		('030', '6', 'Collegamento', 'Collegamento', 0, 0, '', 0, '', '', '', 0, -6, 'IR', '', '', NULL),
		('030', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 0, '', '', '', 0, -6, 'IR', '', '', NULL),
		('030', 'a', 'CODEN', 'CODEN', 0, 0, '', 0, '', '', '', 0, -6, 'IR', '', '', NULL),
		('030', 'z', 'CODEN cancellato o errato', 'CODEN cancellato o errato', 1, 0, '', 0, '', '', '', 0, -6, 'IR', '', '', NULL),
		('031', '2', 'Codice di sistema', 'Codice di sistema', 0, 0, '', 0, '', '', '', 0, -6, 'IR', '', '', NULL),
		('031', '6', 'Collegamento', 'Collegamento', 0, 0, '', 0, '', '', '', 0, -6, 'IR', '', '', NULL),
		('031', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 0, '', '', '', 0, -6, 'IR', '', '', NULL),
		('031', 'a', 'Numero di composizione', 'Numero di composizione', 0, 0, '', 0, '', '', '', 0, -6, 'IR', '', '', NULL),
		('031', 'b', 'Numero di movimento', 'Numero di movimento', 0, 0, '', 0, '', '', '', 0, -6, 'IR', '', '', NULL),
		('031', 'c', 'Numero progressivo nel movimento', 'Numero progressivo nel movimento', 0, 0, '', 0, '', '', '', 0, -6, 'IR', '', '', NULL),
		('031', 'd', 'Titolo o intitolazione', 'Titolo o intitolazione', 1, 0, '', 0, '', '', '', 0, -6, 'IR', '', '', NULL),
		('031', 'e', 'Personaggio', 'Personaggio', 0, 0, '', 0, '', '', '', 0, -6, 'IR', '', '', NULL),
		('031', 'g', 'Chiave', 'Chiave', 0, 0, '', 0, '', '', '', 0, -6, 'IR', '', '', NULL),
		('031', 'm', 'Voce/strumento', 'Voce/strumento', 0, 0, '', 0, '', '', '', 0, -6, 'IR', '', '', NULL),
		('031', 'n', 'Alterazioni', 'Alterazioni', 0, 0, '', 0, '', '', '', 0, -6, 'IR', '', '', NULL),
		('031', 'o', 'Misura', 'Misura', 0, 0, '', 0, '', '', '', 0, -6, 'IR', '', '', NULL),
		('031', 'p', 'Contesto musicale', 'Contesto musicale', 0, 0, '', 0, '', '', '', 0, -6, 'IR', '', '', NULL),
		('031', 'q', 'Nota generale', 'Nota generale', 1, 0, '', 0, '', '', '', 0, -6, 'IR', '', '', NULL),
		('031', 'r', 'Tonalità o modo', 'Tonalità o modo', 0, 0, '', 0, '', '', '', 0, -6, 'IR', '', '', NULL),
		('031', 's', 'Nota codificata di validità', 'Nota codificata di validità', 1, 0, '', 0, '', '', '', 0, -6, 'IR', '', '', NULL),
		('031', 't', 'Incipit testuale', 'Incipit testuale', 1, 0, '', 0, '', '', '', 0, -6, 'IR', '', '', NULL),
		('031', 'u', 'URI (Uniform Resource Identifier)', 'URI (Uniform Resource Identifier)', 1, 0, '', 0, '', '', '', 1, -6, 'IR', '', '', NULL),
		('031', 'y', 'Testo di collegamento', 'Testo di collegamento', 1, 0, '', 0, '', '', '', 0, -6, 'IR', '', '', NULL),
		('031', 'z', 'Nota pubblica', 'Nota pubblica', 1, 0, '', 0, '', '', '', 0, -6, 'IR', '', '', NULL),
		('032', '6', 'Collegamento', 'Collegamento', 0, 0, '', 0, '', '', NULL, 0, -6, 'IR', '', '', NULL),
		('032', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 0, '', '', '', 0, -6, 'IR', '', '', NULL),
		('032', 'a', 'Numero di registrazione di posta', 'Numero di registrazione di posta', 0, 0, '', 0, '', '', '', 0, -6, 'IR', '', '', NULL),
		('032', 'b', 'Fonte (agenzia che assegna il numero)', 'Fonte (agenzia che assegna il numero)', 0, 0, '', 0, '', '', '', 0, -6, 'IR', '', '', NULL),
		('033', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, '', 0, '', '', '', 0, -6, 'IR', '', '', NULL),
		('033', '6', 'Collegamento', 'Collegamento', 0, 0, '', 0, '', '', '', 0, -6, 'IR', '', '', NULL),
		('033', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 0, '', '', '', 0, -6, 'IR', '', '', NULL),
		('033', 'a', 'Data/ora formattate', 'Data/ora formattate', 1, 0, '', 0, '', '', '', 0, -6, 'IR', '', '', NULL),
		('033', 'b', 'Codice di classificazione dell\'area geografica', 'Codice di classificazione dell\'area geografica', 1, 0, '', 0, '', '', '', 0, -6, 'IR', '', '', NULL),
		('033', 'c', 'Codice di classificazione della sottoarea geografica', 'Codice di classificazione della sottoarea geografica', 1, 0, '', 0, '', '', '', 0, -6, 'IR', '', '', NULL),
		('034', '2', 'Fonte', 'Fonte', 0, 0, '', 0, '', '', '', 0, -6, 'IR', '', '', NULL),
		('034', '6', 'Collegamento', 'Collegamento', 0, 0, '', 0, '', '', '', 0, -6, 'IR', '', '', NULL),
		('034', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 0, '', '', '', 0, -6, 'IR', '', '', NULL),
		('034', 'a', 'Categoria della scala', 'Categoria della scala', 0, 0, '', 0, '', '', '', 0, -6, 'IR', '', '', NULL),
		('034', 'b', 'Rapporto costante (scala orizzontale)', 'Rapporto costante (scala orizzontale)', 1, 0, '', 0, '', '', '', 0, -6, 'IR', '', '', NULL),
		('034', 'c', 'Rapporto costante (scala verticale)', 'Rapporto costante (scala verticale)', 1, 0, '', 0, '', '', '', 0, -6, 'IR', '', '', NULL),
		('034', 'd', 'Coordinate--longitudine limite Ovest', 'Coordinate--longitudine limite Ovest', 0, 0, '', 0, '', '', '', 0, -6, 'IR', '', '', NULL),
		('034', 'e', 'Coordinate--longitudine limite Est', 'Coordinate--longitudine limite Est', 0, 0, '', 0, '', '', '', 0, -6, 'IR', '', '', NULL),
		('034', 'f', 'Coordinate--latitudine limite Nord', 'Coordinate--latitudine limite Nord', 0, 0, '', 0, '', '', '', 0, -6, 'IR', '', '', NULL),
		('034', 'g', 'Coordinate--latitudine limite Sud', 'Coordinate--latitudine limite Sud', 0, 0, '', 0, '', '', '', 0, -6, 'IR', '', '', NULL),
		('034', 'h', 'Scala angolare', 'Scala angolare', 1, 0, '', 0, '', '', '', 0, -6, 'IR', '', '', NULL),
		('034', 'j', 'Declinazione--limite Nord', 'Declinazione--limite Nord', 0, 0, '', 0, '', '', '', 0, -6, 'IR', '', '', NULL),
		('034', 'k', 'Declinazione--limite Sud', 'Declinazione--limite Sud', 0, 0, '', 0, '', '', '', 0, -6, 'IR', '', '', NULL),
		('034', 'm', 'Ascensione retta--limite Est', 'Ascensione retta--limite Est', 0, 0, '', 0, '', '', '', 0, -6, 'IR', '', '', NULL),
		('034', 'n', 'Ascensione retta--limite Ovest', 'Ascensione retta--limite Ovest', 0, 0, '', 0, '', '', '', 0, -6, 'IR', '', '', NULL),
		('034', 'p', 'Equinozio', 'Equinozio', 0, 0, '', 0, '', '', '', 0, -6, 'IR', '', '', NULL),
		('034', 'r', 'Coordinate--latitudine limite Sud', 'Coordinate--latitudine limite Sud', 0, 0, '', 0, '', '', '', 0, -6, 'IR', '', '', NULL),
		('034', 's', 'Latitudine del perimetro', 'Latitudine del perimetro', 1, 0, '', 0, '', '', '', 0, -6, 'IR', '', '', NULL),
		('034', 't', 'Longitudine del perimetro', 'Longitudine del perimetro', 1, 0, '', 0, '', '', '', 0, -6, 'IR', '', '', NULL),
		('034', 'x', 'Data d\'inizio', 'Data d\'inizio', 0, 0, '', 0, '', '', '', 0, -6, 'IR', '', '', NULL),
		('034', 'y', 'Data di fine', 'Data di fine', 0, 0, '', 0, '', '', '', 0, -6, 'IR', '', '', NULL),
		('034', 'z', 'Nome dell\'oggetto extraterrestre', 'Nome dell\'oggetto extraterrestre', 0, 0, '', 0, '', '', '', 0, -6, 'IR', '', '', NULL),
		('035', '6', 'Collegamento', 'Collegamento', 0, 0, '', 0, '', '', '', 0, -6, 'IR', '', '', NULL),
		('035', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 0, '', '', '', 0, -6, 'IR', '', '', NULL),
		('035', 'a', 'System control number', 'System control number', 0, 0, '', 0, '', '', '', 0, -6, 'IR', '', '', NULL),
		('035', 'z', 'Numero di controllo del sistema cancellato o errato', 'Numero di controllo del sistema cancellato o errato', 1, 0, '', 0, '', '', '', 0, -6, 'IR', '', '', NULL),
		('036', '6', 'Collegamento', 'Collegamento', 0, 0, '', 0, '', '', '', 0, -6, 'IR', '', '', NULL),
		('036', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 0, '', '', '', 0, -6, 'IR', '', '', NULL),
		('036', 'a', 'Numero dello studio originale', 'Numero dello studio originale', 0, 0, '', 0, '', '', '', 0, -6, 'IR', '', '', NULL),
		('036', 'b', 'Fonte (agenzia che assegna il numero)', 'Fonte (agenzia che assegna il numero)', 0, 0, '', 0, '', '', '', 0, -6, 'IR', '', '', NULL),
		('037', '6', 'Collegamento', 'Collegamento', 0, 0, '', 0, '', '', '', 0, -6, 'IR', '', '', NULL),
		('037', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 0, '', '', '', 0, -6, 'IR', '', '', NULL),
		('037', 'a', 'Numero di magazzino', 'Numero di magazzino', 0, 0, '', 0, '', '', '', 0, -1, 'IR', '', '', NULL),
		('037', 'b', 'Fonte del numero di magazzino/d\'acquisto', 'Fonte del numero di magazzino/d\'acquisto', 0, 0, '', 0, '', '', '', 0, -1, 'IR', '', '', NULL),
		('037', 'c', 'Termini di disponibilità', 'Termini di disponibilità', 1, 0, '', 0, '', '', '', 0, -1, 'IR', '', '', NULL),
		('037', 'f', 'Forma dell\'emissione', 'Forma dell\'emissione', 1, 0, '', 0, '', '', '', 0, -1, 'IR', '', '', NULL),
		('037', 'g', 'Caratteristiche addizionali di formato', 'Caratteristiche addizionali di formato', 1, 0, '', 0, '', '', '', 0, -1, 'IR', '', '', NULL),
		('037', 'n', 'Nota', 'Nota', 1, 0, '', 0, '', '', '', 0, -1, 'IR', '', '', NULL),
		('038', '6', 'Collegamento', 'Collegamento', 0, 0, '', 0, '', '', '', 0, -6, 'IR', '', '', NULL),
		('038', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 0, '', '', '', 0, -6, 'IR', '', '', NULL),
		('038', 'a', 'Organizzazione che dà licenza d’uso del contenuto della registrazione', 'Organizzazione che dà licenza d’uso del contenuto della registrazione', 0, 0, '', 0, '', '', '', 0, -6, 'IR', '', '', NULL),
		('039', 'a', 'Level of rules in bibliographic description', 'Level of rules in bibliographic description', 0, 0, '', 0, '', '', '', 0, -6, 'IR', '', '', NULL),
		('039', 'b', 'Level of effort used to assign nonsubject heading access points', 'Level of effort used to assign nonsubject heading access points', 0, 0, '', 0, '', '', '', 0, -6, 'IR', '', '', NULL),
		('039', 'c', 'Level of effort used to assign subject headings', 'Level of effort used to assign subject headings', 0, 0, '', 0, '', '', '', 0, -6, 'IR', '', '', NULL),
		('039', 'd', 'Level of effort used to assign classification', 'Level of effort used to assign classification', 0, 0, '', 0, '', '', '', 0, -6, 'IR', '', '', NULL),
		('039', 'e', 'Number of fixed field character positions coded', 'Number of fixed field character positions coded', 0, 0, '', 0, '', '', '', 0, -6, 'IR', '', '', NULL),
		('040', '6', 'Collegamento', 'Collegamento', 0, 0, '', 0, '', '', '', 0, -6, 'IR', '', '', NULL),
		('040', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 0, '', '', '', 0, -6, 'IR', '', '', NULL),
		('040', 'a', 'Agenzia catalografica originale', 'Agenzia catalografica originale', 0, 0, '', 0, '', '', '', 0, -1, 'IR', '', '', NULL),
		('040', 'b', 'Lingua della catalogazione', 'Lingua della catalogazione', 0, 0, '', 0, '', '', '', 0, -6, 'IR', '', '', NULL),
		('040', 'c', 'Agenzia che fa la trascrizione', 'Agenzia che fa la trascrizione', 0, 0, '', 0, '', '', '', 0, -1, 'IR', '', '', NULL),
		('040', 'd', 'Agenzia che fa la modifica', 'Agenzia che fa la modifica', 1, 0, '', 0, '', '', '', 0, -1, 'IR', '', '', NULL),
		('040', 'e', 'Regole di descrizione', 'Regole di descrizione', 0, 0, '', 0, '', '', '', 0, -1, 'IR', '', '', NULL),
		('041', '2', 'Fonte del codice', 'Fonte del codice', 0, 0, '', 0, '', '', '', 0, -6, 'IR', '', '', NULL),
		('041', '6', 'Collegamento', 'Collegamento', 0, 0, '', 0, '', '', '', 0, -6, 'IR', '', '', NULL),
		('041', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 0, '', '', '', 0, -6, 'IR', '', '', NULL),
		('041', 'a', 'Codice di lingua del testo/traccia sonora o titolo separato', 'Codice di lingua del testo/traccia sonora o titolo separato', 1, 0, '', 0, '', '', '', 0, -1, 'IR', '', '', NULL),
		('041', 'b', 'Codice di lingua del riassunto, estratto o sottotitoli', 'Codice di lingua del riassunto, estratto o sottotitoli', 1, 0, '', 0, '', '', '', 0, -6, 'IR', '', '', NULL),
		('041', 'c', 'Languages of separate titles (VM) [OBSOLETE] ; Languages of available translation  (SE) [OBSOLETE]', 'Languages of separate titles (VM) [OBSOLETE] ; Languages of available translation  (SE) [OBSOLETE]', 1, 0, '', 0, '', '', '', 0, -6, 'IR', '', '', NULL),
		('041', 'd', 'Codice della lingua del testo cantato o parlato', 'Codice della lingua del testo cantato o parlato', 1, 0, '', 0, '', '', '', 0, -6, 'IR', '', '', NULL),
		('041', 'e', 'Codice della lingua dei libretti', 'Codice della lingua dei libretti', 1, 0, '', 0, '', '', '', 0, -1, 'IR', '', '', NULL),
		('041', 'f', 'Codice della lingua del sommario', 'Codice della lingua del sommario', 1, 0, '', 0, '', '', '', 0, -6, 'IR', '', '', NULL),
		('041', 'g', 'Codice della lingua del materiale allegato diverso dai libretti', 'Codice della lingua del materiale allegato diverso dai libretti', 1, 0, '', 0, '', '', '', 0, -1, 'IR', '', '', NULL),
		('041', 'h', 'Codice della lingua originale e/o delle traduzioni intermedie del testo', 'Codice della lingua originale e/o delle traduzioni intermedie del testo', 1, 0, '', 0, '', '', '', 0, -1, 'IR', '', '', NULL),
		('042', 'a', 'Codice d\'autenticazione', 'Codice d\'autenticazione', 0, 0, '', 0, '', '', '', 0, -6, 'IR', '', '', NULL),
		('043', '2', 'Fonte del codice di sottoente locale', 'Fonte del codice di sottoente locale', 1, 0, '', 0, '', '', '', 0, -6, 'IR', '', '', NULL),
		('043', '6', 'Collegamento', 'Collegamento', 0, 0, '', 0, '', '', '', 0, -6, 'IR', '', '', NULL),
		('043', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 0, '', '', '', 0, -6, 'IR', '', '', NULL),
		('043', 'a', 'Codice dell\'area geografica', 'Codice dell\'area geografica', 1, 0, '', 0, '', '', '', 0, -6, 'IR', '', '', NULL),
		('043', 'b', 'Codice locale GAC (codice dell\'area geografica)', 'Codice locale GAC (codice dell\'area geografica)', 1, 0, '', 0, '', '', '', 0, -6, 'IR', '', '', NULL),
		('043', 'c', 'Codice ISO', 'Codice ISO', 1, 0, '', 0, '', '', '', 0, -6, 'IR', '', '', NULL),
		('044', '2', 'Fonte del codice di sottoente locale', 'Fonte del codice di sottoente locale', 1, 0, '', 0, '', '', '', 0, -6, 'IR', '', '', NULL),
		('044', '6', 'Collegamento', 'Collegamento', 0, 0, '', 0, '', '', '', 0, -6, 'IR', '', '', NULL),
		('044', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 0, '', '', '', 0, -6, 'IR', '', '', NULL),
		('044', 'a', 'Codice MARC del paese', 'Codice MARC del paese', 1, 0, '', 0, '', '', '', 0, -6, 'IR', '', '', NULL),
		('044', 'b', 'Codice di sottoente locale', 'Codice di sottoente locale', 1, 0, '', 0, '', '', '', 0, -6, 'IR', '', '', NULL),
		('044', 'c', 'Codice ISO del paese', 'Codice ISO del paese', 1, 0, '', 0, '', '', '', 0, -6, 'IR', '', '', NULL),
		('045', '6', 'Collegamento', 'Collegamento', 0, 0, '', 0, '', '', '', 0, -6, 'IR', '', '', NULL),
		('045', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 0, '', '', '', 0, -6, 'IR', '', '', NULL),
		('045', 'a', 'Codice di periodo di tempo', 'Codice di periodo di tempo', 1, 0, '', 0, '', '', '', 0, -6, 'IR', '', '', NULL),
		('045', 'b', 'Periodo di tempo formattato dal 9999 a.C. fino al 9999 d.C.', 'Periodo di tempo formattato dal 9999 a.C. fino al 9999 d.C.', 1, 0, '', 0, '', '', '', 0, -6, 'IR', '', '', NULL),
		('045', 'c', 'Periodo di tempo formattato anteriore al 9999 a.C.', 'Periodo di tempo formattato anteriore al 9999 a.C.', 1, 0, '', 0, '', '', '', 0, -6, 'IR', '', '', NULL),
		('046', '2', 'Fonte della data', 'Fonte della data', 0, 0, '', 0, '', '', '', 0, -6, 'IR', '', '', NULL),
		('046', '6', 'Collegamento', 'Collegamento', 0, 0, '', 0, '', '', '', 0, -6, 'IR', '', '', NULL),
		('046', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 0, '', '', '', 0, -6, 'IR', '', '', NULL),
		('046', 'a', 'Codice di tipo di data', 'Codice di tipo di data', 0, 0, '', 0, '', '', '', 0, -6, 'IR', '', '', NULL),
		('046', 'b', 'Data 1 (data a.C.)', 'Data 1 (data a.C.)', 0, 0, '', 0, '', '', '', 0, -6, 'IR', '', '', NULL),
		('046', 'c', 'Data 1 (data d.C.)', 'Data 1 (data d.C.)', 0, 0, '', 0, '', '', '', 0, -6, 'IR', '', '', NULL),
		('046', 'd', 'Data 2 (data a.C.)\',\'Data 2 (data a.C.)', 'Data 2 (data a.C.)\',\'Data 2 (data a.C.)', 0, 0, '', 0, '', '', '', 0, -6, 'IR', '', '', NULL),
		('046', 'e', 'Data 2 (data d.C.)', 'Data 2 (data d.C.)', 0, 0, '', 0, '', '', '', 0, -6, 'IR', '', '', NULL),
		('046', 'j', 'Data della modifica della risorsa', 'Data della modifica della risorsa', 0, 0, '', 0, '', '', '', 0, -6, 'IR', '', '', NULL),
		('046', 'k', 'Data iniziale di creazione o data semplice', 'Data iniziale di creazione o data semplice', 0, 0, '', 0, '', '', '', 0, -6, 'IR', '', '', NULL),
		('046', 'l', 'Data finale di creazione', 'Data finale di creazione', 0, 0, '', 0, '', '', '', 0, -6, 'IR', '', '', NULL),
		('046', 'm', 'Data iniziale di validità', 'Data iniziale di validità', 0, 0, '', 0, '', '', '', 0, -6, 'IR', '', '', NULL),
		('046', 'n', 'Data finale di validità', 'Data finale di validità', 0, 0, '', 0, '', '', '', 0, -6, 'IR', '', '', NULL),
		('047', '2', 'Fonte del codice', 'Fonte del codice', 0, 0, '', 0, '', '', '', 0, -6, 'IR', '', '', NULL),
		('047', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 0, '', '', '', 0, -6, 'IR', '', '', NULL),
		('047', 'a', 'Codice di forma della composizione musicale', 'Codice di forma della composizione musicale', 1, 0, '', 0, '', '', '', 0, -6, 'IR', '', '', NULL),
		('048', '2', 'Fonte del codice', 'Fonte del codice', 0, 0, '', 0, '', '', '', 0, -6, 'IR', '', '', NULL),
		('048', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 0, '', '', '', 0, -6, 'IR', '', '', NULL),
		('048', 'a', 'Esecutore o complesso', 'Esecutore o complesso', 1, 0, '', 0, '', '', '', 0, -6, 'IR', '', '', NULL),
		('048', 'b', 'Solista', 'Solista', 1, 0, '', 0, '', '', '', 0, -6, 'IR', '', '', NULL),
		('049', 'a', 'Holding library', 'Holding library', 1, 0, '', 0, '', '', '', 0, -6, 'IR', '', '', NULL),
		('049', 'c', 'Copy statement', 'Copy statement', 1, 0, '', 0, '', '', '', 0, -6, 'IR', '', '', NULL),
		('049', 'd', 'Definition of bibliographic subdivisions', 'Definition of bibliographic subdivisions', 1, 0, '', 0, '', '', '', 0, -6, 'IR', '', '', NULL),
		('049', 'l', 'Local processing data', 'Local processing data', 1, 0, '', 0, '', '', '', 0, -6, 'IR', '', '', NULL),
		('049', 'm', 'Missing elements', 'Missing elements', 1, 0, '', 0, '', '', '', 0, -6, 'IR', '', '', NULL),
		('049', 'n', 'Notes about holdings', 'Notes about holdings', 0, 0, '', 0, '', '', '', 0, -6, 'IR', '', '', NULL),
		('049', 'o', 'Local processing data', 'Local processing data', 1, 0, '', 0, '', '', '', 0, -6, 'IR', '', '', NULL),
		('049', 'p', 'Secondary bibliographic subdivision', 'Secondary bibliographic subdivision', 1, 0, '', 0, '', '', '', 0, -6, 'IR', '', '', NULL),
		('049', 'q', 'Third bibliographic subdivision', 'Third bibliographic subdivision', 1, 0, '', 0, '', '', '', 0, -6, 'IR', '', '', NULL),
		('049', 'r', 'Fourth bibliographic subdivision', 'Fourth bibliographic subdivision', 1, 0, '', 0, '', '', '', 0, -6, 'IR', '', '', NULL),
		('049', 's', 'Fifth bibliographic subdivision', 'Fifth bibliographic subdivision', 0, 0, '', 0, '', '', '', 0, -6, 'IR', '', '', NULL),
		('049', 't', 'Sixth bibliographic subdivision', 'Sixth bibliographic subdivision', 1, 0, '', 0, '', '', '', 0, -6, 'IR', '', '', NULL),
		('049', 'u', 'Seventh bibliographic subdivision', 'Seventh bibliographic subdivision', 1, 0, '', 0, '', '', '', 0, -6, 'IR', '', '', NULL),
		('049', 'v', 'Seventh bibliographic subdivision', 'Seventh bibliographic subdivision', 1, 0, '', 0, '', '', '', 0, -6, 'IR', '', '', NULL),
		('049', 'y', 'Inclusive dates of publication or coverage', 'Inclusive dates of publication or coverage', 0, 0, '', 0, '', '', '', 0, -6, 'IR', '', '', NULL),
		('050', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, '', 0, '', '', '', 0, -6, 'IR', '', '', NULL),
		('050', '6', 'Collegamento', 'Collegamento', 0, 0, '', 0, '', '', '', 0, -6, 'IR', '', '', NULL),
		('050', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 0, '', '', '', 0, -6, 'IR', '', '', NULL),
		('050', 'a', 'Numero di classificazione', 'Numero di classificazione', 1, 0, '', 0, '', '', '', 0, 0, 'IR', '', '', NULL),
		('050', 'b', 'Numero d\'item', 'Numero d\'item', 0, 0, '', 0, '', '', '', 0, 0, 'IR', '', '', NULL),
		('050', 'd', 'Supplementary class number (MU) [OBSOLETE]', 'Supplementary class number (MU) [OBSOLETE]', 0, 0, '', 0, '', '', '', 0, -6, 'IR', '', '', NULL),
		('051', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 0, '', '', '', 0, -6, 'IR', '', '', NULL),
		('051', 'a', 'Numero di classificazione', 'Numero di classificazione', 0, 0, '', 0, '', '', '', 0, -6, 'IR', '', '', NULL),
		('051', 'b', 'Numero d\'item', 'Numero d\'item', 0, 0, '', 0, '', '', '', 0, -6, 'IR', '', '', NULL),
		('051', 'c', 'Informazione dell\'esemplare', 'Informazione dell\'esemplare', 0, 0, '', 0, '', '', '', 0, -6, 'IR', '', '', NULL),
		('052', '2', 'Fonte del codice', 'Fonte del codice', 0, 0, '', 0, '', '', '', 0, -6, 'IR', '', '', NULL),
		('052', '6', 'Collegamento', 'Collegamento', 0, 0, '', 0, '', '', '', 0, -6, 'IR', '', '', NULL),
		('052', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 0, '', '', '', 0, -6, 'IR', '', '', NULL),
		('052', 'a', 'Codice di classificazione dell\'area geografica', 'Codice di classificazione dell\'area geografica', 0, 0, '', 0, '', '', '', 0, -6, 'IR', '', '', NULL),
		('052', 'b', 'Codice di classificazione della sottoarea geografica', 'Codice di classificazione della sottoarea geografica', 1, 0, '', 0, '', '', '', 0, -6, 'IR', '', '', NULL),
		('052', 'c', 'Subject (MP) [OBSOLETE]', 'Subject (MP) [OBSOLETE]', 0, 0, '', 0, '', '', '', 0, -6, 'IR', '', '', NULL),
		('052', 'd', 'Nome di luogo abitato', 'Nome di luogo abitato', 1, 0, '', 0, '', '', '', 0, -6, 'IR', '', '', NULL),
		('055', '2', 'Fonte del numero di chiamata/classe', 'Fonte del numero di chiamata/classe', 0, 0, '', 0, '', '', '', 0, -6, 'IR', '', '', NULL),
		('055', '6', 'Collegamento', 'Collegamento', 0, 0, '', 0, '', '', '', 0, -6, 'IR', '', '', NULL),
		('055', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 0, '', '', '', 0, -6, 'IR', '', '', NULL),
		('055', 'a', 'Numero di classificazione', 'Numero di classificazione', 0, 0, '', 0, '', '', '', 0, -6, 'IR', '', '', NULL),
		('055', 'b', 'Numero d\'item', 'Numero d\'item', 0, 0, '', 0, '', '', '', 0, -6, 'IR', '', '', NULL),
		('060', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 0, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('060', 'a', 'Numero di classificazione', 'Numero di classificazione', 1, 0, NULL, 0, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('060', 'b', 'Numero d\'item', 'Numero d\'item', 0, 0, NULL, 0, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('061', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 0, '', '', '', 0, -6, 'IR', '', '', NULL),
		('061', 'a', 'Numero di classificazione', 'Numero di classificazione', 1, 0, '', 0, '', '', '', 0, -6, 'IR', '', '', NULL),
		('061', 'b', 'Numero d\'item', 'Numero d\'item', 0, 0, '', 0, '', '', '', 0, -6, 'IR', '', '', NULL),
		('061', 'c', 'Informazione dell\'esemplare', 'Informazione dell\'esemplare', 0, 0, '', 0, '', '', '', 0, -6, 'IR', '', '', NULL),
		('066', 'a', 'Set di caratteri primario G0', 'Set di caratteri primario G0', 0, 0, NULL, 0, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('066', 'b', 'Set di caratteri primario G1', 'Set di caratteri primario G1', 0, 0, NULL, 0, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('066', 'c', 'Set di caratteri alternativo G0 o G1', 'Set di caratteri alternativo G0 o G1', 1, 0, NULL, 0, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('070', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 0, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('070', 'a', 'Numero di classificazione', 'Numero di classificazione', 1, 0, NULL, 0, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('070', 'b', 'Numero d\'item', 'Numero d\'item', 0, 0, NULL, 0, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('071', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 0, '', '', '', 0, -6, 'IR', '', '', NULL),
		('071', 'a', 'Numero di classificazione', 'Numero di classificazione', 1, 0, '', 0, '', '', '', 0, -6, 'IR', '', '', NULL),
		('071', 'b', 'Numero d\'item', 'Numero d\'item', 0, 0, '', 0, '', '', '', 0, -6, 'IR', '', '', NULL),
		('071', 'c', 'Informazione dell\'esemplare', 'Informazione dell\'esemplare', 0, 0, '', 0, '', '', '', 0, -6, 'IR', '', '', NULL),
		('072', '2', 'Fonte', 'Fonte', 0, 0, NULL, 0, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('072', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 0, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('072', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 0, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('072', 'a', 'Codice di categoria di soggetto', 'Codice di categoria di soggetto', 0, 0, NULL, 0, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('072', 'x', 'Suddivisione del codice di categoria di soggetto', 'Suddivisione del codice di categoria di soggetto', 1, 0, NULL, 0, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('074', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 0, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('074', 'a', 'Numero GPO dell\'item', 'Numero GPO dell\'item', 0, 0, NULL, 0, NULL, NULL, '', NULL, -1, 'IR', '', '', NULL),
		('074', 'z', 'Numero GPO dell\'item cancellato/errato', 'Numero GPO dell\'item cancellato/errato', 1, 0, NULL, 0, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('080', '2', 'Numero dell\'edizione', 'Numero dell\'edizione', 0, 0, NULL, 0, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('080', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 0, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('080', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 0, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('080', 'a', 'Numero di Classificazione decimale universale', 'Numero di Classificazione decimale universale', 0, 0, NULL, 0, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('080', 'b', 'Numero d\'item', 'Numero d\'item', 0, 0, NULL, 0, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('080', 'x', 'Suddivisione ausiliare comune', 'Suddivisione ausiliare comune', 1, 0, NULL, 0, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('082', '2', 'Numero dell\'edizione', 'Numero dell\'edizione', 0, 0, '', 0, '', '', '', NULL, 0, 'IR', '', '', NULL),
		('082', '6', 'Collegamento', 'Collegamento', 0, 0, '', 0, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('082', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 0, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('082', 'a', 'Numero di classificazione', 'Numero di classificazione', 1, 0, '', 0, '', '', '', NULL, 0, 'IR', '', '', NULL),
		('082', 'b', 'Numero d\'item', 'Numero d\'item', 0, 0, '', 0, '', '', '', NULL, 0, 'IR', '', '', NULL),
		('084', '2', 'Fonte del numero', 'Fonte del numero', 0, 0, NULL, 0, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('084', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 0, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('084', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 0, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('084', 'a', 'Numero di classificazione', 'Numero di classificazione', 1, 0, NULL, 0, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('084', 'b', 'Numero d\'item', 'Numero d\'item', 0, 0, NULL, 0, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('086', '2', 'Fonte del numero', 'Fonte del numero', 0, 0, NULL, 0, NULL, NULL, '', NULL, -1, 'IR', '', '', NULL),
		('086', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 0, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('086', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 0, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('086', 'a', 'Numero di classificazione', 'Numero di classificazione', 0, 0, NULL, 0, NULL, NULL, '', NULL, -1, 'IR', '', '', NULL),
		('086', 'z', 'Numero di classificazione cancellato/errato', 'Numero di classificazione cancellato/errato', 1, 0, NULL, 0, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('087', 'a', 'Report number [OBSOLETE, CAN/MARC]', 'Report number [OBSOLETE, CAN/MARC]', 0, 0, '', 0, '', '', '', 0, -6, 'IR', '', '', NULL),
		('087', 'z', 'Canceled/invalid report number [OBSOLETE, CAN/MARC]', 'Canceled/invalid report number [OBSOLETE, CAN/MARC]', 1, 0, '', 0, '', '', '', 0, -6, 'IR', '', '', NULL),
		('088', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 0, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('088', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 0, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('088', 'a', 'Numero di rapporto', 'Numero di rapporto', 0, 0, NULL, 0, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('088', 'z', 'Numero di rapporto cancellato/errato', 'Numero di rapporto cancellato/errato', 1, 0, NULL, 0, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('090', 'a', 'Classification number (OCLC) (R) ; Classification number, CALL (RLIN) (NR)', 'Classification number (OCLC) (R) ; Classification number, CALL (RLIN) (NR)', 1, 0, '', 0, '', '', '', 0, -6, 'IR', '', '', NULL),
		('090', 'b', 'Local cutter number (OCLC) ; Book number/undivided call number, CALL (RLIN)', 'Local cutter number (OCLC) ; Book number/undivided call number, CALL (RLIN)', 0, 0, '', 0, '', '', '', 0, -6, 'IR', '', '', NULL),
		('090', 'e', 'Feature heading (OCLC)', 'Feature heading (OCLC)', 0, 0, '', 0, '', '', '', 0, 5, 'IR', '', '', NULL),
		('090', 'f', 'Filing suffix (OCLC); Footnote, FNT (RLIN)', 'Filing suffix (OCLC); Footnote, FNT (RLIN)', 0, 0, '', 0, '', '', '', 0, 5, 'IR', '', '', NULL),
		('090', 'h', 'Output transaction history, HST (RLIN)', 'Output transaction history, HST (RLIN)', 0, 0, '', 0, '', '', '', 0, 5, 'IR', '', '', NULL),
		('090', 'i', 'Output transaction instruction, INS (RLIN)', 'Output transaction instruction, INS (RLIN)', 0, 0, '', 0, '', '', '', 0, 5, 'IR', '', '', NULL),
		('090', 'l', 'Extra card control statement, EXT (RLIN)', 'Extra card control statement, EXT (RLIN)', 0, 0, '', 0, '', '', '', 0, 5, 'IR', '', '', NULL),
		('090', 'n', 'Additional local notes, ANT (RLIN)', 'Additional local notes, ANT (RLIN)', 0, 0, '', 0, '', '', '', 0, 5, 'IR', '', '', NULL),
		('090', 'p', 'Pathfinder code, PTH (RLIN)', 'Pathfinder code, PTH (RLIN)', 0, 0, '', 0, '', '', '', 0, 5, 'IR', '', '', NULL),
		('090', 't', 'Field suppresion, FSP (RLIN)', 'Field suppresion, FSP (RLIN)', 0, 0, '', 0, '', '', '', 0, 5, 'IR', '', '', NULL),
		('090', 'v', 'Volumes, VOL (RLIN)', 'Volumes, VOL (RLIN)', 0, 0, '', 0, '', '', '', 0, 5, 'IR', '', '', NULL),
		('090', 'y', 'Date, VOL (RLIN)', 'Date, VOL (RLIN)', 0, 0, '', 0, '', '', '', 0, 5, 'IR', '', '', NULL),
		('090', 'z', 'Retention, VOL (RLIN)', 'Retention, VOL (RLIN)', 0, 0, '', 0, '', '', '', 0, 5, 'IR', '', '', NULL),
		('091', 'a', 'Microfilm shelf location', 'Microfilm shelf location', 0, 0, '', 0, '', '', '', 0, -6, 'IR', '', '', NULL),
		('092', '2', 'Numero dell\'edizione', 'Numero dell\'edizione', 0, 0, '', 0, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('092', 'a', 'Numero di classificazione', 'Numero di classificazione', 0, 0, '', 0, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('092', 'b', 'Numero d\'item', 'Numero d\'item', 0, 0, '', 0, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('092', 'e', 'Feature heading', 'Feature heading', 0, 0, '', 0, '', '', '', 0, -6, 'IR', '', '', NULL),
		('092', 'f', 'Filing suffix', 'Filing suffix', 0, 0, '', 0, '', '', '', 0, -6, 'IR', '', '', NULL),
		('096', 'a', 'Numero di classificazione', 'Numero di classificazione', 0, 0, '', 0, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('096', 'b', 'Numero d\'item', 'Numero d\'item', 0, 0, '', 0, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('096', 'e', 'Feature heading', 'Feature heading', 0, 0, '', 0, '', '', '', 0, -6, 'IR', '', '', NULL),
		('096', 'f', 'Filing suffix', 'Filing suffix', 0, 0, '', 0, '', '', '', 0, -6, 'IR', '', '', NULL),
		('098', 'a', 'Call number based on other classification scheme', 'Call number based on other classification scheme', 0, 0, '', 0, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('098', 'e', 'Feature heading', 'Feature heading', 0, 0, '', 0, '', '', '', 0, -6, 'IR', '', '', NULL),
		('098', 'f', 'Filing suffix', 'Filing suffix', 0, 0, '', 0, '', '', '', 0, -6, 'IR', '', '', NULL),
		('099', 'a', 'Numero di classificazione', 'Numero di classificazione', 1, 0, '', 0, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('099', 'e', 'Feature heading', 'Feature heading', 0, 0, '', 0, '', '', '', 0, -6, 'IR', '', '', NULL),
		('099', 'f', 'Filing suffix', 'Filing suffix', 0, 0, '', 0, '', '', '', 0, -6, 'IR', '', '', NULL),
		('100', '4', 'Codice di ruolo', 'Codice di ruolo', 1, 0, '', 1, '', '', '', 0, -6, 'IR', '', '', NULL),
		('100', '6', 'Collegamento', 'Collegamento', 0, 0, '', 1, '', '', '', 0, -6, 'IR', '', '', NULL),
		('100', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 1, '', '', '', 0, -6, 'IR', '', '', NULL),
		('100', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 1, '', '', '', 0, 0, 'IR', '', '', NULL),
		('100', 'a', 'Nome di persona', 'Nome di persona', 0, 0, 'biblio.author', 1, '', 'PERSO_NAME', '', 0, 0, 'IR', '''100b'',''100c'',''100q'',''100d'',''100e'',''110a'',''110b'',''110c'',''110d'',''110e'',''111a'',''111e'',''111c'',''111d'',''130a'',''700a'',''700b'',''700c'',''700q'',''700d'',''700e'',''710a'',''710b'',''710c'',''710d'',''710e'',''711a'',''711e'',''711c'',''711d'',''720a'',''720e'',''796a'',''796b'',''796c'',''796q'',''796d'',''796e'',''797a'',''797b'',''797c'',''797d'',''797e'',''798a'',''798e'',''798c'',''798d'',''800a'',''800b'',''800c'',''800q'',''800d'',''800e'',''810a'',''810b'',''810c'',''810d'',''810e'',''811a'',''811e'',''811c'',''811d'',''896a'',''896b'',''896c'',''896q'',''896d'',''896e'',''897a'',''897b'',''897c'',''897d'',''897e'',''898a'',''898e'',''898c'',''898d'',''505r''', '', NULL),
		('100', 'b', 'Numerazione', 'Numerazione', 0, 0, '', 1, '', '', '', 0, -1, 'IR', '', '', NULL),
		('100', 'c', 'Titoli e altre parole associate al nome', 'Titoli e altre parole associate al nome', 1, 0, '', 1, '', '', '', 0, -1, 'IR', '', '', NULL),
		('100', 'd', 'Date associate al nome', 'Date associate al nome', 0, 0, '', 1, '', '', '', 0, 0, 'IR', '', '', NULL),
		('100', 'e', 'Termine di ruolo', 'Termine di ruolo', 1, 0, '', 1, '', '', '', 0, -1, 'IR', '', '', NULL),
		('100', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, '', 1, '', '', '', 0, -6, 'IR', '', '', NULL),
		('100', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, '', 1, '', '', '', 0, -6, 'IR', '', '', NULL),
		('100', 'j', 'Qualificazione d\'attribuzione', 'Qualificazione d\'attribuzione', 1, 0, '', 1, '', '', '', 0, -6, 'IR', '', '', NULL),
		('100', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, '', 1, '', '', '', 0, -6, 'IR', '', '', NULL),
		('100', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, '', 1, '', '', '', 0, -6, 'IR', '', '', NULL),
		('100', 'n', 'Numero di parte/sezione dell\'opera', 'Numero di parte/sezione dell\'opera', 1, 0, '', 1, '', '', '', 0, -6, 'IR', '', '', NULL),
		('100', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, '', 1, '', '', '', 0, -6, 'IR', '', '', NULL),
		('100', 'q', 'Forma completa del nome', 'Forma completa del nome', 0, 0, '', 1, '', '', '', 0, -1, 'IR', '', '', NULL),
		('100', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, '', 1, '', '', '', 0, -6, 'IR', '', '', NULL),
		('100', 'u', 'Affiliazione', 'Affiliazione', 0, 0, '', 1, '', '', '', 0, -6, 'IR', '', '', NULL),
		('110', '4', 'Codice di ruolo', 'Codice di ruolo', 1, 0, '', 1, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('110', '6', 'Collegamento', 'Collegamento', 0, 0, '', 1, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('110', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 1, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('110', '9', '9 (RLIN)', '9 (RLIN)', 0, 1, '', 1, '', '', '', 0, -5, 'IR', '', '', NULL),
		('110', 'a', 'Nome dell\'ente o nome della giurisdizione come accesso', 'Nome dell\'ente o nome della giurisdizione come accesso', 0, 0, '', 1, '', 'CORPO_NAME', '', NULL, -1, 'IR', '', '', NULL),
		('110', 'b', 'Unità subordinata', 'Unità subordinata', 1, 0, '', 1, '', '', '', NULL, -1, 'IR', '', '', NULL),
		('110', 'c', 'Luogo del convegno', 'Luogo del convegno', 0, 0, '', 1, '', '', '', NULL, -1, 'IR', '', '', NULL),
		('110', 'd', 'Data del convegno o di firma del trattato', 'Data del convegno o di firma del trattato', 1, 0, '', 1, '', '', '', NULL, -1, 'IR', '', '', NULL),
		('110', 'e', 'Termine di ruolo', 'Termine di ruolo', 1, 0, '', 1, '', '', '', NULL, -1, 'IR', '', '', NULL),
		('110', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, '', 1, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('110', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, '', 1, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('110', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, '', 1, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('110', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, '', 1, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('110', 'n', 'Numero di parte/sezione/convegno', 'Numero di parte/sezione/convegno', 1, 0, '', 1, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('110', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, '', 1, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('110', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, '', 1, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('110', 'u', 'Affiliazione', 'Affiliazione', 0, 0, '', 1, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('111', '4', 'Codice di ruolo', 'Codice di ruolo', 1, 0, NULL, 1, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('111', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 1, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('111', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 1, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('111', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 1, '', '', '', 0, -5, 'IR', '', '', NULL),
		('111', 'a', 'Nome del convegno o nome della giurisdizione come accesso', 'Nome del convegno o nome della giurisdizione come accesso', 0, 0, NULL, 1, NULL, 'MEETI_NAME', '', NULL, -1, 'IR', '', '', NULL),
		('111', 'b', 'Number [OBSOLETE]', 'Number [OBSOLETE]', 0, 0, NULL, 1, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('111', 'c', 'Luogo del convegno', 'Luogo del convegno', 0, 0, NULL, 1, NULL, NULL, '', NULL, -1, 'IR', '', '', NULL),
		('111', 'd', 'Data del convegno', 'Data del convegno', 0, 0, NULL, 1, NULL, NULL, '', NULL, -1, 'IR', '', '', NULL),
		('111', 'e', 'Unità subordinata', 'Unità subordinata', 1, 0, NULL, 1, NULL, NULL, '', NULL, -1, 'IR', '', '', NULL),
		('111', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, NULL, 1, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('111', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, NULL, 1, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('111', 'j', 'Termine di ruolo', 'Termine di ruolo', 1, 0, NULL, 1, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('111', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, NULL, 1, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('111', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, NULL, 1, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('111', 'n', 'Numero di parte/sezione/convegno', 'Numero di parte/sezione/convegno', 1, 0, NULL, 1, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('111', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, NULL, 1, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('111', 'q', 'Nome del convegno dopo accesso di nome della giurisdizione', 'Nome del convegno dopo accesso di nome della giurisdizione', 0, 0, NULL, 1, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('111', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, NULL, 1, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('111', 'u', 'Affiliazione', 'Affiliazione', 0, 0, NULL, 1, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('130', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 1, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('130', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 1, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('130', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 1, '', '', '', 0, -5, 'IR', '', '', NULL),
		('130', 'a', 'Titolo uniforme', 'Titolo uniforme', 0, 0, NULL, 1, NULL, 'UNIF_TITLE', '', NULL, -6, 'IR', '', '', NULL),
		('130', 'd', 'Data di firma del trattato', 'Data di firma del trattato', 1, 0, NULL, 1, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('130', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, NULL, 1, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('130', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, NULL, 1, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('130', 'h', 'Supporto', 'Supporto', 0, 0, NULL, 1, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('130', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, NULL, 1, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('130', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, NULL, 1, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('130', 'm', 'Mezzo di esecuzione per la musica', 'Mezzo di esecuzione per la musica', 1, 0, NULL, 1, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('130', 'n', 'Numero di parte/sezione dell\'opera', 'Numero di parte/sezione dell\'opera', 1, 0, NULL, 1, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('130', 'o', 'Formulazione d\'arrangiamento per la musica', 'Formulazione d\'arrangiamento per la musica', 0, 0, NULL, 1, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('130', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, NULL, 1, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('130', 'r', 'Tonalità (musica)', 'Tonalità (musica)', 0, 0, NULL, 1, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('130', 's', 'Versione', 'Versione', 0, 0, NULL, 1, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('130', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, NULL, 1, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('210', '2', 'Fonte', 'Fonte', 1, 0, NULL, 2, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('210', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 2, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('210', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 2, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('210', 'a', 'Titolo abbreviato', 'Titolo abbreviato', 0, 0, NULL, 2, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('210', 'b', 'Qualificazione', 'Qualificazione', 0, 0, NULL, 2, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('211', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 2, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('211', 'a', 'Acronym or shortened title', 'Acronym or shortened title', 0, 0, NULL, 2, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('212', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 2, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('212', 'a', 'Acronym or shortened title', 'Acronym or shortened title', 0, 0, NULL, 2, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('214', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 2, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('214', 'a', 'Augmented title', 'Augmented title', 0, 0, NULL, 2, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('222', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 2, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('222', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 2, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('222', 'a', 'Titolo chiave', 'Titolo chiave', 0, 0, NULL, 2, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('222', 'b', 'Qualificazione', 'Qualificazione', 0, 0, NULL, 2, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('240', '6', 'Collegamento', 'Collegamento', 0, 0, '', 2, '', '', '', 0, -6, 'IR', '', '', NULL),
		('240', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 2, '', '', '', 0, -6, 'IR', '', '', NULL),
		('240', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 2, '', '', '', 0, -5, 'IR', '', '', NULL),
		('240', 'a', 'Titolo uniforme', 'Titolo uniforme', 0, 0, 'biblio.unititle', 2, '', '', '', 0, -1, 'IR', '', '', NULL),
		('240', 'd', 'Data di firma del trattato', 'Data di firma del trattato', 1, 0, '', 2, '', '', '', 0, -6, 'IR', '', '', NULL),
		('240', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, '', 2, '', '', '', 0, -6, 'IR', '', '', NULL),
		('240', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, '', 2, '', '', '', 0, -6, 'IR', '', '', NULL),
		('240', 'h', 'Supporto', 'Supporto', 0, 0, '', 2, '', '', '', 0, -1, 'IR', '', '', NULL),
		('240', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, '', 2, '', '', '', 0, -6, 'IR', '', '', NULL),
		('240', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, '', 2, '', '', '', 0, -1, 'IR', '', '', NULL),
		('240', 'm', 'Mezzo di esecuzione per la musica', 'Mezzo di esecuzione per la musica', 1, 0, '', 2, '', '', '', 0, -6, 'IR', '', '', NULL),
		('240', 'n', 'Numero di parte/sezione dell\'opera', 'Numero di parte/sezione dell\'opera', 1, 0, '', 2, '', '', '', 0, -6, 'IR', '', '', NULL),
		('240', 'o', 'Formulazione d\'arrangiamento per la musica', 'Formulazione d\'arrangiamento per la musica', 0, 0, '', 2, '', '', '', 0, -6, 'IR', '', '', NULL),
		('240', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, '', 2, '', '', '', 0, -6, 'IR', '', '', NULL),
		('240', 'r', 'Tonalità (musica)', 'Tonalità (musica)', 0, 0, '', 2, '', '', '', 0, -6, 'IR', '', '', NULL),
		('240', 's', 'Versione', 'Versione', 0, 0, '', 2, '', '', '', 0, -1, 'IR', '', '', NULL),
		('241', 'a', 'Romanized title', 'Romanized title', 0, 0, NULL, 2, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('241', 'h', 'Supporto', 'Supporto', 0, 0, NULL, 2, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('242', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 2, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('242', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 2, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('242', 'a', 'Titolo', 'Titolo', 0, 0, NULL, 2, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('242', 'b', 'Complemento del titolo', 'Complemento del titolo', 0, 0, NULL, 2, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('242', 'c', 'Formulazione di responsabilità, ecc.', 'Formulazione di responsabilità, ecc.', 0, 0, NULL, 2, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('242', 'd', 'Designation of section (BK AM MP MU VM SE) [OBSOLETE]', 'Designation of section (BK AM MP MU VM SE) [OBSOLETE]', 0, 0, '', 2, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('242', 'e', 'Name of part/section (BK AM MP MU VM SE) [OBSOLETE]', 'Name of part/section (BK AM MP MU VM SE) [OBSOLETE]', 0, 0, '', 2, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('242', 'h', 'Supporto', 'Supporto', 0, 0, NULL, 2, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('242', 'n', 'Numero di parte/sezione dell\'opera', 'Numero di parte/sezione dell\'opera', 1, 0, NULL, 2, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('242', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, NULL, 2, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('242', 'y', 'Codice di lingua del titolo tradotto', 'Codice di lingua del titolo tradotto', 0, 0, NULL, 2, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('243', '6', 'Collegamento', 'Collegamento', 0, 0, '', 2, '', '', '', 0, -6, 'IR', '', '', NULL),
		('243', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 2, '', '', '', 0, -6, 'IR', '', '', NULL),
		('243', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 2, '', '', '', 0, -5, 'IR', '', '', NULL),
		('243', 'a', 'Titolo uniforme', 'Titolo uniforme', 0, 0, '', 2, '', '', '', 1, -1, 'IR', '', '', NULL),
		('243', 'd', 'Data di firma del trattato', 'Data di firma del trattato', 1, 0, '', 2, '', '', '', 0, -6, 'IR', '', '', NULL),
		('243', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, '', 2, '', '', '', 0, -6, 'IR', '', '', NULL),
		('243', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, '', 2, '', '', '', 0, -6, 'IR', '', '', NULL),
		('243', 'h', 'Supporto', 'Supporto', 0, 0, '', 2, '', '', '', 0, -1, 'IR', '', '', NULL),
		('243', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, '', 2, '', '', '', 0, -6, 'IR', '', '', NULL),
		('243', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, '', 2, '', '', '', 0, -1, 'IR', '', '', NULL),
		('243', 'm', 'Mezzo di esecuzione per la musica', 'Mezzo di esecuzione per la musica', 1, 0, '', 2, '', '', '', 0, -6, 'IR', '', '', NULL),
		('243', 'n', 'Numero di parte/sezione dell\'opera', 'Numero di parte/sezione dell\'opera', 1, 0, '', 2, '', '', '', 0, -6, 'IR', '', '', NULL),
		('243', 'o', 'Formulazione d\'arrangiamento per la musica', 'Formulazione d\'arrangiamento per la musica', 0, 0, '', 2, '', '', '', 0, -6, 'IR', '', '', NULL),
		('243', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, '', 2, '', '', '', 0, -6, 'IR', '', '', NULL),
		('243', 'r', 'Tonalità (musica)', 'Tonalità (musica)', 0, 0, '', 2, '', '', '', 0, -6, 'IR', '', '', NULL),
		('243', 's', 'Versione', 'Versione', 0, 0, '', 2, '', '', '', 0, -1, 'IR', '', '', NULL),
		('245', '6', 'Collegamento', 'Collegamento', 0, 0, '', 2, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('245', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 2, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('245', 'a', 'Titolo', 'Titolo', 0, 1, 'biblio.title', 2, '', '', '', NULL, 0, 'IR', '''245b'',''245f'',''245g'',''245k'',''245n'',''245p'',''245s'',''245h'',''246i'',''246a'',''246b'',''246f'',''246g'',''246n'',''246p'',''246h'',''242a'',''242b'',''242n'',''242p'',''242h''', '', NULL),
		('245', 'b', 'Complemento del titolo', 'Complemento del titolo', 0, 0, 'bibliosubtitle.subtitle', 2, '', '', '', NULL, 0, 'IR', '', '', NULL),
		('245', 'c', 'Formulazione di responsabilità, ecc.', 'Formulazione di responsabilità, ecc.', 0, 0, '', 2, '', '', '', NULL, 0, 'IR', '', '', NULL),
		('245', 'd', 'Designation of section/part/series (SE) [OBSOLETE]', 'Designation of section/part/series (SE) [OBSOLETE]', 0, 0, '', 2, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('245', 'e', 'Name of part/section/series (SE) [OBSOLETE]', 'Name of part/section/series (SE) [OBSOLETE]', 0, 0, '', 2, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('245', 'f', 'Date inclusive', 'Date inclusive', 0, 0, '', 2, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('245', 'g', 'Date preponderanti', 'Date preponderanti', 0, 0, '', 2, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('245', 'h', 'Supporto', 'Supporto', 0, 0, '', 2, '', '', '', NULL, -1, 'IR', '', '', NULL),
		('245', 'k', 'Forma', 'Forma', 1, 0, '', 2, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('245', 'n', 'Numero di parte/sezione dell\'opera', 'Numero di parte/sezione dell\'opera', 1, 0, '', 2, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('245', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, '', 2, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('245', 's', 'Versione', 'Versione', 0, 0, '', 2, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('246', '5', 'Istituzione a cui si applica il campo', 'Istituzione a cui si applica il campo', 0, 0, '', 2, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('246', '6', 'Collegamento', 'Collegamento', 0, 0, '', 2, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('246', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 2, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('246', 'a', 'Titolo proprio/titolo breve', 'Titolo proprio/titolo breve', 0, 0, '', 2, '', '', '', NULL, -1, 'IR', '', '', NULL),
		('246', 'b', 'Complemento del titolo', 'Complemento del titolo', 0, 0, '', 2, '', '', '', NULL, -1, 'IR', '', '', NULL),
		('246', 'd', 'Designation of section/part/series (SE) [OBSOLETE]', 'Designation of section/part/series (SE) [OBSOLETE]', 0, 0, '', 2, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('246', 'e', 'Name of part/section/series (SE) [OBSOLETE]', 'Name of part/section/series (SE) [OBSOLETE]', 0, 0, '', 2, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('246', 'f', 'Data o designazione sequenziale', 'Data o designazione sequenziale', 0, 0, '', 2, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('246', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, '', 2, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('246', 'h', 'Supporto', 'Supporto', 0, 0, '', 2, '', '', '', NULL, -1, 'IR', '', '', NULL),
		('246', 'i', 'Testo da visualizzare', 'Testo da visualizzare', 0, 0, '', 2, '', '', '', NULL, -1, 'IR', '', '', NULL),
		('246', 'n', 'Numero di parte/sezione dell\'opera', 'Numero di parte/sezione dell\'opera', 1, 0, '', 2, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('246', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, '', 2, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('247', '6', 'Collegamento', 'Collegamento', 0, 0, '', 2, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('247', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 2, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('247', 'a', 'Titolo', 'Titolo', 0, 0, '', 2, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('247', 'b', 'Complemento del titolo', 'Complemento del titolo', 0, 0, '', 2, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('247', 'd', 'Designation of section (SE) [OBSOLETE]', 'Designation of section (SE) [OBSOLETE]', 0, 0, '', 2, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('247', 'e', 'Name of part/section (SE) [OBSOLETE]', 'Name of part/section (SE) [OBSOLETE]', 0, 0, '', 2, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('247', 'f', 'Data o designazione sequenziale', 'Data o designazione sequenziale', 0, 0, '', 2, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('247', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, '', 2, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('247', 'h', 'Supporto', 'Supporto', 0, 0, '', 2, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('247', 'n', 'Numero di parte/sezione dell\'opera', 'Numero di parte/sezione dell\'opera', 1, 0, '', 2, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('247', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, '', 2, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('247', 'x', 'ISSN (International Standard Serial Number)', 'ISSN (International Standard Serial Number)', 0, 0, '', 2, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('250', '6', 'Collegamento', 'Collegamento', 0, 0, '', 2, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('250', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 2, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('250', 'a', 'Formulazione di edizione', 'Formulazione di edizione', 0, 0, 'biblioitems.editionstatement', 2, '', '', '', NULL, 0, 'IR', '', '', NULL),
		('250', 'b', 'Restante parte della formulazione di edizione', 'Restante parte della formulazione di edizione', 0, 0, '', 2, '', '', '', NULL, 0, 'IR', '', '', NULL),
		('254', '6', 'Collegamento', 'Collegamento', 0, 0, '', 2, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('254', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 2, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('254', 'a', 'Formulazione della presentazione musicale', 'Formulazione della presentazione musicale', 0, 0, '', 2, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('255', '6', 'Collegamento', 'Collegamento', 0, 0, '', 2, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('255', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 2, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('255', 'a', 'Formulazione di scala', 'Formulazione di scala', 1, 0, '', 2, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('255', 'b', 'Formulazione di proiezione', 'Formulazione di proiezione', 1, 0, '', 2, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('255', 'c', 'Formulazione di coordinate', 'Formulazione di coordinate', 1, 0, '', 2, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('255', 'd', 'Formulazione di zona', 'Formulazione di zona', 0, 0, '', 2, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('255', 'e', 'Formulazione di equinozio', 'Formulazione di equinozio', 0, 0, '', 2, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('255', 'f', 'Coppie di coordinate d\'inclusione del perimetro', 'Coppie di coordinate d\'inclusione del perimetro', 0, 0, '', 2, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('255', 'g', 'Coppie di coordinate di esclusione del perimetro', 'Coppie di coordinate di esclusione del perimetro', 0, 0, '', 2, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('256', '6', 'Collegamento', 'Collegamento', 0, 0, '', 2, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('256', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 2, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('256', 'a', 'Caratteristiche del computer file', 'Caratteristiche del computer file', 0, 0, '', 2, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('257', '6', 'Collegamento', 'Collegamento', 0, 0, '', 2, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('257', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 2, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('257', 'a', 'Paese dell\'ente produttore', 'Paese dell\'ente produttore', 0, 0, '', 2, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('258', '6', 'Collegamento', 'Collegamento', 0, 0, '', 2, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('258', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 2, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('258', 'a', 'Giurisdizione dell\'emissione', 'Giurisdizione dell\'emissione', 0, 0, '', 2, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('258', 'b', 'Valore facciale', 'Valore facciale', 0, 0, '', 2, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('260', '6', 'Collegamento', 'Collegamento', 0, 0, '', 2, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('260', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 2, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('260', 'a', 'Luogo di pubblicazione, distribuzione, ecc.', 'Luogo di pubblicazione, distribuzione, ecc.', 1, 0, 'biblioitems.place', 2, '', '', '', NULL, 0, 'IR', '', '', NULL),
		('260', 'b', 'Nome dell\'editore, distributore, ecc.', 'Nome dell\'editore, distributore, ecc.', 1, 0, 'biblioitems.publishercode', 2, '', '', '', NULL, 0, 'IR', '', '', NULL),
		('260', 'c', 'Data di pubblicazione, distribuzione, ecc.', 'Data di pubblicazione, distribuzione, ecc.', 1, 0, 'biblio.copyrightdate', 2, '', '', '', NULL, 0, 'IR', '', '', NULL),
		('260', 'd', 'Plate or publisher\'s number for music (Pre-AACR 2) [OBSOLETE, CAN/MARC], [LOCAL, USA]', 'Plate or publisher\'s number for music (Pre-AACR 2) [OBSOLETE, CAN/MARC], [LOCAL, USA]', 0, 0, '', 2, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('260', 'e', 'Luogo di stampa', 'Luogo di stampa', 1, 0, '', 2, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('260', 'f', 'Stampatore', 'Stampatore', 1, 0, '', 2, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('260', 'g', 'Data di stampa', 'Data di stampa', 0, 0, '', 2, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('260', 'k', 'Identification/manufacturer number [OBSOLETE, CAN/MARC]', 'Identification/manufacturer number [OBSOLETE, CAN/MARC]', 0, 0, '', 2, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('260', 'l', 'Matrix and/or take number [OBSOLETE, CAN/MARC]', 'Matrix and/or take number [OBSOLETE, CAN/MARC]', 0, 0, '', 2, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('261', '6', 'Collegamento', 'Collegamento', 0, 0, '', 2, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('261', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 2, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('261', 'a', 'Producing company', 'Producing company', 1, 0, '', 2, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('261', 'b', 'Releasing company (primary distributor)', 'Releasing company (primary distributor)', 1, 0, '', 2, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('261', 'c', 'Date of production, release, etc.', 'Date of production, release, etc.', 1, 0, '', 2, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('261', 'd', 'Date of production, release, etc.', 'Date of production, release, etc.', 1, 0, '', 2, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('261', 'e', 'Contractual producer', 'Contractual producer', 1, 0, '', 2, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('261', 'f', 'Place of production, release, etc.', 'Place of production, release, etc.', 1, 0, '', 2, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('262', '6', 'Collegamento', 'Collegamento', 0, 0, '', 2, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('262', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 2, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('262', 'a', 'Place of production, release, etc.', 'Place of production, release, etc.', 0, 0, '', 2, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('262', 'b', 'Publisher or trade name', 'Publisher or trade name', 0, 0, '', 2, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('262', 'c', 'Date of production, release, etc.', 'Date of production, release, etc.', 0, 0, '', 2, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('262', 'k', 'Serial identification', 'Serial identification', 0, 0, '', 2, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('262', 'l', 'Matrix and/or take number', 'Matrix and/or take number', 0, 0, '', 2, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('263', '6', 'Collegamento', 'Collegamento', 0, 0, '', 2, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('263', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 2, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('263', 'a', 'Data di pubblicazione prevista', 'Data di pubblicazione prevista', 0, 0, '', 2, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('265', '6', 'Linkage [OBSOLETE]', 'Linkage [OBSOLETE]', 0, 0, '', 2, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('265', 'a', 'Source for acquisition/subscription address [OBSOLETE]', 'Source for acquisition/subscription address [OBSOLETE]', 1, 0, '', 2, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('270', '4', 'Codice di ruolo', 'Codice di ruolo', 1, 0, NULL, 9, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('270', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 9, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('270', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 9, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('270', 'a', 'Indirizzo', 'Indirizzo', 1, 0, NULL, 9, NULL, NULL, '', NULL, -1, 'IR', '', '', NULL),
		('270', 'b', 'Città', 'Città', 0, 0, NULL, 9, NULL, NULL, '', NULL, -1, 'IR', '', '', NULL),
		('270', 'c', 'Stato o provincia', 'Stato o provincia', 0, 0, NULL, 9, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('270', 'd', 'Paese', 'Paese', 0, 0, NULL, 9, NULL, NULL, '', NULL, -1, 'IR', '', '', NULL),
		('270', 'e', 'Codice postale', 'Codice postale', 0, 0, NULL, 9, NULL, NULL, '', NULL, -1, 'IR', '', '', NULL),
		('270', 'f', 'Parole che precedono il nome del destinatario', 'Parole che precedono il nome del destinatario', 0, 0, NULL, 9, NULL, NULL, '', NULL, -1, 'IR', '', '', NULL),
		('270', 'g', 'Nome del destinatario', 'Nome del destinatario', 0, 0, NULL, 9, NULL, NULL, '', NULL, -1, 'IR', '', '', NULL),
		('270', 'h', 'Posizione del destinatario', 'Posizione del destinatario', 0, 0, NULL, 9, NULL, NULL, '', NULL, -1, 'IR', '', '', NULL),
		('270', 'i', 'Persona di contatto', 'Persona di contatto', 0, 0, NULL, 9, NULL, NULL, '', NULL, -1, 'IR', '', '', NULL),
		('270', 'j', 'Numero di telefono specializzato', 'Numero di telefono specializzato', 1, 0, NULL, 9, NULL, NULL, '', NULL, -1, 'IR', '', '', NULL),
		('270', 'k', 'Numero di telefono', 'Numero di telefono', 1, 0, NULL, 9, NULL, NULL, '', NULL, -1, 'IR', '', '', NULL),
		('270', 'l', 'Numero di fax', 'Numero di fax', 1, 0, NULL, 9, NULL, NULL, '', NULL, -1, 'IR', '', '', NULL),
		('270', 'm', 'Indirizzo e-mail', 'Indirizzo e-mail', 1, 0, NULL, 9, NULL, NULL, '', NULL, -1, 'IR', '', '', NULL),
		('270', 'n', 'Numero di TDD o TTY', 'Numero di TDD o TTY', 1, 0, NULL, 9, NULL, NULL, '', NULL, -1, 'IR', '', '', NULL),
		('270', 'p', 'Persona di contatto', 'Persona di contatto', 1, 0, NULL, 9, NULL, NULL, '', NULL, -1, 'IR', '', '', NULL),
		('270', 'q', 'Titolo della persona di contatto', 'Titolo della persona di contatto', 1, 0, NULL, 9, NULL, NULL, '', NULL, -1, 'IR', '', '', NULL),
		('270', 'r', 'Ore', 'Ore', 1, 0, NULL, 9, NULL, NULL, '', NULL, -1, 'IR', '', '', NULL),
		('270', 'z', 'Nota pubblica', 'Nota pubblica', 1, 0, NULL, 9, NULL, NULL, '', NULL, -1, 'IR', '', '', NULL),
		('300', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, '', 3, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('300', '6', 'Collegamento', 'Collegamento', 0, 0, '', 3, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('300', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 3, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('300', 'a', 'Estensione', 'Estensione', 1, 1, 'biblioitems.pages', 3, '', '', '', NULL, 0, 'IR', '', '', NULL),
		('300', 'b', 'Altre particolarità fisiche', 'Altre particolarità fisiche', 0, 0, 'biblioitems.illus', 3, '', '', '', 0, 0, 'IR', '', '', NULL),
		('300', 'c', 'Dimensioni', 'Dimensioni', 1, 0, 'biblioitems.size', 3, '', '', '', NULL, 0, 'IR', '', '', NULL),
		('300', 'd', 'Accompanying material [OBSOLETE, CAN/MARC]', 'Accompanying material [OBSOLETE, CAN/MARC]', 0, 0, '', 3, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('300', 'e', 'Materiale allegato', 'Materiale allegato', 0, 0, '', 3, '', '', '', NULL, 0, 'IR', '', '', NULL),
		('300', 'f', 'Tipo di materiale', 'Tipo di materiale', 1, 0, '', 3, '', '', '', NULL, -1, 'IR', '', '', NULL),
		('300', 'g', 'Dimensioni del materiale', 'Dimensioni del materiale', 1, 0, '', 3, '', '', '', NULL, -1, 'IR', '', '', NULL),
		('300', 'k', 'Speed [Videodiscs, pre-AACR2 records only] [OBSOLETE, CAN/MARC]', 'Speed [Videodiscs, pre-AACR2 records only] [OBSOLETE, CAN/MARC]', 0, 0, '', 3, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('300', 'm', 'Identification/manufacturer number [pre-AACR2 records only] [OBSOLETE, CAN/MARC]', 'Identification/manufacturer number [pre-AACR2 records only] [OBSOLETE, CAN/MARC]', 0, 0, '', 3, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('300', 'n', 'Matrix and/or take number [Sound recordings, pre-AACR2 records only] [OBSOLETE, CAN/MARC]', 'Matrix and/or take number [Sound recordings, pre-AACR2 records only] [OBSOLETE, CAN/MARC]', 0, 0, '', 3, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('301', 'a', 'Estensione della copia', 'Estensione della copia', 0, 0, '', 3, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('301', 'b', 'Caratteristiche del suono', 'Caratteristiche del suono', 0, 0, '', 3, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('301', 'c', 'Caratteristiche del colore', 'Caratteristiche del colore', 0, 0, '', 3, '', '', NULL, NULL, -6, 'IR', '', '', NULL),
		('301', 'd', 'Dimensioni', 'Dimensioni', 0, 0, '', 3, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('301', 'e', 'Caratteristiche del suono', 'Caratteristiche del suono', 0, 0, '', 3, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('301', 'f', 'Velocità', 'Velocità', 0, 0, '', 3, '', '', NULL, NULL, -6, 'IR', '', '', NULL),
		('302', 'a', 'Page count', 'Page count', 0, 0, '', 3, '', '', NULL, NULL, -6, 'IR', '', '', NULL),
		('303', 'a', 'Unit count', 'Unit count', 0, 0, '', 3, '', '', NULL, NULL, -6, 'IR', '', '', NULL),
		('304', 'a', 'Linear footage', 'Linear footage', 0, 0, '', 3, '', '', NULL, NULL, -6, 'IR', '', '', NULL),
		('305', '6', 'Collegamento', 'Collegamento', 0, 0, '', 3, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('305', 'a', 'Estensione', 'Estensione', 0, 0, '', 3, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('305', 'b', 'Altre particolarità fisiche', 'Altre particolarità fisiche', 0, 0, '', 3, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('305', 'c', 'Dimensioni', 'Dimensioni', 0, 0, '', 3, '', '', NULL, NULL, -6, 'IR', '', '', NULL),
		('305', 'd', 'Microgroove or standard', 'Microgroove or standard', 0, 0, '', 3, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('305', 'e', 'Stereofonico, monoaurale', 'Stereofonico, monoaurale', 0, 0, '', 3, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('305', 'f', 'Numero dei tracciati', 'Numero dei tracciati', 0, 0, '', 3, '', '', NULL, NULL, -6, 'IR', '', '', NULL),
		('305', 'm', 'Serial identification', 'Serial identification', 0, 0, '', 3, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('305', 'n', 'Matrix and/or take number', 'Matrix and/or take number', 0, 0, '', 3, '', '', NULL, NULL, -6, 'IR', '', '', NULL),
		('306', '6', 'Collegamento', 'Collegamento', 0, 0, '', 3, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('306', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 3, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('306', 'a', 'Durata di riproduzione', 'Durata di riproduzione', 0, 0, '', 3, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('307', '6', 'Collegamento', 'Collegamento', 0, 0, '', 3, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('307', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 3, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('307', 'a', 'Ore', 'Ore', 0, 0, '', 3, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('307', 'b', 'Informazione addizionale', 'Informazione addizionale', 0, 0, '', 3, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('308', '6', 'Collegamento', 'Collegamento', 0, 0, '', 3, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('308', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 3, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('308', 'a', 'Numero di bobine', 'Numero di bobine', 0, 0, '', 3, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('308', 'b', 'Footage', 'Footage', 0, 0, '', 3, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('308', 'c', 'Caratteristiche del suono', 'Caratteristiche del suono', 0, 0, '', 3, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('308', 'd', 'Caratteristiche del colore', 'Caratteristiche del colore', 0, 0, '', 3, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('308', 'e', 'Larghezza', 'Larghezza', 0, 0, '', 3, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('308', 'f', 'Formato di presentazione', 'Formato di presentazione', 0, 0, '', 3, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('310', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('310', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('310', 'a', 'Periodicità corrente della pubblicazione', 'Periodicità corrente della pubblicazione', 0, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('310', 'b', 'Data di periodicità corrente della pubblicazione', 'Data di periodicità corrente della pubblicazione', 0, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('315', '6', 'Collegamento', 'Collegamento', 0, 0, '', 3, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('315', 'a', 'Frequenza', 'Frequenza', 1, 0, '', 3, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('315', 'b', 'Date della frequenza', 'Date della frequenza', 1, 0, '', 3, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('321', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('321', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('321', 'a', 'Periodicità precedente della pubblicazione', 'Periodicità precedente della pubblicazione', 0, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('321', 'b', 'Date di periodicità precedente della pubblicazione', 'Date di periodicità precedente della pubblicazione', 0, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('340', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, '', 3, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('340', '6', 'Collegamento', 'Collegamento', 0, 0, '', 3, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('340', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 3, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('340', 'a', 'Base e composizione del materiale', 'Base e composizione del materiale', 1, 0, '', 3, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('340', 'b', 'Dimensioni', 'Dimensioni', 1, 0, '', 3, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('340', 'c', 'Materiali applicati alla superficie', 'Materiali applicati alla superficie', 1, 0, '', 3, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('340', 'd', 'Tecnica della registrazione della informazione', 'Tecnica della registrazione della informazione', 1, 0, '', 3, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('340', 'e', 'Supporto', 'Supporto', 1, 0, '', 3, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('340', 'f', 'Fattore/proporzione di produzione comprensibile (ad es., giri al minuto per le registrazioni)', 'Fattore/proporzione di produzione comprensibile (ad es., giri al minuto per le registrazioni)', 1, 0, '', 3, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('340', 'h', 'Localizzazione nel supporto', 'Localizzazione nel supporto', 1, 0, '', 3, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('340', 'i', 'Specificazioni tecniche del supporto', 'Specificazioni tecniche del supporto', 1, 0, '', 3, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('342', '2', 'Metodo di riferimento usato', 'Metodo di riferimento usato', 0, 0, '', 3, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('342', '6', 'Collegamento', 'Collegamento', 0, 0, '', 3, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('342', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 3, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('342', 'a', 'Nome', 'Nome', 1, 0, '', 3, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('342', 'b', 'Unità di distanza o di coordinate', 'Unità di distanza o di coordinate', 0, 0, '', 3, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('342', 'c', 'Risoluzione di latitudine', 'Risoluzione di latitudine', 0, 0, '', 3, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('342', 'd', 'Risoluzione di longitudine', 'Risoluzione di longitudine', 0, 0, '', 3, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('342', 'e', 'Parallela standard o latitudine di lineare obliqua', 'Parallela standard o latitudine di lineare obliqua', 1, 0, '', 3, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('342', 'f', 'Longitudine di lineare obliqua', 'Longitudine di lineare obliqua', 1, 0, '', 3, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('342', 'g', 'Longitudine del meridiano centrale o del centro della proiezione', 'Longitudine del meridiano centrale o del centro della proiezione', 0, 0, '', 3, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('342', 'h', 'Latitudine dell\'origine della proiezione o del centro della proiezione', 'Latitudine dell\'origine della proiezione o del centro della proiezione', 0, 0, '', 3, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('342', 'i', 'Ascissa falsa', 'Ascissa falsa', 0, 0, '', 3, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('342', 'j', 'Ordinata falsa', 'Ordinata falsa', 0, 0, '', 3, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('342', 'k', 'Fattore di scala', 'Fattore di scala', 0, 0, '', 3, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('342', 'l', 'Altezza del punto di vista sulla superficie', 'Altezza del punto di vista sulla superficie', 0, 0, '', 3, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('342', 'm', 'Angolo d\'azimut', 'Angolo d\'azimut', 0, 0, '', 3, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('342', 'n', 'Longitudine del punto di misura d\'azimut o longitudine verticale retta dal polo', 'Longitudine del punto di misura d\'azimut o longitudine verticale retta dal polo', 0, 0, '', 3, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('342', 'o', 'Numero del Landsat e numero di traiettoria', 'Numero del Landsat e numero di traiettoria', 0, 0, '', 3, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('342', 'p', 'Identificatore di zona', 'Identificatore di zona', 0, 0, '', 3, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('342', 'q', 'Nome dell\'ellissoide', 'Nome dell\'ellissoide', 0, 0, '', 3, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('342', 'r', 'Semiasse maggiore', 'Semiasse maggiore', 0, 0, '', 3, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('342', 's', 'Denominatore del rapporto di spianatura', 'Denominatore del rapporto di spianatura', 0, 0, '', 3, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('342', 't', 'Risoluzione verticale', 'Risoluzione verticale', 0, 0, '', 3, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('342', 'u', 'Metodo di codifica verticale', 'Metodo di codifica verticale', 0, 0, '', 3, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('342', 'v', 'Proiezione locale piana, locale o diversa o descrizione del reticolato', 'Proiezione locale piana, locale o diversa o descrizione del reticolato', 0, 0, '', 3, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('342', 'w', 'Informazione di riferimento geospaziale locale piano o locale', 'Informazione di riferimento geospaziale locale piano o locale', 0, 0, '', 3, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('343', '6', 'Collegamento', 'Collegamento', 0, 0, '', 3, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('343', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 3, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('343', 'a', 'Metodo di codifica di coordinate piane', 'Metodo di codifica di coordinate piane', 1, 0, '', 3, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('343', 'b', 'Unità di distanza piana', 'Unità di distanza piana', 0, 0, '', 3, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('343', 'c', 'Risoluzione dell\'ascissa', 'Risoluzione dell\'ascissa', 0, 0, '', 3, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('343', 'd', 'Risoluzione dell\'ordinata', 'Risoluzione dell\'ordinata', 0, 0, '', 3, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('343', 'e', 'Risoluzione di distanza', 'Risoluzione di distanza', 0, 0, '', 3, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('343', 'f', 'Risoluzione di orientamento', 'Risoluzione di orientamento', 0, 0, '', 3, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('343', 'g', 'Unità di orientamento', 'Unità di orientamento', 0, 0, '', 3, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('343', 'h', 'Direzione di riferimento dell\'orientamento', 'Direzione di riferimento dell\'orientamento', 0, 0, '', 3, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('343', 'i', 'Meridiano di riferimento dell\'orientamento', 'Meridiano di riferimento dell\'orientamento', 0, 0, '', 3, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('350', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('350', 'a', 'Prezzo', 'Prezzo', 1, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('350', 'b', 'Forma dell\'emissione', 'Forma dell\'emissione', 1, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('351', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('351', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('351', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('351', 'a', 'Organizzazione', 'Organizzazione', 1, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('351', 'b', 'Ordinamento', 'Ordinamento', 1, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('351', 'c', 'Livello gerarchico', 'Livello gerarchico', 0, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('352', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('352', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('352', 'a', 'Metodo di riferimento diretto', 'Metodo di riferimento diretto', 0, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('352', 'b', 'Tipo di oggetto', 'Tipo di oggetto', 1, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('352', 'c', 'Contatore di oggetti', 'Contatore di oggetti', 1, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('352', 'd', 'Contatore di linee', 'Contatore di linee', 0, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('352', 'e', 'Contattore di colonne', 'Contattore di colonne', 0, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('352', 'f', 'Contattore verticale', 'Contattore verticale', 0, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('352', 'g', 'Livello di topologia VPF', 'Livello di topologia VPF', 0, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('352', 'i', 'Descrizione di riferimento indiretto', 'Descrizione di riferimento indiretto', 0, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('355', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('355', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('355', 'a', 'Classificazione di sicurezza', 'Classificazione di sicurezza', 0, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('355', 'b', 'Istruzioni per l\'uso', 'Istruzioni per l\'uso', 1, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('355', 'c', 'Informazione di diffusione esterna', 'Informazione di diffusione esterna', 1, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('355', 'd', 'Informazione di riduzione del livello di sicurezza o di declassificazione', 'Informazione di riduzione del livello di sicurezza o di declassificazione', 0, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('355', 'e', 'Sistema di classificazione', 'Sistema di classificazione', 0, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('355', 'f', 'Codice del paese di origine', 'Codice del paese di origine', 0, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('355', 'g', 'Data di riduzione del livello di sicurezza', 'Data di riduzione del livello di sicurezza', 0, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('355', 'h', 'Data di declassificazione', 'Data di declassificazione', 0, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('355', 'j', 'Autorizzazione', 'Autorizzazione', 1, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('357', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('357', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('357', 'a', 'Termine di controllo del creatore', 'Termine di controllo del creatore', 0, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('357', 'b', 'Agenzia di diffusione', 'Agenzia di diffusione', 1, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('357', 'c', 'Destinatari autorizzati del materiale', 'Destinatari autorizzati del materiale', 1, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('357', 'g', 'Altre restrizioni', 'Altre restrizioni', 1, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('359', 'a', 'Prezzo del prestito', 'Prezzo del prestito', 0, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('362', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('362', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('362', 'a', 'Date della pubblicazione e/o designazione sequenziale', 'Date della pubblicazione e/o designazione sequenziale', 0, 0, 'biblioitems.volumedesc', 3, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('362', 'z', 'Fonte dell\'informazione', 'Fonte dell\'informazione', 0, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('365', '2', 'Fonte del codice del tipo di prezzo', 'Fonte del codice del tipo di prezzo', 0, 0, '', 9, '', '', '', NULL, -1, 'IR', '', '', NULL),
		('365', '6', 'Collegamento', 'Collegamento', 0, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('365', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('365', 'a', 'Codice del tipo di prezzo', 'Codice del tipo di prezzo', 0, 0, '', 9, '', '', '', NULL, -1, 'IR', '', '', NULL),
		('365', 'b', 'Prezzo totale', 'Prezzo totale', 0, 0, '', 9, '', '', '', NULL, -1, 'IR', '', '', NULL),
		('365', 'c', 'Codice della valuta', 'Codice della valuta', 0, 0, '', 9, '', '', '', NULL, -1, 'IR', '', '', NULL),
		('365', 'd', 'Unità de fissazione del prezzo', 'Unità de fissazione del prezzo', 0, 0, '', 9, '', '', '', NULL, -1, 'IR', '', '', NULL),
		('365', 'e', 'Nota sul prezzo', 'Nota sul prezzo', 0, 0, '', 9, '', '', '', NULL, -1, 'IR', '', '', NULL),
		('365', 'f', 'Prezzo in vigore dal', 'Prezzo in vigore dal', 0, 0, '', 9, '', '', '', NULL, -1, 'IR', '', '', NULL),
		('365', 'g', 'Prezzo in vigore fino al', 'Prezzo in vigore fino al', 0, 0, '', 9, '', '', '', NULL, -1, 'IR', '', '', NULL),
		('365', 'h', 'Aliquota 1', 'Aliquota 1', 0, 0, '', 9, '', '', '', NULL, -1, 'IR', '', '', NULL),
		('365', 'i', 'Aliquota 2', 'Aliquota 2', 0, 0, '', 9, '', '', '', NULL, -1, 'IR', '', '', NULL),
		('365', 'j', 'Codice ISO del paese', 'Codice ISO del paese', 0, 0, '', 9, '', '', '', NULL, -1, 'IR', '', '', NULL),
		('365', 'k', 'Codice MARC del paese', 'Codice MARC del paese', 0, 0, '', 9, '', '', '', NULL, -1, 'IR', '', '', NULL),
		('365', 'm', 'Identificazione dell\'ente di fissazione del prezzo', 'Identificazione dell\'ente di fissazione del prezzo', 0, 0, '', 9, '', '', '', NULL, -1, 'IR', '', '', NULL),
		('366', '2', 'Fonte dello stato di disponibilità', 'Fonte dello stato di disponibilità', 0, 0, '', 9, '', '', '', NULL, -1, 'IR', '', '', NULL),
		('366', '6', 'Collegamento', 'Collegamento', 0, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('366', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('366', 'a', 'Identificazione editoriale abbreviata di titolo', 'Identificazione editoriale abbreviata di titolo', 0, 0, '', 9, '', '', '', NULL, -1, 'IR', '', '', NULL),
		('366', 'b', 'Data dettagliata di pubblicazione', 'Data dettagliata di pubblicazione', 0, 0, '', 9, '', '', '', NULL, -1, 'IR', '', '', NULL),
		('366', 'c', 'Codice dello stato di disponibilità', 'Codice dello stato di disponibilità', 0, 0, '', 9, '', '', '', NULL, -1, 'IR', '', '', NULL),
		('366', 'd', 'Data prevedibile della prossima disponibilità', 'Data prevedibile della prossima disponibilità', 0, 0, '', 9, '', '', '', NULL, -1, 'IR', '', '', NULL),
		('366', 'e', 'Nota', 'Nota', 0, 0, '', 9, '', '', '', NULL, -1, 'IR', '', '', NULL),
		('366', 'f', 'Tipo di sconto dell\'editore', 'Tipo di sconto dell\'editore', 0, 0, '', 9, '', '', '', NULL, -1, 'IR', '', '', NULL),
		('366', 'g', 'Data di esaurimento', 'Data di esaurimento', 0, 0, '', 9, '', '', '', NULL, -1, 'IR', '', '', NULL),
		('366', 'j', 'Codice ISO del paese', 'Codice ISO del paese', 0, 0, '', 9, '', '', '', NULL, -1, 'IR', '', '', NULL),
		('366', 'k', 'Codice MARC del paese', 'Codice MARC del paese', 0, 0, '', 9, '', '', '', NULL, -1, 'IR', '', '', NULL),
		('366', 'm', 'Identificazione dell\'agenzia', 'Identificazione dell\'agenzia', 0, 0, '', 9, '', '', '', NULL, -1, 'IR', '', '', NULL),
		('400', '4', 'Codice di ruolo', 'Codice di ruolo', 1, 0, '', 4, '', '', '', 0, -6, 'IR', '', '', NULL),
		('400', '6', 'Collegamento', 'Collegamento', 0, 0, '', 4, '', '', '', 0, -6, 'IR', '', '', NULL),
		('400', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 4, '', '', '', 0, -6, 'IR', '', '', NULL),
		('400', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 4, '', '', '', 0, -5, 'IR', '', '', NULL),
		('400', 'a', 'Nome di persona', 'Nome di persona', 0, 0, '', 4, '', '', '', 0, -6, 'IR', '', '', NULL),
		('400', 'b', 'Numerazione', 'Numerazione', 0, 0, '', 4, '', '', '', 0, -6, 'IR', '', '', NULL),
		('400', 'c', 'Titoli e altre parole associate al nome', 'Titoli e altre parole associate al nome', 1, 0, '', 4, '', '', '', 0, -6, 'IR', '', '', NULL),
		('400', 'd', 'Date associate al nome', 'Date associate al nome', 0, 0, '', 4, '', '', '', 0, -6, 'IR', '', '', NULL),
		('400', 'e', 'Termine di ruolo', 'Termine di ruolo', 1, 0, '', 4, '', '', '', 0, -6, 'IR', '', '', NULL),
		('400', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, '', 4, '', '', '', 0, -6, 'IR', '', '', NULL),
		('400', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, '', 4, '', '', '', 0, -6, 'IR', '', '', NULL),
		('400', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, '', 4, '', '', '', 0, -6, 'IR', '', '', NULL),
		('400', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, '', 4, '', '', '', 0, -6, 'IR', '', '', NULL),
		('400', 'n', 'Numero di parte/sezione dell\'opera', 'Numero di parte/sezione dell\'opera', 1, 0, '', 4, '', '', '', 0, -6, 'IR', '', '', NULL),
		('400', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, '', 4, '', '', '', 0, -6, 'IR', '', '', NULL),
		('400', 'q', 'Forma completa del nome', 'Forma completa del nome', 0, 0, '', 4, '', '', '', 0, -6, 'IR', '', '', NULL),
		('400', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, '', 4, '', '', '', 0, -6, 'IR', '', '', NULL),
		('400', 'u', 'Affiliazione', 'Affiliazione', 0, 0, '', 4, '', '', '', 0, -6, 'IR', '', '', NULL),
		('400', 'v', 'Numero del volume/designazione di sequenza', 'Numero del volume/designazione di sequenza', 0, 0, '', 4, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('400', 'x', 'ISSN (International Standard Serial Number)', 'ISSN (International Standard Serial Number)', 0, 0, '', 4, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('410', '4', 'Codice di ruolo', 'Codice di ruolo', 1, 0, '', 4, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('410', '6', 'Collegamento', 'Collegamento', 0, 0, '', 4, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('410', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 4, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('410', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 4, '', '', '', 0, -6, 'IR', '', '', NULL),
		('410', 'a', 'Nome dell\'ente o nome della giurisdizione come accesso', 'Nome dell\'ente o nome della giurisdizione come accesso', 0, 0, '', 4, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('410', 'b', 'Unità subordinata', 'Unità subordinata', 1, 0, '', 4, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('410', 'c', 'Luogo del convegno', 'Luogo del convegno', 0, 0, '', 4, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('410', 'd', 'Data del convegno o di firma del trattato', 'Data del convegno o di firma del trattato', 1, 0, '', 4, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('410', 'e', 'Termine di ruolo', 'Termine di ruolo', 1, 0, '', 4, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('410', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, '', 4, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('410', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, '', 4, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('410', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, '', 4, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('410', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, '', 4, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('410', 'n', 'Numero di parte/sezione/convegno', 'Numero di parte/sezione/convegno', 1, 0, '', 4, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('410', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, '', 4, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('410', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, '', 4, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('410', 'u', 'Affiliazione', 'Affiliazione', 0, 0, '', 4, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('410', 'v', 'Numero del volume/designazione di sequenza', 'Numero del volume/designazione di sequenza', 0, 0, '', 4, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('410', 'x', 'ISSN (International Standard Serial Number)', 'ISSN (International Standard Serial Number)', 0, 0, '', 4, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('411', '4', 'Codice di ruolo', 'Codice di ruolo', 1, 0, NULL, 4, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('411', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 4, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('411', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 4, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('411', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 4, '', '', '', 0, -5, 'IR', '', '', NULL),
		('411', 'a', 'Nome del convegno o nome della giurisdizione come accesso', 'Nome del convegno o nome della giurisdizione come accesso', 0, 0, NULL, 4, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('411', 'b', 'Number [OBSOLETE]', 'Number [OBSOLETE]', 0, 0, NULL, 4, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('411', 'c', 'Luogo del convegno', 'Luogo del convegno', 0, 0, NULL, 4, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('411', 'd', 'Data del convegno', 'Data del convegno', 0, 0, NULL, 4, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('411', 'e', 'Unità subordinata', 'Unità subordinata', 1, 0, NULL, 4, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('411', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, NULL, 4, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('411', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, NULL, 4, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('411', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, NULL, 4, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('411', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, NULL, 4, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('411', 'n', 'Numero di parte/sezione/convegno', 'Numero di parte/sezione/convegno', 1, 0, NULL, 4, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('411', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, NULL, 4, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('411', 'q', 'Nome del convegno dopo accesso di nome della giurisdizione', 'Nome del convegno dopo accesso di nome della giurisdizione', 0, 0, NULL, 4, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('411', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, NULL, 4, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('411', 'u', 'Affiliazione', 'Affiliazione', 0, 0, NULL, 4, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('411', 'v', 'Numero del volume/designazione di sequenza', 'Numero del volume/designazione di sequenza', 0, 0, '', 4, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('411', 'x', 'ISSN (International Standard Serial Number)', 'ISSN (International Standard Serial Number)', 0, 0, '', 4, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('440', '6', 'Collegamento', 'Collegamento', 0, 0, '', 4, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('440', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 4, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('440', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 4, '', '', '', 0, -5, 'IR', '', '', NULL),
		('440', 'a', 'Titolo', 'Titolo', 0, 0, 'biblio.seriestitle', 4, '', 'UNIF_TITLE', '', NULL, 0, 'IR', '''440n'',''440p'',''490a'',''830a'',''830n'',''830p'',''899a''', '', NULL),
		('440', 'n', 'Numero di parte/sezione dell\'opera', 'Numero di parte/sezione dell\'opera', 1, 0, 'biblioitems.number', 4, '', '', '', NULL, 0, 'IR', '', '', NULL),
		('440', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, '', 4, '', '', '', NULL, 0, 'IR', '', '', NULL),
		('440', 'v', 'Numero del volume/designazione di sequenza', 'Numero del volume/designazione di sequenza', 0, 0, 'biblioitems.volume', 4, '', '', '', NULL, 0, 'IR', '', '', NULL),
		('440', 'x', 'ISSN (International Standard Serial Number)', 'ISSN (International Standard Serial Number)', 0, 0, '', 4, '', '', '', NULL, 0, 'IR', '', '', NULL),
		('490', '6', 'Collegamento', 'Collegamento', 0, 0, '', 4, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('490', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 4, '', '', NULL, NULL, -6, 'IR', '', '', NULL),
		('490', 'a', 'Formulazione della serie', 'Formulazione della serie', 1, 0, '', 4, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('490', 'l', 'Numero di chiamata (collocazione) della Library of Congress', 'Numero di chiamata (collocazione) della Library of Congress', 0, 0, '', 4, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('490', 'v', 'Numero del volume/designazione di sequenza', 'Numero del volume/designazione di sequenza', 1, 0, '', 4, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('490', 'x', 'ISSN (International Standard Serial Number)', 'ISSN (International Standard Serial Number)', 0, 0, '', 4, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('500', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, '', 5, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('500', '5', 'Istituzione a cui si applica il campo', 'Istituzione a cui si applica il campo', 0, 0, '', 5, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('500', '6', 'Collegamento', 'Collegamento', 0, 0, '', 5, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('500', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 5, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('500', 'a', 'Nota generale', 'Nota generale', 0, 0, 'biblio.notes', 5, '', '', '', NULL, -1, 'IR', '', '', NULL),
		('500', 'l', 'Library of Congress call number (SE) [OBSOLETE]', 'Library of Congress call number (SE) [OBSOLETE]', 0, 0, '', 5, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('500', 'n', 'n (RLIN) [OBSOLETE]', 'n (RLIN) [OBSOLETE]', 0, 0, '', 5, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('500', 'x', 'International Standard Serial Number (SE) [OBSOLETE]', 'International Standard Serial Number (SE) [OBSOLETE]', 0, 0, '', 5, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('500', 'z', 'Source of note information (AM SE) [OBSOLETE]', 'Source of note information (AM SE) [OBSOLETE]', 0, 0, '', 5, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('501', '5', 'Istituzione a cui si applica il campo', 'Istituzione a cui si applica il campo', 0, 0, '', 5, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('501', '6', 'Collegamento', 'Collegamento', 0, 0, '', 5, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('501', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 5, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('501', 'a', 'Nota  Pubblicato con', 'Nota  Pubblicato con', 0, 0, '', 5, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('502', '6', 'Collegamento', 'Collegamento', 0, 0, '', 5, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('502', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 5, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('502', 'a', 'Nota di dissertazione', 'Nota di dissertazione', 0, 0, '', 5, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('503', '8', 'Collegamento', 'Collegamento', 0, 0, '', 5, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('503', 'a', 'Bibliographic history note', 'Bibliographic history note', 0, 0, '', 5, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('504', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('504', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('504', 'a', 'Nota di bibliografia, ecc.', 'Nota di bibliografia, ecc.', 0, 0, '', 5, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('504', 'b', 'Numero dei riferimenti', 'Numero dei riferimenti', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('505', '6', 'Collegamento', 'Collegamento', 0, 0, '', 5, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('505', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 5, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('505', 'a', 'Nota formattata di contenuto', 'Nota formattata di contenuto', 0, 0, '', 5, '', '', '', NULL, -1, 'IR', '', '', NULL),
		('505', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 1, 0, '', 5, '', '', '', NULL, -1, 'IR', '', '', NULL),
		('505', 'r', 'Formulazione di responsabilità', 'Formulazione di responsabilità', 1, 0, '', 5, '', '', '', NULL, -1, 'IR', '', '', NULL),
		('505', 't', 'Titolo', 'Titolo', 1, 0, '', 5, '', '', '', NULL, -1, 'IR', '', '', NULL),
		('505', 'u', 'URI (Uniform Resource Identifier)', 'URI (Uniform Resource Identifier)', 1, 0, '', 5, '', '', '', 1, -1, 'IR', '', '', NULL),
		('506', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, '', 5, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('506', '5', 'Istituzione a cui si applica il campo', 'Istituzione a cui si applica il campo', 0, 0, '', 5, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('506', '6', 'Collegamento', 'Collegamento', 0, 0, '', 5, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('506', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 5, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('506', 'a', 'Condizioni che regolano l\'accesso', 'Condizioni che regolano l\'accesso', 0, 0, '', 5, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('506', 'b', 'Competenza legale', 'Competenza legale', 1, 0, '', 5, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('506', 'c', 'Disposizioni per l\'accesso fisico', 'Disposizioni per l\'accesso fisico', 1, 0, '', 5, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('506', 'd', 'Utenti autorizzati', 'Utenti autorizzati', 1, 0, '', 5, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('506', 'e', 'Autorizzazione', 'Autorizzazione', 1, 0, '', 5, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('506', 'f', 'Terminologia normalizzata della restrizione all’accesso', 'Terminologia normalizzata della restrizione all’accesso', 1, 0, '', 5, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('506', 'u', 'URI (Uniform Resource Identifier)', 'URI (Uniform Resource Identifier)', 1, 0, '', 5, '', '', '', 1, -6, 'IR', '', '', NULL),
		('507', '6', 'Collegamento', 'Collegamento', 0, 0, '', 5, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('507', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 5, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('507', 'a', 'Nota di frazione rappresentativa di scala', 'Nota di frazione rappresentativa di scala', 0, 0, '', 5, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('507', 'b', 'Restante parte della nota di scala', 'Restante parte della nota di scala', 0, 0, '', 5, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('508', '6', 'Collegamento', 'Collegamento', 0, 0, '', 5, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('508', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('508', 'a', 'Nota sui crediti di creazione/produzione', 'Nota sui crediti di creazione/produzione', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('509', 'a', 'Note informali', 'Note informali', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('510', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, '', 5, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('510', '6', 'Collegamento', 'Collegamento', 0, 0, '', 5, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('510', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 5, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('510', 'a', 'Nome della fonte', 'Nome della fonte', 0, 0, '', 5, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('510', 'b', 'Copertura della fonte', 'Copertura della fonte', 0, 0, '', 5, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('510', 'c', 'Localizzazione nella fonte', 'Localizzazione nella fonte', 0, 0, '', 5, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('510', 'x', 'ISSN (International Standard Serial Number)', 'ISSN (International Standard Serial Number)', 0, 0, '', 5, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('511', '6', 'Collegamento', 'Collegamento', 0, 0, '', 5, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('511', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 5, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('511', 'a', 'Nota sui partecipanti o interpreti', 'Nota sui partecipanti o interpreti', 0, 0, '', 5, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('512', '6', 'Collegamento', 'Collegamento', 0, 0, '', -1, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('512', 'a', 'Earlier or later volumes separately cataloged note', 'Earlier or later volumes separately cataloged note', 0, 0, '', -1, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('513', '6', 'Collegamento', 'Collegamento', 0, 0, '', 5, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('513', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 5, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('513', 'a', 'Tipo di rapporto', 'Tipo di rapporto', 0, 0, '', 5, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('513', 'b', 'Periodo coperto', 'Periodo coperto', 0, 0, '', 5, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('514', '6', 'Collegamento', 'Collegamento', 0, 0, '', 5, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('514', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 5, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('514', 'a', 'Rapporto di esattezza degli attributi', 'Rapporto di esattezza degli attributi', 0, 0, '', 5, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('514', 'b', 'Valore di esattezza degli attributi', 'Valore di esattezza degli attributi', 1, 0, '', 5, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('514', 'c', 'Spiegazione della esattezza degli attributi', 'Spiegazione della esattezza degli attributi', 1, 0, '', 5, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('514', 'd', 'Rapporto di coerenza logica', 'Rapporto di coerenza logica', 0, 0, '', 5, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('514', 'e', 'Rapporto di completezza', 'Rapporto di completezza', 0, 0, '', 5, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('514', 'f', 'Rapporto di esattezza di posizione orizzontale', 'Rapporto di esattezza di posizione orizzontale', 0, 0, '', 5, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('514', 'g', 'Valore di esattezza di posizione orizzontale', 'Valore di esattezza di posizione orizzontale', 1, 0, '', 5, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('514', 'h', 'Spiegazione della esattezza di posizione orizzontale', 'Spiegazione della esattezza di posizione orizzontale', 1, 0, '', 5, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('514', 'i', 'Rapporto di esattezza di posizione verticale', 'Rapporto di esattezza di posizione verticale', 0, 0, '', 5, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('514', 'j', 'Valore di esattezza di posizione verticale', 'Valore di esattezza di posizione verticale', 1, 0, '', 5, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('514', 'k', 'Spiegazione della esattezza di posizione verticale', 'Spiegazione della esattezza di posizione verticale', 1, 0, '', 5, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('514', 'm', 'Nuvolosità', 'Nuvolosità', 0, 0, '', 5, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('514', 'u', 'URI (Uniform Resource Identifier)', 'URI (Uniform Resource Identifier)', 1, 0, '', 5, '', '', '', 1, -6, 'IR', '', '', NULL),
		('514', 'z', 'Nota di visualizzazione', 'Nota di visualizzazione', 1, 0, '', 5, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('515', '6', 'Collegamento', 'Collegamento', 0, 0, '', 5, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('515', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 5, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('515', 'a', 'Nota su particolarità della numerazione', 'Nota su particolarità della numerazione', 0, 0, '', 5, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('515', 'z', 'Source of note information (SE) [OBSOLETE]', 'Source of note information (SE) [OBSOLETE]', 0, 0, '', -1, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('516', '6', 'Collegamento', 'Collegamento', 0, 0, '', 5, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('516', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 5, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('516', 'a', 'Nota sul tipo di computer file o di file di dati', 'Nota sul tipo di computer file o di file di dati', 0, 0, '', 5, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('517', 'a', 'Formati multipli', 'Formati multipli', 0, 0, '', 5, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('517', 'b', 'Descrittori del contenuto', 'Descrittori del contenuto', 1, 0, '', 5, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('517', 'c', 'Tecniche d\'animazione addizionali', 'Tecniche d\'animazione addizionali', 1, 0, '', 5, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('518', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, '', 5, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('518', '6', 'Collegamento', 'Collegamento', 0, 0, '', 5, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('518', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 5, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('518', 'a', 'Nota sulla data/ora e luogo dell\'evento', 'Nota sulla data/ora e luogo dell\'evento', 0, 0, '', 5, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('520', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, '', 5, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('520', '6', 'Collegamento', 'Collegamento', 0, 0, '', 5, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('520', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 5, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('520', 'a', 'Nota di riassunto, ecc.', 'Nota di riassunto, ecc.', 0, 0, 'biblio.abstract', 5, '', '', '', NULL, -1, 'IR', '', '', NULL),
		('520', 'b', 'Nota di estensione del riassunto', 'Nota di estensione del riassunto', 0, 0, '', 5, '', '', '', NULL, -1, 'IR', '', '', NULL),
		('520', 'u', 'URI (Uniform Resource Identifier)', 'URI (Uniform Resource Identifier)', 1, 0, '', 5, '', '', '', 1, -1, 'IR', '', '', NULL),
		('520', 'z', 'Source of note information [OBSOLETE]', 'Source of note information [OBSOLETE]', 0, 0, '', 5, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('521', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('521', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('521', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('521', 'a', 'Nota sui destinatari', 'Nota sui destinatari', 1, 0, NULL, 5, NULL, NULL, '', NULL, 0, 'IR', '', '', NULL),
		('521', 'b', 'Fonte', 'Fonte', 0, 0, NULL, 5, NULL, NULL, '', NULL, 0, 'IR', '', '', NULL),
		('522', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('522', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('522', 'a', 'Nota di copertura geografica', 'Nota di copertura geografica', 0, 0, NULL, 5, NULL, NULL, '', NULL, -1, 'IR', '', '', NULL),
		('523', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('523', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('523', 'a', 'Time period of content note', 'Time period of content note', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('524', '2', 'Fonte dello schema usato', 'Fonte dello schema usato', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('524', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('524', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('524', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('524', 'a', 'Nota sulla citazione preferita dei materiali descritti', 'Nota sulla citazione preferita dei materiali descritti', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('525', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('525', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('525', 'a', 'Nota di supplemento', 'Nota di supplemento', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('525', 'z', 'Source of note information (SE) [OBSOLETE]', 'Source of note information (SE) [OBSOLETE]', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('526', '5', 'Istituzione a cui si applica il campo', 'Istituzione a cui si applica il campo', 0, 0, '', 5, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('526', '6', 'Collegamento', 'Collegamento', 0, 0, '', 5, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('526', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 5, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('526', 'a', 'Nome del programma', 'Nome del programma', 0, 0, '', 5, '', '', '', NULL, -1, 'IR', '', '', NULL),
		('526', 'b', 'Livello d\'interesse', 'Livello d\'interesse', 0, 0, '', 5, '', '', '', NULL, -1, 'IR', '', '', NULL),
		('526', 'c', 'Livello di lettura', 'Livello di lettura', 0, 0, '', 5, '', '', '', NULL, -1, 'IR', '', '', NULL),
		('526', 'd', 'Valore numerico del titolo', 'Valore numerico del titolo', 0, 0, '', 5, '', '', '', NULL, -1, 'IR', '', '', NULL),
		('526', 'i', 'Testo da visualizzare', 'Testo da visualizzare', 0, 0, '', 5, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('526', 'x', 'Nota non pubblic', 'Nota non pubblic', 1, 0, '', 5, '', '', '', NULL, 6, 'IR', '', '', NULL),
		('526', 'z', 'Nota pubblica', 'Nota pubblica', 1, 0, '', 5, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('527', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('527', 'a', 'Censorship note', 'Censorship note', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('530', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('530', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('530', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('530', 'a', 'Nota sulla disponibilità su altro supporto fisico', 'Nota sulla disponibilità su altro supporto fisico', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('530', 'b', 'Fonte di disponibilità', 'Fonte di disponibilità', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('530', 'c', 'Condizioni di disponibilità', 'Condizioni di disponibilità', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('530', 'd', 'Numero di ordine', 'Numero di ordine', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('530', 'u', 'URI (Uniform Resource Identifier)', 'URI (Uniform Resource Identifier)', 1, 0, NULL, 5, NULL, NULL, '', 1, -6, 'IR', '', '', NULL),
		('530', 'z', 'Source of note information (AM CF VM SE) [OBSOLETE]', 'Source of note information (AM CF VM SE) [OBSOLETE]', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('533', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('533', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('533', '7', 'Elementi di lunghezza fissa della riproduzione', 'Elementi di lunghezza fissa della riproduzione', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('533', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('533', 'a', 'Tipo di riproduzione', 'Tipo di riproduzione', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('533', 'b', 'Luogo di riproduzione', 'Luogo di riproduzione', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('533', 'c', 'Agenzia responsabile della riproduzione', 'Agenzia responsabile della riproduzione', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('533', 'd', 'Data di riproduzione', 'Data di riproduzione', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('533', 'e', 'Descrizione fisica della riproduzione', 'Descrizione fisica della riproduzione', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('533', 'f', 'Formulazione della serie della riproduzione', 'Formulazione della serie della riproduzione', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('533', 'm', 'Date e/o designazione sequenziale dei documenti riprodotti', 'Date e/o designazione sequenziale dei documenti riprodotti', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('533', 'n', 'Nota sulla riproduzione', 'Nota sulla riproduzione', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('534', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('534', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('534', 'a', 'Accesso principale dell\'originale', 'Accesso principale dell\'originale', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('534', 'b', 'Formulazione di edizione dell\'originale', 'Formulazione di edizione dell\'originale', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('534', 'c', 'Pubblicazione, distribuzione, ecc., dell\'originale', 'Pubblicazione, distribuzione, ecc., dell\'originale', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('534', 'e', 'Descrizione fisica, ecc., dell\'originale', 'Descrizione fisica, ecc., dell\'originale', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('534', 'f', 'Formulazione della serie dell\'originale', 'Formulazione della serie dell\'originale', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('534', 'k', 'Titolo chiave dell\'originale', 'Titolo chiave dell\'originale', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('534', 'l', 'Localizzazione dell\'originale', 'Localizzazione dell\'originale', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('534', 'm', 'Dettagli specifici del materiale', 'Dettagli specifici del materiale', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('534', 'n', 'Nota sull\'originale', 'Nota sull\'originale', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('534', 'p', 'Frase introduttiva', 'Frase introduttiva', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('534', 't', 'Formulazione del titolo dell\'originale', 'Formulazione del titolo dell\'originale', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('534', 'x', 'ISSN (International Standard Serial Number)', 'ISSN (International Standard Serial Number)', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('534', 'z', 'ISBN (International Standard Book Number)', 'ISBN (International Standard Book Number)', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('535', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('535', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('535', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('535', 'a', 'Conservatore', 'Conservatore', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('535', 'b', 'Indirizzo postale', 'Indirizzo postale', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('535', 'c', 'Paese', 'Paese', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('535', 'd', 'Indirizzo di telecomunicazione', 'Indirizzo di telecomunicazione', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('535', 'g', 'Codice di localizzazione del deposito', 'Codice di localizzazione del deposito', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('536', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('536', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('536', 'a', 'Testo della nota', 'Testo della nota', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('536', 'b', 'Numero di contratto', 'Numero di contratto', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('536', 'c', 'Numero di sovvenzione', 'Numero di sovvenzione', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('536', 'd', 'Numero indifferenziato', 'Numero indifferenziato', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('536', 'e', 'Numero di elemento di un programma', 'Numero di elemento di un programma', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('536', 'f', 'Numero di progetto', 'Numero di progetto', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('536', 'g', 'Numero di unità di lavoro', 'Numero di unità di lavoro', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('536', 'h', 'Numero di unità di lavoro', 'Numero di unità di lavoro', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('537', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('537', 'a', 'Source of data note', 'Source of data note', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('538', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('538', '6', 'Collegamento', 'Collegamento', 0, 0, '', 5, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('538', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 5, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('538', 'a', 'Nota sui requisiti del sistema', 'Nota sui requisiti del sistema', 0, 0, '', 5, '', '', '', NULL, -1, 'IR', '', '', NULL),
		('538', 'i', 'Testo da visualizzare', 'Testo da visualizzare', 0, 0, '', 5, '', '', '', NULL, -1, 'IR', '', '', NULL),
		('538', 'u', 'URI (Uniform Resource Identifier)', 'URI (Uniform Resource Identifier)', 1, 0, '', 5, '', '', '', 1, -1, 'IR', '', '', NULL),
		('540', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('540', '5', 'Istituzione a cui si applica il campo', 'Istituzione a cui si applica il campo', 0, 0, '', 5, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('540', '6', 'Collegamento', 'Collegamento', 0, 0, '', 5, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('540', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 5, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('540', 'a', 'Condizioni che regolano l\'utilizzo e la riproduzione', 'Condizioni che regolano l\'utilizzo e la riproduzione', 0, 0, '', 5, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('540', 'b', 'Competenza legale', 'Competenza legale', 0, 0, '', 5, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('540', 'c', 'Autorizzazione', 'Autorizzazione', 0, 0, '', 5, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('540', 'd', 'Utenti autorizzati', 'Utenti autorizzati', 0, 0, '', 5, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('540', 'u', 'URI (Uniform Resource Identifier)', 'URI (Uniform Resource Identifier)', 1, 0, '', 5, '', '', '', 1, -6, 'IR', '', '', NULL),
		('541', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, NULL, 9, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('541', '5', 'Istituzione a cui si applica il campo', 'Istituzione a cui si applica il campo', 0, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('541', '6', 'Collegamento', 'Collegamento', 0, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('541', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('541', 'a', 'Fonte d\'acquisto', 'Fonte d\'acquisto', 0, 0, '', 9, '', '', '', NULL, 1, 'IR', '', '', NULL),
		('541', 'b', 'Indirizzo', 'Indirizzo', 0, 0, '', 9, '', '', '', NULL, 1, 'IR', '', '', NULL),
		('541', 'c', 'Metodo d\'acquisto', 'Metodo d\'acquisto', 0, 0, '', 9, '', '', '', NULL, 1, 'IR', '', '', NULL),
		('541', 'd', 'Data d\'acquisto', 'Data d\'acquisto', 0, 0, '', 9, '', '', '', NULL, 1, 'IR', '', '', NULL),
		('541', 'e', 'Numero d\'accessione', 'Numero d\'accessione', 0, 0, '', 9, '', '', '', NULL, 1, 'IR', '', '', NULL),
		('541', 'f', 'Proprietario', 'Proprietario', 0, 0, '', 9, '', '', '', NULL, 1, 'IR', '', '', NULL),
		('541', 'h', 'Prezzo d\'acquisto', 'Prezzo d\'acquisto', 0, 0, '', 9, '', '', '', NULL, 1, 'IR', '', '', NULL),
		('541', 'n', 'Estensione', 'Estensione', 0, 0, '', 9, '', '', '', NULL, 1, 'IR', '', '', NULL),
		('541', 'o', 'Tipo di materiale', 'Tipo di materiale', 1, 0, '', 9, '', '', '', NULL, 1, 'IR', '', '', NULL),
		('543', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('543', 'a', 'Solicitation information note', 'Solicitation information note', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('544', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('544', '6', 'Collegamento', 'Collegamento', 0, 0, '', 5, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('544', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 5, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('544', 'a', 'Conservatore', 'Conservatore', 1, 0, '', 5, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('544', 'b', 'Indirizzo', 'Indirizzo', 1, 0, '', 5, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('544', 'c', 'Paese', 'Paese', 1, 0, '', 5, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('544', 'd', 'Titolo', 'Titolo', 1, 0, '', 5, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('544', 'e', 'Provenienza', 'Provenienza', 1, 0, '', 5, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('544', 'n', 'Nota', 'Nota', 1, 0, '', 5, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('545', '6', 'Collegamento', 'Collegamento', 0, 0, '', 5, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('545', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 5, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('545', 'a', 'Nota biografica o storica', 'Nota biografica o storica', 0, 0, '', 5, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('545', 'b', 'Ampliamento', 'Ampliamento', 0, 0, '', 5, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('545', 'u', 'URI (Uniform Resource Identifier)', 'URI (Uniform Resource Identifier)', 1, 0, '', 5, '', '', '', 1, -6, 'IR', '', '', NULL),
		('546', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('546', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('546', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('546', 'a', 'Nota sulla lingua', 'Nota sulla lingua', 0, 0, NULL, 5, NULL, NULL, '', NULL, -1, 'IR', '', '', NULL),
		('546', 'b', 'Codice d\'informazione o alfabeto', 'Codice d\'informazione o alfabeto', 1, 0, NULL, 5, NULL, NULL, '', NULL, -1, 'IR', '', '', NULL),
		('546', 'z', 'Source of note information (SE) [OBSOLETE]', 'Source of note information (SE) [OBSOLETE]', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('547', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('547', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('547', 'a', 'Nota sulla complessità del titolo precedente', 'Nota sulla complessità del titolo precedente', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('547', 'z', 'Source of note information (SE) [OBSOLETE]', 'Source of note information (SE) [OBSOLETE]', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('550', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('550', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('550', 'a', 'Nota sull\'ente responsabile', 'Nota sull\'ente responsabile', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('550', 'z', 'Source of note information (SE) [OBSOLETE]', 'Source of note information (SE) [OBSOLETE]', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('552', '6', 'Collegamento', 'Collegamento', 0, 0, '', 5, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('552', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 5, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('552', 'a', 'Etichetta del tipo di ente', 'Etichetta del tipo di ente', 0, 0, '', 5, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('552', 'b', 'Definizione e fonte del tipo di ente', 'Definizione e fonte del tipo di ente', 0, 0, '', 5, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('552', 'c', 'Etichetta dell\'attributo', 'Etichetta dell\'attributo', 0, 0, '', 5, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('552', 'd', 'Definizione e fonte dell\'attributo', 'Definizione e fonte dell\'attributo', 0, 0, '', 5, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('552', 'e', 'Valore del dominio enumerato', 'Valore del dominio enumerato', 1, 0, '', 5, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('552', 'f', 'Definizione e fonte del valore del dominio enumerato', 'Definizione e fonte del valore del dominio enumerato', 1, 0, '', 5, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('552', 'g', 'Minimo e massimo del range del dominio', 'Minimo e massimo del range del dominio', 0, 0, '', 5, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('552', 'h', 'Nome e fonte del set dei codici', 'Nome e fonte del set dei codici', 0, 0, '', 5, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('552', 'i', 'Dominio non rappresentabile', 'Dominio non rappresentabile', 0, 0, '', 5, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('552', 'j', 'Unità di misura e risoluzione degli attributi', 'Unità di misura e risoluzione degli attributi', 0, 0, '', 5, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('552', 'k', 'Data d\'inizio e data di fine dei valori dell\'attributo', 'Data d\'inizio e data di fine dei valori dell\'attributo', 0, 0, '', 5, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('552', 'l', 'Esattezza del valore dell\'attributo', 'Esattezza del valore dell\'attributo', 0, 0, '', 5, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('552', 'm', 'Spiegazione dell\'esattezza del valore dell\'attributo', 'Spiegazione dell\'esattezza del valore dell\'attributo', 0, 0, '', 5, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('552', 'n', 'Frequenza della misura d\'attributo', 'Frequenza della misura d\'attributo', 0, 0, '', 5, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('552', 'o', 'Riassunto di ente e d\'attributo', 'Riassunto di ente e d\'attributo', 1, 0, '', 5, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('552', 'p', 'Citazione dei dettagli di ente e d\'attributo', 'Citazione dei dettagli di ente e d\'attributo', 1, 0, '', 5, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('552', 'u', 'URI (Uniform Resource Identifier)', 'URI (Uniform Resource Identifier)', 1, 0, '', 5, '', '', '', 1, -6, 'IR', '', '', NULL),
		('552', 'z', 'Nota di visualizzazione', 'Nota di visualizzazione', 1, 0, '', 5, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('555', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('555', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('555', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('555', 'a', 'Nota sull\'indice cumulativo/strumenti di ricerca', 'Nota sull\'indice cumulativo/strumenti di ricerca', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('555', 'b', 'Fonte di disponibilità', 'Fonte di disponibilità', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('555', 'c', 'Grado di controllo', 'Grado di controllo', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('555', 'd', 'Riferimento bibliografico', 'Riferimento bibliografico', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('555', 'u', 'URI (Uniform Resource Identifier)', 'URI (Uniform Resource Identifier)', 1, 0, NULL, 5, NULL, NULL, '', 1, -6, 'IR', '', '', NULL),
		('556', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('556', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('556', 'a', 'Nota d\'informazione sulla documentazione', 'Nota d\'informazione sulla documentazione', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('556', 'z', 'ISBN (International Standard Book Number)', 'ISBN (International Standard Book Number)', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('561', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('561', '5', 'Istituzione a cui si applica il campo', 'Istituzione a cui si applica il campo', 0, 0, '', 5, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('561', '6', 'Collegamento', 'Collegamento', 0, 0, '', 5, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('561', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 5, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('561', 'a', 'Storia', 'Storia', 0, 0, '', 5, '', '', '', NULL, 6, 'IR', '', '', NULL),
		('561', 'b', 'Time of collation [OBSOLETE]', 'Time of collation [OBSOLETE]', 0, 0, '', 5, '', '', '', NULL, 6, 'IR', '', '', NULL),
		('562', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('562', '5', 'Istituzione a cui si applica il campo', 'Istituzione a cui si applica il campo', 0, 0, NULL, -1, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('562', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('562', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('562', 'a', 'Marche d\'identificazione', 'Marche d\'identificazione', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('562', 'b', 'Identificazione della copia', 'Identificazione della copia', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('562', 'c', 'Identificazione della versione', 'Identificazione della versione', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('562', 'd', 'Formato di presentazione', 'Formato di presentazione', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('562', 'e', 'Numero di copie', 'Numero di copie', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('563', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('563', '5', 'Istituzione a cui si applica il campo', 'Istituzione a cui si applica il campo', 0, 0, NULL, -1, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('563', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('563', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('563', 'a', 'Nota sulla rilegatura', 'Nota sulla rilegatura', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('563', 'u', 'URI (Uniform Resource Identifier)', 'URI (Uniform Resource Identifier)', 1, 0, NULL, 5, NULL, NULL, '', 1, -6, 'IR', '', '', NULL),
		('565', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('565', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('565', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('565', 'a', 'Numero di pratiche/variabili', 'Numero di pratiche/variabili', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('565', 'b', 'Nome della variabile', 'Nome della variabile', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('565', 'c', 'Unità d\'analisi', 'Unità d\'analisi', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('565', 'd', 'Universo dei dati', 'Universo dei dati', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('565', 'e', 'Sistema o codice d’archiviazione', 'Sistema o codice d’archiviazione', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('567', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('567', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('567', 'a', 'Nota sulla metodologia', 'Nota sulla metodologia', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('570', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('570', 'a', 'Editor note', 'Editor note', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('570', 'z', 'Source of note information', 'Source of note information', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('580', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('580', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('580', 'a', 'Nota di collegamento complesso', 'Nota di collegamento complesso', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('580', 'z', 'Source of note information [OBSOLETE]', 'Source of note information [OBSOLETE]', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('581', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('581', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('581', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('581', 'a', 'Nota di pubblicazioni sui materiali descritti', 'Nota di pubblicazioni sui materiali descritti', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('581', 'z', 'ISBN (International Standard Book Number)', 'ISBN (International Standard Book Number)', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('582', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('582', 'a', 'Related computer files note', 'Related computer files note', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('583', '2', 'Fonte', 'Fonte', 0, 0, NULL, 9, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('583', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, NULL, 9, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('583', '5', 'Istituzione a cui si applica il campo', 'Istituzione a cui si applica il campo', 0, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('583', '6', 'Collegamento', 'Collegamento', 0, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('583', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('583', 'a', 'Azione', 'Azione', 0, 0, '', 9, '', '', '', NULL, -1, 'IR', '', '', NULL),
		('583', 'b', 'Identificazione dell\'azione', 'Identificazione dell\'azione', 1, 0, '', 9, '', '', '', NULL, -1, 'IR', '', '', NULL),
		('583', 'c', 'Momento/data dell\'azione', 'Momento/data dell\'azione', 1, 0, '', 9, '', '', '', NULL, -1, 'IR', '', '', NULL),
		('583', 'd', 'Intervallo dell\'azione', 'Intervallo dell\'azione', 1, 0, '', 9, '', '', '', NULL, -1, 'IR', '', '', NULL),
		('583', 'e', 'Contingenza per l\'azione', 'Contingenza per l\'azione', 1, 0, '', 9, '', '', '', NULL, -1, 'IR', '', '', NULL),
		('583', 'f', 'Autorizzazione', 'Autorizzazione', 1, 0, '', 9, '', '', '', NULL, -1, 'IR', '', '', NULL),
		('583', 'h', 'Competenza legale', 'Competenza legale', 0, 0, '', 9, '', '', '', NULL, -1, 'IR', '', '', NULL),
		('583', 'i', 'Metodo dell\'azione', 'Metodo dell\'azione', 1, 0, '', 9, '', '', '', NULL, -1, 'IR', '', '', NULL),
		('583', 'j', 'Luogo dell\'azione', 'Luogo dell\'azione', 1, 0, '', 9, '', '', '', NULL, -1, 'IR', '', '', NULL),
		('583', 'k', 'Agente dell\'azione', 'Agente dell\'azione', 1, 0, '', 9, '', '', '', NULL, -1, 'IR', '', '', NULL),
		('583', 'l', 'Stato', 'Stato', 1, 0, '', 9, '', '', '', NULL, -1, 'IR', '', '', NULL),
		('583', 'n', 'Estensione', 'Estensione', 1, 0, '', 9, '', '', '', NULL, -1, 'IR', '', '', NULL),
		('583', 'o', 'Tipo di materiale', 'Tipo di materiale', 1, 0, '', 9, '', '', '', NULL, -1, 'IR', '', '', NULL),
		('583', 'u', 'URI (Uniform Resource Identifier)', 'URI (Uniform Resource Identifier)', 1, 0, '', 9, '', '', '', 1, -1, 'IR', '', '', NULL),
		('583', 'x', 'Nota non pubblic', 'Nota non pubblic', 1, 0, '', 9, '', '', '', NULL, 4, 'IR', '', '', NULL),
		('583', 'z', 'Nota pubblica', 'Nota pubblica', 1, 0, '', 9, '', '', '', NULL, -1, 'IR', '', '', NULL),
		('584', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('584', '5', 'Istituzione a cui si applica il campo', 'Istituzione a cui si applica il campo', 0, 0, '', 5, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('584', '6', 'Collegamento', 'Collegamento', 0, 0, '', 5, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('584', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 5, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('584', 'a', 'Accumulo', 'Accumulo', 1, 0, '', 5, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('584', 'b', 'Frequenza d\'uso', 'Frequenza d\'uso', 1, 0, '', 5, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('585', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('585', '5', 'Istituzione a cui si applica il campo', 'Istituzione a cui si applica il campo', 0, -6, '', 5, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('585', '6', 'Collegamento', 'Collegamento', 0, 0, '', 5, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('585', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 5, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('585', 'a', 'Nota di mostre', 'Nota di mostre', 0, 0, '', 5, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('586', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('586', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('586', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('586', 'a', 'Nota di premi', 'Nota di premi', 0, 0, NULL, 5, NULL, NULL, '', NULL, -1, 'IR', '', '', NULL),
		('590', '6', 'Linkage (RLIN)', 'Linkage (RLIN)', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('590', '8', 'Field link and sequence number (RLIN)', 'Field link and sequence number (RLIN)', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('590', 'a', 'Local note', 'Local note', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('590', 'b', 'Provenance (VM) [OBSOLETE]', 'Provenance (VM) [OBSOLETE]', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('590', 'c', 'Condition of individual reels (VM) [OBSOLETE]', 'Condition of individual reels (VM) [OBSOLETE]', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('590', 'd', 'Origin of safety copy (VM) [OBSOLETE]', 'Origin of safety copy (VM) [OBSOLETE]', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('600', '2', 'Fonte dell\'intestazione o del termine', 'Fonte dell\'intestazione o del termine', 0, 0, '', 6, '', '', '', NULL, -1, 'IR', '', '', NULL),
		('600', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, '', 6, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('600', '4', 'Codice di ruolo', 'Codice di ruolo', 1, 0, '', 6, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('600', '6', 'Collegamento', 'Collegamento', 0, 0, '', 6, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('600', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 6, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('600', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 6, '', '', '', 0, -5, 'IR', '', '', NULL),
		('600', 'a', 'Nome di persona', 'Nome di persona', 0, 0, '', 6, '', 'PERSO_NAME', '', NULL, -1, 'IR', '', '', NULL),
		('600', 'b', 'Numerazione', 'Numerazione', 0, 0, '', 6, '', '', '', NULL, -1, 'IR', '', '', NULL),
		('600', 'c', 'Titoli e altre parole associate al nome', 'Titoli e altre parole associate al nome', 1, 0, '', 6, '', '', '', NULL, -1, 'IR', '', '', NULL),
		('600', 'd', 'Date associate al nome', 'Date associate al nome', 0, 0, '', 6, '', '', '', NULL, -1, 'IR', '', '', NULL),
		('600', 'e', 'Termine di ruolo', 'Termine di ruolo', 1, 0, '', 6, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('600', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, '', 6, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('600', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, '', 6, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('600', 'h', 'Supporto', 'Supporto', 0, 0, '', 6, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('600', 'j', 'Qualificazione d\'attribuzione', 'Qualificazione d\'attribuzione', 1, 0, '', 6, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('600', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, '', 6, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('600', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, '', 6, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('600', 'm', 'Mezzo di esecuzione per la musica', 'Mezzo di esecuzione per la musica', 1, 0, '', 6, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('600', 'n', 'Numero di parte/sezione dell\'opera', 'Numero di parte/sezione dell\'opera', 1, 0, '', 6, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('600', 'o', 'Formulazione d\'arrangiamento per la musica', 'Formulazione d\'arrangiamento per la musica', 0, 0, '', 6, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('600', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, '', 6, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('600', 'q', 'Forma completa del nome', 'Forma completa del nome', 0, 0, '', 6, '', '', '', NULL, -1, 'IR', '', '', NULL),
		('600', 'r', 'Tonalità (musica)', 'Tonalità (musica)', 0, 0, '', 6, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('600', 's', 'Versione', 'Versione', 0, 0, '', 6, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('600', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, '', 6, '', '', '', NULL, -1, 'IR', '', '', NULL),
		('600', 'u', 'Affiliazione', 'Affiliazione', 0, 0, '', 6, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('600', 'v', 'Suddivisione geografica', 'Suddivisione geografica', 1, 0, '', 6, '', '', '', NULL, -1, 'IR', '', '', NULL),
		('600', 'x', 'Suddivisione generale', 'Suddivisione generale', 1, 0, '', 6, '', '', '', NULL, -1, 'IR', '', '', NULL),
		('600', 'y', 'Suddivisione cronologica', 'Suddivisione cronologica', 1, 0, '', 6, '', '', '', NULL, -1, 'IR', '', '', NULL),
		('600', 'z', 'Suddivisione geografica', 'Suddivisione geografica', 1, 0, '', 6, '', '', '', NULL, -1, 'IR', '', '', NULL),
		('610', '2', 'Fonte dell\'intestazione o del termine', 'Fonte dell\'intestazione o del termine', 0, 0, '', 6, '', '', '', NULL, -1, 'IR', '', '', NULL),
		('610', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, '', 6, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('610', '4', 'Codice di ruolo', 'Codice di ruolo', 1, 0, '', 6, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('610', '6', 'Collegamento', 'Collegamento', 0, 0, '', 6, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('610', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 6, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('610', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 6, '', '', '', 0, -5, 'IR', '', '', NULL),
		('610', 'a', 'Nome dell\'ente o nome della giurisdizione come accesso', 'Nome dell\'ente o nome della giurisdizione come accesso', 0, 0, '', 6, '', 'CORPO_NAME', '', NULL, -1, 'IR', '', '', NULL),
		('610', 'b', 'Unità subordinata', 'Unità subordinata', 1, 0, '', 6, '', '', '', NULL, -1, 'IR', '', '', NULL),
		('610', 'c', 'Luogo del convegno', 'Luogo del convegno', 0, 0, '', 6, '', '', '', NULL, -1, 'IR', '', '', NULL),
		('610', 'd', 'Data del convegno o di firma del trattato', 'Data del convegno o di firma del trattato', 1, 0, '', 6, '', '', '', NULL, -1, 'IR', '', '', NULL),
		('610', 'e', 'Termine di ruolo', 'Termine di ruolo', 1, 0, '', 6, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('610', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, '', 6, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('610', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, '', 6, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('610', 'h', 'Supporto', 'Supporto', 0, 0, '', 6, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('610', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, '', 6, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('610', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, '', 6, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('610', 'm', 'Mezzo di esecuzione per la musica', 'Mezzo di esecuzione per la musica', 1, 0, '', 6, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('610', 'n', 'Numero di parte/sezione/convegno', 'Numero di parte/sezione/convegno', 1, 0, '', 6, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('610', 'o', 'Formulazione d\'arrangiamento per la musica', 'Formulazione d\'arrangiamento per la musica', 0, 0, '', 6, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('610', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, '', 6, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('610', 'r', 'Tonalità (musica)', 'Tonalità (musica)', 0, 0, '', 6, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('610', 's', 'Versione', 'Versione', 0, 0, '', 6, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('610', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, '', 6, '', '', '', NULL, -1, 'IR', '', '', NULL),
		('610', 'u', 'Affiliazione', 'Affiliazione', 0, 0, '', 6, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('610', 'v', 'Suddivisione geografica', 'Suddivisione geografica', 1, 0, '', 6, '', '', '', NULL, -1, 'IR', '', '', NULL),
		('610', 'x', 'Suddivisione generale', 'Suddivisione generale', 1, 0, '', 6, '', '', '', NULL, -1, 'IR', '', '', NULL),
		('610', 'y', 'Suddivisione cronologica', 'Suddivisione cronologica', 1, 0, '', 6, '', '', '', NULL, -1, 'IR', '', '', NULL),
		('610', 'z', 'Suddivisione geografica', 'Suddivisione geografica', 1, 0, '', 6, '', '', '', NULL, -1, 'IR', '', '', NULL),
		('611', '2', 'Fonte dell\'intestazione o del termine', 'Fonte dell\'intestazione o del termine', 0, 0, NULL, 6, NULL, NULL, '', NULL, -1, 'IR', '', '', NULL),
		('611', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('611', '4', 'Codice di ruolo', 'Codice di ruolo', 1, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('611', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('611', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('611', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 6, '', '', '', 0, -5, 'IR', '', '', NULL),
		('611', 'a', 'Nome del convegno o nome della giurisdizione come accesso', 'Nome del convegno o nome della giurisdizione come accesso', 0, 0, NULL, 6, NULL, 'MEETI_NAME', '', NULL, -1, 'IR', '', '', NULL),
		('611', 'b', 'Number  (BK CF MP MU SE VM MX)  [OBSOLETE]', 'Number  (BK CF MP MU SE VM MX)  [OBSOLETE]', 1, 0, NULL, -1, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('611', 'c', 'Luogo del convegno', 'Luogo del convegno', 0, 0, NULL, 6, NULL, NULL, '', NULL, -1, 'IR', '', '', NULL),
		('611', 'd', 'Data del convegno', 'Data del convegno', 0, 0, NULL, 6, NULL, NULL, '', NULL, -1, 'IR', '', '', NULL),
		('611', 'e', 'Unità subordinata', 'Unità subordinata', 1, 0, NULL, 6, NULL, NULL, '', NULL, -1, 'IR', '', '', NULL),
		('611', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('611', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('611', 'h', 'Supporto', 'Supporto', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('611', 'j', 'Termine di ruolo', 'Termine di ruolo', 1, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('611', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('611', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('611', 'n', 'Numero di parte/sezione/convegno', 'Numero di parte/sezione/convegno', 1, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('611', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('611', 'q', 'Nome del convegno dopo accesso di nome della giurisdizione', 'Nome del convegno dopo accesso di nome della giurisdizione', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('611', 's', 'Versione', 'Versione', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('611', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, NULL, 6, NULL, NULL, '', NULL, -1, 'IR', '', '', NULL),
		('611', 'u', 'Affiliazione', 'Affiliazione', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('611', 'v', 'Suddivisione geografica', 'Suddivisione geografica', 1, 0, NULL, 6, NULL, NULL, '', NULL, -1, 'IR', '', '', NULL),
		('611', 'x', 'Suddivisione generale', 'Suddivisione generale', 1, 0, NULL, 6, NULL, NULL, '', NULL, -1, 'IR', '', '', NULL),
		('611', 'y', 'Suddivisione cronologica', 'Suddivisione cronologica', 1, 0, NULL, 6, NULL, NULL, '', NULL, -1, 'IR', '', '', NULL),
		('611', 'z', 'Suddivisione geografica', 'Suddivisione geografica', 1, 0, NULL, 6, NULL, NULL, '', NULL, -1, 'IR', '', '', NULL),
		('630', '2', 'Fonte dell\'intestazione o del termine', 'Fonte dell\'intestazione o del termine', 0, 0, NULL, 6, NULL, NULL, '', NULL, -1, 'IR', '', '', NULL),
		('630', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('630', '4', 'Codice di ruolo', 'Codice di ruolo', 1, 0, '', 6, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('630', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('630', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('630', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 6, '', '', '', 0, -5, 'IR', '', '', NULL),
		('630', 'a', 'Titolo uniforme', 'Titolo uniforme', 0, 0, NULL, 6, NULL, 'UNIF_TITLE', '', NULL, -1, 'IR', '', '', NULL),
		('630', 'd', 'Data di firma del trattato', 'Data di firma del trattato', 1, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('630', 'e', 'Termine di ruolo', 'Termine di ruolo', 1, 0, '', 6, '', '', '', NULL, -1, 'IR', '', '', NULL),
		('630', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('630', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('630', 'h', 'Supporto', 'Supporto', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('630', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('630', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, NULL, 6, NULL, NULL, '', NULL, -1, 'IR', '', '', NULL),
		('630', 'm', 'Mezzo di esecuzione per la musica', 'Mezzo di esecuzione per la musica', 1, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('630', 'n', 'Numero di parte/sezione dell\'opera', 'Numero di parte/sezione dell\'opera', 1, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('630', 'o', 'Formulazione d\'arrangiamento per la musica', 'Formulazione d\'arrangiamento per la musica', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('630', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('630', 'r', 'Tonalità (musica)', 'Tonalità (musica)', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('630', 's', 'Versione', 'Versione', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('630', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, NULL, 6, NULL, NULL, '', NULL, -1, 'IR', '', '', NULL),
		('630', 'v', 'Suddivisione geografica', 'Suddivisione geografica', 1, 0, NULL, 6, NULL, NULL, '', NULL, -1, 'IR', '', '', NULL),
		('630', 'x', 'Suddivisione generale', 'Suddivisione generale', 1, 0, NULL, 6, NULL, NULL, '', NULL, -1, 'IR', '', '', NULL),
		('630', 'y', 'Suddivisione cronologica', 'Suddivisione cronologica', 1, 0, NULL, 6, NULL, NULL, '', NULL, -1, 'IR', '', '', NULL),
		('630', 'z', 'Suddivisione geografica', 'Suddivisione geografica', 1, 0, NULL, 6, NULL, NULL, '', NULL, -1, 'IR', '', '', NULL),
		('648', '2', 'Fonte dell\'intestazione o del termine', 'Fonte dell\'intestazione o del termine', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('648', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('648', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('648', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('648', 'a', 'Termine cronologico', 'Termine cronologico', 0, 0, NULL, 6, NULL, 'CHRON_TERM', '', NULL, -6, 'IR', '', '', NULL),
		('648', 'v', 'Suddivisione geografica', 'Suddivisione geografica', 1, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('648', 'x', 'Suddivisione generale', 'Suddivisione generale', 1, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('648', 'y', 'Suddivisione cronologica', 'Suddivisione cronologica', 1, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('648', 'z', 'Suddivisione geografica', 'Suddivisione geografica', 1, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('650', '2', 'Fonte dell\'intestazione o del termine', 'Fonte dell\'intestazione o del termine', 0, 0, '', 6, '', '', '', 0, 0, 'IR', '', '', NULL),
		('650', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, '', 6, '', '', '', 0, -6, 'IR', '', '', NULL),
		('650', '4', 'Codice di ruolo', 'Codice di ruolo', 1, 0, '', 6, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('650', '6', 'Collegamento', 'Collegamento', 0, 0, '', 6, '', '', '', 0, -6, 'IR', '', '', NULL),
		('650', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 6, '', '', '', 0, -6, 'IR', '', '', NULL),
		('650', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 6, '', '', '', 0, -5, 'IR', '', '', NULL),
		('650', 'a', 'Termine topico o nome geografico come accesso', 'Termine topico o nome geografico come accesso', 0, 0, 'bibliosubject.subject', 6, '', 'TOPIC_TERM', '', 0, 0, 'IR', '''6003'',''600a'',''600b'',''600c'',''600d'',''600e'',''600f'',''600g'',''600h'',''600k'',''600l'',''600m'',''600n'',''600o'',''600p'',''600r'',''600s'',''600t'',''600u'',''600x'',''600z'',''600y'',''600v'',''6103'',''610a'',''610b'',''610c'',''610d'',''610e'',''610f'',''610g'',''610h'',''610k'',''610l'',''610m'',''610n'',''610o'',''610p'',''610r'',''610s'',''610t'',''610u'',''610x'',''610z'',''610y'',''610v'',''6113'',''611a'',''611b'',''611c'',''611d'',''611e'',''611f'',''611g'',''611h'',''611k'',''611l'',''611m'',''611n'',''611o'',''611p'',''611r'',''611s'',''611t'',''611u'',''611x'',''611z'',''611y'',''611v'',''630a'',''630b'',''630c'',''630d'',''630e'',''630f'',''630g'',''630h'',''630k'',''630l'',''630m'',''630n'',''630o'',''630p'',''630r'',''630s'',''630t'',''630x'',''630z'',''630y'',''630v'',''6483'',''648a'',''648x'',''648z'',''648y'',''648v'',''6503'',''650b'',''650c'',''650d'',''650e'',''650x'',''650z'',''650y'',''650v'',''6513'',''651a'',''651b'',''651c'',''651d'',''651e'',''651x'',''651z'',''651y'',''651v'',''653a'',''6543'',''654a'',''654b'',''654x'',''654z'',''654y'',''654v'',''6553'',''655a'',''655b'',''655x'',''655z'',''655y'',''655v'',''6563'',''656a'',''656k'',''656x'',''656z'',''656y'',''656v'',''6573'',''657a'',''657x'',''657z'',''657y'',''657v'',''658a'',''658b'',''658c'',''658d'',''658v''', '', NULL),
		('650', 'b', 'Nome geografico che precede un termine topico come accesso', 'Nome geografico che precede un termine topico come accesso', 0, 0, '', 6, '', '', '', 0, -1, 'IR', '', '', NULL),
		('650', 'c', 'Luogo dell\'evento', 'Luogo dell\'evento', 0, 0, '', 6, '', '', '', 0, -1, 'IR', '', '', NULL),
		('650', 'd', 'Date d\'attività', 'Date d\'attività', 0, 0, '', 6, '', '', '', 0, -1, 'IR', '', '', NULL),
		('650', 'e', 'Termine di ruolo', 'Termine di ruolo', 0, 0, '', 6, '', '', '', 0, -1, 'IR', '', '', NULL),
		('650', 'v', 'Suddivisione geografica', 'Suddivisione geografica', 1, 0, '', 6, '', '', '', 0, 0, 'IR', '', '', NULL),
		('650', 'x', 'Suddivisione generale', 'Suddivisione generale', 1, 0, '', 6, '', '', '', 0, 0, 'IR', '', '', NULL),
		('650', 'y', 'Suddivisione cronologica', 'Suddivisione cronologica', 1, 0, '', 6, '', '', '', 0, 0, 'IR', '', '', NULL),
		('650', 'z', 'Suddivisione geografica', 'Suddivisione geografica', 1, 0, '', 6, '', '', '', 0, 0, 'IR', '', '', NULL),
		('651', '2', 'Fonte dell\'intestazione o del termine', 'Fonte dell\'intestazione o del termine', 0, 0, '', 6, '', '', '', NULL, -1, 'IR', '', '', NULL),
		('651', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, '', 6, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('651', '4', 'Codice di ruolo', 'Codice di ruolo', 1, 0, '', 6, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('651', '6', 'Collegamento', 'Collegamento', 0, 0, '', 6, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('651', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 6, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('651', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 6, '', '', '', 0, -5, 'IR', '', '', NULL),
		('651', 'a', 'Nome geografico', 'Nome geografico', 0, 0, '', 6, '', 'GEOGR_NAME', '', NULL, -1, 'IR', '', '', NULL),
		('651', 'b', 'Geographic name following place entry element [OBSOLETE]', 'Geographic name following place entry element [OBSOLETE]', 1, 0, '', 6, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('651', 'e', 'Termine di ruolo', 'Termine di ruolo', 1, 0, '', 6, '', '', '', NULL, -1, 'IR', '', '', NULL),
		('651', 'v', 'Suddivisione geografica', 'Suddivisione geografica', 1, 0, '', 6, '', '', '', NULL, -1, 'IR', '', '', NULL),
		('651', 'x', 'Suddivisione generale', 'Suddivisione generale', 1, 0, '', 6, '', '', '', NULL, -1, 'IR', '', '', NULL),
		('651', 'y', 'Suddivisione cronologica', 'Suddivisione cronologica', 1, 0, '', 6, '', '', '', NULL, -1, 'IR', '', '', NULL),
		('651', 'z', 'Suddivisione geografica', 'Suddivisione geografica', 1, 0, '', 6, '', '', '', NULL, -1, 'IR', '', '', NULL),
		('652', 'a', 'Nome geografico del luogo', 'Nome geografico del luogo', 0, 0, '', 6, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('652', 'x', 'Suddivisione generale', 'Suddivisione generale', 1, 0, '', 6, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('652', 'y', 'Suddivisione cronologica', 'Suddivisione cronologica', 1, 0, '', 6, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('652', 'z', 'Suddivisione geografica', 'Suddivisione geografica', 1, 0, '', 6, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('653', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('653', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('653', 'a', 'Termine non controllato', 'Termine non controllato', 1, 0, NULL, 6, NULL, NULL, '', NULL, -1, 'IR', '', '', NULL),
		('654', '2', 'Fonte', 'Fonte', 0, 0, '', 6, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('654', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, '', 6, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('654', '4', 'Codice di ruolo', 'Codice di ruolo', 1, 0, '', 6, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('654', '6', 'Collegamento', 'Collegamento', 0, 0, '', 6, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('654', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 6, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('654', 'a', 'Termine principale', 'Termine principale', 1, 0, '', 6, '', 'TOPIC_TERM', '', NULL, -6, 'IR', '', '', NULL),
		('654', 'b', 'Termine non principale', 'Termine non principale', 1, 0, '', 6, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('654', 'c', 'Designazione di faccetta/gerarchia', 'Designazione di faccetta/gerarchia', 1, 0, '', 6, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('654', 'e', 'Termine di ruolo', 'Termine di ruolo', 1, 0, '', 6, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('654', 'v', 'Suddivisione geografica', 'Suddivisione geografica', 1, 0, '', 6, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('654', 'x', 'Suddivisione generale', 'Suddivisione generale', 1, 0, '', 6, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('654', 'y', 'Suddivisione cronologica', 'Suddivisione cronologica', 1, 0, '', 6, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('654', 'z', 'Suddivisione geografica', 'Suddivisione geografica', 1, 0, '', 6, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('655', '2', 'Fonte', 'Fonte', 0, 0, '', 6, '', '', '', NULL, -1, 'IR', '', '', NULL),
		('655', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, '', 6, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('655', '5', 'Istituzione a cui si applica il campo', 'Istituzione a cui si applica il campo', 0, 0, '', 6, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('655', '6', 'Collegamento', 'Collegamento', 0, 0, '', 6, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('655', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 6, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('655', 'a', 'Termine principale di genere/forma', 'Termine principale di genere/forma', 0, 0, '', 6, '', 'GENRE/FORM', '', NULL, -1, 'IR', '', '', NULL),
		('655', 'b', 'Termine non principale', 'Termine non principale', 1, 0, '', 6, '', '', '', NULL, -1, 'IR', '', '', NULL),
		('655', 'c', 'Designazione di faccetta/gerarchia', 'Designazione di faccetta/gerarchia', 1, 0, '', 6, '', '', '', NULL, -1, 'IR', '', '', NULL),
		('655', 'v', 'Suddivisione geografica', 'Suddivisione geografica', 1, 0, '', 6, '', '', '', NULL, -1, 'IR', '', '', NULL),
		('655', 'x', 'Suddivisione generale', 'Suddivisione generale', 1, 0, '', 6, '', '', '', NULL, -1, 'IR', '', '', NULL),
		('655', 'y', 'Suddivisione cronologica', 'Suddivisione cronologica', 1, 0, '', 6, '', '', '', NULL, -1, 'IR', '', '', NULL),
		('655', 'z', 'Suddivisione geografica', 'Suddivisione geografica', 1, 0, '', 6, '', '', '', NULL, -1, 'IR', '', '', NULL),
		('656', '2', 'Fonte', 'Fonte', 0, 0, '', 6, '', '', '', NULL, -1, 'IR', '', '', NULL),
		('656', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, '', 6, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('656', '6', 'Collegamento', 'Collegamento', 0, 0, '', 6, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('656', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 6, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('656', 'a', 'Occupazione', 'Occupazione', 0, 0, '', 6, '', 'TOPIC_TERM', '', NULL, -1, 'IR', '', '', NULL),
		('656', 'k', 'Forma', 'Forma', 0, 0, '', 6, '', '', '', NULL, -1, 'IR', '', '', NULL),
		('656', 'v', 'Suddivisione geografica', 'Suddivisione geografica', 1, 0, '', 6, '', '', '', NULL, -1, 'IR', '', '', NULL),
		('656', 'x', 'Suddivisione generale', 'Suddivisione generale', 1, 0, '', 6, '', '', '', NULL, -1, 'IR', '', '', NULL),
		('656', 'y', 'Suddivisione cronologica', 'Suddivisione cronologica', 1, 0, '', 6, '', '', '', NULL, -1, 'IR', '', '', NULL),
		('656', 'z', 'Suddivisione geografica', 'Suddivisione geografica', 1, 0, '', 6, '', '', '', NULL, -1, 'IR', '', '', NULL),
		('657', '2', 'Fonte', 'Fonte', 0, 0, '', 6, '', '', '', NULL, -1, 'IR', '', '', NULL),
		('657', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, '', 6, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('657', '6', 'Collegamento', 'Collegamento', 0, 0, '', 6, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('657', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 6, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('657', 'a', 'Funzione', 'Funzione', 0, 0, '', 6, '', 'TOPIC_TERM', '', NULL, -1, 'IR', '', '', NULL),
		('657', 'v', 'Suddivisione geografica', 'Suddivisione geografica', 1, 0, '', 6, '', '', '', NULL, -1, 'IR', '', '', NULL),
		('657', 'x', 'Suddivisione generale', 'Suddivisione generale', 1, 0, '', 6, '', '', '', NULL, -1, 'IR', '', '', NULL),
		('657', 'y', 'Suddivisione cronologica', 'Suddivisione cronologica', 1, 0, '', 6, '', '', '', NULL, -1, 'IR', '', '', NULL),
		('657', 'z', 'Suddivisione geografica', 'Suddivisione geografica', 1, 0, '', 6, '', '', '', NULL, -1, 'IR', '', '', NULL),
		('658', '2', 'Fonte', 'Fonte', 0, 0, '', 6, '', '', '', NULL, -1, 'IR', '', '', NULL),
		('658', '6', 'Collegamento', 'Collegamento', 0, 0, '', 6, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('658', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 6, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('658', 'a', 'Obiettivo principale del curriculum scolastico', 'Obiettivo principale del curriculum scolastico', 0, 0, '', 6, '', 'TOPIC_TERM', '', NULL, 0, 'IR', '', '', NULL),
		('658', 'b', 'Obiettivo secondario del curriculum scolastico', 'Obiettivo secondario del curriculum scolastico', 1, 0, '', 6, '', '', '', NULL, 0, 'IR', '', '', NULL),
		('658', 'c', 'Codice di curriculum scolastico', 'Codice di curriculum scolastico', 0, 0, '', 6, '', '', '', NULL, 0, 'IR', '', '', NULL),
		('658', 'd', 'Fattore di correlazione', 'Fattore di correlazione', 0, 0, '', 6, '', '', '', NULL, -1, 'IR', '', '', NULL),
		('662', '2', 'Fonte', 'Fonte', 0, 0, '', 6, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('662', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, '', 6, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('662', '4', 'Codice di ruolo', 'Codice di ruolo', 1, 0, '', 6, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('662', '6', 'Collegamento', 'Collegamento', 0, 0, '', 6, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('662', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 6, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('662', 'a', 'Paese o ente maggiore', 'Paese o ente maggiore', 1, 0, '', 6, '', 'GEOGR_NAME', '', NULL, -6, 'IR', '', '', NULL),
		('662', 'b', 'Giurisdizione politica principale', 'Giurisdizione politica principale', 0, 0, '', 6, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('662', 'c', 'Giurisdizione politica intermedia', 'Giurisdizione politica intermedia', 1, 0, '', 6, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('662', 'd', 'Città', 'Città', 0, 0, '', 6, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('662', 'e', 'Termine di ruolo', 'Termine di ruolo', 1, 0, '', 6, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('662', 'f', 'Suddivisione comunale', 'Suddivisione comunale', 1, 0, '', 6, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('662', 'g', 'Altra regione e caratteristica geografica non giurisdizionale', 'Altra regione e caratteristica geografica non giurisdizionale', 1, 0, '', 6, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('662', 'h', 'Paese o ente maggiore', 'Paese o ente maggiore', 1, 0, '', 6, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('690', '%', '% (RLIN)', '% (RLIN)', 0, 0, '', 6, '', '', '', 0, -6, 'IR', '', '', NULL),
		('690', '2', 'Fonte dell\'intestazione o del termine', 'Fonte dell\'intestazione o del termine', 0, 0, '', 6, '', '', '', 0, -6, 'IR', '', '', NULL),
		('690', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, '', 6, '', '', '', 0, -6, 'IR', '', '', NULL),
		('690', '6', 'Collegamento', 'Collegamento', 0, 0, '', 6, '', '', '', 0, -6, 'IR', '', '', NULL),
		('690', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 6, '', '', '', 0, -6, 'IR', '', '', NULL),
		('690', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 6, '', '', '', 0, -5, 'IR', '', '', NULL),
		('690', 'a', 'Termine topico o nome geografico come accesso', 'Termine topico o nome geografico come accesso', 0, 0, '', 6, '', 'TOPIC_TERM', '', 0, -1, 'IR', '', '', NULL),
		('690', 'b', 'Nome geografico che precede un termine topico come accesso', 'Nome geografico che precede un termine topico come accesso', 0, 0, '', 6, '', '', '', 0, -1, 'IR', '', '', NULL),
		('690', 'c', 'Luogo dell\'evento', 'Luogo dell\'evento', 0, 0, '', 6, '', '', '', 0, -1, 'IR', '', '', NULL),
		('690', 'd', 'Date d\'attività', 'Date d\'attività', 0, 0, '', 6, '', '', '', 0, -6, 'IR', '', '', NULL),
		('690', 'e', 'Termine di ruolo', 'Termine di ruolo', 0, 0, '', 6, '', '', '', 0, -6, 'IR', '', '', NULL),
		('690', 'v', 'Suddivisione geografica', 'Suddivisione geografica', 1, 0, '', 6, '', '', '', 0, -1, 'IR', '', '', NULL),
		('690', 'x', 'Suddivisione generale', 'Suddivisione generale', 1, 0, '', 6, '', '', '', 0, -1, 'IR', '', '', NULL),
		('690', 'y', 'Suddivisione cronologica', 'Suddivisione cronologica', 1, 0, '', 6, '', '', '', 0, -1, 'IR', '', '', NULL),
		('690', 'z', 'Suddivisione geografica', 'Suddivisione geografica', 1, 0, '', 6, '', '', '', 0, -1, 'IR', '', '', NULL),
		('691', '%', '% (RLIN)', '% (RLIN)', 0, 0, '', 6, '', '', '', 0, -6, 'IR', '', '', NULL),
		('691', '2', 'Fonte dell\'intestazione o del termine', 'Fonte dell\'intestazione o del termine', 0, 0, '', 6, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('691', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, '', 6, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('691', '6', 'Collegamento', 'Collegamento', 0, 0, '', 6, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('691', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 6, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('691', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 6, '', '', '', 0, -5, 'IR', '', '', NULL),
		('691', 'a', 'Nome geografico', 'Nome geografico', 0, 0, '', 6, '', 'GEOGR_NAME', '', NULL, -6, 'IR', '', '', NULL),
		('691', 'b', 'Geographic name following place entry element [OBSOLETE]', 'Geographic name following place entry element [OBSOLETE]', 1, 0, '', 6, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('691', 'v', 'Suddivisione geografica', 'Suddivisione geografica', 1, 0, '', 6, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('691', 'x', 'Suddivisione generale', 'Suddivisione generale', 1, 0, '', 6, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('691', 'y', 'Suddivisione cronologica', 'Suddivisione cronologica', 1, 0, '', 6, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('691', 'z', 'Suddivisione geografica', 'Suddivisione geografica', 1, 0, '', 6, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('696', '%', '% (RLIN)', '% (RLIN)', 0, 0, '', 6, '', '', '', 0, -6, 'IR', '', '', NULL),
		('696', '2', 'Fonte dell\'intestazione o del termine', 'Fonte dell\'intestazione o del termine', 0, 0, '', 6, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('696', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, '', 6, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('696', '4', 'Codice di ruolo', 'Codice di ruolo', 1, 0, '', 6, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('696', '6', 'Collegamento', 'Collegamento', 0, 0, '', 6, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('696', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 6, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('696', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 6, '', '', '', 0, -5, 'IR', '', '', NULL),
		('696', 'a', 'Nome di persona', 'Nome di persona', 0, 0, '', 6, '', 'PERSO_NAME', '', NULL, -6, 'IR', '', '', NULL),
		('696', 'b', 'Numerazione', 'Numerazione', 0, 0, '', 6, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('696', 'c', 'Titoli e altre parole associate al nome', 'Titoli e altre parole associate al nome', 1, 0, '', 6, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('696', 'd', 'Date associate al nome', 'Date associate al nome', 0, 0, '', 6, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('696', 'e', 'Termine di ruolo', 'Termine di ruolo', 1, 0, '', 6, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('696', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, '', 6, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('696', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, '', 6, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('696', 'h', 'Supporto', 'Supporto', 0, 0, '', 6, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('696', 'j', 'Qualificazione d\'attribuzione', 'Qualificazione d\'attribuzione', 1, 0, '', 6, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('696', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, '', 6, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('696', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, '', 6, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('696', 'm', 'Mezzo di esecuzione per la musica', 'Mezzo di esecuzione per la musica', 1, 0, '', 6, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('696', 'n', 'Numero di parte/sezione dell\'opera', 'Numero di parte/sezione dell\'opera', 1, 0, '', 6, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('696', 'o', 'Formulazione d\'arrangiamento per la musica', 'Formulazione d\'arrangiamento per la musica', 0, 0, '', 6, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('696', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, '', 6, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('696', 'q', 'Forma completa del nome', 'Forma completa del nome', 0, 0, '', 6, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('696', 'r', 'Tonalità (musica)', 'Tonalità (musica)', 0, 0, '', 6, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('696', 's', 'Versione', 'Versione', 0, 0, '', 6, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('696', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, '', 6, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('696', 'u', 'Affiliazione', 'Affiliazione', 0, 0, '', 6, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('696', 'v', 'Suddivisione geografica', 'Suddivisione geografica', 1, 0, '', 6, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('696', 'x', 'Suddivisione generale', 'Suddivisione generale', 1, 0, '', 6, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('696', 'y', 'Suddivisione cronologica', 'Suddivisione cronologica', 1, 0, '', 6, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('696', 'z', 'Suddivisione geografica', 'Suddivisione geografica', 1, 0, '', 6, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('697', '%', '% (RLIN)', '% (RLIN)', 0, 0, '', 6, '', '', '', 0, -6, 'IR', '', '', NULL),
		('697', '2', 'Fonte dell\'intestazione o del termine', 'Fonte dell\'intestazione o del termine', 0, 0, '', 6, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('697', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, '', 6, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('697', '4', 'Codice di ruolo', 'Codice di ruolo', 1, 0, '', 6, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('697', '6', 'Collegamento', 'Collegamento', 0, 0, '', 6, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('697', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 6, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('697', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 6, '', '', '', 0, -5, 'IR', '', '', NULL),
		('697', 'a', 'Nome dell\'ente o nome della giurisdizione come accesso', 'Nome dell\'ente o nome della giurisdizione come accesso', 0, 0, '', 6, '', 'CORPO_NAME', '', NULL, -6, 'IR', '', '', NULL),
		('697', 'b', 'Unità subordinata', 'Unità subordinata', 1, 0, '', 6, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('697', 'c', 'Luogo del convegno', 'Luogo del convegno', 0, 0, '', 6, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('697', 'd', 'Data del convegno o di firma del trattato', 'Data del convegno o di firma del trattato', 1, 0, '', 6, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('697', 'e', 'Termine di ruolo', 'Termine di ruolo', 1, 0, '', 6, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('697', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, '', 6, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('697', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, '', 6, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('697', 'h', 'Supporto', 'Supporto', 0, 0, '', 6, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('697', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, '', 6, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('697', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, '', 6, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('697', 'm', 'Mezzo di esecuzione per la musica', 'Mezzo di esecuzione per la musica', 1, 0, '', 6, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('697', 'n', 'Numero di parte/sezione/convegno', 'Numero di parte/sezione/convegno', 1, 0, '', 6, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('697', 'o', 'Formulazione d\'arrangiamento per la musica', 'Formulazione d\'arrangiamento per la musica', 0, 0, '', 6, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('697', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, '', 6, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('697', 'r', 'Tonalità (musica)', 'Tonalità (musica)', 0, 0, '', 6, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('697', 's', 'Versione', 'Versione', 0, 0, '', 6, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('697', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, '', 6, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('697', 'u', 'Affiliazione', 'Affiliazione', 0, 0, '', 6, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('697', 'v', 'Suddivisione geografica', 'Suddivisione geografica', 1, 0, '', 6, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('697', 'x', 'Suddivisione generale', 'Suddivisione generale', 1, 0, '', 6, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('697', 'y', 'Suddivisione cronologica', 'Suddivisione cronologica', 1, 0, '', 6, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('697', 'z', 'Suddivisione geografica', 'Suddivisione geografica', 1, 0, '', 6, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('698', '%', '% (RLIN)', '% (RLIN)', 0, 0, '', 6, '', '', '', 0, -6, 'IR', '', '', NULL),
		('698', '2', 'Fonte dell\'intestazione o del termine', 'Fonte dell\'intestazione o del termine', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('698', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('698', '4', 'Codice di ruolo', 'Codice di ruolo', 1, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('698', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('698', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('698', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 6, '', '', '', 0, -5, 'IR', '', '', NULL),
		('698', 'a', 'Nome del convegno o nome della giurisdizione come accesso', 'Nome del convegno o nome della giurisdizione come accesso', 0, 0, NULL, 6, NULL, 'MEETI_NAME', '', NULL, -6, 'IR', '', '', NULL),
		('698', 'b', 'Number  (BK CF MP MU SE VM MX)  [OBSOLETE]', 'Number  (BK CF MP MU SE VM MX)  [OBSOLETE]', 1, 0, NULL, -1, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('698', 'c', 'Luogo del convegno', 'Luogo del convegno', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('698', 'd', 'Data del convegno', 'Data del convegno', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('698', 'e', 'Unità subordinata', 'Unità subordinata', 1, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('698', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('698', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('698', 'h', 'Supporto', 'Supporto', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('698', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('698', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('698', 'n', 'Numero di parte/sezione/convegno', 'Numero di parte/sezione/convegno', 1, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('698', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('698', 'q', 'Nome del convegno dopo accesso di nome della giurisdizione', 'Nome del convegno dopo accesso di nome della giurisdizione', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('698', 's', 'Versione', 'Versione', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('698', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('698', 'u', 'Affiliazione', 'Affiliazione', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('698', 'v', 'Suddivisione geografica', 'Suddivisione geografica', 1, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('698', 'x', 'Suddivisione generale', 'Suddivisione generale', 1, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('698', 'y', 'Suddivisione cronologica', 'Suddivisione cronologica', 1, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('698', 'z', 'Suddivisione geografica', 'Suddivisione geografica', 1, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('699', '%', '% (RLIN)', '% (RLIN)', 0, 0, '', 6, '', '', '', 0, -6, 'IR', '', '', NULL),
		('699', '2', 'Fonte dell\'intestazione o del termine', 'Fonte dell\'intestazione o del termine', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('699', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('699', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('699', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('699', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 6, '', '', '', 0, -5, 'IR', '', '', NULL),
		('699', 'a', 'Titolo uniforme', 'Titolo uniforme', 0, 0, NULL, 6, NULL, 'UNIF_TITLE', '', NULL, -6, 'IR', '', '', NULL),
		('699', 'd', 'Data di firma del trattato', 'Data di firma del trattato', 1, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('699', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('699', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('699', 'h', 'Supporto', 'Supporto', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('699', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('699', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('699', 'm', 'Mezzo di esecuzione per la musica', 'Mezzo di esecuzione per la musica', 1, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('699', 'n', 'Numero di parte/sezione dell\'opera', 'Numero di parte/sezione dell\'opera', 1, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('699', 'o', 'Formulazione d\'arrangiamento per la musica', 'Formulazione d\'arrangiamento per la musica', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('699', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('699', 'r', 'Tonalità (musica)', 'Tonalità (musica)', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('699', 's', 'Versione', 'Versione', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('699', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('699', 'v', 'Suddivisione geografica', 'Suddivisione geografica', 1, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('699', 'x', 'Suddivisione generale', 'Suddivisione generale', 1, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('699', 'y', 'Suddivisione cronologica', 'Suddivisione cronologica', 1, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('700', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, '', 7, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('700', '4', 'Codice di ruolo', 'Codice di ruolo', 1, 0, '', 7, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('700', '5', 'Istituzione a cui si applica il campo', 'Istituzione a cui si applica il campo', 0, 0, '', 7, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('700', '6', 'Collegamento', 'Collegamento', 0, 0, '', 7, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('700', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 7, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('700', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 7, '', '', '', 0, -5, 'IR', '', '', NULL),
		('700', 'a', 'Nome di persona', 'Nome di persona', 0, 0, 'additionalauthors.author', 7, '', 'PERSO_NAME', '', NULL, -1, 'IR', '', '', NULL),
		('700', 'b', 'Numerazione', 'Numerazione', 0, 0, '', 7, '', '', '', NULL, -1, 'IR', '', '', NULL),
		('700', 'c', 'Titoli e altre parole associate al nome', 'Titoli e altre parole associate al nome', 1, 0, '', 7, '', '', '', NULL, -1, 'IR', '', '', NULL),
		('700', 'd', 'Date associate al nome', 'Date associate al nome', 0, 0, '', 7, '', '', '', NULL, -1, 'IR', '', '', NULL),
		('700', 'e', 'Termine di ruolo', 'Termine di ruolo', 1, 0, '', 7, '', '', '', NULL, -1, 'IR', '', '', NULL),
		('700', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, '', 7, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('700', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, '', 7, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('700', 'h', 'Supporto', 'Supporto', 0, 0, '', 7, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('700', 'j', 'Qualificazione d\'attribuzione', 'Qualificazione d\'attribuzione', 1, 0, '', 7, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('700', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, '', 7, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('700', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, '', 7, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('700', 'm', 'Mezzo di esecuzione per la musica', 'Mezzo di esecuzione per la musica', 1, 0, '', 7, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('700', 'n', 'Numero di parte/sezione dell\'opera', 'Numero di parte/sezione dell\'opera', 1, 0, '', 7, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('700', 'o', 'Formulazione d\'arrangiamento per la musica', 'Formulazione d\'arrangiamento per la musica', 0, 0, '', 7, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('700', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, '', 7, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('700', 'q', 'Forma completa del nome', 'Forma completa del nome', 0, 0, '', 7, '', '', '', NULL, -1, 'IR', '', '', NULL),
		('700', 'r', 'Tonalità (musica)', 'Tonalità (musica)', 0, 0, '', 7, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('700', 's', 'Versione', 'Versione', 0, 0, '', 7, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('700', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, '', 7, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('700', 'u', 'Affiliazione', 'Affiliazione', 0, 0, '', 7, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('700', 'x', 'ISSN (International Standard Serial Number)', 'ISSN (International Standard Serial Number)', 0, 0, '', 7, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('705', 'a', 'Nome di persona', 'Nome di persona', 0, 0, '', 7, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('705', 'b', 'Numerazione', 'Numerazione', 0, 0, '', 7, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('705', 'c', 'Titoli e altre parole associate al nome', 'Titoli e altre parole associate al nome', 1, 0, '', 7, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('705', 'd', 'Date associate al nome', 'Date associate al nome', 0, 0, '', 7, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('705', 'e', 'Termine di ruolo', 'Termine di ruolo', 1, 0, '', 7, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('705', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, '', 7, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('705', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, '', 7, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('705', 'h', 'Supporto', 'Supporto', 0, 0, '', 7, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('705', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, '', 7, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('705', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, '', 7, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('705', 'm', 'Mezzo di esecuzione per la musica', 'Mezzo di esecuzione per la musica', 1, 0, '', 7, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('705', 'n', 'Numero di parte/sezione dell\'opera', 'Numero di parte/sezione dell\'opera', 1, 0, '', 7, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('705', 'o', 'Formulazione d\'arrangiamento per la musica', 'Formulazione d\'arrangiamento per la musica', 0, 0, '', 7, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('705', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, '', 7, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('705', 'r', 'Tonalità (musica)', 'Tonalità (musica)', 0, 0, '', 7, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('705', 's', 'Versione', 'Versione', 0, 0, '', 7, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('705', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, '', 7, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('710', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, '', 7, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('710', '4', 'Codice di ruolo', 'Codice di ruolo', 1, 0, '', 7, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('710', '5', 'Istituzione a cui si applica il campo', 'Istituzione a cui si applica il campo', 0, 0, '', 7, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('710', '6', 'Collegamento', 'Collegamento', 0, 0, '', 7, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('710', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 7, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('710', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 7, '', '', '', 0, -5, 'IR', '', '', NULL),
		('710', 'a', 'Nome dell\'ente o nome della giurisdizione come accesso', 'Nome dell\'ente o nome della giurisdizione come accesso', 0, 0, '', 7, '', 'CORPO_NAME', '', NULL, -1, 'IR', '', '', NULL),
		('710', 'b', 'Unità subordinata', 'Unità subordinata', 1, 0, '', 7, '', '', '', NULL, -1, 'IR', '', '', NULL),
		('710', 'c', 'Luogo del convegno', 'Luogo del convegno', 0, 0, '', 7, '', '', '', NULL, -1, 'IR', '', '', NULL),
		('710', 'd', 'Data del convegno o di firma del trattato', 'Data del convegno o di firma del trattato', 1, 0, '', 7, '', '', '', NULL, -1, 'IR', '', '', NULL),
		('710', 'e', 'Termine di ruolo', 'Termine di ruolo', 1, 0, '', 7, '', '', '', NULL, -1, 'IR', '', '', NULL),
		('710', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, '', 7, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('710', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, '', 7, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('710', 'h', 'Supporto', 'Supporto', 0, 0, '', 7, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('710', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, '', 7, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('710', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, '', 7, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('710', 'm', 'Mezzo di esecuzione per la musica', 'Mezzo di esecuzione per la musica', 1, 0, '', 7, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('710', 'n', 'Numero di parte/sezione/convegno', 'Numero di parte/sezione/convegno', 1, 0, '', 7, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('710', 'o', 'Formulazione d\'arrangiamento per la musica', 'Formulazione d\'arrangiamento per la musica', 0, 0, '', 7, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('710', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, '', 7, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('710', 'r', 'Tonalità (musica)', 'Tonalità (musica)', 0, 0, '', 7, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('710', 's', 'Versione', 'Versione', 0, 0, '', 7, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('710', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, '', 7, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('710', 'u', 'Affiliazione', 'Affiliazione', 0, 0, '', 7, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('710', 'x', 'ISSN (International Standard Serial Number)', 'ISSN (International Standard Serial Number)', 0, 0, '', 7, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('711', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('711', '4', 'Codice di ruolo', 'Codice di ruolo', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('711', '5', 'Istituzione a cui si applica il campo', 'Istituzione a cui si applica il campo', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('711', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('711', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('711', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 7, '', '', '', 0, -5, 'IR', '', '', NULL),
		('711', 'a', 'Nome del convegno o nome della giurisdizione come accesso', 'Nome del convegno o nome della giurisdizione come accesso', 0, 0, NULL, 7, NULL, 'MEETI_NAME', '', NULL, -1, 'IR', '', '', NULL),
		('711', 'b', 'Number (BK CF MP MU SE VM MX) [OBSOLETE]', 'Number (BK CF MP MU SE VM MX) [OBSOLETE]', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('711', 'c', 'Luogo del convegno', 'Luogo del convegno', 0, 0, NULL, 7, NULL, NULL, '', NULL, -1, 'IR', '', '', NULL),
		('711', 'd', 'Data del convegno', 'Data del convegno', 0, 0, NULL, 7, NULL, NULL, '', NULL, -1, 'IR', '', '', NULL),
		('711', 'e', 'Unità subordinata', 'Unità subordinata', 1, 0, NULL, 7, NULL, NULL, '', NULL, -1, 'IR', '', '', NULL),
		('711', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('711', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('711', 'h', 'Supporto', 'Supporto', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('711', 'j', 'Termine di ruolo', 'Termine di ruolo', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('711', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('711', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('711', 'n', 'Numero di parte/sezione/convegno', 'Numero di parte/sezione/convegno', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('711', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('711', 'q', 'Nome del convegno dopo accesso di nome della giurisdizione', 'Nome del convegno dopo accesso di nome della giurisdizione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('711', 's', 'Versione', 'Versione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('711', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('711', 'u', 'Affiliazione', 'Affiliazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('711', 'x', 'ISSN (International Standard Serial Number)', 'ISSN (International Standard Serial Number)', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('715', '%', '% (RLIN)', '% (RLIN)', 0, 0, '', 7, '', '', '', 0, -6, 'IR', '', '', NULL),
		('715', 'a', 'Ragione sociale o nome giuridico', 'Ragione sociale o nome giuridico', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('715', 'b', 'Unità subordinata', 'Unità subordinata', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('715', 'e', 'Termine di ruolo', 'Termine di ruolo', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('715', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('715', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('715', 'h', 'Supporto', 'Supporto', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('715', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('715', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('715', 'n', 'Numero di parte/sezione/convegno', 'Numero di parte/sezione/convegno', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('715', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('715', 'r', 'Tonalità (musica)', 'Tonalità (musica)', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('715', 's', 'Versione', 'Versione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('715', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('715', 'u', 'Nonprinting information', 'Nonprinting information', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('720', '4', 'Codice di ruolo', 'Codice di ruolo', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('720', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('720', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('720', 'a', 'Nome', 'Nome', 0, 0, '', 7, NULL, NULL, '', NULL, -1, 'IR', '', '', NULL),
		('720', 'e', 'Termine di ruolo', 'Termine di ruolo', 1, 0, NULL, 7, NULL, NULL, '', NULL, -1, 'IR', '', '', NULL),
		('730', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, '', 7, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('730', '5', 'Istituzione a cui si applica il campo', 'Istituzione a cui si applica il campo', 0, 0, '', 7, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('730', '6', 'Collegamento', 'Collegamento', 0, 0, '', 7, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('730', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 7, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('730', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 7, '', '', '', 0, -5, 'IR', '', '', NULL),
		('730', 'a', 'Titolo uniforme', 'Titolo uniforme', 0, 0, '', 7, '', 'UNIF_TITLE', '', NULL, -6, 'IR', '', '', NULL),
		('730', 'd', 'Data di firma del trattato', 'Data di firma del trattato', 1, 0, '', 7, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('730', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, '', 7, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('730', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, '', 7, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('730', 'h', 'Supporto', 'Supporto', 0, 0, '', 7, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('730', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, '', 7, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('730', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, '', 7, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('730', 'm', 'Mezzo di esecuzione per la musica', 'Mezzo di esecuzione per la musica', 1, 0, '', 7, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('730', 'n', 'Numero di parte/sezione dell\'opera', 'Numero di parte/sezione dell\'opera', 1, 0, '', 7, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('730', 'o', 'Formulazione d\'arrangiamento per la musica', 'Formulazione d\'arrangiamento per la musica', 0, 0, '', 7, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('730', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, '', 7, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('730', 'r', 'Tonalità (musica)', 'Tonalità (musica)', 0, 0, '', 7, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('730', 's', 'Versione', 'Versione', 0, 0, '', 7, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('730', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, '', 7, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('730', 'x', 'ISSN (International Standard Serial Number)', 'ISSN (International Standard Serial Number)', 0, 0, '', 7, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('740', '5', 'Istituzione a cui si applica il campo', 'Istituzione a cui si applica il campo', 0, 0, '', 7, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('740', '6', 'Collegamento', 'Collegamento', 0, 0, '', 7, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('740', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 7, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('740', 'a', 'Titolo analitico/correlato non controllato', 'Titolo analitico/correlato non controllato', 0, 0, '', 7, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('740', 'h', 'Supporto', 'Supporto', 0, 0, '', 7, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('740', 'n', 'Numero di parte/sezione dell\'opera', 'Numero di parte/sezione dell\'opera', 1, 0, '', 7, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('740', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, '', 7, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('752', '2', 'Fonte dell\'intestazione o del termine', 'Fonte dell\'intestazione o del termine', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('752', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('752', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('752', 'a', 'Paese o ente maggiore', 'Paese o ente maggiore', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('752', 'b', 'Giurisdizione politica principale', 'Giurisdizione politica principale', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('752', 'c', 'Giurisdizione politica intermedia', 'Giurisdizione politica intermedia', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('752', 'd', 'Città', 'Città', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('752', 'f', 'Suddivisione comunale', 'Suddivisione comunale', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('752', 'g', 'Altra regione e caratteristica geografica non giurisdizionale', 'Altra regione e caratteristica geografica non giurisdizionale', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('752', 'h', 'Paese o ente maggiore', 'Paese o ente maggiore', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('753', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('753', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('753', 'a', 'Marca e modello della macchina', 'Marca e modello della macchina', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('753', 'b', 'Linguaggio di programmazione', 'Linguaggio di programmazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('753', 'c', 'Sistema operativo', 'Sistema operativo', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('754', '2', 'Fonte dell\'identificazione tassonomica', 'Fonte dell\'identificazione tassonomica', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('754', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('754', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('754', 'a', 'Nome tassonomico', 'Nome tassonomico', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('754', 'c', 'Categoria tassonomica', 'Categoria tassonomica', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('754', 'd', 'Nome comune o alternativo', 'Nome comune o alternativo', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('754', 'x', 'Nota non pubblica', 'Nota non pubblica', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('754', 'z', 'Nota pubblica', 'Nota pubblica', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('755', '2', 'Fonte dell\'identificazione tassonomica', 'Fonte dell\'identificazione tassonomica', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('755', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, '', 7, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('755', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('755', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('755', 'a', 'Termine d\'accesso', 'Termine d\'accesso', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('755', 'x', 'Suddivisione generale', 'Suddivisione generale', 1, 0, '', 7, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('755', 'y', 'Suddivisione cronologica', 'Suddivisione cronologica', 1, 0, '', 7, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('755', 'z', 'Suddivisione geografica', 'Suddivisione geografica', 1, 0, '', 7, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('760', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('760', '7', 'Sottocampo di controllo', 'Sottocampo di controllo', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('760', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('760', 'a', 'Intestazione principale', 'Intestazione principale', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('760', 'b', 'Edizione', 'Edizione', 0, 0, NULL, 7, NULL, NULL, '', NULL, 0, 'IR', '', '', NULL),
		('760', 'c', 'Qualificazione', 'Qualificazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('760', 'd', 'Luogo, editore e data di pubblicazione', 'Luogo, editore e data di pubblicazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('760', 'g', 'Informazione sulla relazione', 'Informazione sulla relazione', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('760', 'h', 'Descrizione fisica', 'Descrizione fisica', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('760', 'i', 'Informazione sulla relazione', 'Informazione sulla relazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('760', 'm', 'Dettagli specifici del materiale', 'Dettagli specifici del materiale', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('760', 'n', 'Nota', 'Nota', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('760', 'o', 'Altro identificatore dell\'item', 'Altro identificatore dell\'item', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('760', 'q', 'Parallel title (BK SE) [OBSOLETE]', 'Parallel title (BK SE) [OBSOLETE]', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('760', 's', 'Titolo uniforme', 'Titolo uniforme', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('760', 't', 'Titolo', 'Titolo', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('760', 'w', 'Numero di controllo della registrazione', 'Numero di controllo della registrazione', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('760', 'x', 'ISSN (International Standard Serial Number)', 'ISSN (International Standard Serial Number)', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('760', 'y', 'Designazione CODEN', 'Designazione CODEN', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('762', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('762', '7', 'Sottocampo di controllo', 'Sottocampo di controllo', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('762', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('762', 'a', 'Intestazione principale', 'Intestazione principale', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('762', 'b', 'Edizione', 'Edizione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('762', 'c', 'Qualificazione', 'Qualificazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('762', 'd', 'Luogo, editore e data di pubblicazione', 'Luogo, editore e data di pubblicazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('762', 'g', 'Informazione sulla relazione', 'Informazione sulla relazione', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('762', 'h', 'Descrizione fisica', 'Descrizione fisica', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('762', 'i', 'Informazione sulla relazione', 'Informazione sulla relazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('762', 'm', 'Dettagli specifici del materiale', 'Dettagli specifici del materiale', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('762', 'n', 'Nota', 'Nota', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('762', 'o', 'Altro identificatore dell\'item', 'Altro identificatore dell\'item', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('762', 'q', 'Parallel title (BK SE) [OBSOLETE]', 'Parallel title (BK SE) [OBSOLETE]', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('762', 's', 'Titolo uniforme', 'Titolo uniforme', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('762', 't', 'Titolo', 'Titolo', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('762', 'w', 'Numero di controllo della registrazione', 'Numero di controllo della registrazione', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('762', 'x', 'ISSN (International Standard Serial Number)', 'ISSN (International Standard Serial Number)', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('762', 'y', 'Designazione CODEN', 'Designazione CODEN', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('765', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('765', '7', 'Sottocampo di controllo', 'Sottocampo di controllo', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('765', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('765', 'a', 'Intestazione principale', 'Intestazione principale', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('765', 'b', 'Edizione', 'Edizione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('765', 'c', 'Qualificazione', 'Qualificazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('765', 'd', 'Luogo, editore e data di pubblicazione', 'Luogo, editore e data di pubblicazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('765', 'g', 'Informazione sulla relazione', 'Informazione sulla relazione', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('765', 'h', 'Descrizione fisica', 'Descrizione fisica', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('765', 'i', 'Informazione sulla relazione', 'Informazione sulla relazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('765', 'k', 'Dati della serie dell\'item correlato', 'Dati della serie dell\'item correlato', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('765', 'm', 'Dettagli specifici del materiale', 'Dettagli specifici del materiale', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('765', 'n', 'Nota', 'Nota', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('765', 'o', 'Altro identificatore dell\'item', 'Altro identificatore dell\'item', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('765', 'q', 'Parallel title (BK SE)  [OBSOLETE]', 'Parallel title (BK SE)  [OBSOLETE]', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('765', 'r', 'Numero di rapporto', 'Numero di rapporto', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('765', 's', 'Titolo uniforme', 'Titolo uniforme', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('765', 't', 'Titolo', 'Titolo', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('765', 'u', 'Standard Technical Report Number', 'Standard Technical Report Number', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('765', 'w', 'Numero di controllo della registrazione', 'Numero di controllo della registrazione', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('765', 'x', 'ISSN (International Standard Serial Number)', 'ISSN (International Standard Serial Number)', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('765', 'y', 'Designazione CODEN', 'Designazione CODEN', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('765', 'z', 'ISBN (International Standard Book Number)', 'ISBN (International Standard Book Number)', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('767', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('767', '7', 'Sottocampo di controllo', 'Sottocampo di controllo', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('767', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('767', 'a', 'Intestazione principale', 'Intestazione principale', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('767', 'b', 'Edizione', 'Edizione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('767', 'c', 'Qualificazione', 'Qualificazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('767', 'd', 'Luogo, editore e data di pubblicazione', 'Luogo, editore e data di pubblicazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('767', 'g', 'Informazione sulla relazione', 'Informazione sulla relazione', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('767', 'h', 'Descrizione fisica', 'Descrizione fisica', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('767', 'i', 'Informazione sulla relazione', 'Informazione sulla relazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('767', 'k', 'Dati della serie dell\'item correlato', 'Dati della serie dell\'item correlato', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('767', 'm', 'Dettagli specifici del materiale', 'Dettagli specifici del materiale', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('767', 'n', 'Nota', 'Nota', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('767', 'o', 'Altro identificatore dell\'item', 'Altro identificatore dell\'item', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('767', 'q', 'Parallel title (BK SE) [OBSOLETE]', 'Parallel title (BK SE) [OBSOLETE]', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('767', 'r', 'Numero di rapporto', 'Numero di rapporto', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('767', 's', 'Titolo uniforme', 'Titolo uniforme', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('767', 't', 'Titolo', 'Titolo', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('767', 'u', 'Standard Technical Report Number', 'Standard Technical Report Number', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('767', 'w', 'Numero di controllo della registrazione', 'Numero di controllo della registrazione', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('767', 'x', 'ISSN (International Standard Serial Number)', 'ISSN (International Standard Serial Number)', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('767', 'y', 'Designazione CODEN', 'Designazione CODEN', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('767', 'z', 'ISBN (International Standard Book Number)', 'ISBN (International Standard Book Number)', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('770', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('770', '7', 'Sottocampo di controllo', 'Sottocampo di controllo', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('770', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('770', 'a', 'Intestazione principale', 'Intestazione principale', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('770', 'b', 'Edizione', 'Edizione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('770', 'c', 'Qualificazione', 'Qualificazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('770', 'd', 'Luogo, editore e data di pubblicazione', 'Luogo, editore e data di pubblicazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('770', 'g', 'Informazione sulla relazione', 'Informazione sulla relazione', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('770', 'h', 'Descrizione fisica', 'Descrizione fisica', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('770', 'i', 'Informazione sulla relazione', 'Informazione sulla relazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('770', 'k', 'Dati della serie dell\'item correlato', 'Dati della serie dell\'item correlato', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('770', 'm', 'Dettagli specifici del materiale', 'Dettagli specifici del materiale', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('770', 'n', 'Nota', 'Nota', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('770', 'o', 'Altro identificatore dell\'item', 'Altro identificatore dell\'item', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('770', 'q', 'Parallel title (BK SE) [OBSOLETE]', 'Parallel title (BK SE) [OBSOLETE]', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('770', 'r', 'Numero di rapporto', 'Numero di rapporto', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('770', 's', 'Titolo uniforme', 'Titolo uniforme', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('770', 't', 'Titolo', 'Titolo', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('770', 'u', 'Standard Technical Report Number', 'Standard Technical Report Number', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('770', 'w', 'Numero di controllo della registrazione', 'Numero di controllo della registrazione', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('770', 'x', 'ISSN (International Standard Serial Number)', 'ISSN (International Standard Serial Number)', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('770', 'y', 'Designazione CODEN', 'Designazione CODEN', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('770', 'z', 'ISBN (International Standard Book Number)', 'ISBN (International Standard Book Number)', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('772', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('772', '7', 'Sottocampo di controllo', 'Sottocampo di controllo', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('772', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('772', 'a', 'Intestazione principale', 'Intestazione principale', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('772', 'b', 'Edizione', 'Edizione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('772', 'c', 'Qualificazione', 'Qualificazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('772', 'd', 'Luogo, editore e data di pubblicazione', 'Luogo, editore e data di pubblicazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('772', 'g', 'Informazione sulla relazione', 'Informazione sulla relazione', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('772', 'h', 'Descrizione fisica', 'Descrizione fisica', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('772', 'i', 'Informazione sulla relazione', 'Informazione sulla relazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('772', 'k', 'Dati della serie dell\'item correlato', 'Dati della serie dell\'item correlato', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('772', 'm', 'Dettagli specifici del materiale', 'Dettagli specifici del materiale', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('772', 'n', 'Nota', 'Nota', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('772', 'o', 'Altro identificatore dell\'item', 'Altro identificatore dell\'item', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('772', 'q', 'Parallel title (BK SE) [OBSOLETE]', 'Parallel title (BK SE) [OBSOLETE]', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('772', 'r', 'Numero di rapporto', 'Numero di rapporto', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('772', 's', 'Titolo uniforme', 'Titolo uniforme', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('772', 't', 'Titolo', 'Titolo', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('772', 'u', 'Standard Technical Report Number', 'Standard Technical Report Number', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('772', 'w', 'Numero di controllo della registrazione', 'Numero di controllo della registrazione', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('772', 'x', 'ISSN (International Standard Serial Number)', 'ISSN (International Standard Serial Number)', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('772', 'y', 'Designazione CODEN', 'Designazione CODEN', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('772', 'z', 'ISBN (International Standard Book Number)', 'ISBN (International Standard Book Number)', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('773', '0', 'Codice record bibliografico contenente lo spoglio', 'Codice record bibliografico contenente lo spoglio', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('773', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('773', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('773', '7', 'Sottocampo di controllo', 'Sottocampo di controllo', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('773', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('773', '9', 'Codice copia contenete lo spoglio', 'Codice copia contenete lo spoglio', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('773', 'a', 'Intestazione principale', 'Intestazione principale', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('773', 'b', 'Edizione', 'Edizione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('773', 'd', 'Luogo, editore e data di pubblicazione', 'Luogo, editore e data di pubblicazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('773', 'g', 'Informazione sulla relazione', 'Informazione sulla relazione', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('773', 'h', 'Descrizione fisica', 'Descrizione fisica', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('773', 'i', 'Informazione sulla relazione', 'Informazione sulla relazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('773', 'k', 'Dati della serie dell\'item correlato', 'Dati della serie dell\'item correlato', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('773', 'm', 'Dettagli specifici del materiale', 'Dettagli specifici del materiale', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('773', 'n', 'Nota', 'Nota', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('773', 'o', 'Altro identificatore dell\'item', 'Altro identificatore dell\'item', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('773', 'p', 'Titolo abbreviato', 'Titolo abbreviato', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('773', 'r', 'Numero di rapporto', 'Numero di rapporto', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('773', 's', 'Titolo uniforme', 'Titolo uniforme', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('773', 't', 'Titolo', 'Titolo', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('773', 'u', 'Standard Technical Report Number', 'Standard Technical Report Number', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('773', 'w', 'Numero di controllo della registrazione', 'Numero di controllo della registrazione', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('773', 'x', 'ISSN (International Standard Serial Number)', 'ISSN (International Standard Serial Number)', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('773', 'y', 'Designazione CODEN', 'Designazione CODEN', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('773', 'z', 'ISBN (International Standard Book Number)', 'ISBN (International Standard Book Number)', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('774', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('774', '7', 'Sottocampo di controllo', 'Sottocampo di controllo', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('774', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('774', 'a', 'Intestazione principale', 'Intestazione principale', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('774', 'b', 'Edizione', 'Edizione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('774', 'c', 'Qualificazione', 'Qualificazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('774', 'd', 'Luogo, editore e data di pubblicazione', 'Luogo, editore e data di pubblicazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('774', 'g', 'Informazione sulla relazione', 'Informazione sulla relazione', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('774', 'h', 'Descrizione fisica', 'Descrizione fisica', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('774', 'i', 'Informazione sulla relazione', 'Informazione sulla relazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('774', 'k', 'Dati della serie dell\'item correlato', 'Dati della serie dell\'item correlato', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('774', 'm', 'Dettagli specifici del materiale', 'Dettagli specifici del materiale', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('774', 'n', 'Nota', 'Nota', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('774', 'o', 'Altro identificatore dell\'item', 'Altro identificatore dell\'item', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('774', 'r', 'Numero di rapporto', 'Numero di rapporto', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('774', 's', 'Titolo uniforme', 'Titolo uniforme', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('774', 't', 'Titolo', 'Titolo', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('774', 'u', 'Standard Technical Report Number', 'Standard Technical Report Number', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('774', 'w', 'Numero di controllo della registrazione', 'Numero di controllo della registrazione', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('774', 'x', 'ISSN (International Standard Serial Number)', 'ISSN (International Standard Serial Number)', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('774', 'y', 'Designazione CODEN', 'Designazione CODEN', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('774', 'z', 'ISBN (International Standard Book Number)', 'ISBN (International Standard Book Number)', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('775', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('775', '7', 'Sottocampo di controllo', 'Sottocampo di controllo', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('775', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('775', 'a', 'Intestazione principale', 'Intestazione principale', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('775', 'b', 'Edizione', 'Edizione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('775', 'c', 'Qualificazione', 'Qualificazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('775', 'd', 'Luogo, editore e data di pubblicazione', 'Luogo, editore e data di pubblicazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('775', 'e', 'Codice lingua', 'Codice lingua', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('775', 'f', 'Codice di paese', 'Codice di paese', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('775', 'g', 'Informazione sulla relazione', 'Informazione sulla relazione', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('775', 'h', 'Descrizione fisica', 'Descrizione fisica', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('775', 'i', 'Informazione sulla relazione', 'Informazione sulla relazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('775', 'k', 'Dati della serie dell\'item correlato', 'Dati della serie dell\'item correlato', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('775', 'm', 'Dettagli specifici del materiale', 'Dettagli specifici del materiale', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('775', 'n', 'Nota', 'Nota', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('775', 'o', 'Altro identificatore dell\'item', 'Altro identificatore dell\'item', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('775', 'q', 'Parallel title (BK SE) [OBSOLETE]', 'Parallel title (BK SE) [OBSOLETE]', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('775', 'r', 'Numero di rapporto', 'Numero di rapporto', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('775', 's', 'Titolo uniforme', 'Titolo uniforme', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('775', 't', 'Titolo', 'Titolo', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('775', 'u', 'Standard Technical Report Number', 'Standard Technical Report Number', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('775', 'w', 'Numero di controllo della registrazione', 'Numero di controllo della registrazione', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('775', 'x', 'ISSN (International Standard Serial Number)', 'ISSN (International Standard Serial Number)', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('775', 'y', 'Designazione CODEN', 'Designazione CODEN', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('775', 'z', 'ISBN (International Standard Book Number)', 'ISBN (International Standard Book Number)', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('776', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('776', '7', 'Sottocampo di controllo', 'Sottocampo di controllo', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('776', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('776', 'a', 'Intestazione principale', 'Intestazione principale', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('776', 'b', 'Edizione', 'Edizione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('776', 'c', 'Qualificazione', 'Qualificazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('776', 'd', 'Luogo, editore e data di pubblicazione', 'Luogo, editore e data di pubblicazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('776', 'g', 'Informazione sulla relazione', 'Informazione sulla relazione', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('776', 'h', 'Descrizione fisica', 'Descrizione fisica', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('776', 'i', 'Informazione sulla relazione', 'Informazione sulla relazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('776', 'k', 'Dati della serie dell\'item correlato', 'Dati della serie dell\'item correlato', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('776', 'm', 'Dettagli specifici del materiale', 'Dettagli specifici del materiale', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('776', 'n', 'Nota', 'Nota', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('776', 'o', 'Altro identificatore dell\'item', 'Altro identificatore dell\'item', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('776', 'q', 'Parallel title (BK SE) [OBSOLETE]', 'Parallel title (BK SE) [OBSOLETE]', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('776', 'r', 'Numero di rapporto', 'Numero di rapporto', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('776', 's', 'Titolo uniforme', 'Titolo uniforme', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('776', 't', 'Titolo', 'Titolo', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('776', 'u', 'Standard Technical Report Number', 'Standard Technical Report Number', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('776', 'w', 'Numero di controllo della registrazione', 'Numero di controllo della registrazione', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('776', 'x', 'ISSN (International Standard Serial Number)', 'ISSN (International Standard Serial Number)', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('776', 'y', 'Designazione CODEN', 'Designazione CODEN', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('776', 'z', 'ISBN (International Standard Book Number)', 'ISBN (International Standard Book Number)', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('777', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('777', '7', 'Sottocampo di controllo', 'Sottocampo di controllo', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('777', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('777', 'a', 'Intestazione principale', 'Intestazione principale', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('777', 'b', 'Edizione', 'Edizione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('777', 'c', 'Qualificazione', 'Qualificazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('777', 'd', 'Luogo, editore e data di pubblicazione', 'Luogo, editore e data di pubblicazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('777', 'g', 'Informazione sulla relazione', 'Informazione sulla relazione', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('777', 'h', 'Descrizione fisica', 'Descrizione fisica', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('777', 'i', 'Informazione sulla relazione', 'Informazione sulla relazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('777', 'k', 'Dati della serie dell\'item correlato', 'Dati della serie dell\'item correlato', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('777', 'm', 'Dettagli specifici del materiale', 'Dettagli specifici del materiale', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('777', 'n', 'Nota', 'Nota', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('777', 'o', 'Altro identificatore dell\'item', 'Altro identificatore dell\'item', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('777', 'q', 'Parallel title (BK SE) [OBSOLETE]', 'Parallel title (BK SE) [OBSOLETE]', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('777', 's', 'Titolo uniforme', 'Titolo uniforme', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('777', 't', 'Titolo', 'Titolo', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('777', 'w', 'Numero di controllo della registrazione', 'Numero di controllo della registrazione', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('777', 'x', 'ISSN (International Standard Serial Number)', 'ISSN (International Standard Serial Number)', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('777', 'y', 'Designazione CODEN', 'Designazione CODEN', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('780', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('780', '7', 'Sottocampo di controllo', 'Sottocampo di controllo', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('780', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('780', 'a', 'Intestazione principale', 'Intestazione principale', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('780', 'b', 'Edizione', 'Edizione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('780', 'c', 'Qualificazione', 'Qualificazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('780', 'd', 'Luogo, editore e data di pubblicazione', 'Luogo, editore e data di pubblicazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('780', 'g', 'Informazione sulla relazione', 'Informazione sulla relazione', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('780', 'h', 'Descrizione fisica', 'Descrizione fisica', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('780', 'i', 'Informazione sulla relazione', 'Informazione sulla relazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('780', 'k', 'Dati della serie dell\'item correlato', 'Dati della serie dell\'item correlato', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('780', 'm', 'Dettagli specifici del materiale', 'Dettagli specifici del materiale', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('780', 'n', 'Nota', 'Nota', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('780', 'o', 'Altro identificatore dell\'item', 'Altro identificatore dell\'item', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('780', 'q', 'Parallel title (BK SE) [OBSOLETE]', 'Parallel title (BK SE) [OBSOLETE]', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('780', 'r', 'Numero di rapporto', 'Numero di rapporto', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('780', 's', 'Titolo uniforme', 'Titolo uniforme', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('780', 't', 'Titolo', 'Titolo', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('780', 'u', 'Standard Technical Report Number', 'Standard Technical Report Number', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('780', 'w', 'Numero di controllo della registrazione', 'Numero di controllo della registrazione', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('780', 'x', 'ISSN (International Standard Serial Number)', 'ISSN (International Standard Serial Number)', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('780', 'y', 'Designazione CODEN', 'Designazione CODEN', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('780', 'z', 'ISBN (International Standard Book Number)', 'ISBN (International Standard Book Number)', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('785', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('785', '7', 'Sottocampo di controllo', 'Sottocampo di controllo', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('785', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('785', 'a', 'Intestazione principale', 'Intestazione principale', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('785', 'b', 'Edizione', 'Edizione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('785', 'c', 'Qualificazione', 'Qualificazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('785', 'd', 'Luogo, editore e data di pubblicazione', 'Luogo, editore e data di pubblicazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('785', 'g', 'Informazione sulla relazione', 'Informazione sulla relazione', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('785', 'h', 'Descrizione fisica', 'Descrizione fisica', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('785', 'i', 'Informazione sulla relazione', 'Informazione sulla relazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('785', 'k', 'Dati della serie dell\'item correlato', 'Dati della serie dell\'item correlato', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('785', 'm', 'Dettagli specifici del materiale', 'Dettagli specifici del materiale', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('785', 'n', 'Nota', 'Nota', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('785', 'o', 'Altro identificatore dell\'item', 'Altro identificatore dell\'item', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('785', 'q', 'Parallel title (BK SE) [OBSOLETE]', 'Parallel title (BK SE) [OBSOLETE]', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('785', 'r', 'Numero di rapporto', 'Numero di rapporto', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('785', 's', 'Titolo uniforme', 'Titolo uniforme', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('785', 't', 'Titolo', 'Titolo', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('785', 'u', 'Standard Technical Report Number', 'Standard Technical Report Number', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('785', 'w', 'Numero di controllo della registrazione', 'Numero di controllo della registrazione', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('785', 'x', 'ISSN (International Standard Serial Number)', 'ISSN (International Standard Serial Number)', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('785', 'y', 'Designazione CODEN', 'Designazione CODEN', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('785', 'z', 'ISBN (International Standard Book Number)', 'ISBN (International Standard Book Number)', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('786', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('786', '7', 'Sottocampo di controllo', 'Sottocampo di controllo', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('786', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('786', 'a', 'Intestazione principale', 'Intestazione principale', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('786', 'b', 'Edizione', 'Edizione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('786', 'c', 'Qualificazione', 'Qualificazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('786', 'd', 'Luogo, editore e data di pubblicazione', 'Luogo, editore e data di pubblicazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('786', 'g', 'Informazione sulla relazione', 'Informazione sulla relazione', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('786', 'h', 'Descrizione fisica', 'Descrizione fisica', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('786', 'i', 'Informazione sulla relazione', 'Informazione sulla relazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('786', 'j', 'Periodo del contenuto', 'Periodo del contenuto', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('786', 'k', 'Dati della serie dell\'item correlato', 'Dati della serie dell\'item correlato', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('786', 'm', 'Dettagli specifici del materiale', 'Dettagli specifici del materiale', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('786', 'n', 'Nota', 'Nota', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('786', 'o', 'Altro identificatore dell\'item', 'Altro identificatore dell\'item', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('786', 'p', 'Titolo abbreviato', 'Titolo abbreviato', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('786', 'r', 'Numero di rapporto', 'Numero di rapporto', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('786', 's', 'Titolo uniforme', 'Titolo uniforme', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('786', 't', 'Titolo', 'Titolo', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('786', 'u', 'Standard Technical Report Number', 'Standard Technical Report Number', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('786', 'w', 'Numero di controllo della registrazione', 'Numero di controllo della registrazione', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('786', 'x', 'ISSN (International Standard Serial Number)', 'ISSN (International Standard Serial Number)', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('786', 'y', 'Designazione CODEN', 'Designazione CODEN', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('786', 'z', 'ISBN (International Standard Book Number)', 'ISBN (International Standard Book Number)', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('787', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('787', '7', 'Sottocampo di controllo', 'Sottocampo di controllo', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('787', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('787', 'a', 'Intestazione principale', 'Intestazione principale', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('787', 'b', 'Edizione', 'Edizione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('787', 'c', 'Qualificazione', 'Qualificazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('787', 'd', 'Luogo, editore e data di pubblicazione', 'Luogo, editore e data di pubblicazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('787', 'g', 'Informazione sulla relazione', 'Informazione sulla relazione', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('787', 'h', 'Descrizione fisica', 'Descrizione fisica', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('787', 'i', 'Informazione sulla relazione', 'Informazione sulla relazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('787', 'k', 'Dati della serie dell\'item correlato', 'Dati della serie dell\'item correlato', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('787', 'm', 'Dettagli specifici del materiale', 'Dettagli specifici del materiale', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('787', 'n', 'Nota', 'Nota', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('787', 'o', 'Altro identificatore dell\'item', 'Altro identificatore dell\'item', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('787', 'q', 'Parallel title (BK SE) [OBSOLETE]', 'Parallel title (BK SE) [OBSOLETE]', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('787', 'r', 'Numero di rapporto', 'Numero di rapporto', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('787', 's', 'Titolo uniforme', 'Titolo uniforme', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('787', 't', 'Titolo', 'Titolo', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('787', 'u', 'Standard Technical Report Number', 'Standard Technical Report Number', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('787', 'w', 'Numero di controllo della registrazione', 'Numero di controllo della registrazione', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('787', 'x', 'ISSN (International Standard Serial Number)', 'ISSN (International Standard Serial Number)', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('787', 'y', 'Designazione CODEN', 'Designazione CODEN', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('787', 'z', 'ISBN (International Standard Book Number)', 'ISBN (International Standard Book Number)', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('789', '%', '%', '%', 0, 0, '', 7, '', '', '', 0, -6, 'IR', '', '', NULL),
		('789', '2', '2', '2', 1, 0, '', 7, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('789', '3', '3', '3', 1, 0, '', 7, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('789', '4', '4', '4', 1, 0, '', 7, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('789', '5', '5', '5', 1, 0, '', 7, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('789', '6', '6', '6', 0, 0, '', 7, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('789', '7', '7', '7', 1, 0, '', 7, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('789', '8', '8', '8', 1, 0, '', 7, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('789', '9', '9', '9', 0, 0, '', 7, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('789', 'a', 'a', 'a', 1, 0, '', 7, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('789', 'b', 'b', 'b', 1, 0, '', 7, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('789', 'c', 'c', 'c', 1, 0, '', 7, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('789', 'd', 'd', 'd', 1, 0, '', 7, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('789', 'e', 'e', 'e', 1, 0, '', 7, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('789', 'f', 'f', 'f', 1, 0, '', 7, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('789', 'g', 'g', 'g', 1, 0, '', 7, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('789', 'h', 'h', 'h', 1, 0, '', 7, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('789', 'i', 'i', 'i', 1, 0, '', 7, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('789', 'j', 'j', 'j', 1, 0, '', 7, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('789', 'k', 'k', 'k', 1, 0, '', 7, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('789', 'l', 'l', 'l', 1, 0, '', 7, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('789', 'm', 'm', 'm', 1, 0, '', 7, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('789', 'n', 'n', 'n', 1, 0, '', 7, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('789', 'o', 'o', 'o', 1, 0, '', 7, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('789', 'p', 'p', 'p', 1, 0, '', 7, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('789', 'q', 'q', 'q', 1, 0, '', 7, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('789', 'r', 'r', 'r', 1, 0, '', 7, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('789', 's', 's', 's', 1, 0, '', 7, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('789', 't', 't', 't', 1, 0, '', 7, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('789', 'u', 'u', 'u', 1, 0, '', 7, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('789', 'v', 'v', 'v', 1, 0, '', 7, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('789', 'w', 'w', 'w', 1, 0, '', 7, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('789', 'x', 'x', 'x', 1, 0, '', 7, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('789', 'y', 'y', 'y', 1, 0, '', 7, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('789', 'z', 'z', 'z', 1, 0, '', 7, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('796', '%', '% (RLIN)', '% (RLIN)', 0, 0, '', 7, '', '', '', 0, -6, 'IR', '', '', NULL),
		('796', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, '', 7, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('796', '4', 'Codice di ruolo', 'Codice di ruolo', 1, 0, '', 7, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('796', '5', 'Istituzione a cui si applica il campo', 'Istituzione a cui si applica il campo', 0, 0, '', 7, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('796', '6', 'Collegamento', 'Collegamento', 0, 0, '', 7, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('796', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 7, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('796', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 7, '', '', '', 0, -5, 'IR', '', '', NULL),
		('796', 'a', 'Nome di persona', 'Nome di persona', 0, 0, '', 7, '', 'PERSO_NAME', '', NULL, -6, 'IR', '', '', NULL),
		('796', 'b', 'Numerazione', 'Numerazione', 0, 0, '', 7, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('796', 'c', 'Titoli e altre parole associate al nome', 'Titoli e altre parole associate al nome', 1, 0, '', 7, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('796', 'd', 'Date associate al nome', 'Date associate al nome', 0, 0, '', 7, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('796', 'e', 'Termine di ruolo', 'Termine di ruolo', 1, 0, '', 7, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('796', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, '', 7, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('796', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, '', 7, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('796', 'h', 'Supporto', 'Supporto', 0, 0, '', 7, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('796', 'j', 'Qualificazione d\'attribuzione', 'Qualificazione d\'attribuzione', 1, 0, '', 7, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('796', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, '', 7, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('796', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, '', 7, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('796', 'm', 'Mezzo di esecuzione per la musica', 'Mezzo di esecuzione per la musica', 1, 0, '', 7, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('796', 'n', 'Numero di parte/sezione dell\'opera', 'Numero di parte/sezione dell\'opera', 1, 0, '', 7, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('796', 'o', 'Formulazione d\'arrangiamento per la musica', 'Formulazione d\'arrangiamento per la musica', 0, 0, '', 7, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('796', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, '', 7, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('796', 'q', 'Forma completa del nome', 'Forma completa del nome', 0, 0, '', 7, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('796', 'r', 'Tonalità (musica)', 'Tonalità (musica)', 0, 0, '', 7, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('796', 's', 'Versione', 'Versione', 0, 0, '', 7, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('796', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, '', 7, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('796', 'u', 'Affiliazione', 'Affiliazione', 0, 0, '', 7, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('796', 'x', 'ISSN (International Standard Serial Number)', 'ISSN (International Standard Serial Number)', 0, 0, '', 7, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('797', '%', '% (RLIN)', '% (RLIN)', 0, 0, '', 7, '', '', '', 0, -6, 'IR', '', '', NULL),
		('797', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, '', 7, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('797', '4', 'Codice di ruolo', 'Codice di ruolo', 1, 0, '', 7, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('797', '5', 'Istituzione a cui si applica il campo', 'Istituzione a cui si applica il campo', 0, 0, '', 7, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('797', '6', 'Collegamento', 'Collegamento', 0, 0, '', 7, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('797', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 7, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('797', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 7, '', '', '', 0, -5, 'IR', '', '', NULL),
		('797', 'a', 'Nome dell\'ente o nome della giurisdizione come accesso', 'Nome dell\'ente o nome della giurisdizione come accesso', 0, 0, '', 7, '', 'CORPO_NAME', '', NULL, -6, 'IR', '', '', NULL),
		('797', 'b', 'Unità subordinata', 'Unità subordinata', 1, 0, '', 7, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('797', 'c', 'Luogo del convegno', 'Luogo del convegno', 0, 0, '', 7, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('797', 'd', 'Data del convegno o di firma del trattato', 'Data del convegno o di firma del trattato', 1, 0, '', 7, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('797', 'e', 'Termine di ruolo', 'Termine di ruolo', 1, 0, '', 7, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('797', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, '', 7, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('797', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, '', 7, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('797', 'h', 'Supporto', 'Supporto', 0, 0, '', 7, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('797', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, '', 7, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('797', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, '', 7, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('797', 'm', 'Mezzo di esecuzione per la musica', 'Mezzo di esecuzione per la musica', 1, 0, '', 7, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('797', 'n', 'Numero di parte/sezione/convegno', 'Numero di parte/sezione/convegno', 1, 0, '', 7, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('797', 'o', 'Formulazione d\'arrangiamento per la musica', 'Formulazione d\'arrangiamento per la musica', 0, 0, '', 7, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('797', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, '', 7, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('797', 'r', 'Tonalità (musica)', 'Tonalità (musica)', 0, 0, '', 7, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('797', 's', 'Versione', 'Versione', 0, 0, '', 7, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('797', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, '', 7, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('797', 'u', 'Affiliazione', 'Affiliazione', 0, 0, '', 7, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('797', 'x', 'ISSN (International Standard Serial Number)', 'ISSN (International Standard Serial Number)', 0, 0, '', 7, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('798', '%', '% (RLIN)', '% (RLIN)', 0, 0, '', 7, '', '', '', 0, -5, 'IR', '', '', NULL),
		('798', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('798', '4', 'Codice di ruolo', 'Codice di ruolo', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('798', '5', 'Istituzione a cui si applica il campo', 'Istituzione a cui si applica il campo', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('798', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('798', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('798', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 7, '', '', '', 0, -5, 'IR', '', '', NULL),
		('798', 'a', 'Nome del convegno o nome della giurisdizione come accesso', 'Nome del convegno o nome della giurisdizione come accesso', 0, 0, NULL, 7, NULL, 'MEETI_NAME', '', NULL, -6, 'IR', '', '', NULL),
		('798', 'b', 'Number (BK CF MP MU SE VM MX) [OBSOLETE]', 'Number (BK CF MP MU SE VM MX) [OBSOLETE]', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('798', 'c', 'Luogo del convegno', 'Luogo del convegno', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('798', 'd', 'Data del convegno', 'Data del convegno', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('798', 'e', 'Unità subordinata', 'Unità subordinata', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('798', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('798', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('798', 'h', 'Supporto', 'Supporto', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('798', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('798', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('798', 'n', 'Numero di parte/sezione/convegno', 'Numero di parte/sezione/convegno', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('798', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('798', 'q', 'Nome del convegno dopo accesso di nome della giurisdizione', 'Nome del convegno dopo accesso di nome della giurisdizione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('798', 's', 'Versione', 'Versione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('798', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('798', 'u', 'Affiliazione', 'Affiliazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('798', 'x', 'ISSN (International Standard Serial Number)', 'ISSN (International Standard Serial Number)', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('799', '%', '% (RLIN)', '% (RLIN)', 0, 0, '', 7, '', '', '', 0, -6, 'IR', '', '', NULL),
		('799', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, '', 7, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('799', '5', 'Istituzione a cui si applica il campo', 'Istituzione a cui si applica il campo', 0, 0, '', 7, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('799', '6', 'Collegamento', 'Collegamento', 0, 0, '', 7, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('799', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 7, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('799', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 7, '', '', '', 0, -5, 'IR', '', '', NULL),
		('799', 'a', 'Titolo uniforme', 'Titolo uniforme', 0, 0, '', 7, '', 'UNIF_TITLE', '', NULL, -6, 'IR', '', '', NULL),
		('799', 'd', 'Data di firma del trattato', 'Data di firma del trattato', 1, 0, '', 7, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('799', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, '', 7, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('799', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, '', 7, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('799', 'h', 'Supporto', 'Supporto', 0, 0, '', 7, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('799', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, '', 7, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('799', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, '', 7, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('799', 'm', 'Mezzo di esecuzione per la musica', 'Mezzo di esecuzione per la musica', 1, 0, '', 7, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('799', 'n', 'Numero di parte/sezione dell\'opera', 'Numero di parte/sezione dell\'opera', 1, 0, '', 7, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('799', 'o', 'Formulazione d\'arrangiamento per la musica', 'Formulazione d\'arrangiamento per la musica', 0, 0, '', 7, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('799', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, '', 7, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('799', 'r', 'Tonalità (musica)', 'Tonalità (musica)', 0, 0, '', 7, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('799', 's', 'Versione', 'Versione', 0, 0, '', 7, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('799', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, '', 7, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('799', 'x', 'ISSN (International Standard Serial Number)', 'ISSN (International Standard Serial Number)', 0, 0, '', 7, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('800', '4', 'Codice di ruolo', 'Codice di ruolo', 1, 0, '', 8, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('800', '6', 'Collegamento', 'Collegamento', 0, 0, '', 8, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('800', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 8, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('800', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 8, '', '', '', 0, -5, 'IR', '', '', NULL),
		('800', 'a', 'Nome di persona', 'Nome di persona', 0, 0, '', 8, '', 'PERSO_NAME', '', NULL, -6, 'IR', '', '', NULL),
		('800', 'b', 'Numerazione', 'Numerazione', 0, 0, '', 8, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('800', 'c', 'Titoli e altre parole associate al nome', 'Titoli e altre parole associate al nome', 1, 0, '', 8, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('800', 'd', 'Date associate al nome', 'Date associate al nome', 0, 0, '', 8, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('800', 'e', 'Termine di ruolo', 'Termine di ruolo', 1, 0, '', 8, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('800', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, '', 8, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('800', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, '', 8, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('800', 'h', 'Supporto', 'Supporto', 0, 0, '', 8, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('800', 'j', 'Qualificazione d\'attribuzione', 'Qualificazione d\'attribuzione', 1, 0, '', 8, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('800', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, '', 8, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('800', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, '', 8, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('800', 'm', 'Mezzo di esecuzione per la musica', 'Mezzo di esecuzione per la musica', 1, 0, '', 8, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('800', 'n', 'Numero di parte/sezione dell\'opera', 'Numero di parte/sezione dell\'opera', 1, 0, '', 8, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('800', 'o', 'Formulazione d\'arrangiamento per la musica', 'Formulazione d\'arrangiamento per la musica', 0, 0, '', 8, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('800', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, '', 8, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('800', 'q', 'Forma completa del nome', 'Forma completa del nome', 0, 0, '', 8, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('800', 'r', 'Tonalità (musica)', 'Tonalità (musica)', 0, 0, '', 8, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('800', 's', 'Versione', 'Versione', 0, 0, '', 8, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('800', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, '', 8, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('800', 'u', 'Affiliazione', 'Affiliazione', 0, 0, '', 8, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('800', 'v', 'Numero del volume/designazione di sequenza', 'Numero del volume/designazione di sequenza', 0, 0, '', 8, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('800', 'w', 'Numero di controllo bibliografico', 'Numero di controllo bibliografico', 1, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('810', '4', 'Codice di ruolo', 'Codice di ruolo', 1, 0, '', 8, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('810', '6', 'Collegamento', 'Collegamento', 0, 0, '', 8, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('810', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 8, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('810', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 8, '', '', '', 0, -5, 'IR', '', '', NULL),
		('810', 'a', 'Nome dell\'ente o nome della giurisdizione come accesso', 'Nome dell\'ente o nome della giurisdizione come accesso', 0, 0, '', 8, '', 'CORPO_NAME', '', NULL, -6, 'IR', '', '', NULL),
		('810', 'b', 'Unità subordinata', 'Unità subordinata', 1, 0, '', 8, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('810', 'c', 'Luogo del convegno', 'Luogo del convegno', 0, 0, '', 8, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('810', 'd', 'Data del convegno o di firma del trattato', 'Data del convegno o di firma del trattato', 1, 0, '', 8, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('810', 'e', 'Termine di ruolo', 'Termine di ruolo', 1, 0, '', 8, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('810', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, '', 8, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('810', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, '', 8, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('810', 'h', 'Supporto', 'Supporto', 0, 0, '', 8, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('810', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, '', 8, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('810', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, '', 8, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('810', 'm', 'Mezzo di esecuzione per la musica', 'Mezzo di esecuzione per la musica', 1, 0, '', 8, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('810', 'n', 'Numero di parte/sezione/convegno', 'Numero di parte/sezione/convegno', 1, 0, '', 8, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('810', 'o', 'Formulazione d\'arrangiamento per la musica', 'Formulazione d\'arrangiamento per la musica', 0, 0, '', 8, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('810', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, '', 8, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('810', 'r', 'Tonalità (musica)', 'Tonalità (musica)', 0, 0, '', 8, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('810', 's', 'Versione', 'Versione', 0, 0, '', 8, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('810', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, '', 8, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('810', 'u', 'Affiliazione', 'Affiliazione', 0, 0, '', 8, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('810', 'v', 'Numero del volume/designazione di sequenza', 'Numero del volume/designazione di sequenza', 0, 0, '', 8, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('810', 'w', 'Numero di controllo bibliografico', 'Numero di controllo bibliografico', 1, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('811', '4', 'Codice di ruolo', 'Codice di ruolo', 1, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('811', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('811', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('811', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 8, '', '', '', 0, -5, 'IR', '', '', NULL),
		('811', 'a', 'Nome del convegno o nome della giurisdizione come accesso', 'Nome del convegno o nome della giurisdizione come accesso', 0, 0, NULL, 8, NULL, 'MEETI_NAME', '', NULL, -6, 'IR', '', '', NULL),
		('811', 'b', 'Number (BK CF MP MU SE VM MX) [OBSOLETE]', 'Number (BK CF MP MU SE VM MX) [OBSOLETE]', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('811', 'c', 'Luogo del convegno', 'Luogo del convegno', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('811', 'd', 'Data del convegno', 'Data del convegno', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('811', 'e', 'Unità subordinata', 'Unità subordinata', 1, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('811', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('811', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('811', 'h', 'Supporto', 'Supporto', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('811', 'j', 'Termine di ruolo', 'Termine di ruolo', 1, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('811', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('811', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('811', 'n', 'Numero di parte/sezione/convegno', 'Numero di parte/sezione/convegno', 1, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('811', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('811', 'q', 'Nome del convegno dopo accesso di nome della giurisdizione', 'Nome del convegno dopo accesso di nome della giurisdizione', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('811', 's', 'Versione', 'Versione', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('811', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('811', 'u', 'Affiliazione', 'Affiliazione', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('811', 'v', 'Numero del volume/designazione di sequenza', 'Numero del volume/designazione di sequenza', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('811', 'w', 'Numero di controllo bibliografico', 'Numero di controllo bibliografico', 1, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('830', '6', 'Collegamento', 'Collegamento', 0, 0, '', 8, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('830', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 8, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('830', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 8, '', '', '', 0, -5, 'IR', '', '', NULL),
		('830', 'a', 'Titolo uniforme', 'Titolo uniforme', 0, 0, '', 8, '', 'UNIF_TITLE', '', NULL, -6, 'IR', '', '', NULL),
		('830', 'd', 'Data di firma del trattato', 'Data di firma del trattato', 1, 0, '', 8, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('830', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, '', 8, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('830', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, '', 8, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('830', 'h', 'Supporto', 'Supporto', 0, 0, '', 8, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('830', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, '', 8, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('830', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, '', 8, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('830', 'm', 'Mezzo di esecuzione per la musica', 'Mezzo di esecuzione per la musica', 1, 0, '', 8, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('830', 'n', 'Numero di parte/sezione dell\'opera', 'Numero di parte/sezione dell\'opera', 1, 0, '', 8, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('830', 'o', 'Formulazione d\'arrangiamento per la musica', 'Formulazione d\'arrangiamento per la musica', 0, 0, '', 8, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('830', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, '', 8, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('830', 'r', 'Tonalità (musica)', 'Tonalità (musica)', 0, 0, '', 8, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('830', 's', 'Versione', 'Versione', 0, 0, '', 8, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('830', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, '', 8, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('830', 'v', 'Numero del volume/designazione di sequenza', 'Numero del volume/designazione di sequenza', 0, 0, '', 8, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('830', 'w', 'Numero di controllo bibliografico', 'Numero di controllo bibliografico', 1, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('840', 'a', 'Titolo', 'Titolo', 0, 0, '', 8, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('840', 'h', 'Supporto', 'Supporto', 1, 0, '', 8, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('840', 'v', 'Numero del volume/designazione di sequenza', 'Numero del volume/designazione di sequenza', 0, 0, '', 8, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('841', 'a', 'Tipo di record', 'Tipo di record', 0, 0, NULL, 8, NULL, NULL, '', NULL, 5, 'IR', '', '', NULL),
		('841', 'b', 'Elementi a lunghezza fiss', 'Elementi a lunghezza fiss', 0, 0, NULL, 8, NULL, NULL, '', NULL, 5, 'IR', '', '', NULL),
		('841', 'e', 'Livello di codifica', 'Livello di codifica', 0, 0, NULL, 8, NULL, NULL, '', NULL, 5, 'IR', '', '', NULL),
		('842', '6', 'Collegamento', 'Collegamento', 0, 0, '', 8, '', '', '', NULL, 5, 'IR', '', '', NULL),
		('842', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 8, '', '', '', NULL, 5, 'IR', '', '', NULL),
		('842', 'a', 'Designatore testuale di forma fisica', 'Designatore testuale di forma fisica', 0, 0, '', 8, '', '', '', NULL, 5, 'IR', '', '', NULL),
		('843', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, NULL, 8, NULL, NULL, '', NULL, 5, 'IR', '', '', NULL),
		('843', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 8, NULL, NULL, '', NULL, 5, 'IR', '', '', NULL),
		('843', '7', 'Elementi di lunghezza fissa della riproduzione', 'Elementi di lunghezza fissa della riproduzione', 0, 0, NULL, 8, NULL, NULL, '', NULL, 5, 'IR', '', '', NULL),
		('843', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 8, NULL, NULL, '', NULL, 5, 'IR', '', '', NULL),
		('843', 'a', 'Tipo di riproduzione', 'Tipo di riproduzione', 0, 0, NULL, 8, NULL, NULL, '', NULL, 5, 'IR', '', '', NULL),
		('843', 'b', 'Luogo di riproduzione', 'Luogo di riproduzione', 1, 0, NULL, 8, NULL, NULL, '', NULL, 5, 'IR', '', '', NULL),
		('843', 'c', 'Agenzia responsabile della riproduzione', 'Agenzia responsabile della riproduzione', 1, 0, NULL, 8, NULL, NULL, '', NULL, 5, 'IR', '', '', NULL),
		('843', 'd', 'Data di riproduzione', 'Data di riproduzione', 0, 0, NULL, 8, NULL, NULL, '', NULL, 5, 'IR', '', '', NULL),
		('843', 'e', 'Descrizione fisica della riproduzione', 'Descrizione fisica della riproduzione', 1, 0, NULL, 8, NULL, NULL, '', NULL, 5, 'IR', '', '', NULL),
		('843', 'f', 'Formulazione della serie della riproduzione', 'Formulazione della serie della riproduzione', 1, 0, NULL, 8, NULL, NULL, '', NULL, 5, 'IR', '', '', NULL),
		('843', 'm', 'Date di pubblicazione e/o designazione sequenziale dei fascicoli riprodotti', 'Date di pubblicazione e/o designazione sequenziale dei fascicoli riprodotti', 1, 0, NULL, 8, NULL, NULL, '', NULL, 5, 'IR', '', '', NULL),
		('843', 'n', 'Nota sulla riproduzione', 'Nota sulla riproduzione', 1, 0, NULL, 8, NULL, NULL, '', NULL, 5, 'IR', '', '', NULL),
		('844', '6', 'Collegamento', 'Collegamento', 0, 0, '', 8, '', '', '', NULL, 5, 'IR', '', '', NULL),
		('844', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 8, '', '', '', NULL, 5, 'IR', '', '', NULL),
		('844', 'a', 'Nome dell\'unità', 'Nome dell\'unità', 0, 0, '', 8, '', '', '', NULL, 5, 'IR', '', '', NULL),
		('845', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, NULL, 8, NULL, NULL, '', NULL, 5, 'IR', '', '', NULL),
		('845', '5', 'Istituzione a cui si applica il campo', 'Istituzione a cui si applica il campo', 0, 0, NULL, 8, NULL, NULL, '', NULL, 5, 'IR', '', '', NULL),
		('845', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 8, NULL, NULL, '', NULL, 5, 'IR', '', '', NULL),
		('845', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 8, NULL, NULL, '', NULL, 5, 'IR', '', '', NULL),
		('845', 'a', 'Condizioni che regolano l\'utilizzo e la riproduzione', 'Condizioni che regolano l\'utilizzo e la riproduzione', 0, 0, NULL, 8, NULL, NULL, '', NULL, 5, 'IR', '', '', NULL),
		('845', 'b', 'Competenza legale', 'Competenza legale', 0, 0, NULL, 8, NULL, NULL, '', NULL, 5, 'IR', '', '', NULL),
		('845', 'c', 'Autorizzazione', 'Autorizzazione', 0, 0, NULL, 8, NULL, NULL, '', NULL, 5, 'IR', '', '', NULL),
		('845', 'd', 'Utenti autorizzati', 'Utenti autorizzati', 0, 0, NULL, 8, NULL, NULL, '', NULL, 5, 'IR', '', '', NULL),
		('850', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 8, NULL, NULL, '', NULL, 5, 'IR', '', '', NULL),
		('850', 'a', 'Istituzione possedente', 'Istituzione possedente', 1, 0, NULL, 8, NULL, NULL, '', NULL, 5, 'IR', '', '', NULL),
		('850', 'b', 'Holdings (NR) (MU VM SE) [OBSOLETE]', 'Holdings (NR) (MU VM SE) [OBSOLETE]', 0, 0, NULL, 8, NULL, NULL, '', NULL, 5, 'IR', '', '', NULL),
		('850', 'd', 'Inclusive dates (NR) (MU VM SE) [OBSOLETE]', 'Inclusive dates (NR) (MU VM SE) [OBSOLETE]', 0, 0, NULL, 8, NULL, NULL, '', NULL, 5, 'IR', '', '', NULL),
		('850', 'e', 'Retention statement (NR) (CF MU VM SE) [OBSOLETE]', 'Retention statement (NR) (CF MU VM SE) [OBSOLETE]', 0, 0, NULL, 8, NULL, NULL, '', NULL, 5, 'IR', '', '', NULL),
		('851', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, NULL, 8, NULL, NULL, '', NULL, 5, 'IR', '', '', NULL),
		('851', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 8, NULL, NULL, '', NULL, 5, 'IR', '', '', NULL),
		('851', 'a', 'Nome (custode o proprietario)', 'Nome (custode o proprietario)', 0, 0, NULL, 8, NULL, NULL, '', NULL, 5, 'IR', '', '', NULL),
		('851', 'b', 'Suddivisione istituzionale', 'Suddivisione istituzionale', 0, 0, NULL, 8, NULL, NULL, '', NULL, 5, 'IR', '', '', NULL),
		('851', 'c', 'Indirizzo', 'Indirizzo', 0, 0, NULL, 8, NULL, NULL, '', NULL, 5, 'IR', '', '', NULL),
		('851', 'd', 'Paese', 'Paese', 0, 0, NULL, 8, NULL, NULL, '', NULL, 5, 'IR', '', '', NULL),
		('851', 'e', 'Localizzazione dell\'unità', 'Localizzazione dell\'unità', 0, 0, NULL, 8, NULL, NULL, '', NULL, 5, 'IR', '', '', NULL),
		('851', 'f', 'Numero d\'item', 'Numero d\'item', 0, 0, NULL, 8, NULL, NULL, '', NULL, 5, 'IR', '', '', NULL),
		('851', 'g', 'Codice di localizzazione del deposito', 'Codice di localizzazione del deposito', 0, 0, NULL, 8, NULL, NULL, '', NULL, 5, 'IR', '', '', NULL),
		('852', '2', 'Fonte della classificazione o dello schema di collocazione (segnatura)', 'Fonte della classificazione o dello schema di collocazione (segnatura)', 0, 0, '', 8, '', '', '', NULL, 5, 'IR', '', '', NULL),
		('852', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, '', 8, '', '', '', NULL, 5, 'IR', '', '', NULL),
		('852', '6', 'Collegamento', 'Collegamento', 0, 0, '', 8, '', '', '', NULL, 5, 'IR', '', '', NULL),
		('852', '8', 'Numero di sequenza', 'Numero di sequenza', 1, 0, '', 8, '', '', '', NULL, 5, 'IR', '', '', NULL),
		('852', 'a', 'Localizzazione', 'Localizzazione', 0, 0, '', 8, '', '', '', NULL, 5, 'IR', '', '', NULL),
		('852', 'b', 'Sottolocalizzazione o collezione', 'Sottolocalizzazione o collezione', 1, 0, '', 8, '', '', '', NULL, 5, 'IR', '', '', NULL),
		('852', 'c', 'Localizzazione a scaffale', 'Localizzazione a scaffale', 1, 0, '', 8, '', '', '', NULL, 5, 'IR', '', '', NULL),
		('852', 'e', 'Indirizzo', 'Indirizzo', 1, 0, '', 8, '', '', '', NULL, 5, 'IR', '', '', NULL),
		('852', 'f', 'Qualificatore di localizzazione codificato', 'Qualificatore di localizzazione codificato', 1, 0, '', 8, '', '', '', NULL, 5, 'IR', '', '', NULL),
		('852', 'g', 'Qualificatore di localizzazione non codificato', 'Qualificatore di localizzazione non codificato', 1, 0, '', 8, '', '', '', NULL, 5, 'IR', '', '', NULL),
		('852', 'h', 'Parte della classificazione', 'Parte della classificazione', 0, 0, '', 8, '', '', '', NULL, 5, 'IR', '', '', NULL),
		('852', 'i', 'Parte dell\'item', 'Parte dell\'item', 1, 0, '', 8, '', '', '', NULL, 5, 'IR', '', '', NULL),
		('852', 'j', 'Collocazione (segnatura)', 'Collocazione (segnatura)', 0, 0, '', 8, '', '', '', NULL, 5, 'IR', '', '', NULL),
		('852', 'k', 'Prefisso del numero di chiamata (collocazione)', 'Prefisso del numero di chiamata (collocazione)', 0, 0, '', 8, '', '', '', NULL, 5, 'IR', '', '', NULL),
		('852', 'l', 'Forma di collocazione (segnatura) di titolo', 'Forma di collocazione (segnatura) di titolo', 0, 0, '', 8, '', '', '', NULL, 5, 'IR', '', '', NULL),
		('852', 'm', 'Suffisso del numero di chiamata (collocazione)', 'Suffisso del numero di chiamata (collocazione)', 0, 0, '', 8, '', '', '', NULL, 5, 'IR', '', '', NULL),
		('852', 'n', 'Codice di paese', 'Codice di paese', 0, 0, '', 8, '', '', '', NULL, 5, 'IR', '', '', NULL),
		('852', 'p', 'Designazione di parte', 'Designazione di parte', 0, 0, '', 8, '', '', '', NULL, 5, 'IR', '', '', NULL),
		('852', 'q', 'Condizione fisica della parte', 'Condizione fisica della parte', 0, 0, '', 8, '', '', '', NULL, 5, 'IR', '', '', NULL),
		('852', 's', 'Codice di tassa sul copyright dell\'articolo', 'Codice di tassa sul copyright dell\'articolo', 1, 0, '', 8, '', '', '', NULL, 5, 'IR', '', '', NULL),
		('852', 't', 'Numero di copia', 'Numero di copia', 0, 0, '', 8, '', '', '', NULL, 5, 'IR', '', '', NULL),
		('852', 'u', 'URI (Uniform Resource Identifier)', 'URI (Uniform Resource Identifier)', 1, 0, '', 8, '', '', '', 1, 5, 'IR', '', '', NULL),
		('852', 'x', 'Nota non pubblic', 'Nota non pubblic', 1, 0, '', 8, '', '', '', NULL, 5, 'IR', '', '', NULL),
		('852', 'z', 'Nota pubblica', 'Nota pubblica', 1, 0, '', 8, '', '', '', NULL, 5, 'IR', '', '', NULL),
		('853', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, '', 8, '', '', '', NULL, 5, 'IR', '', '', NULL),
		('853', '6', 'Collegamento', 'Collegamento', 0, 0, '', 8, '', '', '', NULL, 5, 'IR', '', '', NULL),
		('853', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 8, '', '', '', NULL, 5, 'IR', '', '', NULL),
		('853', 'a', 'Primo livello di enumerazione', 'Primo livello di enumerazione', 0, 0, '', 8, '', '', '', NULL, 5, 'IR', '', '', NULL),
		('853', 'b', 'Secondo livello di enumerazione', 'Secondo livello di enumerazione', 0, 0, '', 8, '', '', '', NULL, 5, 'IR', '', '', NULL),
		('853', 'c', 'Terzo livello di enumerazione', 'Terzo livello di enumerazione', 0, 0, '', 8, '', '', '', NULL, 5, 'IR', '', '', NULL),
		('853', 'd', 'Quarto livello di enumerazione', 'Quarto livello di enumerazione', 0, 0, '', 8, '', '', '', NULL, 5, 'IR', '', '', NULL),
		('853', 'e', 'Quinto livello di enumerazione', 'Quinto livello di enumerazione', 0, 0, '', 8, '', '', '', NULL, 5, 'IR', '', '', NULL),
		('853', 'f', 'Sesto livello di enumerazione', 'Sesto livello di enumerazione', 0, 0, '', 8, '', '', '', NULL, 5, 'IR', '', '', NULL),
		('853', 'g', 'Schema di numerazione alternativo, primo livello di enumerazione', 'Schema di numerazione alternativo, primo livello di enumerazione', 0, 0, '', 8, '', '', '', NULL, 5, 'IR', '', '', NULL),
		('853', 'h', 'Schema di numerazione alternativo, secondo livello di enumerazione', 'Schema di numerazione alternativo, secondo livello di enumerazione', 0, 0, '', 8, '', '', '', NULL, 5, 'IR', '', '', NULL),
		('853', 'i', 'Primo livello di cronologia', 'Primo livello di cronologia', 0, 0, '', 8, '', '', '', NULL, 5, 'IR', '', '', NULL),
		('853', 'j', 'Secondo livello di cronologia', 'Secondo livello di cronologia', 0, 0, '', 8, '', '', '', NULL, 5, 'IR', '', '', NULL),
		('853', 'k', 'Terzo livello di cronologia', 'Terzo livello di cronologia', 0, 0, '', 8, '', '', '', NULL, 5, 'IR', '', '', NULL),
		('853', 'l', 'Quarto livello di cronologia', 'Quarto livello di cronologia', 0, 0, '', 8, '', '', '', NULL, 5, 'IR', '', '', NULL),
		('853', 'm', 'Schema di numerazione alternativo, cronologia', 'Schema di numerazione alternativo, cronologia', 0, 0, '', 8, '', '', '', NULL, 5, 'IR', '', '', NULL),
		('853', 'n', 'Nota allo schema', 'Nota allo schema', 0, 0, '', 8, '', '', '', NULL, 5, 'IR', '', '', NULL),
		('853', 'p', 'Numero di pezzi per emissione', 'Numero di pezzi per emissione', 0, 0, '', 8, '', '', '', NULL, 5, 'IR', '', '', NULL),
		('853', 't', 'Copia', 'Copia', 0, 0, '', 8, '', '', '', NULL, 5, 'IR', '', '', NULL),
		('853', 'u', 'Unità bibliografiche per il livello superiore', 'Unità bibliografiche per il livello superiore', 1, 0, '', 8, '', '', '', NULL, 5, 'IR', '', '', NULL),
		('853', 'v', 'Continuità di numerazione', 'Continuità di numerazione', 1, 0, '', 8, '', '', '', NULL, 5, 'IR', '', '', NULL),
		('853', 'w', 'Frequenza', 'Frequenza', 0, 0, '', 8, '', '', '', NULL, 5, 'IR', '', '', NULL),
		('853', 'x', 'Cambio di calendario', 'Cambio di calendario', 0, 0, '', 8, '', '', '', NULL, 5, 'IR', '', '', NULL),
		('853', 'y', 'scham di regolarità', 'scham di regolarità', 1, 0, '', 8, '', '', '', NULL, 5, 'IR', '', '', NULL),
		('853', 'z', 'Schema di numerazione', 'Schema di numerazione', 1, 0, '', 8, '', '', '', NULL, 5, 'IR', '', '', NULL),
		('854', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, '', 8, '', '', '', NULL, 5, 'IR', '', '', NULL),
		('854', '6', 'Collegamento', 'Collegamento', 0, 0, '', 8, '', '', '', NULL, 5, 'IR', '', '', NULL),
		('854', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 8, '', '', '', NULL, 5, 'IR', '', '', NULL),
		('854', 'a', 'Primo livello di enumerazione', 'Primo livello di enumerazione', 0, 0, '', 8, '', '', '', NULL, 5, 'IR', '', '', NULL),
		('854', 'b', 'Secondo livello di enumerazione', 'Secondo livello di enumerazione', 0, 0, '', 8, '', '', '', NULL, 5, 'IR', '', '', NULL),
		('854', 'c', 'Terzo livello di enumerazione', 'Terzo livello di enumerazione', 0, 0, '', 8, '', '', '', NULL, 5, 'IR', '', '', NULL),
		('854', 'd', 'Quarto livello di enumerazione', 'Quarto livello di enumerazione', 0, 0, '', 8, '', '', '', NULL, 5, 'IR', '', '', NULL),
		('854', 'e', 'Quinto livello di enumerazione', 'Quinto livello di enumerazione', 0, 0, '', 8, '', '', '', NULL, 5, 'IR', '', '', NULL),
		('854', 'f', 'Sesto livello di enumerazione', 'Sesto livello di enumerazione', 0, 0, '', 8, '', '', '', NULL, 5, 'IR', '', '', NULL),
		('854', 'g', 'Schema di numerazione alternativo, primo livello di enumerazione', 'Schema di numerazione alternativo, primo livello di enumerazione', 0, 0, '', 8, '', '', '', NULL, 5, 'IR', '', '', NULL),
		('854', 'h', 'Schema di numerazione alternativo, secondo livello di enumerazione', 'Schema di numerazione alternativo, secondo livello di enumerazione', 0, 0, '', 8, '', '', '', NULL, 5, 'IR', '', '', NULL),
		('854', 'i', 'Primo livello di cronologia', 'Primo livello di cronologia', 0, 0, '', 8, '', '', '', NULL, 5, 'IR', '', '', NULL),
		('854', 'j', 'Secondo livello di cronologia', 'Secondo livello di cronologia', 0, 0, '', 8, '', '', '', NULL, 5, 'IR', '', '', NULL),
		('854', 'k', 'Terzo livello di cronologia', 'Terzo livello di cronologia', 0, 0, '', 8, '', '', '', NULL, 5, 'IR', '', '', NULL),
		('854', 'l', 'Quarto livello di cronologia', 'Quarto livello di cronologia', 0, 0, '', 8, '', '', '', NULL, 5, 'IR', '', '', NULL),
		('854', 'm', 'Schema di numerazione alternativo, cronologia', 'Schema di numerazione alternativo, cronologia', 0, 0, '', 8, '', '', '', NULL, 5, 'IR', '', '', NULL),
		('854', 'n', 'Nota allo schema', 'Nota allo schema', 0, 0, '', 8, '', '', '', NULL, 5, 'IR', '', '', NULL),
		('854', 'p', 'Numero di pezzi per emissione', 'Numero di pezzi per emissione', 0, 0, '', 8, '', '', '', NULL, 5, 'IR', '', '', NULL),
		('854', 't', 'Copia', 'Copia', 0, 0, '', 8, '', '', '', NULL, 5, 'IR', '', '', NULL),
		('854', 'u', 'Unità bibliografiche per il livello superiore', 'Unità bibliografiche per il livello superiore', 1, 0, '', 8, '', '', '', NULL, 5, 'IR', '', '', NULL),
		('854', 'v', 'Continuità di numerazione', 'Continuità di numerazione', 1, 0, '', 8, '', '', '', NULL, 5, 'IR', '', '', NULL),
		('854', 'w', 'Frequenza', 'Frequenza', 0, 0, '', 8, '', '', '', NULL, 5, 'IR', '', '', NULL),
		('854', 'x', 'Cambio di calendario', 'Cambio di calendario', 0, 0, '', 8, '', '', '', NULL, 5, 'IR', '', '', NULL),
		('854', 'y', 'scham di regolarità', 'scham di regolarità', 1, 0, '', 8, '', '', '', NULL, 5, 'IR', '', '', NULL),
		('854', 'z', 'Schema di numerazione', 'Schema di numerazione', 1, 0, '', 8, '', '', '', NULL, 5, 'IR', '', '', NULL),
		('855', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, '', 8, '', '', '', NULL, 5, 'IR', '', '', NULL),
		('855', '6', 'Collegamento', 'Collegamento', 0, 0, '', 8, '', '', '', NULL, 5, 'IR', '', '', NULL),
		('855', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 8, '', '', '', NULL, 5, 'IR', '', '', NULL),
		('855', 'a', 'Primo livello di enumerazione', 'Primo livello di enumerazione', 0, 0, '', 8, '', '', '', NULL, 5, 'IR', '', '', NULL),
		('855', 'b', 'Secondo livello di enumerazione', 'Secondo livello di enumerazione', 0, 0, '', 8, '', '', '', NULL, 5, 'IR', '', '', NULL),
		('855', 'c', 'Terzo livello di enumerazione', 'Terzo livello di enumerazione', 0, 0, '', 8, '', '', '', NULL, 5, 'IR', '', '', NULL),
		('855', 'd', 'Quarto livello di enumerazione', 'Quarto livello di enumerazione', 0, 0, '', 8, '', '', '', NULL, 5, 'IR', '', '', NULL),
		('855', 'e', 'Quinto livello di enumerazione', 'Quinto livello di enumerazione', 0, 0, '', 8, '', '', '', NULL, 5, 'IR', '', '', NULL),
		('855', 'f', 'Sesto livello di enumerazione', 'Sesto livello di enumerazione', 0, 0, '', 8, '', '', '', NULL, 5, 'IR', '', '', NULL),
		('855', 'g', 'Schema di numerazione alternativo, primo livello di enumerazione', 'Schema di numerazione alternativo, primo livello di enumerazione', 0, 0, '', 8, '', '', '', NULL, 5, 'IR', '', '', NULL),
		('855', 'h', 'Schema di numerazione alternativo, secondo livello di enumerazione', 'Schema di numerazione alternativo, secondo livello di enumerazione', 0, 0, '', 8, '', '', '', NULL, 5, 'IR', '', '', NULL),
		('855', 'i', 'Primo livello di cronologia', 'Primo livello di cronologia', 0, 0, '', 8, '', '', '', NULL, 5, 'IR', '', '', NULL),
		('855', 'j', 'Secondo livello di cronologia', 'Secondo livello di cronologia', 0, 0, '', 8, '', '', '', NULL, 5, 'IR', '', '', NULL),
		('855', 'k', 'Terzo livello di cronologia', 'Terzo livello di cronologia', 0, 0, '', 8, '', '', '', NULL, 5, 'IR', '', '', NULL),
		('855', 'l', 'Quarto livello di cronologia', 'Quarto livello di cronologia', 0, 0, '', 8, '', '', '', NULL, 5, 'IR', '', '', NULL),
		('855', 'm', 'Schema di numerazione alternativo, cronologia', 'Schema di numerazione alternativo, cronologia', 0, 0, '', 8, '', '', '', NULL, 5, 'IR', '', '', NULL),
		('855', 'n', 'Nota allo schema', 'Nota allo schema', 0, 0, '', 8, '', '', '', NULL, 5, 'IR', '', '', NULL),
		('855', 'p', 'Numero di pezzi per emissione', 'Numero di pezzi per emissione', 0, 0, '', 8, '', '', '', NULL, 5, 'IR', '', '', NULL),
		('855', 't', 'Copia', 'Copia', 0, 0, '', 8, '', '', '', NULL, 5, 'IR', '', '', NULL),
		('855', 'u', 'Unità bibliografiche per il livello superiore', 'Unità bibliografiche per il livello superiore', 1, 0, '', 8, '', '', '', NULL, 5, 'IR', '', '', NULL),
		('855', 'v', 'Continuità di numerazione', 'Continuità di numerazione', 1, 0, '', 8, '', '', '', NULL, 5, 'IR', '', '', NULL),
		('855', 'w', 'Frequenza', 'Frequenza', 0, 0, '', 8, '', '', '', NULL, 5, 'IR', '', '', NULL),
		('855', 'x', 'Cambio di calendario', 'Cambio di calendario', 0, 0, '', 8, '', '', '', NULL, 5, 'IR', '', '', NULL),
		('855', 'y', 'scham di regolarità', 'scham di regolarità', 1, 0, '', 8, '', '', '', NULL, 5, 'IR', '', '', NULL),
		('855', 'z', 'Schema di numerazione', 'Schema di numerazione', 1, 0, '', 8, '', '', '', NULL, 5, 'IR', '', '', NULL),
		('856', '2', 'Metodo di accesso', 'Metodo di accesso', 0, 0, '', 8, '', '', '', 0, -6, 'IR', '', '', NULL),
		('856', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, '', 8, '', '', '', 0, -6, 'IR', '', '', NULL),
		('856', '6', 'Collegamento', 'Collegamento', 0, 0, '', 8, '', '', '', 0, -6, 'IR', '', '', NULL),
		('856', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 8, '', '', '', 0, -6, 'IR', '', '', NULL),
		('856', 'a', 'Nome dell\'host', 'Nome dell\'host', 1, 0, '', 8, '', '', '', 0, -1, 'IR', '', '', NULL),
		('856', 'b', 'Numero di accesso', 'Numero di accesso', 1, 0, '', 8, '', '', '', 0, -1, 'IR', '', '', NULL),
		('856', 'c', 'Informazione sulla compressione', 'Informazione sulla compressione', 1, 0, '', 8, '', '', '', 0, -1, 'IR', '', '', NULL),
		('856', 'd', 'Percorso della risorsa', 'Percorso della risorsa', 1, 0, '', 8, '', '', '', 0, -1, 'IR', '', '', NULL),
		('856', 'f', 'Nome elettronico', 'Nome elettronico', 1, 0, '', 8, '', '', '', 0, -1, 'IR', '', '', NULL),
		('856', 'h', 'Processore della richiesta (Username)', 'Processore della richiesta (Username)', 0, 0, '', 8, '', '', '', 0, -1, 'IR', '', '', NULL),
		('856', 'i', 'Istruzioni', 'Istruzioni', 1, 0, '', 8, '', '', '', 0, -1, 'IR', '', '', NULL),
		('856', 'j', 'Bit per secondo', 'Bit per secondo', 0, 0, '', 8, '', '', '', 0, -1, 'IR', '', '', NULL),
		('856', 'k', 'Password', 'Password', 0, 0, '', 8, '', '', '', 0, -1, 'IR', '', '', NULL),
		('856', 'l', 'Logon', 'Logon', 0, 0, '', 8, '', '', '', 0, -1, 'IR', '', '', NULL),
		('856', 'm', 'Contatto per assistenza all\'accesso', 'Contatto per assistenza all\'accesso', 1, 0, '', 8, '', '', '', 0, -1, 'IR', '', '', NULL),
		('856', 'n', 'Nome della localizzazione dell\'host', 'Nome della localizzazione dell\'host', 0, 0, '', 8, '', '', '', 0, -1, 'IR', '', '', NULL),
		('856', 'o', 'Sistema operativo', 'Sistema operativo', 0, 0, '', 8, '', '', '', 0, -1, 'IR', '', '', NULL),
		('856', 'p', 'Porta', 'Porta', 0, 0, '', 8, '', '', '', 0, -1, 'IR', '', '', NULL),
		('856', 'q', 'Tipo di formato elettronico', 'Tipo di formato elettronico', 0, 0, '', 8, '', '', '', 0, -1, 'IR', '', '', NULL),
		('856', 'r', 'Parametri', 'Parametri', 0, 0, '', 8, '', '', '', 0, -1, 'IR', '', '', NULL),
		('856', 's', 'Dimensione file', 'Dimensione file', 1, 0, '', 8, '', '', '', 0, -1, 'IR', '', '', NULL),
		('856', 't', 'Emulazione del terminale', 'Emulazione del terminale', 1, 0, '', 8, '', '', '', 0, -1, 'IR', '', '', NULL),
		('856', 'u', 'URI (Uniform Resource Identifier)', 'URI (Uniform Resource Identifier)', 1, 0, 'biblioitems.url', 8, '', '', '', 1, -1, 'IR', '', '', NULL),
		('856', 'v', 'Orario di accesso', 'Orario di accesso', 1, 0, '', 8, '', '', '', 0, -1, 'IR', '', '', NULL),
		('856', 'w', 'Numero di controllo della registrazione', 'Numero di controllo della registrazione', 1, 0, '', 8, '', '', '', 0, -1, 'IR', '', '', NULL),
		('856', 'x', 'Nota non pubblic', 'Nota non pubblic', 1, 0, '', 8, '', '', '', 0, 1, 'IR', '', '', NULL),
		('856', 'y', 'Testo di collegamento', 'Testo di collegamento', 1, 0, '', 8, '', '', '', 0, -1, 'IR', '', '', NULL),
		('856', 'z', 'Nota pubblica', 'Nota pubblica', 1, 0, '', 8, '', '', '', 0, -1, 'IR', '', '', NULL),
		('859', 'b', 'Operator\'s initials, OID (RLIN)', 'Operator\'s initials, OID (RLIN)', 0, 0, '', 8, '', '', '', 0, 5, 'IR', '', '', NULL),
		('859', 'c', 'Cataloger\'s initials, CIN (RLIN)', 'Cataloger\'s initials, CIN (RLIN)', 0, 0, '', 8, '', '', '', 0, 5, 'IR', '', '', NULL),
		('859', 'd', 'TDC (RLIN)', 'TDC (RLIN)', 0, 0, '', 8, '', '', '', 0, 5, 'IR', '', '', NULL),
		('859', 'l', 'LIB (RLIN)', 'LIB (RLIN)', 0, 0, '', 8, '', '', '', 0, 5, 'IR', '', '', NULL),
		('859', 'p', 'PRI (RLIN)', 'PRI (RLIN)', 0, 0, '', 8, '', '', '', 0, 5, 'IR', '', '', NULL),
		('859', 'r', 'REG (RLIN)', 'REG (RLIN)', 0, 0, '', 8, '', '', '', 0, 5, 'IR', '', '', NULL),
		('859', 'v', 'VER (RLIN)', 'VER (RLIN)', 0, 0, '', 8, '', '', '', 0, 5, 'IR', '', '', NULL),
		('859', 'x', 'LDEL (RLIN)', 'LDEL (RLIN)', 0, 0, '', 8, '', '', '', 0, 5, 'IR', '', '', NULL),
		('863', '6', 'Collegamento', 'Collegamento', 0, 0, '', 8, '', '', '', NULL, 5, 'IR', '', '', NULL),
		('863', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 0, 0, '', 8, '', '', '', NULL, 5, 'IR', '', '', NULL),
		('863', 'a', 'Primo livello di enumerazione', 'Primo livello di enumerazione', 0, 0, '', 8, '', '', '', 0, 5, 'IR', '', '', NULL),
		('863', 'b', 'Secondo livello di enumerazione', 'Secondo livello di enumerazione', 0, 0, '', 8, '', '', '', 0, 5, 'IR', '', '', NULL),
		('863', 'c', 'Terzo livello di enumerazione', 'Terzo livello di enumerazione', 0, 0, '', 8, '', '', '', 0, 5, 'IR', '', '', NULL),
		('863', 'd', 'Quarto livello di enumerazione', 'Quarto livello di enumerazione', 0, 0, '', 8, '', '', '', 0, 5, 'IR', '', '', NULL),
		('863', 'e', 'Quinto livello di enumerazione', 'Quinto livello di enumerazione', 0, 0, '', 8, '', '', '', 0, 5, 'IR', '', '', NULL),
		('863', 'f', 'Sesto livello di enumerazione', 'Sesto livello di enumerazione', 0, 0, '', 8, '', '', '', 0, 5, 'IR', '', '', NULL),
		('863', 'g', 'Schema di numerazione alternativo, primo livello di enumerazione', 'Schema di numerazione alternativo, primo livello di enumerazione', 0, 0, '', 8, '', '', '', 0, 5, 'IR', '', '', NULL),
		('863', 'h', 'Schema di numerazione alternativo, secondo livello di enumerazione', 'Schema di numerazione alternativo, secondo livello di enumerazione', 0, 0, '', 8, '', '', '', 0, 5, 'IR', '', '', NULL),
		('863', 'i', 'Primo livello di cronologia', 'Primo livello di cronologia', 0, 0, '', 8, '', '', '', 0, 5, 'IR', '', '', NULL),
		('863', 'j', 'Secondo livello di cronologia', 'Secondo livello di cronologia', 0, 0, '', 8, '', '', '', 0, 5, 'IR', '', '', NULL),
		('863', 'k', 'Terzo livello di cronologia', 'Terzo livello di cronologia', 0, 0, '', 8, '', '', '', 0, 5, 'IR', '', '', NULL),
		('863', 'l', 'Quarto livello di cronologia', 'Quarto livello di cronologia', 0, 0, '', 8, '', '', '', 0, 5, 'IR', '', '', NULL),
		('863', 'm', 'Schema di numerazione alternativo, cronologia', 'Schema di numerazione alternativo, cronologia', 0, 0, '', 8, '', '', '', 0, 5, 'IR', '', '', NULL),
		('863', 'n', 'Convertito in anno Gregoriano', 'Convertito in anno Gregoriano', 0, 0, '', 8, '', '', '', 0, 5, 'IR', '', '', NULL),
		('863', 'o', 'Tipo di materiale', 'Tipo di materiale', 1, 0, '', 8, '', '', '', 0, 5, 'IR', '', '', NULL),
		('863', 'p', 'Designazione di parte', 'Designazione di parte', 0, 0, '', 8, '', '', '', 0, 5, 'IR', '', '', NULL),
		('863', 'q', 'Condizione fisica della parte', 'Condizione fisica della parte', 0, 0, '', 8, '', '', '', 0, 5, 'IR', '', '', NULL),
		('863', 's', 'Codice di tassa sul copyright dell\'articolo', 'Codice di tassa sul copyright dell\'articolo', 1, 0, '', 8, '', '', '', 0, 5, 'IR', '', '', NULL),
		('863', 't', 'Numero di copia', 'Numero di copia', 0, 0, '', 8, '', '', '', 0, 5, 'IR', '', '', NULL),
		('863', 'v', 'Data di emissione', 'Data di emissione', 1, 0, '', 8, '', '', '', 0, 5, 'IR', '', '', NULL),
		('863', 'w', 'indicatore di stacco', 'indicatore di stacco', 0, 0, '', 8, '', '', '', 0, 5, 'IR', '', '', NULL),
		('863', 'x', 'Nota non pubblic', 'Nota non pubblic', 1, 0, '', 8, '', '', '', 0, 5, 'IR', '', '', NULL),
		('863', 'z', 'Nota pubblica', 'Nota pubblica', 1, 0, '', 8, '', '', '', 0, 5, 'IR', '', '', NULL),
		('864', '6', 'Collegamento', 'Collegamento', 0, 0, '', 8, '', '', '', NULL, 5, 'IR', '', '', NULL),
		('864', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 0, 0, '', 8, '', '', '', NULL, 5, 'IR', '', '', NULL),
		('864', 'a', 'Primo livello di enumerazione', 'Primo livello di enumerazione', 0, 0, '', 8, '', '', '', 0, 5, 'IR', '', '', NULL),
		('864', 'b', 'Secondo livello di enumerazione', 'Secondo livello di enumerazione', 0, 0, '', 8, '', '', '', 0, 5, 'IR', '', '', NULL),
		('864', 'c', 'Terzo livello di enumerazione', 'Terzo livello di enumerazione', 0, 0, '', 8, '', '', '', 0, 5, 'IR', '', '', NULL),
		('864', 'd', 'Quarto livello di enumerazione', 'Quarto livello di enumerazione', 0, 0, '', 8, '', '', '', 0, 5, 'IR', '', '', NULL),
		('864', 'e', 'Quinto livello di enumerazione', 'Quinto livello di enumerazione', 0, 0, '', 8, '', '', '', 0, 5, 'IR', '', '', NULL),
		('864', 'f', 'Sesto livello di enumerazione', 'Sesto livello di enumerazione', 0, 0, '', 8, '', '', '', 0, 5, 'IR', '', '', NULL),
		('864', 'g', 'Schema di numerazione alternativo, primo livello di enumerazione', 'Schema di numerazione alternativo, primo livello di enumerazione', 0, 0, '', 8, '', '', '', 0, 5, 'IR', '', '', NULL),
		('864', 'h', 'Schema di numerazione alternativo, secondo livello di enumerazione', 'Schema di numerazione alternativo, secondo livello di enumerazione', 0, 0, '', 8, '', '', '', 0, 5, 'IR', '', '', NULL),
		('864', 'i', 'Primo livello di cronologia', 'Primo livello di cronologia', 0, 0, '', 8, '', '', '', 0, 5, 'IR', '', '', NULL),
		('864', 'j', 'Secondo livello di cronologia', 'Secondo livello di cronologia', 0, 0, '', 8, '', '', '', 0, 5, 'IR', '', '', NULL),
		('864', 'k', 'Terzo livello di cronologia', 'Terzo livello di cronologia', 0, 0, '', 8, '', '', '', 0, 5, 'IR', '', '', NULL),
		('864', 'l', 'Quarto livello di cronologia', 'Quarto livello di cronologia', 0, 0, '', 8, '', '', '', 0, 5, 'IR', '', '', NULL),
		('864', 'm', 'Schema di numerazione alternativo, cronologia', 'Schema di numerazione alternativo, cronologia', 0, 0, '', 8, '', '', '', 0, 5, 'IR', '', '', NULL),
		('864', 'n', 'Convertito in anno Gregoriano', 'Convertito in anno Gregoriano', 0, 0, '', 8, '', '', '', 0, 5, 'IR', '', '', NULL),
		('864', 'o', 'Tipo di materiale', 'Tipo di materiale', 1, 0, '', 8, '', '', '', 0, 5, 'IR', '', '', NULL),
		('864', 'p', 'Designazione di parte', 'Designazione di parte', 0, 0, '', 8, '', '', '', 0, 5, 'IR', '', '', NULL),
		('864', 'q', 'Condizione fisica della parte', 'Condizione fisica della parte', 0, 0, '', 8, '', '', '', 0, 5, 'IR', '', '', NULL),
		('864', 's', 'Codice di tassa sul copyright dell\'articolo', 'Codice di tassa sul copyright dell\'articolo', 1, 0, '', 8, '', '', '', 0, 5, 'IR', '', '', NULL),
		('864', 't', 'Numero di copia', 'Numero di copia', 0, 0, '', 8, '', '', '', 0, 5, 'IR', '', '', NULL),
		('864', 'v', 'Data di emissione', 'Data di emissione', 1, 0, '', 8, '', '', '', 0, 5, 'IR', '', '', NULL),
		('864', 'w', 'indicatore di stacco', 'indicatore di stacco', 0, 0, '', 8, '', '', '', 0, 5, 'IR', '', '', NULL),
		('864', 'x', 'Nota non pubblic', 'Nota non pubblic', 1, 0, '', 8, '', '', '', 0, 5, 'IR', '', '', NULL),
		('864', 'z', 'Nota pubblica', 'Nota pubblica', 1, 0, '', 8, '', '', '', 0, 5, 'IR', '', '', NULL),
		('865', '6', 'Collegamento', 'Collegamento', 0, 0, '', 8, '', '', '', NULL, 5, 'IR', '', '', NULL),
		('865', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 0, 0, '', 8, '', '', '', NULL, 5, 'IR', '', '', NULL),
		('865', 'a', 'Primo livello di enumerazione', 'Primo livello di enumerazione', 0, 0, '', 8, '', '', '', 0, 5, 'IR', '', '', NULL),
		('865', 'b', 'Secondo livello di enumerazione', 'Secondo livello di enumerazione', 0, 0, '', 8, '', '', '', 0, 5, 'IR', '', '', NULL),
		('865', 'c', 'Terzo livello di enumerazione', 'Terzo livello di enumerazione', 0, 0, '', 8, '', '', '', 0, 5, 'IR', '', '', NULL),
		('865', 'd', 'Quarto livello di enumerazione', 'Quarto livello di enumerazione', 0, 0, '', 8, '', '', '', 0, 5, 'IR', '', '', NULL),
		('865', 'e', 'Quinto livello di enumerazione', 'Quinto livello di enumerazione', 0, 0, '', 8, '', '', '', 0, 5, 'IR', '', '', NULL),
		('865', 'f', 'Sesto livello di enumerazione', 'Sesto livello di enumerazione', 0, 0, '', 8, '', '', '', 0, 5, 'IR', '', '', NULL),
		('865', 'g', 'Schema di numerazione alternativo, primo livello di enumerazione', 'Schema di numerazione alternativo, primo livello di enumerazione', 0, 0, '', 8, '', '', '', 0, 5, 'IR', '', '', NULL),
		('865', 'h', 'Schema di numerazione alternativo, secondo livello di enumerazione', 'Schema di numerazione alternativo, secondo livello di enumerazione', 0, 0, '', 8, '', '', '', 0, 5, 'IR', '', '', NULL),
		('865', 'i', 'Primo livello di cronologia', 'Primo livello di cronologia', 0, 0, '', 8, '', '', '', 0, 5, 'IR', '', '', NULL),
		('865', 'j', 'Secondo livello di cronologia', 'Secondo livello di cronologia', 0, 0, '', 8, '', '', '', 0, 5, 'IR', '', '', NULL),
		('865', 'k', 'Terzo livello di cronologia', 'Terzo livello di cronologia', 0, 0, '', 8, '', '', '', 0, 5, 'IR', '', '', NULL),
		('865', 'l', 'Quarto livello di cronologia', 'Quarto livello di cronologia', 0, 0, '', 8, '', '', '', 0, 5, 'IR', '', '', NULL),
		('865', 'm', 'Schema di numerazione alternativo, cronologia', 'Schema di numerazione alternativo, cronologia', 0, 0, '', 8, '', '', '', 0, 5, 'IR', '', '', NULL),
		('865', 'n', 'Convertito in anno Gregoriano', 'Convertito in anno Gregoriano', 0, 0, '', 8, '', '', '', 0, 5, 'IR', '', '', NULL),
		('865', 'o', 'Tipo di materiale', 'Tipo di materiale', 1, 0, '', 8, '', '', '', 0, 5, 'IR', '', '', NULL),
		('865', 'p', 'Designazione di parte', 'Designazione di parte', 0, 0, '', 8, '', '', '', 0, 5, 'IR', '', '', NULL),
		('865', 'q', 'Condizione fisica della parte', 'Condizione fisica della parte', 0, 0, '', 8, '', '', '', 0, 5, 'IR', '', '', NULL),
		('865', 's', 'Codice di tassa sul copyright dell\'articolo', 'Codice di tassa sul copyright dell\'articolo', 1, 0, '', 8, '', '', '', 0, 5, 'IR', '', '', NULL),
		('865', 't', 'Numero di copia', 'Numero di copia', 0, 0, '', 8, '', '', '', 0, 5, 'IR', '', '', NULL),
		('865', 'v', 'Data di emissione', 'Data di emissione', 1, 0, '', 8, '', '', '', 0, 5, 'IR', '', '', NULL),
		('865', 'w', 'indicatore di stacco', 'indicatore di stacco', 0, 0, '', 8, '', '', '', 0, 5, 'IR', '', '', NULL),
		('865', 'x', 'Nota non pubblic', 'Nota non pubblic', 1, 0, '', 8, '', '', '', 0, 5, 'IR', '', '', NULL),
		('865', 'z', 'Nota pubblica', 'Nota pubblica', 1, 0, '', 8, '', '', '', 0, 5, 'IR', '', '', NULL),
		('866', '6', 'Collegamento', 'Collegamento', 0, 0, '', 8, '', '', '', NULL, 5, 'IR', '', '', NULL),
		('866', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 8, '', '', '', NULL, 5, 'IR', '', '', NULL),
		('866', 'a', 'Stringa testuale', 'Stringa testuale', 0, 0, '', 8, '', '', '', 0, 5, 'IR', '', '', NULL),
		('866', 'x', 'Nota non pubblic', 'Nota non pubblic', 1, 0, '', 8, '', '', '', 0, 5, 'IR', '', '', NULL),
		('866', 'z', 'Nota pubblica', 'Nota pubblica', 1, 0, '', 8, '', '', '', 0, 5, 'IR', '', '', NULL),
		('867', '6', 'Collegamento', 'Collegamento', 0, 0, '', 8, '', '', '', NULL, 5, 'IR', '', '', NULL),
		('867', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 8, '', '', '', NULL, 5, 'IR', '', '', NULL),
		('867', 'a', 'Stringa testuale', 'Stringa testuale', 0, 0, '', 8, '', '', '', 0, 5, 'IR', '', '', NULL),
		('867', 'x', 'Nota non pubblic', 'Nota non pubblic', 1, 0, '', 8, '', '', '', 0, 5, 'IR', '', '', NULL),
		('867', 'z', 'Nota pubblica', 'Nota pubblica', 1, 0, '', 8, '', '', '', 0, 5, 'IR', '', '', NULL),
		('868', '6', 'Collegamento', 'Collegamento', 0, 0, '', 8, '', '', '', NULL, 5, 'IR', '', '', NULL),
		('868', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 8, '', '', '', NULL, 5, 'IR', '', '', NULL),
		('868', 'a', 'Stringa testuale', 'Stringa testuale', 0, 0, '', 8, '', '', '', 0, 5, 'IR', '', '', NULL),
		('868', 'x', 'Nota non pubblic', 'Nota non pubblic', 1, 0, '', 8, '', '', '', 0, 5, 'IR', '', '', NULL),
		('868', 'z', 'Nota pubblica', 'Nota pubblica', 1, 0, '', 8, '', '', '', 0, 5, 'IR', '', '', NULL),
		('870', '4', 'Codice di ruolo', 'Codice di ruolo', 1, 0, '', 8, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('870', '6', 'Collegamento', 'Collegamento', 0, 0, '', 8, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('870', 'a', 'Nome di persona', 'Nome di persona', 0, 0, '', 8, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('870', 'b', 'Numerazione', 'Numerazione', 0, 0, '', 8, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('870', 'c', 'Titoli e altre parole associate al nome', 'Titoli e altre parole associate al nome', 1, 0, '', 8, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('870', 'd', 'Date associate al nome', 'Date associate al nome', 0, 0, '', 8, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('870', 'e', 'Termine di ruolo', 'Termine di ruolo', 1, 0, '', 8, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('870', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, '', 8, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('870', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, '', 8, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('870', 'j', 'Tag e numero di sequenza', 'Tag e numero di sequenza', 0, 0, '', 8, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('870', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, '', 8, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('870', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, '', 8, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('870', 'n', 'Numero di parte/sezione dell\'opera', 'Numero di parte/sezione dell\'opera', 1, 0, '', 8, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('870', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, '', 8, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('870', 'q', 'Forma completa del nome', 'Forma completa del nome', 0, 0, '', 8, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('870', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, '', 8, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('870', 'u', 'Affiliazione', 'Affiliazione', 0, 0, '', 8, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('871', '4', 'Codice di ruolo', 'Codice di ruolo', 1, 0, '', 8, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('871', '6', 'Collegamento', 'Collegamento', 0, 0, '', 8, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('871', 'a', 'Nome dell\'ente o nome della giurisdizione come accesso', 'Nome dell\'ente o nome della giurisdizione come accesso', 0, 0, '', 8, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('871', 'b', 'Unità subordinata', 'Unità subordinata', 1, 0, '', 8, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('871', 'c', 'Luogo del convegno', 'Luogo del convegno', 0, 0, '', 8, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('871', 'd', 'Data del convegno o di firma del trattato', 'Data del convegno o di firma del trattato', 1, 0, '', 8, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('871', 'e', 'Termine di ruolo', 'Termine di ruolo', 1, 0, '', 8, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('871', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, '', 8, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('871', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, '', 8, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('871', 'j', 'Tag e numero di sequenza', 'Tag e numero di sequenza', 0, 0, '', 8, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('871', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, '', 8, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('871', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, '', 8, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('871', 'n', 'Numero di parte/sezione/convegno', 'Numero di parte/sezione/convegno', 1, 0, '', 8, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('871', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, '', 8, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('871', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, '', 8, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('871', 'u', 'Affiliazione', 'Affiliazione', 0, 0, '', 8, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('872', '4', 'Codice di ruolo', 'Codice di ruolo', 1, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('872', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('872', 'a', 'Nome del convegno o nome della giurisdizione come accesso', 'Nome del convegno o nome della giurisdizione come accesso', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('872', 'b', 'Number [OBSOLETE]', 'Number [OBSOLETE]', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('872', 'c', 'Luogo del convegno', 'Luogo del convegno', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('872', 'd', 'Data del convegno', 'Data del convegno', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('872', 'e', 'Unità subordinata', 'Unità subordinata', 1, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('872', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('872', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('872', 'j', 'Tag e numero di sequenza', 'Tag e numero di sequenza', 0, 0, '', 8, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('872', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('872', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('872', 'n', 'Numero di parte/sezione/convegno', 'Numero di parte/sezione/convegno', 1, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('872', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('872', 'q', 'Nome del convegno dopo accesso di nome della giurisdizione', 'Nome del convegno dopo accesso di nome della giurisdizione', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('872', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('872', 'u', 'Affiliazione', 'Affiliazione', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('873', '6', 'Collegamento', 'Collegamento', 0, 0, '', 8, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('873', 'a', 'Titolo uniforme', 'Titolo uniforme', 0, 0, '', 8, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('873', 'd', 'Data di firma del trattato', 'Data di firma del trattato', 1, 0, '', 8, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('873', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, '', 8, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('873', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, '', 8, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('873', 'h', 'Supporto', 'Supporto', 0, 0, '', 8, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('873', 'j', 'Tag e numero di sequenza', 'Tag e numero di sequenza', 0, 0, '', 8, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('873', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, '', 8, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('873', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, '', 8, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('873', 'm', 'Mezzo di esecuzione per la musica', 'Mezzo di esecuzione per la musica', 1, 0, '', 8, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('873', 'n', 'Numero di parte/sezione dell\'opera', 'Numero di parte/sezione dell\'opera', 1, 0, '', 8, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('873', 'o', 'Formulazione d\'arrangiamento per la musica', 'Formulazione d\'arrangiamento per la musica', 0, 0, '', 8, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('873', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, '', 8, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('873', 'r', 'Tonalità (musica)', 'Tonalità (musica)', 0, 0, '', 8, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('873', 's', 'Versione', 'Versione', 0, 0, '', 8, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('873', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, '', 8, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('876', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, '', 8, '', '', '', NULL, 5, 'IR', '', '', NULL),
		('876', '6', 'Collegamento', 'Collegamento', 0, 0, '', 8, '', '', '', NULL, 5, 'IR', '', '', NULL),
		('876', '8', 'Numero di sequenza', 'Numero di sequenza', 1, 0, '', 8, '', '', '', NULL, 5, 'IR', '', '', NULL),
		('876', 'a', 'Internal item number', 'Internal item number', 0, 0, '', 8, '', '', '', NULL, 5, 'IR', '', '', NULL),
		('876', 'b', 'Invalid or canceled internal item number', 'Invalid or canceled internal item number', 1, 0, '', 8, '', '', '', NULL, 5, 'IR', '', '', NULL),
		('876', 'c', 'Cost', 'Cost', 1, 0, '', 8, '', '', '', NULL, 5, 'IR', '', '', NULL),
		('876', 'd', 'Data d\'acquisizione', 'Data d\'acquisizione', 1, 0, '', 8, '', '', '', NULL, 5, 'IR', '', '', NULL),
		('876', 'e', 'Fonte d\'acquisto', 'Fonte d\'acquisto', 1, 0, '', 8, '', '', '', NULL, 5, 'IR', '', '', NULL),
		('876', 'h', 'Use restrictions', 'Use restrictions', 1, 0, '', 8, '', '', '', NULL, 5, 'IR', '', '', NULL),
		('876', 'j', 'Status della copia', 'Status della copia', 1, 0, '', 8, '', '', '', NULL, 5, 'IR', '', '', NULL),
		('876', 'l', 'Collocazione temporanea', 'Collocazione temporanea', 1, 0, '', 8, '', '', '', NULL, 5, 'IR', '', '', NULL),
		('876', 'p', 'Designazione di parte', 'Designazione di parte', 1, 0, '', 8, '', '', '', NULL, 5, 'IR', '', '', NULL),
		('876', 'r', 'Invalid or canceled piece designation', 'Invalid or canceled piece designation', 1, 0, '', 8, '', '', '', NULL, 5, 'IR', '', '', NULL),
		('876', 't', 'Numero di copia', 'Numero di copia', 0, 0, '', 8, '', '', '', NULL, 5, 'IR', '', '', NULL),
		('876', 'x', 'Nota non pubblic', 'Nota non pubblic', 1, 0, '', 8, '', '', '', NULL, 5, 'IR', '', '', NULL),
		('876', 'z', 'Nota pubblica', 'Nota pubblica', 1, 0, '', 8, '', '', '', NULL, 5, 'IR', '', '', NULL),
		('877', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, '', 8, '', '', '', NULL, 5, 'IR', '', '', NULL),
		('877', '6', 'Collegamento', 'Collegamento', 0, 0, '', 8, '', '', '', NULL, 5, 'IR', '', '', NULL),
		('877', '8', 'Numero di sequenza', 'Numero di sequenza', 1, 0, '', 8, '', '', '', NULL, 5, 'IR', '', '', NULL),
		('877', 'a', 'Internal item number', 'Internal item number', 0, 0, '', 8, '', '', '', NULL, 5, 'IR', '', '', NULL),
		('877', 'b', 'Invalid or canceled internal item number', 'Invalid or canceled internal item number', 1, 0, '', 8, '', '', '', NULL, 5, 'IR', '', '', NULL),
		('877', 'c', 'Cost', 'Cost', 1, 0, '', 8, '', '', '', NULL, 5, 'IR', '', '', NULL),
		('877', 'd', 'Data d\'acquisizione', 'Data d\'acquisizione', 1, 0, '', 8, '', '', '', NULL, 5, 'IR', '', '', NULL),
		('877', 'e', 'Fonte d\'acquisto', 'Fonte d\'acquisto', 1, 0, '', 8, '', '', '', NULL, 5, 'IR', '', '', NULL),
		('877', 'h', 'Use restrictions', 'Use restrictions', 1, 0, '', 8, '', '', '', NULL, 5, 'IR', '', '', NULL),
		('877', 'j', 'Status della copia', 'Status della copia', 1, 0, '', 8, '', '', '', NULL, 5, 'IR', '', '', NULL),
		('877', 'l', 'Collocazione temporanea', 'Collocazione temporanea', 1, 0, '', 8, '', '', '', NULL, 5, 'IR', '', '', NULL),
		('877', 'p', 'Designazione di parte', 'Designazione di parte', 1, 0, '', 8, '', '', '', NULL, 5, 'IR', '', '', NULL),
		('877', 'r', 'Invalid or canceled piece designation', 'Invalid or canceled piece designation', 1, 0, '', 8, '', '', '', NULL, 5, 'IR', '', '', NULL),
		('877', 't', 'Numero di copia', 'Numero di copia', 0, 0, '', 8, '', '', '', NULL, 5, 'IR', '', '', NULL),
		('877', 'x', 'Nota non pubblic', 'Nota non pubblic', 1, 0, '', 8, '', '', '', NULL, 5, 'IR', '', '', NULL),
		('877', 'z', 'Nota pubblica', 'Nota pubblica', 1, 0, '', 8, '', '', '', NULL, 5, 'IR', '', '', NULL),
		('878', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, '', 8, '', '', '', NULL, 5, 'IR', '', '', NULL),
		('878', '6', 'Collegamento', 'Collegamento', 0, 0, '', 8, '', '', '', NULL, 5, 'IR', '', '', NULL),
		('878', '8', 'Numero di sequenza', 'Numero di sequenza', 1, 0, '', 8, '', '', '', NULL, 5, 'IR', '', '', NULL),
		('878', 'a', 'Internal item number', 'Internal item number', 0, 0, '', 8, '', '', '', NULL, 5, 'IR', '', '', NULL),
		('878', 'b', 'Invalid or canceled internal item number', 'Invalid or canceled internal item number', 1, 0, '', 8, '', '', '', NULL, 5, 'IR', '', '', NULL),
		('878', 'c', 'Cost', 'Cost', 1, 0, '', 8, '', '', '', NULL, 5, 'IR', '', '', NULL),
		('878', 'd', 'Data d\'acquisizione', 'Data d\'acquisizione', 1, 0, '', 8, '', '', '', NULL, 5, 'IR', '', '', NULL),
		('878', 'e', 'Fonte d\'acquisto', 'Fonte d\'acquisto', 1, 0, '', 8, '', '', '', NULL, 5, 'IR', '', '', NULL),
		('878', 'h', 'Use restrictions', 'Use restrictions', 1, 0, '', 8, '', '', '', NULL, 5, 'IR', '', '', NULL),
		('878', 'j', 'Status della copia', 'Status della copia', 1, 0, '', 8, '', '', '', NULL, 5, 'IR', '', '', NULL),
		('878', 'l', 'Collocazione temporanea', 'Collocazione temporanea', 1, 0, '', 8, '', '', '', NULL, 5, 'IR', '', '', NULL),
		('878', 'p', 'Designazione di parte', 'Designazione di parte', 1, 0, '', 8, '', '', '', NULL, 5, 'IR', '', '', NULL),
		('878', 'r', 'Invalid or canceled piece designation', 'Invalid or canceled piece designation', 1, 0, '', 8, '', '', '', NULL, 5, 'IR', '', '', NULL),
		('878', 't', 'Numero di copia', 'Numero di copia', 0, 0, '', 8, '', '', '', NULL, 5, 'IR', '', '', NULL),
		('878', 'x', 'Nota non pubblic', 'Nota non pubblic', 1, 0, '', 8, '', '', '', NULL, 5, 'IR', '', '', NULL),
		('878', 'z', 'Nota pubblica', 'Nota pubblica', 1, 0, '', 8, '', '', '', NULL, 5, 'IR', '', '', NULL),
		('880', '2', '2', '2', 1, 0, '', 8, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('880', '3', '3', '3', 1, 0, '', 8, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('880', '4', '4', '4', 1, 0, '', 8, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('880', '5', '5', '5', 1, 0, '', 8, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('880', '6', 'Collegamento', 'Collegamento', 0, 0, '', 8, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('880', '7', '7', '7', 1, 0, '', 8, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('880', '8', '8', '8', 1, 0, '', 8, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('880', '9', '9', '9', 1, 0, '', 8, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('880', 'a', 'a', 'a', 1, 0, '', 8, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('880', 'b', 'b', 'b', 1, 0, '', 8, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('880', 'c', 'c', 'c', 1, 0, '', 8, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('880', 'd', 'd', 'd', 1, 0, '', 8, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('880', 'e', 'e', 'e', 1, 0, '', 8, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('880', 'f', 'f', 'f', 1, 0, '', 8, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('880', 'g', 'g', 'g', 1, 0, '', 8, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('880', 'h', 'h', 'h', 1, 0, '', 8, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('880', 'i', 'i', 'i', 1, 0, '', 8, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('880', 'j', 'j', 'j', 1, 0, '', 8, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('880', 'k', 'k', 'k', 1, 0, '', 8, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('880', 'l', 'l', 'l', 1, 0, '', 8, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('880', 'm', 'm', 'm', 1, 0, '', 8, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('880', 'n', 'n', 'n', 1, 0, '', 8, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('880', 'o', 'o', 'o', 1, 0, '', 8, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('880', 'p', 'p', 'p', 1, 0, '', 8, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('880', 'q', 'q', 'q', 1, 0, '', 8, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('880', 'r', 'r', 'r', 1, 0, '', 8, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('880', 's', 's', 's', 1, 0, '', 8, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('880', 't', 't', 't', 1, 0, '', 8, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('880', 'u', 'u', 'u', 1, 0, '', 8, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('880', 'v', 'v', 'v', 1, 0, '', 8, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('880', 'w', 'w', 'w', 1, 0, '', 8, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('880', 'x', 'x', 'x', 1, 0, '', 8, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('880', 'y', 'y', 'y', 1, 0, '', 8, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('880', 'z', 'z', 'z', 1, 0, '', 8, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('886', '0', '0', '0', 1, 0, '', 8, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('886', '1', '1', '1', 1, 0, '', 8, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('886', '2', '2', '2', 1, 0, '', 8, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('886', '3', '3', '3', 1, 0, '', 8, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('886', '4', '4', '4', 1, 0, '', 8, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('886', '5', '5', '5', 1, 0, '', 8, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('886', '6', '6', '6', 1, 0, '', 8, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('886', '7', '7', '7', 1, 0, '', 8, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('886', '8', '8', '8', 1, 0, '', 8, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('886', '9', '9', '9', 1, 0, '', 8, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('886', 'a', 'a', 'a', 1, 0, '', 8, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('886', 'b', 'b', 'b', 1, 0, '', 8, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('886', 'c', 'c', 'c', 1, 0, '', 8, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('886', 'd', 'd', 'd', 1, 0, '', 8, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('886', 'e', 'e', 'e', 1, 0, '', 8, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('886', 'f', 'f', 'f', 1, 0, '', 8, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('886', 'g', 'g', 'g', 1, 0, '', 8, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('886', 'h', 'h', 'h', 1, 0, '', 8, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('886', 'i', 'i', 'i', 1, 0, '', 8, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('886', 'j', 'j', 'j', 1, 0, '', 8, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('886', 'k', 'k', 'k', 1, 0, '', 8, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('886', 'l', 'l', 'l', 1, 0, '', 8, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('886', 'm', 'm', 'm', 1, 0, '', 8, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('886', 'n', 'n', 'n', 1, 0, '', 8, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('886', 'o', 'o', 'o', 1, 0, '', 8, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('886', 'p', 'p', 'p', 1, 0, '', 8, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('886', 'q', 'q', 'q', 1, 0, '', 8, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('886', 'r', 'r', 'r', 1, 0, '', 8, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('886', 's', 's', 's', 1, 0, '', 8, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('886', 't', 't', 't', 1, 0, '', 8, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('886', 'u', 'u', 'u', 1, 0, '', 8, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('886', 'v', 'v', 'v', 1, 0, '', 8, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('886', 'w', 'w', 'w', 1, 0, '', 8, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('886', 'x', 'x', 'x', 1, 0, '', 8, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('886', 'y', 'y', 'y', 1, 0, '', 8, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('886', 'z', 'z', 'z', 1, 0, '', 8, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('887', '2', 'Fonte dei dati', 'Fonte dei dati', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('887', 'a', 'Contenuto del campo non-MARC', 'Contenuto del campo non-MARC', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('896', '%', '% (RLIN)', '% (RLIN)', 0, 0, '', 8, '', '', '', 0, -6, 'IR', '', '', NULL),
		('896', '4', 'Codice di ruolo', 'Codice di ruolo', 1, 0, '', 8, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('896', '6', 'Collegamento', 'Collegamento', 0, 0, '', 8, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('896', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 8, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('896', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 8, '', '', '', 0, -5, 'IR', '', '', NULL),
		('896', 'a', 'Nome di persona', 'Nome di persona', 0, 0, '', 8, '', 'PERSO_NAME', '', NULL, -6, 'IR', '', '', NULL),
		('896', 'b', 'Numerazione', 'Numerazione', 0, 0, '', 8, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('896', 'c', 'Titoli e altre parole associate al nome', 'Titoli e altre parole associate al nome', 1, 0, '', 8, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('896', 'd', 'Date associate al nome', 'Date associate al nome', 0, 0, '', 8, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('896', 'e', 'Termine di ruolo', 'Termine di ruolo', 1, 0, '', 8, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('896', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, '', 8, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('896', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, '', 8, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('896', 'h', 'Supporto', 'Supporto', 0, 0, '', 8, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('896', 'j', 'Qualificazione d\'attribuzione', 'Qualificazione d\'attribuzione', 1, 0, '', 8, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('896', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, '', 8, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('896', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, '', 8, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('896', 'm', 'Mezzo di esecuzione per la musica', 'Mezzo di esecuzione per la musica', 1, 0, '', 8, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('896', 'n', 'Numero di parte/sezione dell\'opera', 'Numero di parte/sezione dell\'opera', 1, 0, '', 8, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('896', 'o', 'Formulazione d\'arrangiamento per la musica', 'Formulazione d\'arrangiamento per la musica', 0, 0, '', 8, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('896', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, '', 8, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('896', 'q', 'Forma completa del nome', 'Forma completa del nome', 0, 0, '', 8, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('896', 'r', 'Tonalità (musica)', 'Tonalità (musica)', 0, 0, '', 8, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('896', 's', 'Versione', 'Versione', 0, 0, '', 8, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('896', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, '', 8, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('896', 'u', 'Affiliazione', 'Affiliazione', 0, 0, '', 8, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('896', 'v', 'Numero del volume/designazione di sequenza', 'Numero del volume/designazione di sequenza', 0, 0, '', 8, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('897', '%', '% (RLIN)', '% (RLIN)', 0, 0, '', 8, '', '', '', 0, -6, 'IR', '', '', NULL),
		('897', '4', 'Codice di ruolo', 'Codice di ruolo', 1, 0, '', 8, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('897', '6', 'Collegamento', 'Collegamento', 0, 0, '', 8, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('897', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 8, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('897', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 8, '', '', '', 0, -5, 'IR', '', '', NULL),
		('897', 'a', 'Nome dell\'ente o nome della giurisdizione come accesso', 'Nome dell\'ente o nome della giurisdizione come accesso', 0, 0, '', 8, '', 'CORPO_NAME', '', NULL, -6, 'IR', '', '', NULL),
		('897', 'b', 'Unità subordinata', 'Unità subordinata', 1, 0, '', 8, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('897', 'c', 'Luogo del convegno', 'Luogo del convegno', 0, 0, '', 8, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('897', 'd', 'Data del convegno o di firma del trattato', 'Data del convegno o di firma del trattato', 1, 0, '', 8, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('897', 'e', 'Termine di ruolo', 'Termine di ruolo', 1, 0, '', 8, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('897', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, '', 8, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('897', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, '', 8, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('897', 'h', 'Supporto', 'Supporto', 0, 0, '', 8, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('897', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, '', 8, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('897', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, '', 8, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('897', 'm', 'Mezzo di esecuzione per la musica', 'Mezzo di esecuzione per la musica', 1, 0, '', 8, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('897', 'n', 'Numero di parte/sezione/convegno', 'Numero di parte/sezione/convegno', 1, 0, '', 8, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('897', 'o', 'Formulazione d\'arrangiamento per la musica', 'Formulazione d\'arrangiamento per la musica', 0, 0, '', 8, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('897', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, '', 8, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('897', 'r', 'Tonalità (musica)', 'Tonalità (musica)', 0, 0, '', 8, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('897', 's', 'Versione', 'Versione', 0, 0, '', 8, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('897', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, '', 8, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('897', 'u', 'Affiliazione', 'Affiliazione', 0, 0, '', 8, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('897', 'v', 'Numero del volume/designazione di sequenza', 'Numero del volume/designazione di sequenza', 0, 0, '', 8, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('898', '%', '% (RLIN)', '% (RLIN)', 0, 0, '', 8, '', '', '', 0, -6, 'IR', '', '', NULL),
		('898', '4', 'Codice di ruolo', 'Codice di ruolo', 1, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('898', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('898', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('898', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 8, '', '', '', 0, -5, 'IR', '', '', NULL),
		('898', 'a', 'Nome del convegno o nome della giurisdizione come accesso', 'Nome del convegno o nome della giurisdizione come accesso', 0, 0, NULL, 8, NULL, 'MEETI_NAME', '', NULL, -6, 'IR', '', '', NULL),
		('898', 'b', 'Number (BK CF MP MU SE VM MX) [OBSOLETE]', 'Number (BK CF MP MU SE VM MX) [OBSOLETE]', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('898', 'c', 'Luogo del convegno', 'Luogo del convegno', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('898', 'd', 'Data del convegno', 'Data del convegno', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('898', 'e', 'Unità subordinata', 'Unità subordinata', 1, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('898', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('898', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('898', 'h', 'Supporto', 'Supporto', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('898', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('898', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('898', 'n', 'Numero di parte/sezione/convegno', 'Numero di parte/sezione/convegno', 1, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('898', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('898', 'q', 'Nome del convegno dopo accesso di nome della giurisdizione', 'Nome del convegno dopo accesso di nome della giurisdizione', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('898', 's', 'Versione', 'Versione', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('898', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('898', 'u', 'Affiliazione', 'Affiliazione', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('898', 'v', 'Numero del volume/designazione di sequenza', 'Numero del volume/designazione di sequenza', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('899', '%', '% (RLIN)', '% (RLIN)', 0, 0, '', 8, '', '', '', 0, -6, 'IR', '', '', NULL),
		('899', '6', 'Collegamento', 'Collegamento', 0, 0, '', 8, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('899', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 8, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('899', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 8, '', '', '', 0, -5, 'IR', '', '', NULL),
		('899', 'a', 'Titolo uniforme', 'Titolo uniforme', 0, 0, '', 8, '', 'UNIF_TITLE', '', NULL, -6, 'IR', '', '', NULL),
		('899', 'd', 'Data di firma del trattato', 'Data di firma del trattato', 1, 0, '', 8, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('899', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, '', 8, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('899', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, '', 8, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('899', 'h', 'Supporto', 'Supporto', 0, 0, '', 8, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('899', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, '', 8, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('899', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, '', 8, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('899', 'm', 'Mezzo di esecuzione per la musica', 'Mezzo di esecuzione per la musica', 1, 0, '', 8, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('899', 'n', 'Numero di parte/sezione dell\'opera', 'Numero di parte/sezione dell\'opera', 1, 0, '', 8, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('899', 'o', 'Formulazione d\'arrangiamento per la musica', 'Formulazione d\'arrangiamento per la musica', 0, 0, '', 8, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('899', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, '', 8, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('899', 'r', 'Tonalità (musica)', 'Tonalità (musica)', 0, 0, '', 8, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('899', 's', 'Versione', 'Versione', 0, 0, '', 8, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('899', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, '', 8, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('899', 'v', 'Numero del volume/designazione di sequenza', 'Numero del volume/designazione di sequenza', 0, 0, '', 8, '', '', '', NULL, 5, 'IR', '', '', NULL),
		('900', '4', 'Codice di ruolo', 'Codice di ruolo', 1, 0, '', 9, '', '', '', 0, -6, 'IR', '', '', NULL),
		('900', '6', 'Collegamento', 'Collegamento', 0, 0, '', 9, '', '', '', 0, -6, 'IR', '', '', NULL),
		('900', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 9, '', '', '', 0, -6, 'IR', '', '', NULL),
		('900', 'a', 'Nome di persona', 'Nome di persona', 0, 0, '', 9, '', '', '', 0, 5, 'IR', '', '', NULL),
		('900', 'b', 'Numerazione', 'Numerazione', 0, 0, '', 9, '', '', '', 0, -6, 'IR', '', '', NULL),
		('900', 'c', 'Titoli e altre parole associate al nome', 'Titoli e altre parole associate al nome', 1, 0, '', 9, '', '', '', 0, -6, 'IR', '', '', NULL),
		('900', 'd', 'Date associate al nome', 'Date associate al nome', 0, 0, '', 9, '', '', '', 0, -6, 'IR', '', '', NULL),
		('900', 'e', 'Termine di ruolo', 'Termine di ruolo', 1, 0, '', 9, '', '', '', 0, -6, 'IR', '', '', NULL),
		('900', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, '', 9, '', '', '', 0, -6, 'IR', '', '', NULL),
		('900', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, '', 9, '', '', '', 0, -6, 'IR', '', '', NULL),
		('900', 'j', 'Qualificazione d\'attribuzione', 'Qualificazione d\'attribuzione', 1, 0, '', 9, '', '', '', 0, -6, 'IR', '', '', NULL),
		('900', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, '', 9, '', '', '', 0, -6, 'IR', '', '', NULL),
		('900', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, '', 9, '', '', '', 0, -6, 'IR', '', '', NULL),
		('900', 'n', 'Numero di parte/sezione dell\'opera', 'Numero di parte/sezione dell\'opera', 1, 0, '', 9, '', '', '', 0, -6, 'IR', '', '', NULL),
		('900', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, '', 9, '', '', '', 0, -6, 'IR', '', '', NULL),
		('900', 'q', 'Forma completa del nome', 'Forma completa del nome', 0, 0, '', 9, '', '', '', 0, -6, 'IR', '', '', NULL),
		('900', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, '', 9, '', '', '', 0, -6, 'IR', '', '', NULL),
		('900', 'u', 'Affiliazione', 'Affiliazione', 0, 0, '', 9, '', '', '', 0, -6, 'IR', '', '', NULL),
		('901', '0', '0', '0', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('901', '1', '1', '1', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('901', '2', '2', '2', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('901', '3', '3', '3', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('901', '4', '4', '4', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('901', '5', '5', '5', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('901', '6', '6', '6', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('901', '7', '7', '7', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('901', '8', '8', '8', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('901', '9', '9', '9', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('901', 'a', 'a', 'a', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('901', 'b', 'b', 'b', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('901', 'c', 'c', 'c', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('901', 'd', 'd', 'd', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('901', 'e', 'e', 'e', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('901', 'f', 'f', 'f', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('901', 'g', 'g', 'g', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('901', 'h', 'h', 'h', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('901', 'i', 'i', 'i', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('901', 'j', 'j', 'j', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('901', 'k', 'k', 'k', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('901', 'l', 'l', 'l', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('901', 'm', 'm', 'm', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('901', 'n', 'n', 'n', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('901', 'o', 'o', 'o', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('901', 'p', 'p', 'p', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('901', 'q', 'q', 'q', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('901', 'r', 'r', 'r', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('901', 's', 's', 's', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('901', 't', 't', 't', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('901', 'u', 'u', 'u', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('901', 'v', 'v', 'v', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('901', 'w', 'w', 'w', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('901', 'x', 'x', 'x', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('901', 'y', 'y', 'y', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('901', 'z', 'z', 'z', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('902', '0', '0', '0', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('902', '1', '1', '1', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('902', '2', '2', '2', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('902', '3', '3', '3', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('902', '4', '4', '4', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('902', '5', '5', '5', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('902', '6', '6', '6', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('902', '7', '7', '7', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('902', '8', '8', '8', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('902', '9', '9', '9', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('902', 'a', 'a', 'a', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('902', 'b', 'b', 'b', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('902', 'c', 'c', 'c', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('902', 'd', 'd', 'd', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('902', 'e', 'e', 'e', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('902', 'f', 'f', 'f', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('902', 'g', 'g', 'g', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('902', 'h', 'h', 'h', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('902', 'i', 'i', 'i', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('902', 'j', 'j', 'j', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('902', 'k', 'k', 'k', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('902', 'l', 'l', 'l', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('902', 'm', 'm', 'm', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('902', 'n', 'n', 'n', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('902', 'o', 'o', 'o', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('902', 'p', 'p', 'p', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('902', 'q', 'q', 'q', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('902', 'r', 'r', 'r', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('902', 's', 's', 's', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('902', 't', 't', 't', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('902', 'u', 'u', 'u', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('902', 'v', 'v', 'v', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('902', 'w', 'w', 'w', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('902', 'x', 'x', 'x', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('902', 'y', 'y', 'y', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('902', 'z', 'z', 'z', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('903', '0', '0', '0', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('903', '1', '1', '1', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('903', '2', '2', '2', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('903', '3', '3', '3', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('903', '4', '4', '4', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('903', '5', '5', '5', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('903', '6', '6', '6', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('903', '7', '7', '7', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('903', '8', '8', '8', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('903', '9', '9', '9', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('903', 'a', 'a', 'a', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('903', 'b', 'b', 'b', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('903', 'c', 'c', 'c', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('903', 'd', 'd', 'd', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('903', 'e', 'e', 'e', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('903', 'f', 'f', 'f', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('903', 'g', 'g', 'g', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('903', 'h', 'h', 'h', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('903', 'i', 'i', 'i', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('903', 'j', 'j', 'j', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('903', 'k', 'k', 'k', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('903', 'l', 'l', 'l', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('903', 'm', 'm', 'm', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('903', 'n', 'n', 'n', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('903', 'o', 'o', 'o', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('903', 'p', 'p', 'p', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('903', 'q', 'q', 'q', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('903', 'r', 'r', 'r', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('903', 's', 's', 's', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('903', 't', 't', 't', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('903', 'u', 'u', 'u', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('903', 'v', 'v', 'v', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('903', 'w', 'w', 'w', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('903', 'x', 'x', 'x', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('903', 'y', 'y', 'y', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('903', 'z', 'z', 'z', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('904', '0', '0', '0', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('904', '1', '1', '1', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('904', '2', '2', '2', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('904', '3', '3', '3', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('904', '4', '4', '4', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('904', '5', '5', '5', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('904', '6', '6', '6', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('904', '7', '7', '7', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('904', '8', '8', '8', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('904', '9', '9', '9', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('904', 'a', 'a', 'a', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('904', 'b', 'b', 'b', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('904', 'c', 'c', 'c', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('904', 'd', 'd', 'd', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('904', 'e', 'e', 'e', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('904', 'f', 'f', 'f', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('904', 'g', 'g', 'g', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('904', 'h', 'h', 'h', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('904', 'i', 'i', 'i', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('904', 'j', 'j', 'j', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('904', 'k', 'k', 'k', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('904', 'l', 'l', 'l', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('904', 'm', 'm', 'm', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('904', 'n', 'n', 'n', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('904', 'o', 'o', 'o', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('904', 'p', 'p', 'p', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('904', 'q', 'q', 'q', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('904', 'r', 'r', 'r', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('904', 's', 's', 's', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('904', 't', 't', 't', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('904', 'u', 'u', 'u', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('904', 'v', 'v', 'v', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('904', 'w', 'w', 'w', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('904', 'x', 'x', 'x', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('904', 'y', 'y', 'y', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('904', 'z', 'z', 'z', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('905', '0', '0', '0', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('905', '1', '1', '1', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('905', '2', '2', '2', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('905', '3', '3', '3', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('905', '4', '4', '4', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('905', '5', '5', '5', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('905', '6', '6', '6', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('905', '7', '7', '7', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('905', '8', '8', '8', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('905', '9', '9', '9', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('905', 'a', 'a', 'a', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('905', 'b', 'b', 'b', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('905', 'c', 'c', 'c', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('905', 'd', 'd', 'd', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('905', 'e', 'e', 'e', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('905', 'f', 'f', 'f', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('905', 'g', 'g', 'g', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('905', 'h', 'h', 'h', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('905', 'i', 'i', 'i', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('905', 'j', 'j', 'j', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('905', 'k', 'k', 'k', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('905', 'l', 'l', 'l', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('905', 'm', 'm', 'm', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('905', 'n', 'n', 'n', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('905', 'o', 'o', 'o', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('905', 'p', 'p', 'p', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('905', 'q', 'q', 'q', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('905', 'r', 'r', 'r', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('905', 's', 's', 's', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('905', 't', 't', 't', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('905', 'u', 'u', 'u', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('905', 'v', 'v', 'v', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('905', 'w', 'w', 'w', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('905', 'x', 'x', 'x', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('905', 'y', 'y', 'y', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('905', 'z', 'z', 'z', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('906', '0', '0', '0', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('906', '1', '1', '1', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('906', '2', '2', '2', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('906', '3', '3', '3', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('906', '4', '4', '4', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('906', '5', '5', '5', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('906', '6', '6', '6', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('906', '7', '7', '7', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('906', '8', '8', '8', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('906', '9', '9', '9', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('906', 'a', 'a', 'a', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('906', 'b', 'b', 'b', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('906', 'c', 'c', 'c', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('906', 'd', 'd', 'd', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('906', 'e', 'e', 'e', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('906', 'f', 'f', 'f', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('906', 'g', 'g', 'g', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('906', 'h', 'h', 'h', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('906', 'i', 'i', 'i', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('906', 'j', 'j', 'j', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('906', 'k', 'k', 'k', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('906', 'l', 'l', 'l', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('906', 'm', 'm', 'm', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('906', 'n', 'n', 'n', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('906', 'o', 'o', 'o', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('906', 'p', 'p', 'p', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('906', 'q', 'q', 'q', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('906', 'r', 'r', 'r', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('906', 's', 's', 's', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('906', 't', 't', 't', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('906', 'u', 'u', 'u', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('906', 'v', 'v', 'v', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('906', 'w', 'w', 'w', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('906', 'x', 'x', 'x', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('906', 'y', 'y', 'y', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('906', 'z', 'z', 'z', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('907', '0', '0', '0', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('907', '1', '1', '1', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('907', '2', '2', '2', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('907', '3', '3', '3', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('907', '4', '4', '4', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('907', '5', '5', '5', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('907', '6', '6', '6', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('907', '7', '7', '7', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('907', '8', '8', '8', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('907', '9', '9', '9', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('907', 'a', 'a', 'a', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('907', 'b', 'b', 'b', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('907', 'c', 'c', 'c', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('907', 'd', 'd', 'd', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('907', 'e', 'e', 'e', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('907', 'f', 'f', 'f', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('907', 'g', 'g', 'g', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('907', 'h', 'h', 'h', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('907', 'i', 'i', 'i', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('907', 'j', 'j', 'j', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('907', 'k', 'k', 'k', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('907', 'l', 'l', 'l', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('907', 'm', 'm', 'm', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('907', 'n', 'n', 'n', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('907', 'o', 'o', 'o', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('907', 'p', 'p', 'p', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('907', 'q', 'q', 'q', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('907', 'r', 'r', 'r', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('907', 's', 's', 's', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('907', 't', 't', 't', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('907', 'u', 'u', 'u', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('907', 'v', 'v', 'v', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('907', 'w', 'w', 'w', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('907', 'x', 'x', 'x', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('907', 'y', 'y', 'y', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('907', 'z', 'z', 'z', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('908', 'a', 'Put command parameter', 'Put command parameter', 0, 0, '', 9, '', '', '', 0, -6, 'IR', '', '', NULL),
		('910', 'a', 'User-option data', 'User-option data', 0, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('911', '4', 'Codice di ruolo', 'Codice di ruolo', 1, 0, NULL, 9, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('911', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 9, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('911', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 9, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('911', 'a', 'Nome del convegno o nome della giurisdizione come accesso', 'Nome del convegno o nome della giurisdizione come accesso', 0, 0, NULL, 9, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('911', 'b', 'Number [OBSOLETE]', 'Number [OBSOLETE]', 0, 0, NULL, 9, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('911', 'c', 'Luogo del convegno', 'Luogo del convegno', 0, 0, NULL, 9, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('911', 'd', 'Data del convegno', 'Data del convegno', 0, 0, NULL, 9, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('911', 'e', 'Unità subordinata', 'Unità subordinata', 1, 0, NULL, 9, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('911', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, NULL, 9, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('911', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, NULL, 9, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('911', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, NULL, 9, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('911', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, NULL, 9, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('911', 'n', 'Numero di parte/sezione/convegno', 'Numero di parte/sezione/convegno', 1, 0, NULL, 9, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('911', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, NULL, 9, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('911', 'q', 'Nome del convegno dopo accesso di nome della giurisdizione', 'Nome del convegno dopo accesso di nome della giurisdizione', 0, 0, NULL, 9, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('911', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, NULL, 9, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('911', 'u', 'Affiliazione', 'Affiliazione', 0, 0, NULL, 9, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('930', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 9, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('930', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 9, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('930', 'a', 'Titolo uniforme', 'Titolo uniforme', 0, 0, NULL, 9, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('930', 'd', 'Data di firma del trattato', 'Data di firma del trattato', 1, 0, NULL, 9, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('930', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, NULL, 9, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('930', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, NULL, 9, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('930', 'h', 'Supporto', 'Supporto', 0, 0, NULL, 9, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('930', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, NULL, 9, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('930', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, NULL, 9, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('930', 'm', 'Mezzo di esecuzione per la musica', 'Mezzo di esecuzione per la musica', 1, 0, NULL, 9, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('930', 'n', 'Numero di parte/sezione dell\'opera', 'Numero di parte/sezione dell\'opera', 1, 0, NULL, 9, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('930', 'o', 'Formulazione d\'arrangiamento per la musica', 'Formulazione d\'arrangiamento per la musica', 0, 0, NULL, 9, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('930', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, NULL, 9, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('930', 'r', 'Tonalità (musica)', 'Tonalità (musica)', 0, 0, NULL, 9, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('930', 's', 'Versione', 'Versione', 0, 0, NULL, 9, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('930', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, NULL, 9, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('936', 'a', 'OCLC control number(s) of parallel record(s) (OCLC); Piece used for cataloging, PUC (RLIN)', 'OCLC control number(s) of parallel record(s) (OCLC); Piece used for cataloging, PUC (RLIN)', 1, 0, '', 9, '', '', '', 0, -6, 'IR', '', '', NULL),
		('940', '6', 'Collegamento', 'Collegamento', 0, 0, '', 9, '', '', '', 0, -6, 'IR', '', '', NULL),
		('940', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 9, '', '', '', 0, -6, 'IR', '', '', NULL),
		('940', 'a', 'Titolo uniforme', 'Titolo uniforme', 0, 0, '', 9, '', '', '', 1, -6, 'IR', '', '', NULL),
		('940', 'd', 'Data di firma del trattato', 'Data di firma del trattato', 1, 0, '', 9, '', '', '', 0, -6, 'IR', '', '', NULL),
		('940', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, '', 9, '', '', '', 0, -6, 'IR', '', '', NULL),
		('940', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, '', 9, '', '', '', 0, -6, 'IR', '', '', NULL),
		('940', 'h', 'Supporto', 'Supporto', 0, 0, '', 9, '', '', '', 0, -6, 'IR', '', '', NULL),
		('940', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, '', 9, '', '', '', 0, -6, 'IR', '', '', NULL),
		('940', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, '', 9, '', '', '', 0, -6, 'IR', '', '', NULL),
		('940', 'm', 'Mezzo di esecuzione per la musica', 'Mezzo di esecuzione per la musica', 1, 0, '', 9, '', '', '', 0, -6, 'IR', '', '', NULL),
		('940', 'n', 'Numero di parte/sezione dell\'opera', 'Numero di parte/sezione dell\'opera', 1, 0, '', 9, '', '', '', 0, -6, 'IR', '', '', NULL),
		('940', 'o', 'Formulazione d\'arrangiamento per la musica', 'Formulazione d\'arrangiamento per la musica', 0, 0, '', 9, '', '', '', 0, -6, 'IR', '', '', NULL),
		('940', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, '', 9, '', '', '', 0, -6, 'IR', '', '', NULL),
		('940', 'r', 'Tonalità (musica)', 'Tonalità (musica)', 0, 0, '', 9, '', '', '', 0, -6, 'IR', '', '', NULL),
		('940', 's', 'Versione', 'Versione', 0, 0, '', 9, '', '', '', 0, -6, 'IR', '', '', NULL),
		('941', 'a', 'Romanized title', 'Romanized title', 0, 0, NULL, 9, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('941', 'h', 'Supporto', 'Supporto', 0, 0, NULL, 9, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('943', '6', 'Collegamento', 'Collegamento', 0, 0, '', 9, '', '', '', 0, -6, 'IR', '', '', NULL),
		('943', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 9, '', '', '', 0, -6, 'IR', '', '', NULL),
		('943', 'a', 'Titolo uniforme', 'Titolo uniforme', 0, 0, '', 9, '', '', '', 1, 5, 'IR', '', '130', NULL),
		('943', 'd', 'Data di firma del trattato', 'Data di firma del trattato', 1, 0, '', 9, '', '', '', 0, -6, 'IR', '', '', NULL),
		('943', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, '', 9, '', '', '', 0, -6, 'IR', '', '', NULL),
		('943', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, '', 9, '', '', '', 0, -6, 'IR', '', '', NULL),
		('943', 'h', 'Supporto', 'Supporto', 0, 0, '', 9, '', '', '', 0, -6, 'IR', '', '', NULL),
		('943', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, '', 9, '', '', '', 0, -6, 'IR', '', '', NULL),
		('943', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, '', 9, '', '', '', 0, -6, 'IR', '', '', NULL),
		('943', 'm', 'Mezzo di esecuzione per la musica', 'Mezzo di esecuzione per la musica', 1, 0, '', 9, '', '', '', 0, -6, 'IR', '', '', NULL),
		('943', 'n', 'Numero di parte/sezione dell\'opera', 'Numero di parte/sezione dell\'opera', 1, 0, '', 9, '', '', '', 0, -6, 'IR', '', '', NULL),
		('943', 'o', 'Formulazione d\'arrangiamento per la musica', 'Formulazione d\'arrangiamento per la musica', 0, 0, '', 9, '', '', '', 0, -6, 'IR', '', '', NULL),
		('943', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, '', 9, '', '', '', 0, -6, 'IR', '', '', NULL),
		('943', 'r', 'Tonalità (musica)', 'Tonalità (musica)', 0, 0, '', 9, '', '', '', 0, -6, 'IR', '', '', NULL),
		('943', 's', 'Versione', 'Versione', 0, 0, '', 9, '', '', '', 0, -6, 'IR', '', '', NULL),
		('945', '0', '0', '0', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('945', '1', '1', '1', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('945', '2', '2', '2', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('945', '3', '3', '3', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('945', '4', '4', '4', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('945', '5', '5', '5', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('945', '6', '6', '6', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('945', '7', '7', '7', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('945', '8', '8', '8', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('945', '9', '9', '9', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('945', 'a', 'a', 'a', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('945', 'b', 'b', 'b', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('945', 'c', 'c', 'c', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('945', 'd', 'd', 'd', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('945', 'e', 'e', 'e', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('945', 'f', 'f', 'f', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('945', 'g', 'g', 'g', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('945', 'h', 'h', 'h', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('945', 'i', 'i', 'i', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('945', 'j', 'j', 'j', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('945', 'k', 'k', 'k', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('945', 'l', 'l', 'l', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('945', 'm', 'm', 'm', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('945', 'n', 'n', 'n', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('945', 'o', 'o', 'o', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('945', 'p', 'p', 'p', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('945', 'q', 'q', 'q', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('945', 'r', 'r', 'r', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('945', 's', 's', 's', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('945', 't', 't', 't', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('945', 'u', 'u', 'u', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('945', 'v', 'v', 'v', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('945', 'w', 'w', 'w', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('945', 'x', 'x', 'x', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('945', 'y', 'y', 'y', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('945', 'z', 'z', 'z', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('946', '0', '0', '0', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('946', '1', '1', '1', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('946', '2', '2', '2', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('946', '3', '3', '3', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('946', '4', '4', '4', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('946', '5', '5', '5', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('946', '6', '6', '6', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('946', '7', '7', '7', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('946', '8', '8', '8', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('946', '9', '9', '9', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('946', 'a', 'a', 'a', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('946', 'b', 'b', 'b', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('946', 'c', 'c', 'c', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('946', 'd', 'd', 'd', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('946', 'e', 'e', 'e', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('946', 'f', 'f', 'f', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('946', 'g', 'g', 'g', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('946', 'h', 'h', 'h', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('946', 'i', 'i', 'i', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('946', 'j', 'j', 'j', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('946', 'k', 'k', 'k', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('946', 'l', 'l', 'l', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('946', 'm', 'm', 'm', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('946', 'n', 'n', 'n', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('946', 'o', 'o', 'o', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('946', 'p', 'p', 'p', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('946', 'q', 'q', 'q', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('946', 'r', 'r', 'r', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('946', 's', 's', 's', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('946', 't', 't', 't', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('946', 'u', 'u', 'u', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('946', 'v', 'v', 'v', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('946', 'w', 'w', 'w', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('946', 'x', 'x', 'x', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('946', 'y', 'y', 'y', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('946', 'z', 'z', 'z', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('947', '0', '0', '0', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('947', '1', '1', '1', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('947', '2', '2', '2', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('947', '3', '3', '3', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('947', '4', '4', '4', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('947', '5', '5', '5', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('947', '6', '6', '6', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('947', '7', '7', '7', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('947', '8', '8', '8', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('947', '9', '9', '9', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('947', 'a', 'a', 'a', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('947', 'b', 'b', 'b', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('947', 'c', 'c', 'c', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('947', 'd', 'd', 'd', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('947', 'e', 'e', 'e', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('947', 'f', 'f', 'f', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('947', 'g', 'g', 'g', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('947', 'h', 'h', 'h', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('947', 'i', 'i', 'i', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('947', 'j', 'j', 'j', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('947', 'k', 'k', 'k', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('947', 'l', 'l', 'l', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('947', 'm', 'm', 'm', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('947', 'n', 'n', 'n', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('947', 'o', 'o', 'o', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('947', 'p', 'p', 'p', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('947', 'q', 'q', 'q', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('947', 'r', 'r', 'r', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('947', 's', 's', 's', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('947', 't', 't', 't', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('947', 'u', 'u', 'u', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('947', 'v', 'v', 'v', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('947', 'w', 'w', 'w', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('947', 'x', 'x', 'x', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('947', 'y', 'y', 'y', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('947', 'z', 'z', 'z', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('948', '0', '0 (OCLC)', '0 (OCLC)', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('948', '1', '1 (OCLC)', '1 (OCLC)', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('948', '2', '2 (OCLC)', '2 (OCLC)', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('948', '3', '3 (OCLC)', '3 (OCLC)', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('948', '4', '4 (OCLC)', '4 (OCLC)', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('948', '5', '5 (OCLC)', '5 (OCLC)', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('948', '6', '6 (OCLC)', '6 (OCLC)', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('948', '7', '7 (OCLC)', '7 (OCLC)', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('948', '8', '8 (OCLC)', '8 (OCLC)', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('948', '9', '9 (OCLC)', '9 (OCLC)', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('948', 'a', 'Series part designator, SPT (RLIN)', 'Series part designator, SPT (RLIN)', 0, 0, '', 9, '', '', '', 0, -6, 'IR', '', '', NULL),
		('948', 'b', 'b (OCLC)', 'b (OCLC)', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('948', 'c', 'c (OCLC)', 'c (OCLC)', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('948', 'd', 'd (OCLC)', 'd (OCLC)', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('948', 'e', 'e (OCLC)', 'e (OCLC)', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('948', 'f', 'f (OCLC)', 'f (OCLC)', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('948', 'g', 'g (OCLC)', 'g (OCLC)', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('948', 'h', 'h (OCLC)', 'h (OCLC)', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('948', 'i', 'i (OCLC)', 'i (OCLC)', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('948', 'j', 'j (OCLC)', 'j (OCLC)', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('948', 'k', 'k (OCLC)', 'k (OCLC)', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('948', 'l', 'l (OCLC)', 'l (OCLC)', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('948', 'm', 'm (OCLC)', 'm (OCLC)', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('948', 'n', 'n (OCLC)', 'n (OCLC)', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('948', 'o', 'o (OCLC)', 'o (OCLC)', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('948', 'p', 'p (OCLC)', 'p (OCLC)', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('948', 'q', 'q (OCLC)', 'q (OCLC)', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('948', 'r', 'r (OCLC)', 'r (OCLC)', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('948', 's', 's (OCLC)', 's (OCLC)', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('948', 't', 't (OCLC)', 't (OCLC)', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('948', 'u', 'u (OCLC)', 'u (OCLC)', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('948', 'v', 'v (OCLC)', 'v (OCLC)', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('948', 'w', 'w (OCLC)', 'w (OCLC)', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('948', 'x', 'x (OCLC)', 'x (OCLC)', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('948', 'y', 'y (OCLC)', 'y (OCLC)', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('948', 'z', 'z (OCLC)', 'z (OCLC)', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('949', '0', '0', '0', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('949', '1', '1', '1', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('949', '2', '2', '2', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('949', '3', '3', '3', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('949', '4', '4', '4', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('949', '5', '5', '5', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('949', '6', '6', '6', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('949', '7', '7', '7', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('949', '8', '8', '8', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('949', '9', '9', '9', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('949', 'a', 'a', 'a', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('949', 'b', 'b', 'b', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('949', 'c', 'c', 'c', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('949', 'd', 'd', 'd', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('949', 'e', 'e', 'e', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('949', 'f', 'f', 'f', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('949', 'g', 'g', 'g', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('949', 'h', 'h', 'h', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('949', 'i', 'i', 'i', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('949', 'j', 'j', 'j', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('949', 'k', 'k', 'k', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('949', 'l', 'l', 'l', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('949', 'm', 'm', 'm', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('949', 'n', 'n', 'n', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('949', 'o', 'o', 'o', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('949', 'p', 'p', 'p', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('949', 'q', 'q', 'q', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('949', 'r', 'r', 'r', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('949', 's', 's', 's', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('949', 't', 't', 't', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('949', 'u', 'u', 'u', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('949', 'v', 'v', 'v', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('949', 'w', 'w', 'w', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('949', 'x', 'x', 'x', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('949', 'y', 'y', 'y', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('949', 'z', 'z', 'z', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('950', 'a', 'Classification number, LCAL (RLIN)', 'Classification number, LCAL (RLIN)', 0, 0, '', 9, '', '', '', 0, 5, 'IR', '', '', NULL),
		('950', 'b', 'Book number/undivided call number, LCAL (RLIN)', 'Book number/undivided call number, LCAL (RLIN)', 0, 0, '', 9, '', '', '', 0, 5, 'IR', '', '', NULL),
		('950', 'd', 'Additional free-text stamp above the call number, LCAL (RLIN)', 'Additional free-text stamp above the call number, LCAL (RLIN)', 1, 0, '', 9, '', '', '', 0, 5, 'IR', '', '', NULL),
		('950', 'e', 'Additional free-text or profiled stamp below the call number, LCAL (RLIN)', 'Additional free-text or profiled stamp below the call number, LCAL (RLIN)', 1, 0, '', 9, '', '', '', 0, 5, 'IR', '', '', NULL),
		('950', 'f', 'Location-level footnote, LFNT (RLIN)', 'Location-level footnote, LFNT (RLIN)', 0, 0, '', 9, '', '', '', 0, 5, 'IR', '', '', NULL),
		('950', 'h', 'Location-level output transaction history, LHST (RLIN)', 'Location-level output transaction history, LHST (RLIN)', 0, 0, '', 9, '', '', '', 0, 5, 'IR', '', '', NULL),
		('950', 'i', 'Location-level extra card request, LEXT (RLIN)', 'Location-level extra card request, LEXT (RLIN)', 0, 0, '', 9, '', '', '', 0, 5, 'IR', '', '', NULL),
		('950', 'l', 'Permanent shelving location, LOC (RLIN)', 'Permanent shelving location, LOC (RLIN)', 0, 0, '', 9, '', '', '', 0, 5, 'IR', '', '', NULL),
		('950', 'n', 'Location-level additional note, LANT (RLIN)', 'Location-level additional note, LANT (RLIN)', 1, 0, '', 9, '', '', '', 0, 5, 'IR', '', '', NULL),
		('950', 'p', 'Location-level pathfinder, LPTH (RLIN)', 'Location-level pathfinder, LPTH (RLIN)', 0, 0, '', 9, '', '', '', 0, 5, 'IR', '', '', NULL),
		('950', 't', 'Location-level field suppression, LFSP (RLIN)', 'Location-level field suppression, LFSP (RLIN)', 0, 0, '', 9, '', '', '', 0, 5, 'IR', '', '', NULL),
		('950', 'u', 'Non-printing notes, LANT (RLIN)', 'Non-printing notes, LANT (RLIN)', 1, 0, '', 9, '', '', '', 0, 5, 'IR', '', '', NULL),
		('950', 'v', 'Volumes, LVOL (RLIN)', 'Volumes, LVOL (RLIN)', 0, 0, '', 9, '', '', '', 0, 5, 'IR', '', '', NULL),
		('950', 'w', 'Subscription status code, LANT (RLIN)', 'Subscription status code, LANT (RLIN)', 0, 0, '', 9, '', '', '', 0, 5, 'IR', '', '', NULL),
		('950', 'y', 'Date, LVOL (RLIN)', 'Date, LVOL (RLIN)', 0, 0, '', 9, '', '', '', 0, 5, 'IR', '', '', NULL),
		('950', 'z', 'Retention, LVOL (RLIN)', 'Retention, LVOL (RLIN)', 0, 0, '', 9, '', '', '', 0, 5, 'IR', '', '', NULL),
		('951', '2', 'Fonte dell\'intestazione o del termine', 'Fonte dell\'intestazione o del termine', 0, 0, '', 6, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('951', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, '', 6, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('951', '6', 'Collegamento', 'Collegamento', 0, 0, '', 6, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('951', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 6, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('951', 'a', 'Nome geografico', 'Nome geografico', 0, 0, '', 6, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('951', 'b', 'Geographic name following place entry element [OBSOLETE]', 'Geographic name following place entry element [OBSOLETE]', 1, 0, '', 6, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('951', 'v', 'Suddivisione geografica', 'Suddivisione geografica', 1, 0, '', 6, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('951', 'x', 'Suddivisione generale', 'Suddivisione generale', 1, 0, '', 6, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('951', 'y', 'Suddivisione cronologica', 'Suddivisione cronologica', 1, 0, '', 6, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('951', 'z', 'Suddivisione geografica', 'Suddivisione geografica', 1, 0, '', 6, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('955', 'a', 'Classification number, CCAL (RLIN)', 'Classification number, CCAL (RLIN)', 0, 0, '', 9, '', '', '', 0, 5, 'IR', '', '', NULL),
		('955', 'b', 'Book number/undivided call number, CCAL (RLIN)', 'Book number/undivided call number, CCAL (RLIN)', 0, 0, '', 9, '', '', '', 0, 5, 'IR', '', '', NULL),
		('955', 'c', 'Copy information and material description, CCAL + MDES (RLIN)', 'Copy information and material description, CCAL + MDES (RLIN)', 0, 0, '', 9, '', '', '', 0, 5, 'IR', '', '', NULL),
		('955', 'h', 'Copy status--for earlier dates, CST (RLIN)', 'Copy status--for earlier dates, CST (RLIN)', 0, 0, '', 9, '', '', '', 0, 5, 'IR', '', '', NULL),
		('955', 'i', 'Copy status, CST (RLIN)', 'Copy status, CST (RLIN)', 0, 0, '', 9, '', '', '', 0, 5, 'IR', '', '', NULL),
		('955', 'l', 'Permanent shelving location, LOC (RLIN)', 'Permanent shelving location, LOC (RLIN)', 0, 0, '', 9, '', '', '', 0, 5, 'IR', '', '', NULL),
		('955', 'q', 'Aquisitions control number, HNT (RLIN)', 'Aquisitions control number, HNT (RLIN)', 1, 0, '', 9, '', '', '', 0, 5, 'IR', '', '', NULL),
		('955', 'r', 'Circulation control number, HNT (RLIN)', 'Circulation control number, HNT (RLIN)', 0, 0, '', 9, '', '', '', 0, 5, 'IR', '', '', NULL),
		('955', 's', 'Shelflist note, HNT (RLIN)', 'Shelflist note, HNT (RLIN)', 1, 0, '', 9, '', '', '', 1, 5, 'IR', '', '', NULL),
		('955', 'u', 'Non-printing notes, HNT (RLIN)', 'Non-printing notes, HNT (RLIN)', 1, 0, '', 9, '', '', '', 0, 5, 'IR', '', '', NULL),
		('956', '2', 'Metodo di accesso', 'Metodo di accesso', 0, 0, '', 9, '', '', '', 0, -6, 'IR', '', '', NULL),
		('956', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, '', 9, '', '', '', 0, -6, 'IR', '', '', NULL),
		('956', '6', 'Collegamento', 'Collegamento', 0, 0, '', 9, '', '', '', 0, -6, 'IR', '', '', NULL),
		('956', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 9, '', '', '', 0, -6, 'IR', '', '', NULL),
		('956', 'a', 'Nome dell\'host', 'Nome dell\'host', 1, 0, '', 9, '', '', '', 0, -6, 'IR', '', '', NULL),
		('956', 'b', 'Numero di accesso', 'Numero di accesso', 1, 0, '', 9, '', '', '', 0, -6, 'IR', '', '', NULL),
		('956', 'c', 'Informazione sulla compressione', 'Informazione sulla compressione', 1, 0, '', 9, '', '', '', 0, -6, 'IR', '', '', NULL),
		('956', 'd', 'Percorso della risorsa', 'Percorso della risorsa', 1, 0, '', 9, '', '', '', 0, -6, 'IR', '', '', NULL),
		('956', 'f', 'Nome elettronico', 'Nome elettronico', 1, 0, '', 9, '', '', '', 0, -6, 'IR', '', '', NULL),
		('956', 'h', 'Processore della richiesta (Username)', 'Processore della richiesta (Username)', 0, 0, '', 9, '', '', '', 0, -6, 'IR', '', '', NULL),
		('956', 'i', 'Istruzioni', 'Istruzioni', 1, 0, '', 9, '', '', '', 0, -6, 'IR', '', '', NULL),
		('956', 'j', 'Bit per secondo', 'Bit per secondo', 0, 0, '', 9, '', '', '', 0, -6, 'IR', '', '', NULL),
		('956', 'k', 'Password', 'Password', 0, 0, '', 9, '', '', '', 0, -6, 'IR', '', '', NULL),
		('956', 'l', 'Logon', 'Logon', 0, 0, '', 9, '', '', '', 0, -6, 'IR', '', '', NULL),
		('956', 'm', 'Contatto per assistenza all\'accesso', 'Contatto per assistenza all\'accesso', 1, 0, '', 9, '', '', '', 0, -6, 'IR', '', '', NULL),
		('956', 'n', 'Name of location of host in subfield', 'Name of location of host in subfield', 0, 0, '', 9, '', '', '', 0, -6, 'IR', '', '', NULL),
		('956', 'o', 'Sistema operativo', 'Sistema operativo', 0, 0, '', 9, '', '', '', 0, -6, 'IR', '', '', NULL),
		('956', 'p', 'Porta', 'Porta', 0, 0, '', 9, '', '', '', 0, -6, 'IR', '', '', NULL),
		('956', 'q', 'Tipo di formato elettronico', 'Tipo di formato elettronico', 0, 0, '', 9, '', '', '', 0, -6, 'IR', '', '', NULL),
		('956', 'r', 'Parametri', 'Parametri', 0, 0, '', 9, '', '', '', 0, -6, 'IR', '', '', NULL),
		('956', 's', 'Dimensione file', 'Dimensione file', 1, 0, '', 9, '', '', '', 0, -6, 'IR', '', '', NULL),
		('956', 't', 'Emulazione del terminale', 'Emulazione del terminale', 1, 0, '', 9, '', '', '', 0, -6, 'IR', '', '', NULL),
		('956', 'u', 'URI (Uniform Resource Identifier)', 'URI (Uniform Resource Identifier)', 1, 0, '', 9, '', '', '', 1, -6, 'IR', '', '', NULL),
		('956', 'v', 'Orario di accesso', 'Orario di accesso', 1, 0, '', 9, '', '', '', 0, -6, 'IR', '', '', NULL),
		('956', 'w', 'Numero di controllo della registrazione', 'Numero di controllo della registrazione', 1, 0, '', 9, '', '', '', 0, -6, 'IR', '', '', NULL),
		('956', 'x', 'Nota non pubblic', 'Nota non pubblic', 1, 0, '', 9, '', '', '', 0, 6, 'IR', '', '', NULL),
		('956', 'y', 'Testo di collegamento', 'Testo di collegamento', 1, 0, '', 9, '', '', '', 0, -6, 'IR', '', '', NULL),
		('956', 'z', 'Nota pubblica', 'Nota pubblica', 1, 0, '', 9, '', '', '', 0, -6, 'IR', '', '', NULL),
		('960', '3', 'Materials specified, MATL', 'Materials specified, MATL', 0, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('960', 'a', 'Physical location, PLOC (RLIN)', 'Physical location, PLOC (RLIN)', 0, 0, '', 9, '', '', '', 0, -6, 'IR', '', '', NULL),
		('967', 'a', 'GNR (RLIN)', 'GNR (RLIN)', 0, 0, '', 9, '', '', '', 0, -6, 'IR', '', '', NULL),
		('967', 'c', 'PSI (RLIN)', 'PSI (RLIN)', 0, 0, '', 9, '', '', '', 0, -6, 'IR', '', '', NULL),
		('980', '4', 'Codice di ruolo', 'Codice di ruolo', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('980', '6', 'Collegamento', 'Collegamento', 0, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('980', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('980', 'a', 'Nome di persona', 'Nome di persona', 0, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('980', 'b', 'Numerazione', 'Numerazione', 0, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('980', 'c', 'Titoli e altre parole associate al nome', 'Titoli e altre parole associate al nome', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('980', 'd', 'Date associate al nome', 'Date associate al nome', 0, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('980', 'e', 'Termine di ruolo', 'Termine di ruolo', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('980', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('980', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('980', 'h', 'Supporto', 'Supporto', 0, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('980', 'j', 'Qualificazione d\'attribuzione', 'Qualificazione d\'attribuzione', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('980', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('980', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('980', 'm', 'Mezzo di esecuzione per la musica', 'Mezzo di esecuzione per la musica', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('980', 'n', 'Numero di parte/sezione dell\'opera', 'Numero di parte/sezione dell\'opera', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('980', 'o', 'Formulazione d\'arrangiamento per la musica', 'Formulazione d\'arrangiamento per la musica', 0, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('980', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('980', 'q', 'Forma completa del nome', 'Forma completa del nome', 0, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('980', 'r', 'Tonalità (musica)', 'Tonalità (musica)', 0, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('980', 's', 'Versione', 'Versione', 0, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('980', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('980', 'u', 'Affiliazione', 'Affiliazione', 0, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('980', 'v', 'Numero del volume/designazione di sequenza', 'Numero del volume/designazione di sequenza', 0, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('981', '4', 'Codice di ruolo', 'Codice di ruolo', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('981', '6', 'Collegamento', 'Collegamento', 0, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('981', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('981', 'a', 'Nome dell\'ente o nome della giurisdizione come accesso', 'Nome dell\'ente o nome della giurisdizione come accesso', 0, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('981', 'b', 'Unità subordinata', 'Unità subordinata', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('981', 'c', 'Luogo del convegno', 'Luogo del convegno', 0, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('981', 'd', 'Data del convegno o di firma del trattato', 'Data del convegno o di firma del trattato', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('981', 'e', 'Termine di ruolo', 'Termine di ruolo', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('981', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('981', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('981', 'h', 'Supporto', 'Supporto', 0, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('981', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('981', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('981', 'm', 'Mezzo di esecuzione per la musica', 'Mezzo di esecuzione per la musica', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('981', 'n', 'Numero di parte/sezione/convegno', 'Numero di parte/sezione/convegno', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('981', 'o', 'Formulazione d\'arrangiamento per la musica', 'Formulazione d\'arrangiamento per la musica', 0, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('981', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('981', 'r', 'Tonalità (musica)', 'Tonalità (musica)', 0, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('981', 's', 'Versione', 'Versione', 0, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('981', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('981', 'u', 'Affiliazione', 'Affiliazione', 0, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('981', 'v', 'Numero del volume/designazione di sequenza', 'Numero del volume/designazione di sequenza', 0, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('982', '4', 'Codice di ruolo', 'Codice di ruolo', 1, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('982', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('982', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('982', 'a', 'Nome del convegno o nome della giurisdizione come accesso', 'Nome del convegno o nome della giurisdizione come accesso', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('982', 'b', 'Number (BK CF MP MU SE VM MX) [OBSOLETE]', 'Number (BK CF MP MU SE VM MX) [OBSOLETE]', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('982', 'c', 'Luogo del convegno', 'Luogo del convegno', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('982', 'd', 'Data del convegno', 'Data del convegno', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('982', 'e', 'Unità subordinata', 'Unità subordinata', 1, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('982', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('982', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('982', 'h', 'Supporto', 'Supporto', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('982', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('982', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('982', 'n', 'Numero di parte/sezione/convegno', 'Numero di parte/sezione/convegno', 1, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('982', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('982', 'q', 'Nome del convegno dopo accesso di nome della giurisdizione', 'Nome del convegno dopo accesso di nome della giurisdizione', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('982', 's', 'Versione', 'Versione', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('982', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('982', 'u', 'Affiliazione', 'Affiliazione', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('982', 'v', 'Numero del volume/designazione di sequenza', 'Numero del volume/designazione di sequenza', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'IR', '', '', NULL),
		('983', '6', 'Collegamento', 'Collegamento', 0, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('983', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('983', 'a', 'Titolo uniforme', 'Titolo uniforme', 0, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('983', 'd', 'Data di firma del trattato', 'Data di firma del trattato', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('983', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('983', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('983', 'h', 'Supporto', 'Supporto', 0, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('983', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('983', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('983', 'm', 'Mezzo di esecuzione per la musica', 'Mezzo di esecuzione per la musica', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('983', 'n', 'Numero di parte/sezione dell\'opera', 'Numero di parte/sezione dell\'opera', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('983', 'o', 'Formulazione d\'arrangiamento per la musica', 'Formulazione d\'arrangiamento per la musica', 0, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('983', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('983', 'r', 'Tonalità (musica)', 'Tonalità (musica)', 0, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('983', 's', 'Versione', 'Versione', 0, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('983', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('983', 'v', 'Numero del volume/designazione di sequenza', 'Numero del volume/designazione di sequenza', 0, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('984', 'a', 'Numero idenficativo biblioteca proprietaria', 'Numero idenficativo biblioteca proprietaria', 0, 0, '', 9, '', '', '', NULL, 5, 'IR', '', '', NULL),
		('984', 'b', 'Codici descrizione fisica', 'Codici descrizione fisica', 1, 0, '', 9, '', '', '', 0, 5, 'IR', '', '', NULL),
		('984', 'c', 'Numero di chiamata', 'Numero di chiamata', 0, 0, '', 9, '', '', '', 0, 5, 'IR', '', '', NULL),
		('984', 'd', 'Volume o altra numerazione', 'Volume o altra numerazione', 0, 0, '', 9, '', '', '', 0, 5, 'IR', '', '', NULL),
		('984', 'e', 'Date', 'Date', 0, 0, '', 9, '', '', '', 0, 5, 'IR', '', '', NULL),
		('984', 'f', 'Completeness note', 'Completeness note', 0, 0, '', 9, '', '', '', 0, 5, 'IR', '', '', NULL),
		('984', 'g', 'Referral note', 'Referral note', 0, 0, '', 9, '', '', '', 0, 5, 'IR', '', '', NULL),
		('984', 'h', 'Retention note', 'Retention note', 0, 0, '', 9, '', '', '', 0, 5, 'IR', '', '', NULL),
		('987', 'a', 'Romanization/conversion identifier', 'Romanization/conversion identifier', 0, 0, '', 9, '', '', '', NULL, -6, 'IR', '', '', NULL),
		('987', 'b', 'Agenzia che ha convertito, creato o rivisto', 'Agenzia che ha convertito, creato o rivisto', 1, 0, '', 9, '', '', '', 0, -6, 'IR', '', '', NULL),
		('987', 'c', 'Data della conversione o della revisione', 'Data della conversione o della revisione', 0, 0, '', 9, '', '', '', 0, -6, 'IR', '', '', NULL),
		('987', 'd', 'Codice dello status', 'Codice dello status', 0, 0, '', 9, '', '', '', 0, -6, 'IR', '', '', NULL),
		('987', 'e', 'Versione del programma usato per la conversione', 'Versione del programma usato per la conversione', 0, 0, '', 9, '', '', '', 0, -6, 'IR', '', '', NULL),
		('987', 'f', 'Nota', 'Nota', 0, 0, '', 9, '', '', '', 0, -6, 'IR', '', '', NULL),
		('990', 'a', 'Link information for 9XX fields', 'Link information for 9XX fields', 1, 0, '', 9, '', '', '', 0, -6, 'IR', '', '', NULL),
		('990', 'b', 'Link information for field corresponding to 9XX field', 'Link information for field corresponding to 9XX field', 1, 0, '', 9, '', '', '', 0, -6, 'IR', '', '', NULL),
		('995', '0', 'Ritiro della copia', 'Ritiro della copia', 0, 0, '', 9, '', '', '', 0, 5, 'IR', '', '', NULL),
		('995', '1', 'Copia smarrita', 'Copia smarrita', 0, 0, '', 9, '', '', '', 0, 5, 'IR', '', '', NULL),
		('995', '2', 'Codice di sistema (classificazione specifica o altro schema e edizione)', 'Codice di sistema (classificazione specifica o altro schema e edizione)', 0, 0, '', 9, '', '', '', NULL, 5, 'IR', '', '', NULL),
		('995', '3', 'Restrizioni d\'uso', 'Restrizioni d\'uso', 0, 0, '', 9, '', '', '', 0, 5, 'IR', '', '', NULL),
		('995', '4', 'Classificazione normalizzata Koha per l\'ordinamento', 'Classificazione normalizzata Koha per l\'ordinamento', 0, 0, '', 9, '', '', '', 0, 5, 'IR', '', '', NULL),
		('995', '5', 'Qualificatore dell\'ubicazione', 'Qualificatore dell\'ubicazione', 1, 0, '', 9, '', '', '', NULL, 5, 'IR', '', '', NULL),
		('995', '6', 'Numero della copia', 'Numero della copia', 0, 0, '', 9, '', '', '', NULL, 5, 'IR', '', '', NULL),
		('995', '7', 'Uniform Resource Identifier', 'Uniform Resource Identifier', 1, 0, '', 9, '', '', '', 1, 5, 'IR', '', '', NULL),
		('995', '8', 'Collezione Koha', 'Collezione Koha', 0, 0, '', 9, '', '', '', 0, 5, 'IR', '', '', NULL),
		('995', '9', 'Numero interno di copia (Koha itemnumber, autogenerato)', 'Numero interno di copia (Koha itemnumber, autogenerato)', 0, 0, '', 9, '', '', '', 0, 5, 'IR', '', '', NULL),
		('995', 'a', 'Bib. proprietaria della copia (testo libero)', 'Bib. proprietaria della copia (testo libero)', 0, 0, '', 9, '', '', '', 0, 5, 'IR', '', '', NULL),
		('995', 'b', 'Bib. proprietaria della copia', 'Bib. proprietaria della copia', 0, 0, '', 9, '', '', '', 0, 5, 'IR', '', '', NULL),
		('995', 'c', 'Bib. che possiede o presta (holding branch)', 'Bib. che possiede o presta (holding branch)', 0, 0, '', 9, '', '', '', 0, 5, 'IR', '', '', NULL),
		('995', 'd', 'Bib. che possiede o presta (codice)', 'Bib. che possiede o presta (codice)', 0, 0, '', 9, '', '', '', 0, 5, 'IR', '', '', NULL),
		('995', 'e', 'Dettaglio del genere', 'Dettaglio del genere', 0, 0, '', 9, '', '', '', 0, 5, 'IR', '', '', NULL),
		('995', 'f', 'Codice a barre', 'Codice a barre', 0, 0, '', 9, '', '', '', 0, 5, 'IR', '', '', NULL),
		('995', 'g', 'Prefisso del codice a barre', 'Prefisso del codice a barre', 0, 0, '', 9, '', '', '', 0, 5, 'IR', '', '', NULL),
		('995', 'h', 'Incremento del codice a barre', 'Incremento del codice a barre', 0, 0, '', 9, '', '', '', 0, 5, 'IR', '', '', NULL),
		('995', 'i', 'Suffisso del codice a barre', 'Suffisso del codice a barre', 0, 0, '', 9, '', '', '', 0, 5, 'IR', '', '', NULL),
		('995', 'j', 'Sezione', 'Sezione', 0, 0, '', 9, '', '', '', 0, 5, 'IR', '', '', NULL),
		('995', 'k', 'Collocazione', 'Collocazione', 0, 0, '', 9, '', '', '', 0, 5, 'IR', '', '', NULL),
		('995', 'l', 'Numerazione (volume o altre parti)', 'Numerazione (volume o altre parti)', 0, 0, '', 9, '', '', '', 0, 5, 'IR', '', '', NULL),
		('995', 'm', 'Data del prestito o deposito', 'Data del prestito o deposito', 0, 0, '', 9, '', '', '', 0, 5, 'IR', '', '', NULL),
		('995', 'n', 'Data scadenza del prestito', 'Data scadenza del prestito', 0, 0, '', 9, '', '', '', 0, 5, 'IR', '', '', NULL),
		('995', 'o', 'Tipo di circolazione (non a prestito)', 'Tipo di circolazione (non a prestito)', 1, 0, '', 9, '', '', '', 0, 5, 'IR', '', '', NULL),
		('995', 'p', 'Periodico', 'Periodico', 0, 0, '', 9, '', '', '', 0, 5, 'IR', '', '', NULL),
		('995', 'q', 'Pubblico destinato (età)', 'Pubblico destinato (età)', 0, 0, '', 9, '', '', '', 0, 5, 'IR', '', '', NULL),
		('995', 'r', 'Tipologia della copia e del materiale', 'Tipologia della copia e del materiale', 0, 0, '', 9, '', '', '', 0, 5, 'IR', '', '', NULL),
		('995', 's', 'Modalità d\'acquisto', 'Modalità d\'acquisto', 0, 0, '', 9, '', '', '', 0, 5, 'IR', '', '', NULL),
		('995', 't', 'Genere', 'Genere', 0, 0, '', 9, '', '', '', 0, 5, 'IR', '', '', NULL),
		('995', 'u', 'Nota della copia', 'Nota della copia', 0, 0, '', 9, '', '', '', 0, 5, 'IR', '', '', NULL),
		('995', 'v', 'Numero periodico', 'Numero periodico', 0, 0, '', 9, '', '', '', 0, 5, 'IR', '', '', NULL),
		('995', 'w', 'Codice dell\'ente destinatario', 'Codice dell\'ente destinatario', 0, 0, '', 9, '', '', '', 0, 5, 'IR', '', '', NULL),
		('995', 'x', 'Ente destinatario, testo libero', 'Ente destinatario, testo libero', 0, 0, '', 9, '', '', '', 0, 5, 'IR', '', '', NULL),
		('995', 'y', 'Codice dell\'ente destinatario superiore', 'Codice dell\'ente destinatario superiore', 0, 0, '', 9, '', '', '', 0, 5, 'IR', '', '', NULL),
		('995', 'z', 'Ente destinatario superiore, testo libero', 'Ente destinatario superiore, testo libero', 0, 0, '', 9, '', '', '', 0, 5, 'IR', '', '', NULL),
		('998', 'b', 'Operator\'s initials, OID (RLIN)', 'Operator\'s initials, OID (RLIN)', 0, 0, '', 9, '', '', '', 0, -6, 'IR', '', '', NULL),
		('998', 'c', 'Cataloger\'s initials, CIN (RLIN)', 'Cataloger\'s initials, CIN (RLIN)', 0, 0, '', 9, '', '', '', 0, -6, 'IR', '', '', NULL),
		('998', 'd', 'First date, FD (RLIN)', 'First date, FD (RLIN)', 0, 0, '', 9, '', '', '', 0, -6, 'IR', '', '', NULL),
		('998', 'i', 'RINS (RLIN)', 'RINS (RLIN)', 0, 0, '', 9, '', '', '', 0, 5, 'IR', '', '', NULL),
		('998', 'l', 'LI (RLIN)', 'LI (RLIN)', 0, 0, '', 9, '', '', '', 0, 5, 'IR', '', '', NULL),
		('998', 'n', 'NUC (RLIN)', 'NUC (RLIN)', 0, 0, '', 9, '', '', '', 0, 5, 'IR', '', '', NULL),
		('998', 'p', 'PROC (RLIN)', 'PROC (RLIN)', 0, 0, '', 9, '', '', '', 0, 5, 'IR', '', '', NULL),
		('998', 's', 'CC (RLIN)', 'CC (RLIN)', 0, 0, '', 9, '', '', '', 0, 5, 'IR', '', '', NULL),
		('998', 't', 'RTYP (RLIN)', 'RTYP (RLIN)', 0, 0, '', 9, '', '', '', 0, 5, 'IR', '', '', NULL),
		('998', 'w', 'PLINK (RLIN)', 'PLINK (RLIN)', 0, 0, '', 9, '', '', '', 0, 5, 'IR', '', '', NULL);


-- *******************************************************


-- *********************************************************************
-- SIMPLE SERIALS KOHA RECORD AND HOLDINGS MANAGEMENT FIELDS/SUBFIELDS.
-- *********************************************************************


-- Current Record ID Field/Subfields


INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES
		('999', 'Sys Number locale (Koha)', 'Sys Number locale (Koha)', 1, 0, '', 'SER');

INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES
		('999', 'a', 'Item type [OBSOLETE]', 'Item type [OBSOLETE]', 0, 0, NULL, -1, NULL, NULL, '', NULL, -5, 'SER', '', '', NULL),
		('999', 'b', 'Koha Dewey Subclass [OBSOLETE]', 'Koha Dewey Subclass [OBSOLETE]', 0, 0, NULL, 0, NULL, NULL, '', NULL, -5, 'SER', '', '', NULL),
		('999', 'c', 'Koha biblionumber', 'Koha biblionumber', 0, 0, 'biblio.biblionumber', -1, NULL, NULL, '', NULL, -5, 'SER', '', '', NULL),
		('999', 'd', 'Koha biblioitemnumber', 'Koha biblioitemnumber', 0, 0, 'biblioitems.biblioitemnumber', -1, NULL, NULL, '', NULL, -5, 'SER', '', '', NULL);


-- ******************************************************


-- Plugins which need to be written for primary biblioitems Field/Subfields.


--      ('942', '2', 'Source of classification or shelving scheme', 'Source of classification or shelving scheme', 0, 0, 'biblioitems.cn_source', 9, '', '', 'marc21_classcodes.pl', NULL, 0, 'SER', '', '', NULL),
--      ('942', 'h', 'Classification part', 'Classification part', 0, 0, 'biblioitems.cn_class', 9, '', '', 'marc21_callnumber.pl', NULL, 0, 'SER', '', '', NULL),



-- Current primary biblioitems Field/Subfields


INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES
		('942', 'Dati aggiuntivi (Koha)', 'Dati aggiuntivi (Koha)', 0, 0, '', 'SER');

INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES
		('942', '0', 'Numero prestiti (tutte le copie)', 'Numero prestiti (tutte le copie)', 0, 0, 'biblioitems.totalissues', 9, '', '', '', NULL, -5, 'SER', '', '', NULL),
		('942', '2', 'Fonte della classificazione o dello schema di collocazione (segnatura)', 'Fonte della classificazione o dello schema di collocazione (segnatura)', 0, 0, 'biblioitems.cn_source', 9, 'cn_source', '', '', NULL, 0, 'SER', '', '', NULL),
		('942', '6', 'Class. Normalizzata per ordinamento', 'Class. Normalizzata per ordinamento', 0, 0, 'biblioitems.cn_sort', -1, '', '', '', 0, 7, 'SER', '', '', NULL),
		('942', 'a', 'Institution code [OBSOLETE]', 'Institution code [OBSOLETE]', 0, 0, '', 9, '', '', '', NULL, -5, 'SER', '', '', NULL),
		('942', 'c', 'Tipo copia default (Koha)', 'Tipo copia default (Koha)', 0, 1, 'biblioitems.itemtype', 9, 'itemtypes', '', '', NULL, 0, 'SER', '', '', NULL),
		('942', 'e', 'Edizione', 'Edizione', 0, 0, NULL, 9, '', '', '', NULL, 0, 'SER', '', '', NULL),
		('942', 'h', 'Parte della classificazione', 'Parte della classificazione', 0, 0, 'biblioitems.cn_class', 9, '', '', '', NULL, 0, 'SER', '', '', NULL),
		('942', 'i', 'Parte dell\'item', 'Parte dell\'item', 1, 0, 'biblioitems.cn_item', 9, '', '', '', NULL, 9, 'SER', '', '', NULL),
		('942', 'k', 'Prefisso del numero di chiamata (collocazione)', 'Prefisso del numero di chiamata (collocazione)', 0, 0, 'biblioitems.cn_prefix', 9, '', '', '', NULL, 0, 'SER', '', '', NULL),
		('942', 'm', 'Suffisso del numero di chiamata (collocazione)', 'Suffisso del numero di chiamata (collocazione)', 0, 0, 'biblioitems.cn_suffix', 9, '', '', '', 0, 0, 'SER', '', '', NULL),
		('942', 'n', 'Nasconto in Opac', 'Nasconto in Opac', 0, 0, NULL, 9, '', '', '', 0, 0, 'SER', '', '', NULL),
		('942', 's', 'Flag seriale', 'Flag seriale', 0, 0, 'biblio.serial', 9, '', '', '', 0, -5, 'SER', '', '', NULL);


-- ******************************************************


-- Plugins which need to be written for items Field/Subfields


--      ('952', '2', 'Source of classification or shelving scheme', 'Source of classification or shelving scheme', 0, 0, 'items.cn_source', 10, '', '', 'marc21_classcodes.pl', NULL, 0, 'SER', '', '', NULL),
--      ('952', 'o', 'Full call number', 'Full call number', 0, 0, 'items.itemcallnumber', 10, '', 'marc21_itemcallnumber.pl', NULL, 0, 0, 'SER', '', '', NULL),



-- Current items Field/Subfields


INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES
		('952', 'Dati di copia (Koha)', 'Dati di copia (Koha)', 1, 0, '', 'SER');

INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES
		('952', '0', 'Ritirato (status)', 'Ritirato (status)', 0, 0, 'items.withdrawn', 10, 'WITHDRAWN', '', '', 0, 0, 'SER', '', '', NULL),
		('952', '1', 'Perso (status)', 'Perso (status)', 0, 0, 'items.itemlost', 10, 'LOST', '', '', 0, 0, 'SER', '', '', NULL),
		('952', '2', 'Fonte della classificazione o dello schema di collocazione (segnatura)', 'Fonte della classificazione o dello schema di collocazione (segnatura)', 0, 0, 'items.cn_source', 10, 'cn_source', '', '', NULL, 0, 'SER', '', '', NULL),
		('952', '3', 'Materiali specifici (rilegati o simili)', 'Materiali specifici (rilegati o simili)', 0, 0, 'items.materials', 10, '', '', '', NULL, -1, 'SER', '', '', NULL),
		('952', '4', 'Danneggiato (status)', 'Danneggiato (status)', 0, 0, 'items.damaged', 10, 'DAMAGED', '', '', NULL, 0, 'SER', '', '', NULL),
		('952', '5', 'Use restrictions', 'Use restrictions', 0, 0, 'items.restricted', 10, 'RESTRICTED', '', '', 0, 0, 'SER', '', '', NULL),
		('952', '6', 'Class. Normalizzata per ordinamento', 'Class. Normalizzata per ordinamento', 0, 0, 'items.cn_sort', -1, '', '', '', 0, 7, 'SER', '', '', NULL),
		('952', '7', 'Non per il presito', 'Non per il presito', 0, 0, 'items.notforloan', 10, 'NOT_LOAN', '', '', 0, 0, 'SER', '', '', NULL),
		('952', '8', 'Codice collezione', 'Codice collezione', 0, 0, 'items.ccode', 10, 'CCODE', '', '', 0, 0, 'SER', '', '', NULL),
		('952', '9', 'Numero di copia (ID autogenerato)', 'Numero di copia (ID autogenerato)', 0, 0, 'items.itemnumber', -1, '', '', '', 0, 7, 'SER', '', '', NULL),
		('952', 'a', 'Biblioteca proprietaria', 'Biblioteca proprietaria', 0, 0, 'items.homebranch', 10, 'branches', '', '', 0, 0, 'SER', '', '', NULL),
		('952', 'b', 'Biblioteca in cui si trova', 'Biblioteca in cui si trova', 0, 0, 'items.holdingbranch', 10, 'branches', '', '', 0, 0, 'SER', '', '', NULL),
		('952', 'c', 'Localizzazione a scaffale', 'Localizzazione a scaffale', 0, 0, 'items.location', 10, 'LOC', '', '', 0, 0, 'SER', '', '', NULL),
		('952', 'd', 'Data d\'acquisizione', 'Data d\'acquisizione', 0, 0, 'items.dateaccessioned', 10, '', '', 'dateaccessioned.pl', 0, 0, 'SER', '', '', NULL),
		('952', 'e', 'Fonte d\'acquisto', 'Fonte d\'acquisto', 0, 0, 'items.booksellerid', 10, '', '', '', 0, 0, 'SER', '', '', NULL),
		('952', 'f', 'Qualificatore di localizzazione codificato', 'Qualificatore di localizzazione codificato', 0, 0, 'items.coded_location_qualifier', 10, '', '', '', NULL, 0, 'SER', '', '', NULL),
		('952', 'g', 'Costo, prezzo di acquisto', 'Costo, prezzo di acquisto', 0, 0, 'items.price', 10, '', '', '', 0, 0, 'SER', '', '', NULL),
		('952', 'h', 'Enumerazione seriale / cronologia', 'Enumerazione seriale / cronologia', 0, 0, 'items.enumchron', 10, '', '', '', 0, 0, 'SER', '', '', NULL),
		('952', 'i', 'Numero di inventario', 'Numero di inventario', 0, 0, 'items.stocknumber', 10, '', '', '', 0, 0, 'SER', '', '', NULL),
		('952', 'j', 'Collocazione (segnatura)', 'Collocazione (segnatura)', 0, 0, 'items.stack', 10, 'STACK', '', '', NULL, -1, 'SER', '', '', NULL),
		('952', 'l', 'Totale prestiti', 'Totale prestiti', 0, 0, 'items.issues', 10, '', '', '', NULL, -5, 'SER', '', '', NULL),
		('952', 'm', 'Totale rinnovi', 'Totale rinnovi', 0, 0, 'items.renewals', 10, '', '', '', NULL, -5, 'SER', '', '', NULL),
		('952', 'n', 'Totale prenotazioni', 'Totale prenotazioni', 0, 0, 'items.reserves', 10, '', '', '', NULL, -5, 'SER', '', '', NULL),
		('952', 'o', 'Collocazione', 'Collocazione', 0, 0, 'items.itemcallnumber', 10, '', '', NULL, 0, 0, 'SER', '', '', NULL),
		('952', 'p', 'Codice a barre', 'Codice a barre', 0, 0, 'items.barcode', 10, '', '', 'barcode.pl', 0, 0, 'SER', '', '', NULL),
		('952', 'q', 'Prestito', 'Prestito', 0, 0, 'items.onloan', 10, '', '', '', NULL, -5, 'SER', '', '', NULL),
		('952', 'r', 'Data ultima operazione', 'Data ultima operazione', 0, 0, 'items.datelastseen', 10, '', '', '', NULL, -5, 'SER', '', '', NULL),
		('952', 's', 'Data ultimo prestito', 'Data ultimo prestito', 0, 0, 'items.datelastborrowed', 10, '', '', '', NULL, -5, 'SER', '', '', NULL),
		('952', 't', 'Numero di copia', 'Numero di copia', 0, 0, 'items.copynumber', 10, '', '', '', NULL, 0, 'SER', '', '', NULL),
		('952', 'u', 'URI (Uniform Resource Identifier)', 'URI (Uniform Resource Identifier)', 0, 0, 'items.uri', 10, '', '', '', 1, 0, 'SER', '', '', NULL),
		('952', 'v', 'Costo, costo di riacquisto', 'Costo, costo di riacquisto', 0, 0, 'items.replacementprice', 10, '', '', '', 0, 0, 'SER', '', '', NULL),
		('952', 'w', 'Prezzo in vigore dal', 'Prezzo in vigore dal', 0, 0, 'items.replacementpricedate', 10, '', '', '', 0, 0, 'SER', '', '', NULL),
		('952', 'x', 'Nota non pubblica', 'Nota non pubblica', 0, 0, '', 10, '', '', '', NULL, 1, 'SER', '', '', NULL),
		('952', 'y', 'Tipo copia default (Koha)', 'Tipo copia default (Koha)', 0, 0, 'items.itype', 10, 'itemtypes', '', '', NULL, 0, 'SER', '', '', NULL),
		('952', 'z', 'Nota pubblica', 'Nota pubblica', 0, 0, 'items.itemnotes', 10, '', '', '', NULL, 0, 'SER', '', '', NULL);



-- *******************************************************


-- ***********************************************************************
-- SIMPLE SERIALS MARC 21 FIELDS/SUBFIELDS AND COMMMONLY USED EXTENSIONS.
-- ***********************************************************************


INSERT INTO `marc_tag_structure` (`tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`, `frameworkcode`) VALUES
		('000', 'LEADER', 'LEADER', 0, 1, '', 'SER'),
		('001', 'Numero di controllo', 'Numero di controllo', 0, 0, '', 'SER'),
		('003', 'Identificatore del numero di controllo', 'Identificatore del numero di controllo', 0, 0, '', 'SER'),
		('005', 'Data e orario dell\'ultima transazione', 'Data e orario dell\'ultima transazione', 0, 0, '', 'SER'),
		('006', 'Elementi di lunghezza fissa--Caratteristiche del materiale allegato--Informazione generale', 'Elementi di lunghezza fissa--Caratteristiche del materiale allegato--Informazione generale', 1, 0, '', 'SER'),
		('007', 'Campo fisso per la descrizione fisica--informazione generale', 'Campo fisso per la descrizione fisica--informazione generale', 1, 0, '', 'SER'),
		('008', 'Elementi di lunghezza fissa--Informazione generale', 'Elementi di lunghezza fissa--Informazione generale', 0, 1, '', 'SER'),
		('009', 'PHYSICAL DESCRIPTION FIXED-FIELD FOR ARCHIVAL COLLECTION (VM) [OBSOLETE]', 'PHYSICAL DESCRIPTION FIXED-FIELD FOR ARCHIVAL COLLECTION (VM) [OBSOLETE]', 1, 0, '', 'SER'),
		('010', 'Numero di controllo della Library of Congress', 'Numero di controllo della Library of Congress', 0, 0, '', 'SER'),
		('011', 'LINKING LIBRARY OF CONGRESS CONTROL NUMBER [OBSOLETE]', 'LINKING LIBRARY OF CONGRESS CONTROL NUMBER [OBSOLETE]', 0, 0, '', 'SER'),
		('013', 'Informazioni impiegate per il controllo di brevetti', 'Informazioni impiegate per il controllo di brevetti', 1, 0, '', 'SER'),
		('015', 'Numero della bibliografia nazionale', 'Numero della bibliografia nazionale', 1, 0, '', 'SER'),
		('016', 'Numero di controllo dell\'agenzia bibliografica nazionale', 'Numero di controllo dell\'agenzia bibliografica nazionale', 1, 0, '', 'SER'),
		('017', 'Numero di copyright o di deposito legale', 'Numero di copyright o di deposito legale', 1, 0, '', 'SER'),
		('018', 'Codice di tassa sul copyright dell’articolo', 'Codice di tassa sul copyright dell’articolo', 0, 0, '', 'SER'),
		('020', 'ISBN (International Standard Book Number)', 'ISBN (International Standard Book Number)', 1, 0, NULL, 'SER'),
		('022', 'ISSN (International Standard Serial Number)', 'ISSN (International Standard Serial Number)', 1, 0, NULL, 'SER'),
		('023', 'STANDARD FILM NUMBER (VM) [DELETED]', 'STANDARD FILM NUMBER (VM) [DELETED]', 1, 0, NULL, 'SER'),
		('024', 'Altri identificatori standard', 'Altri identificatori standard', 1, 0, NULL, 'SER'),
		('025', 'Numero di acquisito estero', 'Numero di acquisito estero', 1, 0, '', 'SER'),
		('026', 'Identificatore dell’impronta', 'Identificatore dell’impronta', 1, 0, '', 'SER'),
		('027', 'Standard Technical Report Number', 'Standard Technical Report Number', 1, 0, '', 'SER'),
		('028', 'Numero dell’editore', 'Numero dell’editore', 1, 0, NULL, 'SER'),
		('029', 'OTHER SYSTEM CONTROL NUMBER (OCLC)', 'OTHER SYSTEM CONTROL NUMBER (OCLC)', 1, 0, '', 'SER'),
		('030', 'Designazione CODEN', 'Designazione CODEN', 1, 0, '', 'SER'),
		('031', 'Informazione sugli incipit musicali', 'Informazione sugli incipit musicali', 1, 0, '', 'SER'),
		('032', 'Numero di registrazione di posta', 'Numero di registrazione di posta', 1, 0, '', 'SER'),
		('033', 'Data/ora e luogo di un evento', 'Data/ora e luogo di un evento', 1, 0, '', 'SER'),
		('034', 'Dati matematici codificati per il materiale cartografico', 'Dati matematici codificati per il materiale cartografico', 1, 0, '', 'SER'),
		('035', 'Numero di controllo del sistema', 'Numero di controllo del sistema', 1, 0, NULL, 'SER'),
		('036', 'Numero dello studio originale del computer data file', 'Numero dello studio originale del computer data file', 0, 0, '', 'SER'),
		('037', 'Fonte d’acquisto', 'Fonte d’acquisto', 1, 0, NULL, 'SER'),
		('038', 'Licenza d’uso del contenuto della registrazione', 'Licenza d’uso del contenuto della registrazione', 0, 0, '', 'SER'),
		('039', 'LEVEL OF BIBLIOGRAPHIC CONTROL AND CODING DETAIL [OBSOLETE]', 'LEVEL OF BIBLIOGRAPHIC CONTROL AND CODING DETAIL [OBSOLETE]', 0, 0, '', 'SER'),
		('040', 'Fonte della catalogazione', 'Fonte della catalogazione', 0, 0, NULL, 'SER'),
		('041', 'Codice di lingua', 'Codice di lingua', 1, 0, '', 'SER'),
		('042', 'Codice d\'autenticazione', 'Codice d\'autenticazione', 0, 0, '', 'SER'),
		('043', 'Codice dell\'area geografica', 'Codice dell\'area geografica', 0, 0, NULL, 'SER'),
		('044', 'Codice del paese dell’ente che pubblica/produce l’item', 'Codice del paese dell’ente che pubblica/produce l’item', 0, 0, '', 'SER'),
		('045', 'Periodo di tempo del contenuto', 'Periodo di tempo del contenuto', 0, 0, '', 'SER'),
		('046', 'Codice delle date speciali', 'Codice delle date speciali', 1, 0, '', 'SER'),
		('047', 'Codice di forma della composizione musicale', 'Codice di forma della composizione musicale', 1, 0, '', 'SER'),
		('048', 'Codice del numero degli strumenti musicali o delle voci', 'Codice del numero degli strumenti musicali o delle voci', 1, 0, '', 'SER'),
		('049', 'LOCAL HOLDINGS (OCLC)', 'LOCAL HOLDINGS (OCLC)', 0, 0, '', 'SER'),
		('050', 'Numero di chiamata (collocazione) della Library of Congress', 'Numero di chiamata (collocazione) della Library of Congress', 1, 0, NULL, 'SER'),
		('051', 'Formulazione dell’esemplare, emissione, estratto, della Library of Congress', 'Formulazione dell’esemplare, emissione, estratto, della Library of Congress', 1, 0, NULL, 'SER'),
		('052', 'Classificazione geografica', 'Classificazione geografica', 1, 0, NULL, 'SER'),
		('055', 'Numero di classificazione assegnati in Canada', 'Numero di classificazione assegnati in Canada', 1, 0, NULL, 'SER'),
		('060', 'Numero di chiamata (collocazione) della National Library of Medicine', 'Numero di chiamata (collocazione) della National Library of Medicine', 1, 0, NULL, 'SER'),
		('061', 'Formulazione dell’esemplare della National Library of Medicine', 'Formulazione dell’esemplare della National Library of Medicine', 1, 0, NULL, 'SER'),
		('066', 'Set di caratteri presenti', 'Set di caratteri presenti', 0, 0, NULL, 'SER'),
		('070', 'Numero di chiamata (collocazione) della National Agricultural Library', 'Numero di chiamata (collocazione) della National Agricultural Library', 1, 0, NULL, 'SER'),
		('071', 'Formulazione dell’esemplare della National Agricultural Library', 'Formulazione dell’esemplare della National Agricultural Library', 1, 0, NULL, 'SER'),
		('072', 'Codice di categoria di soggetto', 'Codice di categoria di soggetto', 1, 0, NULL, 'SER'),
		('074', 'Numero GPO dell’item', 'Numero GPO dell’item', 1, 0, NULL, 'SER'),
		('080', 'Numero di classificazione decimale universale', 'Numero di classificazione decimale universale', 1, 0, NULL, 'SER'),
		('082', 'Numero di classificazione Decimale Dewey', 'Numero di classificazione Decimale Dewey', 1, 0, NULL, 'SER'),
		('084', 'Numero d’altra classificazione', 'Numero d’altra classificazione', 1, 0, NULL, 'SER'),
		('086', 'Numero di classificazione di documento governativo', 'Numero di classificazione di documento governativo', 1, 0, NULL, 'SER'),
		('087', 'REPORT NUMBER [OBSOLETE, CAN/MARC]', 'REPORT NUMBER [OBSOLETE, CAN/MARC]', 1, 0, NULL, 'SER'),
		('088', 'Numero di rapporto', 'Numero di rapporto', 1, 0, NULL, 'SER'),
		('090', 'LOCALLY ASSIGNED LC-TYPE CALL NUMBER (OCLC); LOCAL CALL NUMBER (RLIN)', 'LOCALLY ASSIGNED LC-TYPE CALL NUMBER (OCLC); LOCAL CALL NUMBER (RLIN)', 1, 0, '', 'SER'),
		('091', 'MICROFILM SHELF LOCATION (AM) [OBSOLETE]', 'MICROFILM SHELF LOCATION (AM) [OBSOLETE]', 0, 0, '', 'SER'),
		('092', 'LOCALLY ASSIGNED DEWEY CALL NUMBER (OCLC)', 'LOCALLY ASSIGNED DEWEY CALL NUMBER (OCLC)', 1, 0, '', 'SER'),
		('096', 'LOCALLY ASSIGNED NLM-TYPE CALL NUMBER (OCLC)', 'LOCALLY ASSIGNED NLM-TYPE CALL NUMBER (OCLC)', 1, 0, '', 'SER'),
		('098', 'OTHER CLASSIFICATION SCHEMES (OCLC)', 'OTHER CLASSIFICATION SCHEMES (OCLC)', 1, 0, '', 'SER'),
		('099', 'LOCAL FREE-TEXT CALL NUMBER (OCLC)', 'LOCAL FREE-TEXT CALL NUMBER (OCLC)', 1, 0, '', 'SER'),
		('100', 'Accesso principale -- nome di persona', 'Accesso principale -- nome di persona', 0, 0, NULL, 'SER'),
		('110', 'Accesso principale--nome di ente', 'Accesso principale--nome di ente', 0, 0, NULL, 'SER'),
		('111', 'Accesso principale--nome di convegno', 'Accesso principale--nome di convegno', 0, 0, NULL, 'SER'),
		('130', 'Accesso principale--titolo uniforme', 'Accesso principale--titolo uniforme', 0, 0, NULL, 'SER'),
		('210', 'Titolo abbreviato', 'Titolo abbreviato', 1, 0, NULL, 'SER'),
		('211', 'ACRONYM OR SHORTENED TITLE [OBSOLETE]', 'ACRONYM OR SHORTENED TITLE [OBSOLETE]', 1, 0, NULL, 'SER'),
		('212', 'VARIANT ACCESS TITLE [OBSOLETE]', 'VARIANT ACCESS TITLE [OBSOLETE]', 1, 0, NULL, 'SER'),
		('214', 'AUGMENTED TITLE [OBSOLETE]', 'AUGMENTED TITLE [OBSOLETE]', 1, 0, NULL, 'SER'),
		('222', 'Titolo chiave', 'Titolo chiave', 1, 0, NULL, 'SER'),
		('240', 'Titolo uniforme', 'Titolo uniforme', 0, 0, 'Unititle', 'SER'),
		('241', 'ROMANIZED TITLE (BK AM CF MP MU VM) [OBSOLETE]', 'ROMANIZED TITLE (BK AM CF MP MU VM) [OBSOLETE]', 0, 0, '', 'SER'),
		('242', 'Traduzione del titolo dell’agenzia di catalogazione', 'Traduzione del titolo dell’agenzia di catalogazione', 1, 0, NULL, 'SER'),
		('243', 'Titolo uniforme collettivo', 'Titolo uniforme collettivo', 0, 0, '', 'SER'),
		('245', 'Formulazione del titolo', 'Formulazione del titolo', 0, 1, '', 'SER'),
		('246', 'Varianti del titolo', 'Varianti del titolo', 1, 0, NULL, 'SER'),
		('247', 'Titolo precedente', 'Titolo precedente', 1, 0, NULL, 'SER'),
		('250', 'Formulazione di edizione', 'Formulazione di edizione', 0, 0, NULL, 'SER'),
		('254', 'Formulazione della presentazione musicale', 'Formulazione della presentazione musicale', 0, 0, NULL, 'SER'),
		('255', 'Dati matematici del materiale cartografico', 'Dati matematici del materiale cartografico', 1, 0, NULL, 'SER'),
		('256', 'Caratteristiche del computer file', 'Caratteristiche del computer file', 0, 0, NULL, 'SER'),
		('257', 'Paese dell’ente produttore dei film d’archivio', 'Paese dell’ente produttore dei film d’archivio', 0, 0, NULL, 'SER'),
		('258', 'Dati dell’emissione filatelica', 'Dati dell’emissione filatelica', 1, 0, NULL, 'SER'),
		('260', 'Pubblicazione, distribuzione, ecc. (stampa)', 'Pubblicazione, distribuzione, ecc. (stampa)', 1, 0, NULL, 'SER'),
		('261', 'IMPRINT STATEMENT FOR FILMS (Pre-AACR 1 Revised) [OBSOLETE, CAN/MARC], [LOCAL, USA]', 'IMPRINT STATEMENT FOR FILMS (Pre-AACR 1 Revised) [OBSOLETE, CAN/MARC], [LOCAL, USA]', 0, 0, NULL, 'SER'),
		('262', 'IMPRINT STATEMENT FOR SOUND RECORDINGS (Pre-AACR 2) [LOCAL, USA]', 'IMPRINT STATEMENT FOR SOUND RECORDINGS (Pre-AACR 2) [LOCAL, USA]', 0, 0, NULL, 'SER'),
		('263', 'Data di pubblicazione prevista', 'Data di pubblicazione prevista', 0, 0, NULL, 'SER'),
		('265', 'SOURCE FOR ACQUISITION/SUBSCRIPTION ADDRESS [OBSOLETE]', 'SOURCE FOR ACQUISITION/SUBSCRIPTION ADDRESS [OBSOLETE]', 0, 0, NULL, 'SER'),
		('270', 'Indirizzo', 'Indirizzo', 1, 0, NULL, 'SER'),
		('300', 'Descrizione fisica', 'Descrizione fisica', 1, 1, NULL, 'SER'),
		('301', 'PHYSICAL DESCRIPTION FOR FILMS (PRE-AACR 2) (VM) [OBSOLETE, USMARC]', 'PHYSICAL DESCRIPTION FOR FILMS (PRE-AACR 2) (VM) [OBSOLETE, USMARC]', 0, 0, NULL, 'SER'),
		('302', 'PAGE OR ITEM COUNT (BK AM) [OBSOLETE]', 'PAGE OR ITEM COUNT (BK AM) [OBSOLETE]', 0, 0, NULL, 'SER'),
		('303', 'UNIT COUNT (AM) [OBSOLETE, USMARC]', 'UNIT COUNT (AM) [OBSOLETE, USMARC]', 0, 0, NULL, 'SER'),
		('304', 'LINEAR FOOTAGE (AM) [OBSOLETE, USMARC]', 'LINEAR FOOTAGE (AM) [OBSOLETE, USMARC]', 0, 0, NULL, 'SER'),
		('305', 'PHYSICAL DESCRIPTION FOR SOUND RECORDINGS (Pre-AACR 2) (MU) [OBSOLETE]', 'PHYSICAL DESCRIPTION FOR SOUND RECORDINGS (Pre-AACR 2) (MU) [OBSOLETE]', 0, 0, NULL, 'SER'),
		('306', 'Durata di riproduzione', 'Durata di riproduzione', 0, 0, NULL, 'SER'),
		('307', 'Disponibilità oraria, ecc.', 'Disponibilità oraria, ecc.', 1, 0, NULL, 'SER'),
		('308', 'PHYSICAL DESCRIPTION FOR FILMS (ARCHIVAL) (VM) [OBSOLETE]', 'PHYSICAL DESCRIPTION FOR FILMS (ARCHIVAL) (VM) [OBSOLETE]', 1, 0, NULL, 'SER'),
		('310', 'Periodicità corrente della pubblicazione', 'Periodicità corrente della pubblicazione', 0, 0, NULL, 'SER'),
		('315', 'FREQUENCY (CF MP) [OBSOLETE]', 'FREQUENCY (CF MP) [OBSOLETE]', 0, 0, NULL, 'SER'),
		('321', 'Periodicità precedente della pubblicazione', 'Periodicità precedente della pubblicazione', 1, 0, NULL, 'SER'),
		('340', 'Supporto fisico', 'Supporto fisico', 1, 0, NULL, 'SER'),
		('342', 'Dati di riferimento geospaziale', 'Dati di riferimento geospaziale', 1, 0, NULL, 'SER'),
		('343', 'Dati di coordinate piane', 'Dati di coordinate piane', 1, 0, NULL, 'SER'),
		('350', 'PRICE (NR) (BK AM CF MU VM SE) [OBSOLETE]', 'PRICE (NR) (BK AM CF MU VM SE) [OBSOLETE]', 1, 0, NULL, 'SER'),
		('351', 'Organizzazione e l’ordinamento dei materiali', 'Organizzazione e l’ordinamento dei materiali', 1, 0, NULL, 'SER'),
		('352', 'Rappresentazione grafica digitale', 'Rappresentazione grafica digitale', 1, 0, NULL, 'SER'),
		('355', 'Controllo della classificazione di sicurezza', 'Controllo della classificazione di sicurezza', 1, 0, NULL, 'SER'),
		('357', 'Controllo del creatore sulla diffusione', 'Controllo del creatore sulla diffusione', 0, 0, NULL, 'SER'),
		('359', 'RENTAL PRICE (VM) [OBSOLETE]', 'RENTAL PRICE (VM) [OBSOLETE]', 0, 0, NULL, 'SER'),
		('362', 'Date della pubblicazione e/o designazione sequenziale', 'Date della pubblicazione e/o designazione sequenziale', 1, 0, NULL, 'SER'),
		('365', 'Prezzo commerciale', 'Prezzo commerciale', 1, 0, NULL, 'SER'),
		('366', 'Informazione sulla disponibilità editoriale', 'Informazione sulla disponibilità editoriale', 1, 0, NULL, 'SER'),
		('400', 'SERIES STATEMENT/ADDED ENTRY--PERSONAL NAME [OBSOLETE, CAN/MARC], [LOCAL, USA]', 'SERIES STATEMENT/ADDED ENTRY--PERSONAL NAME [OBSOLETE, CAN/MARC], [LOCAL, USA]', 1, 0, NULL, 'SER'),
		('410', 'SERIES STATEMENT/ADDED ENTRY--CORPORATE NAME [OBSOLETE, CAN/MARC], [LOCAL, USA]', 'SERIES STATEMENT/ADDED ENTRY--CORPORATE NAME [OBSOLETE, CAN/MARC], [LOCAL, USA]', 1, 0, NULL, 'SER'),
		('411', 'SERIES STATEMENT/ADDED ENTRY--MEETING NAME [OBSOLETE, CAN/MARC], [LOCAL, USA]', 'SERIES STATEMENT/ADDED ENTRY--MEETING NAME [OBSOLETE, CAN/MARC], [LOCAL, USA]', 1, 0, NULL, 'SER'),
		('440', 'Formulazione della serie/accesso aggiunto--titolo', 'Formulazione della serie/accesso aggiunto--titolo', 1, 0, NULL, 'SER'),
		('490', 'Formulazione della serie', 'Formulazione della serie', 1, 0, '', 'SER'),
		('500', 'Nota generale', 'Nota generale', 1, 0, NULL, 'SER'),
		('501', 'Nota  Pubblicato con', 'Nota  Pubblicato con', 1, 0, NULL, 'SER'),
		('502', 'Nota di dissertazione', 'Nota di dissertazione', 1, 0, NULL, 'SER'),
		('503', 'BIBLIOGRAPHIC HISTORY NOTE (BK CF MU) [OBSOLETE]', 'BIBLIOGRAPHIC HISTORY NOTE (BK CF MU) [OBSOLETE]', 1, 0, NULL, 'SER'),
		('504', 'Nota di bibliografia', 'Nota di bibliografia', 1, 0, NULL, 'SER'),
		('505', 'Nota formattata di contenuto', 'Nota formattata di contenuto', 1, 0, NULL, 'SER'),
		('506', 'Nota sulle restrizioni all\'accesso', 'Nota sulle restrizioni all\'accesso', 1, 0, NULL, 'SER'),
		('507', 'Nota di scala per materiale grafico', 'Nota di scala per materiale grafico', 0, 0, NULL, 'SER'),
		('508', 'Nota sui crediti di creazione/produzione', 'Nota sui crediti di creazione/produzione', 1, 0, NULL, 'SER'),
		('509', 'INFORMAL NOTES (RLIN)', 'INFORMAL NOTES (RLIN)', 0, 0, NULL, 'SER'),
		('510', 'Nota di citazione/riferimenti esterni', 'Nota di citazione/riferimenti esterni', 1, 0, NULL, 'SER'),
		('511', 'Nota sui partecipanti o interpreti', 'Nota sui partecipanti o interpreti', 1, 0, NULL, 'SER'),
		('512', 'EARLIER OR LATER VOLUMES SEPARATELY CATALOGED NOTE (SE) [OBSOLETE]', 'EARLIER OR LATER VOLUMES SEPARATELY CATALOGED NOTE (SE) [OBSOLETE]', 1, 0, NULL, 'SER'),
		('513', 'Nota di tipo di rapporto e periodo coperto', 'Nota di tipo di rapporto e periodo coperto', 1, 0, NULL, 'SER'),
		('514', 'Nota sulla qualità dei dati', 'Nota sulla qualità dei dati', 0, 0, NULL, 'SER'),
		('515', 'Nota su particolarità della numerazione', 'Nota su particolarità della numerazione', 1, 0, NULL, 'SER'),
		('516', 'Nota sul tipo di computer file o di file di dati', 'Nota sul tipo di computer file o di file di dati', 1, 0, NULL, 'SER'),
		('517', 'CATEGORIES OF FILMS NOTE (ARCHIVAL) (VM) [OBSOLETE]', 'CATEGORIES OF FILMS NOTE (ARCHIVAL) (VM) [OBSOLETE]', 0, 0, NULL, 'SER'),
		('518', 'Nota sulla data/ora e luogo di un evento', 'Nota sulla data/ora e luogo di un evento', 1, 0, NULL, 'SER'),
		('520', 'Riassunto, ecc.', 'Riassunto, ecc.', 1, 0, NULL, 'SER'),
		('521', 'Nota sui destinatari', 'Nota sui destinatari', 1, 0, NULL, 'SER'),
		('522', 'Nota di copertura geografica', 'Nota di copertura geografica', 1, 0, NULL, 'SER'),
		('523', 'TIME PERIOD OF CONTENT NOTE (CF) [OBSOLETE]', 'TIME PERIOD OF CONTENT NOTE (CF) [OBSOLETE]', 0, 0, NULL, 'SER'),
		('524', 'Nota sulla citazione preferita dei materiali descritti', 'Nota sulla citazione preferita dei materiali descritti', 1, 0, NULL, 'SER'),
		('525', 'Nota di supplemento', 'Nota di supplemento', 0, 0, NULL, 'SER'),
		('526', 'Nota d’informazione sul programma di studi', 'Nota d’informazione sul programma di studi', 0, 0, NULL, 'SER'),
		('527', 'CENSORSHIP NOTE (VM) [OBSOLETE]', 'CENSORSHIP NOTE (VM) [OBSOLETE]', 1, 0, NULL, 'SER'),
		('530', 'Nota sulla disponibilità su altro supporto fisico', 'Nota sulla disponibilità su altro supporto fisico', 1, 0, NULL, 'SER'),
		('533', 'Nota di riproduzione', 'Nota di riproduzione', 1, 0, NULL, 'SER'),
		('534', 'Nota sulla versione originale', 'Nota sulla versione originale', 1, 0, NULL, 'SER'),
		('535', 'Nota sulla localizzazione degli originali/duplicati', 'Nota sulla localizzazione degli originali/duplicati', 1, 0, NULL, 'SER'),
		('536', 'Nota d’informazione sul finanziamento', 'Nota d’informazione sul finanziamento', 1, 0, NULL, 'SER'),
		('537', 'SOURCE OF DATA NOTE (CF) [OBSOLETE]', 'SOURCE OF DATA NOTE (CF) [OBSOLETE]', 0, 0, NULL, 'SER'),
		('538', 'Nota sui requisiti del sistema', 'Nota sui requisiti del sistema', 1, 0, NULL, 'SER'),
		('540', 'Nota sulle condizioni che regolano l\'utilizzo e la riproduzione', 'Nota sulle condizioni che regolano l\'utilizzo e la riproduzione', 1, 0, NULL, 'SER'),
		('541', 'Nota sulla fonte immediata d\'acquisto', 'Nota sulla fonte immediata d\'acquisto', 1, 0, NULL, 'SER'),
		('543', 'SOLICITATION INFORMATION NOTE (AM) [OBSOLETE]', 'SOLICITATION INFORMATION NOTE (AM) [OBSOLETE]', 1, 0, NULL, 'SER'),
		('544', 'Nota sulla localizzazione d’altri materiali d’archivio', 'Nota sulla localizzazione d’altri materiali d’archivio', 1, 0, NULL, 'SER'),
		('545', 'Dati biografici o storici', 'Dati biografici o storici', 1, 0, NULL, 'SER'),
		('546', 'Nota sulla lingua', 'Nota sulla lingua', 1, 0, NULL, 'SER'),
		('547', 'Nota sulla complessità del titolo precedente', 'Nota sulla complessità del titolo precedente', 1, 0, NULL, 'SER'),
		('550', 'Nota sull\'ente responsabile', 'Nota sull\'ente responsabile', 1, 0, NULL, 'SER'),
		('552', 'Nota d’informazione sull’ente e l’attributo', 'Nota d’informazione sull’ente e l’attributo', 1, 0, NULL, 'SER'),
		('555', 'Nota sull\'indice cumulativo/strumenti di ricerca', 'Nota sull\'indice cumulativo/strumenti di ricerca', 1, 0, NULL, 'SER'),
		('556', 'Nota d\'informazione sulla documentazione', 'Nota d\'informazione sulla documentazione', 1, 0, NULL, 'SER'),
		('561', 'Storia della proprietà e custodia', 'Storia della proprietà e custodia', 1, 0, NULL, 'SER'),
		('562', 'Nota d\'identificazione della copia e della versione', 'Nota d\'identificazione della copia e della versione', 1, 0, NULL, 'SER'),
		('563', 'Informazione sulla rilegatura', 'Informazione sulla rilegatura', 1, 0, NULL, 'SER'),
		('565', 'Nota sulle caratteristiche della singola pratica', 'Nota sulle caratteristiche della singola pratica', 1, 0, NULL, 'SER'),
		('567', 'Nota sulla metodologia', 'Nota sulla metodologia', 1, 0, NULL, 'SER'),
		('570', 'EDITOR NOTE (SE) [OBSOLETE]', 'EDITOR NOTE (SE) [OBSOLETE]', 1, 0, NULL, 'SER'),
		('580', 'Nota di collegamento complesso', 'Nota di collegamento complesso', 1, 0, NULL, 'SER'),
		('581', 'Nota di pubblicazioni sui materiali descritti', 'Nota di pubblicazioni sui materiali descritti', 1, 0, NULL, 'SER'),
		('582', 'RELATED COMPUTER FILES NOTE (CF) [OBSOLETE]', 'RELATED COMPUTER FILES NOTE (CF) [OBSOLETE]', 1, 0, NULL, 'SER'),
		('583', 'Nota d’azione', 'Nota d’azione', 1, 0, NULL, 'SER'),
		('584', 'Nota di accumulo e di frequenza d’uso', 'Nota di accumulo e di frequenza d’uso', 1, 0, NULL, 'SER'),
		('585', 'Nota di mostre', 'Nota di mostre', 1, 0, NULL, 'SER'),
		('586', 'Nota di premi', 'Nota di premi', 1, 0, NULL, 'SER'),
		('590', 'LOCAL NOTE (RLIN)', 'LOCAL NOTE (RLIN)', 1, 0, NULL, 'SER'),
		('600', 'Accesso aggiunto di soggetto-–Nome di persona', 'Accesso aggiunto di soggetto-–Nome di persona', 1, 0, NULL, 'SER'),
		('610', 'Accesso aggiunto di soggetto--nome di ente', 'Accesso aggiunto di soggetto--nome di ente', 1, 0, NULL, 'SER'),
		('611', 'Accesso aggiunto di soggetto--nome di convegno', 'Accesso aggiunto di soggetto--nome di convegno', 1, 0, NULL, 'SER'),
		('630', 'Accesso aggiunto di soggetto--titolo uniforme', 'Accesso aggiunto di soggetto--titolo uniforme', 1, 0, NULL, 'SER'),
		('648', 'Accesso aggiunto di soggetto--termine cronologico', 'Accesso aggiunto di soggetto--termine cronologico', 1, 0, NULL, 'SER'),
		('650', 'Accesso aggiunto di soggetto--termine topico', 'Accesso aggiunto di soggetto--termine topico', 1, 0, NULL, 'SER'),
		('651', 'Accesso aggiunto di soggetto--nome geografico', 'Accesso aggiunto di soggetto--nome geografico', 1, 0, NULL, 'SER'),
		('652', 'SUBJECT ADDED ENTRY--REVERSE GEOGRAPHIC (BK MP SE) [OBSOLETE]', 'SUBJECT ADDED ENTRY--REVERSE GEOGRAPHIC (BK MP SE) [OBSOLETE]', 1, 0, NULL, 'SER'),
		('653', 'Termine d’indicizzazione--non controllato', 'Termine d’indicizzazione--non controllato', 1, 0, NULL, 'SER'),
		('654', 'Accesso aggiunto di soggetto--termini topici faccettati', 'Accesso aggiunto di soggetto--termini topici faccettati', 1, 0, NULL, 'SER'),
		('655', 'Termine d’indicizzazione--genere/forma', 'Termine d’indicizzazione--genere/forma', 1, 0, NULL, 'SER'),
		('656', 'Termine d’indicizzazione--occupazione', 'Termine d’indicizzazione--occupazione', 1, 0, NULL, 'SER'),
		('657', 'Termine d’indicizzazione--funzione', 'Termine d’indicizzazione--funzione', 1, 0, NULL, 'SER'),
		('658', 'Termine d’indicizzazione--obiettivi del curriculum scolastico', 'Termine d’indicizzazione--obiettivi del curriculum scolastico', 1, 0, NULL, 'SER'),
		('662', 'Accesso aggiunto di soggetto --nome gerarchico di luogo', 'Accesso aggiunto di soggetto --nome gerarchico di luogo', 1, 0, NULL, 'SER'),
		('690', 'LOCAL SUBJECT ADDED ENTRY--TOPICAL TERM (OCLC, RLIN)', 'LOCAL SUBJECT ADDED ENTRY--TOPICAL TERM (OCLC, RLIN)', 1, 0, '', 'SER'),
		('691', 'LOCAL SUBJECT ADDED ENTRY--GEOGRAPHIC NAME (RLIN)', 'LOCAL SUBJECT ADDED ENTRY--GEOGRAPHIC NAME (RLIN)', 1, 0, '', 'SER'),
		('696', 'LOCAL SUBJECT ADDED ENTRY--PERSONAL NAME (RLIN)', 'LOCAL SUBJECT ADDED ENTRY--PERSONAL NAME (RLIN)', 1, 0, '', 'SER'),
		('697', 'LOCAL SUBJECT ADDED ENTRY--CORPORATE NAME (RLIN)', 'LOCAL SUBJECT ADDED ENTRY--CORPORATE NAME (RLIN)', 1, 0, '', 'SER'),
		('698', 'LOCAL SUBJECT ADDED ENTRY--MEETING NAME (RLIN)', 'LOCAL SUBJECT ADDED ENTRY--MEETING NAME (RLIN)', 1, 0, '', 'SER'),
		('699', 'LOCAL SUBJECT ADDED ENTRY--UNIFORM TITLE (RLIN)', 'LOCAL SUBJECT ADDED ENTRY--UNIFORM TITLE (RLIN)', 1, 0, '', 'SER'),
		('700', 'Accesso aggiunto--nome di persona', 'Accesso aggiunto--nome di persona', 1, 0, NULL, 'SER'),
		('705', 'ADDED ENTRY--PERSONAL NAME (PERFORMER) (MU) [OBSOLETE]', 'ADDED ENTRY--PERSONAL NAME (PERFORMER) (MU) [OBSOLETE]', 1, 0, NULL, 'SER'),
		('710', 'Accesso aggiunto--nome di ente', 'Accesso aggiunto--nome di ente', 1, 0, NULL, 'SER'),
		('711', 'Accesso aggiunto--nome di convegno', 'Accesso aggiunto--nome di convegno', 1, 0, NULL, 'SER'),
		('715', 'ADDED ENTRY--CORPORATE NAME (PERFORMER) (MU) [OBSOLETE]', 'ADDED ENTRY--CORPORATE NAME (PERFORMER) (MU) [OBSOLETE]', 1, 0, NULL, 'SER'),
		('720', 'Accesso aggiunto--nome non controllato', 'Accesso aggiunto--nome non controllato', 1, 0, NULL, 'SER'),
		('730', 'Accesso aggiunto--titolo uniforme', 'Accesso aggiunto--titolo uniforme', 1, 0, NULL, 'SER'),
		('740', 'Accesso aggiunto--titolo analitico/correlato non controllato', 'Accesso aggiunto--titolo analitico/correlato non controllato', 1, 0, NULL, 'SER'),
		('752', 'Accesso aggiunto – nome gerarchico di luogo', 'Accesso aggiunto – nome gerarchico di luogo', 1, 0, NULL, 'SER'),
		('753', 'Dettagli sul sistema per accedere ai computer file', 'Dettagli sul sistema per accedere ai computer file', 1, 0, NULL, 'SER'),
		('754', 'Accesso aggiunto--identificazione tassonomica', 'Accesso aggiunto--identificazione tassonomica', 1, 0, NULL, 'SER'),
		('755', 'ADDED ENTRY--PHYSICAL CHARACTERISTICS [OBSOLETE]', 'ADDED ENTRY--PHYSICAL CHARACTERISTICS [OBSOLETE]', 1, 0, NULL, 'SER'),
		('760', 'Accesso di serie principale', 'Accesso di serie principale', 1, 0, NULL, 'SER'),
		('762', 'Accesso di sottoserie', 'Accesso di sottoserie', 1, 0, NULL, 'SER'),
		('765', 'Accesso di lingua originale', 'Accesso di lingua originale', 1, 0, NULL, 'SER'),
		('767', 'Accesso di supplemento/numero speciale', 'Accesso di supplemento/numero speciale', 1, 0, NULL, 'SER'),
		('770', 'Accesso di supplemento/numero speciale', 'Accesso di supplemento/numero speciale', 1, 0, NULL, 'SER'),
		('772', 'Accesso di pubblicazione principale', 'Accesso di pubblicazione principale', 1, 0, NULL, 'SER'),
		('773', 'Accesso d’item ospite', 'Accesso d’item ospite', 1, 0, NULL, 'SER'),
		('774', 'Accesso d’unità costituente', 'Accesso d’unità costituente', 1, 0, NULL, 'SER'),
		('775', 'Acceso di un’altra edizione', 'Acceso di un’altra edizione', 1, 0, NULL, 'SER'),
		('776', 'Accesso di forma fisica aggiunta', 'Accesso di forma fisica aggiunta', 1, 0, NULL, 'SER'),
		('777', 'Accesso di ', 'Accesso di ', 1, 0, NULL, 'SER'),
		('780', 'Accesso precedente', 'Accesso precedente', 1, 0, NULL, 'SER'),
		('785', 'Accesso successivo', 'Accesso successivo', 1, 0, NULL, 'SER'),
		('786', 'Accesso di fonte dei dati', 'Accesso di fonte dei dati', 1, 0, NULL, 'SER'),
		('787', 'Accesso di relazione non specificata', 'Accesso di relazione non specificata', 1, 0, NULL, 'SER'),
		('789', 'COMPONENT ITEM ENTRY (RLIN)', 'COMPONENT ITEM ENTRY (RLIN)', 1, 0, '', 'SER'),
		('796', 'LOCAL ADDED ENTRY--PERSONAL NAME (RLIN)', 'LOCAL ADDED ENTRY--PERSONAL NAME (RLIN)', 1, 0, '', 'SER'),
		('797', 'LOCAL ADDED ENTRY--CORPORATE NAME (RLIN)', 'LOCAL ADDED ENTRY--CORPORATE NAME (RLIN)', 1, 0, '', 'SER'),
		('798', 'LOCAL ADDED ENTRY--MEETING NAME (RLIN)', 'LOCAL ADDED ENTRY--MEETING NAME (RLIN)', 1, 0, '', 'SER'),
		('799', 'LOCAL ADDED ENTRY--UNIFORM TITLE (RLIN)', 'LOCAL ADDED ENTRY--UNIFORM TITLE (RLIN)', 1, 0, '', 'SER'),
		('800', 'Accesso aggiunto di serie--nome di persona', 'Accesso aggiunto di serie--nome di persona', 1, 0, NULL, 'SER'),
		('810', 'Accesso aggiunto di serie--nome di ente', 'Accesso aggiunto di serie--nome di ente', 1, 0, NULL, 'SER'),
		('811', 'Accesso aggiunto di serie--nome di convegno', 'Accesso aggiunto di serie--nome di convegno', 1, 0, NULL, 'SER'),
		('830', 'Accesso aggiunto di serie--titolo uniforme', 'Accesso aggiunto di serie--titolo uniforme', 1, 0, NULL, 'SER'),
		('840', 'SERIES ADDED ENTRY--TITLE [OBSOLETE]', 'SERIES ADDED ENTRY--TITLE [OBSOLETE]', 1, 0, NULL, 'SER'),
		('841', 'Valori dei dati codificati di posseduti', 'Valori dei dati codificati di posseduti', 0, 0, NULL, 'SER'),
		('842', 'Designatore testuale di forma fisica', 'Designatore testuale di forma fisica', 0, 0, NULL, 'SER'),
		('843', 'Nota di riproduzione', 'Nota di riproduzione', 1, 0, NULL, 'SER'),
		('844', 'Nome dell’unità', 'Nome dell’unità', 0, 0, NULL, 'SER'),
		('845', 'Nota sulle condizioni che regolano l\'utilizzo e la riproduzione', 'Nota sulle condizioni che regolano l\'utilizzo e la riproduzione', 1, 0, NULL, 'SER'),
		('850', 'Istituzione possedente', 'Istituzione possedente', 1, 0, NULL, 'SER'),
		('851', 'LOCATION [OBSOLETE]', 'LOCATION [OBSOLETE]', 1, 0, NULL, 'SER'),
		('852', 'Localizzazione', 'Localizzazione', 1, 0, NULL, 'SER'),
		('853', 'Legende e modello--unità bibliografica basilare', 'Legende e modello--unità bibliografica basilare', 1, 0, NULL, 'SER'),
		('854', 'Legende e modello--supplementi', 'Legende e modello--supplementi', 1, 0, NULL, 'SER'),
		('855', 'Legende e modello--indici', 'Legende e modello--indici', 1, 0, NULL, 'SER'),
		('856', 'Localizzazione e accesso elettronico', 'Localizzazione e accesso elettronico', 1, 0, NULL, 'SER'),
		('859', 'LOCAL CONTROL INFORMATION (RLIN)', 'LOCAL CONTROL INFORMATION (RLIN)', 1, 0, '', 'SER'),
		('863', 'Numerazione e cronologia--unità bibliografica basilare', 'Numerazione e cronologia--unità bibliografica basilare', 1, 0, NULL, 'SER'),
		('864', 'Numerazione e cronologia--supplementi', 'Numerazione e cronologia--supplementi', 1, 0, NULL, 'SER'),
		('865', 'Numerazione e cronologia--indici', 'Numerazione e cronologia--indici', 1, 0, NULL, 'SER'),
		('866', 'Formulazione testuale di posseduti--unità bibliografica basilare', 'Formulazione testuale di posseduti--unità bibliografica basilare', 1, 0, NULL, 'SER'),
		('867', 'Formulazione testuale di posseduti--supplementi', 'Formulazione testuale di posseduti--supplementi', 1, 0, NULL, 'SER'),
		('868', 'Formulazione testuale di posseduti--indici', 'Formulazione testuale di posseduti--indici', 1, 0, NULL, 'SER'),
		('870', 'VARIANT PERSONAL NAME (SE) [OBSOLETE]', 'VARIANT PERSONAL NAME (SE) [OBSOLETE]', 1, 0, NULL, 'SER'),
		('871', 'VARIANT CORPORATE NAME (SE)[OBSOLETE]', 'VARIANT CORPORATE NAME (SE)[OBSOLETE]', 1, 0, NULL, 'SER'),
		('872', 'VARIANT CONFERENCE OR MEETING NAME (SE) [OBSOLETE]', 'VARIANT CONFERENCE OR MEETING NAME (SE) [OBSOLETE]', 1, 0, NULL, 'SER'),
		('873', 'VARIANT UNIFORM TITLE HEADING (SE) [OBSOLETE]', 'VARIANT UNIFORM TITLE HEADING (SE) [OBSOLETE]', 1, 0, NULL, 'SER'),
		('876', 'Informazione sull’item--unità bibliografica basilare', 'Informazione sull’item--unità bibliografica basilare', 1, 0, NULL, 'SER'),
		('877', 'Informazione sull’item--supplementi', 'Informazione sull’item--supplementi', 1, 0, NULL, 'SER'),
		('878', 'Informazione sull’item--indici', 'Informazione sull’item--indici', 1, 0, NULL, 'SER'),
		('880', 'Rappresentazione grafica alternativa', 'Rappresentazione grafica alternativa', 1, 0, NULL, 'SER'),
		('886', 'Campo dell’informazione per MARC differenti', 'Campo dell’informazione per MARC differenti', 1, 0, NULL, 'SER'),
		('887', 'Campo dell’informazione per non-MARC', 'Campo dell’informazione per non-MARC', 1, 0, NULL, 'SER'),
		('896', 'LOCAL SERIES ADDED ENTRY--PERSONAL NAME (RLIN)', 'LOCAL SERIES ADDED ENTRY--PERSONAL NAME (RLIN)', 1, 0, '', 'SER'),
		('897', 'LOCAL SERIES ADDED ENTRY--CORPORATE NAME (RLIN)', 'LOCAL SERIES ADDED ENTRY--CORPORATE NAME (RLIN)', 1, 0, '', 'SER'),
		('898', 'LOCAL SERIES ADDED ENTRY--MEETING NAME (RLIN)', 'LOCAL SERIES ADDED ENTRY--MEETING NAME (RLIN)', 1, 0, '', 'SER'),
		('899', 'LOCAL SERIES ADDED ENTRY--UNIFORM TITLE (RLIN)', 'LOCAL SERIES ADDED ENTRY--UNIFORM TITLE (RLIN)', 1, 0, '', 'SER'),
		('900', 'EQUIVALENCE OR CROSS-REFERENCE-PERSONAL NAME [LOCAL, CANADA]', 'EQUIVALENCE OR CROSS-REFERENCE-PERSONAL NAME [LOCAL, CANADA]', 1, 0, '', 'SER'),
		('901', 'LOCAL DATA ELEMENT A, LDA (RLIN)', 'LOCAL DATA ELEMENT A, LDA (RLIN)', 1, 0, '', 'SER'),
		('902', 'LOCAL DATA ELEMENT B, LDB (RLIN)', 'LOCAL DATA ELEMENT B, LDB (RLIN)', 1, 0, '', 'SER'),
		('903', 'LOCAL DATA ELEMENT C, LDC (RLIN)', 'LOCAL DATA ELEMENT C, LDC (RLIN)', 1, 0, '', 'SER'),
		('904', 'LOCAL DATA ELEMENT D, LDD (RLIN)', 'LOCAL DATA ELEMENT D, LDD (RLIN)', 1, 0, '', 'SER'),
		('905', 'LOCAL DATA ELEMENT E, LDE (RLIN)', 'LOCAL DATA ELEMENT E, LDE (RLIN)', 1, 0, '', 'SER'),
		('906', 'LOCAL DATA ELEMENT F, LDF (RLIN)', 'LOCAL DATA ELEMENT F, LDF (RLIN)', 1, 0, '', 'SER'),
		('907', 'LOCAL DATA ELEMENT G, LDG (RLIN)', 'LOCAL DATA ELEMENT G, LDG (RLIN)', 1, 0, '', 'SER'),
		('908', 'PUT COMMAND PARAMETER (RLIN)', 'PUT COMMAND PARAMETER (RLIN)', 0, 0, '', 'SER'),
		('910', 'USER-OPTION DATA (OCLC)', 'USER-OPTION DATA (OCLC)', 0, 0, '', 'SER'),
		('911', 'EQUIVALENCE OR CROSS-REFERENCE-CONFERENCE OR MEETING NAME [LOCAL, CANADA]', 'EQUIVALENCE OR CROSS-REFERENCE-CONFERENCE OR MEETING NAME [LOCAL, CANADA]', 1, 0, '', 'SER'),
		('930', 'EQUIVALENCE OR CROSS-REFERENCE-UNIFORM TITLE HEADING [LOCAL, CANADA]', 'EQUIVALENCE OR CROSS-REFERENCE-UNIFORM TITLE HEADING [LOCAL, CANADA]', 1, 0, '', 'SER'),
		('936', 'OCLC/CONSER MISCELLANEOUS DATA (OCLC); PIECE USED FOR CATALOGING (pre-AACR2) (RLIN)', 'OCLC/CONSER MISCELLANEOUS DATA (OCLC); PIECE USED FOR CATALOGING (pre-AACR2) (RLIN)', 0, 0, '', 'SER'),
		('940', 'EQUIVALENCE OR CROSS-REFERENCE--UNIFORM TITLE [OBSOLETE] [CAN/MARC only]', 'EQUIVALENCE OR CROSS-REFERENCE--UNIFORM TITLE [OBSOLETE] [CAN/MARC only]', 1, 0, '', 'SER'),
		('941', 'EQUIVALENCE OR CROSS-REFERENCE--ROMANIZED TITLE [OBSOLETE] [CAN/MARC only]', 'EQUIVALENCE OR CROSS-REFERENCE--ROMANIZED TITLE [OBSOLETE] [CAN/MARC only]', 1, 0, '', 'SER'),
		('943', 'EQUIVALENCE OR CROSS-REFERENCE--COLLECTIVE TITLE [OBSOLETE] [CAN/MARC only]', 'EQUIVALENCE OR CROSS-REFERENCE--COLLECTIVE TITLE [OBSOLETE] [CAN/MARC only]', 1, 0, '', 'SER'),
		('945', 'LOCAL PROCESSING INFORMATION (OCLC)', 'LOCAL PROCESSING INFORMATION (OCLC)', 1, 0, '', 'SER'),
		('946', 'LOCAL PROCESSING INFORMATION (OCLC)', 'LOCAL PROCESSING INFORMATION (OCLC)', 1, 0, '', 'SER'),
		('947', 'LOCAL PROCESSING INFORMATION (OCLC)', 'LOCAL PROCESSING INFORMATION (OCLC)', 1, 0, '', 'SER'),
		('948', 'LOCAL PROCESSING INFORMATION (OCLC); SERIES PART DESIGNATOR (RLIN)', 'LOCAL PROCESSING INFORMATION (OCLC); SERIES PART DESIGNATOR (RLIN)', 1, 0, '', 'SER'),
		('949', 'LOCAL PROCESSING INFORMATION (OCLC)', 'LOCAL PROCESSING INFORMATION (OCLC)', 1, 0, '', 'SER'),
		('950', 'LOCAL HOLDINGS (RLIN)', 'LOCAL HOLDINGS (RLIN)', 1, 0, '', 'SER'),
		('951', 'EQUIVALENCE OR CROSS-REFERENCE--GEOGRAPHIC NAME/AREA NAME [OBSOLETE] [CAN/MARC only]', 'EQUIVALENCE OR CROSS-REFERENCE--GEOGRAPHIC NAME/AREA NAME [OBSOLETE] [CAN/MARC only]', 1, 0, '', 'SER'),
		('955', 'COPY-LEVEL INFORMATION (RLIN)', 'COPY-LEVEL INFORMATION (RLIN)', 1, 0, '', 'SER'),
		('956', 'LOCAL ELECTRONIC LOCATION AND ACCESS (OCLC)', 'LOCAL ELECTRONIC LOCATION AND ACCESS (OCLC)', 1, 0, '', 'SER'),
		('960', 'PHYSICAL LOCATION (RLIN)', 'PHYSICAL LOCATION (RLIN)', 1, 0, '', 'SER'),
		('967', 'ADDITIONAL ESTC CODES (RLIN)', 'ADDITIONAL ESTC CODES (RLIN)', 1, 0, '', 'SER'),
		('980', 'EQUIVALENCE OR CROSS-REFERENCE-SERIES STATEMENT--PERSONAL NAME/TITLE [LOCAL, CANADA]', 'EQUIVALENCE OR CROSS-REFERENCE-SERIES STATEMENT--PERSONAL NAME/TITLE [LOCAL, CANADA]', 1, 0, '', 'SER'),
		('981', 'EQUIVALENCE OR CROSS-REFERENCE-SERIES STATEMENT--CORPORATE NAME/TITLE [LOCAL, CANADA]', 'EQUIVALENCE OR CROSS-REFERENCE-SERIES STATEMENT--CORPORATE NAME/TITLE [LOCAL, CANADA]', 1, 0, '', 'SER'),
		('982', 'EQUIVALENCE OR CROSS-REFERENCE-SERIES STATEMENT--CONFERENCE OR MEETING NAME/TITLE [LOCAL, CANADA]', 'EQUIVALENCE OR CROSS-REFERENCE-SERIES STATEMENT--CONFERENCE OR MEETING NAME/TITLE [LOCAL, CANADA]', 1, 0, '', 'SER'),
		('983', 'EQUIVALENCE OR CROSS-REFERENCE-SERIES STATEMENT--TITLE/UNIFORM TITLE [LOCAL, CANADA]', 'EQUIVALENCE OR CROSS-REFERENCE-SERIES STATEMENT--TITLE/UNIFORM TITLE [LOCAL, CANADA]', 1, 0, '', 'SER'),
		('984', 'WLN AUTOMATIC HOLDINGS STATEMENT (OCLC)', 'WLN AUTOMATIC HOLDINGS STATEMENT (OCLC)', 1, 0, '', 'SER'),
		('987', 'LOCAL ROMANIZATION/CONVERSION HISTORY (OCLC)', 'LOCAL ROMANIZATION/CONVERSION HISTORY (OCLC)', 1, 0, '', 'SER'),
		('990', 'EQUIVALENCES OR CROSS-REFERENCES [LOCAL, CANADA]', 'EQUIVALENCES OR CROSS-REFERENCES [LOCAL, CANADA]', 1, 0, '', 'SER'),
		('995', 'RECOMMENDATION 995 [LOCAL, UNIMARC FRANCE]', 'RECOMMENDATION 995 [LOCAL, UNIMARC FRANCE]', 1, 0, '', 'SER'),
		('998', 'LOCAL CONTROL INFORMATION (RLIN)', 'LOCAL CONTROL INFORMATION (RLIN)', 1, 0, '', 'SER');



INSERT INTO `marc_subfield_structure` (`tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `kohafield`, `tab`, `authorised_value`, `authtypecode`, `value_builder`, `isurl`, `hidden`, `frameworkcode`, `seealso`, `link`, `defaultvalue`) VALUES
		('000', '@', 'campo di controllo lung. fissa', 'campo di controllo lung. fissa', 0, 1, '', 0, '', '', 'marc21_leader.pl', 0, 0, 'SER', '', '', NULL),
		('001', '@', 'campo di controllo', 'campo di controllo', 0, 0, '', 0, '', '', '', 0, -6, 'SER', '', '', NULL),
		('003', '@', 'campo di controllo', 'campo di controllo', 0, 0, '', 0, '', '', 'marc21_field_003.pl', 0, -6, 'SER', '', '', NULL),
		('005', '@', 'campo di controllo', 'campo di controllo', 0, 0, '', 0, '', '', 'marc21_field_005.pl', 0, -1, 'SER', '', '', NULL),
		('006', '@', 'campo di controllo lung. fissa', 'campo di controllo lung. fissa', 0, 0, '', 0, '', '', 'marc21_field_006.pl', 0, -1, 'SER', '', '', NULL),
		('007', '@', 'campo di controllo lung. fissa', 'campo di controllo lung. fissa', 0, 0, '', 0, '', '', 'marc21_field_007.pl', 0, 0, 'SER', '', '', NULL),
		('008', '@', 'campo di controllo lung. fissa', 'campo di controllo lung. fissa', 0, 1, '', 0, '', '', 'marc21_field_008.pl', 0, 0, 'SER', '', '', NULL),
		('009', '@', 'campo di controllo lung. fissa', 'campo di controllo lung. fissa', 0, 0, '', 0, '', '', '', 0, -6, 'SER', '', '', NULL),
		('010', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 0, '', '', NULL, 0, -6, 'SER', '', '', NULL),
		('010', 'a', 'Numero di controllo della LC', 'Numero di controllo della LC', 0, 0, 'biblioitems.lccn', 0, '', '', '', 0, -6, 'SER', '', '', NULL),
		('010', 'b', 'Numero di controllo del NUCMC', 'Numero di controllo del NUCMC', 1, 0, '', 0, '', '', '', 0, -6, 'SER', '', '', NULL),
		('010', 'z', 'Numero di controllo della LC cancellato o errato', 'Numero di controllo della LC cancellato o errato', 1, 0, '', 0, '', '', '', 0, -6, 'SER', '', '', NULL),
		('011', 'a', 'Numero di controllo della LC', 'Numero di controllo della LC', 1, 0, '', 0, '', '', '', 0, -6, 'SER', '', '', NULL),
		('013', '6', 'Collegamento', 'Collegamento', 0, 0, '', 0, '', '', NULL, 0, -6, 'SER', '', '', NULL),
		('013', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 0, '', '', '', 0, -6, 'SER', '', '', NULL),
		('013', 'a', 'Numero', 'Numero', 0, 0, '', 0, '', '', '', 0, -6, 'SER', '', '', NULL),
		('013', 'b', 'Paese', 'Paese', 0, 0, '', 0, '', '', '', 0, -6, 'SER', '', '', NULL),
		('013', 'c', 'Tipo di numero', 'Tipo di numero', 0, 0, '', 0, '', '', '', 0, -6, 'SER', '', '', NULL),
		('013', 'd', 'Data', 'Data', 1, 0, '', 0, '', '', '', 0, -6, 'SER', '', '', NULL),
		('013', 'e', 'Stato', 'Stato', 1, 0, '', 0, '', '', '', 0, -6, 'SER', '', '', NULL),
		('013', 'f', 'Parte responsabile del documento', 'Parte responsabile del documento', 1, 0, '', 0, '', '', '', 0, -6, 'SER', '', '', NULL),
		('015', '2', 'Fonte', 'Fonte', 0, 0, '', 0, '', '', NULL, 0, -6, 'SER', '', '', NULL),
		('015', '6', 'Collegamento', 'Collegamento', 0, 0, '', 0, '', '', '', 0, -6, 'SER', '', '', NULL),
		('015', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 0, '', '', '', 0, -6, 'SER', '', '', NULL),
		('015', 'a', 'Numero della bibliografia nazionale', 'Numero della bibliografia nazionale', 1, 0, '', 0, '', '', '', 0, -6, 'SER', '', '', NULL),
		('016', '2', 'Fonte', 'Fonte', 0, 0, '', 0, '', '', '', 0, -6, 'SER', '', '', NULL),
		('016', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 0, '', '', '', 0, -6, 'SER', '', '', NULL),
		('016', 'a', 'Numero di controllo della registrazione', 'Numero di controllo della registrazione', 0, 0, '', 0, '', '', '', 0, -6, 'SER', '', '', NULL),
		('016', 'z', 'Numero di controllo della registrazione cancellato o errato', 'Numero di controllo della registrazione cancellato o errato', 1, 0, '', 0, '', '', '', 0, -6, 'SER', '', '', NULL),
		('017', '2', 'Fonte', 'Fonte', 0, 0, '', 0, '', '', '', 0, -6, 'SER', '', '', NULL),
		('017', '6', 'Collegamento', 'Collegamento', 0, 0, '', 0, '', '', '', 0, -6, 'SER', '', '', NULL),
		('017', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 0, '', '', '', 0, -6, 'SER', '', '', NULL),
		('017', 'a', 'Numero di copyright o di deposito legale', 'Numero di copyright o di deposito legale', 1, 0, '', 0, '', '', '', 0, -6, 'SER', '', '', NULL),
		('017', 'b', 'Agenzia che assegna il numero', 'Agenzia che assegna il numero', 0, 0, '', 0, '', '', '', 0, -6, 'SER', '', '', NULL),
		('017', 'd', 'Data', 'Data', 0, 0, '', 0, '', '', NULL, 0, -6, 'SER', '', '', NULL),
		('017', 'i', 'Testo da visualizzare', 'Testo da visualizzare', 0, 0, '', 0, '', '', '', 0, -6, 'SER', '', '', NULL),
		('018', '6', 'Collegamento', 'Collegamento', 0, 0, '', 0, '', '', '', 0, -6, 'SER', '', '', NULL),
		('018', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 0, '', '', '', 0, -6, 'SER', '', '', NULL),
		('018', 'a', 'Codice di tassa sul copyright dell\'articolo', 'Codice di tassa sul copyright dell\'articolo', 0, 0, '', 0, '', '', '', 0, -6, 'SER', '', '', NULL),
		('020', '6', 'Collegamento', 'Collegamento', 0, 0, '', 0, '', '', '', 0, -6, 'SER', '', '', NULL),
		('020', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 0, '', '', '', 0, -6, 'SER', '', '', NULL),
		('020', 'a', 'ISBN (International Standard Book Number)', 'ISBN (International Standard Book Number)', 0, 0, 'biblioitems.isbn', 0, '', '', '', 0, -6, 'SER', '', '', NULL),
		('020', 'c', 'Termini di disponibilità', 'Termini di disponibilità', 0, 0, '', 0, '', '', '', 0, -6, 'SER', '', '', NULL),
		('020', 'z', 'ISBN cancellato o errato', 'ISBN cancellato o errato', 1, 0, '', 0, '', '', '', 0, -6, 'SER', '', '', NULL),
		('022', '2', 'Fonte', 'Fonte', 0, 0, '', 0, '', '', '', 0, -6, 'SER', '', '', NULL),
		('022', '6', 'Collegamento', 'Collegamento', 0, 0, '', 0, '', '', '', 0, -6, 'SER', '', '', NULL),
		('022', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 0, '', '', '', 0, -6, 'SER', '', '', NULL),
		('022', 'a', 'ISSN (International Standard Serial Number)', 'ISSN (International Standard Serial Number)', 0, 0, 'biblioitems.issn', 0, '', '', '', 0, 0, 'SER', '', '', NULL),
		('022', 'y', 'ISSN errato', 'ISSN errato', 1, 0, '', 0, '', '', '', 0, -6, 'SER', '', '', NULL),
		('022', 'z', 'ISSN cancellato', 'ISSN cancellato', 1, 0, '', 0, '', '', '', 0, -6, 'SER', '', '', NULL),
		('023', 'a', 'Standard film number', 'Standard film number', 0, 0, '', 0, '', '', '', 0, -6, 'SER', '', '', NULL),
		('024', '2', 'Fonte del numero o codice', 'Fonte del numero o codice', 0, 0, '', 0, '', '', '', 0, -1, 'SER', '', '', NULL),
		('024', '6', 'Collegamento', 'Collegamento', 0, 0, '', 0, '', '', '', 0, -6, 'SER', '', '', NULL),
		('024', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 0, '', '', '', 0, -6, 'SER', '', '', NULL),
		('024', 'a', 'Numero standard o codice', 'Numero standard o codice', 0, 0, '', 0, '', '', '', 0, -1, 'SER', '', '', NULL),
		('024', 'b', 'Additional codes following the standard number [OBSOLETE]', 'Additional codes following the standard number [OBSOLETE]', 0, 0, '', 0, '', '', '', 0, -6, 'SER', '', '', NULL),
		('024', 'c', 'Termini di disponibilità', 'Termini di disponibilità', 0, 0, '', 0, '', '', '', 0, -1, 'SER', '', '', NULL),
		('024', 'd', 'Codici addizionali che seguono il numero standard o codice', 'Codici addizionali che seguono il numero standard o codice', 0, 0, '', 0, '', '', '', 0, -1, 'SER', '', '', NULL),
		('024', 'z', 'Numero standard o codice, cancellato o errato', 'Numero standard o codice, cancellato o errato', 1, 0, '', 0, '', '', '', 0, -6, 'SER', '', '', NULL),
		('025', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 0, '', '', '', 0, -6, 'SER', '', '', NULL),
		('025', 'a', 'Numero d\'acquisto estero', 'Numero d\'acquisto estero', 1, 0, '', 0, '', '', '', 0, -6, 'SER', '', '', NULL),
		('026', '2', 'Fonte', 'Fonte', 0, 0, '', 0, '', '', '', 0, -6, 'SER', '', '', NULL),
		('026', '5', 'Istituzione a cui si applica il campo', 'Istituzione a cui si applica il campo', 1, 0, '', 0, '', '', '', 0, -6, 'SER', '', '', NULL),
		('026', '6', 'Collegamento', 'Collegamento', 0, 0, '', 0, '', '', '', 0, -6, 'SER', '', '', NULL),
		('026', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 0, '', '', '', 0, -6, 'SER', '', '', NULL),
		('026', 'a', 'Primo e secondo gruppo di caratteri', 'Primo e secondo gruppo di caratteri', 0, 0, '', 0, '', '', '', 0, -6, 'SER', '', '', NULL),
		('026', 'b', 'Terzo e quarto gruppo di caratteri', 'Terzo e quarto gruppo di caratteri', 0, 0, '', 0, '', '', '', 0, -6, 'SER', '', '', NULL),
		('026', 'c', 'Data', 'Data', 0, 0, '', 0, '', '', '', 0, -6, 'SER', '', '', NULL),
		('026', 'd', 'Numero del volume o parte', 'Numero del volume o parte', 0, 0, '', 0, '', '', '', 0, -6, 'SER', '', '', NULL),
		('026', 'e', 'Impronta non analizzata', 'Impronta non analizzata', 0, 0, '', 0, '', '', '', 0, -6, 'SER', '', '', NULL),
		('027', '6', 'Collegamento', 'Collegamento', 0, 0, '', 0, '', '', '', 0, -6, 'SER', '', '', NULL),
		('027', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 0, '', '', '', 0, -6, 'SER', '', '', NULL),
		('027', 'a', 'Standard Technical Report Number', 'Standard Technical Report Number', 0, 0, '', 0, '', '', '', 0, -6, 'SER', '', '', NULL),
		('027', 'z', 'Numero cancellato o errato', 'Numero cancellato o errato', 1, 0, '', 0, '', '', '', 0, -6, 'SER', '', '', NULL),
		('028', '6', 'Collegamento', 'Collegamento', 0, 0, '', 0, '', '', '', 0, -6, 'SER', '', '', NULL),
		('028', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 0, '', '', '', 0, -6, 'SER', '', '', NULL),
		('028', 'a', 'Numero dell\'editore', 'Numero dell\'editore', 0, 0, '', 0, '', '', '', 0, -6, 'SER', '', '', NULL),
		('028', 'b', 'Fonte', 'Fonte', 0, 0, '', 0, '', '', '', 0, -6, 'SER', '', '', NULL),
		('029', 'a', 'OCLC library identifier', 'OCLC library identifier', 0, 0, '', 0, '', '', '', 0, -6, 'SER', '', '', NULL),
		('029', 'b', 'System control number', 'System control number', 0, 0, '', 0, '', '', '', 0, -6, 'SER', '', '', NULL),
		('029', 'c', 'OAI set name', 'OAI set name', 0, 0, '', 0, '', '', '', 0, -6, 'SER', '', '', NULL),
		('029', 't', 'Content type identifier', 'Content type identifier', 0, 0, '', 0, '', '', '', 0, -6, 'SER', '', '', NULL),
		('030', '6', 'Collegamento', 'Collegamento', 0, 0, '', 0, '', '', '', 0, -6, 'SER', '', '', NULL),
		('030', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 0, '', '', '', 0, -6, 'SER', '', '', NULL),
		('030', 'a', 'CODEN', 'CODEN', 0, 0, '', 0, '', '', '', 0, -6, 'SER', '', '', NULL),
		('030', 'z', 'CODEN cancellato o errato', 'CODEN cancellato o errato', 1, 0, '', 0, '', '', '', 0, -6, 'SER', '', '', NULL),
		('031', '2', 'Codice di sistema', 'Codice di sistema', 0, 0, '', 0, '', '', '', 0, -6, 'SER', '', '', NULL),
		('031', '6', 'Collegamento', 'Collegamento', 0, 0, '', 0, '', '', '', 0, -6, 'SER', '', '', NULL),
		('031', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 0, '', '', '', 0, -6, 'SER', '', '', NULL),
		('031', 'a', 'Numero di composizione', 'Numero di composizione', 0, 0, '', 0, '', '', '', 0, -6, 'SER', '', '', NULL),
		('031', 'b', 'Numero di movimento', 'Numero di movimento', 0, 0, '', 0, '', '', '', 0, -6, 'SER', '', '', NULL),
		('031', 'c', 'Numero progressivo nel movimento', 'Numero progressivo nel movimento', 0, 0, '', 0, '', '', '', 0, -6, 'SER', '', '', NULL),
		('031', 'd', 'Titolo o intitolazione', 'Titolo o intitolazione', 1, 0, '', 0, '', '', '', 0, -6, 'SER', '', '', NULL),
		('031', 'e', 'Personaggio', 'Personaggio', 0, 0, '', 0, '', '', '', 0, -6, 'SER', '', '', NULL),
		('031', 'g', 'Chiave', 'Chiave', 0, 0, '', 0, '', '', '', 0, -6, 'SER', '', '', NULL),
		('031', 'm', 'Voce/strumento', 'Voce/strumento', 0, 0, '', 0, '', '', '', 0, -6, 'SER', '', '', NULL),
		('031', 'n', 'Alterazioni', 'Alterazioni', 0, 0, '', 0, '', '', '', 0, -6, 'SER', '', '', NULL),
		('031', 'o', 'Misura', 'Misura', 0, 0, '', 0, '', '', '', 0, -6, 'SER', '', '', NULL),
		('031', 'p', 'Contesto musicale', 'Contesto musicale', 0, 0, '', 0, '', '', '', 0, -6, 'SER', '', '', NULL),
		('031', 'q', 'Nota generale', 'Nota generale', 1, 0, '', 0, '', '', '', 0, -6, 'SER', '', '', NULL),
		('031', 'r', 'Tonalità o modo', 'Tonalità o modo', 0, 0, '', 0, '', '', '', 0, -6, 'SER', '', '', NULL),
		('031', 's', 'Nota codificata di validità', 'Nota codificata di validità', 1, 0, '', 0, '', '', '', 0, -6, 'SER', '', '', NULL),
		('031', 't', 'Incipit testuale', 'Incipit testuale', 1, 0, '', 0, '', '', '', 0, -6, 'SER', '', '', NULL),
		('031', 'u', 'URI (Uniform Resource Identifier)', 'URI (Uniform Resource Identifier)', 1, 0, '', 0, '', '', '', 1, -6, 'SER', '', '', NULL),
		('031', 'y', 'Testo di collegamento', 'Testo di collegamento', 1, 0, '', 0, '', '', '', 0, -6, 'SER', '', '', NULL),
		('031', 'z', 'Nota pubblica', 'Nota pubblica', 1, 0, '', 0, '', '', '', 0, -6, 'SER', '', '', NULL),
		('032', '6', 'Collegamento', 'Collegamento', 0, 0, '', 0, '', '', NULL, 0, -6, 'SER', '', '', NULL),
		('032', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 0, '', '', '', 0, -6, 'SER', '', '', NULL),
		('032', 'a', 'Numero di registrazione di posta', 'Numero di registrazione di posta', 0, 0, '', 0, '', '', '', 0, -6, 'SER', '', '', NULL),
		('032', 'b', 'Fonte (agenzia che assegna il numero)', 'Fonte (agenzia che assegna il numero)', 0, 0, '', 0, '', '', '', 0, -6, 'SER', '', '', NULL),
		('033', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, '', 0, '', '', '', 0, -6, 'SER', '', '', NULL),
		('033', '6', 'Collegamento', 'Collegamento', 0, 0, '', 0, '', '', '', 0, -6, 'SER', '', '', NULL),
		('033', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 0, '', '', '', 0, -6, 'SER', '', '', NULL),
		('033', 'a', 'Data/ora formattate', 'Data/ora formattate', 1, 0, '', 0, '', '', '', 0, -6, 'SER', '', '', NULL),
		('033', 'b', 'Codice di classificazione dell\'area geografica', 'Codice di classificazione dell\'area geografica', 1, 0, '', 0, '', '', '', 0, -6, 'SER', '', '', NULL),
		('033', 'c', 'Codice di classificazione della sottoarea geografica', 'Codice di classificazione della sottoarea geografica', 1, 0, '', 0, '', '', '', 0, -6, 'SER', '', '', NULL),
		('034', '2', 'Fonte', 'Fonte', 0, 0, '', 0, '', '', '', 0, -6, 'SER', '', '', NULL),
		('034', '6', 'Collegamento', 'Collegamento', 0, 0, '', 0, '', '', '', 0, -6, 'SER', '', '', NULL),
		('034', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 0, '', '', '', 0, -6, 'SER', '', '', NULL),
		('034', 'a', 'Categoria della scala', 'Categoria della scala', 0, 0, '', 0, '', '', '', 0, -6, 'SER', '', '', NULL),
		('034', 'b', 'Rapporto costante (scala orizzontale)', 'Rapporto costante (scala orizzontale)', 1, 0, '', 0, '', '', '', 0, -6, 'SER', '', '', NULL),
		('034', 'c', 'Rapporto costante (scala verticale)', 'Rapporto costante (scala verticale)', 1, 0, '', 0, '', '', '', 0, -6, 'SER', '', '', NULL),
		('034', 'd', 'Coordinate--longitudine limite Ovest', 'Coordinate--longitudine limite Ovest', 0, 0, '', 0, '', '', '', 0, -6, 'SER', '', '', NULL),
		('034', 'e', 'Coordinate--longitudine limite Est', 'Coordinate--longitudine limite Est', 0, 0, '', 0, '', '', '', 0, -6, 'SER', '', '', NULL),
		('034', 'f', 'Coordinate--latitudine limite Nord', 'Coordinate--latitudine limite Nord', 0, 0, '', 0, '', '', '', 0, -6, 'SER', '', '', NULL),
		('034', 'g', 'Coordinate--latitudine limite Sud', 'Coordinate--latitudine limite Sud', 0, 0, '', 0, '', '', '', 0, -6, 'SER', '', '', NULL),
		('034', 'h', 'Scala angolare', 'Scala angolare', 1, 0, '', 0, '', '', '', 0, -6, 'SER', '', '', NULL),
		('034', 'j', 'Declinazione--limite Nord', 'Declinazione--limite Nord', 0, 0, '', 0, '', '', '', 0, -6, 'SER', '', '', NULL),
		('034', 'k', 'Declinazione--limite Sud', 'Declinazione--limite Sud', 0, 0, '', 0, '', '', '', 0, -6, 'SER', '', '', NULL),
		('034', 'm', 'Ascensione retta--limite Est', 'Ascensione retta--limite Est', 0, 0, '', 0, '', '', '', 0, -6, 'SER', '', '', NULL),
		('034', 'n', 'Ascensione retta--limite Ovest', 'Ascensione retta--limite Ovest', 0, 0, '', 0, '', '', '', 0, -6, 'SER', '', '', NULL),
		('034', 'p', 'Equinozio', 'Equinozio', 0, 0, '', 0, '', '', '', 0, -6, 'SER', '', '', NULL),
		('034', 'r', 'Coordinate--latitudine limite Sud', 'Coordinate--latitudine limite Sud', 0, 0, '', 0, '', '', '', 0, -6, 'SER', '', '', NULL),
		('034', 's', 'Latitudine del perimetro', 'Latitudine del perimetro', 1, 0, '', 0, '', '', '', 0, -6, 'SER', '', '', NULL),
		('034', 't', 'Longitudine del perimetro', 'Longitudine del perimetro', 1, 0, '', 0, '', '', '', 0, -6, 'SER', '', '', NULL),
		('034', 'x', 'Data d\'inizio', 'Data d\'inizio', 0, 0, '', 0, '', '', '', 0, -6, 'SER', '', '', NULL),
		('034', 'y', 'Data di fine', 'Data di fine', 0, 0, '', 0, '', '', '', 0, -6, 'SER', '', '', NULL),
		('034', 'z', 'Nome dell\'oggetto extraterrestre', 'Nome dell\'oggetto extraterrestre', 0, 0, '', 0, '', '', '', 0, -6, 'SER', '', '', NULL),
		('035', '6', 'Collegamento', 'Collegamento', 0, 0, '', 0, '', '', '', 0, -6, 'SER', '', '', NULL),
		('035', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 0, '', '', '', 0, -6, 'SER', '', '', NULL),
		('035', 'a', 'System control number', 'System control number', 0, 0, '', 0, '', '', '', 0, -6, 'SER', '', '', NULL),
		('035', 'z', 'Numero di controllo del sistema cancellato o errato', 'Numero di controllo del sistema cancellato o errato', 1, 0, '', 0, '', '', '', 0, -6, 'SER', '', '', NULL),
		('036', '6', 'Collegamento', 'Collegamento', 0, 0, '', 0, '', '', '', 0, -6, 'SER', '', '', NULL),
		('036', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 0, '', '', '', 0, -6, 'SER', '', '', NULL),
		('036', 'a', 'Numero dello studio originale', 'Numero dello studio originale', 0, 0, '', 0, '', '', '', 0, -6, 'SER', '', '', NULL),
		('036', 'b', 'Fonte (agenzia che assegna il numero)', 'Fonte (agenzia che assegna il numero)', 0, 0, '', 0, '', '', '', 0, -6, 'SER', '', '', NULL),
		('037', '6', 'Collegamento', 'Collegamento', 0, 0, '', 0, '', '', '', 0, -6, 'SER', '', '', NULL),
		('037', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 0, '', '', '', 0, -6, 'SER', '', '', NULL),
		('037', 'a', 'Numero di magazzino', 'Numero di magazzino', 0, 0, '', 0, '', '', '', 0, -1, 'SER', '', '', NULL),
		('037', 'b', 'Fonte del numero di magazzino/d\'acquisto', 'Fonte del numero di magazzino/d\'acquisto', 0, 0, '', 0, '', '', '', 0, -1, 'SER', '', '', NULL),
		('037', 'c', 'Termini di disponibilità', 'Termini di disponibilità', 1, 0, '', 0, '', '', '', 0, -1, 'SER', '', '', NULL),
		('037', 'f', 'Forma dell\'emissione', 'Forma dell\'emissione', 1, 0, '', 0, '', '', '', 0, -1, 'SER', '', '', NULL),
		('037', 'g', 'Caratteristiche addizionali di formato', 'Caratteristiche addizionali di formato', 1, 0, '', 0, '', '', '', 0, -1, 'SER', '', '', NULL),
		('037', 'n', 'Nota', 'Nota', 1, 0, '', 0, '', '', '', 0, -1, 'SER', '', '', NULL),
		('038', '6', 'Collegamento', 'Collegamento', 0, 0, '', 0, '', '', '', 0, -6, 'SER', '', '', NULL),
		('038', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 0, '', '', '', 0, -6, 'SER', '', '', NULL),
		('038', 'a', 'Organizzazione che dà licenza d’uso del contenuto della registrazione', 'Organizzazione che dà licenza d’uso del contenuto della registrazione', 0, 0, '', 0, '', '', '', 0, -6, 'SER', '', '', NULL),
		('039', 'a', 'Level of rules in bibliographic description', 'Level of rules in bibliographic description', 0, 0, '', 0, '', '', '', 0, -6, 'SER', '', '', NULL),
		('039', 'b', 'Level of effort used to assign nonsubject heading access points', 'Level of effort used to assign nonsubject heading access points', 0, 0, '', 0, '', '', '', 0, -6, 'SER', '', '', NULL),
		('039', 'c', 'Level of effort used to assign subject headings', 'Level of effort used to assign subject headings', 0, 0, '', 0, '', '', '', 0, -6, 'SER', '', '', NULL),
		('039', 'd', 'Level of effort used to assign classification', 'Level of effort used to assign classification', 0, 0, '', 0, '', '', '', 0, -6, 'SER', '', '', NULL),
		('039', 'e', 'Number of fixed field character positions coded', 'Number of fixed field character positions coded', 0, 0, '', 0, '', '', '', 0, -6, 'SER', '', '', NULL),
		('040', '6', 'Collegamento', 'Collegamento', 0, 0, '', 0, '', '', '', 0, -6, 'SER', '', '', NULL),
		('040', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 0, '', '', '', 0, -6, 'SER', '', '', NULL),
		('040', 'a', 'Agenzia catalografica originale', 'Agenzia catalografica originale', 0, 0, '', 0, '', '', '', 0, -1, 'SER', '', '', NULL),
		('040', 'b', 'Lingua della catalogazione', 'Lingua della catalogazione', 0, 0, '', 0, '', '', '', 0, -6, 'SER', '', '', NULL),
		('040', 'c', 'Agenzia che fa la trascrizione', 'Agenzia che fa la trascrizione', 0, 0, '', 0, '', '', '', 0, -1, 'SER', '', '', NULL),
		('040', 'd', 'Agenzia che fa la modifica', 'Agenzia che fa la modifica', 1, 0, '', 0, '', '', '', 0, -1, 'SER', '', '', NULL),
		('040', 'e', 'Regole di descrizione', 'Regole di descrizione', 0, 0, '', 0, '', '', '', 0, -1, 'SER', '', '', NULL),
		('041', '2', 'Fonte del codice', 'Fonte del codice', 0, 0, '', 0, '', '', '', 0, -6, 'SER', '', '', NULL),
		('041', '6', 'Collegamento', 'Collegamento', 0, 0, '', 0, '', '', '', 0, -6, 'SER', '', '', NULL),
		('041', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 0, '', '', '', 0, -6, 'SER', '', '', NULL),
		('041', 'a', 'Codice di lingua del testo/traccia sonora o titolo separato', 'Codice di lingua del testo/traccia sonora o titolo separato', 1, 0, '', 0, '', '', '', 0, -1, 'SER', '', '', NULL),
		('041', 'b', 'Codice di lingua del riassunto, estratto o sottotitoli', 'Codice di lingua del riassunto, estratto o sottotitoli', 1, 0, '', 0, '', '', '', 0, -6, 'SER', '', '', NULL),
		('041', 'c', 'Languages of separate titles (VM) [OBSOLETE] ; Languages of available translation  (SE) [OBSOLETE]', 'Languages of separate titles (VM) [OBSOLETE] ; Languages of available translation  (SE) [OBSOLETE]', 1, 0, '', 0, '', '', '', 0, -6, 'SER', '', '', NULL),
		('041', 'd', 'Codice della lingua del testo cantato o parlato', 'Codice della lingua del testo cantato o parlato', 1, 0, '', 0, '', '', '', 0, -6, 'SER', '', '', NULL),
		('041', 'e', 'Codice della lingua dei libretti', 'Codice della lingua dei libretti', 1, 0, '', 0, '', '', '', 0, -6, 'SER', '', '', NULL),
		('041', 'f', 'Codice della lingua del sommario', 'Codice della lingua del sommario', 1, 0, '', 0, '', '', '', 0, -6, 'SER', '', '', NULL),
		('041', 'g', 'Codice della lingua del materiale allegato diverso dai libretti', 'Codice della lingua del materiale allegato diverso dai libretti', 1, 0, '', 0, '', '', '', 0, -1, 'SER', '', '', NULL),
		('041', 'h', 'Codice della lingua originale e/o delle traduzioni intermedie del testo', 'Codice della lingua originale e/o delle traduzioni intermedie del testo', 1, 0, '', 0, '', '', '', 0, -1, 'SER', '', '', NULL),
		('042', 'a', 'Codice d\'autenticazione', 'Codice d\'autenticazione', 0, 0, '', 0, '', '', '', 0, -6, 'SER', '', '', NULL),
		('043', '2', 'Fonte del codice di sottoente locale', 'Fonte del codice di sottoente locale', 1, 0, '', 0, '', '', '', 0, -6, 'SER', '', '', NULL),
		('043', '6', 'Collegamento', 'Collegamento', 0, 0, '', 0, '', '', '', 0, -6, 'SER', '', '', NULL),
		('043', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 0, '', '', '', 0, -6, 'SER', '', '', NULL),
		('043', 'a', 'Codice dell\'area geografica', 'Codice dell\'area geografica', 1, 0, '', 0, '', '', '', 0, -6, 'SER', '', '', NULL),
		('043', 'b', 'Codice locale GAC (codice dell\'area geografica)', 'Codice locale GAC (codice dell\'area geografica)', 1, 0, '', 0, '', '', '', 0, -6, 'SER', '', '', NULL),
		('043', 'c', 'Codice ISO', 'Codice ISO', 1, 0, '', 0, '', '', '', 0, -6, 'SER', '', '', NULL),
		('044', '2', 'Fonte del codice di sottoente locale', 'Fonte del codice di sottoente locale', 1, 0, '', 0, '', '', '', 0, -6, 'SER', '', '', NULL),
		('044', '6', 'Collegamento', 'Collegamento', 0, 0, '', 0, '', '', '', 0, -6, 'SER', '', '', NULL),
		('044', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 0, '', '', '', 0, -6, 'SER', '', '', NULL),
		('044', 'a', 'Codice MARC del paese', 'Codice MARC del paese', 1, 0, '', 0, '', '', '', 0, -6, 'SER', '', '', NULL),
		('044', 'b', 'Codice di sottoente locale', 'Codice di sottoente locale', 1, 0, '', 0, '', '', '', 0, -6, 'SER', '', '', NULL),
		('044', 'c', 'Codice ISO del paese', 'Codice ISO del paese', 1, 0, '', 0, '', '', '', 0, -6, 'SER', '', '', NULL),
		('045', '6', 'Collegamento', 'Collegamento', 0, 0, '', 0, '', '', '', 0, -6, 'SER', '', '', NULL),
		('045', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 0, '', '', '', 0, -6, 'SER', '', '', NULL),
		('045', 'a', 'Codice di periodo di tempo', 'Codice di periodo di tempo', 1, 0, '', 0, '', '', '', 0, -6, 'SER', '', '', NULL),
		('045', 'b', 'Periodo di tempo formattato dal 9999 a.C. fino al 9999 d.C.', 'Periodo di tempo formattato dal 9999 a.C. fino al 9999 d.C.', 1, 0, '', 0, '', '', '', 0, -6, 'SER', '', '', NULL),
		('045', 'c', 'Periodo di tempo formattato anteriore al 9999 a.C.', 'Periodo di tempo formattato anteriore al 9999 a.C.', 1, 0, '', 0, '', '', '', 0, -6, 'SER', '', '', NULL),
		('046', '2', 'Fonte della data', 'Fonte della data', 0, 0, '', 0, '', '', '', 0, -6, 'SER', '', '', NULL),
		('046', '6', 'Collegamento', 'Collegamento', 0, 0, '', 0, '', '', '', 0, -6, 'SER', '', '', NULL),
		('046', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 0, '', '', '', 0, -6, 'SER', '', '', NULL),
		('046', 'a', 'Codice di tipo di data', 'Codice di tipo di data', 0, 0, '', 0, '', '', '', 0, -6, 'SER', '', '', NULL),
		('046', 'b', 'Data 1 (data a.C.)', 'Data 1 (data a.C.)', 0, 0, '', 0, '', '', '', 0, -6, 'SER', '', '', NULL),
		('046', 'c', 'Data 1 (data d.C.)', 'Data 1 (data d.C.)', 0, 0, '', 0, '', '', '', 0, -6, 'SER', '', '', NULL),
		('046', 'd', 'Data 2 (data a.C.)\',\'Data 2 (data a.C.)', 'Data 2 (data a.C.)\',\'Data 2 (data a.C.)', 0, 0, '', 0, '', '', '', 0, -6, 'SER', '', '', NULL),
		('046', 'e', 'Data 2 (data d.C.)', 'Data 2 (data d.C.)', 0, 0, '', 0, '', '', '', 0, -6, 'SER', '', '', NULL),
		('046', 'j', 'Data della modifica della risorsa', 'Data della modifica della risorsa', 0, 0, '', 0, '', '', '', 0, -6, 'SER', '', '', NULL),
		('046', 'k', 'Data iniziale di creazione o data semplice', 'Data iniziale di creazione o data semplice', 0, 0, '', 0, '', '', '', 0, -6, 'SER', '', '', NULL),
		('046', 'l', 'Data finale di creazione', 'Data finale di creazione', 0, 0, '', 0, '', '', '', 0, -6, 'SER', '', '', NULL),
		('046', 'm', 'Data iniziale di validità', 'Data iniziale di validità', 0, 0, '', 0, '', '', '', 0, -6, 'SER', '', '', NULL),
		('046', 'n', 'Data finale di validità', 'Data finale di validità', 0, 0, '', 0, '', '', '', 0, -6, 'SER', '', '', NULL),
		('047', '2', 'Fonte del codice', 'Fonte del codice', 0, 0, '', 0, '', '', '', 0, -6, 'SER', '', '', NULL),
		('047', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 0, '', '', '', 0, -6, 'SER', '', '', NULL),
		('047', 'a', 'Codice di forma della composizione musicale', 'Codice di forma della composizione musicale', 1, 0, '', 0, '', '', '', 0, -6, 'SER', '', '', NULL),
		('048', '2', 'Fonte del codice', 'Fonte del codice', 0, 0, '', 0, '', '', '', 0, -6, 'SER', '', '', NULL),
		('048', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 0, '', '', '', 0, -6, 'SER', '', '', NULL),
		('048', 'a', 'Esecutore o complesso', 'Esecutore o complesso', 1, 0, '', 0, '', '', '', 0, -6, 'SER', '', '', NULL),
		('048', 'b', 'Solista', 'Solista', 1, 0, '', 0, '', '', '', 0, -6, 'SER', '', '', NULL),
		('049', 'a', 'Holding library', 'Holding library', 1, 0, '', 0, '', '', '', 0, -6, 'SER', '', '', NULL),
		('049', 'c', 'Copy statement', 'Copy statement', 1, 0, '', 0, '', '', '', 0, -6, 'SER', '', '', NULL),
		('049', 'd', 'Definition of bibliographic subdivisions', 'Definition of bibliographic subdivisions', 1, 0, '', 0, '', '', '', 0, -6, 'SER', '', '', NULL),
		('049', 'l', 'Local processing data', 'Local processing data', 1, 0, '', 0, '', '', '', 0, -6, 'SER', '', '', NULL),
		('049', 'm', 'Missing elements', 'Missing elements', 1, 0, '', 0, '', '', '', 0, -6, 'SER', '', '', NULL),
		('049', 'n', 'Notes about holdings', 'Notes about holdings', 0, 0, '', 0, '', '', '', 0, -6, 'SER', '', '', NULL),
		('049', 'o', 'Local processing data', 'Local processing data', 1, 0, '', 0, '', '', '', 0, -6, 'SER', '', '', NULL),
		('049', 'p', 'Secondary bibliographic subdivision', 'Secondary bibliographic subdivision', 1, 0, '', 0, '', '', '', 0, -6, 'SER', '', '', NULL),
		('049', 'q', 'Third bibliographic subdivision', 'Third bibliographic subdivision', 1, 0, '', 0, '', '', '', 0, -6, 'SER', '', '', NULL),
		('049', 'r', 'Fourth bibliographic subdivision', 'Fourth bibliographic subdivision', 1, 0, '', 0, '', '', '', 0, -6, 'SER', '', '', NULL),
		('049', 's', 'Fifth bibliographic subdivision', 'Fifth bibliographic subdivision', 0, 0, '', 0, '', '', '', 0, -6, 'SER', '', '', NULL),
		('049', 't', 'Sixth bibliographic subdivision', 'Sixth bibliographic subdivision', 1, 0, '', 0, '', '', '', 0, -6, 'SER', '', '', NULL),
		('049', 'u', 'Seventh bibliographic subdivision', 'Seventh bibliographic subdivision', 1, 0, '', 0, '', '', '', 0, -6, 'SER', '', '', NULL),
		('049', 'v', 'Seventh bibliographic subdivision', 'Seventh bibliographic subdivision', 1, 0, '', 0, '', '', '', 0, -6, 'SER', '', '', NULL),
		('049', 'y', 'Inclusive dates of publication or coverage', 'Inclusive dates of publication or coverage', 0, 0, '', 0, '', '', '', 0, -6, 'SER', '', '', NULL),
		('050', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, '', 0, '', '', '', 0, -6, 'SER', '', '', NULL),
		('050', '6', 'Collegamento', 'Collegamento', 0, 0, '', 0, '', '', '', 0, -6, 'SER', '', '', NULL),
		('050', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 0, '', '', '', 0, -6, 'SER', '', '', NULL),
		('050', 'a', 'Numero di classificazione', 'Numero di classificazione', 1, 0, '', 0, '', '', '', 0, 0, 'SER', '', '', NULL),
		('050', 'b', 'Numero d\'item', 'Numero d\'item', 0, 0, '', 0, '', '', '', 0, 0, 'SER', '', '', NULL),
		('050', 'd', 'Supplementary class number (MU) [OBSOLETE]', 'Supplementary class number (MU) [OBSOLETE]', 0, 0, '', 0, '', '', '', 0, -6, 'SER', '', '', NULL),
		('051', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 0, '', '', '', 0, -6, 'SER', '', '', NULL),
		('051', 'a', 'Numero di classificazione', 'Numero di classificazione', 0, 0, '', 0, '', '', '', 0, -6, 'SER', '', '', NULL),
		('051', 'b', 'Numero d\'item', 'Numero d\'item', 0, 0, '', 0, '', '', '', 0, -6, 'SER', '', '', NULL),
		('051', 'c', 'Informazione dell\'esemplare', 'Informazione dell\'esemplare', 0, 0, '', 0, '', '', '', 0, -6, 'SER', '', '', NULL),
		('052', '2', 'Fonte del codice', 'Fonte del codice', 0, 0, '', 0, '', '', '', 0, -6, 'SER', '', '', NULL),
		('052', '6', 'Collegamento', 'Collegamento', 0, 0, '', 0, '', '', '', 0, -6, 'SER', '', '', NULL),
		('052', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 0, '', '', '', 0, -6, 'SER', '', '', NULL),
		('052', 'a', 'Codice di classificazione dell\'area geografica', 'Codice di classificazione dell\'area geografica', 0, 0, '', 0, '', '', '', 0, -6, 'SER', '', '', NULL),
		('052', 'b', 'Codice di classificazione della sottoarea geografica', 'Codice di classificazione della sottoarea geografica', 1, 0, '', 0, '', '', '', 0, -6, 'SER', '', '', NULL),
		('052', 'c', 'Subject (MP) [OBSOLETE]', 'Subject (MP) [OBSOLETE]', 0, 0, '', 0, '', '', '', 0, -6, 'SER', '', '', NULL),
		('052', 'd', 'Nome di luogo abitato', 'Nome di luogo abitato', 1, 0, '', 0, '', '', '', 0, -6, 'SER', '', '', NULL),
		('055', '2', 'Fonte del numero di chiamata/classe', 'Fonte del numero di chiamata/classe', 0, 0, '', 0, '', '', '', 0, -6, 'SER', '', '', NULL),
		('055', '6', 'Collegamento', 'Collegamento', 0, 0, '', 0, '', '', '', 0, -6, 'SER', '', '', NULL),
		('055', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 0, '', '', '', 0, -6, 'SER', '', '', NULL),
		('055', 'a', 'Numero di classificazione', 'Numero di classificazione', 0, 0, '', 0, '', '', '', 0, -6, 'SER', '', '', NULL),
		('055', 'b', 'Numero d\'item', 'Numero d\'item', 0, 0, '', 0, '', '', '', 0, -6, 'SER', '', '', NULL),
		('060', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 0, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('060', 'a', 'Numero di classificazione', 'Numero di classificazione', 1, 0, NULL, 0, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('060', 'b', 'Numero d\'item', 'Numero d\'item', 0, 0, NULL, 0, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('061', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 0, '', '', '', 0, -6, 'SER', '', '', NULL),
		('061', 'a', 'Numero di classificazione', 'Numero di classificazione', 1, 0, '', 0, '', '', '', 0, -6, 'SER', '', '', NULL),
		('061', 'b', 'Numero d\'item', 'Numero d\'item', 0, 0, '', 0, '', '', '', 0, -6, 'SER', '', '', NULL),
		('061', 'c', 'Informazione dell\'esemplare', 'Informazione dell\'esemplare', 0, 0, '', 0, '', '', '', 0, -6, 'SER', '', '', NULL),
		('066', 'a', 'Set di caratteri primario G0', 'Set di caratteri primario G0', 0, 0, NULL, 0, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('066', 'b', 'Set di caratteri primario G1', 'Set di caratteri primario G1', 0, 0, NULL, 0, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('066', 'c', 'Set di caratteri alternativo G0 o G1', 'Set di caratteri alternativo G0 o G1', 1, 0, NULL, 0, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('070', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 0, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('070', 'a', 'Numero di classificazione', 'Numero di classificazione', 1, 0, NULL, 0, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('070', 'b', 'Numero d\'item', 'Numero d\'item', 0, 0, NULL, 0, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('071', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 0, '', '', '', 0, -6, 'SER', '', '', NULL),
		('071', 'a', 'Numero di classificazione', 'Numero di classificazione', 1, 0, '', 0, '', '', '', 0, -6, 'SER', '', '', NULL),
		('071', 'b', 'Numero d\'item', 'Numero d\'item', 0, 0, '', 0, '', '', '', 0, -6, 'SER', '', '', NULL),
		('071', 'c', 'Informazione dell\'esemplare', 'Informazione dell\'esemplare', 0, 0, '', 0, '', '', '', 0, -6, 'SER', '', '', NULL),
		('072', '2', 'Fonte', 'Fonte', 0, 0, NULL, 0, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('072', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 0, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('072', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 0, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('072', 'a', 'Codice di categoria di soggetto', 'Codice di categoria di soggetto', 0, 0, NULL, 0, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('072', 'x', 'Suddivisione del codice di categoria di soggetto', 'Suddivisione del codice di categoria di soggetto', 1, 0, NULL, 0, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('074', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 0, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('074', 'a', 'Numero GPO dell\'item', 'Numero GPO dell\'item', 0, 0, NULL, 0, NULL, NULL, '', NULL, -1, 'SER', '', '', NULL),
		('074', 'z', 'Numero GPO dell\'item cancellato/errato', 'Numero GPO dell\'item cancellato/errato', 1, 0, NULL, 0, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('080', '2', 'Numero dell\'edizione', 'Numero dell\'edizione', 0, 0, NULL, 0, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('080', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 0, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('080', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 0, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('080', 'a', 'Numero di Classificazione decimale universale', 'Numero di Classificazione decimale universale', 0, 0, NULL, 0, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('080', 'b', 'Numero d\'item', 'Numero d\'item', 0, 0, NULL, 0, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('080', 'x', 'Suddivisione ausiliare comune', 'Suddivisione ausiliare comune', 1, 0, NULL, 0, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('082', '2', 'Numero dell\'edizione', 'Numero dell\'edizione', 0, 0, '', 0, '', '', '', NULL, 0, 'SER', '', '', NULL),
		('082', '6', 'Collegamento', 'Collegamento', 0, 0, '', 0, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('082', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 0, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('082', 'a', 'Numero di classificazione', 'Numero di classificazione', 1, 0, '', 0, '', '', '', NULL, 0, 'SER', '', '', NULL),
		('082', 'b', 'Numero d\'item', 'Numero d\'item', 0, 0, '', 0, '', '', '', NULL, 0, 'SER', '', '', NULL),
		('084', '2', 'Fonte del numero', 'Fonte del numero', 0, 0, NULL, 0, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('084', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 0, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('084', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 0, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('084', 'a', 'Numero di classificazione', 'Numero di classificazione', 1, 0, NULL, 0, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('084', 'b', 'Numero d\'item', 'Numero d\'item', 0, 0, NULL, 0, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('086', '2', 'Fonte del numero', 'Fonte del numero', 0, 0, NULL, 0, NULL, NULL, '', NULL, -1, 'SER', '', '', NULL),
		('086', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 0, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('086', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 0, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('086', 'a', 'Numero di classificazione', 'Numero di classificazione', 0, 0, NULL, 0, NULL, NULL, '', NULL, -1, 'SER', '', '', NULL),
		('086', 'z', 'Numero di classificazione cancellato/errato', 'Numero di classificazione cancellato/errato', 1, 0, NULL, 0, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('087', 'a', 'Report number [OBSOLETE, CAN/MARC]', 'Report number [OBSOLETE, CAN/MARC]', 0, 0, '', 0, '', '', '', 0, -6, 'SER', '', '', NULL),
		('087', 'z', 'Canceled/invalid report number [OBSOLETE, CAN/MARC]', 'Canceled/invalid report number [OBSOLETE, CAN/MARC]', 1, 0, '', 0, '', '', '', 0, -6, 'SER', '', '', NULL),
		('088', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 0, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('088', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 0, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('088', 'a', 'Numero di rapporto', 'Numero di rapporto', 0, 0, NULL, 0, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('088', 'z', 'Numero di rapporto cancellato/errato', 'Numero di rapporto cancellato/errato', 1, 0, NULL, 0, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('090', 'a', 'Classification number (OCLC) (R) ; Classification number, CALL (RLIN) (NR)', 'Classification number (OCLC) (R) ; Classification number, CALL (RLIN) (NR)', 1, 0, '', 0, '', '', '', 0, -6, 'SER', '', '', NULL),
		('090', 'b', 'Local cutter number (OCLC) ; Book number/undivided call number, CALL (RLIN)', 'Local cutter number (OCLC) ; Book number/undivided call number, CALL (RLIN)', 0, 0, '', 0, '', '', '', 0, -6, 'SER', '', '', NULL),
		('090', 'e', 'Feature heading (OCLC)', 'Feature heading (OCLC)', 0, 0, '', 0, '', '', '', 0, 5, 'SER', '', '', NULL),
		('090', 'f', 'Filing suffix (OCLC); Footnote, FNT (RLIN)', 'Filing suffix (OCLC); Footnote, FNT (RLIN)', 0, 0, '', 0, '', '', '', 0, 5, 'SER', '', '', NULL),
		('090', 'h', 'Output transaction history, HST (RLIN)', 'Output transaction history, HST (RLIN)', 0, 0, '', 0, '', '', '', 0, 5, 'SER', '', '', NULL),
		('090', 'i', 'Output transaction instruction, INS (RLIN)', 'Output transaction instruction, INS (RLIN)', 0, 0, '', 0, '', '', '', 0, 5, 'SER', '', '', NULL),
		('090', 'l', 'Extra card control statement, EXT (RLIN)', 'Extra card control statement, EXT (RLIN)', 0, 0, '', 0, '', '', '', 0, 5, 'SER', '', '', NULL),
		('090', 'n', 'Additional local notes, ANT (RLIN)', 'Additional local notes, ANT (RLIN)', 0, 0, '', 0, '', '', '', 0, 5, 'SER', '', '', NULL),
		('090', 'p', 'Pathfinder code, PTH (RLIN)', 'Pathfinder code, PTH (RLIN)', 0, 0, '', 0, '', '', '', 0, 5, 'SER', '', '', NULL),
		('090', 't', 'Field suppresion, FSP (RLIN)', 'Field suppresion, FSP (RLIN)', 0, 0, '', 0, '', '', '', 0, 5, 'SER', '', '', NULL),
		('090', 'v', 'Volumes, VOL (RLIN)', 'Volumes, VOL (RLIN)', 0, 0, '', 0, '', '', '', 0, 5, 'SER', '', '', NULL),
		('090', 'y', 'Date, VOL (RLIN)', 'Date, VOL (RLIN)', 0, 0, '', 0, '', '', '', 0, 5, 'SER', '', '', NULL),
		('090', 'z', 'Retention, VOL (RLIN)', 'Retention, VOL (RLIN)', 0, 0, '', 0, '', '', '', 0, 5, 'SER', '', '', NULL),
		('091', 'a', 'Microfilm shelf location', 'Microfilm shelf location', 0, 0, '', 0, '', '', '', 0, -6, 'SER', '', '', NULL),
		('092', '2', 'Numero dell\'edizione', 'Numero dell\'edizione', 0, 0, '', 0, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('092', 'a', 'Numero di classificazione', 'Numero di classificazione', 0, 0, '', 0, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('092', 'b', 'Numero d\'item', 'Numero d\'item', 0, 0, '', 0, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('092', 'e', 'Feature heading', 'Feature heading', 0, 0, '', 0, '', '', '', 0, -6, 'SER', '', '', NULL),
		('092', 'f', 'Filing suffix', 'Filing suffix', 0, 0, '', 0, '', '', '', 0, -6, 'SER', '', '', NULL),
		('096', 'a', 'Numero di classificazione', 'Numero di classificazione', 0, 0, '', 0, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('096', 'b', 'Numero d\'item', 'Numero d\'item', 0, 0, '', 0, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('096', 'e', 'Feature heading', 'Feature heading', 0, 0, '', 0, '', '', '', 0, -6, 'SER', '', '', NULL),
		('096', 'f', 'Filing suffix', 'Filing suffix', 0, 0, '', 0, '', '', '', 0, -6, 'SER', '', '', NULL),
		('098', 'a', 'Call number based on other classification scheme', 'Call number based on other classification scheme', 0, 0, '', 0, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('098', 'e', 'Feature heading', 'Feature heading', 0, 0, '', 0, '', '', '', 0, -6, 'SER', '', '', NULL),
		('098', 'f', 'Filing suffix', 'Filing suffix', 0, 0, '', 0, '', '', '', 0, -6, 'SER', '', '', NULL),
		('099', 'a', 'Numero di classificazione', 'Numero di classificazione', 1, 0, '', 0, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('099', 'e', 'Feature heading', 'Feature heading', 0, 0, '', 0, '', '', '', 0, -6, 'SER', '', '', NULL),
		('099', 'f', 'Filing suffix', 'Filing suffix', 0, 0, '', 0, '', '', '', 0, -6, 'SER', '', '', NULL),
		('100', '4', 'Codice di ruolo', 'Codice di ruolo', 1, 0, '', 1, '', '', '', 0, -6, 'SER', '', '', NULL),
		('100', '6', 'Collegamento', 'Collegamento', 0, 0, '', 1, '', '', '', 0, -6, 'SER', '', '', NULL),
		('100', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 1, '', '', '', 0, -6, 'SER', '', '', NULL),
		('100', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 1, '', '', '', 0, 0, 'SER', '', '', NULL),
		('100', 'a', 'Nome di persona', 'Nome di persona', 0, 0, 'biblio.author', 1, '', 'PERSO_NAME', '', 0, -1, 'SER', '''100b'',''100c'',''100q'',''100d'',''100e'',''110a'',''110b'',''110c'',''110d'',''110e'',''111a'',''111e'',''111c'',''111d'',''130a'',''700a'',''700b'',''700c'',''700q'',''700d'',''700e'',''710a'',''710b'',''710c'',''710d'',''710e'',''711a'',''711e'',''711c'',''711d'',''720a'',''720e'',''796a'',''796b'',''796c'',''796q'',''796d'',''796e'',''797a'',''797b'',''797c'',''797d'',''797e'',''798a'',''798e'',''798c'',''798d'',''800a'',''800b'',''800c'',''800q'',''800d'',''800e'',''810a'',''810b'',''810c'',''810d'',''810e'',''811a'',''811e'',''811c'',''811d'',''896a'',''896b'',''896c'',''896q'',''896d'',''896e'',''897a'',''897b'',''897c'',''897d'',''897e'',''898a'',''898e'',''898c'',''898d'',''505r''', '', NULL),
		('100', 'b', 'Numerazione', 'Numerazione', 0, 0, '', 1, '', '', '', 0, -1, 'SER', '', '', NULL),
		('100', 'c', 'Titoli e altre parole associate al nome', 'Titoli e altre parole associate al nome', 1, 0, '', 1, '', '', '', 0, -1, 'SER', '', '', NULL),
		('100', 'd', 'Date associate al nome', 'Date associate al nome', 0, 0, '', 1, '', '', '', 0, -1, 'SER', '', '', NULL),
		('100', 'e', 'Termine di ruolo', 'Termine di ruolo', 1, 0, '', 1, '', '', '', 0, -1, 'SER', '', '', NULL),
		('100', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, '', 1, '', '', '', 0, -6, 'SER', '', '', NULL),
		('100', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, '', 1, '', '', '', 0, -6, 'SER', '', '', NULL),
		('100', 'j', 'Qualificazione d\'attribuzione', 'Qualificazione d\'attribuzione', 1, 0, '', 1, '', '', '', 0, -6, 'SER', '', '', NULL),
		('100', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, '', 1, '', '', '', 0, -6, 'SER', '', '', NULL),
		('100', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, '', 1, '', '', '', 0, -6, 'SER', '', '', NULL),
		('100', 'n', 'Numero di parte/sezione dell\'opera', 'Numero di parte/sezione dell\'opera', 1, 0, '', 1, '', '', '', 0, -6, 'SER', '', '', NULL),
		('100', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, '', 1, '', '', '', 0, -6, 'SER', '', '', NULL),
		('100', 'q', 'Forma completa del nome', 'Forma completa del nome', 0, 0, '', 1, '', '', '', 0, -1, 'SER', '', '', NULL),
		('100', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, '', 1, '', '', '', 0, -6, 'SER', '', '', NULL),
		('100', 'u', 'Affiliazione', 'Affiliazione', 0, 0, '', 1, '', '', '', 0, -6, 'SER', '', '', NULL),
		('110', '4', 'Codice di ruolo', 'Codice di ruolo', 1, 0, '', 1, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('110', '6', 'Collegamento', 'Collegamento', 0, 0, '', 1, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('110', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 1, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('110', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 1, '', '', '', 0, -5, 'SER', '', '', NULL),
		('110', 'a', 'Nome dell\'ente o nome della giurisdizione come accesso', 'Nome dell\'ente o nome della giurisdizione come accesso', 0, 0, '', 1, '', 'CORPO_NAME', '', NULL, -1, 'SER', '', '', NULL),
		('110', 'b', 'Unità subordinata', 'Unità subordinata', 1, 0, '', 1, '', '', '', NULL, -1, 'SER', '', '', NULL),
		('110', 'c', 'Luogo del convegno', 'Luogo del convegno', 0, 0, '', 1, '', '', '', NULL, -1, 'SER', '', '', NULL),
		('110', 'd', 'Data del convegno o di firma del trattato', 'Data del convegno o di firma del trattato', 1, 0, '', 1, '', '', '', NULL, -1, 'SER', '', '', NULL),
		('110', 'e', 'Termine di ruolo', 'Termine di ruolo', 1, 0, '', 1, '', '', '', NULL, -1, 'SER', '', '', NULL),
		('110', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, '', 1, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('110', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, '', 1, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('110', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, '', 1, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('110', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, '', 1, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('110', 'n', 'Numero di parte/sezione/convegno', 'Numero di parte/sezione/convegno', 1, 0, '', 1, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('110', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, '', 1, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('110', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, '', 1, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('110', 'u', 'Affiliazione', 'Affiliazione', 0, 0, '', 1, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('111', '4', 'Codice di ruolo', 'Codice di ruolo', 1, 0, NULL, 1, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('111', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 1, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('111', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 1, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('111', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 1, '', '', '', 0, -5, 'SER', '', '', NULL),
		('111', 'a', 'Nome del convegno o nome della giurisdizione come accesso', 'Nome del convegno o nome della giurisdizione come accesso', 0, 0, NULL, 1, NULL, 'MEETI_NAME', '', NULL, -1, 'SER', '', '', NULL),
		('111', 'b', 'Number [OBSOLETE]', 'Number [OBSOLETE]', 0, 0, NULL, 1, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('111', 'c', 'Luogo del convegno', 'Luogo del convegno', 0, 0, NULL, 1, NULL, NULL, '', NULL, -1, 'SER', '', '', NULL),
		('111', 'd', 'Data del convegno', 'Data del convegno', 0, 0, NULL, 1, NULL, NULL, '', NULL, -1, 'SER', '', '', NULL),
		('111', 'e', 'Unità subordinata', 'Unità subordinata', 1, 0, NULL, 1, NULL, NULL, '', NULL, -1, 'SER', '', '', NULL),
		('111', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, NULL, 1, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('111', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, NULL, 1, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('111', 'j', 'Termine di ruolo', 'Termine di ruolo', 1, 0, NULL, 1, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('111', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, NULL, 1, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('111', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, NULL, 1, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('111', 'n', 'Numero di parte/sezione/convegno', 'Numero di parte/sezione/convegno', 1, 0, NULL, 1, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('111', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, NULL, 1, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('111', 'q', 'Nome del convegno dopo accesso di nome della giurisdizione', 'Nome del convegno dopo accesso di nome della giurisdizione', 0, 0, NULL, 1, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('111', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, NULL, 1, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('111', 'u', 'Affiliazione', 'Affiliazione', 0, 0, NULL, 1, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('130', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 1, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('130', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 1, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('130', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 1, '', '', '', 0, -5, 'SER', '', '', NULL),
		('130', 'a', 'Titolo uniforme', 'Titolo uniforme', 0, 0, NULL, 1, NULL, 'UNIF_TITLE', '', NULL, -6, 'SER', '', '', NULL),
		('130', 'd', 'Data di firma del trattato', 'Data di firma del trattato', 1, 0, NULL, 1, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('130', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, NULL, 1, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('130', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, NULL, 1, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('130', 'h', 'Supporto', 'Supporto', 0, 0, NULL, 1, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('130', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, NULL, 1, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('130', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, NULL, 1, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('130', 'm', 'Mezzo di esecuzione per la musica', 'Mezzo di esecuzione per la musica', 1, 0, NULL, 1, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('130', 'n', 'Numero di parte/sezione dell\'opera', 'Numero di parte/sezione dell\'opera', 1, 0, NULL, 1, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('130', 'o', 'Formulazione d\'arrangiamento per la musica', 'Formulazione d\'arrangiamento per la musica', 0, 0, NULL, 1, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('130', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, NULL, 1, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('130', 'r', 'Tonalità (musica)', 'Tonalità (musica)', 0, 0, NULL, 1, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('130', 's', 'Versione', 'Versione', 0, 0, NULL, 1, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('130', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, NULL, 1, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('210', '2', 'Fonte', 'Fonte', 1, 0, NULL, 2, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('210', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 2, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('210', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 2, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('210', 'a', 'Titolo abbreviato', 'Titolo abbreviato', 0, 0, NULL, 2, NULL, NULL, '', NULL, -1, 'SER', '', '', NULL),
		('210', 'b', 'Qualificazione', 'Qualificazione', 0, 0, NULL, 2, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('211', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 2, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('211', 'a', 'Acronym or shortened title', 'Acronym or shortened title', 0, 0, NULL, 2, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('212', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 2, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('212', 'a', 'Acronym or shortened title', 'Acronym or shortened title', 0, 0, NULL, 2, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('214', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 2, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('214', 'a', 'Augmented title', 'Augmented title', 0, 0, NULL, 2, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('222', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 2, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('222', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 2, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('222', 'a', 'Titolo chiave', 'Titolo chiave', 0, 0, NULL, 2, NULL, NULL, '', NULL, -1, 'SER', '', '', NULL),
		('222', 'b', 'Qualificazione', 'Qualificazione', 0, 0, NULL, 2, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('240', '6', 'Collegamento', 'Collegamento', 0, 0, '', 2, '', '', '', 0, -6, 'SER', '', '', NULL),
		('240', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 2, '', '', '', 0, -6, 'SER', '', '', NULL),
		('240', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 2, '', '', '', 0, -5, 'SER', '', '', NULL),
		('240', 'a', 'Titolo uniforme', 'Titolo uniforme', 0, 0, 'biblio.unititle', 2, '', '', '', 0, -1, 'SER', '', '', NULL),
		('240', 'd', 'Data di firma del trattato', 'Data di firma del trattato', 1, 0, '', 2, '', '', '', 0, -6, 'SER', '', '', NULL),
		('240', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, '', 2, '', '', '', 0, -6, 'SER', '', '', NULL),
		('240', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, '', 2, '', '', '', 0, -6, 'SER', '', '', NULL),
		('240', 'h', 'Supporto', 'Supporto', 0, 0, '', 2, '', '', '', 0, -1, 'SER', '', '', NULL),
		('240', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, '', 2, '', '', '', 0, -6, 'SER', '', '', NULL),
		('240', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, '', 2, '', '', '', 0, -1, 'SER', '', '', NULL),
		('240', 'm', 'Mezzo di esecuzione per la musica', 'Mezzo di esecuzione per la musica', 1, 0, '', 2, '', '', '', 0, -6, 'SER', '', '', NULL),
		('240', 'n', 'Numero di parte/sezione dell\'opera', 'Numero di parte/sezione dell\'opera', 1, 0, '', 2, '', '', '', 0, -6, 'SER', '', '', NULL),
		('240', 'o', 'Formulazione d\'arrangiamento per la musica', 'Formulazione d\'arrangiamento per la musica', 0, 0, '', 2, '', '', '', 0, -6, 'SER', '', '', NULL),
		('240', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, '', 2, '', '', '', 0, -6, 'SER', '', '', NULL),
		('240', 'r', 'Tonalità (musica)', 'Tonalità (musica)', 0, 0, '', 2, '', '', '', 0, -6, 'SER', '', '', NULL),
		('240', 's', 'Versione', 'Versione', 0, 0, '', 2, '', '', '', 0, -1, 'SER', '', '', NULL),
		('241', 'a', 'Romanized title', 'Romanized title', 0, 0, NULL, 2, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('241', 'h', 'Supporto', 'Supporto', 0, 0, NULL, 2, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('242', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 2, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('242', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 2, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('242', 'a', 'Titolo', 'Titolo', 0, 0, NULL, 2, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('242', 'b', 'Complemento del titolo', 'Complemento del titolo', 0, 0, NULL, 2, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('242', 'c', 'Formulazione di responsabilità, ecc.', 'Formulazione di responsabilità, ecc.', 0, 0, NULL, 2, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('242', 'd', 'Designation of section (BK AM MP MU VM SE) [OBSOLETE]', 'Designation of section (BK AM MP MU VM SE) [OBSOLETE]', 0, 0, '', 2, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('242', 'e', 'Name of part/section (BK AM MP MU VM SE) [OBSOLETE]', 'Name of part/section (BK AM MP MU VM SE) [OBSOLETE]', 0, 0, '', 2, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('242', 'h', 'Supporto', 'Supporto', 0, 0, NULL, 2, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('242', 'n', 'Numero di parte/sezione dell\'opera', 'Numero di parte/sezione dell\'opera', 1, 0, NULL, 2, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('242', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, NULL, 2, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('242', 'y', 'Codice di lingua del titolo tradotto', 'Codice di lingua del titolo tradotto', 0, 0, NULL, 2, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('243', '6', 'Collegamento', 'Collegamento', 0, 0, '', 2, '', '', '', 0, -6, 'SER', '', '', NULL),
		('243', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 2, '', '', '', 0, -6, 'SER', '', '', NULL),
		('243', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 2, '', '', '', 0, -5, 'SER', '', '', NULL),
		('243', 'a', 'Titolo uniforme', 'Titolo uniforme', 0, 0, '', 2, '', '', '', 1, -1, 'SER', '', '', NULL),
		('243', 'd', 'Data di firma del trattato', 'Data di firma del trattato', 1, 0, '', 2, '', '', '', 0, -6, 'SER', '', '', NULL),
		('243', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, '', 2, '', '', '', 0, -6, 'SER', '', '', NULL),
		('243', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, '', 2, '', '', '', 0, -6, 'SER', '', '', NULL),
		('243', 'h', 'Supporto', 'Supporto', 0, 0, '', 2, '', '', '', 0, -1, 'SER', '', '', NULL),
		('243', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, '', 2, '', '', '', 0, -6, 'SER', '', '', NULL),
		('243', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, '', 2, '', '', '', 0, -1, 'SER', '', '', NULL),
		('243', 'm', 'Mezzo di esecuzione per la musica', 'Mezzo di esecuzione per la musica', 1, 0, '', 2, '', '', '', 0, -6, 'SER', '', '', NULL),
		('243', 'n', 'Numero di parte/sezione dell\'opera', 'Numero di parte/sezione dell\'opera', 1, 0, '', 2, '', '', '', 0, -6, 'SER', '', '', NULL),
		('243', 'o', 'Formulazione d\'arrangiamento per la musica', 'Formulazione d\'arrangiamento per la musica', 0, 0, '', 2, '', '', '', 0, -6, 'SER', '', '', NULL),
		('243', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, '', 2, '', '', '', 0, -6, 'SER', '', '', NULL),
		('243', 'r', 'Tonalità (musica)', 'Tonalità (musica)', 0, 0, '', 2, '', '', '', 0, -6, 'SER', '', '', NULL),
		('243', 's', 'Versione', 'Versione', 0, 0, '', 2, '', '', '', 0, -1, 'SER', '', '', NULL),
		('245', '6', 'Collegamento', 'Collegamento', 0, 0, '', 2, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('245', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 2, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('245', 'a', 'Titolo', 'Titolo', 0, 1, 'biblio.title', 2, '', '', '', NULL, 0, 'SER', '''245b'',''245f'',''245g'',''245k'',''245n'',''245p'',''245s'',''245h'',''246i'',''246a'',''246b'',''246f'',''246g'',''246n'',''246p'',''246h'',''242a'',''242b'',''242n'',''242p'',''242h''', '', NULL),
		('245', 'b', 'Complemento del titolo', 'Complemento del titolo', 0, 0, 'bibliosubtitle.subtitle', 2, '', '', '', NULL, 0, 'SER', '', '', NULL),
		('245', 'c', 'Formulazione di responsabilità, ecc.', 'Formulazione di responsabilità, ecc.', 0, 0, '', 2, '', '', '', NULL, 0, 'SER', '', '', NULL),
		('245', 'd', 'Designation of section/part/series (SE) [OBSOLETE]', 'Designation of section/part/series (SE) [OBSOLETE]', 0, 0, '', 2, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('245', 'e', 'Name of part/section/series (SE) [OBSOLETE]', 'Name of part/section/series (SE) [OBSOLETE]', 0, 0, '', 2, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('245', 'f', 'Date inclusive', 'Date inclusive', 0, 0, '', 2, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('245', 'g', 'Date preponderanti', 'Date preponderanti', 0, 0, '', 2, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('245', 'h', 'Supporto', 'Supporto', 0, 0, '', 2, '', '', '', NULL, -1, 'SER', '', '', NULL),
		('245', 'k', 'Forma', 'Forma', 1, 0, '', 2, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('245', 'n', 'Numero di parte/sezione dell\'opera', 'Numero di parte/sezione dell\'opera', 1, 0, '', 2, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('245', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, '', 2, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('245', 's', 'Versione', 'Versione', 0, 0, '', 2, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('246', '5', 'Istituzione a cui si applica il campo', 'Istituzione a cui si applica il campo', 0, 0, '', 2, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('246', '6', 'Collegamento', 'Collegamento', 0, 0, '', 2, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('246', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 2, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('246', 'a', 'Titolo proprio/titolo breve', 'Titolo proprio/titolo breve', 0, 0, '', 2, '', '', '', NULL, -1, 'SER', '', '', NULL),
		('246', 'b', 'Complemento del titolo', 'Complemento del titolo', 0, 0, '', 2, '', '', '', NULL, -1, 'SER', '', '', NULL),
		('246', 'd', 'Designation of section/part/series (SE) [OBSOLETE]', 'Designation of section/part/series (SE) [OBSOLETE]', 0, 0, '', 2, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('246', 'e', 'Name of part/section/series (SE) [OBSOLETE]', 'Name of part/section/series (SE) [OBSOLETE]', 0, 0, '', 2, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('246', 'f', 'Data o designazione sequenziale', 'Data o designazione sequenziale', 0, 0, '', 2, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('246', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, '', 2, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('246', 'h', 'Supporto', 'Supporto', 0, 0, '', 2, '', '', '', NULL, -1, 'SER', '', '', NULL),
		('246', 'i', 'Testo da visualizzare', 'Testo da visualizzare', 0, 0, '', 2, '', '', '', NULL, -1, 'SER', '', '', NULL),
		('246', 'n', 'Numero di parte/sezione dell\'opera', 'Numero di parte/sezione dell\'opera', 1, 0, '', 2, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('246', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, '', 2, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('247', '6', 'Collegamento', 'Collegamento', 0, 0, '', 2, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('247', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 2, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('247', 'a', 'Titolo', 'Titolo', 0, 0, '', 2, '', '', '', NULL, -1, 'SER', '', '', NULL),
		('247', 'b', 'Complemento del titolo', 'Complemento del titolo', 0, 0, '', 2, '', '', '', NULL, -1, 'SER', '', '', NULL),
		('247', 'd', 'Designation of section (SE) [OBSOLETE]', 'Designation of section (SE) [OBSOLETE]', 0, 0, '', 2, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('247', 'e', 'Name of part/section (SE) [OBSOLETE]', 'Name of part/section (SE) [OBSOLETE]', 0, 0, '', 2, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('247', 'f', 'Data o designazione sequenziale', 'Data o designazione sequenziale', 0, 0, '', 2, '', '', '', NULL, -1, 'SER', '', '', NULL),
		('247', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, '', 2, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('247', 'h', 'Supporto', 'Supporto', 0, 0, '', 2, '', '', '', NULL, -1, 'SER', '', '', NULL),
		('247', 'n', 'Numero di parte/sezione dell\'opera', 'Numero di parte/sezione dell\'opera', 1, 0, '', 2, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('247', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, '', 2, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('247', 'x', 'ISSN (International Standard Serial Number)', 'ISSN (International Standard Serial Number)', 0, 0, '', 2, '', '', '', NULL, -1, 'SER', '', '', NULL),
		('250', '6', 'Collegamento', 'Collegamento', 0, 0, '', 2, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('250', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 2, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('250', 'a', 'Formulazione di edizione', 'Formulazione di edizione', 0, 0, 'biblioitems.editionstatement', 2, '', '', '', NULL, -1, 'SER', '', '', NULL),
		('250', 'b', 'Restante parte della formulazione di edizione', 'Restante parte della formulazione di edizione', 0, 0, '', 2, '', '', '', NULL, -1, 'SER', '', '', NULL),
		('254', '6', 'Collegamento', 'Collegamento', 0, 0, '', 2, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('254', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 2, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('254', 'a', 'Formulazione della presentazione musicale', 'Formulazione della presentazione musicale', 0, 0, '', 2, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('255', '6', 'Collegamento', 'Collegamento', 0, 0, '', 2, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('255', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 2, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('255', 'a', 'Formulazione di scala', 'Formulazione di scala', 1, 0, '', 2, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('255', 'b', 'Formulazione di proiezione', 'Formulazione di proiezione', 1, 0, '', 2, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('255', 'c', 'Formulazione di coordinate', 'Formulazione di coordinate', 1, 0, '', 2, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('255', 'd', 'Formulazione di zona', 'Formulazione di zona', 0, 0, '', 2, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('255', 'e', 'Formulazione di equinozio', 'Formulazione di equinozio', 0, 0, '', 2, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('255', 'f', 'Coppie di coordinate d\'inclusione del perimetro', 'Coppie di coordinate d\'inclusione del perimetro', 0, 0, '', 2, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('255', 'g', 'Coppie di coordinate di esclusione del perimetro', 'Coppie di coordinate di esclusione del perimetro', 0, 0, '', 2, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('256', '6', 'Collegamento', 'Collegamento', 0, 0, '', 2, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('256', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 2, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('256', 'a', 'Caratteristiche del computer file', 'Caratteristiche del computer file', 0, 0, '', 2, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('257', '6', 'Collegamento', 'Collegamento', 0, 0, '', 2, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('257', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 2, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('257', 'a', 'Paese dell\'ente produttore', 'Paese dell\'ente produttore', 0, 0, '', 2, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('258', '6', 'Collegamento', 'Collegamento', 0, 0, '', 2, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('258', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 2, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('258', 'a', 'Giurisdizione dell\'emissione', 'Giurisdizione dell\'emissione', 0, 0, '', 2, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('258', 'b', 'Valore facciale', 'Valore facciale', 0, 0, '', 2, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('260', '6', 'Collegamento', 'Collegamento', 0, 0, '', 2, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('260', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 2, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('260', 'a', 'Luogo di pubblicazione, distribuzione, ecc.', 'Luogo di pubblicazione, distribuzione, ecc.', 1, 0, 'biblioitems.place', 2, '', '', '', NULL, 0, 'SER', '', '', NULL),
		('260', 'b', 'Nome dell\'editore, distributore, ecc.', 'Nome dell\'editore, distributore, ecc.', 1, 0, 'biblioitems.publishercode', 2, '', '', '', NULL, 0, 'SER', '', '', NULL),
		('260', 'c', 'Data di pubblicazione, distribuzione, ecc.', 'Data di pubblicazione, distribuzione, ecc.', 1, 0, 'biblio.copyrightdate', 2, '', '', '', NULL, 0, 'SER', '', '', NULL),
		('260', 'd', 'Plate or publisher\'s number for music (Pre-AACR 2) [OBSOLETE, CAN/MARC], [LOCAL, USA]', 'Plate or publisher\'s number for music (Pre-AACR 2) [OBSOLETE, CAN/MARC], [LOCAL, USA]', 0, 0, '', 2, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('260', 'e', 'Luogo di stampa', 'Luogo di stampa', 1, 0, '', 2, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('260', 'f', 'Stampatore', 'Stampatore', 1, 0, '', 2, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('260', 'g', 'Data di stampa', 'Data di stampa', 0, 0, '', 2, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('260', 'k', 'Identification/manufacturer number [OBSOLETE, CAN/MARC]', 'Identification/manufacturer number [OBSOLETE, CAN/MARC]', 0, 0, '', 2, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('260', 'l', 'Matrix and/or take number [OBSOLETE, CAN/MARC]', 'Matrix and/or take number [OBSOLETE, CAN/MARC]', 0, 0, '', 2, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('261', '6', 'Collegamento', 'Collegamento', 0, 0, '', 2, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('261', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 2, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('261', 'a', 'Producing company', 'Producing company', 1, 0, '', 2, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('261', 'b', 'Releasing company (primary distributor)', 'Releasing company (primary distributor)', 1, 0, '', 2, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('261', 'c', 'Date of production, release, etc.', 'Date of production, release, etc.', 1, 0, '', 2, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('261', 'd', 'Date of production, release, etc.', 'Date of production, release, etc.', 1, 0, '', 2, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('261', 'e', 'Contractual producer', 'Contractual producer', 1, 0, '', 2, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('261', 'f', 'Place of production, release, etc.', 'Place of production, release, etc.', 1, 0, '', 2, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('262', '6', 'Collegamento', 'Collegamento', 0, 0, '', 2, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('262', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 2, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('262', 'a', 'Place of production, release, etc.', 'Place of production, release, etc.', 0, 0, '', 2, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('262', 'b', 'Publisher or trade name', 'Publisher or trade name', 0, 0, '', 2, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('262', 'c', 'Date of production, release, etc.', 'Date of production, release, etc.', 0, 0, '', 2, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('262', 'k', 'Serial identification', 'Serial identification', 0, 0, '', 2, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('262', 'l', 'Matrix and/or take number', 'Matrix and/or take number', 0, 0, '', 2, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('263', '6', 'Collegamento', 'Collegamento', 0, 0, '', 2, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('263', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 2, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('263', 'a', 'Data di pubblicazione prevista', 'Data di pubblicazione prevista', 0, 0, '', 2, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('265', '6', 'Linkage [OBSOLETE]', 'Linkage [OBSOLETE]', 0, 0, '', 2, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('265', 'a', 'Source for acquisition/subscription address [OBSOLETE]', 'Source for acquisition/subscription address [OBSOLETE]', 1, 0, '', 2, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('270', '4', 'Codice di ruolo', 'Codice di ruolo', 1, 0, NULL, 9, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('270', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 9, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('270', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 9, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('270', 'a', 'Indirizzo', 'Indirizzo', 1, 0, NULL, 9, NULL, NULL, '', NULL, -1, 'SER', '', '', NULL),
		('270', 'b', 'Città', 'Città', 0, 0, NULL, 9, NULL, NULL, '', NULL, -1, 'SER', '', '', NULL),
		('270', 'c', 'Stato o provincia', 'Stato o provincia', 0, 0, NULL, 9, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('270', 'd', 'Paese', 'Paese', 0, 0, NULL, 9, NULL, NULL, '', NULL, -1, 'SER', '', '', NULL),
		('270', 'e', 'Codice postale', 'Codice postale', 0, 0, NULL, 9, NULL, NULL, '', NULL, -1, 'SER', '', '', NULL),
		('270', 'f', 'Parole che precedono il nome del destinatario', 'Parole che precedono il nome del destinatario', 0, 0, NULL, 9, NULL, NULL, '', NULL, -1, 'SER', '', '', NULL),
		('270', 'g', 'Nome del destinatario', 'Nome del destinatario', 0, 0, NULL, 9, NULL, NULL, '', NULL, -1, 'SER', '', '', NULL),
		('270', 'h', 'Posizione del destinatario', 'Posizione del destinatario', 0, 0, NULL, 9, NULL, NULL, '', NULL, -1, 'SER', '', '', NULL),
		('270', 'i', 'Persona di contatto', 'Persona di contatto', 0, 0, NULL, 9, NULL, NULL, '', NULL, -1, 'SER', '', '', NULL),
		('270', 'j', 'Numero di telefono specializzato', 'Numero di telefono specializzato', 1, 0, NULL, 9, NULL, NULL, '', NULL, -1, 'SER', '', '', NULL),
		('270', 'k', 'Numero di telefono', 'Numero di telefono', 1, 0, NULL, 9, NULL, NULL, '', NULL, -1, 'SER', '', '', NULL),
		('270', 'l', 'Numero di fax', 'Numero di fax', 1, 0, NULL, 9, NULL, NULL, '', NULL, -1, 'SER', '', '', NULL),
		('270', 'm', 'Indirizzo e-mail', 'Indirizzo e-mail', 1, 0, NULL, 9, NULL, NULL, '', NULL, -1, 'SER', '', '', NULL),
		('270', 'n', 'Numero di TDD o TTY', 'Numero di TDD o TTY', 1, 0, NULL, 9, NULL, NULL, '', NULL, -1, 'SER', '', '', NULL),
		('270', 'p', 'Persona di contatto', 'Persona di contatto', 1, 0, NULL, 9, NULL, NULL, '', NULL, -1, 'SER', '', '', NULL),
		('270', 'q', 'Titolo della persona di contatto', 'Titolo della persona di contatto', 1, 0, NULL, 9, NULL, NULL, '', NULL, -1, 'SER', '', '', NULL),
		('270', 'r', 'Ore', 'Ore', 1, 0, NULL, 9, NULL, NULL, '', NULL, -1, 'SER', '', '', NULL),
		('270', 'z', 'Nota pubblica', 'Nota pubblica', 1, 0, NULL, 9, NULL, NULL, '', NULL, -1, 'SER', '', '', NULL),
		('300', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, '', 3, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('300', '6', 'Collegamento', 'Collegamento', 0, 0, '', 3, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('300', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 3, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('300', 'a', 'Estensione', 'Estensione', 1, 1, 'biblioitems.pages', 3, '', '', '', NULL, 0, 'SER', '', '', NULL),
		('300', 'b', 'Altre particolarità fisiche', 'Altre particolarità fisiche', 0, 0, 'biblioitems.illus', 3, '', '', '', 0, 0, 'SER', '', '', NULL),
		('300', 'c', 'Dimensioni', 'Dimensioni', 1, 0, 'biblioitems.size', 3, '', '', '', NULL, 0, 'SER', '', '', NULL),
		('300', 'd', 'Accompanying material [OBSOLETE, CAN/MARC]', 'Accompanying material [OBSOLETE, CAN/MARC]', 0, 0, '', 3, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('300', 'e', 'Materiale allegato', 'Materiale allegato', 0, 0, '', 3, '', '', '', NULL, 0, 'SER', '', '', NULL),
		('300', 'f', 'Tipo di materiale', 'Tipo di materiale', 1, 0, '', 3, '', '', '', NULL, -1, 'SER', '', '', NULL),
		('300', 'g', 'Dimensioni del materiale', 'Dimensioni del materiale', 1, 0, '', 3, '', '', '', NULL, -1, 'SER', '', '', NULL),
		('300', 'k', 'Speed [Videodiscs, pre-AACR2 records only] [OBSOLETE, CAN/MARC]', 'Speed [Videodiscs, pre-AACR2 records only] [OBSOLETE, CAN/MARC]', 0, 0, '', 3, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('300', 'm', 'Identification/manufacturer number [pre-AACR2 records only] [OBSOLETE, CAN/MARC]', 'Identification/manufacturer number [pre-AACR2 records only] [OBSOLETE, CAN/MARC]', 0, 0, '', 3, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('300', 'n', 'Matrix and/or take number [Sound recordings, pre-AACR2 records only] [OBSOLETE, CAN/MARC]', 'Matrix and/or take number [Sound recordings, pre-AACR2 records only] [OBSOLETE, CAN/MARC]', 0, 0, '', 3, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('301', 'a', 'Estensione della copia', 'Estensione della copia', 0, 0, '', 3, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('301', 'b', 'Caratteristiche del suono', 'Caratteristiche del suono', 0, 0, '', 3, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('301', 'c', 'Caratteristiche del colore', 'Caratteristiche del colore', 0, 0, '', 3, '', '', NULL, NULL, -6, 'SER', '', '', NULL),
		('301', 'd', 'Dimensioni', 'Dimensioni', 0, 0, '', 3, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('301', 'e', 'Caratteristiche del suono', 'Caratteristiche del suono', 0, 0, '', 3, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('301', 'f', 'Velocità', 'Velocità', 0, 0, '', 3, '', '', NULL, NULL, -6, 'SER', '', '', NULL),
		('302', 'a', 'Page count', 'Page count', 0, 0, '', 3, '', '', NULL, NULL, -6, 'SER', '', '', NULL),
		('303', 'a', 'Unit count', 'Unit count', 0, 0, '', 3, '', '', NULL, NULL, -6, 'SER', '', '', NULL),
		('304', 'a', 'Linear footage', 'Linear footage', 0, 0, '', 3, '', '', NULL, NULL, -6, 'SER', '', '', NULL),
		('305', '6', 'Collegamento', 'Collegamento', 0, 0, '', 3, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('305', 'a', 'Estensione', 'Estensione', 0, 0, '', 3, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('305', 'b', 'Altre particolarità fisiche', 'Altre particolarità fisiche', 0, 0, '', 3, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('305', 'c', 'Dimensioni', 'Dimensioni', 0, 0, '', 3, '', '', NULL, NULL, -6, 'SER', '', '', NULL),
		('305', 'd', 'Microgroove or standard', 'Microgroove or standard', 0, 0, '', 3, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('305', 'e', 'Stereofonico, monoaurale', 'Stereofonico, monoaurale', 0, 0, '', 3, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('305', 'f', 'Numero dei tracciati', 'Numero dei tracciati', 0, 0, '', 3, '', '', NULL, NULL, -6, 'SER', '', '', NULL),
		('305', 'm', 'Serial identification', 'Serial identification', 0, 0, '', 3, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('305', 'n', 'Matrix and/or take number', 'Matrix and/or take number', 0, 0, '', 3, '', '', NULL, NULL, -6, 'SER', '', '', NULL),
		('306', '6', 'Collegamento', 'Collegamento', 0, 0, '', 3, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('306', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 3, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('306', 'a', 'Durata di riproduzione', 'Durata di riproduzione', 0, 0, '', 3, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('307', '6', 'Collegamento', 'Collegamento', 0, 0, '', 3, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('307', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 3, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('307', 'a', 'Ore', 'Ore', 0, 0, '', 3, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('307', 'b', 'Informazione addizionale', 'Informazione addizionale', 0, 0, '', 3, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('308', '6', 'Collegamento', 'Collegamento', 0, 0, '', 3, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('308', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 3, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('308', 'a', 'Numero di bobine', 'Numero di bobine', 0, 0, '', 3, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('308', 'b', 'Footage', 'Footage', 0, 0, '', 3, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('308', 'c', 'Caratteristiche del suono', 'Caratteristiche del suono', 0, 0, '', 3, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('308', 'd', 'Caratteristiche del colore', 'Caratteristiche del colore', 0, 0, '', 3, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('308', 'e', 'Larghezza', 'Larghezza', 0, 0, '', 3, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('308', 'f', 'Formato di presentazione', 'Formato di presentazione', 0, 0, '', 3, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('310', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('310', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('310', 'a', 'Periodicità corrente della pubblicazione', 'Periodicità corrente della pubblicazione', 0, 0, NULL, 3, NULL, NULL, '', NULL, -1, 'SER', '', '', NULL),
		('310', 'b', 'Data di periodicità corrente della pubblicazione', 'Data di periodicità corrente della pubblicazione', 0, 0, NULL, 3, NULL, NULL, '', NULL, -1, 'SER', '', '', NULL),
		('315', '6', 'Collegamento', 'Collegamento', 0, 0, '', 3, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('315', 'a', 'Frequenza', 'Frequenza', 1, 0, '', 3, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('315', 'b', 'Date della frequenza', 'Date della frequenza', 1, 0, '', 3, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('321', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('321', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('321', 'a', 'Periodicità precedente della pubblicazione', 'Periodicità precedente della pubblicazione', 0, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('321', 'b', 'Date di periodicità precedente della pubblicazione', 'Date di periodicità precedente della pubblicazione', 0, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('340', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, '', 3, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('340', '6', 'Collegamento', 'Collegamento', 0, 0, '', 3, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('340', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 3, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('340', 'a', 'Base e composizione del materiale', 'Base e composizione del materiale', 1, 0, '', 3, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('340', 'b', 'Dimensioni', 'Dimensioni', 1, 0, '', 3, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('340', 'c', 'Materiali applicati alla superficie', 'Materiali applicati alla superficie', 1, 0, '', 3, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('340', 'd', 'Tecnica della registrazione della informazione', 'Tecnica della registrazione della informazione', 1, 0, '', 3, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('340', 'e', 'Supporto', 'Supporto', 1, 0, '', 3, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('340', 'f', 'Fattore/proporzione di produzione comprensibile (ad es., giri al minuto per le registrazioni)', 'Fattore/proporzione di produzione comprensibile (ad es., giri al minuto per le registrazioni)', 1, 0, '', 3, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('340', 'h', 'Localizzazione nel supporto', 'Localizzazione nel supporto', 1, 0, '', 3, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('340', 'i', 'Specificazioni tecniche del supporto', 'Specificazioni tecniche del supporto', 1, 0, '', 3, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('342', '2', 'Metodo di riferimento usato', 'Metodo di riferimento usato', 0, 0, '', 3, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('342', '6', 'Collegamento', 'Collegamento', 0, 0, '', 3, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('342', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 3, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('342', 'a', 'Nome', 'Nome', 1, 0, '', 3, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('342', 'b', 'Unità di distanza o di coordinate', 'Unità di distanza o di coordinate', 0, 0, '', 3, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('342', 'c', 'Risoluzione di latitudine', 'Risoluzione di latitudine', 0, 0, '', 3, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('342', 'd', 'Risoluzione di longitudine', 'Risoluzione di longitudine', 0, 0, '', 3, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('342', 'e', 'Parallela standard o latitudine di lineare obliqua', 'Parallela standard o latitudine di lineare obliqua', 1, 0, '', 3, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('342', 'f', 'Longitudine di lineare obliqua', 'Longitudine di lineare obliqua', 1, 0, '', 3, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('342', 'g', 'Longitudine del meridiano centrale o del centro della proiezione', 'Longitudine del meridiano centrale o del centro della proiezione', 0, 0, '', 3, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('342', 'h', 'Latitudine dell\'origine della proiezione o del centro della proiezione', 'Latitudine dell\'origine della proiezione o del centro della proiezione', 0, 0, '', 3, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('342', 'i', 'Ascissa falsa', 'Ascissa falsa', 0, 0, '', 3, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('342', 'j', 'Ordinata falsa', 'Ordinata falsa', 0, 0, '', 3, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('342', 'k', 'Fattore di scala', 'Fattore di scala', 0, 0, '', 3, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('342', 'l', 'Altezza del punto di vista sulla superficie', 'Altezza del punto di vista sulla superficie', 0, 0, '', 3, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('342', 'm', 'Angolo d\'azimut', 'Angolo d\'azimut', 0, 0, '', 3, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('342', 'n', 'Longitudine del punto di misura d\'azimut o longitudine verticale retta dal polo', 'Longitudine del punto di misura d\'azimut o longitudine verticale retta dal polo', 0, 0, '', 3, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('342', 'o', 'Numero del Landsat e numero di traiettoria', 'Numero del Landsat e numero di traiettoria', 0, 0, '', 3, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('342', 'p', 'Identificatore di zona', 'Identificatore di zona', 0, 0, '', 3, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('342', 'q', 'Nome dell\'ellissoide', 'Nome dell\'ellissoide', 0, 0, '', 3, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('342', 'r', 'Semiasse maggiore', 'Semiasse maggiore', 0, 0, '', 3, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('342', 's', 'Denominatore del rapporto di spianatura', 'Denominatore del rapporto di spianatura', 0, 0, '', 3, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('342', 't', 'Risoluzione verticale', 'Risoluzione verticale', 0, 0, '', 3, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('342', 'u', 'Metodo di codifica verticale', 'Metodo di codifica verticale', 0, 0, '', 3, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('342', 'v', 'Proiezione locale piana, locale o diversa o descrizione del reticolato', 'Proiezione locale piana, locale o diversa o descrizione del reticolato', 0, 0, '', 3, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('342', 'w', 'Informazione di riferimento geospaziale locale piano o locale', 'Informazione di riferimento geospaziale locale piano o locale', 0, 0, '', 3, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('343', '6', 'Collegamento', 'Collegamento', 0, 0, '', 3, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('343', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 3, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('343', 'a', 'Metodo di codifica di coordinate piane', 'Metodo di codifica di coordinate piane', 1, 0, '', 3, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('343', 'b', 'Unità di distanza piana', 'Unità di distanza piana', 0, 0, '', 3, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('343', 'c', 'Risoluzione dell\'ascissa', 'Risoluzione dell\'ascissa', 0, 0, '', 3, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('343', 'd', 'Risoluzione dell\'ordinata', 'Risoluzione dell\'ordinata', 0, 0, '', 3, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('343', 'e', 'Risoluzione di distanza', 'Risoluzione di distanza', 0, 0, '', 3, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('343', 'f', 'Risoluzione di orientamento', 'Risoluzione di orientamento', 0, 0, '', 3, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('343', 'g', 'Unità di orientamento', 'Unità di orientamento', 0, 0, '', 3, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('343', 'h', 'Direzione di riferimento dell\'orientamento', 'Direzione di riferimento dell\'orientamento', 0, 0, '', 3, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('343', 'i', 'Meridiano di riferimento dell\'orientamento', 'Meridiano di riferimento dell\'orientamento', 0, 0, '', 3, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('350', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('350', 'a', 'Prezzo', 'Prezzo', 1, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('350', 'b', 'Forma dell\'emissione', 'Forma dell\'emissione', 1, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('351', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('351', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('351', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('351', 'a', 'Organizzazione', 'Organizzazione', 1, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('351', 'b', 'Ordinamento', 'Ordinamento', 1, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('351', 'c', 'Livello gerarchico', 'Livello gerarchico', 0, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('352', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('352', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('352', 'a', 'Metodo di riferimento diretto', 'Metodo di riferimento diretto', 0, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('352', 'b', 'Tipo di oggetto', 'Tipo di oggetto', 1, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('352', 'c', 'Contatore di oggetti', 'Contatore di oggetti', 1, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('352', 'd', 'Contatore di linee', 'Contatore di linee', 0, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('352', 'e', 'Contattore di colonne', 'Contattore di colonne', 0, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('352', 'f', 'Contattore verticale', 'Contattore verticale', 0, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('352', 'g', 'Livello di topologia VPF', 'Livello di topologia VPF', 0, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('352', 'i', 'Descrizione di riferimento indiretto', 'Descrizione di riferimento indiretto', 0, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('355', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('355', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('355', 'a', 'Classificazione di sicurezza', 'Classificazione di sicurezza', 0, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('355', 'b', 'Istruzioni per l\'uso', 'Istruzioni per l\'uso', 1, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('355', 'c', 'Informazione di diffusione esterna', 'Informazione di diffusione esterna', 1, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('355', 'd', 'Informazione di riduzione del livello di sicurezza o di declassificazione', 'Informazione di riduzione del livello di sicurezza o di declassificazione', 0, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('355', 'e', 'Sistema di classificazione', 'Sistema di classificazione', 0, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('355', 'f', 'Codice del paese di origine', 'Codice del paese di origine', 0, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('355', 'g', 'Data di riduzione del livello di sicurezza', 'Data di riduzione del livello di sicurezza', 0, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('355', 'h', 'Data di declassificazione', 'Data di declassificazione', 0, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('355', 'j', 'Autorizzazione', 'Autorizzazione', 1, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('357', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('357', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('357', 'a', 'Termine di controllo del creatore', 'Termine di controllo del creatore', 0, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('357', 'b', 'Agenzia di diffusione', 'Agenzia di diffusione', 1, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('357', 'c', 'Destinatari autorizzati del materiale', 'Destinatari autorizzati del materiale', 1, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('357', 'g', 'Altre restrizioni', 'Altre restrizioni', 1, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('359', 'a', 'Prezzo del prestito', 'Prezzo del prestito', 0, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('362', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('362', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('362', 'a', 'Date della pubblicazione e/o designazione sequenziale', 'Date della pubblicazione e/o designazione sequenziale', 0, 0, 'biblioitems.volumedesc', 3, NULL, NULL, '', NULL, -1, 'SER', '', '', NULL),
		('362', 'z', 'Fonte dell\'informazione', 'Fonte dell\'informazione', 0, 0, NULL, 3, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('365', '2', 'Fonte del codice del tipo di prezzo', 'Fonte del codice del tipo di prezzo', 0, 0, '', 9, '', '', '', NULL, -1, 'SER', '', '', NULL),
		('365', '6', 'Collegamento', 'Collegamento', 0, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('365', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('365', 'a', 'Codice del tipo di prezzo', 'Codice del tipo di prezzo', 0, 0, '', 9, '', '', '', NULL, -1, 'SER', '', '', NULL),
		('365', 'b', 'Prezzo totale', 'Prezzo totale', 0, 0, '', 9, '', '', '', NULL, -1, 'SER', '', '', NULL),
		('365', 'c', 'Codice della valuta', 'Codice della valuta', 0, 0, '', 9, '', '', '', NULL, -1, 'SER', '', '', NULL),
		('365', 'd', 'Unità de fissazione del prezzo', 'Unità de fissazione del prezzo', 0, 0, '', 9, '', '', '', NULL, -1, 'SER', '', '', NULL),
		('365', 'e', 'Nota sul prezzo', 'Nota sul prezzo', 0, 0, '', 9, '', '', '', NULL, -1, 'SER', '', '', NULL),
		('365', 'f', 'Prezzo in vigore dal', 'Prezzo in vigore dal', 0, 0, '', 9, '', '', '', NULL, -1, 'SER', '', '', NULL),
		('365', 'g', 'Prezzo in vigore fino al', 'Prezzo in vigore fino al', 0, 0, '', 9, '', '', '', NULL, -1, 'SER', '', '', NULL),
		('365', 'h', 'Aliquota 1', 'Aliquota 1', 0, 0, '', 9, '', '', '', NULL, -1, 'SER', '', '', NULL),
		('365', 'i', 'Aliquota 2', 'Aliquota 2', 0, 0, '', 9, '', '', '', NULL, -1, 'SER', '', '', NULL),
		('365', 'j', 'Codice ISO del paese', 'Codice ISO del paese', 0, 0, '', 9, '', '', '', NULL, -1, 'SER', '', '', NULL),
		('365', 'k', 'Codice MARC del paese', 'Codice MARC del paese', 0, 0, '', 9, '', '', '', NULL, -1, 'SER', '', '', NULL),
		('365', 'm', 'Identificazione dell\'ente di fissazione del prezzo', 'Identificazione dell\'ente di fissazione del prezzo', 0, 0, '', 9, '', '', '', NULL, -1, 'SER', '', '', NULL),
		('366', '2', 'Fonte dello stato di disponibilità', 'Fonte dello stato di disponibilità', 0, 0, '', 9, '', '', '', NULL, -1, 'SER', '', '', NULL),
		('366', '6', 'Collegamento', 'Collegamento', 0, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('366', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('366', 'a', 'Identificazione editoriale abbreviata di titolo', 'Identificazione editoriale abbreviata di titolo', 0, 0, '', 9, '', '', '', NULL, -1, 'SER', '', '', NULL),
		('366', 'b', 'Data dettagliata di pubblicazione', 'Data dettagliata di pubblicazione', 0, 0, '', 9, '', '', '', NULL, -1, 'SER', '', '', NULL),
		('366', 'c', 'Codice dello stato di disponibilità', 'Codice dello stato di disponibilità', 0, 0, '', 9, '', '', '', NULL, -1, 'SER', '', '', NULL),
		('366', 'd', 'Data prevedibile della prossima disponibilità', 'Data prevedibile della prossima disponibilità', 0, 0, '', 9, '', '', '', NULL, -1, 'SER', '', '', NULL),
		('366', 'e', 'Nota', 'Nota', 0, 0, '', 9, '', '', '', NULL, -1, 'SER', '', '', NULL),
		('366', 'f', 'Tipo di sconto dell\'editore', 'Tipo di sconto dell\'editore', 0, 0, '', 9, '', '', '', NULL, -1, 'SER', '', '', NULL),
		('366', 'g', 'Data di esaurimento', 'Data di esaurimento', 0, 0, '', 9, '', '', '', NULL, -1, 'SER', '', '', NULL),
		('366', 'j', 'Codice ISO del paese', 'Codice ISO del paese', 0, 0, '', 9, '', '', '', NULL, -1, 'SER', '', '', NULL),
		('366', 'k', 'Codice MARC del paese', 'Codice MARC del paese', 0, 0, '', 9, '', '', '', NULL, -1, 'SER', '', '', NULL),
		('366', 'm', 'Identificazione dell\'agenzia', 'Identificazione dell\'agenzia', 0, 0, '', 9, '', '', '', NULL, -1, 'SER', '', '', NULL),
		('400', '4', 'Codice di ruolo', 'Codice di ruolo', 1, 0, '', 4, '', '', '', 0, -6, 'SER', '', '', NULL),
		('400', '6', 'Collegamento', 'Collegamento', 0, 0, '', 4, '', '', '', 0, -6, 'SER', '', '', NULL),
		('400', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 4, '', '', '', 0, -6, 'SER', '', '', NULL),
		('400', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 4, '', '', '', 0, -5, 'SER', '', '', NULL),
		('400', 'a', 'Nome di persona', 'Nome di persona', 0, 0, '', 4, '', '', '', 0, -6, 'SER', '', '', NULL),
		('400', 'b', 'Numerazione', 'Numerazione', 0, 0, '', 4, '', '', '', 0, -6, 'SER', '', '', NULL),
		('400', 'c', 'Titoli e altre parole associate al nome', 'Titoli e altre parole associate al nome', 1, 0, '', 4, '', '', '', 0, -6, 'SER', '', '', NULL),
		('400', 'd', 'Date associate al nome', 'Date associate al nome', 0, 0, '', 4, '', '', '', 0, -6, 'SER', '', '', NULL),
		('400', 'e', 'Termine di ruolo', 'Termine di ruolo', 1, 0, '', 4, '', '', '', 0, -6, 'SER', '', '', NULL),
		('400', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, '', 4, '', '', '', 0, -6, 'SER', '', '', NULL),
		('400', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, '', 4, '', '', '', 0, -6, 'SER', '', '', NULL),
		('400', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, '', 4, '', '', '', 0, -6, 'SER', '', '', NULL),
		('400', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, '', 4, '', '', '', 0, -6, 'SER', '', '', NULL),
		('400', 'n', 'Numero di parte/sezione dell\'opera', 'Numero di parte/sezione dell\'opera', 1, 0, '', 4, '', '', '', 0, -6, 'SER', '', '', NULL),
		('400', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, '', 4, '', '', '', 0, -6, 'SER', '', '', NULL),
		('400', 'q', 'Forma completa del nome', 'Forma completa del nome', 0, 0, '', 4, '', '', '', 0, -6, 'SER', '', '', NULL),
		('400', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, '', 4, '', '', '', 0, -6, 'SER', '', '', NULL),
		('400', 'u', 'Affiliazione', 'Affiliazione', 0, 0, '', 4, '', '', '', 0, -6, 'SER', '', '', NULL),
		('400', 'v', 'Numero del volume/designazione di sequenza', 'Numero del volume/designazione di sequenza', 0, 0, '', 4, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('400', 'x', 'ISSN (International Standard Serial Number)', 'ISSN (International Standard Serial Number)', 0, 0, '', 4, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('410', '4', 'Codice di ruolo', 'Codice di ruolo', 1, 0, '', 4, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('410', '6', 'Collegamento', 'Collegamento', 0, 0, '', 4, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('410', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 4, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('410', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 4, '', '', '', 0, -6, 'SER', '', '', NULL),
		('410', 'a', 'Nome dell\'ente o nome della giurisdizione come accesso', 'Nome dell\'ente o nome della giurisdizione come accesso', 0, 0, '', 4, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('410', 'b', 'Unità subordinata', 'Unità subordinata', 1, 0, '', 4, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('410', 'c', 'Luogo del convegno', 'Luogo del convegno', 0, 0, '', 4, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('410', 'd', 'Data del convegno o di firma del trattato', 'Data del convegno o di firma del trattato', 1, 0, '', 4, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('410', 'e', 'Termine di ruolo', 'Termine di ruolo', 1, 0, '', 4, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('410', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, '', 4, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('410', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, '', 4, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('410', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, '', 4, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('410', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, '', 4, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('410', 'n', 'Numero di parte/sezione/convegno', 'Numero di parte/sezione/convegno', 1, 0, '', 4, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('410', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, '', 4, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('410', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, '', 4, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('410', 'u', 'Affiliazione', 'Affiliazione', 0, 0, '', 4, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('410', 'v', 'Numero del volume/designazione di sequenza', 'Numero del volume/designazione di sequenza', 0, 0, '', 4, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('410', 'x', 'ISSN (International Standard Serial Number)', 'ISSN (International Standard Serial Number)', 0, 0, '', 4, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('411', '4', 'Codice di ruolo', 'Codice di ruolo', 1, 0, NULL, 4, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('411', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 4, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('411', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 4, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('411', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 4, '', '', '', 0, -5, 'SER', '', '', NULL),
		('411', 'a', 'Nome del convegno o nome della giurisdizione come accesso', 'Nome del convegno o nome della giurisdizione come accesso', 0, 0, NULL, 4, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('411', 'b', 'Number [OBSOLETE]', 'Number [OBSOLETE]', 0, 0, NULL, 4, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('411', 'c', 'Luogo del convegno', 'Luogo del convegno', 0, 0, NULL, 4, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('411', 'd', 'Data del convegno', 'Data del convegno', 0, 0, NULL, 4, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('411', 'e', 'Unità subordinata', 'Unità subordinata', 1, 0, NULL, 4, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('411', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, NULL, 4, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('411', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, NULL, 4, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('411', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, NULL, 4, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('411', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, NULL, 4, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('411', 'n', 'Numero di parte/sezione/convegno', 'Numero di parte/sezione/convegno', 1, 0, NULL, 4, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('411', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, NULL, 4, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('411', 'q', 'Nome del convegno dopo accesso di nome della giurisdizione', 'Nome del convegno dopo accesso di nome della giurisdizione', 0, 0, NULL, 4, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('411', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, NULL, 4, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('411', 'u', 'Affiliazione', 'Affiliazione', 0, 0, NULL, 4, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('411', 'v', 'Numero del volume/designazione di sequenza', 'Numero del volume/designazione di sequenza', 0, 0, '', 4, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('411', 'x', 'ISSN (International Standard Serial Number)', 'ISSN (International Standard Serial Number)', 0, 0, '', 4, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('440', '6', 'Collegamento', 'Collegamento', 0, 0, '', 4, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('440', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 4, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('440', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 4, '', '', '', 0, -5, 'SER', '', '', NULL),
		('440', 'a', 'Titolo', 'Titolo', 0, 0, 'biblio.seriestitle', 4, '', 'UNIF_TITLE', '', NULL, 0, 'SER', '''440n'',''440p'',''490a'',''830a'',''830n'',''830p'',''899a''', '', NULL),
		('440', 'n', 'Numero di parte/sezione dell\'opera', 'Numero di parte/sezione dell\'opera', 1, 0, 'biblioitems.number', 4, '', '', '', NULL, 0, 'SER', '', '', NULL),
		('440', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, '', 4, '', '', '', NULL, 0, 'SER', '', '', NULL),
		('440', 'v', 'Numero del volume/designazione di sequenza', 'Numero del volume/designazione di sequenza', 0, 0, 'biblioitems.volume', 4, '', '', '', NULL, 0, 'SER', '', '', NULL),
		('440', 'x', 'ISSN (International Standard Serial Number)', 'ISSN (International Standard Serial Number)', 0, 0, '', 4, '', '', '', NULL, 0, 'SER', '', '', NULL),
		('490', '6', 'Collegamento', 'Collegamento', 0, 0, '', 4, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('490', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 4, '', '', NULL, NULL, -6, 'SER', '', '', NULL),
		('490', 'a', 'Formulazione della serie', 'Formulazione della serie', 1, 0, '', 4, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('490', 'l', 'Numero di chiamata (collocazione) della Library of Congress', 'Numero di chiamata (collocazione) della Library of Congress', 0, 0, '', 4, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('490', 'v', 'Numero del volume/designazione di sequenza', 'Numero del volume/designazione di sequenza', 1, 0, '', 4, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('490', 'x', 'ISSN (International Standard Serial Number)', 'ISSN (International Standard Serial Number)', 0, 0, '', 4, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('500', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, '', 5, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('500', '5', 'Istituzione a cui si applica il campo', 'Istituzione a cui si applica il campo', 0, 0, '', 5, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('500', '6', 'Collegamento', 'Collegamento', 0, 0, '', 5, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('500', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 5, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('500', 'a', 'Nota generale', 'Nota generale', 0, 0, 'biblio.notes', 5, '', '', '', NULL, -1, 'SER', '', '', NULL),
		('500', 'l', 'Library of Congress call number (SE) [OBSOLETE]', 'Library of Congress call number (SE) [OBSOLETE]', 0, 0, '', 5, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('500', 'n', 'n (RLIN) [OBSOLETE]', 'n (RLIN) [OBSOLETE]', 0, 0, '', 5, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('500', 'x', 'International Standard Serial Number (SE) [OBSOLETE]', 'International Standard Serial Number (SE) [OBSOLETE]', 0, 0, '', 5, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('500', 'z', 'Source of note information (AM SE) [OBSOLETE]', 'Source of note information (AM SE) [OBSOLETE]', 0, 0, '', 5, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('501', '5', 'Istituzione a cui si applica il campo', 'Istituzione a cui si applica il campo', 0, 0, '', 5, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('501', '6', 'Collegamento', 'Collegamento', 0, 0, '', 5, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('501', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 5, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('501', 'a', 'Nota  Pubblicato con', 'Nota  Pubblicato con', 0, 0, '', 5, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('502', '6', 'Collegamento', 'Collegamento', 0, 0, '', 5, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('502', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 5, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('502', 'a', 'Nota di dissertazione', 'Nota di dissertazione', 0, 0, '', 5, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('503', '8', 'Collegamento', 'Collegamento', 0, 0, '', 5, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('503', 'a', 'Bibliographic history note', 'Bibliographic history note', 0, 0, '', 5, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('504', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('504', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('504', 'a', 'Nota di bibliografia, ecc.', 'Nota di bibliografia, ecc.', 0, 0, '', 5, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('504', 'b', 'Numero dei riferimenti', 'Numero dei riferimenti', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('505', '6', 'Collegamento', 'Collegamento', 0, 0, '', 5, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('505', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 5, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('505', 'a', 'Nota formattata di contenuto', 'Nota formattata di contenuto', 0, 0, '', 5, '', '', '', NULL, -1, 'SER', '', '', NULL),
		('505', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 1, 0, '', 5, '', '', '', NULL, -1, 'SER', '', '', NULL),
		('505', 'r', 'Formulazione di responsabilità', 'Formulazione di responsabilità', 1, 0, '', 5, '', '', '', NULL, -1, 'SER', '', '', NULL),
		('505', 't', 'Titolo', 'Titolo', 1, 0, '', 5, '', '', '', NULL, -1, 'SER', '', '', NULL),
		('505', 'u', 'URI (Uniform Resource Identifier)', 'URI (Uniform Resource Identifier)', 1, 0, '', 5, '', '', '', 1, -1, 'SER', '', '', NULL),
		('506', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, '', 5, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('506', '5', 'Istituzione a cui si applica il campo', 'Istituzione a cui si applica il campo', 0, 0, '', 5, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('506', '6', 'Collegamento', 'Collegamento', 0, 0, '', 5, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('506', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 5, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('506', 'a', 'Condizioni che regolano l\'accesso', 'Condizioni che regolano l\'accesso', 0, 0, '', 5, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('506', 'b', 'Competenza legale', 'Competenza legale', 1, 0, '', 5, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('506', 'c', 'Disposizioni per l\'accesso fisico', 'Disposizioni per l\'accesso fisico', 1, 0, '', 5, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('506', 'd', 'Utenti autorizzati', 'Utenti autorizzati', 1, 0, '', 5, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('506', 'e', 'Autorizzazione', 'Autorizzazione', 1, 0, '', 5, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('506', 'f', 'Terminologia normalizzata della restrizione all’accesso', 'Terminologia normalizzata della restrizione all’accesso', 1, 0, '', 5, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('506', 'u', 'URI (Uniform Resource Identifier)', 'URI (Uniform Resource Identifier)', 1, 0, '', 5, '', '', '', 1, -6, 'SER', '', '', NULL),
		('507', '6', 'Collegamento', 'Collegamento', 0, 0, '', 5, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('507', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 5, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('507', 'a', 'Nota di frazione rappresentativa di scala', 'Nota di frazione rappresentativa di scala', 0, 0, '', 5, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('507', 'b', 'Restante parte della nota di scala', 'Restante parte della nota di scala', 0, 0, '', 5, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('508', '6', 'Collegamento', 'Collegamento', 0, 0, '', 5, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('508', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('508', 'a', 'Nota sui crediti di creazione/produzione', 'Nota sui crediti di creazione/produzione', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('509', 'a', 'Note informali', 'Note informali', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('510', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, '', 5, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('510', '6', 'Collegamento', 'Collegamento', 0, 0, '', 5, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('510', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 5, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('510', 'a', 'Nome della fonte', 'Nome della fonte', 0, 0, '', 5, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('510', 'b', 'Copertura della fonte', 'Copertura della fonte', 0, 0, '', 5, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('510', 'c', 'Localizzazione nella fonte', 'Localizzazione nella fonte', 0, 0, '', 5, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('510', 'x', 'ISSN (International Standard Serial Number)', 'ISSN (International Standard Serial Number)', 0, 0, '', 5, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('511', '6', 'Collegamento', 'Collegamento', 0, 0, '', 5, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('511', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 5, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('511', 'a', 'Nota sui partecipanti o interpreti', 'Nota sui partecipanti o interpreti', 0, 0, '', 5, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('512', '6', 'Collegamento', 'Collegamento', 0, 0, '', -1, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('512', 'a', 'Earlier or later volumes separately cataloged note', 'Earlier or later volumes separately cataloged note', 0, 0, '', -1, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('513', '6', 'Collegamento', 'Collegamento', 0, 0, '', 5, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('513', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 5, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('513', 'a', 'Tipo di rapporto', 'Tipo di rapporto', 0, 0, '', 5, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('513', 'b', 'Periodo coperto', 'Periodo coperto', 0, 0, '', 5, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('514', '6', 'Collegamento', 'Collegamento', 0, 0, '', 5, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('514', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 5, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('514', 'a', 'Rapporto di esattezza degli attributi', 'Rapporto di esattezza degli attributi', 0, 0, '', 5, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('514', 'b', 'Valore di esattezza degli attributi', 'Valore di esattezza degli attributi', 1, 0, '', 5, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('514', 'c', 'Spiegazione della esattezza degli attributi', 'Spiegazione della esattezza degli attributi', 1, 0, '', 5, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('514', 'd', 'Rapporto di coerenza logica', 'Rapporto di coerenza logica', 0, 0, '', 5, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('514', 'e', 'Rapporto di completezza', 'Rapporto di completezza', 0, 0, '', 5, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('514', 'f', 'Rapporto di esattezza di posizione orizzontale', 'Rapporto di esattezza di posizione orizzontale', 0, 0, '', 5, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('514', 'g', 'Valore di esattezza di posizione orizzontale', 'Valore di esattezza di posizione orizzontale', 1, 0, '', 5, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('514', 'h', 'Spiegazione della esattezza di posizione orizzontale', 'Spiegazione della esattezza di posizione orizzontale', 1, 0, '', 5, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('514', 'i', 'Rapporto di esattezza di posizione verticale', 'Rapporto di esattezza di posizione verticale', 0, 0, '', 5, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('514', 'j', 'Valore di esattezza di posizione verticale', 'Valore di esattezza di posizione verticale', 1, 0, '', 5, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('514', 'k', 'Spiegazione della esattezza di posizione verticale', 'Spiegazione della esattezza di posizione verticale', 1, 0, '', 5, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('514', 'm', 'Nuvolosità', 'Nuvolosità', 0, 0, '', 5, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('514', 'u', 'URI (Uniform Resource Identifier)', 'URI (Uniform Resource Identifier)', 1, 0, '', 5, '', '', '', 1, -6, 'SER', '', '', NULL),
		('514', 'z', 'Nota di visualizzazione', 'Nota di visualizzazione', 1, 0, '', 5, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('515', '6', 'Collegamento', 'Collegamento', 0, 0, '', 5, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('515', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 5, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('515', 'a', 'Nota su particolarità della numerazione', 'Nota su particolarità della numerazione', 0, 0, '', 5, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('515', 'z', 'Source of note information (SE) [OBSOLETE]', 'Source of note information (SE) [OBSOLETE]', 0, 0, '', -1, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('516', '6', 'Collegamento', 'Collegamento', 0, 0, '', 5, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('516', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 5, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('516', 'a', 'Nota sul tipo di computer file o di file di dati', 'Nota sul tipo di computer file o di file di dati', 0, 0, '', 5, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('517', 'a', 'Formati multipli', 'Formati multipli', 0, 0, '', 5, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('517', 'b', 'Descrittori del contenuto', 'Descrittori del contenuto', 1, 0, '', 5, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('517', 'c', 'Tecniche d\'animazione addizionali', 'Tecniche d\'animazione addizionali', 1, 0, '', 5, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('518', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, '', 5, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('518', '6', 'Collegamento', 'Collegamento', 0, 0, '', 5, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('518', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 5, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('518', 'a', 'Nota sulla data/ora e luogo dell\'evento', 'Nota sulla data/ora e luogo dell\'evento', 0, 0, '', 5, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('520', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, '', 5, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('520', '6', 'Collegamento', 'Collegamento', 0, 0, '', 5, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('520', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 5, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('520', 'a', 'Nota di riassunto, ecc.', 'Nota di riassunto, ecc.', 0, 0, 'biblio.abstract', 5, '', '', '', NULL, -1, 'SER', '', '', NULL),
		('520', 'b', 'Nota di estensione del riassunto', 'Nota di estensione del riassunto', 0, 0, '', 5, '', '', '', NULL, -1, 'SER', '', '', NULL),
		('520', 'u', 'URI (Uniform Resource Identifier)', 'URI (Uniform Resource Identifier)', 1, 0, '', 5, '', '', '', 1, -1, 'SER', '', '', NULL),
		('520', 'z', 'Source of note information [OBSOLETE]', 'Source of note information [OBSOLETE]', 0, 0, '', 5, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('521', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('521', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('521', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('521', 'a', 'Nota sui destinatari', 'Nota sui destinatari', 1, 0, NULL, 5, NULL, NULL, '', NULL, 0, 'SER', '', '', NULL),
		('521', 'b', 'Fonte', 'Fonte', 0, 0, NULL, 5, NULL, NULL, '', NULL, 0, 'SER', '', '', NULL),
		('522', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('522', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('522', 'a', 'Nota di copertura geografica', 'Nota di copertura geografica', 0, 0, NULL, 5, NULL, NULL, '', NULL, -1, 'SER', '', '', NULL),
		('523', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('523', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('523', 'a', 'Time period of content note', 'Time period of content note', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('524', '2', 'Fonte dello schema usato', 'Fonte dello schema usato', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('524', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('524', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('524', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('524', 'a', 'Nota sulla citazione preferita dei materiali descritti', 'Nota sulla citazione preferita dei materiali descritti', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('525', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('525', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('525', 'a', 'Nota di supplemento', 'Nota di supplemento', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('525', 'z', 'Source of note information (SE) [OBSOLETE]', 'Source of note information (SE) [OBSOLETE]', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('526', '5', 'Istituzione a cui si applica il campo', 'Istituzione a cui si applica il campo', 0, 0, '', 5, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('526', '6', 'Collegamento', 'Collegamento', 0, 0, '', 5, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('526', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 5, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('526', 'a', 'Nome del programma', 'Nome del programma', 0, 0, '', 5, '', '', '', NULL, -1, 'SER', '', '', NULL),
		('526', 'b', 'Livello d\'interesse', 'Livello d\'interesse', 0, 0, '', 5, '', '', '', NULL, -1, 'SER', '', '', NULL),
		('526', 'c', 'Livello di lettura', 'Livello di lettura', 0, 0, '', 5, '', '', '', NULL, -1, 'SER', '', '', NULL),
		('526', 'd', 'Valore numerico del titolo', 'Valore numerico del titolo', 0, 0, '', 5, '', '', '', NULL, -1, 'SER', '', '', NULL),
		('526', 'i', 'Testo da visualizzare', 'Testo da visualizzare', 0, 0, '', 5, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('526', 'x', 'Nota non pubblic', 'Nota non pubblic', 1, 0, '', 5, '', '', '', NULL, 6, 'SER', '', '', NULL),
		('526', 'z', 'Nota pubblica', 'Nota pubblica', 1, 0, '', 5, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('527', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('527', 'a', 'Censorship note', 'Censorship note', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('530', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('530', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('530', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('530', 'a', 'Nota sulla disponibilità su altro supporto fisico', 'Nota sulla disponibilità su altro supporto fisico', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('530', 'b', 'Fonte di disponibilità', 'Fonte di disponibilità', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('530', 'c', 'Condizioni di disponibilità', 'Condizioni di disponibilità', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('530', 'd', 'Numero di ordine', 'Numero di ordine', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('530', 'u', 'URI (Uniform Resource Identifier)', 'URI (Uniform Resource Identifier)', 1, 0, NULL, 5, NULL, NULL, '', 1, -6, 'SER', '', '', NULL),
		('530', 'z', 'Source of note information (AM CF VM SE) [OBSOLETE]', 'Source of note information (AM CF VM SE) [OBSOLETE]', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('533', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('533', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('533', '7', 'Elementi di lunghezza fissa della riproduzione', 'Elementi di lunghezza fissa della riproduzione', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('533', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('533', 'a', 'Tipo di riproduzione', 'Tipo di riproduzione', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('533', 'b', 'Luogo di riproduzione', 'Luogo di riproduzione', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('533', 'c', 'Agenzia responsabile della riproduzione', 'Agenzia responsabile della riproduzione', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('533', 'd', 'Data di riproduzione', 'Data di riproduzione', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('533', 'e', 'Descrizione fisica della riproduzione', 'Descrizione fisica della riproduzione', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('533', 'f', 'Formulazione della serie della riproduzione', 'Formulazione della serie della riproduzione', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('533', 'm', 'Date e/o designazione sequenziale dei documenti riprodotti', 'Date e/o designazione sequenziale dei documenti riprodotti', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('533', 'n', 'Nota sulla riproduzione', 'Nota sulla riproduzione', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('534', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('534', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('534', 'a', 'Accesso principale dell\'originale', 'Accesso principale dell\'originale', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('534', 'b', 'Formulazione di edizione dell\'originale', 'Formulazione di edizione dell\'originale', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('534', 'c', 'Pubblicazione, distribuzione, ecc., dell\'originale', 'Pubblicazione, distribuzione, ecc., dell\'originale', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('534', 'e', 'Descrizione fisica, ecc., dell\'originale', 'Descrizione fisica, ecc., dell\'originale', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('534', 'f', 'Formulazione della serie dell\'originale', 'Formulazione della serie dell\'originale', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('534', 'k', 'Titolo chiave dell\'originale', 'Titolo chiave dell\'originale', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('534', 'l', 'Localizzazione dell\'originale', 'Localizzazione dell\'originale', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('534', 'm', 'Dettagli specifici del materiale', 'Dettagli specifici del materiale', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('534', 'n', 'Nota sull\'originale', 'Nota sull\'originale', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('534', 'p', 'Frase introduttiva', 'Frase introduttiva', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('534', 't', 'Formulazione del titolo dell\'originale', 'Formulazione del titolo dell\'originale', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('534', 'x', 'ISSN (International Standard Serial Number)', 'ISSN (International Standard Serial Number)', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('534', 'z', 'ISBN (International Standard Book Number)', 'ISBN (International Standard Book Number)', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('535', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('535', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('535', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('535', 'a', 'Conservatore', 'Conservatore', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('535', 'b', 'Indirizzo postale', 'Indirizzo postale', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('535', 'c', 'Paese', 'Paese', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('535', 'd', 'Indirizzo di telecomunicazione', 'Indirizzo di telecomunicazione', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('535', 'g', 'Codice di localizzazione del deposito', 'Codice di localizzazione del deposito', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('536', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('536', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('536', 'a', 'Testo della nota', 'Testo della nota', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('536', 'b', 'Numero di contratto', 'Numero di contratto', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('536', 'c', 'Numero di sovvenzione', 'Numero di sovvenzione', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('536', 'd', 'Numero indifferenziato', 'Numero indifferenziato', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('536', 'e', 'Numero di elemento di un programma', 'Numero di elemento di un programma', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('536', 'f', 'Numero di progetto', 'Numero di progetto', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('536', 'g', 'Numero di unità di lavoro', 'Numero di unità di lavoro', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('536', 'h', 'Numero di unità di lavoro', 'Numero di unità di lavoro', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('537', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('537', 'a', 'Source of data note', 'Source of data note', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('538', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('538', '6', 'Collegamento', 'Collegamento', 0, 0, '', 5, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('538', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 5, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('538', 'a', 'Nota sui requisiti del sistema', 'Nota sui requisiti del sistema', 0, 0, '', 5, '', '', '', NULL, -1, 'SER', '', '', NULL),
		('538', 'i', 'Testo da visualizzare', 'Testo da visualizzare', 0, 0, '', 5, '', '', '', NULL, -1, 'SER', '', '', NULL),
		('538', 'u', 'URI (Uniform Resource Identifier)', 'URI (Uniform Resource Identifier)', 1, 0, '', 5, '', '', '', 1, -1, 'SER', '', '', NULL),
		('540', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('540', '5', 'Istituzione a cui si applica il campo', 'Istituzione a cui si applica il campo', 0, 0, '', 5, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('540', '6', 'Collegamento', 'Collegamento', 0, 0, '', 5, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('540', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 5, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('540', 'a', 'Condizioni che regolano l\'utilizzo e la riproduzione', 'Condizioni che regolano l\'utilizzo e la riproduzione', 0, 0, '', 5, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('540', 'b', 'Competenza legale', 'Competenza legale', 0, 0, '', 5, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('540', 'c', 'Autorizzazione', 'Autorizzazione', 0, 0, '', 5, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('540', 'd', 'Utenti autorizzati', 'Utenti autorizzati', 0, 0, '', 5, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('540', 'u', 'URI (Uniform Resource Identifier)', 'URI (Uniform Resource Identifier)', 1, 0, '', 5, '', '', '', 1, -6, 'SER', '', '', NULL),
		('541', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, NULL, 9, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('541', '5', 'Istituzione a cui si applica il campo', 'Istituzione a cui si applica il campo', 0, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('541', '6', 'Collegamento', 'Collegamento', 0, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('541', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('541', 'a', 'Fonte d\'acquisto', 'Fonte d\'acquisto', 0, 0, '', 9, '', '', '', NULL, 1, 'SER', '', '', NULL),
		('541', 'b', 'Indirizzo', 'Indirizzo', 0, 0, '', 9, '', '', '', NULL, 1, 'SER', '', '', NULL),
		('541', 'c', 'Metodo d\'acquisto', 'Metodo d\'acquisto', 0, 0, '', 9, '', '', '', NULL, 1, 'SER', '', '', NULL),
		('541', 'd', 'Data d\'acquisto', 'Data d\'acquisto', 0, 0, '', 9, '', '', '', NULL, 1, 'SER', '', '', NULL),
		('541', 'e', 'Numero d\'accessione', 'Numero d\'accessione', 0, 0, '', 9, '', '', '', NULL, 1, 'SER', '', '', NULL),
		('541', 'f', 'Proprietario', 'Proprietario', 0, 0, '', 9, '', '', '', NULL, 1, 'SER', '', '', NULL),
		('541', 'h', 'Prezzo d\'acquisto', 'Prezzo d\'acquisto', 0, 0, '', 9, '', '', '', NULL, 1, 'SER', '', '', NULL),
		('541', 'n', 'Estensione', 'Estensione', 0, 0, '', 9, '', '', '', NULL, 1, 'SER', '', '', NULL),
		('541', 'o', 'Tipo di materiale', 'Tipo di materiale', 1, 0, '', 9, '', '', '', NULL, 1, 'SER', '', '', NULL),
		('543', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('543', 'a', 'Solicitation information note', 'Solicitation information note', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('544', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('544', '6', 'Collegamento', 'Collegamento', 0, 0, '', 5, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('544', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 5, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('544', 'a', 'Conservatore', 'Conservatore', 1, 0, '', 5, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('544', 'b', 'Indirizzo', 'Indirizzo', 1, 0, '', 5, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('544', 'c', 'Paese', 'Paese', 1, 0, '', 5, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('544', 'd', 'Titolo', 'Titolo', 1, 0, '', 5, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('544', 'e', 'Provenienza', 'Provenienza', 1, 0, '', 5, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('544', 'n', 'Nota', 'Nota', 1, 0, '', 5, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('545', '6', 'Collegamento', 'Collegamento', 0, 0, '', 5, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('545', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 5, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('545', 'a', 'Nota biografica o storica', 'Nota biografica o storica', 0, 0, '', 5, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('545', 'b', 'Ampliamento', 'Ampliamento', 0, 0, '', 5, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('545', 'u', 'URI (Uniform Resource Identifier)', 'URI (Uniform Resource Identifier)', 1, 0, '', 5, '', '', '', 1, -6, 'SER', '', '', NULL),
		('546', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('546', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('546', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('546', 'a', 'Nota sulla lingua', 'Nota sulla lingua', 0, 0, NULL, 5, NULL, NULL, '', NULL, -1, 'SER', '', '', NULL),
		('546', 'b', 'Codice d\'informazione o alfabeto', 'Codice d\'informazione o alfabeto', 1, 0, NULL, 5, NULL, NULL, '', NULL, -1, 'SER', '', '', NULL),
		('546', 'z', 'Source of note information (SE) [OBSOLETE]', 'Source of note information (SE) [OBSOLETE]', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('547', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('547', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('547', 'a', 'Nota sulla complessità del titolo precedente', 'Nota sulla complessità del titolo precedente', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('547', 'z', 'Source of note information (SE) [OBSOLETE]', 'Source of note information (SE) [OBSOLETE]', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('550', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('550', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('550', 'a', 'Nota sull\'ente responsabile', 'Nota sull\'ente responsabile', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('550', 'z', 'Source of note information (SE) [OBSOLETE]', 'Source of note information (SE) [OBSOLETE]', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('552', '6', 'Collegamento', 'Collegamento', 0, 0, '', 5, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('552', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 5, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('552', 'a', 'Etichetta del tipo di ente', 'Etichetta del tipo di ente', 0, 0, '', 5, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('552', 'b', 'Definizione e fonte del tipo di ente', 'Definizione e fonte del tipo di ente', 0, 0, '', 5, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('552', 'c', 'Etichetta dell\'attributo', 'Etichetta dell\'attributo', 0, 0, '', 5, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('552', 'd', 'Definizione e fonte dell\'attributo', 'Definizione e fonte dell\'attributo', 0, 0, '', 5, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('552', 'e', 'Valore del dominio enumerato', 'Valore del dominio enumerato', 1, 0, '', 5, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('552', 'f', 'Definizione e fonte del valore del dominio enumerato', 'Definizione e fonte del valore del dominio enumerato', 1, 0, '', 5, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('552', 'g', 'Minimo e massimo del range del dominio', 'Minimo e massimo del range del dominio', 0, 0, '', 5, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('552', 'h', 'Nome e fonte del set dei codici', 'Nome e fonte del set dei codici', 0, 0, '', 5, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('552', 'i', 'Dominio non rappresentabile', 'Dominio non rappresentabile', 0, 0, '', 5, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('552', 'j', 'Unità di misura e risoluzione degli attributi', 'Unità di misura e risoluzione degli attributi', 0, 0, '', 5, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('552', 'k', 'Data d\'inizio e data di fine dei valori dell\'attributo', 'Data d\'inizio e data di fine dei valori dell\'attributo', 0, 0, '', 5, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('552', 'l', 'Esattezza del valore dell\'attributo', 'Esattezza del valore dell\'attributo', 0, 0, '', 5, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('552', 'm', 'Spiegazione dell\'esattezza del valore dell\'attributo', 'Spiegazione dell\'esattezza del valore dell\'attributo', 0, 0, '', 5, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('552', 'n', 'Frequenza della misura d\'attributo', 'Frequenza della misura d\'attributo', 0, 0, '', 5, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('552', 'o', 'Riassunto di ente e d\'attributo', 'Riassunto di ente e d\'attributo', 1, 0, '', 5, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('552', 'p', 'Citazione dei dettagli di ente e d\'attributo', 'Citazione dei dettagli di ente e d\'attributo', 1, 0, '', 5, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('552', 'u', 'URI (Uniform Resource Identifier)', 'URI (Uniform Resource Identifier)', 1, 0, '', 5, '', '', '', 1, -6, 'SER', '', '', NULL),
		('552', 'z', 'Nota di visualizzazione', 'Nota di visualizzazione', 1, 0, '', 5, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('555', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('555', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('555', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('555', 'a', 'Nota sull\'indice cumulativo/strumenti di ricerca', 'Nota sull\'indice cumulativo/strumenti di ricerca', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('555', 'b', 'Fonte di disponibilità', 'Fonte di disponibilità', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('555', 'c', 'Grado di controllo', 'Grado di controllo', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('555', 'd', 'Riferimento bibliografico', 'Riferimento bibliografico', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('555', 'u', 'URI (Uniform Resource Identifier)', 'URI (Uniform Resource Identifier)', 1, 0, NULL, 5, NULL, NULL, '', 1, -6, 'SER', '', '', NULL),
		('556', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('556', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('556', 'a', 'Nota d\'informazione sulla documentazione', 'Nota d\'informazione sulla documentazione', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('556', 'z', 'ISBN (International Standard Book Number)', 'ISBN (International Standard Book Number)', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('561', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('561', '5', 'Istituzione a cui si applica il campo', 'Istituzione a cui si applica il campo', 0, 0, '', 5, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('561', '6', 'Collegamento', 'Collegamento', 0, 0, '', 5, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('561', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 5, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('561', 'a', 'Storia', 'Storia', 0, 0, '', 5, '', '', '', NULL, 6, 'SER', '', '', NULL),
		('561', 'b', 'Time of collation [OBSOLETE]', 'Time of collation [OBSOLETE]', 0, 0, '', 5, '', '', '', NULL, 6, 'SER', '', '', NULL),
		('562', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('562', '5', 'Istituzione a cui si applica il campo', 'Istituzione a cui si applica il campo', 0, 0, NULL, -1, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('562', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('562', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('562', 'a', 'Marche d\'identificazione', 'Marche d\'identificazione', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('562', 'b', 'Identificazione della copia', 'Identificazione della copia', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('562', 'c', 'Identificazione della versione', 'Identificazione della versione', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('562', 'd', 'Formato di presentazione', 'Formato di presentazione', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('562', 'e', 'Numero di copie', 'Numero di copie', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('563', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('563', '5', 'Istituzione a cui si applica il campo', 'Istituzione a cui si applica il campo', 0, 0, NULL, -1, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('563', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('563', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('563', 'a', 'Nota sulla rilegatura', 'Nota sulla rilegatura', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('563', 'u', 'URI (Uniform Resource Identifier)', 'URI (Uniform Resource Identifier)', 1, 0, NULL, 5, NULL, NULL, '', 1, -6, 'SER', '', '', NULL),
		('565', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('565', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('565', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('565', 'a', 'Numero di pratiche/variabili', 'Numero di pratiche/variabili', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('565', 'b', 'Nome della variabile', 'Nome della variabile', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('565', 'c', 'Unità d\'analisi', 'Unità d\'analisi', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('565', 'd', 'Universo dei dati', 'Universo dei dati', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('565', 'e', 'Sistema o codice d’archiviazione', 'Sistema o codice d’archiviazione', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('567', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('567', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('567', 'a', 'Nota sulla metodologia', 'Nota sulla metodologia', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('570', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('570', 'a', 'Editor note', 'Editor note', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('570', 'z', 'Source of note information', 'Source of note information', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('580', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('580', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('580', 'a', 'Nota di collegamento complesso', 'Nota di collegamento complesso', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('580', 'z', 'Source of note information [OBSOLETE]', 'Source of note information [OBSOLETE]', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('581', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('581', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('581', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('581', 'a', 'Nota di pubblicazioni sui materiali descritti', 'Nota di pubblicazioni sui materiali descritti', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('581', 'z', 'ISBN (International Standard Book Number)', 'ISBN (International Standard Book Number)', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('582', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('582', 'a', 'Related computer files note', 'Related computer files note', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('583', '2', 'Fonte', 'Fonte', 0, 0, NULL, 9, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('583', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, NULL, 9, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('583', '5', 'Istituzione a cui si applica il campo', 'Istituzione a cui si applica il campo', 0, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('583', '6', 'Collegamento', 'Collegamento', 0, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('583', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('583', 'a', 'Azione', 'Azione', 0, 0, '', 9, '', '', '', NULL, -1, 'SER', '', '', NULL),
		('583', 'b', 'Identificazione dell\'azione', 'Identificazione dell\'azione', 1, 0, '', 9, '', '', '', NULL, -1, 'SER', '', '', NULL),
		('583', 'c', 'Momento/data dell\'azione', 'Momento/data dell\'azione', 1, 0, '', 9, '', '', '', NULL, -1, 'SER', '', '', NULL),
		('583', 'd', 'Intervallo dell\'azione', 'Intervallo dell\'azione', 1, 0, '', 9, '', '', '', NULL, -1, 'SER', '', '', NULL),
		('583', 'e', 'Contingenza per l\'azione', 'Contingenza per l\'azione', 1, 0, '', 9, '', '', '', NULL, -1, 'SER', '', '', NULL),
		('583', 'f', 'Autorizzazione', 'Autorizzazione', 1, 0, '', 9, '', '', '', NULL, -1, 'SER', '', '', NULL),
		('583', 'h', 'Competenza legale', 'Competenza legale', 0, 0, '', 9, '', '', '', NULL, -1, 'SER', '', '', NULL),
		('583', 'i', 'Metodo dell\'azione', 'Metodo dell\'azione', 1, 0, '', 9, '', '', '', NULL, -1, 'SER', '', '', NULL),
		('583', 'j', 'Luogo dell\'azione', 'Luogo dell\'azione', 1, 0, '', 9, '', '', '', NULL, -1, 'SER', '', '', NULL),
		('583', 'k', 'Agente dell\'azione', 'Agente dell\'azione', 1, 0, '', 9, '', '', '', NULL, -1, 'SER', '', '', NULL),
		('583', 'l', 'Stato', 'Stato', 1, 0, '', 9, '', '', '', NULL, -1, 'SER', '', '', NULL),
		('583', 'n', 'Estensione', 'Estensione', 1, 0, '', 9, '', '', '', NULL, -1, 'SER', '', '', NULL),
		('583', 'o', 'Tipo di materiale', 'Tipo di materiale', 1, 0, '', 9, '', '', '', NULL, -1, 'SER', '', '', NULL),
		('583', 'u', 'URI (Uniform Resource Identifier)', 'URI (Uniform Resource Identifier)', 1, 0, '', 9, '', '', '', 1, -1, 'SER', '', '', NULL),
		('583', 'x', 'Nota non pubblic', 'Nota non pubblic', 1, 0, '', 9, '', '', '', NULL, 4, 'SER', '', '', NULL),
		('583', 'z', 'Nota pubblica', 'Nota pubblica', 1, 0, '', 9, '', '', '', NULL, -1, 'SER', '', '', NULL),
		('584', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('584', '5', 'Istituzione a cui si applica il campo', 'Istituzione a cui si applica il campo', 0, 0, '', 5, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('584', '6', 'Collegamento', 'Collegamento', 0, 0, '', 5, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('584', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 5, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('584', 'a', 'Accumulo', 'Accumulo', 1, 0, '', 5, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('584', 'b', 'Frequenza d\'uso', 'Frequenza d\'uso', 1, 0, '', 5, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('585', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('585', '5', 'Istituzione a cui si applica il campo', 'Istituzione a cui si applica il campo', 0, -6, '', 5, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('585', '6', 'Collegamento', 'Collegamento', 0, 0, '', 5, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('585', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 5, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('585', 'a', 'Nota di mostre', 'Nota di mostre', 0, 0, '', 5, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('586', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('586', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('586', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('586', 'a', 'Nota di premi', 'Nota di premi', 0, 0, NULL, 5, NULL, NULL, '', NULL, -1, 'SER', '', '', NULL),
		('590', '6', 'Linkage (RLIN)', 'Linkage (RLIN)', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('590', '8', 'Field link and sequence number (RLIN)', 'Field link and sequence number (RLIN)', 1, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('590', 'a', 'Local note', 'Local note', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('590', 'b', 'Provenance (VM) [OBSOLETE]', 'Provenance (VM) [OBSOLETE]', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('590', 'c', 'Condition of individual reels (VM) [OBSOLETE]', 'Condition of individual reels (VM) [OBSOLETE]', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('590', 'd', 'Origin of safety copy (VM) [OBSOLETE]', 'Origin of safety copy (VM) [OBSOLETE]', 0, 0, NULL, 5, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('600', '2', 'Fonte dell\'intestazione o del termine', 'Fonte dell\'intestazione o del termine', 0, 0, '', 6, '', '', '', NULL, -1, 'SER', '', '', NULL),
		('600', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, '', 6, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('600', '4', 'Codice di ruolo', 'Codice di ruolo', 1, 0, '', 6, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('600', '6', 'Collegamento', 'Collegamento', 0, 0, '', 6, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('600', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 6, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('600', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 6, '', '', '', 0, -5, 'SER', '', '', NULL),
		('600', 'a', 'Nome di persona', 'Nome di persona', 0, 0, '', 6, '', 'PERSO_NAME', '', NULL, -1, 'SER', '', '', NULL),
		('600', 'b', 'Numerazione', 'Numerazione', 0, 0, '', 6, '', '', '', NULL, -1, 'SER', '', '', NULL),
		('600', 'c', 'Titoli e altre parole associate al nome', 'Titoli e altre parole associate al nome', 1, 0, '', 6, '', '', '', NULL, -1, 'SER', '', '', NULL),
		('600', 'd', 'Date associate al nome', 'Date associate al nome', 0, 0, '', 6, '', '', '', NULL, -1, 'SER', '', '', NULL),
		('600', 'e', 'Termine di ruolo', 'Termine di ruolo', 1, 0, '', 6, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('600', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, '', 6, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('600', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, '', 6, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('600', 'h', 'Supporto', 'Supporto', 0, 0, '', 6, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('600', 'j', 'Qualificazione d\'attribuzione', 'Qualificazione d\'attribuzione', 1, 0, '', 6, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('600', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, '', 6, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('600', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, '', 6, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('600', 'm', 'Mezzo di esecuzione per la musica', 'Mezzo di esecuzione per la musica', 1, 0, '', 6, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('600', 'n', 'Numero di parte/sezione dell\'opera', 'Numero di parte/sezione dell\'opera', 1, 0, '', 6, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('600', 'o', 'Formulazione d\'arrangiamento per la musica', 'Formulazione d\'arrangiamento per la musica', 0, 0, '', 6, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('600', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, '', 6, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('600', 'q', 'Forma completa del nome', 'Forma completa del nome', 0, 0, '', 6, '', '', '', NULL, -1, 'SER', '', '', NULL),
		('600', 'r', 'Tonalità (musica)', 'Tonalità (musica)', 0, 0, '', 6, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('600', 's', 'Versione', 'Versione', 0, 0, '', 6, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('600', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, '', 6, '', '', '', NULL, -1, 'SER', '', '', NULL),
		('600', 'u', 'Affiliazione', 'Affiliazione', 0, 0, '', 6, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('600', 'v', 'Suddivisione geografica', 'Suddivisione geografica', 1, 0, '', 6, '', '', '', NULL, -1, 'SER', '', '', NULL),
		('600', 'x', 'Suddivisione generale', 'Suddivisione generale', 1, 0, '', 6, '', '', '', NULL, -1, 'SER', '', '', NULL),
		('600', 'y', 'Suddivisione cronologica', 'Suddivisione cronologica', 1, 0, '', 6, '', '', '', NULL, -1, 'SER', '', '', NULL),
		('600', 'z', 'Suddivisione geografica', 'Suddivisione geografica', 1, 0, '', 6, '', '', '', NULL, -1, 'SER', '', '', NULL),
		('610', '2', 'Fonte dell\'intestazione o del termine', 'Fonte dell\'intestazione o del termine', 0, 0, '', 6, '', '', '', NULL, -1, 'SER', '', '', NULL),
		('610', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, '', 6, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('610', '4', 'Codice di ruolo', 'Codice di ruolo', 1, 0, '', 6, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('610', '6', 'Collegamento', 'Collegamento', 0, 0, '', 6, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('610', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 6, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('610', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 6, '', '', '', 0, -5, 'SER', '', '', NULL),
		('610', 'a', 'Nome dell\'ente o nome della giurisdizione come accesso', 'Nome dell\'ente o nome della giurisdizione come accesso', 0, 0, '', 6, '', 'CORPO_NAME', '', NULL, -1, 'SER', '', '', NULL),
		('610', 'b', 'Unità subordinata', 'Unità subordinata', 1, 0, '', 6, '', '', '', NULL, -1, 'SER', '', '', NULL),
		('610', 'c', 'Luogo del convegno', 'Luogo del convegno', 0, 0, '', 6, '', '', '', NULL, -1, 'SER', '', '', NULL),
		('610', 'd', 'Data del convegno o di firma del trattato', 'Data del convegno o di firma del trattato', 1, 0, '', 6, '', '', '', NULL, -1, 'SER', '', '', NULL),
		('610', 'e', 'Termine di ruolo', 'Termine di ruolo', 1, 0, '', 6, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('610', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, '', 6, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('610', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, '', 6, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('610', 'h', 'Supporto', 'Supporto', 0, 0, '', 6, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('610', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, '', 6, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('610', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, '', 6, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('610', 'm', 'Mezzo di esecuzione per la musica', 'Mezzo di esecuzione per la musica', 1, 0, '', 6, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('610', 'n', 'Numero di parte/sezione/convegno', 'Numero di parte/sezione/convegno', 1, 0, '', 6, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('610', 'o', 'Formulazione d\'arrangiamento per la musica', 'Formulazione d\'arrangiamento per la musica', 0, 0, '', 6, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('610', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, '', 6, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('610', 'r', 'Tonalità (musica)', 'Tonalità (musica)', 0, 0, '', 6, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('610', 's', 'Versione', 'Versione', 0, 0, '', 6, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('610', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, '', 6, '', '', '', NULL, -1, 'SER', '', '', NULL),
		('610', 'u', 'Affiliazione', 'Affiliazione', 0, 0, '', 6, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('610', 'v', 'Suddivisione geografica', 'Suddivisione geografica', 1, 0, '', 6, '', '', '', NULL, -1, 'SER', '', '', NULL),
		('610', 'x', 'Suddivisione generale', 'Suddivisione generale', 1, 0, '', 6, '', '', '', NULL, -1, 'SER', '', '', NULL),
		('610', 'y', 'Suddivisione cronologica', 'Suddivisione cronologica', 1, 0, '', 6, '', '', '', NULL, -1, 'SER', '', '', NULL),
		('610', 'z', 'Suddivisione geografica', 'Suddivisione geografica', 1, 0, '', 6, '', '', '', NULL, -1, 'SER', '', '', NULL),
		('611', '2', 'Fonte dell\'intestazione o del termine', 'Fonte dell\'intestazione o del termine', 0, 0, NULL, 6, NULL, NULL, '', NULL, -1, 'SER', '', '', NULL),
		('611', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('611', '4', 'Codice di ruolo', 'Codice di ruolo', 1, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('611', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('611', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('611', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 6, '', '', '', 0, -5, 'SER', '', '', NULL),
		('611', 'a', 'Nome del convegno o nome della giurisdizione come accesso', 'Nome del convegno o nome della giurisdizione come accesso', 0, 0, NULL, 6, NULL, 'MEETI_NAME', '', NULL, -1, 'SER', '', '', NULL),
		('611', 'b', 'Number  (BK CF MP MU SE VM MX)  [OBSOLETE]', 'Number  (BK CF MP MU SE VM MX)  [OBSOLETE]', 1, 0, NULL, -1, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('611', 'c', 'Luogo del convegno', 'Luogo del convegno', 0, 0, NULL, 6, NULL, NULL, '', NULL, -1, 'SER', '', '', NULL),
		('611', 'd', 'Data del convegno', 'Data del convegno', 0, 0, NULL, 6, NULL, NULL, '', NULL, -1, 'SER', '', '', NULL),
		('611', 'e', 'Unità subordinata', 'Unità subordinata', 1, 0, NULL, 6, NULL, NULL, '', NULL, -1, 'SER', '', '', NULL),
		('611', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('611', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('611', 'h', 'Supporto', 'Supporto', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('611', 'j', 'Termine di ruolo', 'Termine di ruolo', 1, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('611', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('611', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('611', 'n', 'Numero di parte/sezione/convegno', 'Numero di parte/sezione/convegno', 1, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('611', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('611', 'q', 'Nome del convegno dopo accesso di nome della giurisdizione', 'Nome del convegno dopo accesso di nome della giurisdizione', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('611', 's', 'Versione', 'Versione', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('611', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, NULL, 6, NULL, NULL, '', NULL, -1, 'SER', '', '', NULL),
		('611', 'u', 'Affiliazione', 'Affiliazione', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('611', 'v', 'Suddivisione geografica', 'Suddivisione geografica', 1, 0, NULL, 6, NULL, NULL, '', NULL, -1, 'SER', '', '', NULL),
		('611', 'x', 'Suddivisione generale', 'Suddivisione generale', 1, 0, NULL, 6, NULL, NULL, '', NULL, -1, 'SER', '', '', NULL),
		('611', 'y', 'Suddivisione cronologica', 'Suddivisione cronologica', 1, 0, NULL, 6, NULL, NULL, '', NULL, -1, 'SER', '', '', NULL),
		('611', 'z', 'Suddivisione geografica', 'Suddivisione geografica', 1, 0, NULL, 6, NULL, NULL, '', NULL, -1, 'SER', '', '', NULL),
		('630', '2', 'Fonte dell\'intestazione o del termine', 'Fonte dell\'intestazione o del termine', 0, 0, NULL, 6, NULL, NULL, '', NULL, -1, 'SER', '', '', NULL),
		('630', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('630', '4', 'Codice di ruolo', 'Codice di ruolo', 1, 0, '', 6, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('630', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('630', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('630', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 6, '', '', '', 0, -5, 'SER', '', '', NULL),
		('630', 'a', 'Titolo uniforme', 'Titolo uniforme', 0, 0, NULL, 6, NULL, 'UNIF_TITLE', '', NULL, -1, 'SER', '', '', NULL),
		('630', 'd', 'Data di firma del trattato', 'Data di firma del trattato', 1, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('630', 'e', 'Termine di ruolo', 'Termine di ruolo', 1, 0, '', 6, '', '', '', NULL, -1, 'SER', '', '', NULL),
		('630', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('630', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('630', 'h', 'Supporto', 'Supporto', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('630', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('630', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, NULL, 6, NULL, NULL, '', NULL, -1, 'SER', '', '', NULL),
		('630', 'm', 'Mezzo di esecuzione per la musica', 'Mezzo di esecuzione per la musica', 1, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('630', 'n', 'Numero di parte/sezione dell\'opera', 'Numero di parte/sezione dell\'opera', 1, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('630', 'o', 'Formulazione d\'arrangiamento per la musica', 'Formulazione d\'arrangiamento per la musica', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('630', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('630', 'r', 'Tonalità (musica)', 'Tonalità (musica)', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('630', 's', 'Versione', 'Versione', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('630', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, NULL, 6, NULL, NULL, '', NULL, -1, 'SER', '', '', NULL),
		('630', 'v', 'Suddivisione geografica', 'Suddivisione geografica', 1, 0, NULL, 6, NULL, NULL, '', NULL, -1, 'SER', '', '', NULL),
		('630', 'x', 'Suddivisione generale', 'Suddivisione generale', 1, 0, NULL, 6, NULL, NULL, '', NULL, -1, 'SER', '', '', NULL),
		('630', 'y', 'Suddivisione cronologica', 'Suddivisione cronologica', 1, 0, NULL, 6, NULL, NULL, '', NULL, -1, 'SER', '', '', NULL),
		('630', 'z', 'Suddivisione geografica', 'Suddivisione geografica', 1, 0, NULL, 6, NULL, NULL, '', NULL, -1, 'SER', '', '', NULL),
		('648', '2', 'Fonte dell\'intestazione o del termine', 'Fonte dell\'intestazione o del termine', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('648', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('648', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('648', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('648', 'a', 'Termine cronologico', 'Termine cronologico', 0, 0, NULL, 6, NULL, 'CHRON_TERM', '', NULL, -6, 'SER', '', '', NULL),
		('648', 'v', 'Suddivisione geografica', 'Suddivisione geografica', 1, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('648', 'x', 'Suddivisione generale', 'Suddivisione generale', 1, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('648', 'y', 'Suddivisione cronologica', 'Suddivisione cronologica', 1, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('648', 'z', 'Suddivisione geografica', 'Suddivisione geografica', 1, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('650', '2', 'Fonte dell\'intestazione o del termine', 'Fonte dell\'intestazione o del termine', 0, 0, '', 6, '', '', '', 0, 0, 'SER', '', '', NULL),
		('650', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, '', 6, '', '', '', 0, -6, 'SER', '', '', NULL),
		('650', '4', 'Codice di ruolo', 'Codice di ruolo', 1, 0, '', 6, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('650', '6', 'Collegamento', 'Collegamento', 0, 0, '', 6, '', '', '', 0, -6, 'SER', '', '', NULL),
		('650', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 6, '', '', '', 0, -6, 'SER', '', '', NULL),
		('650', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 6, '', '', '', 0, -5, 'SER', '', '', NULL),
		('650', 'a', 'Termine topico o nome geografico come accesso', 'Termine topico o nome geografico come accesso', 0, 0, 'bibliosubject.subject', 6, '', 'TOPIC_TERM', '', 0, 0, 'SER', '''6003'',''600a'',''600b'',''600c'',''600d'',''600e'',''600f'',''600g'',''600h'',''600k'',''600l'',''600m'',''600n'',''600o'',''600p'',''600r'',''600s'',''600t'',''600u'',''600x'',''600z'',''600y'',''600v'',''6103'',''610a'',''610b'',''610c'',''610d'',''610e'',''610f'',''610g'',''610h'',''610k'',''610l'',''610m'',''610n'',''610o'',''610p'',''610r'',''610s'',''610t'',''610u'',''610x'',''610z'',''610y'',''610v'',''6113'',''611a'',''611b'',''611c'',''611d'',''611e'',''611f'',''611g'',''611h'',''611k'',''611l'',''611m'',''611n'',''611o'',''611p'',''611r'',''611s'',''611t'',''611u'',''611x'',''611z'',''611y'',''611v'',''630a'',''630b'',''630c'',''630d'',''630e'',''630f'',''630g'',''630h'',''630k'',''630l'',''630m'',''630n'',''630o'',''630p'',''630r'',''630s'',''630t'',''630x'',''630z'',''630y'',''630v'',''6483'',''648a'',''648x'',''648z'',''648y'',''648v'',''6503'',''650b'',''650c'',''650d'',''650e'',''650x'',''650z'',''650y'',''650v'',''6513'',''651a'',''651b'',''651c'',''651d'',''651e'',''651x'',''651z'',''651y'',''651v'',''653a'',''6543'',''654a'',''654b'',''654x'',''654z'',''654y'',''654v'',''6553'',''655a'',''655b'',''655x'',''655z'',''655y'',''655v'',''6563'',''656a'',''656k'',''656x'',''656z'',''656y'',''656v'',''6573'',''657a'',''657x'',''657z'',''657y'',''657v'',''658a'',''658b'',''658c'',''658d'',''658v''', '', NULL),
		('650', 'b', 'Nome geografico che precede un termine topico come accesso', 'Nome geografico che precede un termine topico come accesso', 0, 0, '', 6, '', '', '', 0, -1, 'SER', '', '', NULL),
		('650', 'c', 'Luogo dell\'evento', 'Luogo dell\'evento', 0, 0, '', 6, '', '', '', 0, -1, 'SER', '', '', NULL),
		('650', 'd', 'Date d\'attività', 'Date d\'attività', 0, 0, '', 6, '', '', '', 0, -1, 'SER', '', '', NULL),
		('650', 'e', 'Termine di ruolo', 'Termine di ruolo', 0, 0, '', 6, '', '', '', 0, -1, 'SER', '', '', NULL),
		('650', 'v', 'Suddivisione geografica', 'Suddivisione geografica', 1, 0, '', 6, '', '', '', 0, 0, 'SER', '', '', NULL),
		('650', 'x', 'Suddivisione generale', 'Suddivisione generale', 1, 0, '', 6, '', '', '', 0, 0, 'SER', '', '', NULL),
		('650', 'y', 'Suddivisione cronologica', 'Suddivisione cronologica', 1, 0, '', 6, '', '', '', 0, 0, 'SER', '', '', NULL),
		('650', 'z', 'Suddivisione geografica', 'Suddivisione geografica', 1, 0, '', 6, '', '', '', 0, 0, 'SER', '', '', NULL),
		('651', '2', 'Fonte dell\'intestazione o del termine', 'Fonte dell\'intestazione o del termine', 0, 0, '', 6, '', '', '', NULL, -1, 'SER', '', '', NULL),
		('651', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, '', 6, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('651', '4', 'Codice di ruolo', 'Codice di ruolo', 1, 0, '', 6, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('651', '6', 'Collegamento', 'Collegamento', 0, 0, '', 6, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('651', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 6, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('651', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 6, '', '', '', 0, -5, 'SER', '', '', NULL),
		('651', 'a', 'Nome geografico', 'Nome geografico', 0, 0, '', 6, '', 'GEOGR_NAME', '', NULL, -1, 'SER', '', '', NULL),
		('651', 'b', 'Geographic name following place entry element [OBSOLETE]', 'Geographic name following place entry element [OBSOLETE]', 1, 0, '', 6, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('651', 'e', 'Termine di ruolo', 'Termine di ruolo', 1, 0, '', 6, '', '', '', NULL, -1, 'SER', '', '', NULL),
		('651', 'v', 'Suddivisione geografica', 'Suddivisione geografica', 1, 0, '', 6, '', '', '', NULL, -1, 'SER', '', '', NULL),
		('651', 'x', 'Suddivisione generale', 'Suddivisione generale', 1, 0, '', 6, '', '', '', NULL, -1, 'SER', '', '', NULL),
		('651', 'y', 'Suddivisione cronologica', 'Suddivisione cronologica', 1, 0, '', 6, '', '', '', NULL, -1, 'SER', '', '', NULL),
		('651', 'z', 'Suddivisione geografica', 'Suddivisione geografica', 1, 0, '', 6, '', '', '', NULL, -1, 'SER', '', '', NULL),
		('652', 'a', 'Nome geografico del luogo', 'Nome geografico del luogo', 0, 0, '', 6, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('652', 'x', 'Suddivisione generale', 'Suddivisione generale', 1, 0, '', 6, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('652', 'y', 'Suddivisione cronologica', 'Suddivisione cronologica', 1, 0, '', 6, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('652', 'z', 'Suddivisione geografica', 'Suddivisione geografica', 1, 0, '', 6, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('653', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('653', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('653', 'a', 'Termine non controllato', 'Termine non controllato', 1, 0, NULL, 6, NULL, NULL, '', NULL, -1, 'SER', '', '', NULL),
		('654', '2', 'Fonte', 'Fonte', 0, 0, '', 6, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('654', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, '', 6, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('654', '4', 'Codice di ruolo', 'Codice di ruolo', 1, 0, '', 6, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('654', '6', 'Collegamento', 'Collegamento', 0, 0, '', 6, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('654', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 6, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('654', 'a', 'Termine principale', 'Termine principale', 1, 0, '', 6, '', 'TOPIC_TERM', '', NULL, -6, 'SER', '', '', NULL),
		('654', 'b', 'Termine non principale', 'Termine non principale', 1, 0, '', 6, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('654', 'c', 'Designazione di faccetta/gerarchia', 'Designazione di faccetta/gerarchia', 1, 0, '', 6, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('654', 'e', 'Termine di ruolo', 'Termine di ruolo', 1, 0, '', 6, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('654', 'v', 'Suddivisione geografica', 'Suddivisione geografica', 1, 0, '', 6, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('654', 'x', 'Suddivisione generale', 'Suddivisione generale', 1, 0, '', 6, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('654', 'y', 'Suddivisione cronologica', 'Suddivisione cronologica', 1, 0, '', 6, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('654', 'z', 'Suddivisione geografica', 'Suddivisione geografica', 1, 0, '', 6, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('655', '2', 'Fonte', 'Fonte', 0, 0, '', 6, '', '', '', NULL, -1, 'SER', '', '', NULL),
		('655', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, '', 6, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('655', '5', 'Istituzione a cui si applica il campo', 'Istituzione a cui si applica il campo', 0, 0, '', 6, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('655', '6', 'Collegamento', 'Collegamento', 0, 0, '', 6, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('655', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 6, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('655', 'a', 'Termine principale di genere/forma', 'Termine principale di genere/forma', 0, 0, '', 6, '', 'GENRE/FORM', '', NULL, -1, 'SER', '', '', NULL),
		('655', 'b', 'Termine non principale', 'Termine non principale', 1, 0, '', 6, '', '', '', NULL, -1, 'SER', '', '', NULL),
		('655', 'c', 'Designazione di faccetta/gerarchia', 'Designazione di faccetta/gerarchia', 1, 0, '', 6, '', '', '', NULL, -1, 'SER', '', '', NULL),
		('655', 'v', 'Suddivisione geografica', 'Suddivisione geografica', 1, 0, '', 6, '', '', '', NULL, -1, 'SER', '', '', NULL),
		('655', 'x', 'Suddivisione generale', 'Suddivisione generale', 1, 0, '', 6, '', '', '', NULL, -1, 'SER', '', '', NULL),
		('655', 'y', 'Suddivisione cronologica', 'Suddivisione cronologica', 1, 0, '', 6, '', '', '', NULL, -1, 'SER', '', '', NULL),
		('655', 'z', 'Suddivisione geografica', 'Suddivisione geografica', 1, 0, '', 6, '', '', '', NULL, -1, 'SER', '', '', NULL),
		('656', '2', 'Fonte', 'Fonte', 0, 0, '', 6, '', '', '', NULL, -1, 'SER', '', '', NULL),
		('656', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, '', 6, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('656', '6', 'Collegamento', 'Collegamento', 0, 0, '', 6, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('656', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 6, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('656', 'a', 'Occupazione', 'Occupazione', 0, 0, '', 6, '', 'TOPIC_TERM', '', NULL, -1, 'SER', '', '', NULL),
		('656', 'k', 'Forma', 'Forma', 0, 0, '', 6, '', '', '', NULL, -1, 'SER', '', '', NULL),
		('656', 'v', 'Suddivisione geografica', 'Suddivisione geografica', 1, 0, '', 6, '', '', '', NULL, -1, 'SER', '', '', NULL),
		('656', 'x', 'Suddivisione generale', 'Suddivisione generale', 1, 0, '', 6, '', '', '', NULL, -1, 'SER', '', '', NULL),
		('656', 'y', 'Suddivisione cronologica', 'Suddivisione cronologica', 1, 0, '', 6, '', '', '', NULL, -1, 'SER', '', '', NULL),
		('656', 'z', 'Suddivisione geografica', 'Suddivisione geografica', 1, 0, '', 6, '', '', '', NULL, -1, 'SER', '', '', NULL),
		('657', '2', 'Fonte', 'Fonte', 0, 0, '', 6, '', '', '', NULL, -1, 'SER', '', '', NULL),
		('657', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, '', 6, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('657', '6', 'Collegamento', 'Collegamento', 0, 0, '', 6, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('657', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 6, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('657', 'a', 'Funzione', 'Funzione', 0, 0, '', 6, '', 'TOPIC_TERM', '', NULL, -1, 'SER', '', '', NULL),
		('657', 'v', 'Suddivisione geografica', 'Suddivisione geografica', 1, 0, '', 6, '', '', '', NULL, -1, 'SER', '', '', NULL),
		('657', 'x', 'Suddivisione generale', 'Suddivisione generale', 1, 0, '', 6, '', '', '', NULL, -1, 'SER', '', '', NULL),
		('657', 'y', 'Suddivisione cronologica', 'Suddivisione cronologica', 1, 0, '', 6, '', '', '', NULL, -1, 'SER', '', '', NULL),
		('657', 'z', 'Suddivisione geografica', 'Suddivisione geografica', 1, 0, '', 6, '', '', '', NULL, -1, 'SER', '', '', NULL),
		('658', '2', 'Fonte', 'Fonte', 0, 0, '', 6, '', '', '', NULL, -1, 'SER', '', '', NULL),
		('658', '6', 'Collegamento', 'Collegamento', 0, 0, '', 6, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('658', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 6, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('658', 'a', 'Obiettivo principale del curriculum scolastico', 'Obiettivo principale del curriculum scolastico', 0, 0, '', 6, '', 'TOPIC_TERM', '', NULL, 0, 'SER', '', '', NULL),
		('658', 'b', 'Obiettivo secondario del curriculum scolastico', 'Obiettivo secondario del curriculum scolastico', 1, 0, '', 6, '', '', '', NULL, 0, 'SER', '', '', NULL),
		('658', 'c', 'Codice di curriculum scolastico', 'Codice di curriculum scolastico', 0, 0, '', 6, '', '', '', NULL, 0, 'SER', '', '', NULL),
		('658', 'd', 'Fattore di correlazione', 'Fattore di correlazione', 0, 0, '', 6, '', '', '', NULL, -1, 'SER', '', '', NULL),
		('662', '2', 'Fonte', 'Fonte', 0, 0, '', 6, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('662', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, '', 6, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('662', '4', 'Codice di ruolo', 'Codice di ruolo', 1, 0, '', 6, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('662', '6', 'Collegamento', 'Collegamento', 0, 0, '', 6, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('662', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 6, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('662', 'a', 'Paese o ente maggiore', 'Paese o ente maggiore', 1, 0, '', 6, '', 'GEOGR_NAME', '', NULL, -6, 'SER', '', '', NULL),
		('662', 'b', 'Giurisdizione politica principale', 'Giurisdizione politica principale', 0, 0, '', 6, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('662', 'c', 'Giurisdizione politica intermedia', 'Giurisdizione politica intermedia', 1, 0, '', 6, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('662', 'd', 'Città', 'Città', 0, 0, '', 6, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('662', 'e', 'Termine di ruolo', 'Termine di ruolo', 1, 0, '', 6, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('662', 'f', 'Suddivisione comunale', 'Suddivisione comunale', 1, 0, '', 6, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('662', 'g', 'Altra regione e caratteristica geografica non giurisdizionale', 'Altra regione e caratteristica geografica non giurisdizionale', 1, 0, '', 6, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('662', 'h', 'Paese o ente maggiore', 'Paese o ente maggiore', 1, 0, '', 6, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('690', '%', '% (RLIN)', '% (RLIN)', 0, 0, '', 6, '', '', '', 0, -6, 'SER', '', '', NULL),
		('690', '2', 'Fonte dell\'intestazione o del termine', 'Fonte dell\'intestazione o del termine', 0, 0, '', 6, '', '', '', 0, -6, 'SER', '', '', NULL),
		('690', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, '', 6, '', '', '', 0, -6, 'SER', '', '', NULL),
		('690', '6', 'Collegamento', 'Collegamento', 0, 0, '', 6, '', '', '', 0, -6, 'SER', '', '', NULL),
		('690', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 6, '', '', '', 0, -6, 'SER', '', '', NULL),
		('690', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 6, '', '', '', 0, -5, 'SER', '', '', NULL),
		('690', 'a', 'Termine topico o nome geografico come accesso', 'Termine topico o nome geografico come accesso', 0, 0, '', 6, '', 'TOPIC_TERM', '', 0, -1, 'SER', '', '', NULL),
		('690', 'b', 'Nome geografico che precede un termine topico come accesso', 'Nome geografico che precede un termine topico come accesso', 0, 0, '', 6, '', '', '', 0, -1, 'SER', '', '', NULL),
		('690', 'c', 'Luogo dell\'evento', 'Luogo dell\'evento', 0, 0, '', 6, '', '', '', 0, -1, 'SER', '', '', NULL),
		('690', 'd', 'Date d\'attività', 'Date d\'attività', 0, 0, '', 6, '', '', '', 0, -6, 'SER', '', '', NULL),
		('690', 'e', 'Termine di ruolo', 'Termine di ruolo', 0, 0, '', 6, '', '', '', 0, -6, 'SER', '', '', NULL),
		('690', 'v', 'Suddivisione geografica', 'Suddivisione geografica', 1, 0, '', 6, '', '', '', 0, -1, 'SER', '', '', NULL),
		('690', 'x', 'Suddivisione generale', 'Suddivisione generale', 1, 0, '', 6, '', '', '', 0, -1, 'SER', '', '', NULL),
		('690', 'y', 'Suddivisione cronologica', 'Suddivisione cronologica', 1, 0, '', 6, '', '', '', 0, -1, 'SER', '', '', NULL),
		('690', 'z', 'Suddivisione geografica', 'Suddivisione geografica', 1, 0, '', 6, '', '', '', 0, -1, 'SER', '', '', NULL),
		('691', '%', '% (RLIN)', '% (RLIN)', 0, 0, '', 6, '', '', '', 0, -6, 'SER', '', '', NULL),
		('691', '2', 'Fonte dell\'intestazione o del termine', 'Fonte dell\'intestazione o del termine', 0, 0, '', 6, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('691', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, '', 6, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('691', '6', 'Collegamento', 'Collegamento', 0, 0, '', 6, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('691', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 6, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('691', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 6, '', '', '', 0, -5, 'SER', '', '', NULL),
		('691', 'a', 'Nome geografico', 'Nome geografico', 0, 0, '', 6, '', 'GEOGR_NAME', '', NULL, -6, 'SER', '', '', NULL),
		('691', 'b', 'Geographic name following place entry element [OBSOLETE]', 'Geographic name following place entry element [OBSOLETE]', 1, 0, '', 6, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('691', 'v', 'Suddivisione geografica', 'Suddivisione geografica', 1, 0, '', 6, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('691', 'x', 'Suddivisione generale', 'Suddivisione generale', 1, 0, '', 6, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('691', 'y', 'Suddivisione cronologica', 'Suddivisione cronologica', 1, 0, '', 6, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('691', 'z', 'Suddivisione geografica', 'Suddivisione geografica', 1, 0, '', 6, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('696', '%', '% (RLIN)', '% (RLIN)', 0, 0, '', 6, '', '', '', 0, -6, 'SER', '', '', NULL),
		('696', '2', 'Fonte dell\'intestazione o del termine', 'Fonte dell\'intestazione o del termine', 0, 0, '', 6, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('696', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, '', 6, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('696', '4', 'Codice di ruolo', 'Codice di ruolo', 1, 0, '', 6, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('696', '6', 'Collegamento', 'Collegamento', 0, 0, '', 6, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('696', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 6, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('696', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 6, '', '', '', 0, -5, 'SER', '', '', NULL),
		('696', 'a', 'Nome di persona', 'Nome di persona', 0, 0, '', 6, '', 'PERSO_NAME', '', NULL, -6, 'SER', '', '', NULL),
		('696', 'b', 'Numerazione', 'Numerazione', 0, 0, '', 6, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('696', 'c', 'Titoli e altre parole associate al nome', 'Titoli e altre parole associate al nome', 1, 0, '', 6, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('696', 'd', 'Date associate al nome', 'Date associate al nome', 0, 0, '', 6, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('696', 'e', 'Termine di ruolo', 'Termine di ruolo', 1, 0, '', 6, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('696', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, '', 6, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('696', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, '', 6, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('696', 'h', 'Supporto', 'Supporto', 0, 0, '', 6, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('696', 'j', 'Qualificazione d\'attribuzione', 'Qualificazione d\'attribuzione', 1, 0, '', 6, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('696', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, '', 6, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('696', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, '', 6, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('696', 'm', 'Mezzo di esecuzione per la musica', 'Mezzo di esecuzione per la musica', 1, 0, '', 6, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('696', 'n', 'Numero di parte/sezione dell\'opera', 'Numero di parte/sezione dell\'opera', 1, 0, '', 6, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('696', 'o', 'Formulazione d\'arrangiamento per la musica', 'Formulazione d\'arrangiamento per la musica', 0, 0, '', 6, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('696', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, '', 6, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('696', 'q', 'Forma completa del nome', 'Forma completa del nome', 0, 0, '', 6, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('696', 'r', 'Tonalità (musica)', 'Tonalità (musica)', 0, 0, '', 6, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('696', 's', 'Versione', 'Versione', 0, 0, '', 6, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('696', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, '', 6, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('696', 'u', 'Affiliazione', 'Affiliazione', 0, 0, '', 6, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('696', 'v', 'Suddivisione geografica', 'Suddivisione geografica', 1, 0, '', 6, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('696', 'x', 'Suddivisione generale', 'Suddivisione generale', 1, 0, '', 6, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('696', 'y', 'Suddivisione cronologica', 'Suddivisione cronologica', 1, 0, '', 6, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('696', 'z', 'Suddivisione geografica', 'Suddivisione geografica', 1, 0, '', 6, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('697', '%', '% (RLIN)', '% (RLIN)', 0, 0, '', 6, '', '', '', 0, -6, 'SER', '', '', NULL),
		('697', '2', 'Fonte dell\'intestazione o del termine', 'Fonte dell\'intestazione o del termine', 0, 0, '', 6, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('697', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, '', 6, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('697', '4', 'Codice di ruolo', 'Codice di ruolo', 1, 0, '', 6, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('697', '6', 'Collegamento', 'Collegamento', 0, 0, '', 6, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('697', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 6, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('697', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 6, '', '', '', 0, -5, 'SER', '', '', NULL),
		('697', 'a', 'Nome dell\'ente o nome della giurisdizione come accesso', 'Nome dell\'ente o nome della giurisdizione come accesso', 0, 0, '', 6, '', 'CORPO_NAME', '', NULL, -6, 'SER', '', '', NULL),
		('697', 'b', 'Unità subordinata', 'Unità subordinata', 1, 0, '', 6, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('697', 'c', 'Luogo del convegno', 'Luogo del convegno', 0, 0, '', 6, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('697', 'd', 'Data del convegno o di firma del trattato', 'Data del convegno o di firma del trattato', 1, 0, '', 6, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('697', 'e', 'Termine di ruolo', 'Termine di ruolo', 1, 0, '', 6, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('697', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, '', 6, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('697', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, '', 6, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('697', 'h', 'Supporto', 'Supporto', 0, 0, '', 6, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('697', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, '', 6, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('697', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, '', 6, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('697', 'm', 'Mezzo di esecuzione per la musica', 'Mezzo di esecuzione per la musica', 1, 0, '', 6, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('697', 'n', 'Numero di parte/sezione/convegno', 'Numero di parte/sezione/convegno', 1, 0, '', 6, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('697', 'o', 'Formulazione d\'arrangiamento per la musica', 'Formulazione d\'arrangiamento per la musica', 0, 0, '', 6, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('697', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, '', 6, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('697', 'r', 'Tonalità (musica)', 'Tonalità (musica)', 0, 0, '', 6, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('697', 's', 'Versione', 'Versione', 0, 0, '', 6, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('697', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, '', 6, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('697', 'u', 'Affiliazione', 'Affiliazione', 0, 0, '', 6, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('697', 'v', 'Suddivisione geografica', 'Suddivisione geografica', 1, 0, '', 6, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('697', 'x', 'Suddivisione generale', 'Suddivisione generale', 1, 0, '', 6, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('697', 'y', 'Suddivisione cronologica', 'Suddivisione cronologica', 1, 0, '', 6, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('697', 'z', 'Suddivisione geografica', 'Suddivisione geografica', 1, 0, '', 6, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('698', '%', '% (RLIN)', '% (RLIN)', 0, 0, '', 6, '', '', '', 0, -6, 'SER', '', '', NULL),
		('698', '2', 'Fonte dell\'intestazione o del termine', 'Fonte dell\'intestazione o del termine', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('698', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('698', '4', 'Codice di ruolo', 'Codice di ruolo', 1, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('698', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('698', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('698', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 6, '', '', '', 0, -5, 'SER', '', '', NULL),
		('698', 'a', 'Nome del convegno o nome della giurisdizione come accesso', 'Nome del convegno o nome della giurisdizione come accesso', 0, 0, NULL, 6, NULL, 'MEETI_NAME', '', NULL, -6, 'SER', '', '', NULL),
		('698', 'b', 'Number  (BK CF MP MU SE VM MX)  [OBSOLETE]', 'Number  (BK CF MP MU SE VM MX)  [OBSOLETE]', 1, 0, NULL, -1, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('698', 'c', 'Luogo del convegno', 'Luogo del convegno', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('698', 'd', 'Data del convegno', 'Data del convegno', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('698', 'e', 'Unità subordinata', 'Unità subordinata', 1, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('698', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('698', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('698', 'h', 'Supporto', 'Supporto', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('698', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('698', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('698', 'n', 'Numero di parte/sezione/convegno', 'Numero di parte/sezione/convegno', 1, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('698', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('698', 'q', 'Nome del convegno dopo accesso di nome della giurisdizione', 'Nome del convegno dopo accesso di nome della giurisdizione', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('698', 's', 'Versione', 'Versione', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('698', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('698', 'u', 'Affiliazione', 'Affiliazione', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('698', 'v', 'Suddivisione geografica', 'Suddivisione geografica', 1, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('698', 'x', 'Suddivisione generale', 'Suddivisione generale', 1, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('698', 'y', 'Suddivisione cronologica', 'Suddivisione cronologica', 1, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('698', 'z', 'Suddivisione geografica', 'Suddivisione geografica', 1, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('699', '%', '% (RLIN)', '% (RLIN)', 0, 0, '', 6, '', '', '', 0, -6, 'SER', '', '', NULL),
		('699', '2', 'Fonte dell\'intestazione o del termine', 'Fonte dell\'intestazione o del termine', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('699', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('699', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('699', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('699', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 6, '', '', '', 0, -5, 'SER', '', '', NULL),
		('699', 'a', 'Titolo uniforme', 'Titolo uniforme', 0, 0, NULL, 6, NULL, 'UNIF_TITLE', '', NULL, -6, 'SER', '', '', NULL),
		('699', 'd', 'Data di firma del trattato', 'Data di firma del trattato', 1, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('699', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('699', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('699', 'h', 'Supporto', 'Supporto', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('699', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('699', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('699', 'm', 'Mezzo di esecuzione per la musica', 'Mezzo di esecuzione per la musica', 1, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('699', 'n', 'Numero di parte/sezione dell\'opera', 'Numero di parte/sezione dell\'opera', 1, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('699', 'o', 'Formulazione d\'arrangiamento per la musica', 'Formulazione d\'arrangiamento per la musica', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('699', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('699', 'r', 'Tonalità (musica)', 'Tonalità (musica)', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('699', 's', 'Versione', 'Versione', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('699', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('699', 'v', 'Suddivisione geografica', 'Suddivisione geografica', 1, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('699', 'x', 'Suddivisione generale', 'Suddivisione generale', 1, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('699', 'y', 'Suddivisione cronologica', 'Suddivisione cronologica', 1, 0, NULL, 6, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('700', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, '', 7, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('700', '4', 'Codice di ruolo', 'Codice di ruolo', 1, 0, '', 7, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('700', '5', 'Istituzione a cui si applica il campo', 'Istituzione a cui si applica il campo', 0, 0, '', 7, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('700', '6', 'Collegamento', 'Collegamento', 0, 0, '', 7, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('700', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 7, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('700', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 7, '', '', '', 0, -5, 'SER', '', '', NULL),
		('700', 'a', 'Nome di persona', 'Nome di persona', 0, 0, 'additionalauthors.author', 7, '', 'PERSO_NAME', '', NULL, -1, 'SER', '', '', NULL),
		('700', 'b', 'Numerazione', 'Numerazione', 0, 0, '', 7, '', '', '', NULL, -1, 'SER', '', '', NULL),
		('700', 'c', 'Titoli e altre parole associate al nome', 'Titoli e altre parole associate al nome', 1, 0, '', 7, '', '', '', NULL, -1, 'SER', '', '', NULL),
		('700', 'd', 'Date associate al nome', 'Date associate al nome', 0, 0, '', 7, '', '', '', NULL, -1, 'SER', '', '', NULL),
		('700', 'e', 'Termine di ruolo', 'Termine di ruolo', 1, 0, '', 7, '', '', '', NULL, -1, 'SER', '', '', NULL),
		('700', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, '', 7, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('700', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, '', 7, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('700', 'h', 'Supporto', 'Supporto', 0, 0, '', 7, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('700', 'j', 'Qualificazione d\'attribuzione', 'Qualificazione d\'attribuzione', 1, 0, '', 7, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('700', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, '', 7, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('700', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, '', 7, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('700', 'm', 'Mezzo di esecuzione per la musica', 'Mezzo di esecuzione per la musica', 1, 0, '', 7, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('700', 'n', 'Numero di parte/sezione dell\'opera', 'Numero di parte/sezione dell\'opera', 1, 0, '', 7, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('700', 'o', 'Formulazione d\'arrangiamento per la musica', 'Formulazione d\'arrangiamento per la musica', 0, 0, '', 7, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('700', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, '', 7, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('700', 'q', 'Forma completa del nome', 'Forma completa del nome', 0, 0, '', 7, '', '', '', NULL, -1, 'SER', '', '', NULL),
		('700', 'r', 'Tonalità (musica)', 'Tonalità (musica)', 0, 0, '', 7, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('700', 's', 'Versione', 'Versione', 0, 0, '', 7, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('700', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, '', 7, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('700', 'u', 'Affiliazione', 'Affiliazione', 0, 0, '', 7, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('700', 'x', 'ISSN (International Standard Serial Number)', 'ISSN (International Standard Serial Number)', 0, 0, '', 7, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('705', 'a', 'Nome di persona', 'Nome di persona', 0, 0, '', 7, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('705', 'b', 'Numerazione', 'Numerazione', 0, 0, '', 7, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('705', 'c', 'Titoli e altre parole associate al nome', 'Titoli e altre parole associate al nome', 1, 0, '', 7, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('705', 'd', 'Date associate al nome', 'Date associate al nome', 0, 0, '', 7, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('705', 'e', 'Termine di ruolo', 'Termine di ruolo', 1, 0, '', 7, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('705', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, '', 7, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('705', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, '', 7, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('705', 'h', 'Supporto', 'Supporto', 0, 0, '', 7, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('705', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, '', 7, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('705', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, '', 7, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('705', 'm', 'Mezzo di esecuzione per la musica', 'Mezzo di esecuzione per la musica', 1, 0, '', 7, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('705', 'n', 'Numero di parte/sezione dell\'opera', 'Numero di parte/sezione dell\'opera', 1, 0, '', 7, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('705', 'o', 'Formulazione d\'arrangiamento per la musica', 'Formulazione d\'arrangiamento per la musica', 0, 0, '', 7, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('705', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, '', 7, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('705', 'r', 'Tonalità (musica)', 'Tonalità (musica)', 0, 0, '', 7, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('705', 's', 'Versione', 'Versione', 0, 0, '', 7, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('705', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, '', 7, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('710', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, '', 7, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('710', '4', 'Codice di ruolo', 'Codice di ruolo', 1, 0, '', 7, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('710', '5', 'Istituzione a cui si applica il campo', 'Istituzione a cui si applica il campo', 0, 0, '', 7, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('710', '6', 'Collegamento', 'Collegamento', 0, 0, '', 7, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('710', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 7, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('710', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 7, '', '', '', 0, -5, 'SER', '', '', NULL),
		('710', 'a', 'Nome dell\'ente o nome della giurisdizione come accesso', 'Nome dell\'ente o nome della giurisdizione come accesso', 0, 0, '', 7, '', 'CORPO_NAME', '', NULL, -1, 'SER', '', '', NULL),
		('710', 'b', 'Unità subordinata', 'Unità subordinata', 1, 0, '', 7, '', '', '', NULL, -1, 'SER', '', '', NULL),
		('710', 'c', 'Luogo del convegno', 'Luogo del convegno', 0, 0, '', 7, '', '', '', NULL, -1, 'SER', '', '', NULL),
		('710', 'd', 'Data del convegno o di firma del trattato', 'Data del convegno o di firma del trattato', 1, 0, '', 7, '', '', '', NULL, -1, 'SER', '', '', NULL),
		('710', 'e', 'Termine di ruolo', 'Termine di ruolo', 1, 0, '', 7, '', '', '', NULL, -1, 'SER', '', '', NULL),
		('710', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, '', 7, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('710', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, '', 7, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('710', 'h', 'Supporto', 'Supporto', 0, 0, '', 7, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('710', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, '', 7, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('710', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, '', 7, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('710', 'm', 'Mezzo di esecuzione per la musica', 'Mezzo di esecuzione per la musica', 1, 0, '', 7, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('710', 'n', 'Numero di parte/sezione/convegno', 'Numero di parte/sezione/convegno', 1, 0, '', 7, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('710', 'o', 'Formulazione d\'arrangiamento per la musica', 'Formulazione d\'arrangiamento per la musica', 0, 0, '', 7, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('710', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, '', 7, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('710', 'r', 'Tonalità (musica)', 'Tonalità (musica)', 0, 0, '', 7, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('710', 's', 'Versione', 'Versione', 0, 0, '', 7, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('710', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, '', 7, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('710', 'u', 'Affiliazione', 'Affiliazione', 0, 0, '', 7, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('710', 'x', 'ISSN (International Standard Serial Number)', 'ISSN (International Standard Serial Number)', 0, 0, '', 7, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('711', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('711', '4', 'Codice di ruolo', 'Codice di ruolo', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('711', '5', 'Istituzione a cui si applica il campo', 'Istituzione a cui si applica il campo', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('711', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('711', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('711', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 7, '', '', '', 0, -5, 'SER', '', '', NULL),
		('711', 'a', 'Nome del convegno o nome della giurisdizione come accesso', 'Nome del convegno o nome della giurisdizione come accesso', 0, 0, NULL, 7, NULL, 'MEETI_NAME', '', NULL, -1, 'SER', '', '', NULL),
		('711', 'b', 'Number (BK CF MP MU SE VM MX) [OBSOLETE]', 'Number (BK CF MP MU SE VM MX) [OBSOLETE]', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('711', 'c', 'Luogo del convegno', 'Luogo del convegno', 0, 0, NULL, 7, NULL, NULL, '', NULL, -1, 'SER', '', '', NULL),
		('711', 'd', 'Data del convegno', 'Data del convegno', 0, 0, NULL, 7, NULL, NULL, '', NULL, -1, 'SER', '', '', NULL),
		('711', 'e', 'Unità subordinata', 'Unità subordinata', 1, 0, NULL, 7, NULL, NULL, '', NULL, -1, 'SER', '', '', NULL),
		('711', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('711', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('711', 'h', 'Supporto', 'Supporto', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('711', 'j', 'Termine di ruolo', 'Termine di ruolo', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('711', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('711', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('711', 'n', 'Numero di parte/sezione/convegno', 'Numero di parte/sezione/convegno', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('711', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('711', 'q', 'Nome del convegno dopo accesso di nome della giurisdizione', 'Nome del convegno dopo accesso di nome della giurisdizione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('711', 's', 'Versione', 'Versione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('711', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('711', 'u', 'Affiliazione', 'Affiliazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('711', 'x', 'ISSN (International Standard Serial Number)', 'ISSN (International Standard Serial Number)', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('715', '%', '% (RLIN)', '% (RLIN)', 0, 0, '', 7, '', '', '', 0, -6, 'SER', '', '', NULL),
		('715', 'a', 'Ragione sociale o nome giuridico', 'Ragione sociale o nome giuridico', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('715', 'b', 'Unità subordinata', 'Unità subordinata', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('715', 'e', 'Termine di ruolo', 'Termine di ruolo', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('715', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('715', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('715', 'h', 'Supporto', 'Supporto', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('715', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('715', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('715', 'n', 'Numero di parte/sezione/convegno', 'Numero di parte/sezione/convegno', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('715', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('715', 'r', 'Tonalità (musica)', 'Tonalità (musica)', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('715', 's', 'Versione', 'Versione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('715', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('715', 'u', 'Nonprinting information', 'Nonprinting information', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('720', '4', 'Codice di ruolo', 'Codice di ruolo', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('720', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('720', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('720', 'a', 'Nome', 'Nome', 0, 0, '', 7, NULL, NULL, '', NULL, -1, 'SER', '', '', NULL),
		('720', 'e', 'Termine di ruolo', 'Termine di ruolo', 1, 0, NULL, 7, NULL, NULL, '', NULL, -1, 'SER', '', '', NULL),
		('730', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, '', 7, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('730', '5', 'Istituzione a cui si applica il campo', 'Istituzione a cui si applica il campo', 0, 0, '', 7, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('730', '6', 'Collegamento', 'Collegamento', 0, 0, '', 7, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('730', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 7, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('730', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 7, '', '', '', 0, -5, 'SER', '', '', NULL),
		('730', 'a', 'Titolo uniforme', 'Titolo uniforme', 0, 0, '', 7, '', 'UNIF_TITLE', '', NULL, -6, 'SER', '', '', NULL),
		('730', 'd', 'Data di firma del trattato', 'Data di firma del trattato', 1, 0, '', 7, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('730', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, '', 7, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('730', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, '', 7, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('730', 'h', 'Supporto', 'Supporto', 0, 0, '', 7, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('730', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, '', 7, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('730', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, '', 7, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('730', 'm', 'Mezzo di esecuzione per la musica', 'Mezzo di esecuzione per la musica', 1, 0, '', 7, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('730', 'n', 'Numero di parte/sezione dell\'opera', 'Numero di parte/sezione dell\'opera', 1, 0, '', 7, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('730', 'o', 'Formulazione d\'arrangiamento per la musica', 'Formulazione d\'arrangiamento per la musica', 0, 0, '', 7, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('730', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, '', 7, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('730', 'r', 'Tonalità (musica)', 'Tonalità (musica)', 0, 0, '', 7, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('730', 's', 'Versione', 'Versione', 0, 0, '', 7, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('730', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, '', 7, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('730', 'x', 'ISSN (International Standard Serial Number)', 'ISSN (International Standard Serial Number)', 0, 0, '', 7, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('740', '5', 'Istituzione a cui si applica il campo', 'Istituzione a cui si applica il campo', 0, 0, '', 7, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('740', '6', 'Collegamento', 'Collegamento', 0, 0, '', 7, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('740', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 7, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('740', 'a', 'Titolo analitico/correlato non controllato', 'Titolo analitico/correlato non controllato', 0, 0, '', 7, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('740', 'h', 'Supporto', 'Supporto', 0, 0, '', 7, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('740', 'n', 'Numero di parte/sezione dell\'opera', 'Numero di parte/sezione dell\'opera', 1, 0, '', 7, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('740', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, '', 7, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('752', '2', 'Fonte dell\'intestazione o del termine', 'Fonte dell\'intestazione o del termine', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('752', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('752', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('752', 'a', 'Paese o ente maggiore', 'Paese o ente maggiore', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('752', 'b', 'Giurisdizione politica principale', 'Giurisdizione politica principale', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('752', 'c', 'Giurisdizione politica intermedia', 'Giurisdizione politica intermedia', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('752', 'd', 'Città', 'Città', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('752', 'f', 'Suddivisione comunale', 'Suddivisione comunale', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('752', 'g', 'Altra regione e caratteristica geografica non giurisdizionale', 'Altra regione e caratteristica geografica non giurisdizionale', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('752', 'h', 'Paese o ente maggiore', 'Paese o ente maggiore', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('753', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('753', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('753', 'a', 'Marca e modello della macchina', 'Marca e modello della macchina', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('753', 'b', 'Linguaggio di programmazione', 'Linguaggio di programmazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('753', 'c', 'Sistema operativo', 'Sistema operativo', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('754', '2', 'Fonte dell\'identificazione tassonomica', 'Fonte dell\'identificazione tassonomica', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('754', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('754', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('754', 'a', 'Nome tassonomico', 'Nome tassonomico', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('754', 'c', 'Categoria tassonomica', 'Categoria tassonomica', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('754', 'd', 'Nome comune o alternativo', 'Nome comune o alternativo', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('754', 'x', 'Nota non pubblica', 'Nota non pubblica', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('754', 'z', 'Nota pubblica', 'Nota pubblica', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('755', '2', 'Fonte dell\'identificazione tassonomica', 'Fonte dell\'identificazione tassonomica', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('755', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, '', 7, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('755', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('755', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('755', 'a', 'Termine d\'accesso', 'Termine d\'accesso', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('755', 'x', 'Suddivisione generale', 'Suddivisione generale', 1, 0, '', 7, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('755', 'y', 'Suddivisione cronologica', 'Suddivisione cronologica', 1, 0, '', 7, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('755', 'z', 'Suddivisione geografica', 'Suddivisione geografica', 1, 0, '', 7, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('760', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('760', '7', 'Sottocampo di controllo', 'Sottocampo di controllo', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('760', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('760', 'a', 'Intestazione principale', 'Intestazione principale', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('760', 'b', 'Edizione', 'Edizione', 0, 0, NULL, 7, NULL, NULL, '', NULL, 0, 'SER', '', '', NULL),
		('760', 'c', 'Qualificazione', 'Qualificazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('760', 'd', 'Luogo, editore e data di pubblicazione', 'Luogo, editore e data di pubblicazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('760', 'g', 'Informazione sulla relazione', 'Informazione sulla relazione', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('760', 'h', 'Descrizione fisica', 'Descrizione fisica', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('760', 'i', 'Informazione sulla relazione', 'Informazione sulla relazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('760', 'm', 'Dettagli specifici del materiale', 'Dettagli specifici del materiale', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('760', 'n', 'Nota', 'Nota', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('760', 'o', 'Altro identificatore dell\'item', 'Altro identificatore dell\'item', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('760', 'q', 'Parallel title (BK SE) [OBSOLETE]', 'Parallel title (BK SE) [OBSOLETE]', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('760', 's', 'Titolo uniforme', 'Titolo uniforme', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('760', 't', 'Titolo', 'Titolo', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('760', 'w', 'Numero di controllo della registrazione', 'Numero di controllo della registrazione', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('760', 'x', 'ISSN (International Standard Serial Number)', 'ISSN (International Standard Serial Number)', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('760', 'y', 'Designazione CODEN', 'Designazione CODEN', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('762', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('762', '7', 'Sottocampo di controllo', 'Sottocampo di controllo', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('762', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('762', 'a', 'Intestazione principale', 'Intestazione principale', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('762', 'b', 'Edizione', 'Edizione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('762', 'c', 'Qualificazione', 'Qualificazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('762', 'd', 'Luogo, editore e data di pubblicazione', 'Luogo, editore e data di pubblicazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('762', 'g', 'Informazione sulla relazione', 'Informazione sulla relazione', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('762', 'h', 'Descrizione fisica', 'Descrizione fisica', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('762', 'i', 'Informazione sulla relazione', 'Informazione sulla relazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('762', 'm', 'Dettagli specifici del materiale', 'Dettagli specifici del materiale', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('762', 'n', 'Nota', 'Nota', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('762', 'o', 'Altro identificatore dell\'item', 'Altro identificatore dell\'item', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('762', 'q', 'Parallel title (BK SE) [OBSOLETE]', 'Parallel title (BK SE) [OBSOLETE]', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('762', 's', 'Titolo uniforme', 'Titolo uniforme', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('762', 't', 'Titolo', 'Titolo', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('762', 'w', 'Numero di controllo della registrazione', 'Numero di controllo della registrazione', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('762', 'x', 'ISSN (International Standard Serial Number)', 'ISSN (International Standard Serial Number)', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('762', 'y', 'Designazione CODEN', 'Designazione CODEN', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('765', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('765', '7', 'Sottocampo di controllo', 'Sottocampo di controllo', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('765', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('765', 'a', 'Intestazione principale', 'Intestazione principale', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('765', 'b', 'Edizione', 'Edizione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('765', 'c', 'Qualificazione', 'Qualificazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('765', 'd', 'Luogo, editore e data di pubblicazione', 'Luogo, editore e data di pubblicazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('765', 'g', 'Informazione sulla relazione', 'Informazione sulla relazione', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('765', 'h', 'Descrizione fisica', 'Descrizione fisica', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('765', 'i', 'Informazione sulla relazione', 'Informazione sulla relazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('765', 'k', 'Dati della serie dell\'item correlato', 'Dati della serie dell\'item correlato', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('765', 'm', 'Dettagli specifici del materiale', 'Dettagli specifici del materiale', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('765', 'n', 'Nota', 'Nota', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('765', 'o', 'Altro identificatore dell\'item', 'Altro identificatore dell\'item', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('765', 'q', 'Parallel title (BK SE)  [OBSOLETE]', 'Parallel title (BK SE)  [OBSOLETE]', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('765', 'r', 'Numero di rapporto', 'Numero di rapporto', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('765', 's', 'Titolo uniforme', 'Titolo uniforme', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('765', 't', 'Titolo', 'Titolo', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('765', 'u', 'Standard Technical Report Number', 'Standard Technical Report Number', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('765', 'w', 'Numero di controllo della registrazione', 'Numero di controllo della registrazione', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('765', 'x', 'ISSN (International Standard Serial Number)', 'ISSN (International Standard Serial Number)', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('765', 'y', 'Designazione CODEN', 'Designazione CODEN', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('765', 'z', 'ISBN (International Standard Book Number)', 'ISBN (International Standard Book Number)', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('767', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('767', '7', 'Sottocampo di controllo', 'Sottocampo di controllo', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('767', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('767', 'a', 'Intestazione principale', 'Intestazione principale', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('767', 'b', 'Edizione', 'Edizione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('767', 'c', 'Qualificazione', 'Qualificazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('767', 'd', 'Luogo, editore e data di pubblicazione', 'Luogo, editore e data di pubblicazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('767', 'g', 'Informazione sulla relazione', 'Informazione sulla relazione', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('767', 'h', 'Descrizione fisica', 'Descrizione fisica', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('767', 'i', 'Informazione sulla relazione', 'Informazione sulla relazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('767', 'k', 'Dati della serie dell\'item correlato', 'Dati della serie dell\'item correlato', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('767', 'm', 'Dettagli specifici del materiale', 'Dettagli specifici del materiale', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('767', 'n', 'Nota', 'Nota', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('767', 'o', 'Altro identificatore dell\'item', 'Altro identificatore dell\'item', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('767', 'q', 'Parallel title (BK SE) [OBSOLETE]', 'Parallel title (BK SE) [OBSOLETE]', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('767', 'r', 'Numero di rapporto', 'Numero di rapporto', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('767', 's', 'Titolo uniforme', 'Titolo uniforme', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('767', 't', 'Titolo', 'Titolo', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('767', 'u', 'Standard Technical Report Number', 'Standard Technical Report Number', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('767', 'w', 'Numero di controllo della registrazione', 'Numero di controllo della registrazione', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('767', 'x', 'ISSN (International Standard Serial Number)', 'ISSN (International Standard Serial Number)', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('767', 'y', 'Designazione CODEN', 'Designazione CODEN', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('767', 'z', 'ISBN (International Standard Book Number)', 'ISBN (International Standard Book Number)', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('770', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('770', '7', 'Sottocampo di controllo', 'Sottocampo di controllo', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('770', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('770', 'a', 'Intestazione principale', 'Intestazione principale', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('770', 'b', 'Edizione', 'Edizione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('770', 'c', 'Qualificazione', 'Qualificazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('770', 'd', 'Luogo, editore e data di pubblicazione', 'Luogo, editore e data di pubblicazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('770', 'g', 'Informazione sulla relazione', 'Informazione sulla relazione', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('770', 'h', 'Descrizione fisica', 'Descrizione fisica', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('770', 'i', 'Informazione sulla relazione', 'Informazione sulla relazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('770', 'k', 'Dati della serie dell\'item correlato', 'Dati della serie dell\'item correlato', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('770', 'm', 'Dettagli specifici del materiale', 'Dettagli specifici del materiale', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('770', 'n', 'Nota', 'Nota', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('770', 'o', 'Altro identificatore dell\'item', 'Altro identificatore dell\'item', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('770', 'q', 'Parallel title (BK SE) [OBSOLETE]', 'Parallel title (BK SE) [OBSOLETE]', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('770', 'r', 'Numero di rapporto', 'Numero di rapporto', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('770', 's', 'Titolo uniforme', 'Titolo uniforme', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('770', 't', 'Titolo', 'Titolo', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('770', 'u', 'Standard Technical Report Number', 'Standard Technical Report Number', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('770', 'w', 'Numero di controllo della registrazione', 'Numero di controllo della registrazione', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('770', 'x', 'ISSN (International Standard Serial Number)', 'ISSN (International Standard Serial Number)', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('770', 'y', 'Designazione CODEN', 'Designazione CODEN', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('770', 'z', 'ISBN (International Standard Book Number)', 'ISBN (International Standard Book Number)', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('772', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('772', '7', 'Sottocampo di controllo', 'Sottocampo di controllo', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('772', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('772', 'a', 'Intestazione principale', 'Intestazione principale', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('772', 'b', 'Edizione', 'Edizione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('772', 'c', 'Qualificazione', 'Qualificazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('772', 'd', 'Luogo, editore e data di pubblicazione', 'Luogo, editore e data di pubblicazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('772', 'g', 'Informazione sulla relazione', 'Informazione sulla relazione', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('772', 'h', 'Descrizione fisica', 'Descrizione fisica', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('772', 'i', 'Informazione sulla relazione', 'Informazione sulla relazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('772', 'k', 'Dati della serie dell\'item correlato', 'Dati della serie dell\'item correlato', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('772', 'm', 'Dettagli specifici del materiale', 'Dettagli specifici del materiale', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('772', 'n', 'Nota', 'Nota', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('772', 'o', 'Altro identificatore dell\'item', 'Altro identificatore dell\'item', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('772', 'q', 'Parallel title (BK SE) [OBSOLETE]', 'Parallel title (BK SE) [OBSOLETE]', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('772', 'r', 'Numero di rapporto', 'Numero di rapporto', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('772', 's', 'Titolo uniforme', 'Titolo uniforme', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('772', 't', 'Titolo', 'Titolo', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('772', 'u', 'Standard Technical Report Number', 'Standard Technical Report Number', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('772', 'w', 'Numero di controllo della registrazione', 'Numero di controllo della registrazione', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('772', 'x', 'ISSN (International Standard Serial Number)', 'ISSN (International Standard Serial Number)', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('772', 'y', 'Designazione CODEN', 'Designazione CODEN', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('772', 'z', 'ISBN (International Standard Book Number)', 'ISBN (International Standard Book Number)', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('773', '0', 'Codice record bibliografico contenente lo spoglio', 'Codice record bibliografico contenente lo spoglio', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('773', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('773', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('773', '7', 'Sottocampo di controllo', 'Sottocampo di controllo', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('773', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('773', '9', 'Codice copia contenete lo spoglio', 'Codice copia contenete lo spoglio', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('773', 'a', 'Intestazione principale', 'Intestazione principale', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('773', 'b', 'Edizione', 'Edizione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('773', 'd', 'Luogo, editore e data di pubblicazione', 'Luogo, editore e data di pubblicazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('773', 'g', 'Informazione sulla relazione', 'Informazione sulla relazione', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('773', 'h', 'Descrizione fisica', 'Descrizione fisica', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('773', 'i', 'Informazione sulla relazione', 'Informazione sulla relazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('773', 'k', 'Dati della serie dell\'item correlato', 'Dati della serie dell\'item correlato', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('773', 'm', 'Dettagli specifici del materiale', 'Dettagli specifici del materiale', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('773', 'n', 'Nota', 'Nota', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('773', 'o', 'Altro identificatore dell\'item', 'Altro identificatore dell\'item', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('773', 'p', 'Titolo abbreviato', 'Titolo abbreviato', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('773', 'r', 'Numero di rapporto', 'Numero di rapporto', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('773', 's', 'Titolo uniforme', 'Titolo uniforme', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('773', 't', 'Titolo', 'Titolo', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('773', 'u', 'Standard Technical Report Number', 'Standard Technical Report Number', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('773', 'w', 'Numero di controllo della registrazione', 'Numero di controllo della registrazione', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('773', 'x', 'ISSN (International Standard Serial Number)', 'ISSN (International Standard Serial Number)', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('773', 'y', 'Designazione CODEN', 'Designazione CODEN', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('773', 'z', 'ISBN (International Standard Book Number)', 'ISBN (International Standard Book Number)', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('774', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('774', '7', 'Sottocampo di controllo', 'Sottocampo di controllo', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('774', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('774', 'a', 'Intestazione principale', 'Intestazione principale', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('774', 'b', 'Edizione', 'Edizione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('774', 'c', 'Qualificazione', 'Qualificazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('774', 'd', 'Luogo, editore e data di pubblicazione', 'Luogo, editore e data di pubblicazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('774', 'g', 'Informazione sulla relazione', 'Informazione sulla relazione', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('774', 'h', 'Descrizione fisica', 'Descrizione fisica', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('774', 'i', 'Informazione sulla relazione', 'Informazione sulla relazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('774', 'k', 'Dati della serie dell\'item correlato', 'Dati della serie dell\'item correlato', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('774', 'm', 'Dettagli specifici del materiale', 'Dettagli specifici del materiale', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('774', 'n', 'Nota', 'Nota', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('774', 'o', 'Altro identificatore dell\'item', 'Altro identificatore dell\'item', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('774', 'r', 'Numero di rapporto', 'Numero di rapporto', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('774', 's', 'Titolo uniforme', 'Titolo uniforme', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('774', 't', 'Titolo', 'Titolo', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('774', 'u', 'Standard Technical Report Number', 'Standard Technical Report Number', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('774', 'w', 'Numero di controllo della registrazione', 'Numero di controllo della registrazione', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('774', 'x', 'ISSN (International Standard Serial Number)', 'ISSN (International Standard Serial Number)', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('774', 'y', 'Designazione CODEN', 'Designazione CODEN', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('774', 'z', 'ISBN (International Standard Book Number)', 'ISBN (International Standard Book Number)', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('775', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('775', '7', 'Sottocampo di controllo', 'Sottocampo di controllo', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('775', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('775', 'a', 'Intestazione principale', 'Intestazione principale', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('775', 'b', 'Edizione', 'Edizione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('775', 'c', 'Qualificazione', 'Qualificazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('775', 'd', 'Luogo, editore e data di pubblicazione', 'Luogo, editore e data di pubblicazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('775', 'e', 'Codice lingua', 'Codice lingua', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('775', 'f', 'Codice di paese', 'Codice di paese', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('775', 'g', 'Informazione sulla relazione', 'Informazione sulla relazione', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('775', 'h', 'Descrizione fisica', 'Descrizione fisica', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('775', 'i', 'Informazione sulla relazione', 'Informazione sulla relazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('775', 'k', 'Dati della serie dell\'item correlato', 'Dati della serie dell\'item correlato', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('775', 'm', 'Dettagli specifici del materiale', 'Dettagli specifici del materiale', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('775', 'n', 'Nota', 'Nota', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('775', 'o', 'Altro identificatore dell\'item', 'Altro identificatore dell\'item', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('775', 'q', 'Parallel title (BK SE) [OBSOLETE]', 'Parallel title (BK SE) [OBSOLETE]', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('775', 'r', 'Numero di rapporto', 'Numero di rapporto', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('775', 's', 'Titolo uniforme', 'Titolo uniforme', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('775', 't', 'Titolo', 'Titolo', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('775', 'u', 'Standard Technical Report Number', 'Standard Technical Report Number', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('775', 'w', 'Numero di controllo della registrazione', 'Numero di controllo della registrazione', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('775', 'x', 'ISSN (International Standard Serial Number)', 'ISSN (International Standard Serial Number)', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('775', 'y', 'Designazione CODEN', 'Designazione CODEN', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('775', 'z', 'ISBN (International Standard Book Number)', 'ISBN (International Standard Book Number)', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('776', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('776', '7', 'Sottocampo di controllo', 'Sottocampo di controllo', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('776', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('776', 'a', 'Intestazione principale', 'Intestazione principale', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('776', 'b', 'Edizione', 'Edizione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('776', 'c', 'Qualificazione', 'Qualificazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('776', 'd', 'Luogo, editore e data di pubblicazione', 'Luogo, editore e data di pubblicazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('776', 'g', 'Informazione sulla relazione', 'Informazione sulla relazione', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('776', 'h', 'Descrizione fisica', 'Descrizione fisica', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('776', 'i', 'Informazione sulla relazione', 'Informazione sulla relazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('776', 'k', 'Dati della serie dell\'item correlato', 'Dati della serie dell\'item correlato', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('776', 'm', 'Dettagli specifici del materiale', 'Dettagli specifici del materiale', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('776', 'n', 'Nota', 'Nota', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('776', 'o', 'Altro identificatore dell\'item', 'Altro identificatore dell\'item', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('776', 'q', 'Parallel title (BK SE) [OBSOLETE]', 'Parallel title (BK SE) [OBSOLETE]', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('776', 'r', 'Numero di rapporto', 'Numero di rapporto', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('776', 's', 'Titolo uniforme', 'Titolo uniforme', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('776', 't', 'Titolo', 'Titolo', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('776', 'u', 'Standard Technical Report Number', 'Standard Technical Report Number', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('776', 'w', 'Numero di controllo della registrazione', 'Numero di controllo della registrazione', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('776', 'x', 'ISSN (International Standard Serial Number)', 'ISSN (International Standard Serial Number)', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('776', 'y', 'Designazione CODEN', 'Designazione CODEN', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('776', 'z', 'ISBN (International Standard Book Number)', 'ISBN (International Standard Book Number)', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('777', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('777', '7', 'Sottocampo di controllo', 'Sottocampo di controllo', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('777', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('777', 'a', 'Intestazione principale', 'Intestazione principale', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('777', 'b', 'Edizione', 'Edizione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('777', 'c', 'Qualificazione', 'Qualificazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('777', 'd', 'Luogo, editore e data di pubblicazione', 'Luogo, editore e data di pubblicazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('777', 'g', 'Informazione sulla relazione', 'Informazione sulla relazione', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('777', 'h', 'Descrizione fisica', 'Descrizione fisica', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('777', 'i', 'Informazione sulla relazione', 'Informazione sulla relazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('777', 'k', 'Dati della serie dell\'item correlato', 'Dati della serie dell\'item correlato', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('777', 'm', 'Dettagli specifici del materiale', 'Dettagli specifici del materiale', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('777', 'n', 'Nota', 'Nota', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('777', 'o', 'Altro identificatore dell\'item', 'Altro identificatore dell\'item', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('777', 'q', 'Parallel title (BK SE) [OBSOLETE]', 'Parallel title (BK SE) [OBSOLETE]', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('777', 's', 'Titolo uniforme', 'Titolo uniforme', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('777', 't', 'Titolo', 'Titolo', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('777', 'w', 'Numero di controllo della registrazione', 'Numero di controllo della registrazione', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('777', 'x', 'ISSN (International Standard Serial Number)', 'ISSN (International Standard Serial Number)', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('777', 'y', 'Designazione CODEN', 'Designazione CODEN', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('780', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('780', '7', 'Sottocampo di controllo', 'Sottocampo di controllo', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('780', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('780', 'a', 'Intestazione principale', 'Intestazione principale', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('780', 'b', 'Edizione', 'Edizione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('780', 'c', 'Qualificazione', 'Qualificazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('780', 'd', 'Luogo, editore e data di pubblicazione', 'Luogo, editore e data di pubblicazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('780', 'g', 'Informazione sulla relazione', 'Informazione sulla relazione', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('780', 'h', 'Descrizione fisica', 'Descrizione fisica', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('780', 'i', 'Informazione sulla relazione', 'Informazione sulla relazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('780', 'k', 'Dati della serie dell\'item correlato', 'Dati della serie dell\'item correlato', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('780', 'm', 'Dettagli specifici del materiale', 'Dettagli specifici del materiale', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('780', 'n', 'Nota', 'Nota', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('780', 'o', 'Altro identificatore dell\'item', 'Altro identificatore dell\'item', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('780', 'q', 'Parallel title (BK SE) [OBSOLETE]', 'Parallel title (BK SE) [OBSOLETE]', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('780', 'r', 'Numero di rapporto', 'Numero di rapporto', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('780', 's', 'Titolo uniforme', 'Titolo uniforme', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('780', 't', 'Titolo', 'Titolo', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('780', 'u', 'Standard Technical Report Number', 'Standard Technical Report Number', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('780', 'w', 'Numero di controllo della registrazione', 'Numero di controllo della registrazione', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('780', 'x', 'ISSN (International Standard Serial Number)', 'ISSN (International Standard Serial Number)', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('780', 'y', 'Designazione CODEN', 'Designazione CODEN', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('780', 'z', 'ISBN (International Standard Book Number)', 'ISBN (International Standard Book Number)', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('785', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('785', '7', 'Sottocampo di controllo', 'Sottocampo di controllo', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('785', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('785', 'a', 'Intestazione principale', 'Intestazione principale', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('785', 'b', 'Edizione', 'Edizione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('785', 'c', 'Qualificazione', 'Qualificazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('785', 'd', 'Luogo, editore e data di pubblicazione', 'Luogo, editore e data di pubblicazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('785', 'g', 'Informazione sulla relazione', 'Informazione sulla relazione', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('785', 'h', 'Descrizione fisica', 'Descrizione fisica', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('785', 'i', 'Informazione sulla relazione', 'Informazione sulla relazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('785', 'k', 'Dati della serie dell\'item correlato', 'Dati della serie dell\'item correlato', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('785', 'm', 'Dettagli specifici del materiale', 'Dettagli specifici del materiale', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('785', 'n', 'Nota', 'Nota', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('785', 'o', 'Altro identificatore dell\'item', 'Altro identificatore dell\'item', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('785', 'q', 'Parallel title (BK SE) [OBSOLETE]', 'Parallel title (BK SE) [OBSOLETE]', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('785', 'r', 'Numero di rapporto', 'Numero di rapporto', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('785', 's', 'Titolo uniforme', 'Titolo uniforme', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('785', 't', 'Titolo', 'Titolo', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('785', 'u', 'Standard Technical Report Number', 'Standard Technical Report Number', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('785', 'w', 'Numero di controllo della registrazione', 'Numero di controllo della registrazione', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('785', 'x', 'ISSN (International Standard Serial Number)', 'ISSN (International Standard Serial Number)', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('785', 'y', 'Designazione CODEN', 'Designazione CODEN', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('785', 'z', 'ISBN (International Standard Book Number)', 'ISBN (International Standard Book Number)', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('786', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('786', '7', 'Sottocampo di controllo', 'Sottocampo di controllo', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('786', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('786', 'a', 'Intestazione principale', 'Intestazione principale', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('786', 'b', 'Edizione', 'Edizione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('786', 'c', 'Qualificazione', 'Qualificazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('786', 'd', 'Luogo, editore e data di pubblicazione', 'Luogo, editore e data di pubblicazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('786', 'g', 'Informazione sulla relazione', 'Informazione sulla relazione', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('786', 'h', 'Descrizione fisica', 'Descrizione fisica', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('786', 'i', 'Informazione sulla relazione', 'Informazione sulla relazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('786', 'j', 'Periodo del contenuto', 'Periodo del contenuto', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('786', 'k', 'Dati della serie dell\'item correlato', 'Dati della serie dell\'item correlato', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('786', 'm', 'Dettagli specifici del materiale', 'Dettagli specifici del materiale', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('786', 'n', 'Nota', 'Nota', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('786', 'o', 'Altro identificatore dell\'item', 'Altro identificatore dell\'item', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('786', 'p', 'Titolo abbreviato', 'Titolo abbreviato', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('786', 'r', 'Numero di rapporto', 'Numero di rapporto', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('786', 's', 'Titolo uniforme', 'Titolo uniforme', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('786', 't', 'Titolo', 'Titolo', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('786', 'u', 'Standard Technical Report Number', 'Standard Technical Report Number', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('786', 'w', 'Numero di controllo della registrazione', 'Numero di controllo della registrazione', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('786', 'x', 'ISSN (International Standard Serial Number)', 'ISSN (International Standard Serial Number)', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('786', 'y', 'Designazione CODEN', 'Designazione CODEN', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('786', 'z', 'ISBN (International Standard Book Number)', 'ISBN (International Standard Book Number)', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('787', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('787', '7', 'Sottocampo di controllo', 'Sottocampo di controllo', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('787', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('787', 'a', 'Intestazione principale', 'Intestazione principale', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('787', 'b', 'Edizione', 'Edizione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('787', 'c', 'Qualificazione', 'Qualificazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('787', 'd', 'Luogo, editore e data di pubblicazione', 'Luogo, editore e data di pubblicazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('787', 'g', 'Informazione sulla relazione', 'Informazione sulla relazione', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('787', 'h', 'Descrizione fisica', 'Descrizione fisica', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('787', 'i', 'Informazione sulla relazione', 'Informazione sulla relazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('787', 'k', 'Dati della serie dell\'item correlato', 'Dati della serie dell\'item correlato', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('787', 'm', 'Dettagli specifici del materiale', 'Dettagli specifici del materiale', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('787', 'n', 'Nota', 'Nota', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('787', 'o', 'Altro identificatore dell\'item', 'Altro identificatore dell\'item', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('787', 'q', 'Parallel title (BK SE) [OBSOLETE]', 'Parallel title (BK SE) [OBSOLETE]', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('787', 'r', 'Numero di rapporto', 'Numero di rapporto', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('787', 's', 'Titolo uniforme', 'Titolo uniforme', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('787', 't', 'Titolo', 'Titolo', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('787', 'u', 'Standard Technical Report Number', 'Standard Technical Report Number', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('787', 'w', 'Numero di controllo della registrazione', 'Numero di controllo della registrazione', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('787', 'x', 'ISSN (International Standard Serial Number)', 'ISSN (International Standard Serial Number)', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('787', 'y', 'Designazione CODEN', 'Designazione CODEN', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('787', 'z', 'ISBN (International Standard Book Number)', 'ISBN (International Standard Book Number)', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('789', '%', '%', '%', 0, 0, '', 7, '', '', '', 0, -6, 'SER', '', '', NULL),
		('789', '2', '2', '2', 1, 0, '', 7, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('789', '3', '3', '3', 1, 0, '', 7, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('789', '4', '4', '4', 1, 0, '', 7, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('789', '5', '5', '5', 1, 0, '', 7, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('789', '6', '6', '6', 0, 0, '', 7, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('789', '7', '7', '7', 1, 0, '', 7, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('789', '8', '8', '8', 1, 0, '', 7, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('789', '9', '9', '9', 0, 0, '', 7, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('789', 'a', 'a', 'a', 1, 0, '', 7, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('789', 'b', 'b', 'b', 1, 0, '', 7, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('789', 'c', 'c', 'c', 1, 0, '', 7, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('789', 'd', 'd', 'd', 1, 0, '', 7, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('789', 'e', 'e', 'e', 1, 0, '', 7, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('789', 'f', 'f', 'f', 1, 0, '', 7, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('789', 'g', 'g', 'g', 1, 0, '', 7, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('789', 'h', 'h', 'h', 1, 0, '', 7, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('789', 'i', 'i', 'i', 1, 0, '', 7, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('789', 'j', 'j', 'j', 1, 0, '', 7, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('789', 'k', 'k', 'k', 1, 0, '', 7, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('789', 'l', 'l', 'l', 1, 0, '', 7, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('789', 'm', 'm', 'm', 1, 0, '', 7, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('789', 'n', 'n', 'n', 1, 0, '', 7, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('789', 'o', 'o', 'o', 1, 0, '', 7, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('789', 'p', 'p', 'p', 1, 0, '', 7, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('789', 'q', 'q', 'q', 1, 0, '', 7, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('789', 'r', 'r', 'r', 1, 0, '', 7, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('789', 's', 's', 's', 1, 0, '', 7, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('789', 't', 't', 't', 1, 0, '', 7, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('789', 'u', 'u', 'u', 1, 0, '', 7, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('789', 'v', 'v', 'v', 1, 0, '', 7, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('789', 'w', 'w', 'w', 1, 0, '', 7, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('789', 'x', 'x', 'x', 1, 0, '', 7, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('789', 'y', 'y', 'y', 1, 0, '', 7, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('789', 'z', 'z', 'z', 1, 0, '', 7, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('796', '%', '% (RLIN)', '% (RLIN)', 0, 0, '', 7, '', '', '', 0, -6, 'SER', '', '', NULL),
		('796', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, '', 7, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('796', '4', 'Codice di ruolo', 'Codice di ruolo', 1, 0, '', 7, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('796', '5', 'Istituzione a cui si applica il campo', 'Istituzione a cui si applica il campo', 0, 0, '', 7, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('796', '6', 'Collegamento', 'Collegamento', 0, 0, '', 7, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('796', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 7, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('796', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 7, '', '', '', 0, -5, 'SER', '', '', NULL),
		('796', 'a', 'Nome di persona', 'Nome di persona', 0, 0, '', 7, '', 'PERSO_NAME', '', NULL, -6, 'SER', '', '', NULL),
		('796', 'b', 'Numerazione', 'Numerazione', 0, 0, '', 7, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('796', 'c', 'Titoli e altre parole associate al nome', 'Titoli e altre parole associate al nome', 1, 0, '', 7, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('796', 'd', 'Date associate al nome', 'Date associate al nome', 0, 0, '', 7, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('796', 'e', 'Termine di ruolo', 'Termine di ruolo', 1, 0, '', 7, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('796', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, '', 7, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('796', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, '', 7, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('796', 'h', 'Supporto', 'Supporto', 0, 0, '', 7, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('796', 'j', 'Qualificazione d\'attribuzione', 'Qualificazione d\'attribuzione', 1, 0, '', 7, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('796', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, '', 7, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('796', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, '', 7, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('796', 'm', 'Mezzo di esecuzione per la musica', 'Mezzo di esecuzione per la musica', 1, 0, '', 7, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('796', 'n', 'Numero di parte/sezione dell\'opera', 'Numero di parte/sezione dell\'opera', 1, 0, '', 7, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('796', 'o', 'Formulazione d\'arrangiamento per la musica', 'Formulazione d\'arrangiamento per la musica', 0, 0, '', 7, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('796', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, '', 7, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('796', 'q', 'Forma completa del nome', 'Forma completa del nome', 0, 0, '', 7, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('796', 'r', 'Tonalità (musica)', 'Tonalità (musica)', 0, 0, '', 7, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('796', 's', 'Versione', 'Versione', 0, 0, '', 7, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('796', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, '', 7, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('796', 'u', 'Affiliazione', 'Affiliazione', 0, 0, '', 7, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('796', 'x', 'ISSN (International Standard Serial Number)', 'ISSN (International Standard Serial Number)', 0, 0, '', 7, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('797', '%', '% (RLIN)', '% (RLIN)', 0, 0, '', 7, '', '', '', 0, -6, 'SER', '', '', NULL),
		('797', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, '', 7, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('797', '4', 'Codice di ruolo', 'Codice di ruolo', 1, 0, '', 7, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('797', '5', 'Istituzione a cui si applica il campo', 'Istituzione a cui si applica il campo', 0, 0, '', 7, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('797', '6', 'Collegamento', 'Collegamento', 0, 0, '', 7, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('797', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 7, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('797', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 7, '', '', '', 0, -5, 'SER', '', '', NULL),
		('797', 'a', 'Nome dell\'ente o nome della giurisdizione come accesso', 'Nome dell\'ente o nome della giurisdizione come accesso', 0, 0, '', 7, '', 'CORPO_NAME', '', NULL, -6, 'SER', '', '', NULL),
		('797', 'b', 'Unità subordinata', 'Unità subordinata', 1, 0, '', 7, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('797', 'c', 'Luogo del convegno', 'Luogo del convegno', 0, 0, '', 7, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('797', 'd', 'Data del convegno o di firma del trattato', 'Data del convegno o di firma del trattato', 1, 0, '', 7, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('797', 'e', 'Termine di ruolo', 'Termine di ruolo', 1, 0, '', 7, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('797', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, '', 7, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('797', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, '', 7, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('797', 'h', 'Supporto', 'Supporto', 0, 0, '', 7, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('797', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, '', 7, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('797', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, '', 7, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('797', 'm', 'Mezzo di esecuzione per la musica', 'Mezzo di esecuzione per la musica', 1, 0, '', 7, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('797', 'n', 'Numero di parte/sezione/convegno', 'Numero di parte/sezione/convegno', 1, 0, '', 7, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('797', 'o', 'Formulazione d\'arrangiamento per la musica', 'Formulazione d\'arrangiamento per la musica', 0, 0, '', 7, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('797', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, '', 7, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('797', 'r', 'Tonalità (musica)', 'Tonalità (musica)', 0, 0, '', 7, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('797', 's', 'Versione', 'Versione', 0, 0, '', 7, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('797', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, '', 7, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('797', 'u', 'Affiliazione', 'Affiliazione', 0, 0, '', 7, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('797', 'x', 'ISSN (International Standard Serial Number)', 'ISSN (International Standard Serial Number)', 0, 0, '', 7, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('798', '%', '% (RLIN)', '% (RLIN)', 0, 0, '', 7, '', '', '', 0, -5, 'SER', '', '', NULL),
		('798', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('798', '4', 'Codice di ruolo', 'Codice di ruolo', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('798', '5', 'Istituzione a cui si applica il campo', 'Istituzione a cui si applica il campo', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('798', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('798', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('798', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 7, '', '', '', 0, -5, 'SER', '', '', NULL),
		('798', 'a', 'Nome del convegno o nome della giurisdizione come accesso', 'Nome del convegno o nome della giurisdizione come accesso', 0, 0, NULL, 7, NULL, 'MEETI_NAME', '', NULL, -6, 'SER', '', '', NULL),
		('798', 'b', 'Number (BK CF MP MU SE VM MX) [OBSOLETE]', 'Number (BK CF MP MU SE VM MX) [OBSOLETE]', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('798', 'c', 'Luogo del convegno', 'Luogo del convegno', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('798', 'd', 'Data del convegno', 'Data del convegno', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('798', 'e', 'Unità subordinata', 'Unità subordinata', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('798', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('798', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('798', 'h', 'Supporto', 'Supporto', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('798', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('798', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('798', 'n', 'Numero di parte/sezione/convegno', 'Numero di parte/sezione/convegno', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('798', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('798', 'q', 'Nome del convegno dopo accesso di nome della giurisdizione', 'Nome del convegno dopo accesso di nome della giurisdizione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('798', 's', 'Versione', 'Versione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('798', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('798', 'u', 'Affiliazione', 'Affiliazione', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('798', 'x', 'ISSN (International Standard Serial Number)', 'ISSN (International Standard Serial Number)', 0, 0, NULL, 7, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('799', '%', '% (RLIN)', '% (RLIN)', 0, 0, '', 7, '', '', '', 0, -6, 'SER', '', '', NULL),
		('799', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, '', 7, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('799', '5', 'Istituzione a cui si applica il campo', 'Istituzione a cui si applica il campo', 0, 0, '', 7, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('799', '6', 'Collegamento', 'Collegamento', 0, 0, '', 7, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('799', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 7, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('799', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 7, '', '', '', 0, -5, 'SER', '', '', NULL),
		('799', 'a', 'Titolo uniforme', 'Titolo uniforme', 0, 0, '', 7, '', 'UNIF_TITLE', '', NULL, -6, 'SER', '', '', NULL),
		('799', 'd', 'Data di firma del trattato', 'Data di firma del trattato', 1, 0, '', 7, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('799', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, '', 7, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('799', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, '', 7, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('799', 'h', 'Supporto', 'Supporto', 0, 0, '', 7, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('799', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, '', 7, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('799', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, '', 7, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('799', 'm', 'Mezzo di esecuzione per la musica', 'Mezzo di esecuzione per la musica', 1, 0, '', 7, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('799', 'n', 'Numero di parte/sezione dell\'opera', 'Numero di parte/sezione dell\'opera', 1, 0, '', 7, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('799', 'o', 'Formulazione d\'arrangiamento per la musica', 'Formulazione d\'arrangiamento per la musica', 0, 0, '', 7, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('799', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, '', 7, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('799', 'r', 'Tonalità (musica)', 'Tonalità (musica)', 0, 0, '', 7, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('799', 's', 'Versione', 'Versione', 0, 0, '', 7, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('799', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, '', 7, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('799', 'x', 'ISSN (International Standard Serial Number)', 'ISSN (International Standard Serial Number)', 0, 0, '', 7, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('800', '4', 'Codice di ruolo', 'Codice di ruolo', 1, 0, '', 8, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('800', '6', 'Collegamento', 'Collegamento', 0, 0, '', 8, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('800', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 8, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('800', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 8, '', '', '', 0, -5, 'SER', '', '', NULL),
		('800', 'a', 'Nome di persona', 'Nome di persona', 0, 0, '', 8, '', 'PERSO_NAME', '', NULL, -6, 'SER', '', '', NULL),
		('800', 'b', 'Numerazione', 'Numerazione', 0, 0, '', 8, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('800', 'c', 'Titoli e altre parole associate al nome', 'Titoli e altre parole associate al nome', 1, 0, '', 8, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('800', 'd', 'Date associate al nome', 'Date associate al nome', 0, 0, '', 8, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('800', 'e', 'Termine di ruolo', 'Termine di ruolo', 1, 0, '', 8, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('800', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, '', 8, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('800', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, '', 8, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('800', 'h', 'Supporto', 'Supporto', 0, 0, '', 8, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('800', 'j', 'Qualificazione d\'attribuzione', 'Qualificazione d\'attribuzione', 1, 0, '', 8, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('800', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, '', 8, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('800', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, '', 8, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('800', 'm', 'Mezzo di esecuzione per la musica', 'Mezzo di esecuzione per la musica', 1, 0, '', 8, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('800', 'n', 'Numero di parte/sezione dell\'opera', 'Numero di parte/sezione dell\'opera', 1, 0, '', 8, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('800', 'o', 'Formulazione d\'arrangiamento per la musica', 'Formulazione d\'arrangiamento per la musica', 0, 0, '', 8, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('800', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, '', 8, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('800', 'q', 'Forma completa del nome', 'Forma completa del nome', 0, 0, '', 8, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('800', 'r', 'Tonalità (musica)', 'Tonalità (musica)', 0, 0, '', 8, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('800', 's', 'Versione', 'Versione', 0, 0, '', 8, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('800', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, '', 8, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('800', 'u', 'Affiliazione', 'Affiliazione', 0, 0, '', 8, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('800', 'v', 'Numero del volume/designazione di sequenza', 'Numero del volume/designazione di sequenza', 0, 0, '', 8, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('800', 'w', 'Numero di controllo bibliografico', 'Numero di controllo bibliografico', 1, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('810', '4', 'Codice di ruolo', 'Codice di ruolo', 1, 0, '', 8, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('810', '6', 'Collegamento', 'Collegamento', 0, 0, '', 8, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('810', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 8, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('810', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 8, '', '', '', 0, -5, 'SER', '', '', NULL),
		('810', 'a', 'Nome dell\'ente o nome della giurisdizione come accesso', 'Nome dell\'ente o nome della giurisdizione come accesso', 0, 0, '', 8, '', 'CORPO_NAME', '', NULL, -6, 'SER', '', '', NULL),
		('810', 'b', 'Unità subordinata', 'Unità subordinata', 1, 0, '', 8, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('810', 'c', 'Luogo del convegno', 'Luogo del convegno', 0, 0, '', 8, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('810', 'd', 'Data del convegno o di firma del trattato', 'Data del convegno o di firma del trattato', 1, 0, '', 8, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('810', 'e', 'Termine di ruolo', 'Termine di ruolo', 1, 0, '', 8, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('810', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, '', 8, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('810', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, '', 8, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('810', 'h', 'Supporto', 'Supporto', 0, 0, '', 8, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('810', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, '', 8, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('810', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, '', 8, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('810', 'm', 'Mezzo di esecuzione per la musica', 'Mezzo di esecuzione per la musica', 1, 0, '', 8, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('810', 'n', 'Numero di parte/sezione/convegno', 'Numero di parte/sezione/convegno', 1, 0, '', 8, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('810', 'o', 'Formulazione d\'arrangiamento per la musica', 'Formulazione d\'arrangiamento per la musica', 0, 0, '', 8, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('810', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, '', 8, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('810', 'r', 'Tonalità (musica)', 'Tonalità (musica)', 0, 0, '', 8, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('810', 's', 'Versione', 'Versione', 0, 0, '', 8, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('810', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, '', 8, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('810', 'u', 'Affiliazione', 'Affiliazione', 0, 0, '', 8, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('810', 'v', 'Numero del volume/designazione di sequenza', 'Numero del volume/designazione di sequenza', 0, 0, '', 8, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('810', 'w', 'Numero di controllo bibliografico', 'Numero di controllo bibliografico', 1, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('811', '4', 'Codice di ruolo', 'Codice di ruolo', 1, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('811', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('811', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('811', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 8, '', '', '', 0, -5, 'SER', '', '', NULL),
		('811', 'a', 'Nome del convegno o nome della giurisdizione come accesso', 'Nome del convegno o nome della giurisdizione come accesso', 0, 0, NULL, 8, NULL, 'MEETI_NAME', '', NULL, -6, 'SER', '', '', NULL),
		('811', 'b', 'Number (BK CF MP MU SE VM MX) [OBSOLETE]', 'Number (BK CF MP MU SE VM MX) [OBSOLETE]', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('811', 'c', 'Luogo del convegno', 'Luogo del convegno', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('811', 'd', 'Data del convegno', 'Data del convegno', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('811', 'e', 'Unità subordinata', 'Unità subordinata', 1, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('811', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('811', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('811', 'h', 'Supporto', 'Supporto', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('811', 'j', 'Termine di ruolo', 'Termine di ruolo', 1, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('811', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('811', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('811', 'n', 'Numero di parte/sezione/convegno', 'Numero di parte/sezione/convegno', 1, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('811', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('811', 'q', 'Nome del convegno dopo accesso di nome della giurisdizione', 'Nome del convegno dopo accesso di nome della giurisdizione', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('811', 's', 'Versione', 'Versione', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('811', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('811', 'u', 'Affiliazione', 'Affiliazione', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('811', 'v', 'Numero del volume/designazione di sequenza', 'Numero del volume/designazione di sequenza', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('811', 'w', 'Numero di controllo bibliografico', 'Numero di controllo bibliografico', 1, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('830', '6', 'Collegamento', 'Collegamento', 0, 0, '', 8, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('830', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 8, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('830', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 8, '', '', '', 0, -5, 'SER', '', '', NULL),
		('830', 'a', 'Titolo uniforme', 'Titolo uniforme', 0, 0, '', 8, '', 'UNIF_TITLE', '', NULL, -6, 'SER', '', '', NULL),
		('830', 'd', 'Data di firma del trattato', 'Data di firma del trattato', 1, 0, '', 8, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('830', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, '', 8, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('830', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, '', 8, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('830', 'h', 'Supporto', 'Supporto', 0, 0, '', 8, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('830', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, '', 8, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('830', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, '', 8, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('830', 'm', 'Mezzo di esecuzione per la musica', 'Mezzo di esecuzione per la musica', 1, 0, '', 8, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('830', 'n', 'Numero di parte/sezione dell\'opera', 'Numero di parte/sezione dell\'opera', 1, 0, '', 8, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('830', 'o', 'Formulazione d\'arrangiamento per la musica', 'Formulazione d\'arrangiamento per la musica', 0, 0, '', 8, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('830', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, '', 8, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('830', 'r', 'Tonalità (musica)', 'Tonalità (musica)', 0, 0, '', 8, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('830', 's', 'Versione', 'Versione', 0, 0, '', 8, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('830', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, '', 8, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('830', 'v', 'Numero del volume/designazione di sequenza', 'Numero del volume/designazione di sequenza', 0, 0, '', 8, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('830', 'w', 'Numero di controllo bibliografico', 'Numero di controllo bibliografico', 1, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('840', 'a', 'Titolo', 'Titolo', 0, 0, '', 8, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('840', 'h', 'Supporto', 'Supporto', 1, 0, '', 8, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('840', 'v', 'Numero del volume/designazione di sequenza', 'Numero del volume/designazione di sequenza', 0, 0, '', 8, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('841', 'a', 'Tipo di record', 'Tipo di record', 0, 0, NULL, 8, NULL, NULL, '', NULL, 5, 'SER', '', '', NULL),
		('841', 'b', 'Elementi a lunghezza fiss', 'Elementi a lunghezza fiss', 0, 0, NULL, 8, NULL, NULL, '', NULL, 5, 'SER', '', '', NULL),
		('841', 'e', 'Livello di codifica', 'Livello di codifica', 0, 0, NULL, 8, NULL, NULL, '', NULL, 5, 'SER', '', '', NULL),
		('842', '6', 'Collegamento', 'Collegamento', 0, 0, '', 8, '', '', '', NULL, 5, 'SER', '', '', NULL),
		('842', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 8, '', '', '', NULL, 5, 'SER', '', '', NULL),
		('842', 'a', 'Designatore testuale di forma fisica', 'Designatore testuale di forma fisica', 0, 0, '', 8, '', '', '', NULL, 5, 'SER', '', '', NULL),
		('843', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, NULL, 8, NULL, NULL, '', NULL, 5, 'SER', '', '', NULL),
		('843', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 8, NULL, NULL, '', NULL, 5, 'SER', '', '', NULL),
		('843', '7', 'Elementi di lunghezza fissa della riproduzione', 'Elementi di lunghezza fissa della riproduzione', 0, 0, NULL, 8, NULL, NULL, '', NULL, 5, 'SER', '', '', NULL),
		('843', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 8, NULL, NULL, '', NULL, 5, 'SER', '', '', NULL),
		('843', 'a', 'Tipo di riproduzione', 'Tipo di riproduzione', 0, 0, NULL, 8, NULL, NULL, '', NULL, 5, 'SER', '', '', NULL),
		('843', 'b', 'Luogo di riproduzione', 'Luogo di riproduzione', 1, 0, NULL, 8, NULL, NULL, '', NULL, 5, 'SER', '', '', NULL),
		('843', 'c', 'Agenzia responsabile della riproduzione', 'Agenzia responsabile della riproduzione', 1, 0, NULL, 8, NULL, NULL, '', NULL, 5, 'SER', '', '', NULL),
		('843', 'd', 'Data di riproduzione', 'Data di riproduzione', 0, 0, NULL, 8, NULL, NULL, '', NULL, 5, 'SER', '', '', NULL),
		('843', 'e', 'Descrizione fisica della riproduzione', 'Descrizione fisica della riproduzione', 1, 0, NULL, 8, NULL, NULL, '', NULL, 5, 'SER', '', '', NULL),
		('843', 'f', 'Formulazione della serie della riproduzione', 'Formulazione della serie della riproduzione', 1, 0, NULL, 8, NULL, NULL, '', NULL, 5, 'SER', '', '', NULL),
		('843', 'm', 'Date di pubblicazione e/o designazione sequenziale dei fascicoli riprodotti', 'Date di pubblicazione e/o designazione sequenziale dei fascicoli riprodotti', 1, 0, NULL, 8, NULL, NULL, '', NULL, 5, 'SER', '', '', NULL),
		('843', 'n', 'Nota sulla riproduzione', 'Nota sulla riproduzione', 1, 0, NULL, 8, NULL, NULL, '', NULL, 5, 'SER', '', '', NULL),
		('844', '6', 'Collegamento', 'Collegamento', 0, 0, '', 8, '', '', '', NULL, 5, 'SER', '', '', NULL),
		('844', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 8, '', '', '', NULL, 5, 'SER', '', '', NULL),
		('844', 'a', 'Nome dell\'unità', 'Nome dell\'unità', 0, 0, '', 8, '', '', '', NULL, 5, 'SER', '', '', NULL),
		('845', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, NULL, 8, NULL, NULL, '', NULL, 5, 'SER', '', '', NULL),
		('845', '5', 'Istituzione a cui si applica il campo', 'Istituzione a cui si applica il campo', 0, 0, NULL, 8, NULL, NULL, '', NULL, 5, 'SER', '', '', NULL),
		('845', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 8, NULL, NULL, '', NULL, 5, 'SER', '', '', NULL),
		('845', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 8, NULL, NULL, '', NULL, 5, 'SER', '', '', NULL),
		('845', 'a', 'Condizioni che regolano l\'utilizzo e la riproduzione', 'Condizioni che regolano l\'utilizzo e la riproduzione', 0, 0, NULL, 8, NULL, NULL, '', NULL, 5, 'SER', '', '', NULL),
		('845', 'b', 'Competenza legale', 'Competenza legale', 0, 0, NULL, 8, NULL, NULL, '', NULL, 5, 'SER', '', '', NULL),
		('845', 'c', 'Autorizzazione', 'Autorizzazione', 0, 0, NULL, 8, NULL, NULL, '', NULL, 5, 'SER', '', '', NULL),
		('845', 'd', 'Utenti autorizzati', 'Utenti autorizzati', 0, 0, NULL, 8, NULL, NULL, '', NULL, 5, 'SER', '', '', NULL),
		('850', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 8, NULL, NULL, '', NULL, 5, 'SER', '', '', NULL),
		('850', 'a', 'Istituzione possedente', 'Istituzione possedente', 1, 0, NULL, 8, NULL, NULL, '', NULL, 5, 'SER', '', '', NULL),
		('850', 'b', 'Holdings (NR) (MU VM SE) [OBSOLETE]', 'Holdings (NR) (MU VM SE) [OBSOLETE]', 0, 0, NULL, 8, NULL, NULL, '', NULL, 5, 'SER', '', '', NULL),
		('850', 'd', 'Inclusive dates (NR) (MU VM SE) [OBSOLETE]', 'Inclusive dates (NR) (MU VM SE) [OBSOLETE]', 0, 0, NULL, 8, NULL, NULL, '', NULL, 5, 'SER', '', '', NULL),
		('850', 'e', 'Retention statement (NR) (CF MU VM SE) [OBSOLETE]', 'Retention statement (NR) (CF MU VM SE) [OBSOLETE]', 0, 0, NULL, 8, NULL, NULL, '', NULL, 5, 'SER', '', '', NULL),
		('851', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, NULL, 8, NULL, NULL, '', NULL, 5, 'SER', '', '', NULL),
		('851', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 8, NULL, NULL, '', NULL, 5, 'SER', '', '', NULL),
		('851', 'a', 'Nome (custode o proprietario)', 'Nome (custode o proprietario)', 0, 0, NULL, 8, NULL, NULL, '', NULL, 5, 'SER', '', '', NULL),
		('851', 'b', 'Suddivisione istituzionale', 'Suddivisione istituzionale', 0, 0, NULL, 8, NULL, NULL, '', NULL, 5, 'SER', '', '', NULL),
		('851', 'c', 'Indirizzo', 'Indirizzo', 0, 0, NULL, 8, NULL, NULL, '', NULL, 5, 'SER', '', '', NULL),
		('851', 'd', 'Paese', 'Paese', 0, 0, NULL, 8, NULL, NULL, '', NULL, 5, 'SER', '', '', NULL),
		('851', 'e', 'Localizzazione dell\'unità', 'Localizzazione dell\'unità', 0, 0, NULL, 8, NULL, NULL, '', NULL, 5, 'SER', '', '', NULL),
		('851', 'f', 'Numero d\'item', 'Numero d\'item', 0, 0, NULL, 8, NULL, NULL, '', NULL, 5, 'SER', '', '', NULL),
		('851', 'g', 'Codice di localizzazione del deposito', 'Codice di localizzazione del deposito', 0, 0, NULL, 8, NULL, NULL, '', NULL, 5, 'SER', '', '', NULL),
		('852', '2', 'Fonte della classificazione o dello schema di collocazione (segnatura)', 'Fonte della classificazione o dello schema di collocazione (segnatura)', 0, 0, '', 8, '', '', '', NULL, 5, 'SER', '', '', NULL),
		('852', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, '', 8, '', '', '', NULL, 5, 'SER', '', '', NULL),
		('852', '6', 'Collegamento', 'Collegamento', 0, 0, '', 8, '', '', '', NULL, 5, 'SER', '', '', NULL),
		('852', '8', 'Numero di sequenza', 'Numero di sequenza', 1, 0, '', 8, '', '', '', NULL, 5, 'SER', '', '', NULL),
		('852', 'a', 'Localizzazione', 'Localizzazione', 0, 0, '', 8, '', '', '', NULL, 5, 'SER', '', '', NULL),
		('852', 'b', 'Sottolocalizzazione o collezione', 'Sottolocalizzazione o collezione', 1, 0, '', 8, '', '', '', NULL, 5, 'SER', '', '', NULL),
		('852', 'c', 'Localizzazione a scaffale', 'Localizzazione a scaffale', 1, 0, '', 8, '', '', '', NULL, 5, 'SER', '', '', NULL),
		('852', 'e', 'Indirizzo', 'Indirizzo', 1, 0, '', 8, '', '', '', NULL, 5, 'SER', '', '', NULL),
		('852', 'f', 'Qualificatore di localizzazione codificato', 'Qualificatore di localizzazione codificato', 1, 0, '', 8, '', '', '', NULL, 5, 'SER', '', '', NULL),
		('852', 'g', 'Qualificatore di localizzazione non codificato', 'Qualificatore di localizzazione non codificato', 1, 0, '', 8, '', '', '', NULL, 5, 'SER', '', '', NULL),
		('852', 'h', 'Parte della classificazione', 'Parte della classificazione', 0, 0, '', 8, '', '', '', NULL, 5, 'SER', '', '', NULL),
		('852', 'i', 'Parte dell\'item', 'Parte dell\'item', 1, 0, '', 8, '', '', '', NULL, 5, 'SER', '', '', NULL),
		('852', 'j', 'Collocazione (segnatura)', 'Collocazione (segnatura)', 0, 0, '', 8, '', '', '', NULL, 5, 'SER', '', '', NULL),
		('852', 'k', 'Prefisso del numero di chiamata (collocazione)', 'Prefisso del numero di chiamata (collocazione)', 0, 0, '', 8, '', '', '', NULL, 5, 'SER', '', '', NULL),
		('852', 'l', 'Forma di collocazione (segnatura) di titolo', 'Forma di collocazione (segnatura) di titolo', 0, 0, '', 8, '', '', '', NULL, 5, 'SER', '', '', NULL),
		('852', 'm', 'Suffisso del numero di chiamata (collocazione)', 'Suffisso del numero di chiamata (collocazione)', 0, 0, '', 8, '', '', '', NULL, 5, 'SER', '', '', NULL),
		('852', 'n', 'Codice di paese', 'Codice di paese', 0, 0, '', 8, '', '', '', NULL, 5, 'SER', '', '', NULL),
		('852', 'p', 'Designazione di parte', 'Designazione di parte', 0, 0, '', 8, '', '', '', NULL, 5, 'SER', '', '', NULL),
		('852', 'q', 'Condizione fisica della parte', 'Condizione fisica della parte', 0, 0, '', 8, '', '', '', NULL, 5, 'SER', '', '', NULL),
		('852', 's', 'Codice di tassa sul copyright dell\'articolo', 'Codice di tassa sul copyright dell\'articolo', 1, 0, '', 8, '', '', '', NULL, 5, 'SER', '', '', NULL),
		('852', 't', 'Numero di copia', 'Numero di copia', 0, 0, '', 8, '', '', '', NULL, 5, 'SER', '', '', NULL),
		('852', 'u', 'URI (Uniform Resource Identifier)', 'URI (Uniform Resource Identifier)', 1, 0, '', 8, '', '', '', 1, 5, 'SER', '', '', NULL),
		('852', 'x', 'Nota non pubblic', 'Nota non pubblic', 1, 0, '', 8, '', '', '', NULL, 5, 'SER', '', '', NULL),
		('852', 'z', 'Nota pubblica', 'Nota pubblica', 1, 0, '', 8, '', '', '', NULL, 5, 'SER', '', '', NULL),
		('853', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, '', 8, '', '', '', NULL, 5, 'SER', '', '', NULL),
		('853', '6', 'Collegamento', 'Collegamento', 0, 0, '', 8, '', '', '', NULL, 5, 'SER', '', '', NULL),
		('853', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 8, '', '', '', NULL, 5, 'SER', '', '', NULL),
		('853', 'a', 'Primo livello di enumerazione', 'Primo livello di enumerazione', 0, 0, '', 8, '', '', '', NULL, 5, 'SER', '', '', NULL),
		('853', 'b', 'Secondo livello di enumerazione', 'Secondo livello di enumerazione', 0, 0, '', 8, '', '', '', NULL, 5, 'SER', '', '', NULL),
		('853', 'c', 'Terzo livello di enumerazione', 'Terzo livello di enumerazione', 0, 0, '', 8, '', '', '', NULL, 5, 'SER', '', '', NULL),
		('853', 'd', 'Quarto livello di enumerazione', 'Quarto livello di enumerazione', 0, 0, '', 8, '', '', '', NULL, 5, 'SER', '', '', NULL),
		('853', 'e', 'Quinto livello di enumerazione', 'Quinto livello di enumerazione', 0, 0, '', 8, '', '', '', NULL, 5, 'SER', '', '', NULL),
		('853', 'f', 'Sesto livello di enumerazione', 'Sesto livello di enumerazione', 0, 0, '', 8, '', '', '', NULL, 5, 'SER', '', '', NULL),
		('853', 'g', 'Schema di numerazione alternativo, primo livello di enumerazione', 'Schema di numerazione alternativo, primo livello di enumerazione', 0, 0, '', 8, '', '', '', NULL, 5, 'SER', '', '', NULL),
		('853', 'h', 'Schema di numerazione alternativo, secondo livello di enumerazione', 'Schema di numerazione alternativo, secondo livello di enumerazione', 0, 0, '', 8, '', '', '', NULL, 5, 'SER', '', '', NULL),
		('853', 'i', 'Primo livello di cronologia', 'Primo livello di cronologia', 0, 0, '', 8, '', '', '', NULL, 5, 'SER', '', '', NULL),
		('853', 'j', 'Secondo livello di cronologia', 'Secondo livello di cronologia', 0, 0, '', 8, '', '', '', NULL, 5, 'SER', '', '', NULL),
		('853', 'k', 'Terzo livello di cronologia', 'Terzo livello di cronologia', 0, 0, '', 8, '', '', '', NULL, 5, 'SER', '', '', NULL),
		('853', 'l', 'Quarto livello di cronologia', 'Quarto livello di cronologia', 0, 0, '', 8, '', '', '', NULL, 5, 'SER', '', '', NULL),
		('853', 'm', 'Schema di numerazione alternativo, cronologia', 'Schema di numerazione alternativo, cronologia', 0, 0, '', 8, '', '', '', NULL, 5, 'SER', '', '', NULL),
		('853', 'n', 'Nota allo schema', 'Nota allo schema', 0, 0, '', 8, '', '', '', NULL, 5, 'SER', '', '', NULL),
		('853', 'p', 'Numero di pezzi per emissione', 'Numero di pezzi per emissione', 0, 0, '', 8, '', '', '', NULL, 5, 'SER', '', '', NULL),
		('853', 't', 'Copia', 'Copia', 0, 0, '', 8, '', '', '', NULL, 5, 'SER', '', '', NULL),
		('853', 'u', 'Unità bibliografiche per il livello superiore', 'Unità bibliografiche per il livello superiore', 1, 0, '', 8, '', '', '', NULL, 5, 'SER', '', '', NULL),
		('853', 'v', 'Continuità di numerazione', 'Continuità di numerazione', 1, 0, '', 8, '', '', '', NULL, 5, 'SER', '', '', NULL),
		('853', 'w', 'Frequenza', 'Frequenza', 0, 0, '', 8, '', '', '', NULL, 5, 'SER', '', '', NULL),
		('853', 'x', 'Cambio di calendario', 'Cambio di calendario', 0, 0, '', 8, '', '', '', NULL, 5, 'SER', '', '', NULL),
		('853', 'y', 'scham di regolarità', 'scham di regolarità', 1, 0, '', 8, '', '', '', NULL, 5, 'SER', '', '', NULL),
		('853', 'z', 'Schema di numerazione', 'Schema di numerazione', 1, 0, '', 8, '', '', '', NULL, 5, 'SER', '', '', NULL),
		('854', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, '', 8, '', '', '', NULL, 5, 'SER', '', '', NULL),
		('854', '6', 'Collegamento', 'Collegamento', 0, 0, '', 8, '', '', '', NULL, 5, 'SER', '', '', NULL),
		('854', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 8, '', '', '', NULL, 5, 'SER', '', '', NULL),
		('854', 'a', 'Primo livello di enumerazione', 'Primo livello di enumerazione', 0, 0, '', 8, '', '', '', NULL, 5, 'SER', '', '', NULL),
		('854', 'b', 'Secondo livello di enumerazione', 'Secondo livello di enumerazione', 0, 0, '', 8, '', '', '', NULL, 5, 'SER', '', '', NULL),
		('854', 'c', 'Terzo livello di enumerazione', 'Terzo livello di enumerazione', 0, 0, '', 8, '', '', '', NULL, 5, 'SER', '', '', NULL),
		('854', 'd', 'Quarto livello di enumerazione', 'Quarto livello di enumerazione', 0, 0, '', 8, '', '', '', NULL, 5, 'SER', '', '', NULL),
		('854', 'e', 'Quinto livello di enumerazione', 'Quinto livello di enumerazione', 0, 0, '', 8, '', '', '', NULL, 5, 'SER', '', '', NULL),
		('854', 'f', 'Sesto livello di enumerazione', 'Sesto livello di enumerazione', 0, 0, '', 8, '', '', '', NULL, 5, 'SER', '', '', NULL),
		('854', 'g', 'Schema di numerazione alternativo, primo livello di enumerazione', 'Schema di numerazione alternativo, primo livello di enumerazione', 0, 0, '', 8, '', '', '', NULL, 5, 'SER', '', '', NULL),
		('854', 'h', 'Schema di numerazione alternativo, secondo livello di enumerazione', 'Schema di numerazione alternativo, secondo livello di enumerazione', 0, 0, '', 8, '', '', '', NULL, 5, 'SER', '', '', NULL),
		('854', 'i', 'Primo livello di cronologia', 'Primo livello di cronologia', 0, 0, '', 8, '', '', '', NULL, 5, 'SER', '', '', NULL),
		('854', 'j', 'Secondo livello di cronologia', 'Secondo livello di cronologia', 0, 0, '', 8, '', '', '', NULL, 5, 'SER', '', '', NULL),
		('854', 'k', 'Terzo livello di cronologia', 'Terzo livello di cronologia', 0, 0, '', 8, '', '', '', NULL, 5, 'SER', '', '', NULL),
		('854', 'l', 'Quarto livello di cronologia', 'Quarto livello di cronologia', 0, 0, '', 8, '', '', '', NULL, 5, 'SER', '', '', NULL),
		('854', 'm', 'Schema di numerazione alternativo, cronologia', 'Schema di numerazione alternativo, cronologia', 0, 0, '', 8, '', '', '', NULL, 5, 'SER', '', '', NULL),
		('854', 'n', 'Nota allo schema', 'Nota allo schema', 0, 0, '', 8, '', '', '', NULL, 5, 'SER', '', '', NULL),
		('854', 'p', 'Numero di pezzi per emissione', 'Numero di pezzi per emissione', 0, 0, '', 8, '', '', '', NULL, 5, 'SER', '', '', NULL),
		('854', 't', 'Copia', 'Copia', 0, 0, '', 8, '', '', '', NULL, 5, 'SER', '', '', NULL),
		('854', 'u', 'Unità bibliografiche per il livello superiore', 'Unità bibliografiche per il livello superiore', 1, 0, '', 8, '', '', '', NULL, 5, 'SER', '', '', NULL),
		('854', 'v', 'Continuità di numerazione', 'Continuità di numerazione', 1, 0, '', 8, '', '', '', NULL, 5, 'SER', '', '', NULL),
		('854', 'w', 'Frequenza', 'Frequenza', 0, 0, '', 8, '', '', '', NULL, 5, 'SER', '', '', NULL),
		('854', 'x', 'Cambio di calendario', 'Cambio di calendario', 0, 0, '', 8, '', '', '', NULL, 5, 'SER', '', '', NULL),
		('854', 'y', 'scham di regolarità', 'scham di regolarità', 1, 0, '', 8, '', '', '', NULL, 5, 'SER', '', '', NULL),
		('854', 'z', 'Schema di numerazione', 'Schema di numerazione', 1, 0, '', 8, '', '', '', NULL, 5, 'SER', '', '', NULL),
		('855', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, '', 8, '', '', '', NULL, 5, 'SER', '', '', NULL),
		('855', '6', 'Collegamento', 'Collegamento', 0, 0, '', 8, '', '', '', NULL, 5, 'SER', '', '', NULL),
		('855', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 8, '', '', '', NULL, 5, 'SER', '', '', NULL),
		('855', 'a', 'Primo livello di enumerazione', 'Primo livello di enumerazione', 0, 0, '', 8, '', '', '', NULL, 5, 'SER', '', '', NULL),
		('855', 'b', 'Secondo livello di enumerazione', 'Secondo livello di enumerazione', 0, 0, '', 8, '', '', '', NULL, 5, 'SER', '', '', NULL),
		('855', 'c', 'Terzo livello di enumerazione', 'Terzo livello di enumerazione', 0, 0, '', 8, '', '', '', NULL, 5, 'SER', '', '', NULL),
		('855', 'd', 'Quarto livello di enumerazione', 'Quarto livello di enumerazione', 0, 0, '', 8, '', '', '', NULL, 5, 'SER', '', '', NULL),
		('855', 'e', 'Quinto livello di enumerazione', 'Quinto livello di enumerazione', 0, 0, '', 8, '', '', '', NULL, 5, 'SER', '', '', NULL),
		('855', 'f', 'Sesto livello di enumerazione', 'Sesto livello di enumerazione', 0, 0, '', 8, '', '', '', NULL, 5, 'SER', '', '', NULL),
		('855', 'g', 'Schema di numerazione alternativo, primo livello di enumerazione', 'Schema di numerazione alternativo, primo livello di enumerazione', 0, 0, '', 8, '', '', '', NULL, 5, 'SER', '', '', NULL),
		('855', 'h', 'Schema di numerazione alternativo, secondo livello di enumerazione', 'Schema di numerazione alternativo, secondo livello di enumerazione', 0, 0, '', 8, '', '', '', NULL, 5, 'SER', '', '', NULL),
		('855', 'i', 'Primo livello di cronologia', 'Primo livello di cronologia', 0, 0, '', 8, '', '', '', NULL, 5, 'SER', '', '', NULL),
		('855', 'j', 'Secondo livello di cronologia', 'Secondo livello di cronologia', 0, 0, '', 8, '', '', '', NULL, 5, 'SER', '', '', NULL),
		('855', 'k', 'Terzo livello di cronologia', 'Terzo livello di cronologia', 0, 0, '', 8, '', '', '', NULL, 5, 'SER', '', '', NULL),
		('855', 'l', 'Quarto livello di cronologia', 'Quarto livello di cronologia', 0, 0, '', 8, '', '', '', NULL, 5, 'SER', '', '', NULL),
		('855', 'm', 'Schema di numerazione alternativo, cronologia', 'Schema di numerazione alternativo, cronologia', 0, 0, '', 8, '', '', '', NULL, 5, 'SER', '', '', NULL),
		('855', 'n', 'Nota allo schema', 'Nota allo schema', 0, 0, '', 8, '', '', '', NULL, 5, 'SER', '', '', NULL),
		('855', 'p', 'Numero di pezzi per emissione', 'Numero di pezzi per emissione', 0, 0, '', 8, '', '', '', NULL, 5, 'SER', '', '', NULL),
		('855', 't', 'Copia', 'Copia', 0, 0, '', 8, '', '', '', NULL, 5, 'SER', '', '', NULL),
		('855', 'u', 'Unità bibliografiche per il livello superiore', 'Unità bibliografiche per il livello superiore', 1, 0, '', 8, '', '', '', NULL, 5, 'SER', '', '', NULL),
		('855', 'v', 'Continuità di numerazione', 'Continuità di numerazione', 1, 0, '', 8, '', '', '', NULL, 5, 'SER', '', '', NULL),
		('855', 'w', 'Frequenza', 'Frequenza', 0, 0, '', 8, '', '', '', NULL, 5, 'SER', '', '', NULL),
		('855', 'x', 'Cambio di calendario', 'Cambio di calendario', 0, 0, '', 8, '', '', '', NULL, 5, 'SER', '', '', NULL),
		('855', 'y', 'scham di regolarità', 'scham di regolarità', 1, 0, '', 8, '', '', '', NULL, 5, 'SER', '', '', NULL),
		('855', 'z', 'Schema di numerazione', 'Schema di numerazione', 1, 0, '', 8, '', '', '', NULL, 5, 'SER', '', '', NULL),
		('856', '2', 'Metodo di accesso', 'Metodo di accesso', 0, 0, '', 8, '', '', '', 0, -6, 'SER', '', '', NULL),
		('856', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, '', 8, '', '', '', 0, -6, 'SER', '', '', NULL),
		('856', '6', 'Collegamento', 'Collegamento', 0, 0, '', 8, '', '', '', 0, -6, 'SER', '', '', NULL),
		('856', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 8, '', '', '', 0, -6, 'SER', '', '', NULL),
		('856', 'a', 'Nome dell\'host', 'Nome dell\'host', 1, 0, '', 8, '', '', '', 0, -1, 'SER', '', '', NULL),
		('856', 'b', 'Numero di accesso', 'Numero di accesso', 1, 0, '', 8, '', '', '', 0, -1, 'SER', '', '', NULL),
		('856', 'c', 'Informazione sulla compressione', 'Informazione sulla compressione', 1, 0, '', 8, '', '', '', 0, -1, 'SER', '', '', NULL),
		('856', 'd', 'Percorso della risorsa', 'Percorso della risorsa', 1, 0, '', 8, '', '', '', 0, -1, 'SER', '', '', NULL),
		('856', 'f', 'Nome elettronico', 'Nome elettronico', 1, 0, '', 8, '', '', '', 0, -1, 'SER', '', '', NULL),
		('856', 'h', 'Processore della richiesta (Username)', 'Processore della richiesta (Username)', 0, 0, '', 8, '', '', '', 0, -1, 'SER', '', '', NULL),
		('856', 'i', 'Istruzioni', 'Istruzioni', 1, 0, '', 8, '', '', '', 0, -1, 'SER', '', '', NULL),
		('856', 'j', 'Bit per secondo', 'Bit per secondo', 0, 0, '', 8, '', '', '', 0, -1, 'SER', '', '', NULL),
		('856', 'k', 'Password', 'Password', 0, 0, '', 8, '', '', '', 0, -1, 'SER', '', '', NULL),
		('856', 'l', 'Logon', 'Logon', 0, 0, '', 8, '', '', '', 0, -1, 'SER', '', '', NULL),
		('856', 'm', 'Contatto per assistenza all\'accesso', 'Contatto per assistenza all\'accesso', 1, 0, '', 8, '', '', '', 0, -1, 'SER', '', '', NULL),
		('856', 'n', 'Nome della localizzazione dell\'host', 'Nome della localizzazione dell\'host', 0, 0, '', 8, '', '', '', 0, -1, 'SER', '', '', NULL),
		('856', 'o', 'Sistema operativo', 'Sistema operativo', 0, 0, '', 8, '', '', '', 0, -1, 'SER', '', '', NULL),
		('856', 'p', 'Porta', 'Porta', 0, 0, '', 8, '', '', '', 0, -1, 'SER', '', '', NULL),
		('856', 'q', 'Tipo di formato elettronico', 'Tipo di formato elettronico', 0, 0, '', 8, '', '', '', 0, -1, 'SER', '', '', NULL),
		('856', 'r', 'Parametri', 'Parametri', 0, 0, '', 8, '', '', '', 0, -1, 'SER', '', '', NULL),
		('856', 's', 'Dimensione file', 'Dimensione file', 1, 0, '', 8, '', '', '', 0, -1, 'SER', '', '', NULL),
		('856', 't', 'Emulazione del terminale', 'Emulazione del terminale', 1, 0, '', 8, '', '', '', 0, -1, 'SER', '', '', NULL),
		('856', 'u', 'URI (Uniform Resource Identifier)', 'URI (Uniform Resource Identifier)', 1, 0, 'biblioitems.url', 8, '', '', '', 1, -1, 'SER', '', '', NULL),
		('856', 'v', 'Orario di accesso', 'Orario di accesso', 1, 0, '', 8, '', '', '', 0, -1, 'SER', '', '', NULL),
		('856', 'w', 'Numero di controllo della registrazione', 'Numero di controllo della registrazione', 1, 0, '', 8, '', '', '', 0, -1, 'SER', '', '', NULL),
		('856', 'x', 'Nota non pubblic', 'Nota non pubblic', 1, 0, '', 8, '', '', '', 0, 1, 'SER', '', '', NULL),
		('856', 'y', 'Testo di collegamento', 'Testo di collegamento', 1, 0, '', 8, '', '', '', 0, -1, 'SER', '', '', NULL),
		('856', 'z', 'Nota pubblica', 'Nota pubblica', 1, 0, '', 8, '', '', '', 0, -1, 'SER', '', '', NULL),
		('859', 'b', 'Operator\'s initials, OID (RLIN)', 'Operator\'s initials, OID (RLIN)', 0, 0, '', 8, '', '', '', 0, 5, 'SER', '', '', NULL),
		('859', 'c', 'Cataloger\'s initials, CIN (RLIN)', 'Cataloger\'s initials, CIN (RLIN)', 0, 0, '', 8, '', '', '', 0, 5, 'SER', '', '', NULL),
		('859', 'd', 'TDC (RLIN)', 'TDC (RLIN)', 0, 0, '', 8, '', '', '', 0, 5, 'SER', '', '', NULL),
		('859', 'l', 'LIB (RLIN)', 'LIB (RLIN)', 0, 0, '', 8, '', '', '', 0, 5, 'SER', '', '', NULL),
		('859', 'p', 'PRI (RLIN)', 'PRI (RLIN)', 0, 0, '', 8, '', '', '', 0, 5, 'SER', '', '', NULL),
		('859', 'r', 'REG (RLIN)', 'REG (RLIN)', 0, 0, '', 8, '', '', '', 0, 5, 'SER', '', '', NULL),
		('859', 'v', 'VER (RLIN)', 'VER (RLIN)', 0, 0, '', 8, '', '', '', 0, 5, 'SER', '', '', NULL),
		('859', 'x', 'LDEL (RLIN)', 'LDEL (RLIN)', 0, 0, '', 8, '', '', '', 0, 5, 'SER', '', '', NULL),
		('863', '6', 'Collegamento', 'Collegamento', 0, 0, '', 8, '', '', '', NULL, 5, 'SER', '', '', NULL),
		('863', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 0, 0, '', 8, '', '', '', NULL, 5, 'SER', '', '', NULL),
		('863', 'a', 'Primo livello di enumerazione', 'Primo livello di enumerazione', 0, 0, '', 8, '', '', '', 0, 5, 'SER', '', '', NULL),
		('863', 'b', 'Secondo livello di enumerazione', 'Secondo livello di enumerazione', 0, 0, '', 8, '', '', '', 0, 5, 'SER', '', '', NULL),
		('863', 'c', 'Terzo livello di enumerazione', 'Terzo livello di enumerazione', 0, 0, '', 8, '', '', '', 0, 5, 'SER', '', '', NULL),
		('863', 'd', 'Quarto livello di enumerazione', 'Quarto livello di enumerazione', 0, 0, '', 8, '', '', '', 0, 5, 'SER', '', '', NULL),
		('863', 'e', 'Quinto livello di enumerazione', 'Quinto livello di enumerazione', 0, 0, '', 8, '', '', '', 0, 5, 'SER', '', '', NULL),
		('863', 'f', 'Sesto livello di enumerazione', 'Sesto livello di enumerazione', 0, 0, '', 8, '', '', '', 0, 5, 'SER', '', '', NULL),
		('863', 'g', 'Schema di numerazione alternativo, primo livello di enumerazione', 'Schema di numerazione alternativo, primo livello di enumerazione', 0, 0, '', 8, '', '', '', 0, 5, 'SER', '', '', NULL),
		('863', 'h', 'Schema di numerazione alternativo, secondo livello di enumerazione', 'Schema di numerazione alternativo, secondo livello di enumerazione', 0, 0, '', 8, '', '', '', 0, 5, 'SER', '', '', NULL),
		('863', 'i', 'Primo livello di cronologia', 'Primo livello di cronologia', 0, 0, '', 8, '', '', '', 0, 5, 'SER', '', '', NULL),
		('863', 'j', 'Secondo livello di cronologia', 'Secondo livello di cronologia', 0, 0, '', 8, '', '', '', 0, 5, 'SER', '', '', NULL),
		('863', 'k', 'Terzo livello di cronologia', 'Terzo livello di cronologia', 0, 0, '', 8, '', '', '', 0, 5, 'SER', '', '', NULL),
		('863', 'l', 'Quarto livello di cronologia', 'Quarto livello di cronologia', 0, 0, '', 8, '', '', '', 0, 5, 'SER', '', '', NULL),
		('863', 'm', 'Schema di numerazione alternativo, cronologia', 'Schema di numerazione alternativo, cronologia', 0, 0, '', 8, '', '', '', 0, 5, 'SER', '', '', NULL),
		('863', 'n', 'Convertito in anno Gregoriano', 'Convertito in anno Gregoriano', 0, 0, '', 8, '', '', '', 0, 5, 'SER', '', '', NULL),
		('863', 'o', 'Tipo di materiale', 'Tipo di materiale', 1, 0, '', 8, '', '', '', 0, 5, 'SER', '', '', NULL),
		('863', 'p', 'Designazione di parte', 'Designazione di parte', 0, 0, '', 8, '', '', '', 0, 5, 'SER', '', '', NULL),
		('863', 'q', 'Condizione fisica della parte', 'Condizione fisica della parte', 0, 0, '', 8, '', '', '', 0, 5, 'SER', '', '', NULL),
		('863', 's', 'Codice di tassa sul copyright dell\'articolo', 'Codice di tassa sul copyright dell\'articolo', 1, 0, '', 8, '', '', '', 0, 5, 'SER', '', '', NULL),
		('863', 't', 'Numero di copia', 'Numero di copia', 0, 0, '', 8, '', '', '', 0, 5, 'SER', '', '', NULL),
		('863', 'v', 'Data di emissione', 'Data di emissione', 1, 0, '', 8, '', '', '', 0, 5, 'SER', '', '', NULL),
		('863', 'w', 'indicatore di stacco', 'indicatore di stacco', 0, 0, '', 8, '', '', '', 0, 5, 'SER', '', '', NULL),
		('863', 'x', 'Nota non pubblic', 'Nota non pubblic', 1, 0, '', 8, '', '', '', 0, 5, 'SER', '', '', NULL),
		('863', 'z', 'Nota pubblica', 'Nota pubblica', 1, 0, '', 8, '', '', '', 0, 5, 'SER', '', '', NULL),
		('864', '6', 'Collegamento', 'Collegamento', 0, 0, '', 8, '', '', '', NULL, 5, 'SER', '', '', NULL),
		('864', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 0, 0, '', 8, '', '', '', NULL, 5, 'SER', '', '', NULL),
		('864', 'a', 'Primo livello di enumerazione', 'Primo livello di enumerazione', 0, 0, '', 8, '', '', '', 0, 5, 'SER', '', '', NULL),
		('864', 'b', 'Secondo livello di enumerazione', 'Secondo livello di enumerazione', 0, 0, '', 8, '', '', '', 0, 5, 'SER', '', '', NULL),
		('864', 'c', 'Terzo livello di enumerazione', 'Terzo livello di enumerazione', 0, 0, '', 8, '', '', '', 0, 5, 'SER', '', '', NULL),
		('864', 'd', 'Quarto livello di enumerazione', 'Quarto livello di enumerazione', 0, 0, '', 8, '', '', '', 0, 5, 'SER', '', '', NULL),
		('864', 'e', 'Quinto livello di enumerazione', 'Quinto livello di enumerazione', 0, 0, '', 8, '', '', '', 0, 5, 'SER', '', '', NULL),
		('864', 'f', 'Sesto livello di enumerazione', 'Sesto livello di enumerazione', 0, 0, '', 8, '', '', '', 0, 5, 'SER', '', '', NULL),
		('864', 'g', 'Schema di numerazione alternativo, primo livello di enumerazione', 'Schema di numerazione alternativo, primo livello di enumerazione', 0, 0, '', 8, '', '', '', 0, 5, 'SER', '', '', NULL),
		('864', 'h', 'Schema di numerazione alternativo, secondo livello di enumerazione', 'Schema di numerazione alternativo, secondo livello di enumerazione', 0, 0, '', 8, '', '', '', 0, 5, 'SER', '', '', NULL),
		('864', 'i', 'Primo livello di cronologia', 'Primo livello di cronologia', 0, 0, '', 8, '', '', '', 0, 5, 'SER', '', '', NULL),
		('864', 'j', 'Secondo livello di cronologia', 'Secondo livello di cronologia', 0, 0, '', 8, '', '', '', 0, 5, 'SER', '', '', NULL),
		('864', 'k', 'Terzo livello di cronologia', 'Terzo livello di cronologia', 0, 0, '', 8, '', '', '', 0, 5, 'SER', '', '', NULL),
		('864', 'l', 'Quarto livello di cronologia', 'Quarto livello di cronologia', 0, 0, '', 8, '', '', '', 0, 5, 'SER', '', '', NULL),
		('864', 'm', 'Schema di numerazione alternativo, cronologia', 'Schema di numerazione alternativo, cronologia', 0, 0, '', 8, '', '', '', 0, 5, 'SER', '', '', NULL),
		('864', 'n', 'Convertito in anno Gregoriano', 'Convertito in anno Gregoriano', 0, 0, '', 8, '', '', '', 0, 5, 'SER', '', '', NULL),
		('864', 'o', 'Tipo di materiale', 'Tipo di materiale', 1, 0, '', 8, '', '', '', 0, 5, 'SER', '', '', NULL),
		('864', 'p', 'Designazione di parte', 'Designazione di parte', 0, 0, '', 8, '', '', '', 0, 5, 'SER', '', '', NULL),
		('864', 'q', 'Condizione fisica della parte', 'Condizione fisica della parte', 0, 0, '', 8, '', '', '', 0, 5, 'SER', '', '', NULL),
		('864', 's', 'Codice di tassa sul copyright dell\'articolo', 'Codice di tassa sul copyright dell\'articolo', 1, 0, '', 8, '', '', '', 0, 5, 'SER', '', '', NULL),
		('864', 't', 'Numero di copia', 'Numero di copia', 0, 0, '', 8, '', '', '', 0, 5, 'SER', '', '', NULL),
		('864', 'v', 'Data di emissione', 'Data di emissione', 1, 0, '', 8, '', '', '', 0, 5, 'SER', '', '', NULL),
		('864', 'w', 'indicatore di stacco', 'indicatore di stacco', 0, 0, '', 8, '', '', '', 0, 5, 'SER', '', '', NULL),
		('864', 'x', 'Nota non pubblic', 'Nota non pubblic', 1, 0, '', 8, '', '', '', 0, 5, 'SER', '', '', NULL),
		('864', 'z', 'Nota pubblica', 'Nota pubblica', 1, 0, '', 8, '', '', '', 0, 5, 'SER', '', '', NULL),
		('865', '6', 'Collegamento', 'Collegamento', 0, 0, '', 8, '', '', '', NULL, 5, 'SER', '', '', NULL),
		('865', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 0, 0, '', 8, '', '', '', NULL, 5, 'SER', '', '', NULL),
		('865', 'a', 'Primo livello di enumerazione', 'Primo livello di enumerazione', 0, 0, '', 8, '', '', '', 0, 5, 'SER', '', '', NULL),
		('865', 'b', 'Secondo livello di enumerazione', 'Secondo livello di enumerazione', 0, 0, '', 8, '', '', '', 0, 5, 'SER', '', '', NULL),
		('865', 'c', 'Terzo livello di enumerazione', 'Terzo livello di enumerazione', 0, 0, '', 8, '', '', '', 0, 5, 'SER', '', '', NULL),
		('865', 'd', 'Quarto livello di enumerazione', 'Quarto livello di enumerazione', 0, 0, '', 8, '', '', '', 0, 5, 'SER', '', '', NULL),
		('865', 'e', 'Quinto livello di enumerazione', 'Quinto livello di enumerazione', 0, 0, '', 8, '', '', '', 0, 5, 'SER', '', '', NULL),
		('865', 'f', 'Sesto livello di enumerazione', 'Sesto livello di enumerazione', 0, 0, '', 8, '', '', '', 0, 5, 'SER', '', '', NULL),
		('865', 'g', 'Schema di numerazione alternativo, primo livello di enumerazione', 'Schema di numerazione alternativo, primo livello di enumerazione', 0, 0, '', 8, '', '', '', 0, 5, 'SER', '', '', NULL),
		('865', 'h', 'Schema di numerazione alternativo, secondo livello di enumerazione', 'Schema di numerazione alternativo, secondo livello di enumerazione', 0, 0, '', 8, '', '', '', 0, 5, 'SER', '', '', NULL),
		('865', 'i', 'Primo livello di cronologia', 'Primo livello di cronologia', 0, 0, '', 8, '', '', '', 0, 5, 'SER', '', '', NULL),
		('865', 'j', 'Secondo livello di cronologia', 'Secondo livello di cronologia', 0, 0, '', 8, '', '', '', 0, 5, 'SER', '', '', NULL),
		('865', 'k', 'Terzo livello di cronologia', 'Terzo livello di cronologia', 0, 0, '', 8, '', '', '', 0, 5, 'SER', '', '', NULL),
		('865', 'l', 'Quarto livello di cronologia', 'Quarto livello di cronologia', 0, 0, '', 8, '', '', '', 0, 5, 'SER', '', '', NULL),
		('865', 'm', 'Schema di numerazione alternativo, cronologia', 'Schema di numerazione alternativo, cronologia', 0, 0, '', 8, '', '', '', 0, 5, 'SER', '', '', NULL),
		('865', 'n', 'Convertito in anno Gregoriano', 'Convertito in anno Gregoriano', 0, 0, '', 8, '', '', '', 0, 5, 'SER', '', '', NULL),
		('865', 'o', 'Tipo di materiale', 'Tipo di materiale', 1, 0, '', 8, '', '', '', 0, 5, 'SER', '', '', NULL),
		('865', 'p', 'Designazione di parte', 'Designazione di parte', 0, 0, '', 8, '', '', '', 0, 5, 'SER', '', '', NULL),
		('865', 'q', 'Condizione fisica della parte', 'Condizione fisica della parte', 0, 0, '', 8, '', '', '', 0, 5, 'SER', '', '', NULL),
		('865', 's', 'Codice di tassa sul copyright dell\'articolo', 'Codice di tassa sul copyright dell\'articolo', 1, 0, '', 8, '', '', '', 0, 5, 'SER', '', '', NULL),
		('865', 't', 'Numero di copia', 'Numero di copia', 0, 0, '', 8, '', '', '', 0, 5, 'SER', '', '', NULL),
		('865', 'v', 'Data di emissione', 'Data di emissione', 1, 0, '', 8, '', '', '', 0, 5, 'SER', '', '', NULL),
		('865', 'w', 'indicatore di stacco', 'indicatore di stacco', 0, 0, '', 8, '', '', '', 0, 5, 'SER', '', '', NULL),
		('865', 'x', 'Nota non pubblic', 'Nota non pubblic', 1, 0, '', 8, '', '', '', 0, 5, 'SER', '', '', NULL),
		('865', 'z', 'Nota pubblica', 'Nota pubblica', 1, 0, '', 8, '', '', '', 0, 5, 'SER', '', '', NULL),
		('866', '6', 'Collegamento', 'Collegamento', 0, 0, '', 8, '', '', '', NULL, 5, 'SER', '', '', NULL),
		('866', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 8, '', '', '', NULL, 5, 'SER', '', '', NULL),
		('866', 'a', 'Stringa testuale', 'Stringa testuale', 0, 0, '', 8, '', '', '', 0, 5, 'SER', '', '', NULL),
		('866', 'x', 'Nota non pubblic', 'Nota non pubblic', 1, 0, '', 8, '', '', '', 0, 5, 'SER', '', '', NULL),
		('866', 'z', 'Nota pubblica', 'Nota pubblica', 1, 0, '', 8, '', '', '', 0, 5, 'SER', '', '', NULL),
		('867', '6', 'Collegamento', 'Collegamento', 0, 0, '', 8, '', '', '', NULL, 5, 'SER', '', '', NULL),
		('867', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 8, '', '', '', NULL, 5, 'SER', '', '', NULL),
		('867', 'a', 'Stringa testuale', 'Stringa testuale', 0, 0, '', 8, '', '', '', 0, 5, 'SER', '', '', NULL),
		('867', 'x', 'Nota non pubblic', 'Nota non pubblic', 1, 0, '', 8, '', '', '', 0, 5, 'SER', '', '', NULL),
		('867', 'z', 'Nota pubblica', 'Nota pubblica', 1, 0, '', 8, '', '', '', 0, 5, 'SER', '', '', NULL),
		('868', '6', 'Collegamento', 'Collegamento', 0, 0, '', 8, '', '', '', NULL, 5, 'SER', '', '', NULL),
		('868', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 8, '', '', '', NULL, 5, 'SER', '', '', NULL),
		('868', 'a', 'Stringa testuale', 'Stringa testuale', 0, 0, '', 8, '', '', '', 0, 5, 'SER', '', '', NULL),
		('868', 'x', 'Nota non pubblic', 'Nota non pubblic', 1, 0, '', 8, '', '', '', 0, 5, 'SER', '', '', NULL),
		('868', 'z', 'Nota pubblica', 'Nota pubblica', 1, 0, '', 8, '', '', '', 0, 5, 'SER', '', '', NULL),
		('870', '4', 'Codice di ruolo', 'Codice di ruolo', 1, 0, '', 8, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('870', '6', 'Collegamento', 'Collegamento', 0, 0, '', 8, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('870', 'a', 'Nome di persona', 'Nome di persona', 0, 0, '', 8, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('870', 'b', 'Numerazione', 'Numerazione', 0, 0, '', 8, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('870', 'c', 'Titoli e altre parole associate al nome', 'Titoli e altre parole associate al nome', 1, 0, '', 8, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('870', 'd', 'Date associate al nome', 'Date associate al nome', 0, 0, '', 8, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('870', 'e', 'Termine di ruolo', 'Termine di ruolo', 1, 0, '', 8, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('870', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, '', 8, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('870', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, '', 8, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('870', 'j', 'Tag e numero di sequenza', 'Tag e numero di sequenza', 0, 0, '', 8, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('870', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, '', 8, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('870', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, '', 8, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('870', 'n', 'Numero di parte/sezione dell\'opera', 'Numero di parte/sezione dell\'opera', 1, 0, '', 8, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('870', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, '', 8, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('870', 'q', 'Forma completa del nome', 'Forma completa del nome', 0, 0, '', 8, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('870', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, '', 8, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('870', 'u', 'Affiliazione', 'Affiliazione', 0, 0, '', 8, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('871', '4', 'Codice di ruolo', 'Codice di ruolo', 1, 0, '', 8, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('871', '6', 'Collegamento', 'Collegamento', 0, 0, '', 8, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('871', 'a', 'Nome dell\'ente o nome della giurisdizione come accesso', 'Nome dell\'ente o nome della giurisdizione come accesso', 0, 0, '', 8, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('871', 'b', 'Unità subordinata', 'Unità subordinata', 1, 0, '', 8, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('871', 'c', 'Luogo del convegno', 'Luogo del convegno', 0, 0, '', 8, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('871', 'd', 'Data del convegno o di firma del trattato', 'Data del convegno o di firma del trattato', 1, 0, '', 8, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('871', 'e', 'Termine di ruolo', 'Termine di ruolo', 1, 0, '', 8, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('871', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, '', 8, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('871', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, '', 8, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('871', 'j', 'Tag e numero di sequenza', 'Tag e numero di sequenza', 0, 0, '', 8, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('871', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, '', 8, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('871', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, '', 8, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('871', 'n', 'Numero di parte/sezione/convegno', 'Numero di parte/sezione/convegno', 1, 0, '', 8, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('871', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, '', 8, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('871', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, '', 8, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('871', 'u', 'Affiliazione', 'Affiliazione', 0, 0, '', 8, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('872', '4', 'Codice di ruolo', 'Codice di ruolo', 1, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('872', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('872', 'a', 'Nome del convegno o nome della giurisdizione come accesso', 'Nome del convegno o nome della giurisdizione come accesso', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('872', 'b', 'Number [OBSOLETE]', 'Number [OBSOLETE]', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('872', 'c', 'Luogo del convegno', 'Luogo del convegno', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('872', 'd', 'Data del convegno', 'Data del convegno', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('872', 'e', 'Unità subordinata', 'Unità subordinata', 1, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('872', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('872', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('872', 'j', 'Tag e numero di sequenza', 'Tag e numero di sequenza', 0, 0, '', 8, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('872', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('872', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('872', 'n', 'Numero di parte/sezione/convegno', 'Numero di parte/sezione/convegno', 1, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('872', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('872', 'q', 'Nome del convegno dopo accesso di nome della giurisdizione', 'Nome del convegno dopo accesso di nome della giurisdizione', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('872', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('872', 'u', 'Affiliazione', 'Affiliazione', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('873', '6', 'Collegamento', 'Collegamento', 0, 0, '', 8, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('873', 'a', 'Titolo uniforme', 'Titolo uniforme', 0, 0, '', 8, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('873', 'd', 'Data di firma del trattato', 'Data di firma del trattato', 1, 0, '', 8, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('873', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, '', 8, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('873', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, '', 8, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('873', 'h', 'Supporto', 'Supporto', 0, 0, '', 8, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('873', 'j', 'Tag e numero di sequenza', 'Tag e numero di sequenza', 0, 0, '', 8, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('873', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, '', 8, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('873', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, '', 8, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('873', 'm', 'Mezzo di esecuzione per la musica', 'Mezzo di esecuzione per la musica', 1, 0, '', 8, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('873', 'n', 'Numero di parte/sezione dell\'opera', 'Numero di parte/sezione dell\'opera', 1, 0, '', 8, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('873', 'o', 'Formulazione d\'arrangiamento per la musica', 'Formulazione d\'arrangiamento per la musica', 0, 0, '', 8, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('873', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, '', 8, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('873', 'r', 'Tonalità (musica)', 'Tonalità (musica)', 0, 0, '', 8, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('873', 's', 'Versione', 'Versione', 0, 0, '', 8, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('873', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, '', 8, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('876', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, '', 8, '', '', '', NULL, 5, 'SER', '', '', NULL),
		('876', '6', 'Collegamento', 'Collegamento', 0, 0, '', 8, '', '', '', NULL, 5, 'SER', '', '', NULL),
		('876', '8', 'Numero di sequenza', 'Numero di sequenza', 1, 0, '', 8, '', '', '', NULL, 5, 'SER', '', '', NULL),
		('876', 'a', 'Internal item number', 'Internal item number', 0, 0, '', 8, '', '', '', NULL, 5, 'SER', '', '', NULL),
		('876', 'b', 'Invalid or canceled internal item number', 'Invalid or canceled internal item number', 1, 0, '', 8, '', '', '', NULL, 5, 'SER', '', '', NULL),
		('876', 'c', 'Cost', 'Cost', 1, 0, '', 8, '', '', '', NULL, 5, 'SER', '', '', NULL),
		('876', 'd', 'Data d\'acquisizione', 'Data d\'acquisizione', 1, 0, '', 8, '', '', '', NULL, 5, 'SER', '', '', NULL),
		('876', 'e', 'Fonte d\'acquisto', 'Fonte d\'acquisto', 1, 0, '', 8, '', '', '', NULL, 5, 'SER', '', '', NULL),
		('876', 'h', 'Use restrictions', 'Use restrictions', 1, 0, '', 8, '', '', '', NULL, 5, 'SER', '', '', NULL),
		('876', 'j', 'Status della copia', 'Status della copia', 1, 0, '', 8, '', '', '', NULL, 5, 'SER', '', '', NULL),
		('876', 'l', 'Collocazione temporanea', 'Collocazione temporanea', 1, 0, '', 8, '', '', '', NULL, 5, 'SER', '', '', NULL),
		('876', 'p', 'Designazione di parte', 'Designazione di parte', 1, 0, '', 8, '', '', '', NULL, 5, 'SER', '', '', NULL),
		('876', 'r', 'Invalid or canceled piece designation', 'Invalid or canceled piece designation', 1, 0, '', 8, '', '', '', NULL, 5, 'SER', '', '', NULL),
		('876', 't', 'Numero di copia', 'Numero di copia', 0, 0, '', 8, '', '', '', NULL, 5, 'SER', '', '', NULL),
		('876', 'x', 'Nota non pubblic', 'Nota non pubblic', 1, 0, '', 8, '', '', '', NULL, 5, 'SER', '', '', NULL),
		('876', 'z', 'Nota pubblica', 'Nota pubblica', 1, 0, '', 8, '', '', '', NULL, 5, 'SER', '', '', NULL),
		('877', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, '', 8, '', '', '', NULL, 5, 'SER', '', '', NULL),
		('877', '6', 'Collegamento', 'Collegamento', 0, 0, '', 8, '', '', '', NULL, 5, 'SER', '', '', NULL),
		('877', '8', 'Numero di sequenza', 'Numero di sequenza', 1, 0, '', 8, '', '', '', NULL, 5, 'SER', '', '', NULL),
		('877', 'a', 'Internal item number', 'Internal item number', 0, 0, '', 8, '', '', '', NULL, 5, 'SER', '', '', NULL),
		('877', 'b', 'Invalid or canceled internal item number', 'Invalid or canceled internal item number', 1, 0, '', 8, '', '', '', NULL, 5, 'SER', '', '', NULL),
		('877', 'c', 'Cost', 'Cost', 1, 0, '', 8, '', '', '', NULL, 5, 'SER', '', '', NULL),
		('877', 'd', 'Data d\'acquisizione', 'Data d\'acquisizione', 1, 0, '', 8, '', '', '', NULL, 5, 'SER', '', '', NULL),
		('877', 'e', 'Fonte d\'acquisto', 'Fonte d\'acquisto', 1, 0, '', 8, '', '', '', NULL, 5, 'SER', '', '', NULL),
		('877', 'h', 'Use restrictions', 'Use restrictions', 1, 0, '', 8, '', '', '', NULL, 5, 'SER', '', '', NULL),
		('877', 'j', 'Status della copia', 'Status della copia', 1, 0, '', 8, '', '', '', NULL, 5, 'SER', '', '', NULL),
		('877', 'l', 'Collocazione temporanea', 'Collocazione temporanea', 1, 0, '', 8, '', '', '', NULL, 5, 'SER', '', '', NULL),
		('877', 'p', 'Designazione di parte', 'Designazione di parte', 1, 0, '', 8, '', '', '', NULL, 5, 'SER', '', '', NULL),
		('877', 'r', 'Invalid or canceled piece designation', 'Invalid or canceled piece designation', 1, 0, '', 8, '', '', '', NULL, 5, 'SER', '', '', NULL),
		('877', 't', 'Numero di copia', 'Numero di copia', 0, 0, '', 8, '', '', '', NULL, 5, 'SER', '', '', NULL),
		('877', 'x', 'Nota non pubblic', 'Nota non pubblic', 1, 0, '', 8, '', '', '', NULL, 5, 'SER', '', '', NULL),
		('877', 'z', 'Nota pubblica', 'Nota pubblica', 1, 0, '', 8, '', '', '', NULL, 5, 'SER', '', '', NULL),
		('878', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, '', 8, '', '', '', NULL, 5, 'SER', '', '', NULL),
		('878', '6', 'Collegamento', 'Collegamento', 0, 0, '', 8, '', '', '', NULL, 5, 'SER', '', '', NULL),
		('878', '8', 'Numero di sequenza', 'Numero di sequenza', 1, 0, '', 8, '', '', '', NULL, 5, 'SER', '', '', NULL),
		('878', 'a', 'Internal item number', 'Internal item number', 0, 0, '', 8, '', '', '', NULL, 5, 'SER', '', '', NULL),
		('878', 'b', 'Invalid or canceled internal item number', 'Invalid or canceled internal item number', 1, 0, '', 8, '', '', '', NULL, 5, 'SER', '', '', NULL),
		('878', 'c', 'Cost', 'Cost', 1, 0, '', 8, '', '', '', NULL, 5, 'SER', '', '', NULL),
		('878', 'd', 'Data d\'acquisizione', 'Data d\'acquisizione', 1, 0, '', 8, '', '', '', NULL, 5, 'SER', '', '', NULL),
		('878', 'e', 'Fonte d\'acquisto', 'Fonte d\'acquisto', 1, 0, '', 8, '', '', '', NULL, 5, 'SER', '', '', NULL),
		('878', 'h', 'Use restrictions', 'Use restrictions', 1, 0, '', 8, '', '', '', NULL, 5, 'SER', '', '', NULL),
		('878', 'j', 'Status della copia', 'Status della copia', 1, 0, '', 8, '', '', '', NULL, 5, 'SER', '', '', NULL),
		('878', 'l', 'Collocazione temporanea', 'Collocazione temporanea', 1, 0, '', 8, '', '', '', NULL, 5, 'SER', '', '', NULL),
		('878', 'p', 'Designazione di parte', 'Designazione di parte', 1, 0, '', 8, '', '', '', NULL, 5, 'SER', '', '', NULL),
		('878', 'r', 'Invalid or canceled piece designation', 'Invalid or canceled piece designation', 1, 0, '', 8, '', '', '', NULL, 5, 'SER', '', '', NULL),
		('878', 't', 'Numero di copia', 'Numero di copia', 0, 0, '', 8, '', '', '', NULL, 5, 'SER', '', '', NULL),
		('878', 'x', 'Nota non pubblic', 'Nota non pubblic', 1, 0, '', 8, '', '', '', NULL, 5, 'SER', '', '', NULL),
		('878', 'z', 'Nota pubblica', 'Nota pubblica', 1, 0, '', 8, '', '', '', NULL, 5, 'SER', '', '', NULL),
		('880', '2', '2', '2', 1, 0, '', 8, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('880', '3', '3', '3', 1, 0, '', 8, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('880', '4', '4', '4', 1, 0, '', 8, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('880', '5', '5', '5', 1, 0, '', 8, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('880', '6', 'Collegamento', 'Collegamento', 0, 0, '', 8, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('880', '7', '7', '7', 1, 0, '', 8, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('880', '8', '8', '8', 1, 0, '', 8, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('880', '9', '9', '9', 1, 0, '', 8, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('880', 'a', 'a', 'a', 1, 0, '', 8, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('880', 'b', 'b', 'b', 1, 0, '', 8, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('880', 'c', 'c', 'c', 1, 0, '', 8, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('880', 'd', 'd', 'd', 1, 0, '', 8, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('880', 'e', 'e', 'e', 1, 0, '', 8, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('880', 'f', 'f', 'f', 1, 0, '', 8, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('880', 'g', 'g', 'g', 1, 0, '', 8, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('880', 'h', 'h', 'h', 1, 0, '', 8, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('880', 'i', 'i', 'i', 1, 0, '', 8, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('880', 'j', 'j', 'j', 1, 0, '', 8, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('880', 'k', 'k', 'k', 1, 0, '', 8, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('880', 'l', 'l', 'l', 1, 0, '', 8, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('880', 'm', 'm', 'm', 1, 0, '', 8, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('880', 'n', 'n', 'n', 1, 0, '', 8, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('880', 'o', 'o', 'o', 1, 0, '', 8, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('880', 'p', 'p', 'p', 1, 0, '', 8, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('880', 'q', 'q', 'q', 1, 0, '', 8, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('880', 'r', 'r', 'r', 1, 0, '', 8, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('880', 's', 's', 's', 1, 0, '', 8, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('880', 't', 't', 't', 1, 0, '', 8, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('880', 'u', 'u', 'u', 1, 0, '', 8, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('880', 'v', 'v', 'v', 1, 0, '', 8, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('880', 'w', 'w', 'w', 1, 0, '', 8, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('880', 'x', 'x', 'x', 1, 0, '', 8, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('880', 'y', 'y', 'y', 1, 0, '', 8, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('880', 'z', 'z', 'z', 1, 0, '', 8, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('886', '0', '0', '0', 1, 0, '', 8, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('886', '1', '1', '1', 1, 0, '', 8, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('886', '2', '2', '2', 1, 0, '', 8, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('886', '3', '3', '3', 1, 0, '', 8, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('886', '4', '4', '4', 1, 0, '', 8, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('886', '5', '5', '5', 1, 0, '', 8, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('886', '6', '6', '6', 1, 0, '', 8, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('886', '7', '7', '7', 1, 0, '', 8, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('886', '8', '8', '8', 1, 0, '', 8, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('886', '9', '9', '9', 1, 0, '', 8, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('886', 'a', 'a', 'a', 1, 0, '', 8, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('886', 'b', 'b', 'b', 1, 0, '', 8, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('886', 'c', 'c', 'c', 1, 0, '', 8, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('886', 'd', 'd', 'd', 1, 0, '', 8, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('886', 'e', 'e', 'e', 1, 0, '', 8, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('886', 'f', 'f', 'f', 1, 0, '', 8, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('886', 'g', 'g', 'g', 1, 0, '', 8, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('886', 'h', 'h', 'h', 1, 0, '', 8, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('886', 'i', 'i', 'i', 1, 0, '', 8, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('886', 'j', 'j', 'j', 1, 0, '', 8, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('886', 'k', 'k', 'k', 1, 0, '', 8, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('886', 'l', 'l', 'l', 1, 0, '', 8, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('886', 'm', 'm', 'm', 1, 0, '', 8, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('886', 'n', 'n', 'n', 1, 0, '', 8, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('886', 'o', 'o', 'o', 1, 0, '', 8, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('886', 'p', 'p', 'p', 1, 0, '', 8, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('886', 'q', 'q', 'q', 1, 0, '', 8, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('886', 'r', 'r', 'r', 1, 0, '', 8, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('886', 's', 's', 's', 1, 0, '', 8, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('886', 't', 't', 't', 1, 0, '', 8, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('886', 'u', 'u', 'u', 1, 0, '', 8, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('886', 'v', 'v', 'v', 1, 0, '', 8, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('886', 'w', 'w', 'w', 1, 0, '', 8, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('886', 'x', 'x', 'x', 1, 0, '', 8, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('886', 'y', 'y', 'y', 1, 0, '', 8, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('886', 'z', 'z', 'z', 1, 0, '', 8, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('887', '2', 'Fonte dei dati', 'Fonte dei dati', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('887', 'a', 'Contenuto del campo non-MARC', 'Contenuto del campo non-MARC', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('896', '%', '% (RLIN)', '% (RLIN)', 0, 0, '', 8, '', '', '', 0, -6, 'SER', '', '', NULL),
		('896', '4', 'Codice di ruolo', 'Codice di ruolo', 1, 0, '', 8, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('896', '6', 'Collegamento', 'Collegamento', 0, 0, '', 8, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('896', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 8, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('896', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 8, '', '', '', 0, -5, 'SER', '', '', NULL),
		('896', 'a', 'Nome di persona', 'Nome di persona', 0, 0, '', 8, '', 'PERSO_NAME', '', NULL, -6, 'SER', '', '', NULL),
		('896', 'b', 'Numerazione', 'Numerazione', 0, 0, '', 8, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('896', 'c', 'Titoli e altre parole associate al nome', 'Titoli e altre parole associate al nome', 1, 0, '', 8, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('896', 'd', 'Date associate al nome', 'Date associate al nome', 0, 0, '', 8, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('896', 'e', 'Termine di ruolo', 'Termine di ruolo', 1, 0, '', 8, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('896', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, '', 8, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('896', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, '', 8, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('896', 'h', 'Supporto', 'Supporto', 0, 0, '', 8, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('896', 'j', 'Qualificazione d\'attribuzione', 'Qualificazione d\'attribuzione', 1, 0, '', 8, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('896', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, '', 8, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('896', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, '', 8, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('896', 'm', 'Mezzo di esecuzione per la musica', 'Mezzo di esecuzione per la musica', 1, 0, '', 8, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('896', 'n', 'Numero di parte/sezione dell\'opera', 'Numero di parte/sezione dell\'opera', 1, 0, '', 8, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('896', 'o', 'Formulazione d\'arrangiamento per la musica', 'Formulazione d\'arrangiamento per la musica', 0, 0, '', 8, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('896', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, '', 8, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('896', 'q', 'Forma completa del nome', 'Forma completa del nome', 0, 0, '', 8, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('896', 'r', 'Tonalità (musica)', 'Tonalità (musica)', 0, 0, '', 8, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('896', 's', 'Versione', 'Versione', 0, 0, '', 8, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('896', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, '', 8, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('896', 'u', 'Affiliazione', 'Affiliazione', 0, 0, '', 8, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('896', 'v', 'Numero del volume/designazione di sequenza', 'Numero del volume/designazione di sequenza', 0, 0, '', 8, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('897', '%', '% (RLIN)', '% (RLIN)', 0, 0, '', 8, '', '', '', 0, -6, 'SER', '', '', NULL),
		('897', '4', 'Codice di ruolo', 'Codice di ruolo', 1, 0, '', 8, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('897', '6', 'Collegamento', 'Collegamento', 0, 0, '', 8, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('897', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 8, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('897', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 8, '', '', '', 0, -5, 'SER', '', '', NULL),
		('897', 'a', 'Nome dell\'ente o nome della giurisdizione come accesso', 'Nome dell\'ente o nome della giurisdizione come accesso', 0, 0, '', 8, '', 'CORPO_NAME', '', NULL, -6, 'SER', '', '', NULL),
		('897', 'b', 'Unità subordinata', 'Unità subordinata', 1, 0, '', 8, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('897', 'c', 'Luogo del convegno', 'Luogo del convegno', 0, 0, '', 8, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('897', 'd', 'Data del convegno o di firma del trattato', 'Data del convegno o di firma del trattato', 1, 0, '', 8, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('897', 'e', 'Termine di ruolo', 'Termine di ruolo', 1, 0, '', 8, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('897', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, '', 8, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('897', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, '', 8, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('897', 'h', 'Supporto', 'Supporto', 0, 0, '', 8, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('897', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, '', 8, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('897', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, '', 8, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('897', 'm', 'Mezzo di esecuzione per la musica', 'Mezzo di esecuzione per la musica', 1, 0, '', 8, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('897', 'n', 'Numero di parte/sezione/convegno', 'Numero di parte/sezione/convegno', 1, 0, '', 8, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('897', 'o', 'Formulazione d\'arrangiamento per la musica', 'Formulazione d\'arrangiamento per la musica', 0, 0, '', 8, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('897', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, '', 8, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('897', 'r', 'Tonalità (musica)', 'Tonalità (musica)', 0, 0, '', 8, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('897', 's', 'Versione', 'Versione', 0, 0, '', 8, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('897', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, '', 8, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('897', 'u', 'Affiliazione', 'Affiliazione', 0, 0, '', 8, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('897', 'v', 'Numero del volume/designazione di sequenza', 'Numero del volume/designazione di sequenza', 0, 0, '', 8, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('898', '%', '% (RLIN)', '% (RLIN)', 0, 0, '', 8, '', '', '', 0, -6, 'SER', '', '', NULL),
		('898', '4', 'Codice di ruolo', 'Codice di ruolo', 1, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('898', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('898', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('898', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 8, '', '', '', 0, -5, 'SER', '', '', NULL),
		('898', 'a', 'Nome del convegno o nome della giurisdizione come accesso', 'Nome del convegno o nome della giurisdizione come accesso', 0, 0, NULL, 8, NULL, 'MEETI_NAME', '', NULL, -6, 'SER', '', '', NULL),
		('898', 'b', 'Number (BK CF MP MU SE VM MX) [OBSOLETE]', 'Number (BK CF MP MU SE VM MX) [OBSOLETE]', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('898', 'c', 'Luogo del convegno', 'Luogo del convegno', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('898', 'd', 'Data del convegno', 'Data del convegno', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('898', 'e', 'Unità subordinata', 'Unità subordinata', 1, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('898', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('898', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('898', 'h', 'Supporto', 'Supporto', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('898', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('898', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('898', 'n', 'Numero di parte/sezione/convegno', 'Numero di parte/sezione/convegno', 1, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('898', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('898', 'q', 'Nome del convegno dopo accesso di nome della giurisdizione', 'Nome del convegno dopo accesso di nome della giurisdizione', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('898', 's', 'Versione', 'Versione', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('898', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('898', 'u', 'Affiliazione', 'Affiliazione', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('898', 'v', 'Numero del volume/designazione di sequenza', 'Numero del volume/designazione di sequenza', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('899', '%', '% (RLIN)', '% (RLIN)', 0, 0, '', 8, '', '', '', 0, -6, 'SER', '', '', NULL),
		('899', '6', 'Collegamento', 'Collegamento', 0, 0, '', 8, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('899', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 8, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('899', '9', '9 (RLIN)', '9 (RLIN)', 0, 0, '', 8, '', '', '', 0, -5, 'SER', '', '', NULL),
		('899', 'a', 'Titolo uniforme', 'Titolo uniforme', 0, 0, '', 8, '', 'UNIF_TITLE', '', NULL, -6, 'SER', '', '', NULL),
		('899', 'd', 'Data di firma del trattato', 'Data di firma del trattato', 1, 0, '', 8, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('899', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, '', 8, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('899', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, '', 8, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('899', 'h', 'Supporto', 'Supporto', 0, 0, '', 8, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('899', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, '', 8, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('899', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, '', 8, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('899', 'm', 'Mezzo di esecuzione per la musica', 'Mezzo di esecuzione per la musica', 1, 0, '', 8, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('899', 'n', 'Numero di parte/sezione dell\'opera', 'Numero di parte/sezione dell\'opera', 1, 0, '', 8, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('899', 'o', 'Formulazione d\'arrangiamento per la musica', 'Formulazione d\'arrangiamento per la musica', 0, 0, '', 8, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('899', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, '', 8, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('899', 'r', 'Tonalità (musica)', 'Tonalità (musica)', 0, 0, '', 8, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('899', 's', 'Versione', 'Versione', 0, 0, '', 8, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('899', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, '', 8, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('899', 'v', 'Numero del volume/designazione di sequenza', 'Numero del volume/designazione di sequenza', 0, 0, '', 8, '', '', '', NULL, 5, 'SER', '', '', NULL),
		('900', '4', 'Codice di ruolo', 'Codice di ruolo', 1, 0, '', 9, '', '', '', 0, -6, 'SER', '', '', NULL),
		('900', '6', 'Collegamento', 'Collegamento', 0, 0, '', 9, '', '', '', 0, -6, 'SER', '', '', NULL),
		('900', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 9, '', '', '', 0, -6, 'SER', '', '', NULL),
		('900', 'a', 'Nome di persona', 'Nome di persona', 0, 0, '', 9, '', '', '', 0, 5, 'SER', '', '', NULL),
		('900', 'b', 'Numerazione', 'Numerazione', 0, 0, '', 9, '', '', '', 0, -6, 'SER', '', '', NULL),
		('900', 'c', 'Titoli e altre parole associate al nome', 'Titoli e altre parole associate al nome', 1, 0, '', 9, '', '', '', 0, -6, 'SER', '', '', NULL),
		('900', 'd', 'Date associate al nome', 'Date associate al nome', 0, 0, '', 9, '', '', '', 0, -6, 'SER', '', '', NULL),
		('900', 'e', 'Termine di ruolo', 'Termine di ruolo', 1, 0, '', 9, '', '', '', 0, -6, 'SER', '', '', NULL),
		('900', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, '', 9, '', '', '', 0, -6, 'SER', '', '', NULL),
		('900', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, '', 9, '', '', '', 0, -6, 'SER', '', '', NULL),
		('900', 'j', 'Qualificazione d\'attribuzione', 'Qualificazione d\'attribuzione', 1, 0, '', 9, '', '', '', 0, -6, 'SER', '', '', NULL),
		('900', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, '', 9, '', '', '', 0, -6, 'SER', '', '', NULL),
		('900', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, '', 9, '', '', '', 0, -6, 'SER', '', '', NULL),
		('900', 'n', 'Numero di parte/sezione dell\'opera', 'Numero di parte/sezione dell\'opera', 1, 0, '', 9, '', '', '', 0, -6, 'SER', '', '', NULL),
		('900', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, '', 9, '', '', '', 0, -6, 'SER', '', '', NULL),
		('900', 'q', 'Forma completa del nome', 'Forma completa del nome', 0, 0, '', 9, '', '', '', 0, -6, 'SER', '', '', NULL),
		('900', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, '', 9, '', '', '', 0, -6, 'SER', '', '', NULL),
		('900', 'u', 'Affiliazione', 'Affiliazione', 0, 0, '', 9, '', '', '', 0, -6, 'SER', '', '', NULL),
		('901', '0', '0', '0', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('901', '1', '1', '1', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('901', '2', '2', '2', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('901', '3', '3', '3', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('901', '4', '4', '4', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('901', '5', '5', '5', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('901', '6', '6', '6', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('901', '7', '7', '7', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('901', '8', '8', '8', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('901', '9', '9', '9', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('901', 'a', 'a', 'a', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('901', 'b', 'b', 'b', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('901', 'c', 'c', 'c', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('901', 'd', 'd', 'd', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('901', 'e', 'e', 'e', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('901', 'f', 'f', 'f', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('901', 'g', 'g', 'g', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('901', 'h', 'h', 'h', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('901', 'i', 'i', 'i', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('901', 'j', 'j', 'j', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('901', 'k', 'k', 'k', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('901', 'l', 'l', 'l', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('901', 'm', 'm', 'm', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('901', 'n', 'n', 'n', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('901', 'o', 'o', 'o', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('901', 'p', 'p', 'p', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('901', 'q', 'q', 'q', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('901', 'r', 'r', 'r', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('901', 's', 's', 's', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('901', 't', 't', 't', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('901', 'u', 'u', 'u', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('901', 'v', 'v', 'v', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('901', 'w', 'w', 'w', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('901', 'x', 'x', 'x', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('901', 'y', 'y', 'y', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('901', 'z', 'z', 'z', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('902', '0', '0', '0', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('902', '1', '1', '1', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('902', '2', '2', '2', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('902', '3', '3', '3', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('902', '4', '4', '4', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('902', '5', '5', '5', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('902', '6', '6', '6', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('902', '7', '7', '7', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('902', '8', '8', '8', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('902', '9', '9', '9', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('902', 'a', 'a', 'a', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('902', 'b', 'b', 'b', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('902', 'c', 'c', 'c', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('902', 'd', 'd', 'd', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('902', 'e', 'e', 'e', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('902', 'f', 'f', 'f', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('902', 'g', 'g', 'g', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('902', 'h', 'h', 'h', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('902', 'i', 'i', 'i', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('902', 'j', 'j', 'j', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('902', 'k', 'k', 'k', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('902', 'l', 'l', 'l', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('902', 'm', 'm', 'm', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('902', 'n', 'n', 'n', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('902', 'o', 'o', 'o', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('902', 'p', 'p', 'p', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('902', 'q', 'q', 'q', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('902', 'r', 'r', 'r', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('902', 's', 's', 's', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('902', 't', 't', 't', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('902', 'u', 'u', 'u', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('902', 'v', 'v', 'v', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('902', 'w', 'w', 'w', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('902', 'x', 'x', 'x', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('902', 'y', 'y', 'y', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('902', 'z', 'z', 'z', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('903', '0', '0', '0', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('903', '1', '1', '1', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('903', '2', '2', '2', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('903', '3', '3', '3', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('903', '4', '4', '4', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('903', '5', '5', '5', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('903', '6', '6', '6', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('903', '7', '7', '7', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('903', '8', '8', '8', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('903', '9', '9', '9', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('903', 'a', 'a', 'a', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('903', 'b', 'b', 'b', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('903', 'c', 'c', 'c', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('903', 'd', 'd', 'd', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('903', 'e', 'e', 'e', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('903', 'f', 'f', 'f', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('903', 'g', 'g', 'g', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('903', 'h', 'h', 'h', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('903', 'i', 'i', 'i', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('903', 'j', 'j', 'j', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('903', 'k', 'k', 'k', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('903', 'l', 'l', 'l', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('903', 'm', 'm', 'm', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('903', 'n', 'n', 'n', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('903', 'o', 'o', 'o', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('903', 'p', 'p', 'p', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('903', 'q', 'q', 'q', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('903', 'r', 'r', 'r', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('903', 's', 's', 's', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('903', 't', 't', 't', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('903', 'u', 'u', 'u', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('903', 'v', 'v', 'v', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('903', 'w', 'w', 'w', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('903', 'x', 'x', 'x', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('903', 'y', 'y', 'y', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('903', 'z', 'z', 'z', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('904', '0', '0', '0', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('904', '1', '1', '1', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('904', '2', '2', '2', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('904', '3', '3', '3', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('904', '4', '4', '4', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('904', '5', '5', '5', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('904', '6', '6', '6', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('904', '7', '7', '7', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('904', '8', '8', '8', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('904', '9', '9', '9', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('904', 'a', 'a', 'a', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('904', 'b', 'b', 'b', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('904', 'c', 'c', 'c', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('904', 'd', 'd', 'd', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('904', 'e', 'e', 'e', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('904', 'f', 'f', 'f', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('904', 'g', 'g', 'g', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('904', 'h', 'h', 'h', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('904', 'i', 'i', 'i', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('904', 'j', 'j', 'j', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('904', 'k', 'k', 'k', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('904', 'l', 'l', 'l', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('904', 'm', 'm', 'm', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('904', 'n', 'n', 'n', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('904', 'o', 'o', 'o', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('904', 'p', 'p', 'p', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('904', 'q', 'q', 'q', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('904', 'r', 'r', 'r', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('904', 's', 's', 's', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('904', 't', 't', 't', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('904', 'u', 'u', 'u', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('904', 'v', 'v', 'v', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('904', 'w', 'w', 'w', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('904', 'x', 'x', 'x', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('904', 'y', 'y', 'y', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('904', 'z', 'z', 'z', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('905', '0', '0', '0', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('905', '1', '1', '1', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('905', '2', '2', '2', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('905', '3', '3', '3', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('905', '4', '4', '4', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('905', '5', '5', '5', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('905', '6', '6', '6', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('905', '7', '7', '7', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('905', '8', '8', '8', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('905', '9', '9', '9', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('905', 'a', 'a', 'a', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('905', 'b', 'b', 'b', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('905', 'c', 'c', 'c', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('905', 'd', 'd', 'd', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('905', 'e', 'e', 'e', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('905', 'f', 'f', 'f', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('905', 'g', 'g', 'g', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('905', 'h', 'h', 'h', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('905', 'i', 'i', 'i', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('905', 'j', 'j', 'j', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('905', 'k', 'k', 'k', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('905', 'l', 'l', 'l', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('905', 'm', 'm', 'm', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('905', 'n', 'n', 'n', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('905', 'o', 'o', 'o', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('905', 'p', 'p', 'p', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('905', 'q', 'q', 'q', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('905', 'r', 'r', 'r', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('905', 's', 's', 's', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('905', 't', 't', 't', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('905', 'u', 'u', 'u', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('905', 'v', 'v', 'v', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('905', 'w', 'w', 'w', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('905', 'x', 'x', 'x', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('905', 'y', 'y', 'y', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('905', 'z', 'z', 'z', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('906', '0', '0', '0', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('906', '1', '1', '1', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('906', '2', '2', '2', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('906', '3', '3', '3', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('906', '4', '4', '4', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('906', '5', '5', '5', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('906', '6', '6', '6', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('906', '7', '7', '7', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('906', '8', '8', '8', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('906', '9', '9', '9', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('906', 'a', 'a', 'a', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('906', 'b', 'b', 'b', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('906', 'c', 'c', 'c', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('906', 'd', 'd', 'd', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('906', 'e', 'e', 'e', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('906', 'f', 'f', 'f', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('906', 'g', 'g', 'g', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('906', 'h', 'h', 'h', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('906', 'i', 'i', 'i', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('906', 'j', 'j', 'j', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('906', 'k', 'k', 'k', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('906', 'l', 'l', 'l', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('906', 'm', 'm', 'm', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('906', 'n', 'n', 'n', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('906', 'o', 'o', 'o', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('906', 'p', 'p', 'p', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('906', 'q', 'q', 'q', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('906', 'r', 'r', 'r', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('906', 's', 's', 's', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('906', 't', 't', 't', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('906', 'u', 'u', 'u', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('906', 'v', 'v', 'v', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('906', 'w', 'w', 'w', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('906', 'x', 'x', 'x', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('906', 'y', 'y', 'y', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('906', 'z', 'z', 'z', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('907', '0', '0', '0', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('907', '1', '1', '1', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('907', '2', '2', '2', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('907', '3', '3', '3', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('907', '4', '4', '4', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('907', '5', '5', '5', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('907', '6', '6', '6', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('907', '7', '7', '7', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('907', '8', '8', '8', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('907', '9', '9', '9', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('907', 'a', 'a', 'a', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('907', 'b', 'b', 'b', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('907', 'c', 'c', 'c', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('907', 'd', 'd', 'd', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('907', 'e', 'e', 'e', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('907', 'f', 'f', 'f', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('907', 'g', 'g', 'g', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('907', 'h', 'h', 'h', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('907', 'i', 'i', 'i', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('907', 'j', 'j', 'j', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('907', 'k', 'k', 'k', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('907', 'l', 'l', 'l', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('907', 'm', 'm', 'm', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('907', 'n', 'n', 'n', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('907', 'o', 'o', 'o', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('907', 'p', 'p', 'p', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('907', 'q', 'q', 'q', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('907', 'r', 'r', 'r', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('907', 's', 's', 's', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('907', 't', 't', 't', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('907', 'u', 'u', 'u', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('907', 'v', 'v', 'v', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('907', 'w', 'w', 'w', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('907', 'x', 'x', 'x', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('907', 'y', 'y', 'y', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('907', 'z', 'z', 'z', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('908', 'a', 'Put command parameter', 'Put command parameter', 0, 0, '', 9, '', '', '', 0, -6, 'SER', '', '', NULL),
		('910', 'a', 'User-option data', 'User-option data', 0, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('911', '4', 'Codice di ruolo', 'Codice di ruolo', 1, 0, NULL, 9, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('911', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 9, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('911', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 9, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('911', 'a', 'Nome del convegno o nome della giurisdizione come accesso', 'Nome del convegno o nome della giurisdizione come accesso', 0, 0, NULL, 9, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('911', 'b', 'Number [OBSOLETE]', 'Number [OBSOLETE]', 0, 0, NULL, 9, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('911', 'c', 'Luogo del convegno', 'Luogo del convegno', 0, 0, NULL, 9, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('911', 'd', 'Data del convegno', 'Data del convegno', 0, 0, NULL, 9, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('911', 'e', 'Unità subordinata', 'Unità subordinata', 1, 0, NULL, 9, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('911', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, NULL, 9, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('911', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, NULL, 9, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('911', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, NULL, 9, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('911', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, NULL, 9, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('911', 'n', 'Numero di parte/sezione/convegno', 'Numero di parte/sezione/convegno', 1, 0, NULL, 9, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('911', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, NULL, 9, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('911', 'q', 'Nome del convegno dopo accesso di nome della giurisdizione', 'Nome del convegno dopo accesso di nome della giurisdizione', 0, 0, NULL, 9, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('911', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, NULL, 9, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('911', 'u', 'Affiliazione', 'Affiliazione', 0, 0, NULL, 9, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('930', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 9, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('930', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 9, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('930', 'a', 'Titolo uniforme', 'Titolo uniforme', 0, 0, NULL, 9, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('930', 'd', 'Data di firma del trattato', 'Data di firma del trattato', 1, 0, NULL, 9, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('930', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, NULL, 9, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('930', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, NULL, 9, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('930', 'h', 'Supporto', 'Supporto', 0, 0, NULL, 9, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('930', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, NULL, 9, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('930', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, NULL, 9, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('930', 'm', 'Mezzo di esecuzione per la musica', 'Mezzo di esecuzione per la musica', 1, 0, NULL, 9, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('930', 'n', 'Numero di parte/sezione dell\'opera', 'Numero di parte/sezione dell\'opera', 1, 0, NULL, 9, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('930', 'o', 'Formulazione d\'arrangiamento per la musica', 'Formulazione d\'arrangiamento per la musica', 0, 0, NULL, 9, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('930', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, NULL, 9, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('930', 'r', 'Tonalità (musica)', 'Tonalità (musica)', 0, 0, NULL, 9, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('930', 's', 'Versione', 'Versione', 0, 0, NULL, 9, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('930', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, NULL, 9, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('936', 'a', 'OCLC control number(s) of parallel record(s) (OCLC); Piece used for cataloging, PUC (RLIN)', 'OCLC control number(s) of parallel record(s) (OCLC); Piece used for cataloging, PUC (RLIN)', 1, 0, '', 9, '', '', '', 0, -6, 'SER', '', '', NULL),
		('940', '6', 'Collegamento', 'Collegamento', 0, 0, '', 9, '', '', '', 0, -6, 'SER', '', '', NULL),
		('940', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 9, '', '', '', 0, -6, 'SER', '', '', NULL),
		('940', 'a', 'Titolo uniforme', 'Titolo uniforme', 0, 0, '', 9, '', '', '', 1, -6, 'SER', '', '', NULL),
		('940', 'd', 'Data di firma del trattato', 'Data di firma del trattato', 1, 0, '', 9, '', '', '', 0, -6, 'SER', '', '', NULL),
		('940', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, '', 9, '', '', '', 0, -6, 'SER', '', '', NULL),
		('940', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, '', 9, '', '', '', 0, -6, 'SER', '', '', NULL),
		('940', 'h', 'Supporto', 'Supporto', 0, 0, '', 9, '', '', '', 0, -6, 'SER', '', '', NULL),
		('940', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, '', 9, '', '', '', 0, -6, 'SER', '', '', NULL),
		('940', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, '', 9, '', '', '', 0, -6, 'SER', '', '', NULL),
		('940', 'm', 'Mezzo di esecuzione per la musica', 'Mezzo di esecuzione per la musica', 1, 0, '', 9, '', '', '', 0, -6, 'SER', '', '', NULL),
		('940', 'n', 'Numero di parte/sezione dell\'opera', 'Numero di parte/sezione dell\'opera', 1, 0, '', 9, '', '', '', 0, -6, 'SER', '', '', NULL),
		('940', 'o', 'Formulazione d\'arrangiamento per la musica', 'Formulazione d\'arrangiamento per la musica', 0, 0, '', 9, '', '', '', 0, -6, 'SER', '', '', NULL),
		('940', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, '', 9, '', '', '', 0, -6, 'SER', '', '', NULL),
		('940', 'r', 'Tonalità (musica)', 'Tonalità (musica)', 0, 0, '', 9, '', '', '', 0, -6, 'SER', '', '', NULL),
		('940', 's', 'Versione', 'Versione', 0, 0, '', 9, '', '', '', 0, -6, 'SER', '', '', NULL),
		('941', 'a', 'Romanized title', 'Romanized title', 0, 0, NULL, 9, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('941', 'h', 'Supporto', 'Supporto', 0, 0, NULL, 9, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('943', '6', 'Collegamento', 'Collegamento', 0, 0, '', 9, '', '', '', 0, -6, 'SER', '', '', NULL),
		('943', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 9, '', '', '', 0, -6, 'SER', '', '', NULL),
		('943', 'a', 'Titolo uniforme', 'Titolo uniforme', 0, 0, '', 9, '', '', '', 1, 5, 'SER', '', '130', NULL),
		('943', 'd', 'Data di firma del trattato', 'Data di firma del trattato', 1, 0, '', 9, '', '', '', 0, -6, 'SER', '', '', NULL),
		('943', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, '', 9, '', '', '', 0, -6, 'SER', '', '', NULL),
		('943', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, '', 9, '', '', '', 0, -6, 'SER', '', '', NULL),
		('943', 'h', 'Supporto', 'Supporto', 0, 0, '', 9, '', '', '', 0, -6, 'SER', '', '', NULL),
		('943', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, '', 9, '', '', '', 0, -6, 'SER', '', '', NULL),
		('943', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, '', 9, '', '', '', 0, -6, 'SER', '', '', NULL),
		('943', 'm', 'Mezzo di esecuzione per la musica', 'Mezzo di esecuzione per la musica', 1, 0, '', 9, '', '', '', 0, -6, 'SER', '', '', NULL),
		('943', 'n', 'Numero di parte/sezione dell\'opera', 'Numero di parte/sezione dell\'opera', 1, 0, '', 9, '', '', '', 0, -6, 'SER', '', '', NULL),
		('943', 'o', 'Formulazione d\'arrangiamento per la musica', 'Formulazione d\'arrangiamento per la musica', 0, 0, '', 9, '', '', '', 0, -6, 'SER', '', '', NULL),
		('943', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, '', 9, '', '', '', 0, -6, 'SER', '', '', NULL),
		('943', 'r', 'Tonalità (musica)', 'Tonalità (musica)', 0, 0, '', 9, '', '', '', 0, -6, 'SER', '', '', NULL),
		('943', 's', 'Versione', 'Versione', 0, 0, '', 9, '', '', '', 0, -6, 'SER', '', '', NULL),
		('945', '0', '0', '0', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('945', '1', '1', '1', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('945', '2', '2', '2', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('945', '3', '3', '3', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('945', '4', '4', '4', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('945', '5', '5', '5', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('945', '6', '6', '6', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('945', '7', '7', '7', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('945', '8', '8', '8', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('945', '9', '9', '9', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('945', 'a', 'a', 'a', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('945', 'b', 'b', 'b', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('945', 'c', 'c', 'c', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('945', 'd', 'd', 'd', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('945', 'e', 'e', 'e', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('945', 'f', 'f', 'f', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('945', 'g', 'g', 'g', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('945', 'h', 'h', 'h', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('945', 'i', 'i', 'i', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('945', 'j', 'j', 'j', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('945', 'k', 'k', 'k', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('945', 'l', 'l', 'l', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('945', 'm', 'm', 'm', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('945', 'n', 'n', 'n', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('945', 'o', 'o', 'o', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('945', 'p', 'p', 'p', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('945', 'q', 'q', 'q', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('945', 'r', 'r', 'r', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('945', 's', 's', 's', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('945', 't', 't', 't', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('945', 'u', 'u', 'u', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('945', 'v', 'v', 'v', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('945', 'w', 'w', 'w', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('945', 'x', 'x', 'x', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('945', 'y', 'y', 'y', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('945', 'z', 'z', 'z', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('946', '0', '0', '0', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('946', '1', '1', '1', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('946', '2', '2', '2', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('946', '3', '3', '3', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('946', '4', '4', '4', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('946', '5', '5', '5', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('946', '6', '6', '6', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('946', '7', '7', '7', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('946', '8', '8', '8', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('946', '9', '9', '9', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('946', 'a', 'a', 'a', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('946', 'b', 'b', 'b', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('946', 'c', 'c', 'c', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('946', 'd', 'd', 'd', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('946', 'e', 'e', 'e', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('946', 'f', 'f', 'f', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('946', 'g', 'g', 'g', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('946', 'h', 'h', 'h', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('946', 'i', 'i', 'i', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('946', 'j', 'j', 'j', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('946', 'k', 'k', 'k', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('946', 'l', 'l', 'l', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('946', 'm', 'm', 'm', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('946', 'n', 'n', 'n', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('946', 'o', 'o', 'o', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('946', 'p', 'p', 'p', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('946', 'q', 'q', 'q', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('946', 'r', 'r', 'r', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('946', 's', 's', 's', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('946', 't', 't', 't', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('946', 'u', 'u', 'u', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('946', 'v', 'v', 'v', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('946', 'w', 'w', 'w', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('946', 'x', 'x', 'x', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('946', 'y', 'y', 'y', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('946', 'z', 'z', 'z', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('947', '0', '0', '0', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('947', '1', '1', '1', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('947', '2', '2', '2', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('947', '3', '3', '3', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('947', '4', '4', '4', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('947', '5', '5', '5', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('947', '6', '6', '6', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('947', '7', '7', '7', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('947', '8', '8', '8', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('947', '9', '9', '9', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('947', 'a', 'a', 'a', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('947', 'b', 'b', 'b', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('947', 'c', 'c', 'c', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('947', 'd', 'd', 'd', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('947', 'e', 'e', 'e', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('947', 'f', 'f', 'f', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('947', 'g', 'g', 'g', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('947', 'h', 'h', 'h', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('947', 'i', 'i', 'i', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('947', 'j', 'j', 'j', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('947', 'k', 'k', 'k', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('947', 'l', 'l', 'l', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('947', 'm', 'm', 'm', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('947', 'n', 'n', 'n', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('947', 'o', 'o', 'o', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('947', 'p', 'p', 'p', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('947', 'q', 'q', 'q', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('947', 'r', 'r', 'r', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('947', 's', 's', 's', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('947', 't', 't', 't', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('947', 'u', 'u', 'u', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('947', 'v', 'v', 'v', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('947', 'w', 'w', 'w', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('947', 'x', 'x', 'x', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('947', 'y', 'y', 'y', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('947', 'z', 'z', 'z', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('948', '0', '0 (OCLC)', '0 (OCLC)', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('948', '1', '1 (OCLC)', '1 (OCLC)', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('948', '2', '2 (OCLC)', '2 (OCLC)', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('948', '3', '3 (OCLC)', '3 (OCLC)', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('948', '4', '4 (OCLC)', '4 (OCLC)', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('948', '5', '5 (OCLC)', '5 (OCLC)', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('948', '6', '6 (OCLC)', '6 (OCLC)', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('948', '7', '7 (OCLC)', '7 (OCLC)', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('948', '8', '8 (OCLC)', '8 (OCLC)', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('948', '9', '9 (OCLC)', '9 (OCLC)', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('948', 'a', 'Series part designator, SPT (RLIN)', 'Series part designator, SPT (RLIN)', 0, 0, '', 9, '', '', '', 0, -6, 'SER', '', '', NULL),
		('948', 'b', 'b (OCLC)', 'b (OCLC)', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('948', 'c', 'c (OCLC)', 'c (OCLC)', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('948', 'd', 'd (OCLC)', 'd (OCLC)', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('948', 'e', 'e (OCLC)', 'e (OCLC)', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('948', 'f', 'f (OCLC)', 'f (OCLC)', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('948', 'g', 'g (OCLC)', 'g (OCLC)', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('948', 'h', 'h (OCLC)', 'h (OCLC)', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('948', 'i', 'i (OCLC)', 'i (OCLC)', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('948', 'j', 'j (OCLC)', 'j (OCLC)', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('948', 'k', 'k (OCLC)', 'k (OCLC)', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('948', 'l', 'l (OCLC)', 'l (OCLC)', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('948', 'm', 'm (OCLC)', 'm (OCLC)', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('948', 'n', 'n (OCLC)', 'n (OCLC)', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('948', 'o', 'o (OCLC)', 'o (OCLC)', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('948', 'p', 'p (OCLC)', 'p (OCLC)', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('948', 'q', 'q (OCLC)', 'q (OCLC)', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('948', 'r', 'r (OCLC)', 'r (OCLC)', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('948', 's', 's (OCLC)', 's (OCLC)', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('948', 't', 't (OCLC)', 't (OCLC)', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('948', 'u', 'u (OCLC)', 'u (OCLC)', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('948', 'v', 'v (OCLC)', 'v (OCLC)', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('948', 'w', 'w (OCLC)', 'w (OCLC)', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('948', 'x', 'x (OCLC)', 'x (OCLC)', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('948', 'y', 'y (OCLC)', 'y (OCLC)', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('948', 'z', 'z (OCLC)', 'z (OCLC)', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('949', '0', '0', '0', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('949', '1', '1', '1', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('949', '2', '2', '2', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('949', '3', '3', '3', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('949', '4', '4', '4', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('949', '5', '5', '5', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('949', '6', '6', '6', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('949', '7', '7', '7', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('949', '8', '8', '8', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('949', '9', '9', '9', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('949', 'a', 'a', 'a', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('949', 'b', 'b', 'b', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('949', 'c', 'c', 'c', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('949', 'd', 'd', 'd', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('949', 'e', 'e', 'e', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('949', 'f', 'f', 'f', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('949', 'g', 'g', 'g', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('949', 'h', 'h', 'h', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('949', 'i', 'i', 'i', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('949', 'j', 'j', 'j', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('949', 'k', 'k', 'k', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('949', 'l', 'l', 'l', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('949', 'm', 'm', 'm', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('949', 'n', 'n', 'n', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('949', 'o', 'o', 'o', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('949', 'p', 'p', 'p', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('949', 'q', 'q', 'q', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('949', 'r', 'r', 'r', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('949', 's', 's', 's', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('949', 't', 't', 't', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('949', 'u', 'u', 'u', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('949', 'v', 'v', 'v', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('949', 'w', 'w', 'w', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('949', 'x', 'x', 'x', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('949', 'y', 'y', 'y', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('949', 'z', 'z', 'z', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('950', 'a', 'Classification number, LCAL (RLIN)', 'Classification number, LCAL (RLIN)', 0, 0, '', 9, '', '', '', 0, 5, 'SER', '', '', NULL),
		('950', 'b', 'Book number/undivided call number, LCAL (RLIN)', 'Book number/undivided call number, LCAL (RLIN)', 0, 0, '', 9, '', '', '', 0, 5, 'SER', '', '', NULL),
		('950', 'd', 'Additional free-text stamp above the call number, LCAL (RLIN)', 'Additional free-text stamp above the call number, LCAL (RLIN)', 1, 0, '', 9, '', '', '', 0, 5, 'SER', '', '', NULL),
		('950', 'e', 'Additional free-text or profiled stamp below the call number, LCAL (RLIN)', 'Additional free-text or profiled stamp below the call number, LCAL (RLIN)', 1, 0, '', 9, '', '', '', 0, 5, 'SER', '', '', NULL),
		('950', 'f', 'Location-level footnote, LFNT (RLIN)', 'Location-level footnote, LFNT (RLIN)', 0, 0, '', 9, '', '', '', 0, 5, 'SER', '', '', NULL),
		('950', 'h', 'Location-level output transaction history, LHST (RLIN)', 'Location-level output transaction history, LHST (RLIN)', 0, 0, '', 9, '', '', '', 0, 5, 'SER', '', '', NULL),
		('950', 'i', 'Location-level extra card request, LEXT (RLIN)', 'Location-level extra card request, LEXT (RLIN)', 0, 0, '', 9, '', '', '', 0, 5, 'SER', '', '', NULL),
		('950', 'l', 'Permanent shelving location, LOC (RLIN)', 'Permanent shelving location, LOC (RLIN)', 0, 0, '', 9, '', '', '', 0, 5, 'SER', '', '', NULL),
		('950', 'n', 'Location-level additional note, LANT (RLIN)', 'Location-level additional note, LANT (RLIN)', 1, 0, '', 9, '', '', '', 0, 5, 'SER', '', '', NULL),
		('950', 'p', 'Location-level pathfinder, LPTH (RLIN)', 'Location-level pathfinder, LPTH (RLIN)', 0, 0, '', 9, '', '', '', 0, 5, 'SER', '', '', NULL),
		('950', 't', 'Location-level field suppression, LFSP (RLIN)', 'Location-level field suppression, LFSP (RLIN)', 0, 0, '', 9, '', '', '', 0, 5, 'SER', '', '', NULL),
		('950', 'u', 'Non-printing notes, LANT (RLIN)', 'Non-printing notes, LANT (RLIN)', 1, 0, '', 9, '', '', '', 0, 5, 'SER', '', '', NULL),
		('950', 'v', 'Volumes, LVOL (RLIN)', 'Volumes, LVOL (RLIN)', 0, 0, '', 9, '', '', '', 0, 5, 'SER', '', '', NULL),
		('950', 'w', 'Subscription status code, LANT (RLIN)', 'Subscription status code, LANT (RLIN)', 0, 0, '', 9, '', '', '', 0, 5, 'SER', '', '', NULL),
		('950', 'y', 'Date, LVOL (RLIN)', 'Date, LVOL (RLIN)', 0, 0, '', 9, '', '', '', 0, 5, 'SER', '', '', NULL),
		('950', 'z', 'Retention, LVOL (RLIN)', 'Retention, LVOL (RLIN)', 0, 0, '', 9, '', '', '', 0, 5, 'SER', '', '', NULL),
		('951', '2', 'Fonte dell\'intestazione o del termine', 'Fonte dell\'intestazione o del termine', 0, 0, '', 6, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('951', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, '', 6, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('951', '6', 'Collegamento', 'Collegamento', 0, 0, '', 6, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('951', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 6, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('951', 'a', 'Nome geografico', 'Nome geografico', 0, 0, '', 6, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('951', 'b', 'Geographic name following place entry element [OBSOLETE]', 'Geographic name following place entry element [OBSOLETE]', 1, 0, '', 6, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('951', 'v', 'Suddivisione geografica', 'Suddivisione geografica', 1, 0, '', 6, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('951', 'x', 'Suddivisione generale', 'Suddivisione generale', 1, 0, '', 6, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('951', 'y', 'Suddivisione cronologica', 'Suddivisione cronologica', 1, 0, '', 6, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('951', 'z', 'Suddivisione geografica', 'Suddivisione geografica', 1, 0, '', 6, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('955', 'a', 'Classification number, CCAL (RLIN)', 'Classification number, CCAL (RLIN)', 0, 0, '', 9, '', '', '', 0, 5, 'SER', '', '', NULL),
		('955', 'b', 'Book number/undivided call number, CCAL (RLIN)', 'Book number/undivided call number, CCAL (RLIN)', 0, 0, '', 9, '', '', '', 0, 5, 'SER', '', '', NULL),
		('955', 'c', 'Copy information and material description, CCAL + MDES (RLIN)', 'Copy information and material description, CCAL + MDES (RLIN)', 0, 0, '', 9, '', '', '', 0, 5, 'SER', '', '', NULL),
		('955', 'h', 'Copy status--for earlier dates, CST (RLIN)', 'Copy status--for earlier dates, CST (RLIN)', 0, 0, '', 9, '', '', '', 0, 5, 'SER', '', '', NULL),
		('955', 'i', 'Copy status, CST (RLIN)', 'Copy status, CST (RLIN)', 0, 0, '', 9, '', '', '', 0, 5, 'SER', '', '', NULL),
		('955', 'l', 'Permanent shelving location, LOC (RLIN)', 'Permanent shelving location, LOC (RLIN)', 0, 0, '', 9, '', '', '', 0, 5, 'SER', '', '', NULL),
		('955', 'q', 'Aquisitions control number, HNT (RLIN)', 'Aquisitions control number, HNT (RLIN)', 1, 0, '', 9, '', '', '', 0, 5, 'SER', '', '', NULL),
		('955', 'r', 'Circulation control number, HNT (RLIN)', 'Circulation control number, HNT (RLIN)', 0, 0, '', 9, '', '', '', 0, 5, 'SER', '', '', NULL),
		('955', 's', 'Shelflist note, HNT (RLIN)', 'Shelflist note, HNT (RLIN)', 1, 0, '', 9, '', '', '', 1, 5, 'SER', '', '', NULL),
		('955', 'u', 'Non-printing notes, HNT (RLIN)', 'Non-printing notes, HNT (RLIN)', 1, 0, '', 9, '', '', '', 0, 5, 'SER', '', '', NULL),
		('956', '2', 'Metodo di accesso', 'Metodo di accesso', 0, 0, '', 9, '', '', '', 0, -6, 'SER', '', '', NULL),
		('956', '3', 'Materiale specificato', 'Materiale specificato', 0, 0, '', 9, '', '', '', 0, -6, 'SER', '', '', NULL),
		('956', '6', 'Collegamento', 'Collegamento', 0, 0, '', 9, '', '', '', 0, -6, 'SER', '', '', NULL),
		('956', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 9, '', '', '', 0, -6, 'SER', '', '', NULL),
		('956', 'a', 'Nome dell\'host', 'Nome dell\'host', 1, 0, '', 9, '', '', '', 0, -6, 'SER', '', '', NULL),
		('956', 'b', 'Numero di accesso', 'Numero di accesso', 1, 0, '', 9, '', '', '', 0, -6, 'SER', '', '', NULL),
		('956', 'c', 'Informazione sulla compressione', 'Informazione sulla compressione', 1, 0, '', 9, '', '', '', 0, -6, 'SER', '', '', NULL),
		('956', 'd', 'Percorso della risorsa', 'Percorso della risorsa', 1, 0, '', 9, '', '', '', 0, -6, 'SER', '', '', NULL),
		('956', 'f', 'Nome elettronico', 'Nome elettronico', 1, 0, '', 9, '', '', '', 0, -6, 'SER', '', '', NULL),
		('956', 'h', 'Processore della richiesta (Username)', 'Processore della richiesta (Username)', 0, 0, '', 9, '', '', '', 0, -6, 'SER', '', '', NULL),
		('956', 'i', 'Istruzioni', 'Istruzioni', 1, 0, '', 9, '', '', '', 0, -6, 'SER', '', '', NULL),
		('956', 'j', 'Bit per secondo', 'Bit per secondo', 0, 0, '', 9, '', '', '', 0, -6, 'SER', '', '', NULL),
		('956', 'k', 'Password', 'Password', 0, 0, '', 9, '', '', '', 0, -6, 'SER', '', '', NULL),
		('956', 'l', 'Logon', 'Logon', 0, 0, '', 9, '', '', '', 0, -6, 'SER', '', '', NULL),
		('956', 'm', 'Contatto per assistenza all\'accesso', 'Contatto per assistenza all\'accesso', 1, 0, '', 9, '', '', '', 0, -6, 'SER', '', '', NULL),
		('956', 'n', 'Name of location of host in subfield', 'Name of location of host in subfield', 0, 0, '', 9, '', '', '', 0, -6, 'SER', '', '', NULL),
		('956', 'o', 'Sistema operativo', 'Sistema operativo', 0, 0, '', 9, '', '', '', 0, -6, 'SER', '', '', NULL),
		('956', 'p', 'Porta', 'Porta', 0, 0, '', 9, '', '', '', 0, -6, 'SER', '', '', NULL),
		('956', 'q', 'Tipo di formato elettronico', 'Tipo di formato elettronico', 0, 0, '', 9, '', '', '', 0, -6, 'SER', '', '', NULL),
		('956', 'r', 'Parametri', 'Parametri', 0, 0, '', 9, '', '', '', 0, -6, 'SER', '', '', NULL),
		('956', 's', 'Dimensione file', 'Dimensione file', 1, 0, '', 9, '', '', '', 0, -6, 'SER', '', '', NULL),
		('956', 't', 'Emulazione del terminale', 'Emulazione del terminale', 1, 0, '', 9, '', '', '', 0, -6, 'SER', '', '', NULL),
		('956', 'u', 'URI (Uniform Resource Identifier)', 'URI (Uniform Resource Identifier)', 1, 0, '', 9, '', '', '', 1, -6, 'SER', '', '', NULL),
		('956', 'v', 'Orario di accesso', 'Orario di accesso', 1, 0, '', 9, '', '', '', 0, -6, 'SER', '', '', NULL),
		('956', 'w', 'Numero di controllo della registrazione', 'Numero di controllo della registrazione', 1, 0, '', 9, '', '', '', 0, -6, 'SER', '', '', NULL),
		('956', 'x', 'Nota non pubblic', 'Nota non pubblic', 1, 0, '', 9, '', '', '', 0, 6, 'SER', '', '', NULL),
		('956', 'y', 'Testo di collegamento', 'Testo di collegamento', 1, 0, '', 9, '', '', '', 0, -6, 'SER', '', '', NULL),
		('956', 'z', 'Nota pubblica', 'Nota pubblica', 1, 0, '', 9, '', '', '', 0, -6, 'SER', '', '', NULL),
		('960', '3', 'Materials specified, MATL', 'Materials specified, MATL', 0, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('960', 'a', 'Physical location, PLOC (RLIN)', 'Physical location, PLOC (RLIN)', 0, 0, '', 9, '', '', '', 0, -6, 'SER', '', '', NULL),
		('967', 'a', 'GNR (RLIN)', 'GNR (RLIN)', 0, 0, '', 9, '', '', '', 0, -6, 'SER', '', '', NULL),
		('967', 'c', 'PSI (RLIN)', 'PSI (RLIN)', 0, 0, '', 9, '', '', '', 0, -6, 'SER', '', '', NULL),
		('980', '4', 'Codice di ruolo', 'Codice di ruolo', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('980', '6', 'Collegamento', 'Collegamento', 0, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('980', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('980', 'a', 'Nome di persona', 'Nome di persona', 0, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('980', 'b', 'Numerazione', 'Numerazione', 0, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('980', 'c', 'Titoli e altre parole associate al nome', 'Titoli e altre parole associate al nome', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('980', 'd', 'Date associate al nome', 'Date associate al nome', 0, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('980', 'e', 'Termine di ruolo', 'Termine di ruolo', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('980', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('980', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('980', 'h', 'Supporto', 'Supporto', 0, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('980', 'j', 'Qualificazione d\'attribuzione', 'Qualificazione d\'attribuzione', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('980', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('980', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('980', 'm', 'Mezzo di esecuzione per la musica', 'Mezzo di esecuzione per la musica', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('980', 'n', 'Numero di parte/sezione dell\'opera', 'Numero di parte/sezione dell\'opera', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('980', 'o', 'Formulazione d\'arrangiamento per la musica', 'Formulazione d\'arrangiamento per la musica', 0, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('980', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('980', 'q', 'Forma completa del nome', 'Forma completa del nome', 0, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('980', 'r', 'Tonalità (musica)', 'Tonalità (musica)', 0, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('980', 's', 'Versione', 'Versione', 0, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('980', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('980', 'u', 'Affiliazione', 'Affiliazione', 0, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('980', 'v', 'Numero del volume/designazione di sequenza', 'Numero del volume/designazione di sequenza', 0, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('981', '4', 'Codice di ruolo', 'Codice di ruolo', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('981', '6', 'Collegamento', 'Collegamento', 0, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('981', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('981', 'a', 'Nome dell\'ente o nome della giurisdizione come accesso', 'Nome dell\'ente o nome della giurisdizione come accesso', 0, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('981', 'b', 'Unità subordinata', 'Unità subordinata', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('981', 'c', 'Luogo del convegno', 'Luogo del convegno', 0, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('981', 'd', 'Data del convegno o di firma del trattato', 'Data del convegno o di firma del trattato', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('981', 'e', 'Termine di ruolo', 'Termine di ruolo', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('981', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('981', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('981', 'h', 'Supporto', 'Supporto', 0, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('981', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('981', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('981', 'm', 'Mezzo di esecuzione per la musica', 'Mezzo di esecuzione per la musica', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('981', 'n', 'Numero di parte/sezione/convegno', 'Numero di parte/sezione/convegno', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('981', 'o', 'Formulazione d\'arrangiamento per la musica', 'Formulazione d\'arrangiamento per la musica', 0, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('981', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('981', 'r', 'Tonalità (musica)', 'Tonalità (musica)', 0, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('981', 's', 'Versione', 'Versione', 0, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('981', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('981', 'u', 'Affiliazione', 'Affiliazione', 0, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('981', 'v', 'Numero del volume/designazione di sequenza', 'Numero del volume/designazione di sequenza', 0, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('982', '4', 'Codice di ruolo', 'Codice di ruolo', 1, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('982', '6', 'Collegamento', 'Collegamento', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('982', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('982', 'a', 'Nome del convegno o nome della giurisdizione come accesso', 'Nome del convegno o nome della giurisdizione come accesso', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('982', 'b', 'Number (BK CF MP MU SE VM MX) [OBSOLETE]', 'Number (BK CF MP MU SE VM MX) [OBSOLETE]', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('982', 'c', 'Luogo del convegno', 'Luogo del convegno', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('982', 'd', 'Data del convegno', 'Data del convegno', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('982', 'e', 'Unità subordinata', 'Unità subordinata', 1, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('982', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('982', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('982', 'h', 'Supporto', 'Supporto', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('982', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('982', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('982', 'n', 'Numero di parte/sezione/convegno', 'Numero di parte/sezione/convegno', 1, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('982', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('982', 'q', 'Nome del convegno dopo accesso di nome della giurisdizione', 'Nome del convegno dopo accesso di nome della giurisdizione', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('982', 's', 'Versione', 'Versione', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('982', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('982', 'u', 'Affiliazione', 'Affiliazione', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('982', 'v', 'Numero del volume/designazione di sequenza', 'Numero del volume/designazione di sequenza', 0, 0, NULL, 8, NULL, NULL, '', NULL, -6, 'SER', '', '', NULL),
		('983', '6', 'Collegamento', 'Collegamento', 0, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('983', '8', 'Numero di collegamento e di sequenza di campi', 'Numero di collegamento e di sequenza di campi', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('983', 'a', 'Titolo uniforme', 'Titolo uniforme', 0, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('983', 'd', 'Data di firma del trattato', 'Data di firma del trattato', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('983', 'f', 'Data dell\'opera', 'Data dell\'opera', 0, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('983', 'g', 'Informazione miscellanea', 'Informazione miscellanea', 0, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('983', 'h', 'Supporto', 'Supporto', 0, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('983', 'k', 'Sottointestazione formale', 'Sottointestazione formale', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('983', 'l', 'Lingua dell\'opera', 'Lingua dell\'opera', 0, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('983', 'm', 'Mezzo di esecuzione per la musica', 'Mezzo di esecuzione per la musica', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('983', 'n', 'Numero di parte/sezione dell\'opera', 'Numero di parte/sezione dell\'opera', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('983', 'o', 'Formulazione d\'arrangiamento per la musica', 'Formulazione d\'arrangiamento per la musica', 0, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('983', 'p', 'Nome di parte/sezione dell\'opera', 'Nome di parte/sezione dell\'opera', 1, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('983', 'r', 'Tonalità (musica)', 'Tonalità (musica)', 0, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('983', 's', 'Versione', 'Versione', 0, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('983', 't', 'Titolo dell\'opera', 'Titolo dell\'opera', 0, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('983', 'v', 'Numero del volume/designazione di sequenza', 'Numero del volume/designazione di sequenza', 0, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('984', 'a', 'Numero idenficativo biblioteca proprietaria', 'Numero idenficativo biblioteca proprietaria', 0, 0, '', 9, '', '', '', NULL, 5, 'SER', '', '', NULL),
		('984', 'b', 'Codici descrizione fisica', 'Codici descrizione fisica', 1, 0, '', 9, '', '', '', 0, 5, 'SER', '', '', NULL),
		('984', 'c', 'Numero di chiamata', 'Numero di chiamata', 0, 0, '', 9, '', '', '', 0, 5, 'SER', '', '', NULL),
		('984', 'd', 'Volume o altra numerazione', 'Volume o altra numerazione', 0, 0, '', 9, '', '', '', 0, 5, 'SER', '', '', NULL),
		('984', 'e', 'Date', 'Date', 0, 0, '', 9, '', '', '', 0, 5, 'SER', '', '', NULL),
		('984', 'f', 'Completeness note', 'Completeness note', 0, 0, '', 9, '', '', '', 0, 5, 'SER', '', '', NULL),
		('984', 'g', 'Referral note', 'Referral note', 0, 0, '', 9, '', '', '', 0, 5, 'SER', '', '', NULL),
		('984', 'h', 'Retention note', 'Retention note', 0, 0, '', 9, '', '', '', 0, 5, 'SER', '', '', NULL),
		('987', 'a', 'Romanization/conversion identifier', 'Romanization/conversion identifier', 0, 0, '', 9, '', '', '', NULL, -6, 'SER', '', '', NULL),
		('987', 'b', 'Agenzia che ha convertito, creato o rivisto', 'Agenzia che ha convertito, creato o rivisto', 1, 0, '', 9, '', '', '', 0, -6, 'SER', '', '', NULL),
		('987', 'c', 'Data della conversione o della revisione', 'Data della conversione o della revisione', 0, 0, '', 9, '', '', '', 0, -6, 'SER', '', '', NULL),
		('987', 'd', 'Codice dello status', 'Codice dello status', 0, 0, '', 9, '', '', '', 0, -6, 'SER', '', '', NULL),
		('987', 'e', 'Versione del programma usato per la conversione', 'Versione del programma usato per la conversione', 0, 0, '', 9, '', '', '', 0, -6, 'SER', '', '', NULL),
		('987', 'f', 'Nota', 'Nota', 0, 0, '', 9, '', '', '', 0, -6, 'SER', '', '', NULL),
		('990', 'a', 'Link information for 9XX fields', 'Link information for 9XX fields', 1, 0, '', 9, '', '', '', 0, -6, 'SER', '', '', NULL),
		('990', 'b', 'Link information for field corresponding to 9XX field', 'Link information for field corresponding to 9XX field', 1, 0, '', 9, '', '', '', 0, -6, 'SER', '', '', NULL),
		('995', '0', 'Ritiro della copia', 'Ritiro della copia', 0, 0, '', 9, '', '', '', 0, 5, 'SER', '', '', NULL),
		('995', '1', 'Copia smarrita', 'Copia smarrita', 0, 0, '', 9, '', '', '', 0, 5, 'SER', '', '', NULL),
		('995', '2', 'Codice di sistema (classificazione specifica o altro schema e edizione)', 'Codice di sistema (classificazione specifica o altro schema e edizione)', 0, 0, '', 9, '', '', '', NULL, 5, 'SER', '', '', NULL),
		('995', '3', 'Restrizioni d\'uso', 'Restrizioni d\'uso', 0, 0, '', 9, '', '', '', 0, 5, 'SER', '', '', NULL),
		('995', '4', 'Classificazione normalizzata Koha per l\'ordinamento', 'Classificazione normalizzata Koha per l\'ordinamento', 0, 0, '', 9, '', '', '', 0, 5, 'SER', '', '', NULL),
		('995', '5', 'Qualificatore dell\'ubicazione', 'Qualificatore dell\'ubicazione', 1, 0, '', 9, '', '', '', NULL, 5, 'SER', '', '', NULL),
		('995', '6', 'Numero della copia', 'Numero della copia', 0, 0, '', 9, '', '', '', NULL, 5, 'SER', '', '', NULL),
		('995', '7', 'Uniform Resource Identifier', 'Uniform Resource Identifier', 1, 0, '', 9, '', '', '', 1, 5, 'SER', '', '', NULL),
		('995', '8', 'Collezione Koha', 'Collezione Koha', 0, 0, '', 9, '', '', '', 0, 5, 'SER', '', '', NULL),
		('995', '9', 'Numero interno di copia (Koha itemnumber, autogenerato)', 'Numero interno di copia (Koha itemnumber, autogenerato)', 0, 0, '', 9, '', '', '', 0, 5, 'SER', '', '', NULL),
		('995', 'a', 'Bib. proprietaria della copia (testo libero)', 'Bib. proprietaria della copia (testo libero)', 0, 0, '', 9, '', '', '', 0, 5, 'SER', '', '', NULL),
		('995', 'b', 'Bib. proprietaria della copia', 'Bib. proprietaria della copia', 0, 0, '', 9, '', '', '', 0, 5, 'SER', '', '', NULL),
		('995', 'c', 'Bib. che possiede o presta (holding branch)', 'Bib. che possiede o presta (holding branch)', 0, 0, '', 9, '', '', '', 0, 5, 'SER', '', '', NULL),
		('995', 'd', 'Bib. che possiede o presta (codice)', 'Bib. che possiede o presta (codice)', 0, 0, '', 9, '', '', '', 0, 5, 'SER', '', '', NULL),
		('995', 'e', 'Dettaglio del genere', 'Dettaglio del genere', 0, 0, '', 9, '', '', '', 0, 5, 'SER', '', '', NULL),
		('995', 'f', 'Codice a barre', 'Codice a barre', 0, 0, '', 9, '', '', '', 0, 5, 'SER', '', '', NULL),
		('995', 'g', 'Prefisso del codice a barre', 'Prefisso del codice a barre', 0, 0, '', 9, '', '', '', 0, 5, 'SER', '', '', NULL),
		('995', 'h', 'Incremento del codice a barre', 'Incremento del codice a barre', 0, 0, '', 9, '', '', '', 0, 5, 'SER', '', '', NULL),
		('995', 'i', 'Suffisso del codice a barre', 'Suffisso del codice a barre', 0, 0, '', 9, '', '', '', 0, 5, 'SER', '', '', NULL),
		('995', 'j', 'Sezione', 'Sezione', 0, 0, '', 9, '', '', '', 0, 5, 'SER', '', '', NULL),
		('995', 'k', 'Collocazione', 'Collocazione', 0, 0, '', 9, '', '', '', 0, 5, 'SER', '', '', NULL),
		('995', 'l', 'Numerazione (volume o altre parti)', 'Numerazione (volume o altre parti)', 0, 0, '', 9, '', '', '', 0, 5, 'SER', '', '', NULL),
		('995', 'm', 'Data del prestito o deposito', 'Data del prestito o deposito', 0, 0, '', 9, '', '', '', 0, 5, 'SER', '', '', NULL),
		('995', 'n', 'Data scadenza del prestito', 'Data scadenza del prestito', 0, 0, '', 9, '', '', '', 0, 5, 'SER', '', '', NULL),
		('995', 'o', 'Tipo di circolazione (non a prestito)', 'Tipo di circolazione (non a prestito)', 1, 0, '', 9, '', '', '', 0, 5, 'SER', '', '', NULL),
		('995', 'p', 'Periodico', 'Periodico', 0, 0, '', 9, '', '', '', 0, 5, 'SER', '', '', NULL),
		('995', 'q', 'Pubblico destinato (età)', 'Pubblico destinato (età)', 0, 0, '', 9, '', '', '', 0, 5, 'SER', '', '', NULL),
		('995', 'r', 'Tipologia della copia e del materiale', 'Tipologia della copia e del materiale', 0, 0, '', 9, '', '', '', 0, 5, 'SER', '', '', NULL),
		('995', 's', 'Modalità d\'acquisto', 'Modalità d\'acquisto', 0, 0, '', 9, '', '', '', 0, 5, 'SER', '', '', NULL),
		('995', 't', 'Genere', 'Genere', 0, 0, '', 9, '', '', '', 0, 5, 'SER', '', '', NULL),
		('995', 'u', 'Nota della copia', 'Nota della copia', 0, 0, '', 9, '', '', '', 0, 5, 'SER', '', '', NULL),
		('995', 'v', 'Numero periodico', 'Numero periodico', 0, 0, '', 9, '', '', '', 0, 5, 'SER', '', '', NULL),
		('995', 'w', 'Codice dell\'ente destinatario', 'Codice dell\'ente destinatario', 0, 0, '', 9, '', '', '', 0, 5, 'SER', '', '', NULL),
		('995', 'x', 'Ente destinatario, testo libero', 'Ente destinatario, testo libero', 0, 0, '', 9, '', '', '', 0, 5, 'SER', '', '', NULL),
		('995', 'y', 'Codice dell\'ente destinatario superiore', 'Codice dell\'ente destinatario superiore', 0, 0, '', 9, '', '', '', 0, 5, 'SER', '', '', NULL),
		('995', 'z', 'Ente destinatario superiore, testo libero', 'Ente destinatario superiore, testo libero', 0, 0, '', 9, '', '', '', 0, 5, 'SER', '', '', NULL),
		('998', 'b', 'Operator\'s initials, OID (RLIN)', 'Operator\'s initials, OID (RLIN)', 0, 0, '', 9, '', '', '', 0, -6, 'SER', '', '', NULL),
		('998', 'c', 'Cataloger\'s initials, CIN (RLIN)', 'Cataloger\'s initials, CIN (RLIN)', 0, 0, '', 9, '', '', '', 0, -6, 'SER', '', '', NULL),
		('998', 'd', 'First date, FD (RLIN)', 'First date, FD (RLIN)', 0, 0, '', 9, '', '', '', 0, -6, 'SER', '', '', NULL),
		('998', 'i', 'RINS (RLIN)', 'RINS (RLIN)', 0, 0, '', 9, '', '', '', 0, 5, 'SER', '', '', NULL),
		('998', 'l', 'LI (RLIN)', 'LI (RLIN)', 0, 0, '', 9, '', '', '', 0, 5, 'SER', '', '', NULL),
		('998', 'n', 'NUC (RLIN)', 'NUC (RLIN)', 0, 0, '', 9, '', '', '', 0, 5, 'SER', '', '', NULL),
		('998', 'p', 'PROC (RLIN)', 'PROC (RLIN)', 0, 0, '', 9, '', '', '', 0, 5, 'SER', '', '', NULL),
		('998', 's', 'CC (RLIN)', 'CC (RLIN)', 0, 0, '', 9, '', '', '', 0, 5, 'SER', '', '', NULL),
		('998', 't', 'RTYP (RLIN)', 'RTYP (RLIN)', 0, 0, '', 9, '', '', '', 0, 5, 'SER', '', '', NULL),
		('998', 'w', 'PLINK (RLIN)', 'PLINK (RLIN)', 0, 0, '', 9, '', '', '', 0, 5, 'SER', '', '', NULL);

